<?php 

require_once('sessionp.php');
require_once('includes/connection.php');
require_once('includes/functions.php');  

$register_date = date("Y-m-d");
$reg_date_check = getValue('reg_date_check');
if($reg_date_check == 'true')
{
	$register_date = getValue('register_date'); 
}
$businessDay =  date('l jS \of F Y', strtotime($register_date)); 	
$page		= 'home';
$module	 	= 'dashboard';
$pageTitle 	= $businessDay;
$pageRole  	= 'table';

include 'MasterTop.php';
include 'Top.php';
include 'SideBar.php';

  
?>
<style>
.buttons-print {
	border: 1px solid;
	padding: 5px 10px;
	border-radius: 3px;
}
</style>
<div id="content" class="bg-container">
	<?php include 'Header.php'; ?>
	<div class="outer">
		<div class="inner bg-light lter bg-container">
			<div class="row">
				<div class="col-lg-6" style="margin-bottom:10px;">
					<div class="card">
						<div class="card-header bg-white"> Sales Summary  </div>
						<div class="card-block">
							<div class="row">
							 <div class="col-lg-12" style="padding:10px;"> 
								 <?php if($user_type == 1 || $user_type == 3 || $user_type == 2){?> 
									<table class="table table-bordered table-hover" >
										 
										<tbody>
											<tr>
												<td width="50%">Total number of Sales</td>
												<td>
													<?php  
														$totalSalesR  = GetRow(Run($conn,"select sum(status) as total_sales from tbl_sales where status=1 and post_date = '$register_date' "));
														$totalSales   = $totalSalesR['total_sales'];
														echo number_format($totalSales); 
													?>
												</td>
											</tr>
											<tr>
												<td>Total price for sold products (Rs)</td>
												<td>
													<?php  
														$grandSaleR  = GetRow(Run($conn,"select sum(total_amount) as grand_sale, sum(tax_amount) as grand_tax , sum(delivery_charges) as grand_delivery, sum(service_charges) as grand_service, sum(discount) as grand_discount, sum(grand_total) as grand_grand, sum(amount_received) as grand_received from tbl_sales where status=1 and post_date = '$register_date' "));
														$grandSale   = $grandSaleR['grand_sale'];
														echo number_format($grandSale); 
													?>
												</td>
											</tr>
											<tr >
												<td>Total price for cancelled products (Rs)</td>
												<td>
													<?php  
														$cancelledSaleR  = GetRow(Run($conn,"select sum(total_sale_price) as cancelled_sales from tbl_sales_items where status=0 and post_date = '$register_date' "));
														$cancelledSale   = $cancelledSaleR['cancelled_sales'];
														echo number_format($cancelledSale); 
													?>
												</td>
											</tr>
											<tr>
												<td>Tax 8% (Rs)</td>
												<td>
													<?php  
														$grandTax   = $grandSaleR['grand_tax'];
														echo number_format($grandTax);
													?>
												</td>
											</tr>
											<tr>
												<td>Delivery Charges (Rs)</td>
												<td>
													<?php  
														$grandDelivery   = $grandSaleR['grand_delivery'];
														echo number_format($grandDelivery);
													?>
												</td>
											</tr>
											<tr>
												<td>Service Charges (Rs)</td>
												<td>
													<?php  
														$grandService   = $grandSaleR['grand_service'];
														echo number_format($grandService);
													?>
												</td>
											</tr>
											<tr>
												<td>Discount (Rs)</td>
												<td>
													<?php  
														$grandDiscount   = $grandSaleR['grand_discount'];
														echo number_format($grandDiscount);
													?>
												</td>
											</tr>
											<tr>
												<td>Grand Total (Rs)</td>
												<td>
													<?php  
														$grandGrand   = $grandSaleR['grand_grand'];
														echo number_format($grandGrand);
													?>
												</td>
											</tr>
											<tr >
												<td>Cutomers' Pending (Rs)</td>
												<td>
													<?php 
														$grandReceived   = $grandSaleR['grand_received']; 
														$customersBalance   = $grandGrand - $grandReceived;
														echo number_format($customersBalance);
													?>
												</td>
											</tr>
											<tr style="font-size: 16px;" >
												<th>Total Received (Rs)</th>
												<th>
													<?php  
														echo number_format($grandReceived);
													?>
												</th>
											</tr> 
										</tbody>
									</table> 
								<?php } ?>
							 </div>
							 
						</div>
					</div>
				</div>
			</div>
			<?php 
			
			$saleR = GetRow(Run($conn,"select sum(quantity_sold) as sale_quantity, sum(total_sale_price) as sale_amount from tbl_sales_items where  type = '0' and status = '1' and  post_date = '$register_date'"));
 
			$sale_quantity = $saleR['sale_quantity'];
			$sale_amount   = $saleR['sale_amount'];

			$cancelR = GetRow(Run($conn,"select sum(quantity_sold) as cancel_quantity, sum(total_sale_price) as cancel_amount from tbl_sales_items where  type = '0' and status = '0' and post_date = '$register_date'"));
 
			$cancel_quantity = $cancelR['cancel_quantity'];
			$cancel_amount   = $cancelR['cancel_amount'];
			?>
			<div class="col-lg-6" style="margin-bottom:10px;">
					<div class="card">
						<div class="card-header bg-white"> Sales Amount: Completed VS Cancelled  </div>
						<div class="card-block">
							<div class="row">
							    <div class="col-12"> 								
								    <script type="text/javascript" src="https://www.gstatic.com/charts/loader.js"></script>
                                        <script type="text/javascript">
                                            google.charts.load("current", {packages:["corechart"]});
                                            google.charts.setOnLoadCallback(drawChart);
                                            function drawChart() {
                                            var data = google.visualization.arrayToDataTable([
                                            ['Task', 'Sales'],
                                            ['Completed',     <?php echo round($sale_amount); ?>],
                                            ['Cancelled',      <?php echo round($cancel_amount); ?>] 
                                            ]);
                                            var options = {
                                            title: 'Sales Amount',
                                            pieHole: 0.4,
                                            };
                                            var chart = new google.visualization.PieChart(document.getElementById('donutchart'));
                                            chart.draw(data, options);
                                            }
                                        </script> 
                                    <div id="donutchart"  ></div> 
							    </div>
			    			</div>
			    		</div>
			    	</div>
		    	</div>
			    <div class="col-lg-6" style="margin-bottom:10px;">
					<div class="card">
						<div class="card-header bg-white"> Expense Summary  </div>
						<div class="card-block">
							<div class="row">
							    <div class="col-12 "  style="padding:10px;" > 
								<?php if($user_type == 1 || $user_type == 2){?>
									<table class="table table-bordered table-hover"  >
										 
										<tbody>
											<tr>
												<td width="50%">Total number of Purchases</td>
												<td><?php  
													$totalPurchasesR  = GetRow(Run($conn,"select sum(status) as total_purchases from tbl_purchases where status=1 and post_date = '$register_date' "));
													$totalPurchases   = $totalPurchasesR['total_purchases'];
													echo number_format($totalPurchases); 
												?></td>
											</tr>
											<tr>
												<td>Total cost for purchased items (Rs)</td>
												<td><?php  
													$grandPurchaseR  = GetRow(Run($conn,"select sum(supplier_cost) as grand_supplier_cost, sum(transport_exp) as grand_transport_exp , sum(labor_exp) as grand_labor_exp   from tbl_pur_items  where status=1 and post_date = '$register_date' "));
													$grandPurchase   = $grandPurchaseR['grand_supplier_cost']+$grandPurchaseR['grand_transport_exp']+$grandPurchaseR['grand_labor_exp'];
													echo number_format($grandPurchase); 
												?></td>
											</tr>
											<tr>
												<td>Total Suppliers' Cost (Rs)</td>
												<td><?php  
													echo number_format($grandPurchaseR['grand_supplier_cost']);
												?></td>
											</tr>
											<tr>
												<td>Total Purchase Expenses (Rs)</td>
												<td><?php  
													$grandPurchaseExpenses   =  $grandPurchaseR['grand_transport_exp']+$grandPurchaseR['grand_labor_exp'];
													echo number_format($grandPurchaseExpenses); 
												?></td>
											</tr>
											<tr>
												<td>Total Other Expenses (Rs)</td>
												<td><?php   
													$grandOtherExpensesR  = GetRow(Run($conn,"select sum(dr) as grand_exp_debit, sum(cr) as grand_exp_credit  from tbl_expenses  where status=1 and post_date = '$register_date' and category_id!=1 "));
													$grandOtherExpenses =$grandOtherExpensesR['grand_exp_debit']-$grandOtherExpensesR['grand_exp_credit'];
													echo number_format($grandOtherExpenses);  
												?></td>
											</tr>
											<tr>
												<td>Total Expense Payments (Rs)</td>
												<td><?php   
													$grandExpensesR  = GetRow(Run($conn,"select sum(dr) as grand_exp_debit, sum(cr) as grand_exp_credit  from tbl_expenses  where status=1 and post_date = '$register_date' "));
													$grandExpnses =$grandExpensesR['grand_exp_debit']-$grandExpensesR['grand_exp_credit'];
													echo number_format($grandExpnses);  
												?></td>
											</tr>
											<tr>
												<td>Total Supplier Payments (Rs)</td>
												<td><?php   
													$grandSupplierR = GetRow(Run($conn,"select sum(cr) as total_supplier_cr, sum(dr) as total_supplier_dr from tbl_sup_payments where  post_date = '$register_date'"));
													$grandSupPayments = ($grandSupplierR['total_supplier_dr']);
													echo number_format($grandSupPayments);
												?></td>
											</tr>
											<tr>
												<td>Total Employee Payments (Rs)</td>
												<td><?php   
													$grandEmploeesR  = GetRow(Run($conn,"select sum(dr) as grand_emp_debit, sum(cr) as grand_emp_credit  from tbl_emp_payments  where status=1 and post_date = '$register_date' "));
													$grandEmpPayments = $grandEmploeesR['grand_emp_debit']-$grandEmploeesR['grand_emp_credit'];
													echo number_format($grandEmpPayments); 
												?></td>
											</tr>
											<tr>
												<td >Suppliers Pending (Rs) </td>
												<td><?php  
													$suppliersBalance   = ($grandSupplierR['total_supplier_cr']-$grandSupplierR['total_supplier_dr']);
													echo number_format($suppliersBalance);
												?></td>
											</tr>
											<tr style="font-size: 16px;">
												<th >Total Paid (Rs)</th>
												<th><?php  
													echo number_format($grandEmpPayments+$grandSupPayments+$grandExpnses);
												?></th>
											</tr>
										</tbody>
									</table> 
								    <?php }  ?>
							    </div>
						    </div>
					    </div>
				    </div>
			    </div>
			</div>
			<!-- /.inner --> 
		</div>
		<!-- /.outer --> 
	</div>
	<!-- /#content --> 
</div>
<?php include 'Footer.php'; ?>
