<?php 

$page		 = 'purchases';

require_once('sessionp.php');
require_once('checkAccountsSession.php');

require_once('includes/connection.php');
require_once('includes/functions.php');

$start_date = $_GET['start_date'];
$end_date = $_GET['end_date'];

$module 	   = 'purchases';
$pageTitle 	   = 'Cash Status '. $start_date . ' to ' . $end_date . '';
$pageTitleR 	   = 'BISTRO NOIR';
$pageTitleL 	   = 'F 7-3 ISLAMABAD';
$pageTitleM 	   = 'Cash Income Statment '. $start_date . ' to ' . $end_date . '';
$pageTitleN 	   = 'Out Going Statment '. $start_date . ' to ' . $end_date . '';
$pageTitleO 	   = 'Previously Settled From Cash '. $start_date . ' to ' . $end_date . '';


include 'MasterTop.php';
include 'Top.php'; 

?>
<style>
.buttons-print {
    border: 1px solid #b2b2b2;
    padding: 3px 7px;
    border-radius: 3px;
    background: linear-gradient(135deg, #6A82FB, #FC5C7D);
    color: white;
}

.btn-success, .btn-view-pdf, .btn-view-send {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    position: relative;
    overflow: hidden;
    transition: box-shadow .3s;
    box-shadow: 0 8px 20px rgba(0, 0, 0, 0.12);
    color: white;
}

.btn-success::after, .btn-view-pdf::after, .btn-view-send::after {
    content: "";
    position: absolute;
    top: -100%;
    left: -100%;
    width: 200%;
    height: 200%;
    z-index: 1;
    background: linear-gradient(135deg, transparent, rgba(255, 255, 255, 0.4), transparent);
    transform: rotate(45deg);
    pointer-events: none;
    transition: top 0.5s, left 0.5s;
}

.btn-success:hover::after, .btn-view-pdf:hover::after, .btn-view-send:hover::after {
    top: 100%;
    left: 100%;
}

.btn-success {
    background: linear-gradient(135deg, #8E2DE2, #4A00E0);
    border: none;
    padding: 6px 12px;
    border-radius: 50px 50px 0 50px;
    font-weight: 600;
}

.btn-view-pdf {
    background: linear-gradient(135deg, #FFB75E, #ED8F03);
    border-radius: 50px 50px 0 50px;
    padding: 6px 12px;
}

.btn-view-send {
    background: linear-gradient(135deg, #56ab2f, #a8e063);
    border-radius: 30px 50px 0 50px;
    padding: 6px 15px;
}

.btn-view-pdf i, .btn-view-send i {
    margin-right: 4px;
}

.active-btn {
    background: linear-gradient(135deg, #f54242, #f542a2);
    box-shadow: 0 6px 14px rgba(255,0,0,0.1);
}

@keyframes dance {
    0% { transform: scale(1) rotate(0); }
    20% { transform: scale(1.05) rotate(-5deg); }
    40% { transform: scale(1) rotate(5deg); }
    60% { transform: scale(1.05) rotate(-5deg); }
    80% { transform: scale(1) rotate(5deg); }
    100% { transform: scale(1) rotate(0); }
}

.btn-success:hover, .btn-view-pdf:hover, .btn-view-send:hover {
    animation: dance 0.5s infinite;
}
</style>
<script>
    document.addEventListener('DOMContentLoaded', function () {
        let buttons = document.querySelectorAll('.btn-view-pdf, .btn-success');

        buttons.forEach(button => {
            button.addEventListener('click', function () {

                // Remove active class from all buttons
                buttons.forEach(btn => btn.classList.remove('active-btn'));

                // Add active class to the clicked button
                this.classList.add('active-btn');
            });
        });
    });
</script>
<div id="content" class="bg-container">
    <?php include 'Header.php'; ?>
    <div class="outer">
        <div class="inner bg-light lter bg-container">
            <div class="row">
                <div class="col-xs-12 data_tables">
                    <div class="card">
                        <div style="text-align: center; font-size: 20px; margin-top:10px; margin-left:50px; margin-right:50px; border: 2px solid black; border-radius: 60px; padding: 30px;">
                            <div><strong><?php echo $pageTitleR; ?></strong></div>
                            <div><strong><?php echo $pageTitleL; ?></strong></div>
                            <div><strong><?php echo $pageTitleM; ?></strong></div>
                            <table class="table table-striped table-bordered table-hover print custom-table">    
								<tbody class="custom-table-body">							
								    <?php 
									    //Sale Report Between Dats
                                        $grandSaleR       = GetRow(Run($conn,"select sum(total_amount) as grand_sale, sum(tax_amount) as grand_tax , sum(delivery_charges) as grand_delivery, sum(service_charges) as grand_service, sum(discount) as grand_discount, sum(grand_total) as grand_grand, sum(amount_received) as grand_received from tbl_sales where post_date >= '$start_date' AND post_date <= '$end_date' "));
                                        $grandSale        = $grandSaleR['grand_sale'];
                                        $grandTax         = $grandSaleR['grand_tax'];										
                                        $grandTax15       = $grandSaleR['grand_service'];										
                                        $grandTax5        = $grandSaleR['grand_discount'];										
                                        $grandDelivery    = $grandSaleR['grand_delivery'];										
                                        $grandReceived    = $grandSaleR['grand_received']; 
                                        $grandGrand       = $grandSaleR['grand_sale']+$grandSaleR['grand_tax']-$grandSaleR['grand_delivery']+$grandTax15+$grandTax5;										
                                        $customersBalance = ($grandGrand - $grandReceived);

										
									    //Real Time Onening Cash
                                        $OpeningCashR  = GetRow(Run($conn,"select sum(received_amount) as Opening_Cash from tbl_cashdetails where handover_person='Opening Cash' and Date >= '$start_date' AND Date <= '$end_date'"));
                                        $OpeningCash   = $OpeningCashR['Opening_Cash'];	
										//Real Time Onening Bank
                                        $OpeningBankR  = GetRow(Run($conn,"select sum(received_amount) as Opening_Bank from tbl_cashdetails where handover_person='Opening Bank Balance' and Date >= '$start_date' AND Date <= '$end_date'"));
                                        $OpeningBank   = $OpeningBankR['Opening_Bank'];	

                                        $WithDrawR  = GetRow(Run($conn,"select sum(received_amount) as Total_WithDraw from tbl_cashdetails where handover_person='WithDraw Cash' and Date >= '$start_date' AND Date <= '$end_date'"));
                                        $WithDraw   = $WithDrawR['Total_WithDraw'];	

                                        $SubmintR  = GetRow(Run($conn,"select sum(received_amount) as Total_Submint from tbl_cashdetails where handover_person='Submint' and Date >= '$start_date' AND Date <= '$end_date'"));
                                        $Submint   = $SubmintR['Total_Submint'];
										
                                            $sumDrResultT  = GetRow(Run($conn, "SELECT SUM(dr) AS sum_dr, SUM(cr) AS sum_cr FROM tbl_sup_payments WHERE PaidBy ='From Restaurant Cash' AND post_date >= '$start_date' AND post_date <= '$end_date'"));
                                            $totalPaidExpT = $sumDrResultT['sum_dr'];
											
                                            $sumDrResultTB  = GetRow(Run($conn, "SELECT SUM(dr) AS sum_dr, SUM(cr) AS sum_cr FROM tbl_sup_payments WHERE PaidBy ='From Restaurant Bank' AND post_date >= '$start_date' AND post_date <= '$end_date'"));
                                            $totalPaidExpTB = $sumDrResultTB['sum_dr'];										
										
								    ?>
                                    <tr>
                                        <td style="text-align:right;" width="50%">Opening Cash</td>
                                        <th style="text-align:left;" width="50%"><?php  
                                        echo number_format($OpeningCash); 
                                        ?></th>   										
                                    </tr>
                                    <tr>
                                        <td style="text-align:right;" width="50%">WithDraw Cash</td>
                                        <th><?php  
                                        echo number_format($WithDraw);
                                        ?></th>											
                                    </tr>
                                    <tr>
                                        <td style="text-align:right;" width="50%">Sale In Cash</td>
                                        <th><?php  
                                        echo number_format($customersBalance);
                                        ?></th>									
                                    </tr>									
                                    <tr>
                                        <td style="text-align:right;" width="50%">Grand Total <small>(Opening Cash + Withdraw + Sale In Cash)</small></td>
                                        <th><?php  
                                        echo number_format($OpeningCash+$WithDraw+$customersBalance);
                                        ?></th>											
                                    </tr>
                                    <tr>
                                        <td style="text-align:right;" width="50%">Paid Exp</td>
                                        <th><?php  
                                        echo number_format($totalPaidExpT);
                                        ?></th>									
                                    </tr>
                                    <tr>
                                        <td style="text-align:right;" width="50%">Submint</td>
                                        <th><?php  
                                        echo number_format($Submint);
                                        ?></th>										
                                    </tr>									
                                    <tr>
                                        <td style="text-align:right;" width="50%">Cash Balance <small>(Grand Total - Paid Exp - Submint)</small></td>
                                        <th><?php  
                                        echo number_format($OpeningCash+$WithDraw+$customersBalance-$totalPaidExpT-$Submint);
                                        ?></th>							
                                </tbody>
							</table>	
                            <div class="card-block" style="margin-top:10px;">
                                <table class="table table-striped table-bordered table-hover" id="sample_1">
                                    <thead>
                                        <tr>
                                            <th style="text-align:center;">#</th>
                                            <th style="text-align:center;">Date</th>
                                            <th style="text-align:center;">Opening Cash</th>
                                            <th style="text-align:center;">WithDraw Cash</th>
                                            <th style="text-align:center;">Sale In Cash</th>
                                            <th style="text-align:center;">Grand Total</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php  
                                        $i=1; 
                                        $totalOpeningCash = 0;
                                        $totalWithdrawCahs = 0;
										$totalSaleCahs = 0;
                                        $totalGrandCash = 0;										
									    //Sale Report Between Dats
                                        $grandSaleDateT       = Run($conn,"select DISTINCT post_date FROM tbl_sales where post_date >= '$start_date' AND post_date <= '$end_date' ");
                                         while ($listDate    = GetRow($grandSaleDateT)) {
									    $Date                = $listDate['post_date'];
										
										$grandSaleRDate      = GetRow(Run($conn,"select sum(total_amount) as grand_sale, sum(tax_amount) as grand_tax , sum(delivery_charges) as grand_delivery, sum(service_charges) as grand_service, sum(discount) as grand_discount, sum(grand_total) as grand_grand, sum(amount_received) as grand_received from tbl_sales where post_date = '$Date'"));
										
										$grandSaleDate       = $grandSaleRDate['grand_sale'];
                                        $grandTaxDate        = $grandSaleRDate['grand_tax'];										
                                        $grandTax15Date      = $grandSaleRDate['grand_service'];										
                                        $grandTax5Date       = $grandSaleRDate['grand_discount'];										
                                        $grandDeliveryDate   = $grandSaleRDate['grand_delivery'];										
                                        $grandReceivedDate   = $grandSaleRDate['grand_received']; 
                                        $grandGrandDate      = $grandSaleDate+$grandTaxDate+$grandTax15Date+$grandTax5Date-$grandDeliveryDate;										
                                        $customersBalanceDate= ($grandGrandDate  - $grandReceivedDate);
                                        
										$OpeningCashRDate  = GetRow(Run($conn,"select sum(received_amount) as Opening_Cash from tbl_cashdetails where handover_person='Opening Cash' and Date = '$Date'"));
                                        $OpeningCashDate   = $OpeningCashRDate['Opening_Cash'];	
										
										$WithDrawRDate  = GetRow(Run($conn,"select sum(received_amount) as Total_WithDraw from tbl_cashdetails where handover_person='WithDraw Cash' and Date = '$Date'"));
                                        $WithDrawDate   = $WithDrawRDate['Total_WithDraw'];

										$TotalCashZ     = $customersBalanceDate+$OpeningCashDate+$WithDrawDate;
										
                                        $totalOpeningCash  += $OpeningCashDate;
                                        $totalWithdrawCahs += $WithDrawDate;
										$totalSaleCahs     += $customersBalanceDate;
                                        $totalGrandCash    += $TotalCashZ;										
										?>
                                        <tr>
                                            <td width="5%"><?php echo $i++; ?></td>
                                            <td width="10%"><?php echo $Date; ?></td>
                                            <td width="12%;"><?php echo $OpeningCashDate; ?></td>
											<td width="12%;"><?php echo $WithDrawDate; ?></td>
                                            <td width="12%;"><?php echo $customersBalanceDate; ?></td>
                                            <td width="12%;"><?php echo $TotalCashZ; ?></td>
                                        </tr>
                                        <?php 
                                            $t_amount = $t_amount+$purchasesR['bill_amount'];
                                        } ?>
                                    </tbody>
                                    <tfoot>
                                        <tr>
                                            <th colspan="2"> &nbsp; </th> 
                                            <th style="text-align:center;"> <?php echo number_format($totalOpeningCash); ?> </th>
                                            <th style="text-align:center;"> <?php echo number_format($totalWithdrawCahs); ?> </th>
                                            <th style="text-align:center;"> <?php echo number_format($totalSaleCahs); ?> </th>
											<th style="text-align:center;"> <?php echo number_format($totalGrandCash); ?> </th>
                                        </tr>
                                    </tfoot>
                                </table>
                            </div>
                        </div>
                        <div style="text-align: center; font-size: 20px; margin-top:10px; margin-left:50px; margin-right:50px; border: 2px solid black; border-radius: 60px; padding: 30px;">
                            <div><strong><?php echo $pageTitleR; ?></strong></div>
                            <div><strong><?php echo $pageTitleL; ?></strong></div>
                            <div><strong><?php echo $pageTitleN; ?></strong></div>                
                            <div class="card-block" style="margin-top:10px;">
                                <table class="table table-striped table-bordered table-hover" id="sample_1">
                                    <thead>
                                        <tr>
                                            <th style="text-align:center;">#</th>
                                            <th style="text-align:center;">Date</th>
                                            <th style="text-align:center;">Paid Exp</th>
                                            <th style="text-align:center;">Submint Cash</th>
                                            <th style="text-align:center;">Grand Total</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php  
                                        $i=1; 
                                        $totalPaidCash = 0;
                                        $totalSubmintCahs = 0;
                                        $totalGoneGrandCash = 0;										
									    //Sale Report Between Dats
                                        $grandExpDateT       = Run($conn,"select DISTINCT post_date FROM tbl_sup_payments WHERE post_date >= '$start_date' AND post_date <= '$end_date' ");
                                         while ($listDatePaid    = GetRow($grandExpDateT)) {
									    $DatePaid                = $listDatePaid['post_date'];
										
										$grandExpRDate      = GetRow(Run($conn,"SELECT SUM(dr) AS sum_dr, SUM(cr) AS sum_cr FROM tbl_sup_payments WHERE PaidBy ='From Restaurant Cash' AND post_date = '$DatePaid'"));
										$PaidExpDate        = $grandExpRDate['sum_dr'];
										
                                        $SubmintDateR  = GetRow(Run($conn,"select sum(received_amount) as Total_Submint from tbl_cashdetails where handover_person='Submint' and Date = '$DatePaid'"));
                                        $SubmintDate   = $SubmintDateR['Total_Submint'];
										
										$TotalOutgoing = $PaidExpDate+$SubmintDate;
										
                                        $totalPaidCash      += $PaidExpDate;
                                        $totalSubmintCahs   += $SubmintDate;
                                        $totalGoneGrandCash += $TotalOutgoing;										
										?>
                                        <tr>
                                            <td width="5%"><?php echo $i++; ?></td>
                                            <td width="10%"><?php echo $DatePaid; ?></td>
                                            <td width="12%;"><?php echo $PaidExpDate; ?></td>
                                            <td width="12%;"><?php echo $SubmintDate; ?></td>
                                            <td width="12%;"><?php echo $TotalOutgoing; ?></td>
                                        </tr>
                                        <?php 
                                            $t_amount = $t_amount+$purchasesR['bill_amount'];
                                        } ?>
                                    </tbody>
                                    <tfoot>
                                        <tr>
                                            <th colspan="2"> &nbsp; </th> 
                                            <th style="text-align:center;"> <?php echo number_format($totalPaidCash); ?> </th>
                                            <th style="text-align:center;"> <?php echo number_format($totalSubmintCahs); ?> </th>
											<th style="text-align:center;"> <?php echo number_format($totalGoneGrandCash); ?> </th>
                                        </tr>
                                    </tfoot>
                                </table>
                            </div>
                        </div> 							
                    </div>
                    <!-- END EXAMPLE1 TABLE PORTLET--> 
                </div>
            </div>
            <!-- /.inner --> 
        </div>
        <!-- /.outer --> 
    </div>
    <!-- /#content -->
    <?php include 'ContentFooter.php'; ?>
</div>
<?php include 'Footer.php'; ?>
<?php if(getValue('wc') == 1){?>
    <script>
        window.onload = function() {
            PNotify.desktop.permission();
            new PNotify({
                title: 'Success',
                text: 'A new product has been added into your software, Hope this product give you more benefit.',
                type: 'success',
                desktop: {
                    desktop: true
                }
            }).get().on("click",function (e) {
                if ($('.ui-pnotify-closer, .ui-pnotify-sticker, .ui-pnotify-closer *, .ui-pnotify-sticker *').is(e.target))
                    return; 
            });
            return false;
        };
    </script>
<?php } ?>
