<?php
$page = 'expenses';

require_once('sessionp.php');
require_once('checkAccountsSession.php');
require_once('includes/connection.php');
require_once('includes/functions.php');

$start_day   = '01';
$start_month = date("m");
$start_year  = date("Y");
$start_date = $start_year.'-'.$start_month.'-'.$start_day;
$end_date   = date("Y-m-d");
$date_check = getValue('date_check');
if($date_check == 'true')
	{
		$start_date = getValue('date_from');
		$end_date   = getValue('date_to');
	}

$module = 'expenses';
$range = 'true';
$pageTitle = 'Cashier Closing';
$pageRole = 'table';

include 'MasterTop.php';
include 'Top.php';
include 'SideBar.php';
?>

<div id="content" class="bg-container">
    <?php include 'Header.php'; ?>
    <div class="outer">
        <div class="inner bg-light lter bg-container">
            <div class="row">
                <div class="col-xs-12 data_tables">
                    <!-- BEGIN EXAMPLE1 TABLE PORTLET-->
                    <div class="card">
                        <div class="card-block" style="margin-top:60px;">
                            <table class="table table-striped table-bordered table-hover" id="sample_1">
                                <thead>
                                    <tr>
                                        <th>Date</th>
                                        <th>From Office</th>
                                        <th>Total Net Sale</th>
                                        <th><strong>Total</strong><small>(From Office+Net Sale)</small)</th>
                                        <th>Given To Purchaser</th>
                                        <th>Exp From Till</th>
                                        <th>Staf Food Bills/Advance</th>
                                        <th>Cash</th>
                                        <th>Bank</th>
                                        <th>Balance</th>
                                        <th>Tip</th>
                                        <th>Purchaser</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php
                                    $totalGrandHR = $totalGrandGrand = $totalGrandGiven = $totalGrandTill = $totalGrandAdvance = $totalGrandHand = $totalGrandBank = $totalGrandTip = $totalGrandPurchase = 0;

                                    $listRS = Run($conn, "SELECT DISTINCT post_date FROM tbl_expenses where post_date >= '$start_date' AND post_date <= '$end_date' order by post_date ASC");
                                    while ($listR = GetRow($listRS)) {
                                        $Date = $listR['post_date'];

                                        $grandSaleR = GetRow(Run($conn, "select sum(total_amount) as grand_sale, sum(tax_amount) as grand_tax, sum(delivery_charges) as grand_delivery, sum(service_charges) as grand_service, sum(discount) as grand_discount, sum(grand_total) as grand_grand, sum(amount_received) as grand_received from tbl_sales where status=1 and post_date = '$Date' "));
                                        $grandGrand = $grandSaleR['grand_sale'] + $grandSaleR['grand_tax'] - $grandSaleR['grand_delivery'] + $grandSaleR['grand_service'] + $grandSaleR['grand_discount'];
                                        $Cashier = GetRow(Run($conn, "select sum(owner) as grand_owner, sum(hr) as grand_hr, sum(given) as grand_given, sum(till) as grand_till, sum(advance) as grand_advance, sum(hand) as grand_hand, sum(purchase) as grand_purchase, sum(tip) as grand_tip from tbl_expenses where status=1 and post_date = '$Date' "));
                                        $grandHR = $Cashier['grand_hr'];
                                        $grandgiven = $Cashier['grand_given'];
                                        $grandtill = $Cashier['grand_till'];
                                        $grandadvance = $Cashier['grand_advance'];
                                        $grandhand = $Cashier['grand_hand'];
                                        $grandBank = $grandSaleR['grand_received'];
                                        $grandtip = $Cashier['grand_tip'];
                                        $grandpurchse = $Cashier['grand_purchase'];

                                        $BalanceT = $grandGrand + $grandHR - $grandgiven - $grandtill - $grandadvance - $grandhand - $grandBank;

                                        $totalGrandHR += $grandHR;
                                        $totalGrandGrand += $grandGrand;
                                        $totalGrandGiven += $grandgiven;
                                        $totalGrandTill += $grandtill;
                                        $totalGrandAdvance += $grandadvance;
                                        $totalGrandHand += $grandhand;
                                        $totalGrandBank += $grandBank;
									    $totalBalaance += $BalanceT;	
                                        $totalGrandTip += $grandtip;
                                        $totalGrandPurchase += $grandpurchse;
                                    ?>
                                        <tr>
                                            <td><?php echo $Date; ?></td>
                                            <td><?php echo $grandHR; ?></td>
                                            <td><?php echo $grandGrand; ?></td>
                                            <td><strong><?php echo $grandGrand + $grandHR; ?></strong></td>
                                            <td><?php echo $grandgiven; ?></td>
                                            <td><?php echo $grandtill; ?></td>
                                            <td><?php echo $grandadvance; ?></td>
                                            <td><?php echo $grandhand; ?></td>
                                            <td><?php echo $grandSaleR['grand_received']; ?></td>
                                            <td><strong><?php echo $BalanceT; ?></strong></td>
                                            <td><?php echo $grandtip; ?></td>
                                            <td><?php echo $grandpurchse; ?></td>
                                        </tr>
                                    <?php } ?>
                                </tbody>
                                    <tfoot>
                                        <tr style="font-weight: bold; font-size: 16px;">
                                           <td><strong>Total:</strong></td>
                                           <td><?php echo $totalGrandHR; ?></td>
                                           <td><?php echo $totalGrandGrand; ?></td>
                                           <td><strong><?php echo $totalGrandGrand + $totalGrandHR; ?></strong></td>
                                           <td><?php echo $totalGrandGiven; ?></td>
                                           <td><?php echo $totalGrandTill; ?></td>
                                           <td><?php echo $totalGrandAdvance; ?></td>
                                           <td><?php echo $totalGrandHand; ?></td>
                                           <td><?php echo $totalGrandBank; ?></td>
                                           <td><?php echo $totalBalaance; ?></td>
                                           <td><?php echo $totalGrandTip; ?></td>
                                           <td><?php echo $totalGrandPurchase; ?></td>
                                        </tr>
                                    </tfoot>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<?php include 'Footer.php'; ?>