<?php 

$page		  = 'DemandForStore';

require_once('sessionp.php');
require_once('checkAccountsSession.php');

require_once('includes/connection.php');
require_once('includes/functions.php');


$listR   = GetRow(Run($conn,"select * from tbl_suppliers where status = '1' and id = $ID"));
$CreditR = GetRow(Run($conn,"SELECT balance FROM tbl_sup_payments WHERE supplier_id = '$ID' ORDER BY id DESC LIMIT 1;"));

$module 	   = 'Demand';
include 'MasterTop.php';
if ($user_type == '1') {
include 'Top.php';
include 'SideBar.php';
}
?>

<style>
.buttons-print {
    border: 1px solid #b2b2b2;
    padding: 3px 7px;
    border-radius: 3px;
    background: linear-gradient(135deg, #6A82FB, #FC5C7D);
    color: white;
}

.btn-success, .btn-view-pdf, .btn-view-send {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    position: relative;
    overflow: hidden;
    transition: box-shadow .3s;
    box-shadow: 0 8px 20px rgba(0, 0, 0, 0.12);
    color: white;
}

.btn-success::after, .btn-view-pdf::after, .btn-view-send::after {
    content: "";
    position: absolute;
    top: -100%;
    left: -100%;
    width: 200%;
    height: 200%;
    z-index: 1;
    background: linear-gradient(135deg, transparent, rgba(255, 255, 255, 0.4), transparent);
    transform: rotate(45deg);
    pointer-events: none;
    transition: top 0.5s, left 0.5s;
}

.btn-success:hover::after, .btn-view-pdf:hover::after, .btn-view-send:hover::after {
    top: 100%;
    left: 100%;
}

.btn-success {
    background: linear-gradient(135deg, #8E2DE2, #4A00E0);
    border: none;
    padding: 6px 12px;
    border-radius: 50px 50px 0 50px;
    font-weight: 600;
}

.btn-view-pdf {
    background: linear-gradient(135deg, #FFB75E, #ED8F03);
    border-radius: 50px 50px 0 50px;
    padding: 6px 12px;
}

.btn-view-send {
    background: linear-gradient(135deg, #56ab2f, #a8e063);
    border-radius: 30px 50px 0 50px;
    padding: 6px 15px;
}

.btn-view-pdf i, .btn-view-send i {
    margin-right: 4px;
}

.active-btn {
    background: linear-gradient(135deg, #f54242, #f542a2);
    box-shadow: 0 6px 14px rgba(255,0,0,0.1);
}

@keyframes dance {
    0% { transform: scale(1) rotate(0); }
    20% { transform: scale(1.05) rotate(-5deg); }
    40% { transform: scale(1) rotate(5deg); }
    60% { transform: scale(1.05) rotate(-5deg); }
    80% { transform: scale(1) rotate(5deg); }
    100% { transform: scale(1) rotate(0); }
}

.btn-success:hover, .btn-view-pdf:hover, .btn-view-send:hover {
    animation: dance 0.5s infinite;
}
</style>
<script>
    document.addEventListener('DOMContentLoaded', function () {
        let buttons = document.querySelectorAll('.btn-view-pdf, .btn-success');

        buttons.forEach(button => {
            button.addEventListener('click', function () {

                // Remove active class from all buttons
                buttons.forEach(btn => btn.classList.remove('active-btn'));

                // Add active class to the clicked button
                this.classList.add('active-btn');
            });
        });
    });
</script>
<style>
  .card {
    width: 80%; /* Adjust the width as needed */
    margin: 0 auto; /* This will center the card */
  }
</style>
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css">
  <style>
    /* Adjust the position of the icon */
    .back-btn {
      display: inline-block;
      padding: 5px 12px;
      background-color: #4CAF50;
      color: white;
      text-decoration: none;
      border: none;
      border-radius: 2px;
      cursor: pointer;
    }
    .back-btn{
      margin-right: 3px;
    }
    .back-btn:hover {
      background-color: #45a049;
    }
  </style>
<div id="content" class="bg-container">
    <div class="outer">
        <div class="inner bg-light lter bg-container">
            <div class="row">
                <div class="col-xs-12 data_tables">
                    <div class="card">
                        <div class="card-block" style="margin-top:60px;">
                            <table class="table table-striped table-bordered table-hover" id="sample_1">
                                <thead>
                                    <tr>
                                        <th>#</th>
                                        <th>Section</th>
                                        <th>Products</th>
                                        <th>Demand</th>
                                        <th>Notes</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php
                                    $n = 1;
                                    $ProductDemand = Run($conn, "SELECT tbl_demand_record.id, tbl_demand_record.supplier, tbl_demand_record.title, tbl_demand_record.brand_id, tbl_demand_record.quantity, tbl_demand_record.vendor_note
                                        FROM tbl_demand_record
                                        WHERE tbl_demand_record.status = '0'
                                        AND tbl_demand_record.Vendor = 'Store'
                                        AND tbl_demand_record.quantity > '0'
                                        order by brand_id ASC;");

                                    while ($DemandR = GetRow($ProductDemand)) {
                                        $ProductID = $DemandR['id'];
                                        $unitID = GetRow(Run($conn, "select unit FROM tbl_items
                                        WHERE id = '$ProductID'"));
                                    ?>
                                        <tr>
                                            <td><?php echo $n++; ?></td>
                                            <td><?php $Section  = showTitle($conn, 'tbl_brands', $DemandR['brand_id']);
                                                echo $Section; ?></td>
                                            <td><?php echo '<strong>' . $DemandR['title'] . '</strong>'; ?></td>
                                            <td><?php echo $DemandR['quantity'];
                                                echo ' <span class="small">' . showTitle($conn, 'tbl_units', $unitID['unit']) . '</span>'; ?></td>
                                            <td><?php echo $DemandR['vendor_note']; ?></td>
                                        </tr>
                                    <?php } ?>
                                </tbody>
                                <?php
                                // Run the SQL query
                                $sql = "SELECT DISTINCT tbl_demand_record.quantity, tbl_demand_record.title, tbl_demand_record.brand_id, tbl_demand_record.unit, tbl_demand_record.vendor_note
                                        FROM tbl_demand_record, tbl_brands, tbl_units
                                        WHERE tbl_demand_record.status = '0'
                                        AND  tbl_demand_record.Vendor = 'Store'
                                        AND tbl_demand_record.quantity > '0' order by brand_id ASC;";

                                $result = mysqli_query($conn, $sql);

                                // Check query result
                                if (!$result) {
                                    die("Query failed: " . mysqli_error($conn));
                                }

                                // Initialize an empty string for the product demand
                                $ProductDemand = "";

                                // Loop through the result set and concatenate the rows
                                while ($row = mysqli_fetch_assoc($result)) {
                                    $brand = showTitle($conn, 'tbl_brands', $row['brand_id']);
                                    $unit  = showTitle($conn, 'tbl_units', $row['unit']);
                                    $Note_1 = $row['vendor_note'];

                                    $productDetails = $brand . " - *" . $row["quantity"] . "* " . $unit . " - " . $row["title"];

                                    if (!empty($Note_1)) {
                                        $productDetails .= " *Note* " . $Note_1;
                                    }

                                    $ProductDemand .= $productDetails . "\n";
                                }

                                // Add your restaurant name and address at the end of the product demand
                                $ProductDemand .= "\n$pageTitle\n";
                                $ProductDemand .= "\n*Bistro Noir*\nF 7/3 Gol Market Islamabad";
                                $ProductDemand .= "\nDear Store Manager, We kindly request the store to be opened by 8:00 am to facilitate our kitchen operations. Additionally, please ensure products are ready for handover to authorized kitchen staff upon their arrival.";
                                // Encode the product demand string
                                $ProductDemand = urlencode($ProductDemand);

                                ?>
                                <a href="VendorsFromKitchen.php" class="back-btn"><i class="fas fa-arrow-left"></i></a>
                                <div style="display: flex; justify-content: flex-end; gap: 20px;">
                                    <a class="btn btn-success btn-view-pdf" href="printStoreDemand" target="_blank" title="Print"><i class="fa fa-print"></i> Download PDF</a>
                                    <a class="btn btn-success" onclick="window.open('https://api.whatsapp.com/send?phone=<?php echo +923170553863;?>&text=<?php echo $ProductDemand;?>&source=&data=', '_blank', 'width=600,height=400')" href="#" class="btn btn-raised btn-primary btn-sm md-trigger adv_cust_mod_btn"> Send Demand</a>
                                </div>
                                &nbsp;
                            </table>
                        </div>
                    </div>
                    <!-- END EXAMPLE1 TABLE PORTLET-->
                </div>
            </div>
            <!-- /.inner -->
        </div>
        <!-- /.outer -->
    </div>
    <!-- /#content -->
</div>
<?php include 'Footer.php'; ?>
