<?php 
$page = 'index1';

require_once('sessionp.php');
require_once('checkAccountsSession.php');

require_once('includes/connection.php');
require_once('includes/functions.php');

$ID = $_GET['id'];
$listTitleResult = GetRow(Run($conn, "SELECT title FROM tbl_brands WHERE id = '$ID' ORDER BY title ASC;"));
$listTitle = $listTitleResult['title'];

$module = 'Demand';
$pageTitle = 'Demand ' . $listTitle;
include 'MasterTop.php';
?>

<style>
    table.table tr th, table.table tr td {
        font-size: 19px;
    }
    @media print {
        body, table, th, td {
            color: #000 !important;
            font-size: 16px;
        }
        table {
            border-collapse: collapse;
        }
        .table-bordered th, .table-bordered td {
            border: 2px solid #000 !important;
        }
        tr, td, th {
            page-break-inside: avoid;
        }
        @page {
            size: auto;
            margin: 10mm;
        }
    }
</style>

<div id="content" class="bg-container">
    <?php include 'Header.php'; ?>
    <div class="outer">
        <div class="inner bg-light lter bg-container">
            <div class="row">
                <div class="col-xs-12 data_tables">
                    <div class="card">
                        <div class="card-block" style="margin-top:30px;">
                        <form method="post" action="process/CompleteDemand">    
                            <table class="table table-striped table-bordered table-hover" id="sample_1">
                                <thead>
                                    <tr>
                                        <th>S/N</th>
                                        <th>Items</th>
                                        <th>End Account</th>
                                        <th>Demand</th>
                                        <th>S/N</th>
                                        <th>Items</th>
                                        <th>End Account</th>
                                        <th>Demand</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php 
                                    $listRS = Run($conn, "SELECT DISTINCT title, id, brand_id, unit, category_id FROM tbl_items WHERE brand_id = '$ID' ORDER BY category_id, title ASC;");
                                    $currentCategoryId = null;
                                    $i = 1;
                                    while ($listR1 = GetRow($listRS)) {
                                        $id_in1 = $listR1['id'];
                                        $Quantity_Add1 = GetRow(Run($conn, "SELECT quantity AS quantity_add, vendor_note AS notes FROM tbl_demand_record WHERE id = '$id_in1' AND status = '0'"));
                                        if ($currentCategoryId !== $listR1['category_id']) {
                                            $currentCategoryId = $listR1['category_id'];
                                            $categoryTitle = GetRow(Run($conn, "SELECT title FROM tbl_items_cat WHERE id = '$currentCategoryId'"));
                                            $TITLE = $categoryTitle['title'];
                                            echo '<tr><th colspan="8">' . $TITLE . '</th></tr>';
                                            $i = 1;
                                        }
                                        echo '<tr><td>'.$i.'</td>';
                                        echo '<td>'.$listR1['title'].' <span class="small">'.showTitle($conn, 'tbl_units', $listR1['unit']).'</span></td>';
                                        echo '<td></td><td></td>';
                                        $i++;
                                        $listR2 = GetRow($listRS);
                                        if ($listR2 && $currentCategoryId === $listR2['category_id']) {
                                            echo '<td>'.$i.'</td>';
                                            echo '<td>'.$listR2['title'].' <span class="small">'.showTitle($conn, 'tbl_units', $listR2['unit']).'</span></td>';
                                            echo '<td></td><td></td></tr>';
                                            $i++;
                                        } else {
                                            echo '<td colspan="4">No more data for this category.</td></tr>';
                                        }
                                    }
                                    ?>
                                </tbody>
                            </table>
                        </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<?php include 'Footer.php'; ?>
<script>
    window.onload = function() { window.print(); }
</script>
