<?php 
$page = 'EmpEdditionLeavesPrint';

require_once('sessionp.php');
require_once('includes/connection.php');
require_once('includes/functions.php');


$start_date = getValue('start_date');
$end_date   = getValue('end_date');
$section   = getValue('section');
include 'MasterTop.php';
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Print Page</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            color: black;
        }

        #content {
            padding: 20px;
        }

        .card {
            border: 2px solid black;
            padding: 20px;
            margin-bottom: 20px;
            border-radius: 10px;
        }

        table {
            width: 100%;
            border-collapse: collapse;
            margin-top: 20px;
        }

        th, td {
            border: 1px solid black;
            padding: 10px;
            text-align: center;
        }

        th {
            background-color: #ccc;
        }

        h4 {
            margin-top: 20px;
        }
    </style>
</head>
<body>
    <div id="content" class="bg-container">
        <div class="outer">
            <div class="inner bg-light lter bg-container">
                <div class="row">
                    <div class="col-xs-12 data_tables"> 				
                        <!-- BEGIN EXAMPLE1 TABLE PORTLET-->
                        <div class="card">

                            <p style="margin-top: 5px; font-size: 18px; text-align: center;">
                                The table below shows details for the period from <?php echo $start_date; ?> to <?php echo $end_date; ?>. It includes employees whose salary is generated for less than 30 days. If <?php echo $section; ?> head needs to adjust leaves for their employees from their annual leave balance, kindly make a note of it below.
                            </p>

                            <p style="margin-top: 20px; font-size: 18px; text-align: left; font-weight: bold;">
                                Note:
                            </p>

                            <p style="font-size: 18px; text-align: justify;">
                                If you are deducting from annual leave, please ensure that the necessary adjustments are made to reach a total of 30 payable days. Thank you.
                            </p>

                            <div class="card-block">

                                <table>
                                    <thead>
                                        <tr>
                                            <th>id</th>
                                            <th>Joining Date</th>
                                            <th>Employee</th>
                                            <th>Designation</th>
                                            <th>Remaining Annual</th>
                                            <th>Brought Forward</th>
                                            <th>Worked</th>
                                            <th>Add Brought Leaves In <?php echo date('F Y', strtotime($start_date))?></th>
                                            <th>Add Mis Count</th>
                                            <th>Add Annual</th>
                                            <th>Add Public holidays</th>
                                            <th>Availed In Month</th>
                                            <th>Payable</th>									
                                        </tr>
                                    </thead>
                                    <tbody>
                                    <?php 
                                            $designationOrder = array(
                                                'Senior G. Manager' => 1,
                                                'G. Manager' => 2,
                                                'Senior Restaurant Manager' => 3,
                                                'Restaurant Manager' => 4,
                                                'Senior Assistant Manager' => 5,
                                                'Assistant Manager' => 6,
                                                'Senior Shift Manager' => 7,
                                                'Shift Manager' => 8,
                                                'Senior Shift Lead' => 9,
                                                'Shift Lead' => 10,
                                                'Senior Supervisor' => 11,
                                                'Supervisor' => 12,
                                                'Senior Order Taker' => 13,
                                                'Order Taker' => 14,
                                                'Senior Cashier' => 15,
                                                'Cashier' => 16,
                                                'Senior GRO' => 17,
                                                'GRO' => 18,
                                                'Senior Waiter' => 19,
                                                'Senior Server' => 19,
                                                'Waiter' => 20,
                                                'Server' => 20,
                                                'Senior Busser' => 21,
                                                'Busser' => 22,
                                                'Senior Executive Chef' => 23,
                                                'Executive Chef' => 24,
                                                'Senior Head Chef' => 25,
                                                'Head Chef' => 26,
                                                'Senior Sous Chef' => 27,
                                                'Sous Chef' => 28,
                                                'Senior CDP' => 29,
                                                'CDP' => 30,
                                                'Senior Demi' => 31,
                                                'Demi' => 32,
                                                'Senior Commis 1' => 33,
                                                'Commis 1' => 34,
                                                'Senior Commis 2' => 35,
                                                'Commis 2' => 36,
                                                'Senior Commis 3' => 37,
                                                'Commis 3' => 38,
                                                'Senior Food Runner' => 39,
                                                'Food Runner' => 40,
                                                'Senior Prep Cook' => 41,
                                                'Prep Cook' => 42,
                                                'Senior Helper Main Kitchen' => 43,
                                                'Helper Main Kitchen' => 44,
                                                'Senior Dishwasher Main Kitchen' => 45,
                                                'Dishwasher Main Kitchen' => 46,
                                                'Senior Intern Main Kitchen' => 47,
                                                'Intern Main Kitchen' => 48,
                                                'Senior Pastry Chef' => 49,
                                                'Pastry Chef' => 49,
                                                'Head Patissier' => 50,
                                                'Senior Pastry Sous Chef' => 51,
                                                'Pastry Sous Chef' => 52,
                                                'Senior Pastry Commis 1' => 53,
                                                'Pastry Commis 1' => 54,
                                                'Senior Pastry Commis 2' => 55,
                                                'Pastry Commis 2' => 56,
                                                'Senior Pastry Commis 3' => 57,
                                                'Pastry Commis 3' => 58,
                                                'Senior Helper Pastry' => 59,
                                                'Helper Pastry' => 60,
                                                'Senior Dishwasher Pastry' => 61,
                                                'Dishwasher Pastry' => 62,
                                                'Senior Intern Pastry' => 63,
                                                'Intern Pastry' => 64,
                                                'Senior Head Barista' => 65,
                                                'Head Barista' => 66,
                                                'Senior Deputy Barista' => 67,
                                                'Deputy Barista' => 68,
                                                'Senior Barista' => 69,
                                                'Barista' => 70,
                                                'Senior Helper Barista' => 71,
                                                'Helper Barista' => 72,
                                                'Senior Intern Barista' => 73,
                                                'Intern Barista' => 74,
                                                'Senior House Keeping' => 75,
                                                'House Keeping' => 76,
                                                'Senior Accountant' => 77,
                                                'Accountant' => 78,
                                                'Senior Building Admin' => 79,
                                                'Building Admin' => 80,
                                                'Senior Maintenance' => 81,
                                                'Maintenance' => 82,
                                                'Senior Purchaser' => 83,
                                                'Purchaser' => 84
                                            );

                                            $designationValues = array_map(function ($designation) {
                                                return "'$designation'";
                                            }, array_keys($designationOrder));									
                                    $reportRS    = Run($conn, "SELECT * FROM tbl_employees WHERE id_emp NOT IN (121, 122) AND tbl_employees.status = 'Active' and house='$section' ORDER BY house,FIELD(designation, " . implode(', ', $designationValues) . ")");
                                    $i = 1;
                                    $currentSection = ''; // Initialize currentSection variable
                                    while ($reportR = GetRow($reportRS)) {
                                        $reportID = $reportR['id_emp']; 
                                        $WorkDay = GetRow(Run($conn, "SELECT COUNT(DISTINCT Date) AS NumDistinctDates
                                            FROM tbl_attendance
                                            WHERE PIN = '$reportID'
                                            AND MONTH(Date) = MONTH('$start_date')
                                            AND YEAR(Date) = YEAR('$start_date')"));
                                        
                                        $mis_Count = GetRow(Run($conn, "SELECT sum(mis_count) as mis_CountAvail
                                            FROM tbl_staff_leaves
                                            WHERE id_emp = '$reportID'
                                            AND MONTH(post_date) = MONTH('$start_date')
                                            AND YEAR(post_date) = YEAR('$start_date')"));
                                        
                                        $LeavesQuery = GetRow(Run($conn, "SELECT sum(reserved) as total_reserved FROM tbl_staff_leaves WHERE id_emp='$reportID' AND ((YEAR(post_date) < YEAR('$start_date')) OR (YEAR(post_date) = YEAR('$start_date') AND MONTH(post_date) < MONTH('$start_date')))"));
                                        $reserved = $LeavesQuery['total_reserved'];
                                        
                                        $TakenLeavesQuery = GetRow(Run($conn, "SELECT COALESCE(sum(`Get_Previous`), 0) as total_taken FROM `tbl_leaves_use` WHERE `id_emp`='$reportID' AND ((YEAR(post_date) < YEAR('$start_date')) OR (YEAR(post_date) = YEAR('$start_date') AND MONTH(post_date) < MONTH('$start_date')))"));
                                        $Get_PreviousLast = $TakenLeavesQuery['total_taken'];
                                        
                                        $reservedAlready = $reserved - $Get_PreviousLast;
                                        
                                        $Get_PreviousNow = GetRow(Run($conn, "SELECT sum(Get_Previous) as Get_PreviousAvail
                                            FROM tbl_leaves_use
                                            WHERE MONTH(post_date) = MONTH('$start_date')
                                            AND YEAR(post_date) = YEAR('$start_date')
                                            AND id_emp = '$reportID'"));							 								 
                                        
                                        $annual = GetRow(Run($conn, "SELECT sum(annual) as annualAvail
                                            FROM tbl_staff_leaves
                                            WHERE id_emp = '$reportID'
                                            AND MONTH(post_date) = MONTH('$start_date')
                                            AND YEAR(post_date) = YEAR('$start_date')"));
                                        
                                        $public = GetRow(Run($conn, "SELECT sum(public) as publicAvail
                                            FROM tbl_staff_leaves
                                            WHERE id_emp = '$reportID'
                                            AND MONTH(post_date) = MONTH('$start_date')
                                            AND YEAR(post_date) = YEAR('$start_date')"));
                                        
                                        $AvailLeave = (4/26) * ($WorkDay['NumDistinctDates']+$mis_Count['mis_CountAvail']+$Get_PreviousNow['Get_PreviousAvail']+$public['publicAvail']);
                                        // Limit the available leave to a maximum of 4
                                        if ($AvailLeave > 4) {
                                            $AvailLeave = 4;
                                        } 								
                                        $TotalPayable = $WorkDay['NumDistinctDates']+$mis_Count['mis_CountAvail']+$Get_PreviousNow['Get_PreviousAvail']+$annual['annualAvail']+$public['publicAvail']+$AvailLeave;
                                        
                                        if ($TotalPayable > 30) {
                                            $TotalPayable  = 30;    
                                        }
                                        
                                        $reservedThisMonth = $WorkDay['NumDistinctDates'] + $mis_Count['mis_CountAvail'] + $Get_PreviousNow['Get_PreviousAvail'] + $annual['annualAvail'] + $public['publicAvail'] + $AvailLeave;
                                        
                                        // Determine the last day of $start_date
                                        $lastDayOfMonth = date('d', strtotime('last day of ' . $start_date));
                                        
                                        // Calculate the final value of $reservedThisMonth
                                        if ($lastDayOfMonth == 31) {
                                            $reservedThisMonth -= 31;
                                        } else {
                                            $reservedThisMonth -= 30;
                                        }
                                        
                                        // Ensure the result is not negative
                                        $reservedThisMonth = max($reservedThisMonth, 0);
                                        
                                        $bonus = GetRow(Run($conn, "SELECT sum(bonus) as bonusAvail
                                            FROM tbl_staff_leaves
                                            WHERE id_emp = '$reportID'
                                            AND MONTH(post_date) = MONTH('$start_date')
                                            AND YEAR(post_date) = YEAR('$start_date')"));
                                        
                                        $OverTime = GetRow(Run($conn, "SELECT sum(OverTime) as OverTimeAvail
                                            FROM tbl_staff_leaves
                                            WHERE id_emp = '$reportID'
                                            AND MONTH(post_date) = MONTH('$start_date')
                                            AND YEAR(post_date) = YEAR('$start_date')"));								
                                        
                                        $Earned = ($reportR['salary_per_month']/30)*($TotalPayable)+($bonus['bonusAvail'])+($OverTime['OverTimeAvail']);
                                        
                                        $advance = GetRow(Run($conn, "SELECT sum(advance) as advanceAvail
                                            FROM tbl_expenses
                                            WHERE id_emp = '$reportID'
                                            AND MONTH(post_date) = MONTH('$start_date')
                                            AND YEAR(post_date) = YEAR('$start_date')"));
                                        
                                        $Payable = $Earned - $advance['advanceAvail'];
                                        $TotalReservedDays = $reservedAlready+$reservedThisMonth;
										
                                        $attendanceJoingResult = Run($conn, "SELECT `joining_date` FROM `tbl_employees` WHERE `id_emp`='$reportID'");
                                        $attendanceJoing = GetRow($attendanceJoingResult);
                                        $joiningDate = $attendanceJoing['joining_date'];

                                        $attendanceLeavingResult = Run($conn, "SELECT Date FROM `tbl_attendance` WHERE `PIN`= '$reportID' ORDER BY `id` DESC LIMIT 1");
                                        $attendanceLeaving = GetRow($attendanceLeavingResult);
                                        $leavingDate = $attendanceLeaving['Date'];

                                        // Calculate the total number of months
                                        $joiningDateTime = new DateTime($joiningDate);
                                        $leavingDateTime = new DateTime($leavingDate);
                                        $interval = $joiningDateTime->diff($leavingDateTime);
                                        $workedTotalMonth = $interval->y * 12 + $interval->m; // Total months

                                        $annualAvail = $workedTotalMonth * 1;

                                        $usedTotal = GetRow(Run($conn, "SELECT sum(`Annual`) As TotalAnnual FROM `tbl_calculations` WHERE `id_emp`='$reportID'"));
                                        $usedAnnual = $usedTotal['TotalAnnual'];

                                        $balanceAnnual = $annualAvail - $usedAnnual;
                                        // Print only if $TotalPayable is less than 30
                                        if ($TotalPayable < 30) {
                                    ?>
                                            <tr>
                                                <td><?php echo $reportID; ?></td>
												<td><?php echo $joiningDate; ?></td>
                                                <td><?php echo $reportR['name']; ?></td>
                                                <td><?php echo $reportR['designation']; ?></td>
												<td><?php echo $balanceAnnual; ?></td>
                                                <td style="<?php echo ($reservedAlready > 0) ? 'color: blue; font-weight: bold;' : ''; ?>"><?php echo $reservedAlready; ?></td>
                                                <td><?php echo $WorkDay['NumDistinctDates']; ?></td>
                                                <td><?php echo $Get_PreviousNow['Get_PreviousAvail']; ?></td>
                                                <td><?php echo $mis_Count['mis_CountAvail']; ?></td>
                                                <td><?php echo $annual['annualAvail']; ?></td>
                                                <td><?php echo $public['publicAvail']; ?></td>
                                                <td><?php echo number_format($AvailLeave, 2); ?></td>
                                                <td <?php if ($TotalPayable < 30) { echo 'style="color: red; font-weight: bold;"'; } ?>><?php echo number_format($TotalPayable, 2); ?></td>
                                            </tr>
                                    <?php
                                        }
                                    }
                                    ?>
                                    </tbody>								
                                </table>							
                            </div>

                            <!-- Signature for Section Head -->
                            <div>
                                <h4>Note From <?php echo $Section; ?> Head:</h4>
                            </div>

                            <div style="margin-top: 40px;">
                                <label>_____________________________________________________________________________________________________________________________________________________</label>
                            </div>

                            <div style="margin-top: 40px;">
                                <label>_____________________________________________________________________________________________________________________________________________________</label>
                            </div>

                            <div style="margin-top: 40px;">
                                <label>_____________________________________________________________________________________________________________________________________________________</label>
                            </div>
                            <div style="margin-top: 40px;">
                                <label>_____________________________________________________________________________________________________________________________________________________</label>
                            </div>
                            <div style="margin-top: 80px;">
                                <h4><?php echo $Section; ?> Head Signature:________________________________&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Authorized Person Signature:________________________________</h4>
                            </div>
                        </div>						
                        <!-- END EXAMPLE1 TABLE PORTLET--> 
                    </div>
                </div>
                <!-- /.inner --> 
            </div>
            <!-- /.outer --> 
        </div>
        <!-- /#content --> 
    </div>
</body>
</html>
<script>
    document.addEventListener('DOMContentLoaded', function () {
        let buttons = document.querySelectorAll('.btn-view-pdf, .btn-success');

        buttons.forEach(button => {
            button.addEventListener('click', function () {

                // Remove active class from all buttons
                buttons.forEach(btn => btn.classList.remove('active-btn'));

                // Add active class to the clicked button
                this.classList.add('active-btn');
            });
        });
    });
</script>
<script>
    window.onload = function() { window.print(); }
</script>
<?php include 'Footer.php'; ?>
