<?php
$page        = 'calculations';
require_once('sessionp.php');
require_once('includes/connection.php');
require_once('includes/functions.php');

    $ID	         = $_GET['id']; 
	
$module	     = 'employees';

$start_month = date('m', strtotime($start_date));

include 'MasterTop.php';
?>
<!DOCTYPE html>
<html>
<head>
    <title>Employee Information</title>
    <style>
        /* Add your custom CSS styles here */
        body {
            font-family: Arial, sans-serif;
            margin: 0;
            padding: 0;
            display: flex;
            justify-content: center;
            align-items: center;
            min-height: 100vh;
            background-color: #f2f2f2;
        }
  .closing-paragraph {
    border: 1px solid #444;
    padding: 30px;
    margin-bottom: 15px;
	margin-top: 15px;
    background-color: #fff;  /* white background */
    border-radius: 20px;
    box-shadow: 0 0 10px rgba(0,0,0,0.1);
  }		

        .info-container {
            width: 100%;
            max-width: 1400px;
            padding: 20px;
            border-radius: 10px;
            background-color: #ffffff;
            box-shadow: 0 0 20px rgba(0, 0, 0, 0.2);
        }

        .header {
            text-align: center;
            margin-bottom: 20px;
			margin-top: 10px;
        }

        .header h1 {
            font-size: 36px;
            color: #333;
            margin-bottom: 5px;
        }

        .header p {
            font-size: 20px;
            color: #777;
        }

        .content {
            text-align: left; /* Align content to the left */
        }

        table {
            width: 100%;
            border-collapse: collapse;
            margin-top: 2px;
            border: 1px solid #ddd;
            table-layout: fixed; /* Prevent cell content from breaking across pages */
        }

        th, td {
            padding: 15px;
            text-align: right;
            border-bottom: 1px solid #ddd;
            font-size: 22px;
            word-wrap: break-word; /* Allow long words to wrap within cells */
        }

        th {
            background-color: #f2f2f2;
            font-size: 22px; /* Increased font size for table headers */
            text-transform: uppercase; /* Uppercase table headers */
        }

        td {
            font-size: 20px; /* Font size for table data */
            text-align: left; /* Align text to the left within table data cells */
        }

  p {
    line-height: 1.4;
    color: #000;  /* black color */
    font-size: 1.8rem;  /* increased font size */
  }

        .promo {
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;
            margin-top: 0px;
            background-color: #ff9800;
            color: #fff;
            padding: 2px;
            border-radius: 10px;
        }

        @media print {
            body {
                -webkit-print-color-adjust: exact; /* Enable background colors in print */
                background-color: #fff; /* Set a white background for printing */
            }
        }
    </style>
</head>
<body>
    <div class="info-container">
        <div class="header">
            <h1>Welcome to Bistro</h1>
            <h1>Unit 3 Gol Market St 4</h1>
			<h1>F-7/3 Islamabad Pakistan</h1>
            <p>Your Journey Begins Here</p>
        </div>
        <div class="content">
            <table>
			<?php $listR	 = GetRow(Run($conn,"select * from tbl_employees where id='$ID'"));  ?>
                <tr>
                    <th>Name</th>
                    <td><?php echo $listR['name']; ?></td>
                </tr>
                <tr>
                    <th>House</th>
                    <td><?php echo $listR['house']; ?></td>
                </tr>
                <tr>
                    <th>Cell</th>
                    <td><?php echo $listR['cell']; ?></td>
                </tr>
                <tr>
                    <th>ID Card</th>
                    <td><?php echo $listR['id_card']; ?></td>
                </tr>
                <tr>
                    <th>Emergency Contact</th>
                    <td><?php echo $listR['emergency_contact']; ?></td>
                </tr>
                <tr>
                    <th>Date of Birth(dd-mm-yyy)</th>
                    <td><?php echo $listR['date_of_birth']; ?></td>
                </tr>
                <tr>
                    <th>Gender</th>
                    <td><?php echo $listR['gender']; ?></td>
                </tr>
                <tr>
                    <th>Marital Status</th>
                    <td><?php echo $listR['marital_status']; ?></td>
                </tr>
                <tr>
                    <th>Current Address</th>
                    <td><?php echo $listR['current_address']; ?></td>
                </tr>
                <tr>
                    <th>Uniform Info</th>
                    <td><?php echo $listR['uniform_info']; ?></td>
                </tr>
                <tr>
                    <th>Joining Date(dd-mm-yyy)</th>
                    <td><?php echo $listR['joining_date']; ?></td>
                </tr>
                <tr>
                    <th>Bank Title Name</th>
                    <td><?php echo $listR['title_name']; ?></td>
                </tr>
                <tr>
                    <th>Bank Name</th>
                    <td><?php echo $listR['bank_name']; ?></td>
                </tr>
                <tr>
                    <th>Account Number</th>
                    <td><?php echo $listR['account_number']; ?></td>
                </tr>
            </table>
            <h3 style="margin-top: 20px; color: black;">Office Use</h3>
            <table>
                <tr>
                    <th>ID</th>
                    <td><?php echo $listR['id_emp']; ?></td>
                </tr>
                <tr>
                    <th>Designation</th>
                    <td><?php echo $listR['designation']; ?></td>
                </tr>	
                <tr>
                    <th>Salary</th>
                    <td><?php echo $listR['salary_per_month']; ?></td>
                </tr>	
            </table>
			<?php
			                echo '<br>';
                            echo '<br>';
                            echo '<br>';
                            echo '<br>';
                            echo '<br>';
                            echo '<br>';										
                            echo '<p>______________________________&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;______________________________&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;______________________________</p>';
							echo '<p>Employee Signature/Thumbprint &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Head&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Authorized Person</p>';
							echo '<hr></hr>';
			?>
                    <p>Please fill out the employee information in the table above. Make sure to provide accurate and complete details. Once you've filled out the information, don't forget to attach a copy of the ID card.</p> 
     			<div class="promo">
                    <p>Join us and be a part of something extraordinary!</p>
                    <h2>Experience Excellence at Bistro Noir</h2>
                </div>
		    </div>				
			<div style="page-break-before: always;"></div>
                <div class="col-xs-12 data_tables">
                    <div class="card-block">
                        <?php
                            echo '<div class="closing-paragraph">';
                            echo '<h1 style="text-align: center; margin-top: 1px;"><strong>Code Of Conduct</strong></h1>';
                            echo '</div>';
                            echo '<div class="closing-paragraph">';
			                echo '<br>';
                            echo '<br>';
                            echo '<br>';
                            echo '<br>';							
                            echo "<p><strong>Dear {$listR['name']},</strong></p>";
                            echo '<h4>After carefully reading the Code of Conduct, please sign below to indicate your agreement and commitment to follow these guidelines:</h4>';
                            echo '<br>';
                            echo '<p>1. Report to your duty at least 15 minutes prior to the commencement of your work to ensure punctuality.</p>';
                            echo '<p>2. Always attend the briefing conducted by the Manager before the start of your shift.</p>';
                            echo '<p>3. Adhere to the proper dress code, including wearing the authorized name tag provided by Bistro Noir.</p>';
                            echo '<p>4. Uniforms are not permitted to be worn outside the premises at any time, unless it is a requirement of your job or during a designated function.</p>';
                            echo '<p>5. In the event that you are unable to report for work at your assigned time, notify the Outlet Manager within two hours of the start of your shift. Failure to do so may result in disciplinary action.</p>';
                            echo '<p>6. Failure to inform about an absence from duty for an extended period may be considered "Abandoning the Position." In such cases, attempts should be made by associates or management to communicate with the absent staff to ascertain the facts.</p>';
                            echo '<p>7. Consume meals only at scheduled times and refrain from eating or drinking in the presence of guests.</p>';
                            echo '<p>8. Jewelry, including broaches, bracelets, visible necklaces, or rings, is not permitted while on duty.</p>';
                            echo '<p>9. Avoid using abusive or offensive language towards guests, colleagues, or management. Maintain a quiet and respectful demeanor in the presence of guests.</p>';
                            echo '<p>10. Approval from the Manager is required for any scheduled time off. Unauthorized absences and actions such as gambling or theft within the restaurant premises are strictly prohibited.</p>';
                            echo '<p>11. Demonstrate attentiveness to guest needs, anticipate their requests, and strive to fulfill them to ensure guest satisfaction.</p>';
                            echo '<p>12. Handle guest complaints professionally and efficiently, even if the issue is not directly related to your responsibilities. If unable to resolve the matter, promptly contact a colleague or supervisor.</p>';
                            echo '<p>13. Provide consistent and equal service standards to all guests, irrespective of their origin.</p>';
                            echo '<p>14. Management reserves the right to terminate employment without notice.</p>';
                            echo '<p>15. Upon completion of your daily shift, vacate your assigned station and workplace, unless directed otherwise by your Manager.</p>';
                            echo '<p>16. Photographing or sharing images or videos of food or beverages is not permitted.</p>';
                            echo '<p>17. Mobile phones and personal devices are prohibited during duty hours.</p>';
                            echo '<p>18. Submit a written notice at least 15 days prior if you intend to leave the company.</p>';
                            echo '<p>19. Engaging in a second job while employed here is not allowed.</p>';
                            echo '</div>';
                            echo '<br>';
                            echo '<br>';
                            echo '<br>';
                            echo '<br>';									
                            echo '<p>______________________________</p>';
							echo '<p>Employee Signature/Thumbprint</p>';
							echo '<hr></hr>';
							?>
                    </div>
                </div>
		    </div>	
        </div>
</body>

<script>
    window.onload = function() {
        window.print();
    }
</script>