<header class="head">
    <div class="main-bar row">
        <div class="col-md-4" style="margin-bottom:15px;">
            <h4 class="nav_top_align">
                <!-- <i class="fa fa-th"></i> -->
                <?php echo $pageTitle; ?>
                <?php if (isset($_GET['error'])) { ?>
                    <span class="text-danger">Error: 
                        <?php echo ucfirst(str_replace("-", " ", getValue('error'))); ?>
                    </span>
                <?php } ?>
                <?php if (isset($_GET['success'])) { ?>
                    <span class="text-success">Success: 
                        <?php echo ucfirst(str_replace("-", " ", getValue('success'))); ?>
                    </span>
                <?php } ?>
            </h4>
        </div>

        <?php if ($page == 'days') { ?>
            <div class="col-md-8" style="margin-top:-20px; margin-bottom:15px;"> 
                <form method="get" action="days"> 
                    <div class="row">  
                        <div class="col-lg-4 input_field_sections" style="float:right;"> 
                            <select name="year_month" class="form-control" onchange="this.form.submit()">
                                <?php 
                                $year = getValue('year');
                                $month = getValue('month');
                                if (getValue('year_month') != '') {
                                    $year = explode("-", getValue('year_month'))[0];
                                    $month = explode("-", getValue('year_month'))[1];
                                }
                                $cashMonthsRS = Run($conn, "select distinct month from tbl_daily_cash where status = '1' and year='$year' order by id desc");
                                while ($cashMonthsR = GetRow($cashMonthsRS)) {
                                ?>
                                    <option value="<?php echo $year; ?>-<?php echo $cashMonthsR['month']; ?>" 
                                            <?php if ($cashMonthsR['month'] == $month) { ?> selected="selected" <?php } ?>>
                                        <?php echo $year; ?>-<?php echo $cashMonthsR['month']; ?>
                                    </option>
                                <?php } ?>
                            </select>
                        </div>   
                    </div>
                </form> 
            </div>
        <?php } ?>

        <?php if ($page == 'months') { ?>
            <div class="col-md-8" style="margin-top:-20px; margin-bottom:15px;"> 
                <form method="post" action=""> 
                    <div class="row">  
                        <div class="col-lg-4 input_field_sections" style="float:right;"> 
                            <select name="year" class="form-control" onchange="this.form.submit()">
                                <?php 
                                $cashYearsRS = Run($conn, "select distinct year from tbl_daily_cash where status = '1' order by id desc");
                                while ($cashYearsR = GetRow($cashYearsRS)) {
                                ?>
                                    <option value="<?php echo $cashYearsR['year']; ?>" 
                                            <?php if ($cashYearsR['year'] == getValue('year')) { ?> selected="selected" <?php } ?>>
                                        <?php echo $cashYearsR['year']; ?>
                                    </option>
                                <?php } ?>
                            </select>
                        </div>   
                    </div>
                </form> 
            </div>
        <?php } ?>

        <?php if ($page == 'buy') { ?>
             <li class="breadcrumb-item" style="color: #000; font-weight: bold; margin-top: 12px; margin-left: -15px;">
                <button class="btn btn-lg btn-raised btn-success md-trigger adv_cust_mod_btn" data-toggle="modal" data-target="#modal-item">
                    <i class="fa fa-plus-circle"></i> New Item
                </button>
                <a class="btn btn-lg btn-raised btn-success md-trigger adv_cust_mod_btn" href="PrintItems" target="_blank">Print Product</a>
            </li>
        <?php } ?>

        <?php if ($page == 'home') { ?>
            <div class="col-md-8" style="margin-top:-20px; margin-bottom:15px;"> 
                <form method="post" action="">
                    <input type="hidden" name="reg_date_check" value="true" />
                    <div class="row">
                        <div class="col-lg-2 input_field_sections" style="float:right; margin-right:14px;"> 
                            <a target="_blank" href="printDashboard.php?register_date=<?php echo $register_date; ?>&preg_date_check=true" class="btn btn-success">Print</a>
                        </div>
                        <div class="col-lg-2 input_field_sections" style="float:right; margin-right:-30px;"> 
                            <input type="submit" class="btn btn-primary" value="Submit" />
                        </div>
                        <div class="col-lg-4 input_field_sections" style="float:right; margin-right:-30px;"> 
                            <input type="date" class="form-control" name="register_date" value="<?php echo $register_date; ?>" required="required" />
                        </div>   
                    </div>
                </form> 
            </div>
        <?php } ?>

        <?php if ($page == 'DailyClosing') { ?>
            <div class="col-md-8" style="margin-top:-20px; margin-bottom:15px;"> 
                <form method="post" action="">
                    <input type="hidden" name="reg_date_check" value="true" />
                    <div class="row">
                        <div class="col-lg-2 input_field_sections" style="float:right; margin-right:-30px;"> 
                            <input type="submit" class="btn btn-primary" value="Submit" />
                        </div>
                        <div class="col-lg-4 input_field_sections" style="float:right; margin-right:-30px;"> 
                            <input type="date" class="form-control" name="register_date" value="<?php echo $register_date; ?>" required="required" />
                        </div>   
                    </div>
                </form> 
            </div>
        <?php } ?>

        <?php if ($range == 'true') { ?>
            <div class="col-md-8" style="margin-top:-20px; margin-bottom:15px;"> 
                <form method="post" action="">
                    <input type="hidden" name="date_check" value="true" />
                    <div class="row">
                        <div class="col-lg-2 input_field_sections" style="float:right;"> 
                            <input type="submit" class="btn btn-primary" value="Submit" />
                        </div>
                        <div class="col-lg-4 input_field_sections" style="float:right; margin-right:-30px;"> 
                            <input type="date" class="form-control" name="date_to" value="<?php echo $end_date; ?>" required="required" />
                        </div>
                        <div class="col-lg-4 input_field_sections" style="float:right; margin-right:-30px;"> 
                            <input type="date" class="form-control" name="date_from" value="<?php echo $start_date; ?>" required="required" />
                        </div>  
                    </div>
                </form> 
            </div>
        <?php } ?>
    </div>
</header>
