<?php 

$page		  = 'suppliers';

require_once('sessionp.php');
require_once('checkAccountsSession.php');

require_once('includes/connection.php');
require_once('includes/functions.php');

$start_day   = '01';
$start_month = date("m");
$start_year  = date("Y");
$start_date = $start_year.'-'.$start_month.'-'.$start_day;
$end_date   = date("Y-m-d");
$date_check = getValue('date_check');
if($date_check == 'true')
	{
		$start_date = getValue('date_from');
		$end_date   = getValue('date_to');
	}
$register_date = date("Y-m-d");
$reg_date_check = getValue('reg_date_check');
if($reg_date_check == 'true')
	{
		$register_date = getValue('register_date'); 
	}


$module		 = 'purchases';
$pageTitle 	 = 'Suppliers';
$pageRole  	 = 'table';
$range 	   	= 'true'; 

include 'MasterTop.php';
include 'Top.php';
include 'SideBar.php';
?>
<style>
.buttons-print {
    border: 1px solid #b2b2b2;
    padding: 3px 7px;
    border-radius: 3px;
    background: linear-gradient(135deg, #6A82FB, #FC5C7D);
    color: white;
}

.btn-success, .btn-view-pdf, .btn-view-send {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    position: relative;
    overflow: hidden;
    transition: box-shadow .3s;
    box-shadow: 0 8px 20px rgba(0, 0, 0, 0.12);
    color: white;
}

.btn-success::after, .btn-view-pdf::after, .btn-view-send::after {
    content: "";
    position: absolute;
    top: -100%;
    left: -100%;
    width: 200%;
    height: 200%;
    z-index: 1;
    background: linear-gradient(135deg, transparent, rgba(255, 255, 255, 0.4), transparent);
    transform: rotate(45deg);
    pointer-events: none;
    transition: top 0.5s, left 0.5s;
}

.btn-success:hover::after, .btn-view-pdf:hover::after, .btn-view-send:hover::after {
    top: 100%;
    left: 100%;
}

.btn-success {
    background: linear-gradient(135deg, #8E2DE2, #4A00E0);
    border: none;
    padding: 6px 12px;
    border-radius: 50px 50px 0 50px;
    font-weight: 600;
}

.btn-view-pdf {
    background: linear-gradient(135deg, #FFB75E, #ED8F03);
    border-radius: 50px 50px 0 50px;
    padding: 6px 12px;
}

.btn-view-send {
    background: linear-gradient(135deg, #56ab2f, #a8e063);
    border-radius: 30px 50px 0 50px;
    padding: 6px 15px;
}

.btn-view-pdf i, .btn-view-send i {
    margin-right: 4px;
}

.active-btn {
    background: linear-gradient(135deg, #f54242, #f542a2);
    box-shadow: 0 6px 14px rgba(255,0,0,0.1);
}

@keyframes dance {
    0% { transform: scale(1) rotate(0); }
    20% { transform: scale(1.05) rotate(-5deg); }
    40% { transform: scale(1) rotate(5deg); }
    60% { transform: scale(1.05) rotate(-5deg); }
    80% { transform: scale(1) rotate(5deg); }
    100% { transform: scale(1) rotate(0); }
}

.btn-success:hover, .btn-view-pdf:hover, .btn-view-send:hover {
    animation: dance 0.5s infinite;
}
</style>
<script>
    document.addEventListener('DOMContentLoaded', function () {
        let buttons = document.querySelectorAll('.btn-view-pdf, .btn-success');

        buttons.forEach(button => {
            button.addEventListener('click', function () {

                // Remove active class from all buttons
                buttons.forEach(btn => btn.classList.remove('active-btn'));

                // Add active class to the clicked button
                this.classList.add('active-btn');
            });
        });
    });
</script>	
<div id="content" class="bg-container">
    <?php include 'Header.php'; ?>
    <div class="outer">
        <div class="inner bg-light lter bg-container">
            <div class="row">
                <div class="col-xs-12 data_tables"> 
                    <!-- BEGIN EXAMPLE1 TABLE PORTLET-->
                    <div class="card"> 
                        <div class="card-block" style="margin-top:60px;"> 
                            <table class="table table-striped table-bordered table-hover" id="sample_1">
                                <thead>
                                    <tr>
                                        <th>ID</th>
                                        <th>Title</th>
                                        <th>Catagory</th>
                                        <th style="text-align:right;">Credit (Rs)</th>
                                        <th style="text-align:right;">Debit (Rs)</th>        
                                        <th style="text-align:right;">Balance (Rs)</th>
                                        <th>Action</th>
                                        <th>Action</th>
                                        <th>Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                <?php    
                                    // Run the SQL query
                                    $sql = "SELECT 
                                                * 
                                            FROM 
                                                tbl_suppliers s
                                            WHERE 
                                                status = '1' AND 
                                                (
                                                    (SELECT sum(cr) FROM tbl_sup_payments WHERE post_date >= '$start_date' and post_date <= '$end_date' and supplier_id = s.id and status = '1') -
                                                    (SELECT sum(dr) FROM tbl_sup_payments WHERE post_date >= '$start_date' and post_date <= '$end_date' and supplier_id = s.id and status = '1') > 0
                                                )
                                            ORDER BY 
                                                id DESC;";

                                    $result = mysqli_query($conn, $sql);

                                    // Check query result
                                    if (!$result) {
                                        die("Query failed: " . mysqli_error($conn));
                                    }

                                    // Initialize an empty string for the product demand
                                    $ProductDemand = "";

                                    // Loop through the result set and concatenate the rows
                                    while ($row = mysqli_fetch_assoc($result)) {
                                        $supplierID = $row['id'];     
                                        $brand = showTitle($conn, 'tbl_brands', $row['brand_id']);

                                        $creditRS       = "select sum(cr) as credit_balance from tbl_sup_payments where post_date >= '$start_date' and post_date <= '$end_date' and supplier_id = '$supplierID' and status = '1'";
                                        $creditR        = GetRow(Run($conn,$creditRS));
                                        $credit_balance = $creditR['credit_balance']; 

                                        $debitRS        = "select sum(dr) as debit_balance from tbl_sup_payments where post_date >= '$start_date' and post_date <= '$end_date' and supplier_id = '$supplierID' and status = '1'";
                                        $debitR         = GetRow(Run($conn,$debitRS));
                                        $debit_balance  = $debitR['debit_balance']; 
                                        $GrandBalance = ($credit_balance-$debit_balance);

                                        $SuppliersPending  =  "```Supplier:``` *" . $row['title']."*\n\n";
                                        $SuppliersPending .=  "```Payable:``` *".$GrandBalance."*\n";  
                                        $SuppliersPending .=  "```Bank Name:``` *" . $row['email']."*\n"; 
                                        $SuppliersPending .=  "```Account Number:``` *" . $row['account']."*\n"; 
                                        $ProductDemand  = urlencode($SuppliersPending);
                                ?>
                                    <tr>
                                        <td  ><?php echo $row['id']; ?></td>
                                        <td><?php echo $row['title']; ?></td>
                                        <td><?php if($row['supcat']==0){ echo 'None'; } else { echo showTitle($conn,'tbl_sup_cat',$row['supcat']); } ?></td>
                                        <td   style="text-align:right;"><?php echo number_format($credit_balance,0); ?></td>
                                        <td   style="text-align:right;"><?php echo number_format($debit_balance,0); ?></td>
                                        <td   style="text-align:right;"><?php echo $GrandBalance = ($credit_balance-$debit_balance); 
                                                                           $G_GrandBalance = $G_GrandBalance + $GrandBalance;?></td>                                                                                   

                                        <td>
                                            <a class="btn btn-success btn-view-pdf" href="supplier?id=<?php echo $row['id']; ?>" target="_blank" title="View details of <?php echo $row['title']; ?>">Details</a>
                                        </td>
                                        <td>
                                            <button class="btn btn-success md-trigger adv_cust_mod_btn" data-toggle="modal" data-target="#modal-<?php echo $row['id']; ?>"><i class="fa fa-plus-square"></i> Payment</button>
                                        </td>
                                        <td>
                                            <a class="btn btn-success btn-view-pdf" onclick="window.open('https://api.whatsapp.com/send?phone=<?php echo '+923431892604'; ?>&text=<?php echo $ProductDemand; ?>&source=&data=', '_blank', 'width=600,height=400')" href="#" class="btn btn-primary btn-sm md-trigger adv_cust_mod_btn">Send For Pay</a>
                                        </td>
                                    </tr>
                                    <div class="modal fade" id="modal-<?php echo $row['id']; ?>" role="dialog" aria-labelledby="modalLabelsuccess">
                                        <div class="modal-dialog" role="document">
                                            <div class="modal-content">
                                                <div class="modal-header bg-success">
                                                    <h4 class="modal-title text-white" id="modalLabelsuccess">New Payment</h4>
                                                </div>
                                                <div class="modal-body" style="padding-top:0;">
                                                    <form method="post" action="process/SaveSupplierPaymentnow">
                                                        <input type="hidden" name="payment_check" value="true" /> 
                                                        <div class="row"> 
                                                            <div class="col-lg-6 input_field_sections">
                                                                <h5>Amount <span class="label_desc">(Required)</span></h5>
                                                                <input type="number" class="form-control" name="amount" step="any" required="required"  value="<?php echo $GrandBalance; ?>"/>
                                                            </div>
                                                            <div class="col-lg-6 input_field_sections">
                                                                <h5>Supplier <span class="label_desc">(Not-Editable)</span></h5>
                                                                <select class="form-control chzn-select" name="supplier_id" tabindex="1">
                                                                    <option disabled selected>Select a Supplier</option>
                                                                    <?php 
                                                                    $suppliersRS = Run($conn,"select * from tbl_suppliers where status = 1 order by title asc");
                                                                    while($supplierR = GetRow($suppliersRS)){
                                                                    ?>
                                                                    <option value="<?php echo $supplierR['id']; ?>" <?php if($supplierR['id'] == $row['id']){?> selected="selected" <?php } else{ ?> disabled <?php } ?>><?php echo $supplierR['title']; ?></option> 
                                                                    <?php } ?>
                                                                </select>
                                                            </div>
                                                        </div>
                                                        <div class="row">
                                                            <div class="col-lg-6 input_field_sections">
                                                                <h5>Type <span class="label_desc">(Required)</span></h5>
                                                                <select class="form-control chzn-select" name="type" tabindex="1">  
                                                                    <option value="dr" selected="selected">Debit</option> 
                                                                    <option value="cr">Credit</option>  
                                                                </select>
                                                            </div>
                                                            <div class="col-lg-6 input_field_sections">
                                                                <h5>Adjust Account Only</h5>
                                                                <select class="form-control chzn-select" name="adjust_balance">  
                                                                    <option value="0" selected="selected">No</option> 
                                                                    <option value="1">Yes</option>  
                                                                </select>
                                                            </div>
                                                            <div class="col-lg-12 input_field_sections">
                                                                <h5>Details <span class="label_desc">(.)</span></h5>
                                                                <textarea name="description" class="form-control"></textarea> 
                                                                <p>Please note: <br /><strong>Debit: </strong>Paid to Supplier,<strong> Credit:</strong> Paid by Supplier<br />If adjust account is yes, then the amount will not affect the cash register.</p>
                                                            </div> 
                                                        </div>
                                                    </div>
                                                    <div class="modal-footer">
                                                        <button type="submit" class="btn btn-success">Save</button>
                                                        <button class="btn  btn-warning" data-dismiss="modal">Cancel</button>
                                                    </div>
                                                </form>
                                            </div>
                                        </div>
                                    </div>
                                <?php } ?>     
                                </tbody>
                                <div style="display: flex; justify-content: flex-end; gap: 20px;">
                                    <a class="btn btn-success btn-view-pdf" href="PrintPayments"target="_blank" title="Print"><i class="fa fa-print"></i> Download PDF</a>
                                </div>
                                &nbsp;                            
                            </table> 
                            Grand Balance: <?php echo number_format($G_GrandBalance); ?>
                        </div>
                    </div>
                    <!-- END EXAMPLE1 TABLE PORTLET--> 
                </div>
            </div>
            <!-- /.inner --> 
        </div>
        <!-- /.outer --> 
    </div>
    <!-- /#content --> 
</div>
<?php include 'Footer.php'; ?>
