<?php 
$page		= 'calculations';

require_once('sessionp.php');
require_once('includes/connection.php');
require_once('includes/functions.php');

$start_day   = '01';
$start_month = date("m");
$start_year  = date("Y");
$start_date = $start_year.'-'.$start_month.'-'.$start_day;
$end_date   = date("Y-m-d");
$date_check = getValue('date_check');
if($date_check == 'true')
	{
		$start_date = getValue('date_from');
		$end_date   = getValue('date_to');
	}
$register_date = date("Y-m-d");
$reg_date_check = getValue('reg_date_check');
if($reg_date_check == 'true')
	{
		$register_date = getValue('register_date'); 
	}
$module	     = 'employees';
include 'MasterTop.php';
$pageTitle = 'PrintEmpData';
?>
<style>
    /* Increase font size for the table content */
    table.table tbody td {
        font-size: 18px; /* Adjust the value as needed */
    }
</style>
<div id="content" class="bg-container">
	<?php include 'Header.php'; ?>	
	<div class="outer">
		<div class="inner bg-light lter bg-container">
			<div class="row">
				<div class="col-xs-12 data_tables"> 
					<!-- BEGIN EXAMPLE1 TABLE PORTLET-->
					<div class="card">
						<div class="card-block" style="margin-top:60px;">						
							<table class="table table-striped table-bordered table-hover" id="sample_1">
								<thead> 
                                    <tr>
                                        <th>id</th>
                                    	<th>Joining Date</th>	
                                        <th>Employee</th>
                                        <th>Designation</th>
                                    	<th>Salary</th>
                                     	<th>Cell</th>
                                        <th>ID Card</th>
                                        <th>Gender</th>
                                    	<th>DOB</th>
                                    </tr>
								</thead>
								<tbody>
                                    <?php 
                                        $designationOrder = array(
                                            'Senior G. Manager' => 1,
                                            'G. Manager' => 2,
                                            'Senior Restaurant Manager' => 3,
                                            'Restaurant Manager' => 4,
                                            'Senior Assistant Manager' => 5,
                                            'Assistant Manager' => 6,
                                            'Senior Shift Manager' => 7,
                                            'Shift Manager' => 8,
                                            'Senior Shift Lead' => 9,
                                            'Shift Lead' => 10,
                                            'Senior Supervisor' => 11,
                                            'Supervisor' => 12,
                                            'Senior Order Taker' => 13,
                                            'Order Taker' => 14,
                                            'Senior Cashier' => 15,
                                            'Cashier' => 16,
                                            'Senior GRO' => 17,
                                            'GRO' => 18,
                                            'Senior Waiter' => 19,
                                            'Senior Server' => 19,
                                            'Waiter' => 20,
                                            'Server' => 20,
                                            'Senior Busser' => 21,
                                            'Busser' => 22,
                                            'Senior Executive Chef' => 23,
                                            'Executive Chef' => 24,
                                            'Senior Head Chef' => 25,
                                            'Head Chef' => 26,
                                            'Senior Sous Chef' => 27,
                                            'Sous Chef' => 28,
                                            'Senior CDP' => 29,
                                            'CDP' => 30,
                                            'Senior Demi' => 31,
                                            'Demi' => 32,
                                            'Senior Commis 1' => 33,
                                            'Commis 1' => 34,
                                            'Senior Commis 2' => 35,
                                            'Commis 2' => 36,
                                            'Senior Commis 3' => 37,
                                            'Commis 3' => 38,
                                            'Senior Food Runner' => 39,
                                            'Food Runner' => 40,
                                            'Senior Prep Cook' => 41,
                                            'Prep Cook' => 42,
                                            'Senior Helper Main Kitchen' => 43,
                                            'Helper Main Kitchen' => 44,
                                            'Senior Dishwasher Main Kitchen' => 45,
                                            'Dishwasher Main Kitchen' => 46,
                                            'Senior Intern Main Kitchen' => 47,
                                            'Intern Main Kitchen' => 48,
                                            'Senior Pastry Chef' => 49,
                                            'Pastry Chef' => 49,
                                            'Head Patissier' => 50,
                                            'Senior Pastry Sous Chef' => 51,
                                            'Pastry Sous Chef' => 52,
                                            'Senior Pastry Commis 1' => 53,
                                            'Pastry Commis 1' => 54,
                                            'Senior Pastry Commis 2' => 55,
                                            'Pastry Commis 2' => 56,
                                            'Senior Pastry Commis 3' => 57,
                                            'Pastry Commis 3' => 58,
                                            'Senior Helper Pastry' => 59,
                                            'Helper Pastry' => 60,
                                            'Senior Dishwasher Pastry' => 61,
                                            'Dishwasher Pastry' => 62,
                                            'Senior Intern Pastry' => 63,
                                            'Intern Pastry' => 64,
                                            'Senior Head Barista' => 65,
                                            'Head Barista' => 66,
                                            'Senior Deputy Barista' => 67,
                                            'Deputy Barista' => 68,
                                            'Senior Barista' => 69,
                                            'Barista' => 70,
                                            'Senior Helper Barista' => 71,
                                            'Helper Barista' => 72,
                                            'Senior Intern Barista' => 73,
                                            'Intern Barista' => 74,
                                            'Senior House Keeping' => 75,
                                            'House Keeping' => 76,
                                            'Senior Accountant' => 77,
                                            'Accountant' => 78,
                                            'Senior Building Admin' => 79,
                                            'Building Admin' => 80,
                                            'Senior Maintenance' => 81,
                                            'Maintenance' => 82,
                                            'Senior Purchaser' => 83,
                                            'Purchaser' => 84
                                        );

                                        $designationValues = array_map(function ($designation) {
                                            return "'$designation'";
                                        }, array_keys($designationOrder));	

                                        $reportRS = Run($conn, "
                                            SELECT * 
                                            FROM tbl_employees 
                                            WHERE id_emp NOT IN (121, 122) AND tbl_employees.status = 'Active' ORDER BY FIELD(designation, " . implode(', ', $designationValues) . ")");																
								$i = 1;
								while($reportR = GetRow($reportRS)){
								$reportID      = $reportR['id_emp']; 
                                $WorkDay = GetRow(Run($conn,"SELECT COUNT(DISTINCT Date) AS NumDistinctDates
                                 FROM tbl_attendance
                                 WHERE PIN = '$reportID'
                                 AND MONTH(Date) = MONTH('$start_date')
                                 AND YEAR(Date) = YEAR('$start_date')"));
								 
                                $Mis_Count =  GetRow(Run($conn,"SELECT sum(mis_count) as misAvail
                                 FROM tbl_staff_leaves
                                 WHERE id_emp = '$reportID'
                                 AND MONTH(post_date) = MONTH('$start_date')
                                 AND YEAR(post_date) = YEAR('$start_date')"));

                                $Previous  =  GetRow(Run($conn,"SELECT sum(previous) as previousAvail
                                 FROM tbl_staff_leaves
                                 WHERE id_emp = '$reportID'
                                 AND MONTH(post_date) = MONTH('$start_date')
                                 AND YEAR(post_date) = YEAR('$start_date')"));

                                $Annual    =  GetRow(Run($conn,"SELECT sum(annual) as annualAvail
                                 FROM tbl_staff_leaves
                                 WHERE id_emp = '$reportID'
                                 AND MONTH(post_date) = MONTH('$start_date')
                                 AND YEAR(post_date) = YEAR('$start_date')"));

                                $Public    =  GetRow(Run($conn,"SELECT sum(public) as publicAvail
                                 FROM tbl_staff_leaves
                                 WHERE id_emp = '$reportID'
                                 AND MONTH(post_date) = MONTH('$start_date')
                                 AND YEAR(post_date) = YEAR('$start_date')"));
				
												
                                $AvailLeave    =(4/26)*($WorkDay['NumDistinctDates']+$Mis_Count['misAvail']+$Previous['previousAvail']+$Annual['annualAvail']+$Public['publicAvail']);	
								$TotalPayable  = $WorkDay['NumDistinctDates'] + $Mis_Count['misAvail']+$Previous['previousAvail']+$Annual['annualAvail'] + $AvailLeave+$Public['publicAvail'];;

                                                if ($TotalPayable > 30) {
                                $TotalPayable  = 30;                    }
                                $Bonus    =  GetRow(Run($conn,"SELECT sum(bonus) as BonusAvail
                                FROM tbl_staff_leaves
                                WHERE id_emp = '$reportID'
                                AND MONTH(post_date) = MONTH('$start_date')
                                AND YEAR(post_date) = YEAR('$start_date')"));

                                $Earned   =($reportR['salary_per_month']/30)*($TotalPayable)+($Bonus['BonusAvail']);

                                $Advance  = GetRow(Run($conn,"SELECT sum(advance) as AdvanceAvail
                                FROM tbl_expenses
                                WHERE id_emp = '$reportID'
                                AND MONTH(post_date) = MONTH('$start_date')
                                AND YEAR(post_date) = YEAR('$start_date')"));

                                $Payable  =$Earned-$Advance['AdvanceAvail'];

								?>
									<tr>
										<td><?php echo $reportID; ?></td>
										<td><?php echo $reportR['joining_date']; ?></td> 										
                                        <td><?php echo $reportR['name']; ?></td>
                                        <td><?php echo $reportR['designation']; ?></td>
										<td><?php echo $reportR['salary_per_month']; ?></td>
                                        <td><?php echo $reportR['cell']; ?></td>
                                        <td><?php echo $reportR['id_card']; ?></td>                                        
										<td><?php echo $reportR['gender']; ?></td> 
										<td><?php echo $reportR['date_of_birth']; ?></td>										
									</tr>
									<?php } ?>	
								</tbody>								
							</table>									
				    	</div>
					<!-- END EXAMPLE1 TABLE PORTLET--> 
				    </div>
			    </div>
			<!-- /.inner --> 
		    </div>
		<!-- /.outer --> 
	    </div>
	<!-- /#content --> 
    </div>
</div>	
<?php include 'Footer.php'; ?>
<script>
window.onload = function() { window.print(); }
</script>