<?php 

$page = 'suppliers';

require_once('sessionp.php');
require_once('checkAccountsSession.php');

require_once('includes/connection.php');
require_once('includes/functions.php');

$start_day = '01';
$start_month = date("m");
$start_year = date("Y");
$start_date = $start_year.'-'.$start_month.'-'.$start_day;
$end_date = date("Y-m-d");
$date_check = getValue('date_check');
if($date_check == 'true') {
	$start_date = getValue('date_from');
	$end_date = getValue('date_to');
}
$register_date = date("Y-m-d");
$reg_date_check = getValue('reg_date_check');
if($reg_date_check == 'true') {
	$register_date = getValue('register_date'); 
}

$module = 'purchases';
$pageTitle = 'Suppliers Pending Details:'.$start_date. " - ".$end_date;
$range = 'true'; 

include 'MasterTop.php';
?>

<style>
  .buttons-print{ border:1px solid; padding:5px 10px; border-radius:3px;}
  .table th, .table td {
    font-size: 16px; /* change as per your need */
    font-weight: bold;
  }
  .grand-balance {
    font-size: 20px; /* change as per your need */
    font-weight: bold;
  }
</style>
<div id="content" class="bg-container">
	<?php include 'Header.php'; ?>
	<div class="outer">
		<div class="inner bg-light lter bg-container">
			<div class="row">
				<div class="col-xs-12 data_tables"> 
					<!-- BEGIN EXAMPLE1 TABLE PORTLET-->
					<div class="card"> 
						<div class="card-block" style="margin-top:60px;"> 
							<table class="table table-striped table-bordered table-hover" >
								<thead>
									<tr>
										<th style="text-align:left;">Suppliers Name</th>
										<th style="text-align:left;">Bank Name</th>
										<th style="text-align:left;">Bank Account</th>												
										<th style="text-align:left;">Balance (Rs)</th>									
									</tr>
								</thead>
								<tbody>
								<?php     
                                    $listRS	 = Run($conn,"
                                        SELECT 
                                            * 
                                        FROM 
                                            tbl_suppliers s
                                        WHERE 
                                            (
                                                (SELECT sum(cr) FROM tbl_sup_payments WHERE post_date >= '$start_date' and post_date <= '$end_date' and supplier_id = s.id and status = '1') -
                                                (SELECT sum(dr) FROM tbl_sup_payments WHERE post_date >= '$start_date' and post_date <= '$end_date' and supplier_id = s.id and status = '1') > 0
                                            )
                                        ORDER BY 
                                            account DESC
                                    ");

                                    $i = 1;

                                    while ($listR = GetRow($listRS)) { 
                                        $supplierID = $listR['id']; 

                                        $creditRS = "select sum(cr) as credit_balance from tbl_sup_payments where post_date >= '$start_date' and post_date <= '$end_date' and supplier_id = '$supplierID' and status = '1'";
                                        $creditR = GetRow(Run($conn, $creditRS));
                                        $credit_balance = $creditR['credit_balance']; 

                                        $debitRS = "select sum(dr) as debit_balance from tbl_sup_payments where post_date >= '$start_date' and post_date <= '$end_date' and supplier_id = '$supplierID' and status = '1'";
                                        $debitR = GetRow(Run($conn, $debitRS));
                                        $debit_balance = $debitR['debit_balance']; 

                                        $debitRS = "select sum(transport_exp) as GST_balance from tbl_pur_items where post_date >= '$start_date' and post_date <= '$end_date' and supplier_id = '$supplierID' and status = '1'";
                                        $debitR = GetRow(Run($conn, $debitRS));
                                        $GST_balance = $debitR['GST_balance'];
                                        
                                        $GrandBalance = $credit_balance - $debit_balance;
                                        
                                        // Calculate totals
                                        $total_balance += $GrandBalance;								
                                    ?>
                                        <tr>
                                            <td><?php echo $listR['title']; ?></td>
                                            <td><?php echo $listR['email']; ?></td>
                                            <td><?php echo $listR['account']; ?></td>										
                                            <td   style="text-align:left;"><?php echo $GrandBalance = ($credit_balance-$debit_balance); 
                                                                                                               $G_GrandBalance = $G_GrandBalance + $GrandBalance;?></td>																			   
                                        </tr>
                                    <?php } ?>	 
                                </tbody>						
                            </table> 
                            <div class="grand-balance">Grand Balance: <?php echo number_format($G_GrandBalance); ?></div>
                        </div>
                    </div>
                    <!-- END EXAMPLE1 TABLE PORTLET--> 
                </div>
            </div>
            <!-- /.inner --> 
        </div>
        <!-- /.outer --> 
    </div>
    <!-- /#content --> 
</div>
<?php include 'Footer.php'; ?>
<script>
window.onload = function() { window.print(); }
</script>