<?php 
$page		= 'SalaryReport';

require_once('sessionp.php');
require_once('includes/connection.php');
require_once('includes/functions.php');

$start_day   = '01';
$start_month = date("m");
$start_year  = date("Y");
$start_date = $start_year.'-'.$start_month.'-'.$start_day;
$end_date   = date("Y-m-d");
$date_check = getValue('date_check');
if($date_check == 'true')
	{
		$start_date = getValue('date_from');
		$end_date   = getValue('date_to');
	}

$module	     = 'employees';
$range 	     = 'true';
$pageTitle   = 'Employee ('.$start_date.' to '.$end_date.')';
$pageRole    = 'table';

include 'MasterTop.php';
include 'Top.php';
include 'SideBar.php'; 
  
?>
<style>
.buttons-print {
	border: 1px solid;
	padding: 5px 10px;
	border-radius: 3px;
}
</style>
<style>
.buttons-print {
    border: 1px solid #b2b2b2;
    padding: 3px 7px;
    border-radius: 3px;
    background: linear-gradient(135deg, #6A82FB, #FC5C7D);
    color: white;
}

.btn-success, .btn-view-pdf, .btn-view-send {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    position: relative;
    overflow: hidden;
    transition: box-shadow .3s;
    box-shadow: 0 8px 20px rgba(0, 0, 0, 0.12);
    color: white;
}

.btn-success::after, .btn-view-pdf::after, .btn-view-send::after {
    content: "";
    position: absolute;
    top: -100%;
    left: -100%;
    width: 200%;
    height: 200%;
    z-index: 1;
    background: linear-gradient(135deg, transparent, rgba(255, 255, 255, 0.4), transparent);
    transform: rotate(45deg);
    pointer-events: none;
    transition: top 0.5s, left 0.5s;
}

.btn-success:hover::after, .btn-view-pdf:hover::after, .btn-view-send:hover::after {
    top: 100%;
    left: 100%;
}

.btn-success {
    background: linear-gradient(135deg, #8E2DE2, #4A00E0);
    border: none;
    padding: 6px 12px;
    border-radius: 50px 50px 0 50px;
    font-weight: 600;
}

.btn-view-pdf {
    background: linear-gradient(135deg, #FFB75E, #ED8F03);
    border-radius: 50px 50px 0 50px;
    padding: 6px 12px;
}

.btn-view-send {
    background: linear-gradient(135deg, #56ab2f, #a8e063);
    border-radius: 30px 50px 0 50px;
    padding: 6px 15px;
}

.btn-view-pdf i, .btn-view-send i {
    margin-right: 4px;
}

.active-btn {
    background: linear-gradient(135deg, #f54242, #f542a2);
    box-shadow: 0 6px 14px rgba(255,0,0,0.1);
}

@keyframes dance {
    0% { transform: scale(1) rotate(0); }
    20% { transform: scale(1.05) rotate(-5deg); }
    40% { transform: scale(1) rotate(5deg); }
    60% { transform: scale(1.05) rotate(-5deg); }
    80% { transform: scale(1) rotate(5deg); }
    100% { transform: scale(1) rotate(0); }
}

.btn-success:hover, .btn-view-pdf:hover, .btn-view-send:hover {
    animation: dance 0.5s infinite;
}
</style>
<script>
    document.addEventListener('DOMContentLoaded', function () {
        let buttons = document.querySelectorAll('.btn-view-pdf, .btn-success');

        buttons.forEach(button => {
            button.addEventListener('click', function () {

                // Remove active class from all buttons
                buttons.forEach(btn => btn.classList.remove('active-btn'));

                // Add active class to the clicked button
                this.classList.add('active-btn');
            });
        });
    });
</script>
<div id="content" class="bg-container">
    <?php include 'Header.php'; ?>
    
    <div class="outer">
        <div class="inner bg-light lter bg-container">
            <div class="row">
                <div class="col-xs-12 data_tables"> 
                    <!-- BEGIN EXAMPLE1 TABLE PORTLET-->
                    <div class="card">
                        <div class="card-block" style="margin-top:60px;">  
                            <div style="display: flex; justify-content: flex-end; gap: 20px;">
                                <a class="btn btn-success btn-view-demand" href="PrintEmpData" target="_blank">PrintEmpData</a>
                                <a class="btn btn-success" href="printSalaryMonthAll?id=<?php echo $reportID;?>&start_date=<?php echo $start_date; ?>&end_date=<?php echo $end_date; ?>" target="_blank" title="Print"><i class="fa fa-print"></i>SalarySlips</a>
                            </div>
                            &nbsp;						
                            <table class="table table-striped table-bordered table-hover" id="sample_1">
                                <thead> 
                                    <tr>
                                        <th>id</th>
                                        <th>Employee</th>
                                        <th>Designation</th>
                                        <th>Salary</th>
                                        <th>Worked</th>
                                        <th>Mis Count</th>
                                        <th>Previous</th>
                                        <th>Annual</th>
                                        <th>public holidays</th>
                                        <th>Lieu Avail In Month</th>    
                                        <th>Payable Days</th>
                                        <th>Bonus</th>
                                        <th>Over Time</th>
                                        <th>Total Earned</th>
                                        <th>Advance</th>
                                        <th>Payable</th>
                                        <th>Slip</th>
                                        <th>Salary Details</th>
                                        <th>Attendance</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php 
                                        $reportRS = Run($conn, "SELECT * FROM tbl_calculations WHERE id_emp NOT IN (121, 122) AND MONTH(post_date) = MONTH('$start_date') AND YEAR(post_date) = YEAR('$start_date')");	
                                        $totalPayable = 0;  // Initialize total Payable counter
                                        $i = 1;
                                        while ($reportR = GetRow($reportRS)) {
                                            $reportID = $reportR['id_emp'];											
                                    ?>
                                    <tr>
                                        <td><?php echo $reportID; ?></td>
                                        <td><?php echo $reportR['Employee']; ?></td>
                                        <td><?php echo $reportR['Designation']; ?></td>
                                        <td><?php echo $reportR['Salary']; ?></td>
                                        <td><?php echo $reportR['Worked']; ?></td>
                                        <td><?php echo $reportR['Mis_Count']; ?></td>
                                        <td><?php echo $reportR['Get_Previous']; ?></td>
                                        <td><?php echo $reportR['Annual']; ?></td>
                                        <td><?php echo $reportR['public_holidays']; ?></td>
                                        <td><?php echo number_format($reportR['Lieu_Avail_In_Month'], 2); ?></td>
                                        <td><?php echo number_format($reportR['Payable_Days'], 2); ?></td>
                                        <td><?php echo number_format($reportR['Bonus'], 2); ?></td>
                                        <td><?php echo number_format($reportR['OverTime'], 2); ?></td>
                                        <td><?php echo number_format($reportR['Earned_Bonus'], 2); ?></td>
                                        <td><?php echo $reportR['Advance']; ?></td>
                                        <td><?php echo number_format($reportR['Payable'], 2); ?></td>
                                        <?php $totalPayable += $reportR['Payable']; ?>
                                        <?php
                                            $salary_details = "```Employee ID:``` *" . $reportID . "*"."\n"
                                                . "```Dear``` *" . $reportR['Employee']. "*"."\n"
                                                . "_Your Salary Statement for the Month of " . date("F, Y", strtotime($start_date)) . "_\n\n"
                                                . "```We are pleased to provide you with your comprehensive salary details for the month of``` *" . date("F, Y", strtotime($start_date)) . "*"."\n"
                                                . "```Your designated monthly salary remains at``` *" . number_format($reportR['Salary'], 0) . "* ```PKR```.\n" 
                                                . "```You have dedicated yourself to service for a total of``` *" . $reportR['Worked'] . (floor($reportR['Worked']) != 1 ? ' days' : ' day') . "* ```this month.```";

                                            if ($reportR['Mis_Count'] > 0) {
                                                $salary_details .= " ```However, it has come to our attention that on``` *". $reportR['Mis_Count'] . ($reportR['Mis_Count'] != 1 ? ' days' : ' day') . "* ```, your attendance was not recorded due to the absence of fingerprint authentication.```";
                                            }

                                            if ($reportR['Get_Previous'] > 0) {
                                                $salary_details .= " ```From the previous month, you have carried forward``` *" . $reportR['Get_Previous'] . ($reportR['Get_Previous'] != 1 ? ' days' : ' day') . "* ```of untaken leave, which you have utilized this month.```";
                                            }

                                            if ($reportR['Annual'] > 0) {
                                                $salary_details .= " ```Furthermore, you have exercised your entitlement to``` *" . $reportR['Annual'] . ($reportR['Annual'] != 1 ? ' days' : ' day') . "* ```of annual leave this month.```";
                                            }

                                            if ($reportR['public_holidays']> 0) {
                                                $salary_details .= " ```You took advantage of``` *" . $reportR['public_holidays'] . ($reportR['public_holidays'] != 1 ? ' days' : ' day') . "* ```of public holidays, rejuvenating yourself for the tasks ahead.```";
                                            }

                                            $salary_details .= " ```This brings your total available leave days for the month to``` *" . number_format($reportR['Lieu_Avail_In_Month'], 1) . (floor($reportR['Lieu_Avail_In_Month']) != 1 ? ' days.' : ' day.') .  "*"."\n"
                                                . " ```As a result, your total payable``` *" . number_format($reportR['Payable_Days'], 1) . (floor($reportR['Payable_Days']) != 1 ? ' days.' : ' day.') . "*"."\n\n";

                                            if ($reportR['Total_reserved'] > 0) {
                                                $dayOrDays = ($reportR['Total_reserved'] != 1) ? ' days' : ' day';
                                                $OneLeaves = ($reportR['Total_reserved'] != 1) ? ' Leaves' : ' Leave';
                                                
                                                $salary_details .= "```In addition, you possess``` *" . $reportR['Total_reserved'] . " " . $dayOrDays . "* ```of leave available for future use, which includes days carried over from the previous month.```";
                                                
                                                if ($reportR['Now_reserved']> 0) {
                                                    $salary_details .= " ```This figure also includes``` *" . $reportR['Now_reserved'] . " " . $dayOrDays . "* ```from``` " . date("F, Y", strtotime($start_date)).".\n\n";
                                                }
                                            }

                                            if ($reportR['Bonus']  > 0) {
                                                $salary_details .= "```The organization has graciously added a bonus of``` *" . $reportR['Bonus'] . "* ```PKR to your remuneration. This reflects your exceptional contributions.```". "\n";
                                            }
                                            if ($reportR['OverTime'] > 0) {
                                                $salary_details .= "```Additionally, you have earned``` *" . $reportR['OverTime'] . "* ```PKR for overtime worked during the month.```". "\n";
                                            }

                                            $salary_details .= "\n```Consequently, your gross earnings for the month sum up to``` *" . number_format($reportR['Earned_Bonus'], 0) . "* ```PKR```"."\n";

                                            if ($reportR['Advance']> 0) {
                                                $salary_details .= "\n```Please be advised that an advance payment of``` *". number_format($reportR['Advance'], 0) . "* ```PKR was previously disbursed to you. This has been duly accounted for.```". "\n"
                                                    ."```Hence, your net payable salary for the current month is``` *". number_format($reportR['Payable'], 0) . "* ```PKR```.\n";
                                            }

                                            $salary_details .= "\n_We extend our deepest gratitude for your unwavering commitment and extraordinary efforts. Your contributions are immensely valued, and we look forward to another month of excellence._"."\n\n";
                                            $salary_details .= "Warm regards,\n"
                                                . "*Bistro Noir*.\n"
                                                . "```Unit 3, Street 4, Gol Market,```\n"
                                                . "```F 7/3, Islamabad```";

                                            $salary_details_url_encoded = urlencode($salary_details);
                                        ?>                                    
                                        <td >
                                            <a class="btn btn-success" href="printSalaryMonth?id=<?php echo $reportID;?>&start_date=<?php echo $start_date; ?>&end_date=<?php echo $end_date; ?>" target="_blank" title="Print"><i class="fa fa-print"></i>Print</a>
                                        </td>    
                                        <td >
                                            <a class="btn btn-success btn-view-pdf" onclick="window.open('https://api.whatsapp.com/send?phone=<?php echo $reportR['cell'];?>&text=<?php echo $salary_details_url_encoded;?>&source=&data=', '_blank', 'width=600,height=400')" href="#" class="btn btn-raised btn-primary btn-sm md-trigger adv_cust_mod_btn"> Send</a>
                                        </td>
                                        <?php
                                        $GetDate  = '2023-08-01';
                                        $Todays    = date("Y-m-d");
                                        $Today    = date("Y-m-d", strtotime("-1 day", strtotime($Todays)));
                                        $sql = "SELECT tbl_attendance.*, tbl_employees.cell, tbl_employees.Name FROM tbl_attendance
                                        INNER JOIN tbl_employees ON tbl_employees.id_emp = tbl_attendance.PIN
                                        WHERE PIN='$reportID' AND Date >= '$start_date' AND Date <= '$Today'
                                        ORDER BY id ASC";

                                        $result = mysqli_query($conn, $sql);

                                        if (!$result) {
                                            die("Query failed: " . mysqli_error($conn));
                                        }

                                        $presentDates = array();

                                        // Initialize $Attendance variable
                                        $Attendance = '';

                                        if (mysqli_num_rows($result) > 0) {
                                            $row = mysqli_fetch_assoc($result);
                                            $Attendance .= "```Employee ID:``` *" . $row['PIN'] . "*\n";
                                            $Attendance .= "```Employee Name:``` *" . $row['Name'] . "*\n";
                                            $Attendance .= "```Attendance From:``` *" . $start_date . "* To *" . $Today . "*\n\n";
                                            $Attendance .= "*Present:*\n";
                                            
                                            do {
                                                $Attendance .= $row['Date'] . " *" . $row['checktype'] . "* " . $row['CHECKTIME'] . "\n";
                                                $presentDates[] = $row['Date'];
                                            } while ($row = mysqli_fetch_assoc($result));
                                        }

                                        $uniquePresentDates = array_unique($presentDates);
                                        $presentCount = count($uniquePresentDates);

                                        $totalDays = date_diff(date_create($start_date), date_create($Today))->format('%a') + 1;
                                        $absentCount = $totalDays - $presentCount;

                                        $Attendance .= "*Total Present = " . $presentCount . "*\n";
                                        // List the missing dates
                                        $Attendance .= "\n*Absent:*\n";
                                        $startDateObj = new DateTime($start_date);

                                        for ($i = 0; $i < $totalDays; $i++) {
                                            $date = $startDateObj->format('Y-m-d');
                                            if (!in_array($date, $uniquePresentDates)) {
                                                $Attendance .= "~" . $date . "~\n";
                                            }
                                            $startDateObj->modify('+1 day');
                                        }
                                        $Attendance .= "*Total Absent = " . $absentCount . "*\n\n";
                                        $Attendance .= "*OverAll Details*\n";

                                        $sqlA = "SELECT tbl_attendance.*, tbl_employees.cell, tbl_employees.Name FROM tbl_attendance
                                        INNER JOIN tbl_employees ON tbl_employees.id_emp = tbl_attendance.PIN
                                        WHERE PIN='$reportID' AND Date >= '$GetDate' AND Date <= '$Today'
                                        ORDER BY id ASC";

                                        $resultA = mysqli_query($conn, $sqlA);
                                        if (!$resultA) {
                                            die("Query failed: " . mysqli_error($conn));
                                        }

                                        $presentDatesA = array();
                                        // Check if there are rows in the result set
                                        if (mysqli_num_rows($resultA) > 0) {
                                            $rowA = mysqli_fetch_assoc($resultA);

                                            do {
                                                // Populate $presentDatesA array with 'Date' values
                                                $presentDatesA[] = $rowA['Date'];
                                            } while ($rowA = mysqli_fetch_assoc($resultA));
                                        }

                                        $uniquePresentDatesA = array_unique($presentDatesA);
                                        $presentCountA = count($uniquePresentDatesA);

                                        $totalDaysA = date_diff(date_create($GetDate), date_create($Today))->format('%a') + 1;

                                        $absentCountA = $totalDaysA - $presentCountA;

                                        // SQL query to retrieve other data
                                        $sqlR = "SELECT id_emp, SUM(Lieu_Avail_In_Month) as MonthCount  
                                                FROM tbl_calculations 
                                                WHERE id_emp='$reportID'";

                                        // Execute the query and fetch the results
                                        $resultR = mysqli_query($conn, $sqlR);

                                        // Fetch data from the result set
                                        while ($reportRM = mysqli_fetch_assoc($resultR)) {

                                            $LeavesQuery = GetRow(Run($conn, "SELECT id_emp, SUM(mis_count) as miscount, SUM(annual) as AnnualCount, SUM(public) as publicCount FROM tbl_staff_leaves WHERE id_emp='$reportID'"));
                                            
                                            // Check for different conditions and append data accordingly
                                            if ($LeavesQuery['miscount'] > 0) {
                                                $Attendance .= "Total Mis Count = " . number_format($LeavesQuery['miscount'], 1) . "\n";
                                            }

                                            if ($LeavesQuery['AnnualCount'] > 0) {
                                                $Attendance .= "Total Annual = " . number_format($LeavesQuery['AnnualCount'], 1) . "\n";
                                            }

                                            if ($LeavesQuery['publicCount'] > 0) {
                                                $Attendance .= "Total Public Holidays = " . number_format($LeavesQuery['publicCount'], 1) . "\n";
                                            }

                                            if ($reportRM['MonthCount'] > 0) {
                                                $Attendance .= "Total Monthly Avail = " . number_format($reportRM['MonthCount'], 1) . "\n";
                                            }

                                            $TotalHave = ($LeavesQuery['miscount'] + $LeavesQuery['AnnualCount'] + $LeavesQuery['publicCount'] + $reportRM['MonthCount']);
                                        }

                                        $Attendance .= "Total Taken = " . number_format($absentCountA, 1) . "\n";
                                        $Attendance .= "You have the capacity to request and be granted = *" . number_format($TotalHave - $absentCountA, 1) . "* days of leave until " . $Today . "\n";

                                        // Encode the product demand string
                                        $Attendance = urlencode($Attendance);
                                        ?>
                                        <td>
                                            <a class="btn btn-success btn-view-pdf" onclick="window.open('https://api.whatsapp.com/send?phone=<?php echo $reportR['cell'];?>&text=<?php echo $Attendance;?>&source=&data=', '_blank', 'width=600,height=400')" href="#" class="btn btn-raised btn-primary btn-sm md-trigger adv_cust_mod_btn">Send</a>
                                        </td>
                                    </tr>
                                    <?php } ?>	
                                </tbody>
                                <tfoot>
                                    <tr>
                                        <td colspan="15" style="text-align: right; font-weight: bold; font-size: larger;">Total Payable:</td>
                                        <td style="font-weight: bold; font-size: larger;"><?php echo number_format($totalPayable, 1); ?></td>
                                    </tr>
                                </tfoot>
                            </table>
                        </div>
                        <!-- END EXAMPLE1 TABLE PORTLET-->
                    </div>
                </div>
                <!-- /.inner -->
            </div>
            <!-- /.outer -->
        </div>
        <!-- /#content -->
    </div>
    <?php include 'Footer.php'; ?>
</div>