<?php 

$page		  = 'Sections';

require_once('sessionp.php');
require_once('checkAccountsSession.php');

require_once('includes/connection.php');
require_once('includes/functions.php');


$module	 	 = 'Demand';
$pageTitle 	 = 'Sections';

$listRS	 = Run($conn,"select * from tbl_brands where id = '3' or id = '6' or id = '5' or id = '2' or id = '1' and status = '1' order by id asc");  

include 'MasterTop.php';
// || $user_type == '2')
if ($user_type == '1') {
    include 'Top.php';
    include 'SideBar.php';
}
?>
<style>
.buttons-print {
    border: 1px solid #b2b2b2;
    padding: 3px 7px;
    border-radius: 3px;
    background: linear-gradient(135deg, #6A82FB, #FC5C7D);
    color: white;
}

.btn-success, .btn-view-pdf, .btn-view-send {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    position: relative;
    overflow: hidden;
    transition: box-shadow .3s;
    box-shadow: 0 8px 20px rgba(0, 0, 0, 0.12);
    color: white;
}

.btn-success::after, .btn-view-pdf::after, .btn-view-send::after {
    content: "";
    position: absolute;
    top: -100%;
    left: -100%;
    width: 200%;
    height: 200%;
    z-index: 1;
    background: linear-gradient(135deg, transparent, rgba(255, 255, 255, 0.4), transparent);
    transform: rotate(45deg);
    pointer-events: none;
    transition: top 0.5s, left 0.5s;
}

.btn-success:hover::after, .btn-view-pdf:hover::after, .btn-view-send:hover::after {
    top: 100%;
    left: 100%;
}

.btn-success {
    background: linear-gradient(135deg, #8E2DE2, #4A00E0);
    border: none;
    padding: 4px 8px;
    border-radius: 50px 50px 0 50px;
    font-weight: 600;
}

.btn-view-pdf {
    background: linear-gradient(135deg, #FFB75E, #ED8F03);
    border-radius: 50px 50px 0 50px;
    padding: 6px 12px;
}

.btn-view-send {
    background: linear-gradient(135deg, #56ab2f, #a8e063);
    border-radius: 30px 50px 0 50px;
    padding: 6px 15px;
}

.btn-view-pdf i, .btn-view-send i {
    margin-right: 4px;
}

.active-btn {
    background: linear-gradient(135deg, #f54242, #f542a2);
    box-shadow: 0 6px 14px rgba(255,0,0,0.1);
}

@keyframes dance {
    0% { transform: scale(1) rotate(0); }
    20% { transform: scale(1.05) rotate(-5deg); }
    40% { transform: scale(1) rotate(5deg); }
    60% { transform: scale(1.05) rotate(-5deg); }
    80% { transform: scale(1) rotate(5deg); }
    100% { transform: scale(1) rotate(0); }
}

.btn-success:hover, .btn-view-pdf:hover, .btn-view-send:hover {
    animation: dance 0.5s infinite;
}
</style>
<script>
    document.addEventListener('DOMContentLoaded', function () {
        let buttons = document.querySelectorAll('.btn-view-pdf, .btn-success');

        buttons.forEach(button => {
            button.addEventListener('click', function () {

                // Remove active class from all buttons
                buttons.forEach(btn => btn.classList.remove('active-btn'));

                // Add active class to the clicked button
                this.classList.add('active-btn');
            });
        });
    });
</script>
<style>
  .card {
    width: 100%; /* Adjust the width as needed */
    margin: 0 auto; /* This will center the card */
  }
</style>

<div id="content" class="bg-container">
    <?php include 'Header.php'; ?>
    <div class="outer">
        <div class="inner bg-light lter bg-container">
            <div class="row">
                <div class="col-xs-12 data_tables">
                    <!-- BEGIN EXAMPLE1 TABLE PORTLET-->
                    <div class="card">
                        <div class="card-block" style="margin-top:60px;">
                            <table class="table table-striped table-bordered table-hover" id="sample_1">
                                <thead>
                                    <tr>
                                        <th>#</th>
                                        <th>Brand Title</th>
                                        <th>Total Items</th>
                                        <?php if ($user_type == '1' || $user_type == '2' || $user_type == '3' || $user_type == '4') { ?>
                                            <th>Action</th>
											<th>Action</th>
                                        <?php } ?>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php
                                    $i = 1;
                                    while ($listR = GetRow($listRS)) {
                                        $brandID = $listR['id'];
                                        $productsInBrand = Records(Run($conn, "select id from tbl_items where brand_id = '$brandID'"));
                                    ?>
                                        <tr>
                                            <td><?php echo $i++; ?></td>
                                            <td><?php echo $listR['title']; ?></td>
                                            <td><?php echo $productsInBrand; ?></td>
                                            <?php if ($user_type == '1' || $user_type == '2' || $user_type == '3' || $user_type == '4') { ?>
                                                <td width="8%"><a class="btn btn-success" href="DemandReport?id=<?php echo $listR['id']; ?>" title="View details of <?php echo $listR['supplier']; ?>" target="_blank">Update</a></td>
                                                <td width="8%"><a class="btn btn-success" href="ViewHistory?id=<?php echo $listR['id']; ?>" title="View details of <?php echo $listR['supplier']; ?>" target="_blank">View History</a></td>
											<?php } ?>
                                        </tr>
                                    <?php } ?>
                                </tbody>
                            <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
                            <style>
                                .logout-button {
                                    display: inline-block;
                                    padding: 12px 12px; /* Adjust padding as needed */
                                    background-color: #4CAF50;
                                    color: white;
                                    text-decoration: none;
                                    border: none;
                                    border-radius: 16px;
                                    cursor: pointer;
                                    float: left; /* Adding the float property to pull the button to the right */
                                    margin-right: 10px; /* Add margin-right to create space between buttons */
                                }

                                .logout-button:hover {
                                    background-color: #45a049;
                                }
								
                                .logout-button1 {
                                    display: inline-block;
                                    padding: 12px 12px; /* Adjust padding as needed */
                                    background-color: #4CAF50;
                                    color: white;
                                    text-decoration: none;
                                    border: none;
                                    border-radius: 16px;
                                    cursor: pointer;
                                    float: right; /* Adding the float property to pull the button to the right */
                                }							
                            </style>
                            <div style="margin-bottom: 1px;"> <!-- Add margin-bottom to create space below the border -->
                                <!-- Store Demand -->
                                <a href="DemandSheetAll" class="btn btn-lg btn-raised btn-danger logout-button1">Store Demand</a>							
                                <!-- Logout Button -->
                                <a href="logout" class="btn btn-lg btn-raised btn-danger logout-button">
                                    <i class="fa fa-sign-out"></i> Logout
                                </a> 	
							</div>
                            <div style="height: 70px;"></div> 							
                            </table>
                        </div>
                    </div>
                    <!-- END EXAMPLE1 TABLE PORTLET-->
                </div>
            </div>
            <!-- /.inner -->
        </div>
        <!-- /.outer -->
    </div>
    <?php include 'ContentFooter.php'; ?>
    <!-- /#content -->
</div>
<?php include 'Footer.php'; ?>
<?php if (getValue('wc') == 1) { ?>
    <script>
        window.onload = function() {
            PNotify.desktop.permission();
            new PNotify({
                title: 'Success',
                text: 'A new brand has been added into your software, Hope this brand give you more benefit.',
                type: 'success',
                desktop: {
                    desktop: true
                }
            }).get().on("click", function(e) {
                if ($('.ui-pnotify-closer, .ui-pnotify-sticker, .ui-pnotify-closer *, .ui-pnotify-sticker *').is(e.target))
                    return;
            });
            return false;
        };
    </script>
<?php } ?>
