<?php 

$page		  = 'salarysummary';

require_once('sessionp.php');
require_once('checkAccountsSession.php');

require_once('includes/connection.php');
require_once('includes/functions.php');

$start_day   = '01';
$start_month = date("m");
$start_year  = date("Y");
$start_date = $start_year.'-'.$start_month.'-'.$start_day;
$end_date   = date("Y-m-d");
$date_check = getValue('date_check');
if($date_check == 'true')
	{
		$start_date = getValue('date_from');
		$end_date   = getValue('date_to');
	}

$module		= 'employees';
$range 	    = 'true';
$pageRole   = 'table'; 
$pageTitle  = 'Services ('.$start_date.' to '.$end_date.')';

include 'MasterTop.php';
include 'Top.php';
include 'SideBar.php';
?>
    <style>
        .buttons-print {
            border: 1px solid;
            padding: 5px 10px;
            border-radius: 3px;
        }
    </style>
<div id="content" class="bg-container"> 
    <?php include 'Header.php'; ?>
    <div class="outer">
        <div class="inner bg-light lter bg-container">
            <div class="row">
                <div class="col-xs-12 data_tables"> 
                    <!-- BEGIN EXAMPLE1 TABLE PORTLET-->
                    <div class="card">
                        <div class="card-block" style="margin-top:60px;">
                            <table class="table table-striped table-bordered table-hover" id="sample_1">
                                <thead>
                                    <tr>
                                        <th>ID</th>
                                        <th>Name</th>
                                        <th>Designation</th>
                                        <th>Salary</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php  
                                    $i=1;
                                    $totalSalary = 0;
                                    $listRS = Run($conn,"select * from tbl_services_calculations where status='Active' and MONTH(post_date) = MONTH('$start_date') AND YEAR(post_date) = YEAR('$start_date') order by id desc"); 
                                    while ($listR = GetRow($listRS)){ 
                                        $totalSalary += $listR['salary'];
                                    ?>
                                        <tr>
                                            <td><?php echo $listR['id']; ?></td>
                                            <td><?php echo $listR['name']; ?></td>
                                            <td><?php echo $listR['designation']; ?></td>
                                            <td><?php echo $listR['salary']; ?></td>
                                        </tr>
                                    <?php } ?>
                                </tbody>
                                <tfoot>
                                    <tr>
                                        <td colspan="3" style="text-align: right; font-weight: bold; font-size: larger;">Total Salary:</td>
                                        <td style="font-weight: bold; font-size: larger;"><?php echo number_format($totalSalary, 2); ?></td>
                                    </tr>
                                </tfoot>
                            </table>															
                        </div>
                    </div>
                    <!-- END EXAMPLE1 TABLE PORTLET--> 
                </div>
            </div>
            <!-- /.inner --> 
        </div>
        <!-- /.outer --> 
    </div>
    <!-- /#content --> 
</div>
<?php include 'Footer.php'; ?>