<?php 

$page		= 'employee';

require_once('sessionp.php');
require_once('checkAccountsSession.php');

require_once('includes/connection.php');
require_once('includes/functions.php');

$ID		  = $_GET['id'];

// Prepare and bind
$stmt = $conn->prepare("SELECT * FROM tbl_services WHERE id = ?");
$stmt->bind_param("i", $ID);
$stmt->execute();

$result = $stmt->get_result(); // get the mysqli result

$module	     = 'employees';
$pageRole    = 'table';
$range       = 'true';
$pageTitle   = "Employee: ".showTitle($conn,'tbl_services', $ID);

include 'MasterTop.php';
include 'Top.php';
include 'SideBar.php';
?>
<style>
.buttons-print {
	border: 1px solid;
	padding: 5px 10px;
	border-radius: 3px;													
}
</style>
<div id="content" class="bg-container"> 
	<?php include 'Header.php'; ?>
	<div class="outer">
		<div class="inner bg-light lter bg-container">
			<div class="row">
				<div class="col-xs-12 data_tables"> 
					<!-- BEGIN EXAMPLE1 TABLE PORTLET-->
					<div class="card">
						<div class="card-block" style="margin-top:60px;">
							<table class="table table-striped table-bordered table-hover">
								<thead>
                                    <tr>
                                        <th>ID</th>
                                        <th>Name</th>
                                        <th>Designation</th>
                                        <th>Cell</th>
                                        <th>ID Card</th>
                                        <th>Salary</th>
                                        <th>Emergency</th>
                                        <th>DOB</th>
                                        <th>Gender</th>
                                        <th>Current Address</th>
                                        <th>Joining Date</th>
                                        <th>Transfer Option</th>
                                        <th>Title Name</th>
                                        <th>Bank Name</th>
                                        <th>Account No</th>
                                        <th>Status</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php  
                                    $i = 1;
                                    while ($listR = $result->fetch_assoc()) { 
                                    ?>
                                    <tr>
                                        <td><?php echo $listR['id']; ?></td>
                                        <td><?php echo $listR['name']; ?></td>
                                        <td><?php echo $listR['designation']; ?></td>
                                        <td><?php echo $listR['cell']; ?></td>
                                        <td><?php echo $listR['id_card']; ?></td>
                                        <td><?php echo $listR['salary']; ?></td>
                                        <td><?php echo $listR['emergency']; ?></td>
                                        <td><?php echo $listR['dob']; ?></td>
                                        <td><?php echo $listR['gender']; ?></td>
                                        <td><?php echo $listR['address']; ?></td>
                                        <td><?php echo $listR['joining_date']; ?></td>
                                        <td><?php echo $listR['Transfer_Option']; ?></td>
                                        <td><?php echo $listR['title']; ?></td>
                                        <td><?php echo $listR['bank_name']; ?></td>
                                        <td><?php echo $listR['account']; ?></td>
                                        <td><?php echo $listR['status']; ?></td>
                                    </tr>
                                </tbody>
                            </table>
                            <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#modal-employee">
                                Update
                            </button>
                            &nbsp;
                        </div>
                    </div>
                    <!-- END EXAMPLE1 TABLE PORTLET--> 
                </div>
            </div>
            <!-- /.inner --> 
        </div>
        <!-- /.outer --> 
    </div>
    <div class="modal fade" id="modal-employee" role="dialog" aria-labelledby="modalLabelsuccess">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header bg-success">
                    <h4 class="modal-title text-white" id="modalLabelsuccess">Update</h4>
                </div>
                <div class="modal-body" style="padding-top:0;">
                    <form method="post" action="process/UpdateService">
                        <input type="hidden" name="bcheck" value="true" />
                        <input type="hidden" name="id" value="<?php echo $listR['id']; ?>">
                        <div class="row">
                            <div class="row">
                                <div class="col-lg-4">
                                    <div class="input_field_sections">
                                        <h5>Name</h5>
                                        <input type="text" autocomplete="off" class="form-control" name="title" value="<?php echo $listR['name']; ?>" />
                                    </div>
                                    <div class="input_field_sections">
                                        <h5>Designation</h5>
                                        <input type="text" class="form-control" name="designation" list="designation_list" value="<?php echo $listR['designation']; ?>" />
                                        <datalist id="designation_list">
                                            <option value="Social Media">
                                            <option value="Lawyer">
                                            <option value="Maintenance">
                                            <option value="Laundry">
                                            <option value="Guards">
                                            <option value="Gardner">
                                            <option value="Fumigation">
                                            <option value="NayaTel">
                                            <option value="Social Work">
                                            <option value="IT">
                                            <option value="Staff Accommodation">
                                            <option value="Staff Transportation">
                                        </datalist>
                                    </div>
                                    <div class="input_field_sections">
                                        <h5>Cell</h5>
                                        <input type="tel" class="form-control" name="cell" value="<?php echo $listR['cell']; ?>" />
                                    </div>
                                    <div class="input_field_sections">
                                        <h5>Joining</h5>
                                        <input type="date" class="form-control" name="joining_date" value="<?php echo $listR['joining_date']; ?>" />
                                    </div>
                                    <div class="input_field_sections">
                                        <h5>Title</h5>
                                        <input type="text" class="form-control" name="title_name" value="<?php echo $listR['title']; ?>" />
                                    </div>
                                </div>
                                <div class="col-lg-4">
                                    <div class="input_field_sections">
                                        <h5>ID Card</h5>
                                        <input type="number" class="form-control" name="id_card" value="<?php echo $listR['id_card']; ?>" />
                                    </div>
                                    <div class="input_field_sections">
                                        <h5>Salary</h5>
                                        <input type="number" class="form-control" name="salary" value="<?php echo $listR['salary']; ?>" />
                                    </div>
                                    <div class="input_field_sections">
                                        <h5>Emergency</h5>
                                        <input type="tel" class="form-control" name="emergency_contact" value="<?php echo $listR['emergency']; ?>" />
                                    </div>
                                    <div class="input_field_sections">
                                        <h5>Bank Name</h5>
                                        <input type="text" class="form-control" name="bank_name" list="bank_list" value="<?php echo $listR['bank_name']; ?>" />
                                        <datalist id="bank_list">
                                            <option value="Allied Bank Limited">
                                            <option value="Askari Bank Limited">
                                            <option value="Bank Alfalah Limited">
                                            <option value="Bank AL Habib Limited">
                                            <option value="BankIslami Pakistan Limited">
                                            <option value="Faysal Bank Limited">
                                            <option value="Habib Bank Limited">
                                            <option value="Habib Metropolitan Bank Limited">
                                            <option value="JS Bank Limited">
                                            <option value="MCB Bank Limited">
                                            <option value="Meezan Bank Limited">
                                            <option value="National Bank of Pakistan">
                                            <option value="Samba Bank Limited">
                                            <option value="Silkbank Limited">
                                            <option value="Sindh Bank Limited">
                                            <option value="Standard Chartered Bank (Pakistan) Limited">
                                            <option value="Summit Bank Limited">
                                            <option value="United Bank Limited">
                                        </datalist>
                                    </div>
                                    <div class="input_field_sections">
                                        <h5>Status</h5>
                                        <select class="form-control" name="status">
                                            <option value="Active" <?php if ($listR['status'] === 'Active') echo 'selected'; ?>>Active</option>
                                            <option value="Inactive" <?php if ($listR['status'] === 'Inactive') echo 'selected'; ?>>Inactive</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="col-lg-4">
                                    <div class="input_field_sections">
                                        <h5>DOB</h5>
                                        <input type="date" class="form-control" name="dob" value="<?php echo $listR['dob']; ?>" />
                                    </div>
                                    <div class="input_field_sections">
                                        <h5>Gender</h5>
                                        <select class="form-control" name="gender">
                                            <option value="Male" <?php if ($listR['gender'] === 'Male') echo 'selected'; ?>>Male</option>
                                            <option value="Female" <?php if ($listR['gender'] === 'Female') echo 'selected'; ?>>Female</option>
                                            <option value="Other" <?php if ($listR['gender'] === 'Other') echo 'selected'; ?>>Other</option>
                                        </select>
                                    </div>
                                    <div class="input_field_sections">
                                        <h5>Address</h5>
                                        <input type="text" class="form-control" name="current_address" value="<?php echo $listR['address']; ?>" />
                                    </div>
                                    <div class="input_field_sections">
                                        <h5>Account</h5>
                                        <input type="text" class="form-control" name="account_number" value="<?php echo $listR['account']; ?>" />
                                    </div>
                                    <div class="input_field_sections">
                                        <h5>BankOption</h5>
                                        <select class="form-control" name="bank">
                                            <option value="Yes" <?php if ($listR['Transfer_Option'] === 'Yes') echo 'selected'; ?>>Yes</option>
                                            <option value="No" <?php if ($listR['Transfer_Option'] === 'No') echo 'selected'; ?>>No</option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer" style="text-align:left;">
                        <button type="submit" class="btn btn-success">Update</button>
                        <button class="btn btn-warning" data-dismiss="modal">Cancel</button>
                    </div>
                </form>
                <?php } ?>
            </div>	
        </div>
    </div>	
    <!-- /#content --> 
</div>
<?php include 'Footer.php'; ?> 