<?php 

$page		= 'Store';

require_once('sessionp.php');
require_once('checkAccountsSession.php');

require_once('includes/connection.php');
require_once('includes/functions.php');


$module 	  = 'stock';
$pageTitle   = 'Store';
$pageRole    = 'table';
 

$listRS	 = Run($conn,"select * from tbl_items where status = '1' order by id desc");  

include 'MasterTop.php';
include 'Top.php';
include 'SideBar.php';
?>
<style>
.buttons-print {
	border: 1px solid;
	padding: 5px 10px;
	border-radius: 3px;
}
</style>
<div id="content" class="bg-container">
	<?php include 'Header.php'; ?> 
	<div class="modal fade" id="modal-item" role="dialog" aria-labelledby="modalLabelsuccess">
		<div class="modal-dialog" role="document">
			<div class="modal-content">
				<div class="modal-header bg-success">
					<h4 class="modal-title text-white" id="modalLabelsuccess">New Item</h4>
				</div>
				<div class="modal-body" style="padding-top:0;">
				<form method="post" action="process/SaveItem">
					<input type="hidden" name="bcheck" value="true" />
									<div class="row"> 
									<div class="col-lg-8 input_field_sections">
										<h5>Item Name <span class="label_desc">(Required)</span></h5>
										<input type="text" class="form-control" autocomplete="off" name="title"  required="required" />  
									</div> 
									</div> 
									<div class="row">
									<div class="col-lg-4 input_field_sections">
										<h5>Unit <span class="label_desc">(Autofill-Required)</span></h5>
										<input type="text" class="form-control" autocomplete="off" id="autofill_unit" name="unit" list="unit_list" required="required" >
										<datalist id="unit_list">
										<?php 
										$unitsRS = Run($conn,"select * from tbl_units order by title asc");
										while($unitR = GetRow($unitsRS)){
										?>
										<option><?php echo $unitR['title']; ?></option> 
										<?php } ?> 
										</datalist>
									</div>
									<div class="col-lg-4 input_field_sections">
										<h5>Category <span class="label_desc">(Autofill)</span></h5>
										<input type="text" class="form-control" autocomplete="off" id="autofill_cat" name="cat_title" list="cat_list" value="None" >
										<datalist id="cat_list">
										<?php 
										$categoriesRS = Run($conn,"select * from tbl_items_cat where status = '1' order by title asc");
										while($categoriesR = GetRow($categoriesRS)){
										?>
										<option><?php echo $categoriesR['title']; ?></option> 
										<?php } ?> 
										</datalist> 
									</div> 
									<div class="col-lg-4 input_field_sections">
										<h5>Section<span class="label_desc">(Autofill)</span></h5>
										<input type="text" class="form-control" autocomplete="off" id="autofill_brand"  name="brand_title" list="brand_list" value="None" >
										<datalist id="brand_list">
										<?php 
										$brandsRS = Run($conn,"select * from tbl_brands where status = '1' order by title asc");
										while($brandsR = GetRow($brandsRS)){
										?>
										<option><?php echo $brandsR['title']; ?></option> 
										<?php } ?> 
										</datalist>   
									</div>
                                    <div class="col-lg-4 input_field_sections">
										<h5>Mini <span class="label_desc">(Required)</span></h5>
										<input type="Number" class="form-control" autocomplete="off" name="Mini"  required="required" />  
									</div>
									<div class="col-lg-4 input_field_sections">
										<h5>Max <span class="label_desc">(Required)</span></h5>
										<input type="Number" class="form-control" autocomplete="off" name="Max"  required="required" />  
									</div>	
									<div class="col-lg-4 input_field_sections">
										<h5>Supplier <span class="label_desc">(Autofill-Required)</span></h5>
										<input type="text" class="form-control" autocomplete="off" id="autofill_supplier" name="supplier" list="supplier_list" required="required" value="<?php if($billR['supplier_id'] != ''){ echo showTitle($conn,'tbl_suppliers',$billR['supplier_id']); } else { echo "Guest Supplier"; } ?>">
										<datalist id="supplier_list">
											<?php 
											$suppliersRS = Run($conn,"select * from tbl_suppliers where status = '1' order by title asc");
											while($suppliersR = GetRow($suppliersRS)){
											?>
											<option><?php echo $suppliersR['title']; ?></option>
											<?php } ?>
										</datalist>
									</div>
								</div>
									<?php /*?><div class="row"> 
									<div class="col-lg-6 input_field_sections">
										<h5>Opening Stock <span class="label_desc">(Optional)</span></h5>
										<input type="number" class="form-control" min="0" value="0" step="any" name="opening_quantity" required="required" />
									</div>
									<div class="col-lg-6 input_field_sections">
										<h5>Unit Cost <span class="label_desc">(Optional)</span></h5>
										<input type="number" class="form-control" min="0" value="0" step="any" name="opening_unit_cost" required="required" />
									</div>
									</div> <?php */?>
					</div>
					<div class="modal-footer">
						<button type="submit" class="btn btn-success">Save</button>
						<button class="btn btn-warning" data-dismiss="modal">Cancel</button>
					</div>
				</form>
			</div>
		</div>
	</div>
	<div class="outer">
		<div class="inner bg-light lter bg-container">
			<div class="row">
				<div class="col-xs-12 data_tables"> 
					<!-- BEGIN EXAMPLE1 TABLE PORTLET-->
					<div class="card">
						<div class="card-block" style="margin-top:60px;">
							<table class="table table-striped table-bordered table-hover" id="sample_1">
								<thead>
									<tr>
										<th >#</th>
										<th >Item</th>
										<th >Category</th>
										<th >Section</th>
										<th >Mini</th> 
										<th >Max</th>
										<th >Supplier</th> 
										 <?php if ($user_type == '1' || $user_type == '4') { ?>
										<th>Action</th>
										 <?php } ?>
									</tr>
								</thead>
								<tbody>
									<?php  
								$i=1;
								$TotalStockWorth = 0; 
								$TotalStockQty   = 0;
								while ($listR = GetRow($listRS)){ 
								$productID = $listR['id'];
								$productStockR = GetRow(Run($conn,"select balance_quantity, balance_cost from tbl_stock_dairy where product_id = '$productID' order by id desc limit 1"));
								?>
									<tr>
										<td><?php echo $listR['id']; ?>
										<td><?php echo $listR['title']; ?>
										<?php echo showTitle($conn,'tbl_units',$listR['unit']); ?></td>
										<td><?php echo showTitle($conn,'tbl_items_cat',$listR['category_id']); ?></td>
										<td><?php echo showTitle($conn,'tbl_brands',$listR['brand_id']); ?></td>
										<td><?php echo $listR['Mini']; ?></td>
										<td><?php echo $listR['Max']; ?></td>
										<td><?php echo $listR['supplier']; ?></td>
										<?php if ($user_type == '1' || $user_type == '4') { ?>
										<td>
										<a href="item?id=<?php echo $listR['id']; ?>" title="View details of <?php echo $listR['title']; ?>" class="btn btn-raised btn-primary btn-sm md-trigger adv_cust_mod_btn"  > Details </a> 
										<?php if($productStockR['balance_quantity'] > 0) {?>
										<button data-toggle="modal" data-target="#modal_adjust_item_<?php echo $listR['id']; ?>" title="Adjust: <?php echo $listR['title']; ?>" class="btn btn-raised btn-warning btn-sm md-trigger adv_cust_mod_btn adjustButton"  > Adjust </button> 
										<?php } ?>
										
										<?php /*?><a href="item?id=<?php echo $listR['id']; ?>" title="View details of <?php echo $listR['title']; ?>" class="btn btn-raised btn-warning btn-sm md-trigger adv_cust_mod_btn" data-toggle="modal" data-target="#modal-<?php echo $listR['id']; ?>"> Supply </a>
                                            <div class="modal fade" id="modal-<?php echo $listR['id']; ?>" role="dialog" aria-labelledby="modalLabelsuccess">
                                                <div class="modal-dialog" role="document">
                                                    <div class="modal-content">
                                                        <div class="modal-header bg-success">
                                                            <h4 class="modal-title text-white" id="modalLabelsuccess">Supply Item</h4>
                                                        </div>
                                                        <div class="modal-body" style="padding-top:0;">
                                                        <form method="post" action="">
                                                            <input type="hidden" name="payment_check" value="true" />
                                                            <div class="row">

                                                                <div class="col-lg-6 input_field_sections">
                                                                    <h5>Qty </h5>
                                                                    <input type="text" class="form-control" name="amount" step="any" required="required" />
                                                                </div>
                                                                <div class="col-lg-6 input_field_sections">
                                                                    <h5>Type</h5>
                                                                    <select class="form-control chzn-select" name="type" tabindex="1">
                        <option value="dr" selected="selected">Kitchen</option>
                        <option value="cr">Waste</option>
                                                                    </select>
                                                                </div>

                                                                <div class="col-lg-12 input_field_sections">
                                                                    <h5>Details</h5>
                                                                    <textarea name="description" class="form-control" placeholder="Add details(if any)"></textarea>

                                                                </div>
                                                            </div>
                                                            </div>
                                                            <div class="modal-footer">
                                                                <button type="button" class="btn btn-success">Save</button>
                                                                <button class="btn  btn-warning" data-dismiss="modal">Cancel</button>
                                                            </div>
                                                        </form>
                                                    </div>
                                                </div>
                                            </div><?php */?></td>
											<?php } ?>
									</tr>
									
									<div class="modal fade" id="modal_adjust_item_<?php echo $listR['id']; ?>" role="dialog" aria-labelledby="modalLabelsuccess">
										<div class="modal-dialog" role="document">
											<div class="modal-content">
												<div class="modal-header bg-warning">
													<h4 class="modal-title text-white" id="modalLabelsuccess">Adjust: <?php echo $listR['title']; ?></h4>
												</div>
												<div class="modal-body" style="padding-top:0;">
													<form method="post" action="process/ajdust_stock_dairy.php">
														<input type="hidden" name="bcheck" value="true" />
														<input type="hidden" name="item_id" value="<?php echo $listR['id']; ?>" />
														<div class="row">
															<div class="col-md-4 input_field_sections">
																<div class="form-group"><span class="form_labels">Type <span class="label_desc">(Required)</span></span>
																<select class="form-control adjust_type" name="adjust_type" >
																	<option value="0" selected="selected">Wastage</option>
																	<option value="1">Return to Supplier</option>
																</select> 
																</div>
															</div>
															<div class="col-lg-4 input_field_sections">
																<h5>Out Quantity <span class="label_desc">(Required)</span></h5>
																<input type="number" min="0.01" max="<?php echo $productStockR['balance_quantity']; ?>" step="any" class="form-control" name="out_quantity" autocomplete="off" required="required" />
															</div>
															<div class="col-lg-4 input_field_sections supplier_amount" style="display:none;">
																<h5>Amount <span class="label_desc">(Required)</span></h5>
																<input type="number" min="0.01" step="any" class="form-control supplier_amount_input" name="supplier_amount" autocomplete="off"  />
															</div>
															<div class="col-lg-12 input_field_sections">
																<h5>Notes <span class="label_desc">(Required)</span></h5> 
																<textarea name="out_notes" class="form-control" required></textarea>
															</div>
														</div>
												</div>
												<div class="modal-footer" style="text-align:left;">
													<button type="submit" class="btn btn-warning">Save</button>
													<button class="btn btn-danger" data-dismiss="modal">Cancel</button>
												</div>
												</form>
											</div>
										</div>
									</div> 

									
									<?php } ?>
								</tbody>
								<tfoot>
									<tr>   
										 <th colspan="7" style="text-align:right;"><?php echo number_format($TotalStockWorth,2); ?></th>
										 <?php if ($user_type == '1' || $user_type == '4') { ?>
										 <th> &nbsp; </th>
										 <?php } ?>
									</tr>
								</tfoot>
							</table>
						</div>
					</div>
					<!-- END EXAMPLE1 TABLE PORTLET--> 
					
				</div>
			</div>
			<!-- /.inner --> 
		</div>
		<!-- /.outer --> 
	</div>
	<?php include 'ContentFooter.php'; ?>
	<!-- /#content --> 
</div>
<?php include 'Footer.php'; ?> 
<script>
   $('.adjust_type').change(function(){ 
    if($(this).val()=="0"){ 
      
	$(".supplier_amount_input").removeAttr('required');
    $('.supplier_amount').css('display', 'none');
    }
 else{ 
	$(".supplier_amount_input").attr('required', ''); 
    $('.supplier_amount').css('display', 'block');
   }
}); 
</script>
<script>
	$(".adjustButton").click(function () {
		$(".supplier_amount_input").removeAttr('required');
		$(".supplier_amount").css("display", "none");
	});
</script>