<?php

$page = 'employees';
require_once('sessionp.php');
require_once('checkAccountsSession.php');
require_once('includes/connection.php');
require_once('includes/functions.php');

$start_date = $_GET['start_date'];
$end_date = $_GET['end_date'];

$module = 'employees';
$pageTitle = 'Upload Attendance';
$pageTitleR = 'BISTRO NOIR';
$pageTitleL = 'F 7-3 ISLAMABAD';
$LastDateResult = Run($conn, "SELECT Date FROM tbl_attendance ORDER BY Date DESC LIMIT 1");
$LastDateRow = GetRow($LastDateResult);
$LastDate = $LastDateRow['Date'];

// Convert LastDate to timestamp
$timestamp = strtotime($LastDate);

// Add one day (86400 seconds) to the timestamp
$newTimestamp = $timestamp + 86400;

// Convert the new timestamp back to 'YYYY-MM-DD' format
$start_date = date('Y-m-d', $newTimestamp);

$pageTitleM = 'UpLoad Attendance From ' . $start_date;


if ($_SERVER["REQUEST_METHOD"] == "POST" && isset($_POST['submit_query'])) {
    // Handle form submission
    $sql_query = $_POST['sql_query'];
    if (!empty($sql_query)) {
        // Split the SQL queries by semicolon
        $queries = explode(';', $sql_query);
        foreach ($queries as $query) {
            // Trim each query
            $trimmed_query = trim($query);
            if (!empty($trimmed_query)) {
                // Execute each query
                Run($conn, $trimmed_query);
            }
        }
        // Redirect to UploadAttendance.php
        header("Location: UploadAttendance.php");
        exit(); // Ensure that script execution stops after redirection
    }
}

// Update Date based on CHECKTIME
if ($_SERVER["REQUEST_METHOD"] == "POST" && isset($_POST['update_date'])) {
    $getDateQuery = "SELECT id, CHECKTIME FROM tbl_attendance WHERE Date = '0000-00-00' ORDER BY id DESC";
    $getDateResult = Run($conn, $getDateQuery);
    
    while ($row = mysqli_fetch_assoc($getDateResult)) {
        $id = $row['id'];
        $checkTime = strtotime($row['CHECKTIME']);
        
        // Set Date based on CHECKTIME
        $newDate = date('Y-m-d', $checkTime);
        $checkHour = date('H', $checkTime);
        
        // If time is before 3:00 AM, set date to yesterday
        if ($checkHour < 3) {
            $newDate = date('Y-m-d', strtotime('-1 day', $checkTime));
        }
        
        // Update Date in tbl_attendance
        $updateQuery = "UPDATE tbl_attendance SET Date = '$newDate' WHERE id = $id";
        Run($conn, $updateQuery);
    }
    
    // Redirect to UploadAttendance.php
    header("Location: UploadAttendance.php");
    exit(); // Ensure that script execution stops after redirection
}

include 'MasterTop.php';
include 'Top.php';
include 'SideBar.php';
?>

<style>
.buttons-print {
    border: 1px solid #b2b2b2;
    padding: 3px 7px;
    border-radius: 3px;
    background: linear-gradient(135deg, #6A82FB, #FC5C7D);
    color: white;
    margin-right: 10px; /* Add margin between buttons */
}
</style>

<script>
document.addEventListener('DOMContentLoaded', function () {
    let buttons = document.querySelectorAll('.btn-view-pdf, .btn-success');

    buttons.forEach(button => {
        button.addEventListener('click', function () {
            // Hide the buttons after being clicked
            buttons.forEach(btn => {
                btn.style.display = 'none';
            });
        });
    });
});
</script>

<div id="content" class="bg-container">
    <?php include 'Header.php'; ?>
    <div class="outer">
        <div class="inner bg-light lter bg-container">
            <div class="row">
                <div class="col-xs-12 data_tables">
                    <div class="card">
                        <div style="text-align: center; font-size: 20px; margin-top:10px; margin-left:50px; margin-right:50px; border: 2px solid black; border-radius: 60px; padding: 30px;">
                            <div><strong><?php echo $pageTitleR; ?></strong></div>
                            <div><strong><?php echo $pageTitleL; ?></strong></div>
                            <div><strong><?php echo $pageTitleM; ?></strong></div>
                            <form method="post" action="">
                                <textarea name="sql_query" rows="5" cols="50"></textarea><br>
                                <input type="submit" name="submit_query" value="Execute Query" class="buttons-print">
                                <input type="submit" name="update_date" value="Update Date" class="buttons-print">
                            </form>
                        </div>
                    </div>
                    <!-- END EXAMPLE1 TABLE PORTLET-->
                </div>
            </div>
            <!-- /.inner -->
        </div>
        <!-- /.outer -->
    </div>
    <!-- /#content -->
    <?php include 'ContentFooter.php'; ?>
</div>

<?php include 'Footer.php'; ?>

<?php if(getValue('wc') == 1){ ?>
<script>
    window.onload = function() {
        PNotify.desktop.permission();
        new PNotify({
            title: 'Success',
            text: 'A new product has been added into your software, Hope this product give you more benefit.',
            type: 'success',
            desktop: {
                desktop: true
            }
        }).get().on("click", function (e) {
            if ($('.ui-pnotify-closer, .ui-pnotify-sticker, .ui-pnotify-closer *, .ui-pnotify-sticker *').is(e.target))
                return;
        });
        return false;
    };
</script>
<?php } ?>
