<?php 

$page		 = 'VendorsFromKitchen';

require_once('sessionp.php');
require_once('checkAccountsSession.php');

require_once('includes/connection.php');
require_once('includes/functions.php');
$register_date = date("Y-m-d");

$module 	   = 'Demand';
$pageTitle     = 'Vendors Demand';
include 'MasterTop.php';
if ($user_type == '1') {
include 'Top.php';
include 'SideBar.php';
}

$listRS	 = Run($conn,"SELECT DISTINCT tbl_demand_record.supplier, tbl_suppliers.id
FROM tbl_demand_record
INNER JOIN tbl_suppliers
ON tbl_demand_record.supplier = tbl_suppliers.name
WHERE tbl_demand_record.status = '0' and tbl_demand_record.Vendor ='Vendor' order by tbl_demand_record.supplier ASC ");

?>
<style>
.buttons-print {
    border: 1px solid #b2b2b2;
    padding: 3px 7px;
    border-radius: 3px;
    background: linear-gradient(135deg, #6A82FB, #FC5C7D);
    color: white;
}

.btn-success, .btn-view-pdf, .btn-view-send {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    position: relative;
    overflow: hidden;
    transition: box-shadow .3s;
    box-shadow: 0 8px 20px rgba(0, 0, 0, 0.12);
    color: white;
}

.btn-success::after, .btn-view-pdf::after, .btn-view-send::after {
    content: "";
    position: absolute;
    top: -100%;
    left: -100%;
    width: 200%;
    height: 200%;
    z-index: 1;
    background: linear-gradient(135deg, transparent, rgba(255, 255, 255, 0.4), transparent);
    transform: rotate(45deg);
    pointer-events: none;
    transition: top 0.5s, left 0.5s;
}

.btn-success:hover::after, .btn-view-pdf:hover::after, .btn-view-send:hover::after {
    top: 100%;
    left: 100%;
}

.btn-success {
    background: linear-gradient(135deg, #8E2DE2, #4A00E0);
    border: none;
    padding: 6px 12px;
    border-radius: 50px 50px 0 50px;
    font-weight: 600;
}

.btn-view-pdf {
    background: linear-gradient(135deg, #FFB75E, #ED8F03);
    border-radius: 40px 40px 0 50px;
    padding: 4px 8px;
}

.btn-view-send {
    background: linear-gradient(135deg, #56ab2f, #a8e063);
    border-radius: 30px 50px 0 50px;
    padding: 6px 15px;
}

.btn-view-pdf i, .btn-view-send i {
    margin-right: 4px;
}

.active-btn {
    background: linear-gradient(135deg, #f54242, #f542a2);
    box-shadow: 0 6px 14px rgba(255,0,0,0.1);
}

@keyframes dance {
    0% { transform: scale(1) rotate(0); }
    20% { transform: scale(1.05) rotate(-5deg); }
    40% { transform: scale(1) rotate(5deg); }
    60% { transform: scale(1.05) rotate(-5deg); }
    80% { transform: scale(1) rotate(5deg); }
    100% { transform: scale(1) rotate(0); }
}

.btn-success:hover, .btn-view-pdf:hover, .btn-view-send:hover {
    animation: dance 0.5s infinite;
}
	    #searchInput {
        width: 250px;
        height: 40px;
        padding: 5px 15px;
        border: 1px solid #ddd;
        border-radius: 20px; /* Rounded corners */
        box-shadow: 0 4px 6px rgba(0,0,0,0.1); /* Subtle shadow for depth */
        font-size: 16px;
        outline: none;
        transition: border-color 0.3s;
        background: linear-gradient(120deg, #fdfbfb 0%, #ebedee 100%); /* Gradient background */
    }

    #searchInput:focus {
        border-color: #4285F4; /* Color change on focus */
        box-shadow: 0 4px 8px rgba(66,133,244,0.2); /* Enhanced shadow on focus */
    }
</style>
<script>
    document.addEventListener('DOMContentLoaded', function () {
        let buttons = document.querySelectorAll('.btn-view-pdf, .btn-success');

        buttons.forEach(button => {
            button.addEventListener('click', function () {

                // Remove active class from all buttons
                buttons.forEach(btn => btn.classList.remove('active-btn'));

                // Add active class to the clicked button
                this.classList.add('active-btn');
            });
        });
    });
</script>
<style>
  .card {
    width: 60%; /* Adjust the width as needed */
    margin: 0 auto; /* This will center the card */
  }
    .logout-button {
      display: inline-block;
      padding: 5px 12px;
      background-color: #4CAF50;
      color: white;
      text-decoration: none;
      border: none;
      border-radius: 2px;
      cursor: pointer;
    }
    .logout-button i {
      margin-right: 3px;
    }
    .logout-button:hover {
      background-color: #45a049;
    }
  </style>
<div id="content" class="bg-container">
    <div class="outer">
        <div class="inner bg-light lter bg-container">
            <div class="row">
                <div class="col-xs-12 data_tables">
                    <div class="card">
                        <div class="card-block" style="margin-top:60px;">
                            <table class="table table-striped table-bordered table-hover" id="sample_1">
                                <thead>
                                    <tr>
                                        <th>#</th>
                                        <th>Vendors</th>
                                        <th>Details</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php  
                                        $i = 1;
                                        while ($listR  = GetRow($listRS)){		
                                    ?>
                                    <tr>
                                        <td width="5%"><?php echo $i++; ?></td>
                                        <td width="5%"><?php echo $listR['supplier']; ?></td>
                                        <td width="8%">
                                            <a class="btn btn-success" href="supplierStore?id=<?php echo $listR['id']; ?>" 
                                                title="View details of <?php echo $listR['supplier']; ?>" target="_blank"> Details
                                            </a>
                                        </td>
                                    </tr>
                                    <?php 
                                        } 
                                    ?>
                                </tbody>
                            <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
                            <div>
                                <ul style="list-style: none; padding: 0; margin: 0;">
                                <?php
                                        $result = Run($conn, "SELECT DISTINCT tbl_demand_record.brand_id
                                            FROM tbl_demand_record
                                            WHERE tbl_demand_record.status = '0' and post_date = '$register_date'");
                                        while ($BrandID = GetRow($result)) {
                                        // Assuming showTitle function returns the brand name based on the brand_id
                                        $Name = showTitle($conn, 'tbl_brands', $BrandID['brand_id']);
                                        // Displaying the brand name with a larger green dot for each brand
                                        echo '<li style="color: green; font-size: 16px;">&#9679;<strong>' . $Name . '</strong> <small>- Submitted</small></li>';
                                    }
                                    ?>
                                </ul>	
                            </div>							
                            <div style="display: flex; justify-content: flex-end; gap: 20px;">						
                                <a class="btn btn-lg btn-raised btn-primary" href="DemandForStore">
                                    <i class="fa fa-file-text"></i> Store Demand
                                </a>

                                <a class="btn btn-lg btn-raised btn-info" href="PurchaseerDetails">
                                    <i class="fa fa-money"></i> Cash Details
                                </a>

                                <a class="btn btn-lg btn-raised btn-warning" href="suppliers">
                                    <i class="fa fa-list"></i> All Suppliers
                                </a>

                                <a href="logout" class="btn btn-lg btn-raised btn-danger">
                                    <i class="fa fa-sign-out"></i> Logout
                                </a>
                            </div>
                            &nbsp;								
                            </table>							
                        </div>
                    </div>
                    <!-- END EXAMPLE1 TABLE PORTLET--> 
                </div>
            </div>
            <!-- /.inner --> 
        </div>
        <!-- /.outer --> 
    </div>
    <!-- /#content -->
</div>
<?php include 'Footer.php'; ?>
<script>
function myFunction() {
  var input, filter, table, tr, td, i, j, txtValue, found;
  input = document.getElementById("searchInput");
  filter = input.value.toUpperCase();
  table = document.getElementById("sample_1");
  tr = table.getElementsByTagName("tr");

  for (i = 0; i < tr.length; i++) {
    td = tr[i].getElementsByTagName("td");
    found = false;  // Reset the flag for each row

    for (j = 0; j < td.length; j++) {  // Loop through all columns
      if (td[j]) {
        txtValue = td[j].textContent || td[j].innerText;
        if (txtValue.toUpperCase().indexOf(filter) > -1) {
          found = true;  // Set the flag if match found in any column
          break;  // Exit the column loop if a match is found
        }
      }
    }

    if (found) {
      tr[i].style.display = "";  // Display the row if a match is found
    } else {
      tr[i].style.display = "none";  // Hide the row if no match is found
    }
  }
}
</script>