<?php
$page = 'attendance';

require_once('sessionp.php');
require_once('checkAccountsSession.php');

require_once('includes/connection.php');
require_once('includes/functions.php');

$start_day = '01';
$start_month = date("m");
$start_year = date("Y");
$start_date = $start_year . '-' . $start_month . '-' . $start_day;
$end_date = date("Y-m-d");
$date_check = getValue('date_check');
if ($date_check == 'true') {
    $start_date = getValue('date_from');
    $end_date = getValue('date_to');
}
$register_date = date("Y-m-d");
$reg_date_check = getValue('reg_date_check');
if ($reg_date_check == 'true') {
    $register_date = getValue('register_date');
}
    $ID          = $_GET['id'];
    $module      = 'Demand';
    $pageTitle = 'Received Demand History From ' . $start_date . ' To ' . $end_date;
	$range = 'true';
    $pageRole = 'table';

    $reportRS    = Run($conn, "SELECT DISTINCT id
                                FROM tbl_demand_record
                                WHERE brand_id = '$ID' AND RecDate >= '$start_date' and RecDate<='$end_date'");

    include 'MasterTop.php';

    if ($user_type == '1') {
        include 'Top.php';
        include 'SideBar.php';
    }
?>

<style>
.buttons-print {
    border: 1px solid;
    padding: 5px 10px;
    border-radius: 3px;
}
</style>

<div id="content" class="bg-container">
    <?php include 'Header.php'; ?>
    <div class="outer">
        <div class="inner bg-light lter bg-container">
            <div class="row">
                <div class="col-xs-12 data_tables">
                    <!-- BEGIN EXAMPLE1 TABLE PORTLET-->
                    <div class="card">
					   <div class="card-block" style="margin-top:60px;">
                            <table class="table table-striped table-bordered table-hover" id="sample_1">
                                <thead>
                                    <tr>
                                        <th>Products Id</th>										
                                        <th>Name</th>
                                        <th>Qty Received</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php 
                                    $i = 1;
                                    while($reportR = GetRow($reportRS)){
                                        $id = $reportR['id']; 
                                        $purchaseM = GetRow(Run($conn,"SELECT sum(quantity) as Total_quantity FROM tbl_demand_record
                                                        WHERE id = '$id' AND status = '1'"));														
                                        $purchase_quantity= $purchaseM['Total_quantity'];
										
                                        $purchaseN = GetRow(Run($conn,"SELECT * FROM tbl_demand_record
                                                        WHERE id = '$id'"));										
                                        $unitID = GetRow(Run($conn,"SELECT unit FROM tbl_items
                                                        WHERE id = '$id'"));
                                    ?>
                                    <tr>
                                            <td><?php echo $id; ?></td>
                                            <td><?php echo $purchaseN['title'];echo ' <span class="small">'.showTitle($conn,'tbl_units',$unitID['unit']).'</span>'; ?></td>
                                            <td><?php echo number_format($purchase_quantity,1); ?></td>											
                                    </tr>
                                    <?php } ?>	
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<?php include 'Footer.php'; ?>
