<?php 

$page		 	= 'admin-logins';

require_once('sessionp.php');
require_once('includes/connection.php');
require_once('includes/functions.php');


$module		  = 'admin';
$pageTitle 	   = 'Admin logins';
$pageRole  		= 'table';

$listRS	 = Run($conn,"select * from tbl_admin order by id asc");  

include 'MasterTop.php';
include 'Top.php';
include 'SideBar.php';
?>
<style>
  .buttons-print{ border:1px solid; padding:5px 10px; border-radius:3px;}
</style>
<div id="content" class="bg-container">
	<?php include 'Header.php'; ?>
	<div class="modal fade" id="modal-admin" role="dialog" aria-labelledby="modalLabelsuccess">
		<div class="modal-dialog" role="document">
			<div class="modal-content">
				<div class="modal-header bg-success">
					<h4 class="modal-title text-white" id="modalLabelsuccess">New login</h4>
				</div>
				<div class="modal-body" style="padding-top:0;">
				<form method="post" action="process/SaveAdmin">
					<input type="hidden" name="bcheck" value="true" />
					<div class="row"> 
									<div class="col-lg-6 input_field_sections">
										<h5>Name <span class="label_desc">(Required)</span></h5>
										<input type="text" class="form-control" name="name" required="required" autocomplete="off" />
									</div>
									<div class="col-lg-6 input_field_sections">
										<h5>Username <span class="label_desc">(Required)</span></h5>
										 <input type="text" class="form-control"  name="user_name" id="user_name" autocomplete="off" > 
									</div>
									
									<div class="col-lg-4 input_field_sections">
										<h5>Password <span class="label_desc">(Required)</span></h5>
										<input type="text" class="form-control" name="pword" required="required" autocomplete="off" />
									</div>
									
									   <div class="col-lg-4 input_field_sections">
										<h5>Type <span class="label_desc">(Required)</span></h5>
										<select class="form-control" name="admin_type"> 
											<option value="1">Administrator</option>
											<option value="4">Manager</option>
											<option value="2">Accounts</option> 
											<option value="3" selected="selected">Sales</option>
											 
										</select>
										</div>
										
										<div class="col-lg-4 input_field_sections">
										<h5>Status <span class="label_desc">(Required)</span></h5>
										<select class="form-control" name="admin_status"> 
											<option value="1" selected="selected">Active</option>
											<option value="0">Inactive</option>  
										</select>
										</div>
							</div>
					</div>
					<div class="modal-footer">
						<button type="submit" class="btn btn-success">Save</button>
						<button class="btn btn-warning" data-dismiss="modal">Cancel</button>
					</div>
				</form>
			</div>
		</div>
	</div>
	<div class="outer">
		<div class="inner bg-light lter bg-container">
			<div class="row">
				<div class="col-xs-12 data_tables"> 
					<!-- BEGIN EXAMPLE1 TABLE PORTLET-->
					<div class="card"> 
						<div class="card-block" style="margin-top:60px;"> 
							<table class="table table-striped table-bordered table-hover" id="sample_1">
								<thead>
									<tr>
										<th>#</th>
										<th>Name</th>
										<th>Username</th>
										<th>Type</th>
										<th>Status</th>
										<th>Action</th>
									</tr>
								</thead>
								<tbody>
								 
								<?php  
								$i=1;
								while ($listR = GetRow($listRS)){ 
								$adminID   = $listR['id'];
								?>
									<tr>
										<td><?php echo $i++; ?></td>
										<td> <?php echo $listR['name']; ?></td>
										<td> <?php echo $listR['user_name']; ?></td>
										<td> 
										<?php 
										if($listR['type']==1)
										{
										echo 'Administrator';
										} 
										else if($listR['type']==2)
										{
										echo 'Accounts ';
										} 
										else if($listR['type']==3)
										{
										echo "Sales";
										} else{
										echo "Manager";
										}
										
										 ?></td> 
										<td ><?php
										if($listR['status']==1)
										{
										echo '<span class="label label-success text-success">Active</span>';
										} 
										else
										{
										echo '<span class="label label-warning text-danger">Suspended</span>';
										} 
										 ?></td>
										<td >
										<a class="btn btn-primary btn-sm" href="admin?id=<?php echo $listR['id']; ?>" title="Edit details of <?php echo $listR['title']; ?>">Edit</a> </td>
									</tr> 
								<?php } ?>	 
								</tbody>
							</table>  
						</div>
					</div>
					<!-- END EXAMPLE1 TABLE PORTLET--> 
					
				</div>
			</div>
			<!-- /.inner --> 
		</div>
		<!-- /.outer --> 
	</div>
	<!-- /#content --> 
	<?php include 'ContentFooter.php'; ?>
</div>
<?php include 'Footer.php'; ?> 