<?php

$page = 'buy';

require_once('sessionp.php');
require_once('checkAccountsSession.php');

require_once('includes/connection.php');
require_once('includes/functions.php');

$post_date = date("Y-m-d");
$post_time = date("h:i:s");
$billID = '';

$tempRS = Run($conn, "select id from tbl_tmp_purchases order by id desc");
if (Records($tempRS) > 0) {
    $tempR = GetRow($tempRS);
    $billID = $tempR['id'];
    $_SESSION['bill_id'] = $billID;
}

if ($billID == '') {
    $hash = md5(rand(0, 1000));
    $insertBill = Run($conn, "insert into tbl_tmp_purchases set 
                                supplier_id  = 1, 
                                hash         = '$hash', 
                                post_date    = '$post_date',
                                post_time    = '$post_time', 
                                last_updated = '$last_updated'");
    $billID = mysqli_insert_id($conn);
    $_SESSION['bill_id'] = $billID;
}
$ID = $_GET['id'];

$billR = GetRow(Run($conn, "select * from tbl_tmp_purchases where id = '$billID'"));

$del = getValue('del');

if ($del != '') {
    // Update tbl_tmp_pur_items
    $delItem = Run($conn, "UPDATE tbl_tmp_pur_items SET status = '0' WHERE bill_id = '$billID' AND id = '$del'");

    // Recalculate total_supplier_cost and total_transport_cost
    $query = "SELECT SUM(supplier_cost) AS total_supplier_cost, SUM(transport_cost) AS total_transport_cost FROM tbl_tmp_pur_items WHERE status = '1'";
    $result = mysqli_query($conn, $query);
    $row = mysqli_fetch_assoc($result);

    $totalSupplierCost = $row['total_supplier_cost'];
    $totalTransportCost = $row['total_transport_cost'];

    // Update tbl_tmp_purchases
    $updatePurchasesQuery = "UPDATE tbl_tmp_purchases SET cr = '$totalSupplierCost', transport = '$totalTransportCost'";
    mysqli_query($conn, $updatePurchasesQuery);
}

$bill_del = getValue('bill_del');

if ($bill_del != '') {
    $delItems  = Run($conn, "delete from tbl_tmp_pur_items where bill_id = '$billID'");
    $delOrder = Run($conn, "delete from tbl_tmp_purchases where id = '$billID' ");
    $_SESSION['bill_id'] = '';
    redirect_to('purchases', 'success', 'purchase-cancelled');
}

$bcheck = getValue('bcheck');
if ($bcheck == 'true') {
    extract($_POST, EXTR_OVERWRITE);
    $supplier_title = trim($supplier_title);
	$post_date = trim($post_date);
    $postSupplierRecords  = Records(Run($conn, "select id from tbl_suppliers where name = '$supplier_title' and status = '1'"));
    if ($postSupplierRecords == 0) {
        $insertSupplier = "insert into tbl_suppliers set 
                                name = '" . ($supplier_title) . "',  
                                post_date       = '$post_date',
                                post_time       = '$post_time',
                                status          = '1'
                                where status = '0'";
        Run($conn, $insertSupplier);
        $supplierID = mysqli_insert_id($conn);
    } else {
        $postSupplierR = GetRow(Run($conn, "select id from tbl_suppliers where name = '$supplier_title' and status = '1'"));
        $supplierID    = $postSupplierR['id'];
    }

    $updateBill = Run($conn, "update tbl_tmp_purchases set supplier_id = '$supplierID', details = '$details',  type = '$type', Method = '$Method_title', PaidBy = '$Paid_title', post_date='$post_date' where id = '$billID'");

    redirect_to('buy', 'update', 'true');
}

$pageTitle = 'New Purchase';
$pageRole  = 'form';

include 'MasterTop.php';
include 'Top.php';
include 'SideBar.php';
?>
<style>
    .buttons-print {
        border: 1px solid;
        padding: 5px 10px;
        border-radius: 3px;
    }

    .card:hover {
        box-shadow: none;
    }

    .input_field_sections {
        margin-top: 15px;
    }

    /* Shared button styles */
    .custom-button {
        border: none;
        padding: 10px 20px;
        text-align: center;
        text-decoration: none;
        display: inline-block;
        font-size: 16px;
        margin: 4px 2px;
        cursor: pointer;
        border-radius: 4px;
        transition: background-color 0.3s, color 0.3s, box-shadow 0.3s;
    }

    /* Success button style */
    .custom-success-button {
        background: linear-gradient(135deg, #4CAF50, #388E3C); /* Green gradient */
        color: white;
        box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.1);
    }

    /* Danger button style */
    .custom-danger-button {
        background: linear-gradient(135deg, #FF5733, #E64A19); /* Red-Orange gradient */
        color: white;
        box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.1);
    }

    /* Warning button style */
    .custom-warning-button {
        background: linear-gradient(135deg, #FFD700, #FFC107); /* Yellow gradient */
        color: #333;
        box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.1);
    }

    /* Hover effect */
    .custom-button:hover {
        background: linear-gradient(135deg, #333, #222); /* Dark gray gradient on hover */
        color: white;
        box-shadow: 0px 6px 10px rgba(0, 0, 0, 0.2);
    }
</style>

<div id="content" class="bg-container">
    <?php include 'Header.php'; ?>	
    <div class="modal fade" id="modal-item" role="dialog" aria-labelledby="modalLabelsuccess">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header bg-success">
                    <h4 class="modal-title text-white" id="modalLabelsuccess">New Item</h4>
                </div>
                <div class="modal-body" style="padding-top:0;">
                    <form method="post" action="process/SaveItembuy">
                        <input type="hidden" name="bcheck" value="true" />
                        <div class="row"> 
                            <div class="col-lg-8 input_field_sections">
                                <h5>Item Name <span class="label_desc">(Required)</span></h5>
                                <input type="text" class="form-control" autocomplete="off" name="title" required="required" />  
                            </div> 
                        </div> 
                        <div class="row">
                            <div class="col-lg-4 input_field_sections">
                                <h5>Unit <span class="label_desc">(Autofill-Required)</span></h5>
                                <input type="text" class="form-control" autocomplete="off" id="autofill_unit" name="unit" list="unit_list" required="required" >
                                <datalist id="unit_list">
                                    <?php 
                                    $unitsRS = Run($conn,"select * from tbl_units order by title asc");
                                    while($unitR = GetRow($unitsRS)){
                                    ?>
                                    <option><?php echo $unitR['title']; ?></option> 
                                    <?php } ?> 
                                </datalist>
                            </div>
                            <div class="col-lg-4 input_field_sections">
                                <h5>Category <span class="label_desc">(Autofill)</span></h5>
                                <input type="text" class="form-control" autocomplete="off" id="autofill_cat" name="cat_title" list="cat_list" value="None" >
                                <datalist id="cat_list">
                                    <?php 
                                    $categoriesRS = Run($conn,"select * from tbl_items_cat where status = '1' order by title asc");
                                    while($categoriesR = GetRow($categoriesRS)){
                                    ?>
                                    <option><?php echo $categoriesR['title']; ?></option> 
                                    <?php } ?> 
                                </datalist> 
                            </div> 
                            <div class="col-lg-4 input_field_sections">
                                <h5>Section<span class="label_desc">(Autofill)</span></h5>
                                <input type="text" class="form-control" autocomplete="off" id="autofill_brand"  name="brand_title" list="brand_list" value="None" >
                                <datalist id="brand_list">
                                    <?php 
                                    $brandsRS = Run($conn,"select * from tbl_brands where status = '1' order by title asc");
                                    while($brandsR = GetRow($brandsRS)){
                                    ?>
                                    <option><?php echo $brandsR['title']; ?></option> 
                                    <?php } ?> 
                                </datalist>   
                            </div>
	
                            <div class="col-lg-4 input_field_sections">
                                        <h5>Supplier <span class="label_desc">(Autofill-Required)</span></h5>
                                        <input type="text" class="form-control" autocomplete="off" name="supplier" list="supplier_list" required="required" value="<?php 
                                            if ($billR['supplier_id'] != '') { 
                                            $supplier_name = mysqli_real_escape_string($conn, $billR['supplier_id']);
                                            $query = "SELECT name FROM tbl_suppliers WHERE id = '$supplier_name'";
                                            $result = Run($conn, $query);
                                            $row = GetRow($result);
                                            echo $row['name']; 
                                            } else { 
                                            echo "Guest Supplier"; 
                                            }?>">

                                        <datalist id="supplier_list">
                                            <?php 
                                            $suppliersRS = Run($conn, "select * from tbl_suppliers where status = '1' order by name asc");
                                            while ($suppliersR = GetRow($suppliersRS)) {
                                                $SupplierName = $suppliersR['name'];
                                                $supplierIDS = $billR['supplier_id'];
                                            ?>
                                            <option><?php echo $suppliersR['name']; ?></option>
                                            <?php } ?>
                                        </datalist>
                            </div>
                            <div class="col-lg-4 input_field_sections">
                                <h5>Price Per(Gram/Ml)</h5>
                                <input type="Number" class="form-control" autocomplete="off" name="price" step="any" required="required" />  
                                <input type="hidden" class="form-control" min="0" value="0" step="any" name="opening_unit_cost" required="required" />
                            </div>							
                        </div>
                        <?php ?>
                        <div class="modal-footer">
                            <button type="submit" class="btn btn-success">Save</button>
                            <button class="btn btn-warning" data-dismiss="modal">Cancel</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>	
    <div class="outer">
        <div class="inner bg-light lter bg-container">
            <div class="row">
                <div class="col-lg-12">
                    <div class="card">
                        <div class="card-header bg-white">Supplier Details</div>
                        <div class="card-block">
                            <div class="row">
                                <form method="post" action="">
                                    <input type="hidden" name="bcheck" value="true" />
                                    <!-- Supplier Section -->
                                    <div class="col-lg-2 input_field_sections">
                                        <h5>Supplier <span class="label_desc">(Autofill-Required)</span></h5>
                                        <input type="text" class="form-control" autocomplete="off" id="autofill_supplier" name="supplier_title" list="supplier_list" required="required" value="<?php 
                                            if ($billR['supplier_id'] != '') { 
                                            $supplier_name = mysqli_real_escape_string($conn, $billR['supplier_id']);
                                            $query = "SELECT name FROM tbl_suppliers WHERE id = '$supplier_name'";
                                            $result = Run($conn, $query);
                                            $row = GetRow($result);
                                            echo $row['name']; 
                                            } else { 
                                            echo "Guest Supplier"; 
                                            }?>">

                                        <datalist id="supplier_list">
                                            <?php 
                                            $suppliersRS = Run($conn, "select * from tbl_suppliers where status = '1' order by name asc");
                                            while ($suppliersR = GetRow($suppliersRS)) {
                                                $SupplierName = $suppliersR['name'];
                                                $supplierIDS = $billR['supplier_id'];
                                            ?>
                                            <option><?php echo $suppliersR['name']; ?></option>
                                            <?php } ?>
                                        </datalist>
                                    </div>
                                    <div class="col-lg-2 input_field_sections">
                                        <h5>Paid By</h5>
                                        <input type="text" class="form-control" autocomplete="off" id="autofill_supplier" name="Paid_title" list="Paid_list" required="required" value="<?php echo ($billR['PaidBy']); ?>">
                                        <datalist id="Paid_list">
										    <option value="From Restaurant Cash"></option>
											<option value="Pending"></option>
											<option value="From Restaurant Bank"></option>											
                                        </datalist>
                                    </div>
                                    <?php
                                        // Get the post_date from the query parameters if it exists
                                        $post_date = isset($_GET['post_date']) ? $_GET['post_date'] : (isset($billR['post_date']) ? $billR['post_date'] : '');
                                    ?>

                                    <div class="col-lg-2 input_field_sections">
                                        <h5>Post Date <span class="label_desc">(Required)</span></h5>
                                        <input autocomplete="off" type="date" class="form-control" name="post_date" value="<?php echo htmlspecialchars($post_date); ?>" required />
                                    </div>
								
                                    <script>
                                        // Check if the URL contains the "autofocus" parameter
                                        const urlParams = new URLSearchParams(window.location.search);
                                        if (urlParams.has('autofocus')) {
                                            // Find the input element by its ID
                                            const inputElement = document.getElementById('autofill_supplier');

                                            // Focus on the input element
                                            inputElement.focus();

                                            // Select all text in the input element
                                            inputElement.select();

                                            // Simulate an Enter key press to submit the form
                                            inputElement.addEventListener('focus', function() {
                                                // Trigger an Enter key press event
                                                const enterKeyEvent = new KeyboardEvent('keydown', {
                                                    key: 'Enter',
                                                    keyCode: 13,
                                                    which: 13,
                                                    bubbles: true,
                                                });
                                                inputElement.dispatchEvent(enterKeyEvent);
                                            });
                                        }

                                        // Check if a query parameter indicates a new item was added
                                        const itemAdded = urlParams.get('item_added');

                                        if (itemAdded === 'true') {
                                            // Focus on the quantity input field when a new item is added
                                            document.addEventListener('DOMContentLoaded', function() {
                                                const quantityInput = document.querySelector('input[name="quantity"]');
                                                if (quantityInput) {
                                                    quantityInput.focus();
                                                }
                                            });
                                        }
                                    </script>
                                    <!-- Invoice Section -->
                                    <div class="col-lg-1 input_field_sections">

                                        <input type="hidden" class="form-control" name="details" list="details-options" autocomplete="off" value="<?php echo $billID; ?>" disabled />
                                        <h5>. <span class="label_desc"></span></h5>
                                        <button type="submit" class="btn btn-success">Save</button>	
                                    </div>
                                </form>	
                            </div>
							
                            <div class="row">
                                <!-- Payment Section -->
                                <?php
                                $Credit = GetRow(Run($conn, "SELECT sum(cr) as cr, sum(dr) as dr FROM tbl_purchases WHERE supplier_id = '$supplierIDS' ORDER BY id DESC LIMIT 1;"));
                                $CreditBalance = $Credit['cr'] - $Credit['dr'];
                                ?>
                                <?php if ($supplierIDS != 1) { ?>
                                <form method="post" action="process/SaveSupplierPaymentBuy">
                                    <input type="hidden" name="payment_check" value="true" />
                                    <div class="col-lg-2 input_field_sections">
                                        <h5>Invoice Number <span class="label_desc"></span></h5>
                                        <select class="form-control chzn-select" name="invoice">
                                            <?php 
                                            $suppliersRS = Run($conn, "select * from tbl_purchases where status = '1' and supplier_id='$supplierIDS' and type='Pending' order by id DESC");
                                            while ($supplierR = GetRow($suppliersRS)) {
                                                $InvoiceBalance = $supplierR['cr'] - $supplierR['dr'];
                                            ?>
                                            <option value="<?php echo $supplierR['id']; ?>"><?php echo $supplierR['id'] . ' - ' . $InvoiceBalance; ?></option> 								   
                                            <?php } ?>
                                        </select>
                                    </div>
                                    <div class="col-lg-1 input_field_sections">
                                        <h5>Credit <span class="label_desc"></span></h5>
                                        <input type="number" class="form-control" name="amount" step="any" required="required" value="<?php echo $CreditBalance; ?>" />
                                    </div>
                                    <div class="col-lg-2 input_field_sections" style="display: none;">
                                        <h5>Supplier <span class="label_desc">(Not-Editable)</span></h5>
                                        <select class="form-control chzn-select" name="supplier_id" tabindex="1">
                                            <option disabled selected>Select a Supplier</option>
                                            <?php 
                                            $suppliersRS = Run($conn, "select * from tbl_suppliers where status = 1 order by name asc");
                                            while ($supplierR = GetRow($suppliersRS)) {
                                            ?>
                                            <option value="<?php echo $supplierR['id']; ?>" <?php if ($supplierR['id'] == $supplierIDS) { ?> selected="selected" <?php } else{ ?> disabled <?php } ?>><?php echo $supplierR['name']; ?></option> 
                                            <?php } ?>
                                        </select>
                                        <h5>PaidBy <span class="label_desc"></span></h5>
                                        <input type="text" class="form-control" name="Paid_title" step="any" required="required" value="<?php echo $billR['PaidBy']; ?>" />										
                                        <h5>Post Date <span class="label_desc">(Required)</span></h5>
                                        <input autocomplete="off" type="date" class="form-control" name="post_date" value="<?php echo $billR['post_date'];?>" required />                                                   
										<h5>Type <span class="label_desc">(Required)</span></h5>
                                        <select class="form-control chzn-select" name="type" tabindex="1">  
                                            <option value="dr" selected="selected">Debit</option> 
                                            <option value="cr">Credit</option>  
                                        </select>
                                        <h5>Adjust Account Only</h5>
                                        <select class="form-control chzn-select" name="adjust_balance">  
                                            <option value="0" selected="selected">No</option> 
                                            <option value="1">Yes</option>  
                                        </select>
                                        <h5>Details <span class="label_desc">(.)</span></h5>
                                        <textarea name="description" class="form-control"></textarea> 
                                        <p>Please note: <br /><strong>Debit: </strong>Paid to Supplier,<strong> Credit:</strong> Paid by Supplier<br />If adjust account is yes, then amount will not affect cash register.</p>
                                    </div> 
										
                                    <div class="col-lg-3 input_field_sections">
                                        <h5>. <span class="label_desc"></span></h5>
                                        <button type="submit" class="btn btn-success">Pay</button>	
                                    </div>
                                </form>
                                <?php } ?>		
                            </div>							
                            <div id="purchaseSection">
                                <div class="row">
                                    <form method="post" action="process/AddToPurchase">
                                        <input type="hidden" name="bcheck" value="true" />
                                        <div class="col-lg-12 ">
                                            <div class="card-header bg-white"> Purchase Details </div>
                                            <select class="form-control chzn-select" name="product_id" onchange="this.form.submit()">
											
                                        <?php 
                                        $CreditInvoice = GetRow(Run($conn, "SELECT sum(supplier_cost) as InvoicAmount FROM tbl_tmp_pur_items WHERE status = '1';"));
                                        $InvoiceBalance = $CreditInvoice['InvoicAmount'];
                                        ?>												
                                                <option disabled selected > <h2 value="<?php echo $InvoiceBalance; ?>" style="font-weight: bold; color: blue;"><?php echo ($InvoiceBalance > 0) ? 'Current Invoice Sum Amount - ' . number_format($InvoiceBalance, 0) : 'Choose an Item ' . number_format($InvoiceBalance, 0); ?> </h2> </option>
                                                    <?php
                                                    $suppliersN = GetRow(Run($conn, "select tbl_suppliers.name from tbl_suppliers, tbl_tmp_purchases where tbl_tmp_purchases.supplier_id = tbl_suppliers.id order by name asc"));
                                                    $SupplierName = $suppliersN['name'];
                                                    $productsRS = Run($conn, "select * from tbl_items where status = '1' order by title asc");
                                                    while ($productsR = GetRow($productsRS)) {
                                                        $pid = $productsR['id'];
                                                        $productCheckInTable = Records(Run($conn, "select id from tbl_tmp_pur_items where status = '1' and product_id = '$pid' and bill_id = '$billID'"));
                                                        if ($productCheckInTable == '0') {
                                                    ?>
                                                <option value="<?php echo $productsR['id']; ?>">
                                                    <?php echo $productsR['id'] . ' - ' . $productsR['title']; ?>
                                                    <?php if ($productsR['brand_id'] != 0) {
                                                    echo ' - ' . showTitle($conn, 'tbl_brands', $productsR['brand_id']);
                                                    }?>
                                                </option>
                                                    <?php }
                                                    }?>
                                            </select>
                                        </div>
                                    </form>
                                </div>
                                <div class="row">
                                    <div class="card-block">
                                        <div class="table-responsive m-t-35">
                                            <table class="table table-bordered">
                                                <thead>
                                                    <tr>
                                                        <th>#</th>
                                                        <th><span class="small">Average Price</span>- Item - <span class="small">New Price</span></th>
                                                        <th>Quantity</th>
                                                        <th>Supplier Cost</th>
                                                        <th>GST</th>
                                                        <th>Remark <small>(Note: Only for maintenance and miscellaneous items)</small></th>
                                                        <th>Total</th>
                                                        <th>Action</th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    <?php
                                                    $i = 1;
                                                    $tempItemsRS = Run($conn, "select * from tbl_tmp_pur_items where bill_id = '$billID' and status = '1' order by id DESC ");
                                                    $tempItemRecords = Records($tempItemsRS);
                                                    while ($tempItemsR = GetRow($tempItemsRS)) {
                                                        $totalCost = $tempItemsR['supplier_cost'] + $tempItemsR['transport_cost'] + $tempItemsR['labor_cost'];
                                                    ?>
                                                    <tr>
                                                        <form method="post" action="process/UpdatePurchaseItem">
                                                            <input type="hidden" name="bcheck" value="true" />
                                                            <input type="hidden" name="item_id" value="<?php echo $tempItemsR['id']; ?>" />
                                                            <td><?php echo $i; ?></td>
                                                            <td style="width:30%;">
                                                                <?php $t_R = GetRow(Run($conn, "select sum(total_cost) as goodtotal_cost, sum(quantity) as goodquantity from tbl_pur_items where product_id = " . $tempItemsR['product_id']));
                                                                $Avr  = ($t_R['goodtotal_cost']) / ($t_R['goodquantity']);
                                                                ?>
                                                                <?php echo number_format($Avr) ?>
                                                                <?php $p_R = GetRow(Run($conn, "select * from tbl_items where id = " . $tempItemsR['product_id']));
                                                                ?>
                                                                <span class="small"><?php echo showTitle($conn, 'tbl_units', $p_R['unit']) ?></span>
                                                                <?php echo (" - ") . showTitle($conn, 'tbl_items', $tempItemsR['product_id']); ?>
                                                                <?php
                                                                if ($tempItemsR['quantity'] > 0 && $tempItemsR['supplier_cost'] > 0) {
                                                                echo " - " . number_format(($tempItemsR['supplier_cost'] + $tempItemsR['transport_cost'] + $tempItemsR['labor_cost']) / $tempItemsR['quantity']);
                                                                }?>
                                                                <span class="small"><?php echo showTitle($conn, 'tbl_units', $p_R['unit']) ?></span>
                                                            </td>
                                                            <td width="7%"><input class="form-control" step="any" type="number" name="quantity" value="<?php if ($tempItemsR['quantity'] > 0) {
                                                                echo $tempItemsR['quantity'];} ?>" required="required" />
                                                            </td>
                                                            <td width="10%"><input class="form-control" type="number" name="supplier_cost" value="<?php if ($tempItemsR['supplier_cost'] > 0) {
                                                                echo $tempItemsR['supplier_cost'];} ?>" required="required" step="any" />
                                                            </td>
                                                            <td width="7%"><input class="form-control" step="any" type="number" name="transport_cost" value="<?php if ($tempItemsR['transport_cost'] > 0) {
                                                                echo $tempItemsR['transport_cost'];} ?>" />
                                                            </td>
                                                            <td width="29%"><textarea class="form-control" name="remark"><?php echo $tempItemsR['remark']; ?></textarea>
																            
                                                                            <input class="form-control" type="hidden" name="product_id" value="<?php if ($tempItemsR['product_id'] > 0) {
                                                                echo $tempItemsR['product_id'];} ?>" />          																           
                                                            </td>
                                                            <td width="7%"><?php echo number_format($tempItemsR['supplier_cost']); ?></td>
                                                            <td><button type="submit" class="btn btn-primary btn-sm">Update</button> <a class="btn btn-danger btn-sm" onclick="return confirm('Are you sure?');" href="buy?del=<?php echo $tempItemsR['id']; ?>"> Delete</a></td>
                                                        </form>
                                                    </tr>
                                                    <?php $i++;} ?>
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                                <?php if ($tempItemRecords > 0) {?>
                                <div class="card-block">
                                    <div class="row">
                                        <div class="col-md-4 pull-Right" style="background-color:#f5f5f5; border:5px solid #CCC; margin-Right:50px; padding-bottom:30px; ">
                                            <div class="col-lg-12 input_field_sections">
                                                <?php
                                                $totalSummaryRS = "select sum(supplier_cost) as t_supplier_cost, sum(labor_cost) as t_labor_cost, sum(transport_cost) as t_transport_cost from tbl_tmp_pur_items where bill_id = '$billID' and status = '1'";
                                                $totalSummaryR  = GetRow(Run($conn, $totalSummaryRS));
                                                $totalSummaryAmount = ($totalSummaryR['t_supplier_cost']) + ($totalSummaryR['t_transport_cost']) + ($totalSummaryR['t_labor_cost']);
                                                ?>
                                                <div class="table-responsive m-t-15">
                                                    <table class="table table-bordered">
                                                        <tbody>
                                                            <tr>
                                                                <td>Supplier</td>
                                                                <td><?php echo showTitle($conn, 'tbl_suppliers', $billR['supplier_id']); ?></td>
                                                            </tr>
                                                            <tr>
                                                                <td>Total Supplier Cost</td>
                                                                    <?php if ($billR['transport'] == 1) { ?>
                                                                <td>Rs <?php echo number_format(($totalSummaryR['t_supplier_cost']), 2); ?></td>
                                                                    <?php } else { ?>
                                                                 <td>Rs <?php echo number_format($totalSummaryR['t_supplier_cost'], 2); ?></td>
                                                                <?php } ?>
                                                            </tr>
                                                            <tr>
                                                                <td>GST</td>
                                                                    <?php if ($billR['transport'] == 1) { ?>
                                                                    <td>Rs 0.00</td>
                                                                    <?php } else { ?>
                                                                    <td>Rs <?php echo number_format($totalSummaryR['t_transport_cost'], 2); ?></td>
                                                                    <?php } ?>
                                                            </tr>
                                                            <tr>
                                                                <td>Labor Cost</td>
                                                                <td>Rs <?php echo number_format($totalSummaryR['t_labor_cost'], 2); ?></td>
                                                            </tr>
                                                            <tr>
                                                                <td>Total Cost</td>
                                                                <td>Rs <?php echo number_format($totalSummaryAmount - $totalSummaryR['t_transport_cost'], 2); ?></td>
                                                            </tr>
                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>
                                            <?php if ($totalSummaryAmount > 0) { ?>
                                            <div class="col-lg-12 input_field_sections">
                                                <form id="shortKeyForm" method="post" action="process/CompletePurchase">
                                                    <input type="hidden" name="bcheck" value="true" />
													<input type="hidden" name="post_date" value="<?php echo $billR['post_date'];?>" />
												<?php if (strpos($billR['PaidBy'], 'From Restaurant Cash') !== false || strpos($billR['PaidBy'], 'From Restaurant Bank') !== false) { ?>
                                                    <button type="submit" class="custom-button custom-success-button pull-right" onclick="return confirm('Do you want to Paid this bill?');">Paid Bill</button>
                                                <?php } ?>
												</form>												
                                                    <a href="buy?bill_del=<?php echo $billID; ?>" onclick="return confirm('Are you sure?');" class="custom-button custom-danger-button pull-right" style="margin-right: 10px;">Delete Bill</a>
                                                <form method="post" action="process/PendingPurchase">
                                                    <input type="hidden" name="check" value="true" />
													<input type="hidden" name="post_date" value="<?php echo $billR['post_date'];?>" />
                                                    <button type="submit" class="custom-button custom-warning-button pull-right" style="margin-right: 10px;" onclick="return confirm('Do you want to Pending this bill?');">Pending</button>
                                                </form>
                                            </div>
                                            <?php } ?>
                                        </div>
                                    </div>
                                </div>
                                <?php } ?>
                            </div>
                        </div>
				    </div>
			    </div>
		    </div>
		    <!-- /.inner --> 
	    </div>
		<!-- /.outer --> 
    </div>
	<!-- /#content --> 
</div>
	<?php include 'Footer.php'; ?>
<script>
    // Define a function to handle the form submission with confirmation
    function submitFormWithConfirmation() {
        if (confirm('Do you want to Paid this bill?')) {
            document.getElementById('shortKeyForm').submit();
        }
    }

// Define a keyboard event listener for the "Ctrl+Shift" key combination
document.addEventListener('keydown', function(event) {
    // Check if Ctrl and Shift keys are pressed
    if (event.ctrlKey && event.shiftKey) {
        // Check if $billR['PaidBy'] contains the specified strings
        <?php if (strpos($billR['PaidBy'], 'From Restaurant Cash') !== false || strpos($billR['PaidBy'], 'From Restaurant Bank') !== false) { ?>
            submitFormWithConfirmation();
        <?php } ?>
        // Prevent the default behavior of the browser
        event.preventDefault();
    }
});
</script>	
<script type="text/javascript">
function submitProduct(theForm) {   
    	  $.ajax({ // create an AJAX call...
        data: $(theForm).serialize(), // get the form data
        type: $(theForm).attr('method'), // GET or POST
        url: $(theForm).attr('action'), // the file to call
        success: function (response) { // on success..
            $('#purchaseSection').html(response); // update the DIV
        }
    });
}  
</script>
<?php if(getValue('wc') == 1){?>
<script>
window.onload = function() {
        PNotify.desktop.permission();
        new PNotify({
            title: 'Success',
            text: 'A new supplier has been added into your software, Now you can purchase your products from this supplier too, Hope this supplier give you more benefit.',
            type: 'success',
            desktop: {
                desktop: true
            }
        }).get().on("click",function (e) {
            if ($('.ui-pnotify-closer, .ui-pnotify-sticker, .ui-pnotify-closer *, .ui-pnotify-sticker *').is(e.target))
                return; 
        });
        return false;
    };
</script>
<?php } if(getValue('wc') == 2){?>
<script>
window.onload = function() {
        PNotify.desktop.permission();
        new PNotify({
            title: 'Success',
            text: 'A Payment has been added into supplier account, Please check the current balance from list, Hope this supplier will become happy with this transaction.',
            type: 'success',
            desktop: {
                desktop: true
            }
        }).get().on("click",function (e) {
            if ($('.ui-pnotify-closer, .ui-pnotify-sticker, .ui-pnotify-closer *, .ui-pnotify-sticker *').is(e.target))
                return; 
        });
        return false;
    };
</script>
<?php } ?>