<?php 

require_once('sessionp.php');
require_once('includes/connection.php');
require_once('includes/functions.php');

$page		= 'cashReport'; 
$pageTitle = 'Cash Report';
$pageRole  = 'table';

include 'MasterTop.php';
include 'Top.php';
include 'SideBar.php';

  
?>
<style>
  .buttons-print{ border:1px solid; padding:5px 10px; border-radius:3px;}
</style>
<div id="content" class="bg-container">
	<?php include 'Header.php'; ?>
	<div class="outer">
		<div class="inner bg-light lter bg-container">
			<div class="row">
				<div class="col-xs-12 data_tables"> 
					<!-- BEGIN EXAMPLE1 TABLE PORTLET-->
					<div class="card"> 
						<div class="card-block" style="margin-top:60px;"> 
							<table class="table table-striped table-bordered table-hover" id="sample_1">
								<thead>
									<tr>
										<th>#</th>
										<th>Time</th>
										<th>Description</th>
										<th>Debit (Rs)</th>
										<th>Credit (Rs)</th> 
										<th>Balance (Rs)</th> 
									</tr>
								</thead>
								<tbody>
								<?php 
								$i = 1;
								$balance = 0; 
								$cashflowRS = Run($conn,"select * from tbl_daily_cash where status = '1' and post_date >= '$start_date' and post_date <= '$end_date' order by id asc");
								while($cashflowR = GetRow($cashflowRS)){
								$balance = $balance+($cashflowR['dr']-$cashflowR['cr']);
								?>
									<tr>
										<td><?php echo $i; ?></td>
										<td><?php echo $cashflowR['post_time']; ?></td>
										<td><?php echo $cashflowR['description']; ?></td>
										<td width="10%"><?php echo number_format($cashflowR['dr'],2); ?></td>
										<td width="10%"><?php echo number_format($cashflowR['cr'],2); ?></td> 
										<td width="12%"><?php echo number_format($balance,2); ?></td> 
									</tr>
								<?php $i++; } ?>
								</tbody>
							</table> 
						</div>
					</div>
					<!-- END EXAMPLE1 TABLE PORTLET--> 
					
				</div>
			</div>
			<!-- /.inner --> 
		</div>
		<!-- /.outer --> 
	</div>
	<!-- /#content --> 
</div>
<?php include 'Footer.php'; ?>