<?php 

require_once('sessionp.php');
require_once('includes/connection.php');
require_once('includes/functions.php');

$start_day   = '01';
$start_month = date("m");
$start_year  = date("Y");
$start_date = $start_year.'-'.$start_month.'-'.$start_day;
$end_date   = date("Y-m-d");
$date_check = getValue('date_check');
if($date_check == 'true')
	{
		$start_date = getValue('date_from');
		$end_date   = getValue('date_to');
	}
$register_date = date("Y-m-d");
$reg_date_check = getValue('reg_date_check');
if($reg_date_check == 'true')
	{
		$register_date = getValue('register_date'); 
	}

$page		= 'categoriesReport';
$module	 = 'reports';
$range 	  = 'true';
$pageTitle = 'Categories Report ('.$start_date.' to '.$end_date.')';
$pageRole  = 'table';

$listRS = Run($conn,"select * from tbl_items_cat where status = '1'");

include 'MasterTop.php';
include 'Top.php';
include 'SideBar.php'; 

$pageTitle = 'Categories Report';
  
?>
<style>
.buttons-print {
	border: 1px solid;
	padding: 5px 10px;
	border-radius: 3px;
}
</style>
<div id="content" class="bg-container">
	<?php include 'Header.php'; ?>
	<div class="outer">
		<div class="inner bg-light lter bg-container">
			<div class="row">
				<div class="col-xs-12 data_tables"> 
					<!-- BEGIN EXAMPLE1 TABLE PORTLET-->
					<div class="card">
						<div class="card-block" style="margin-top:60px;">
							<table class="table table-striped table-bordered table-hover" id="sample_1">
								<thead>
									<tr>
										<th>#</th>
										<th>Category</th>
										<th colspan="2">Purchases</th>
										<th colspan="2">Sales</th>
										<th>Profit</th>
									</tr>
									<tr>
										<th></th>
										<th></th>
										<th style="text-align:right;">Quantity</th>
										<th style="text-align:right;">Amount (Rs)</th>
										<th style="text-align:right;">Quantity</th>
										<th style="text-align:right;">Amount (Rs)</th> 
										<th style="text-align:right;"></th>
									</tr>
								</thead>
								<tbody>
								<?php 
								$i = 1;
								while($listR = GetRow($listRS)){
								$listID 	 = $listR['id'];
								$purchaseR = GetRow(Run($conn,"select sum(quantity) as purchase_quantity, sum(total_cost) as purchase_amount from tbl_pur_items where category_id = '$listID' and type = '0' and status = '1' and post_date >= '$start_date' and post_date <= '$end_date'"));
								$purchaseReturnR = GetRow(Run($conn,"select sum(quantity) as purchaseReturn_quantity, sum(total_cost) as purchaseReturn_amount from tbl_pur_items where category_id = '$listID' and type = '1' and status = '1' and post_date >= '$start_date' and post_date <= '$end_date'")); 
								$purchaseReturn_quantity = $purchaseR['purchaseReturn_quantity'];
								$purchaseReturn_amount 	= $purchaseR['purchaseReturn_amount']; 
								$purchase_quantity 		 = $purchaseR['purchase_quantity']-$purchaseReturn_quantity;
								$purchase_amount 			= $purchaseR['purchase_amount']-$purchaseReturn_amount;
								
								$cartR = GetRow(Run($conn,"select sum(quantity_sold) as sale_quantity, sum(total_sale_price) as sale_amount, sum(total_cost) as cost_amount from tbl_sales_items where category_id = '$listID' and type = '0' and order_status = '1' and status = '1' and post_date >= '$start_date' and post_date <= '$end_date'"));
								$cartReturnR = GetRow(Run($conn,"select sum(quantity_sold) as saleReturn_quantity, sum(total_sale_price) as saleReturn_amount, sum(total_cost) as costReturn_amount from tbl_sales_items where category_id = '$listID' and type = '1' and order_status = '1' and status = '1' and post_date >= '$start_date' and post_date <= '$end_date'"));
								$saleReturn_quantity = $cartReturnR['saleReturn_quantity'];
								$saleReturn_amount 	= $cartReturnR['saleReturn_amount'];
								$costReturn_amount 	= $cartReturnR['costReturn_amount']; 
								$sale_quantity 		 = $cartR['sale_quantity']-$saleReturn_quantity;
								$sale_amount 			= $cartR['sale_amount']-$saleReturn_amount;
								$cost_amount 			= $cartR['cost_amount']-$costReturn_amount;  
								?>
									<tr>
										<td><?php echo $i; ?></td>
										<td><?php echo $listR['title']; ?></td>
										<td style="text-align:right;"><?php echo number_format($purchase_quantity,3); ?></td>
										<td style="text-align:right;"><?php echo number_format($purchase_amount,2); ?></td>
										<td style="text-align:right;"><?php echo number_format($sale_quantity,3); ?></td>
										<td style="text-align:right;"><?php echo number_format($sale_amount,2); ?></td>
										<td style="text-align:right;"><?php echo number_format(($sale_amount-$cost_amount),2); ?>
										(<small>
										<?php 
										$profit = $sale_amount-$cost_amount; 
										if($profit==0){ 
										$profitPercent = 0; 
										} 
										else 
										{ 
										$profitPercent = (100* $profit )/$sale_amount; 
										echo number_format($profitPercent,2);
										}
										 ?>%)</small></td>
									</tr>
								<?php $i++; } ?>	
								</tbody>
							</table>
						</div>
					</div>
					<!-- END EXAMPLE1 TABLE PORTLET--> 
					
				</div>
			</div>
			<!-- /.inner --> 
		</div>
		<!-- /.outer --> 
	</div>
	<!-- /#content --> 
</div>
<?php include 'Footer.php'; ?>