<?php 

require_once('sessionp.php');
require_once('includes/connection.php');
require_once('includes/functions.php');

$start_day   = '01';
$start_month = date("m");
$start_year  = date("Y");
$start_date = $start_year.'-'.$start_month.'-'.$start_day;
$end_date   = date("Y-m-d");
$date_check = getValue('date_check');
if($date_check == 'true')
	{
		$start_date = getValue('date_from');
		$end_date   = getValue('date_to');
	}
$register_date = date("Y-m-d");
$reg_date_check = getValue('reg_date_check');
if($reg_date_check == 'true')
	{
		$register_date = getValue('register_date'); 
	}

$page		= 'customerReport';
$module	 = 'reports';
$range 	  = 'true';
$pageTitle = 'Customer Report ('.$start_date.' to '.$end_date.')';
$pageRole  = 'table';
 
$listRS	 = Run($conn,"select id, title from tbl_customers where status = '1' order by id desc");  

include 'MasterTop.php';
include 'Top.php';
include 'SideBar.php';

$pageTitle = 'Customers Report';
?>
<style>
  .buttons-print{ border:1px solid; padding:5px 10px; border-radius:3px;}
</style>
<div id="content" class="bg-container">
	<?php include 'Header.php'; ?> 
	<div class="outer">
		<div class="inner bg-light lter bg-container">
			<div class="row">
				<div class="col-xs-12 data_tables"> 
					<!-- BEGIN EXAMPLE1 TABLE PORTLET-->
					<div class="card"> 
						<div class="card-block" style="margin-top:60px;"> 
							<table class="table table-striped table-bordered table-hover" id="sample_1">
								<thead>
									<tr>
										<th width="5%">#</th>
										<th>Contact Number</th>
										<th width="15%" style="text-align:right;">Debit (Rs)</th>
										<th width="15%" style="text-align:right;">Credit (Rs)</th>
										<th width="15%" style="text-align:right;">Balance (Rs)</th>
										<th width="15%" style="text-align:right;">Profit</th>
									</tr>
								</thead>
								<tbody>
								 
								<?php  
								$i=2;
								while ($listR = GetRow($listRS)){ 
								$customerID   = $listR['id'];
								
								$debitRS 		  = "select sum(dr) as debit_balance from tbl_cus_payments where customer_id = '$customerID' and status = '1' and post_date >= '$start_date' and post_date <= '$end_date'";
								$debitR  		   = GetRow(Run($conn,$debitRS));
								$debit_balance  = $debitR['debit_balance']; 
								
								$creditRS 		 = "select sum(cr) as credit_balance from tbl_cus_payments where customer_id = '$customerID' and status = '1' and post_date >= '$start_date' and post_date <= '$end_date'";
								$creditR  		  = GetRow(Run($conn,$creditRS));
								$credit_balance = $creditR['credit_balance']; 
								
								$cartR = GetRow(Run($conn,"select sum(total_sale_price) as sale_amount, sum(total_cost) as cost_amount from tbl_sales_items where customer_id = '$customerID' and type = '0' and order_status = '1' and status = '1' and post_date >= '$start_date' and post_date <= '$end_date'"));
								$cartReturnR = GetRow(Run($conn,"select  sum(total_sale_price) as saleReturn_amount, sum(total_cost) as costReturn_amount from tbl_sales_items where customer_id = '$customerID' and type = '1' and order_status = '1' and status = '1' and post_date >= '$start_date' and post_date <= '$end_date'"));
								$saleReturn_quantity = $cartReturnR['saleReturn_quantity'];
								$saleReturn_amount 	= $cartReturnR['saleReturn_amount'];
								$costReturn_amount 	= $cartReturnR['costReturn_amount']; 
								$sale_quantity 		 = $cartR['sale_quantity']-$saleReturn_quantity;
								$sale_amount 			= $cartR['sale_amount']-$saleReturn_amount;
								$cost_amount 			= $cartR['cost_amount']-$costReturn_amount; 
								 
								?>
									<tr>
										<td><?php echo $i++; ?></td>
										<td><a href="customer?id=<?php echo $listR['id']; ?>" title="View details of <?php echo $listR['title']; ?>"><?php echo $listR['title']; ?></a></td>
										<td width="15%" style="text-align:right;"><?php echo number_format($debit_balance,2); ?></td>
										<td width="15%" style="text-align:right;"><?php echo number_format($credit_balance,2); ?></td>
										<td width="15%" style="text-align:right;"><?php echo number_format(($debit_balance-$credit_balance),2); ?></td>
										<td width="15%" style="text-align:right;"><?php echo number_format(($sale_amount-$cost_amount),2); ?> (<small>
										<?php 
										$profit = $sale_amount-$cost_amount; 
										if($profit==0){ 
										$profitPercent = 0; 
										} 
										else 
										{ 
										$profitPercent = (100* $profit )/$sale_amount; 
										echo number_format($profitPercent,2);
										}
										 ?>%)</small></td>
									</tr> 
								<?php } ?>	 
								</tbody>
							</table> 
						</div>
					</div>
					<!-- END EXAMPLE1 TABLE PORTLET--> 
					
				</div>
			</div>
			<!-- /.inner --> 
		</div>
		<!-- /.outer --> 
	</div>
	<!-- /#content -->  
</div>
<?php include 'Footer.php'; ?>
<?php if(getValue('wc') == 1){?>
<script>
window.onload = function() {
        PNotify.desktop.permission();
        new PNotify({
            title: 'Success',
            text: 'A new customer has been added into your software, Now you can sale your products to this customer too, Hope this customer give you more benefit.',
            type: 'success',
            desktop: {
                desktop: true
            }
        }).get().on("click",function (e) {
            if ($('.ui-pnotify-closer, .ui-pnotify-sticker, .ui-pnotify-closer *, .ui-pnotify-sticker *').is(e.target))
                return; 
        });
        return false;
    };
</script>
<?php } ?>