<?php 

$page		 	= 'customers';

require_once('sessionp.php');
require_once('checkSalesSession.php');

require_once('includes/connection.php');
require_once('includes/functions.php'); 

$module		  = 'sales';
$pageTitle 	  = 'Customers';
$pageRole  	  = 'table'; 

$listRS	 = Run($conn,"select id, title, phone from tbl_customers where status = '1' order by id desc");  

include 'MasterTop.php';
include 'Top.php';
include 'SideBar.php';

?>

<style>
  .buttons-print{ border:1px solid; padding:5px 10px; border-radius:3px;}
</style>
<div id="content" class="bg-container">
	<?php include 'Header.php'; ?>
	<div class="modal fade" id="modal-customer" role="dialog" aria-labelledby="modalLabelsuccess">
		<div class="modal-dialog" role="document">
			<div class="modal-content">
				<div class="modal-header bg-success">
					<h4 class="modal-title text-white" id="modalLabelsuccess">New Customer</h4>
				</div>
				<div class="modal-body" style="padding-top:0;">
				<form method="post" action="process/SaveCustomer">
					<input type="hidden" name="bcheck" value="true" />
					<div class="row"> 
									<div class="col-lg-6 input_field_sections">
										<h5>Contact Number <span class="label_desc">(Required, Not-Editable)</span></h5>
										<input type="text" class="form-control" name="phone" required="required" autocomplete="off" />
									</div>
									<div class="col-lg-6 input_field_sections">
										<h5>City <span class="label_desc">(Autofill-Optional)</span></h5>
										 
										<input type="text" class="form-control" autocomplete="off" id="autofill_unit" name="city" list="city_list">
										<datalist id="city_list">
										<?php 
										$citiesRS = Run($conn,"select * from tbl_cities where status = 1 order by title asc");
										while($citiesR = GetRow($citiesRS)){
										?>
										<option><?php echo $citiesR['title']; ?></option> 
										<?php } ?> 
										</datalist>  
									</div>
									<div class="col-lg-6 input_field_sections">
										<h5>Customer Title <span class="label_desc">(Optional)</span></h5>
										<input autocomplete="off" type="text" class="form-control" name="title" />
									</div>
									<div class="col-lg-6 input_field_sections">
										<h5>Email Address <span class="label_desc">(Optional)</span></h5>
										<input autocomplete="off" type="email" class="form-control" name="email"/>
									</div>
									  
									<div class="col-lg-12 input_field_sections">
										<h5>Address <span class="label_desc">(Optional)</span></h5>
										<input autocomplete="off" type="text" name="address" class="form-control" />
									</div>
							</div>
					 
					</div>
					<div class="modal-footer">
						<button type="submit" class="btn btn-success">Save</button>
						<button class="btn btn-warning" data-dismiss="modal">Cancel</button>
					</div>
				</form>
			</div>
		</div>
	</div>
	<div class="outer">
		<div class="inner bg-light lter bg-container">
			<div class="row">
				<div class="col-xs-12 data_tables"> 
					<!-- BEGIN EXAMPLE1 TABLE PORTLET-->
					<div class="card"> 
						<div class="card-block" style="margin-top:60px;"> 
							<table class="table table-striped table-bordered table-hover" id="sample_1">
								<thead>
									<tr>
										<th>ID</th>
										<th>Contact Number</th>
										<th>Customer Title</th>
										<th>Points Earned</th>
										<th>Points Redeemed</th>
										<th>Points Remaining</th>
										<th style="text-align:right;">Debit (Rs)</th>
										<th style="text-align:right;">Credit (Rs)</th>
										<th style="text-align:right;">Balance (Rs)</th>
										<th>Action</th>
									</tr>
								</thead>
								<tbody>
								 
								<?php  
								$i=1;
								$mobile_numbers = '';
								while ($listR = GetRow($listRS)){ 
								$customerID   = $listR['id'];
								if($i == '1'){
									$mobile_numbers = $listR['phone'];
								} else{
									if($listR['phone'] != ''){
										$mobile_numbers = $mobile_numbers.",".$listR['phone'];
									}
								}

								$RewardSQL = "SELECT
												(SUM(amount_in)/0.03) AS points_earned,
												(SUM(amount_out)/0.03) AS points_redeemed,
												( (SUM(amount_in)-SUM(amount_out)) / 0.03 ) AS points_remaining 
												FROM
												tbl_reward_points
												WHERE
												customer_id = '$customerID'
											";
								$rewardR = GetRow(Run($conn, $RewardSQL));

								$accountSQL = "SELECT
												SUM(dr) AS debit_balance,
												SUM(cr) AS credit_balance 
												FROM
												tbl_cus_payments
												WHERE
												customer_id = '$customerID' AND status = '1'
											";
								$accountR   = GetRow(Run($conn,$accountSQL));

								$debit_balance    = $accountR['debit_balance']; 
								$credit_balance   = $accountR['credit_balance']; 
								
								// $debitRS 		  = "select sum(dr) as debit_balance from tbl_cus_payments where customer_id = '$customerID' and status = '1'";
								// $debitR  		  = GetRow(Run($conn,$debitRS));
								// $debit_balance    = $debitR['debit_balance']; 
								
								// $creditRS 		  = "select sum(cr) as credit_balance from tbl_cus_payments where customer_id = '$customerID' and status = '1'";
								// $creditR  		  = GetRow(Run($conn,$creditRS));
								// $credit_balance = $creditR['credit_balance']; 
								 
								?>
									<tr>
										<td><?php echo $listR['id']; ?></td>
										<td><?php echo $listR['title']; ?></td>
										<td><?php echo $listR['phone']; ?></td>
										<td><?php echo number_format($rewardR['points_earned']); ?></td>
										<td><?php echo number_format($rewardR['points_redeemed']); ?></td>
										<td><?php echo number_format($rewardR['points_remaining']); ?></td>
										<td style="text-align:right;"><?php echo number_format($debit_balance,2); ?></td>
										<td style="text-align:right;"><?php echo number_format($credit_balance,2); ?></td>
										<td style="text-align:right;"><?php echo $GrandBalance = ($debit_balance-$credit_balance); $G_GrandBalance = $G_GrandBalance + $GrandBalance; ?></td>
										<td ><a class="btn btn-primary btn-sm" href="customer?id=<?php echo $listR['id']; ?>" title="View details of <?php echo $listR['title']; ?>">Details</a> <button class="btn btn-raised btn-success btn-sm md-trigger adv_cust_mod_btn" data-toggle="modal" data-target="#modal-<?php echo $listR['id']; ?>"><i class="fa fa-plus-square"></i> Payment </button></td>
									</tr>
									<div class="modal fade" id="modal-<?php echo $listR['id']; ?>" role="dialog" aria-labelledby="modalLabelsuccess">
									<div class="modal-dialog" role="document">
										<div class="modal-content">
											<div class="modal-header bg-success">
												<h4 class="modal-title text-white" id="modalLabelsuccess">New Payment</h4>
											</div>
												<div class="modal-body" style="padding-top:0;">
											
											<form method="post" action="process/SaveCustomerPayment">
												<input type="hidden" name="payment_check" value="true" /> 
												  <div class="row"> 
									<div class="col-lg-6 input_field_sections">
										<h5>Amount <span class="label_desc">(Required)</span></h5>
										<input type="number" class="form-control" name="amount" step="any" required="required" min="1" />
									</div>
									<div class="col-lg-6 input_field_sections">
										<h5>Customer <span class="label_desc">(Not-Editable)</span></h5>
										<select class="form-control chzn-select" name="customer_id" tabindex="1">
											<option disabled selected>Select a Customer</option>
											<?php 
											$customerRS = Run($conn,"select * from tbl_customers where status = 1 order by title asc");
											while($customerR = GetRow($customerRS)){
											?>
											<option value="<?php echo $customerR['id']; ?>" <?php if($customerR['id'] == $listR['id']){?> selected="selected" <?php } else{ ?> disabled <?php } ?>><?php echo $customerR['title']; ?></option> 
											<?php } ?>
										</select>
									</div>
									</div>
									<div class="row">
									<div class="col-lg-6 input_field_sections">
										<h5>Type <span class="label_desc">(Required)</span></h5>
										<select class="form-control chzn-select" name="type" tabindex="1">  
											<option value="cr" selected="selected">Credit</option> 
											<option value="dr">Debit</option>  
										</select>
									</div>
									<div class="col-lg-6 input_field_sections">
										<h5>Adjust Account Only <span class="label_desc">(Required)</span></h5>
										<select class="form-control chzn-select" name="adjust_balance">  
											<option value="0" selected="selected">No</option> 
											<option value="1">Yes</option>  
										</select>
									</div>
									<div class="col-lg-12 input_field_sections">
										<h5>Details <span class="label_desc">(Required)</span></h5>
										<textarea name="description" class="form-control"   required="required"></textarea>
										<P>Please note: <br /><strong>Credit:</strong> Paid by Customer, <strong>Debit: </strong>Paid to Customer<br />If adjust account is yes, then amount will not effect cash register.</P>
							</div>
											 
													</div>
												
												<div class="modal-footer">
													<button type="submit" class="btn btn-success">Save</button>
													<button class="btn  btn-warning" data-dismiss="modal">Cancel</button>
												</div>
											</form>
										</div>
									</div>
								</div>
								<?php $i++; } ?>	 
								</tbody>
							</table> 
							Grand Balance: <?php echo number_format($G_GrandBalance); ?>
						</div>
					</div>
					<!-- END EXAMPLE1 TABLE PORTLET--> 
					
				</div>
			</div>
			<!-- /.inner --> 
		</div>
		<!-- /.outer --> 
	</div>
	<!-- /#content --> 
	<?php include 'ContentFooter.php'; ?>
</div>
<?php include 'Footer.php'; ?>
<?php if(getValue('wc') == 1){?>
<script>
window.onload = function() {
        PNotify.desktop.permission();
        new PNotify({
            title: 'Success',
            text: 'A new customer has been added into your software, Now you can sale your products to this customer too, Hope this customer give you more benefit.',
            type: 'success',
            desktop: {
                desktop: true
            }
        }).get().on("click",function (e) {
            if ($('.ui-pnotify-closer, .ui-pnotify-sticker, .ui-pnotify-closer *, .ui-pnotify-sticker *').is(e.target))
                return; 
        });
        return false;
    };
</script>
<?php } ?>