<?php 

$page		  = 'employees';

require_once('sessionp.php');
require_once('checkAccountsSession.php');

require_once('includes/connection.php');
require_once('includes/functions.php');

$start_day   = '01';
$start_month = date("m");
$start_year  = date("Y");
$start_date = $start_year.'-'.$start_month.'-'.$start_day;
$end_date   = date("Y-m-d");
$date_check = getValue('date_check');
if($date_check == 'true')
	{
		$start_date = getValue('date_from');
		$end_date   = getValue('date_to');
	}
$register_date = date("Y-m-d");
$reg_date_check = getValue('reg_date_check');
if($reg_date_check == 'true')
	{
		$register_date = getValue('register_date'); 
	}

$module		= 'employees';
$range 	  	 = 'true';
$pageTitle 	 = 'Employees';
$pageRole    = 'table';

include 'MasterTop.php';
include 'Top.php';
include 'SideBar.php';
?>
<style>
.buttons-print {
	border: 1px solid;
	padding: 5px 10px;
	border-radius: 3px;
}
.buttons-print {
    border: 1px solid #b2b2b2;
    padding: 3px 7px;
    border-radius: 3px;
    background: linear-gradient(135deg, #6A82FB, #FC5C7D);
    color: white;
}

.btn-success, .btn-view-pdf, .btn-view-send {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    position: relative;
    overflow: hidden;
    transition: box-shadow .3s;
    box-shadow: 0 8px 20px rgba(0, 0, 0, 0.12);
    color: white;
}

.btn-success::after, .btn-view-pdf::after, .btn-view-send::after {
    content: "";
    position: absolute;
    top: -100%;
    left: -100%;
    width: 200%;
    height: 200%;
    z-index: 1;
    background: linear-gradient(135deg, transparent, rgba(255, 255, 255, 0.4), transparent);
    transform: rotate(45deg);
    pointer-events: none;
    transition: top 0.5s, left 0.5s;
}

.btn-success:hover::after, .btn-view-pdf:hover::after, .btn-view-send:hover::after {
    top: 100%;
    left: 100%;
}

.btn-success {
    background: linear-gradient(135deg, #8E2DE2, #4A00E0);
    border: none;
    padding: 6px 12px;
    border-radius: 50px 50px 0 50px;
    font-weight: 600;
}

.btn-view-pdf {
    background: linear-gradient(135deg, #FFB75E, #ED8F03);
    border-radius: 50px 50px 0 50px;
    padding: 6px 12px;
}

.btn-view-send {
    background: linear-gradient(135deg, #56ab2f, #a8e063);
    border-radius: 30px 50px 0 50px;
    padding: 6px 15px;
}

.btn-view-pdf i, .btn-view-send i {
    margin-right: 4px;
}

.active-btn {
    background: linear-gradient(135deg, #f54242, #f542a2);
    box-shadow: 0 6px 14px rgba(255,0,0,0.1);
}

@keyframes dance {
    0% { transform: scale(1) rotate(0); }
    20% { transform: scale(1.05) rotate(-5deg); }
    40% { transform: scale(1) rotate(5deg); }
    60% { transform: scale(1.05) rotate(-5deg); }
    80% { transform: scale(1) rotate(5deg); }
    100% { transform: scale(1) rotate(0); }
}

.btn-success:hover, .btn-view-pdf:hover, .btn-view-send:hover {
    animation: dance 0.5s infinite;
}

#searchInput {
    width: 250px;
    height: 40px;
    padding: 5px 15px;
    border: 1px solid #ddd;
    border-radius: 20px; /* Rounded corners */
    box-shadow: 0 4px 6px rgba(0,0,0,0.1); /* Subtle shadow for depth */
    font-size: 16px;
    outline: none;
    transition: border-color 0.3s;
    background: linear-gradient(120deg, #fdfbfb 0%, #ebedee 100%); /* Gradient background */
}

#searchInput:focus {
    border-color: #4285F4; /* Color change on focus */
    box-shadow: 0 4px 8px rgba(66,133,244,0.2); /* Enhanced shadow on focus */
}
</style>

<div id="content" class="bg-container"> 
	<?php include 'Header.php'; ?>
    <div class="outer">
        <div class="inner bg-light lter bg-container">
            <div class="row">
                <div class="col-xs-12 data_tables"> 
                    <!-- BEGIN EXAMPLE1 TABLE PORTLET-->
                    <div class="card">
                        <div class="card-block" style="margin-top:60px;">
                            <table class="table table-striped table-bordered table-hover" id="sample_1">
                                <thead>
                                    <tr>
                                        <th>ID</th>
                                        <th>Name</th>
                                        <!--<th>House</th>-->
                                        <th>Designation</th>
                                        <th>Cell</th>
                                        <th>ID Card</th>
                                        <th>Salary Per Month</th>
                                        <th>Date of Birth</th>
                                        <th>Gender</th>
                                        <th>Marital Status</th>
                                        <th>Current Address</th>
                                        <th>Point</th>
                                        <th>Joining Date</th>
                                        <th>Bank Transfer Option</th>
                                        <!--<th>Title Name</th>
                                        <th>Bank Name</th>
                                        <th>Account Number</th>-->
                                        <th>Uniform Info</th>
                                        <th>Status</th>
                                        <th>Action</th>
                                        <th>Action</th>
										<th>Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php 
                                    $designationOrder = array(
									    'Senior G. Manager' => 1,
                                        'Senior G. Manager' => 2,
                                        'G. Manager' => 3,
                                        'Senior Restaurant Manager' => 4,
                                        'Restaurant Manager' => 5,
                                        'Senior Assistant Manager' => 6,
                                        'Assistant Manager' => 7,
                                        'Senior Shift Manager' => 8,
                                        'Shift Manager' => 9,
                                        'Senior Shift Lead' => 10,
                                        'Shift Lead' => 11,
                                        'Senior Supervisor' => 12,
                                        'Supervisor' => 13,
                                        'Senior Order Taker' => 14,
                                        'Order Taker' => 15,
                                        'Senior Cashier' => 16,
                                        'Cashier' => 17,
                                        'Senior GRO' => 18,
                                        'GRO' => 19,
                                        'Senior Waiter' => 20,
                                        'Senior Server' => 21,
                                        'Waiter' => 22,
                                        'Server' => 23,
                                        'Senior Busser' => 24,
                                        'Busser' => 25,
                                        'Senior Executive Chef' => 26,
                                        'Executive Chef' => 27,
                                        'Senior Head Chef' => 28,
                                        'Head Chef' => 29,
                                        'Senior Sous Chef' => 30,
                                        'Sous Chef' => 31,
                                        'Senior CDP' => 32,
                                        'CDP' => 33,
                                        'Senior Demi' => 34,
                                        'Demi' => 35,
                                        'Senior Commis 1' => 36,
                                        'Commis 1' => 37,
                                        'Senior Commis 2' => 38,
                                        'Commis 2' => 39,
                                        'Senior Commis 3' => 40,
                                        'Commis 3' => 41,
                                        'Senior Food Runner' => 42,
                                        'Food Runner' => 43,
                                        'Senior Prep Cook' => 44,
                                        'Prep Cook' => 45,
                                        'Senior Helper Main Kitchen' => 46,
                                        'Helper Main Kitchen' => 47,
                                        'Senior Dishwasher Main Kitchen' => 48,
                                        'Dishwasher Main Kitchen' => 49,
                                        'Senior Intern Main Kitchen' => 50,
                                        'Intern Main Kitchen' => 51,
                                        'Senior Pastry Chef' => 52,
                                        'Pastry Chef' => 53,
                                        'Head Patissier' => 54,
                                        'Senior Pastry Sous Chef' => 55,
                                        'Pastry Sous Chef' => 56,
                                        'Senior Pastry Commis 1' => 57,
                                        'Pastry Commis 1' => 58,
                                        'Senior Pastry Commis 2' => 59,
                                        'Pastry Commis 2' => 60,
                                        'Senior Pastry Commis 3' => 61,
                                        'Pastry Commis 3' => 62,
                                        'Senior Helper Pastry' => 63,
                                        'Helper Pastry' => 64,
                                        'Senior Dishwasher Pastry' => 65,
                                        'Dishwasher Pastry' => 66,
                                        'Senior Intern Pastry' => 67,
                                        'Intern Pastry' => 68,
                                        'Senior Head Barista' => 69,
                                        'Head Barista' => 70,
                                        'Senior Deputy Barista' => 71,
                                        'Deputy Barista' => 72,
                                        'Senior Barista' => 73,
                                        'Barista' => 74,
                                        'Senior Helper Barista' => 75,
                                        'Helper Barista' => 76,
                                        'Senior Intern Barista' => 77,
                                        'Intern Barista' => 78,
                                        'Senior House Keeping' => 79,
                                        'House Keeping' => 80,
                                        'Senior Accountant' => 81,
                                        'Accountant' => 82,
                                        'Senior Building Admin' => 83,
                                        'Building Admin' => 84,
                                        'Senior Maintenance' => 85,
                                        'Maintenance' => 86,
                                        'Senior Purchaser' => 87,
                                        'Purchaser' => 88
                                    );

                                    $designationValues = array_map(function ($designation) {
                                        return "'$designation'";
                                    }, array_keys($designationOrder));
                                    
                                    $listRS	 = Run($conn,"select * from tbl_employees ORDER BY FIELD(designation, " . implode(', ', $designationValues) . ")");  
                                    $i=1;
                                    while ($listR = GetRow($listRS)){ 
                                    ?>
                                    <tr>
                                        <td><?php echo $listR['id_emp']; ?></td>
                                        <td><?php echo $listR['name']; ?></td>
                                        <!-- <td><?php echo $listR['house']; ?></td>-->
                                        <td><?php echo $listR['designation']; ?></td>
                                        <td><?php echo $listR['cell']; ?></td>
                                        <td><?php echo $listR['id_card']; ?></td>
                                        <td><?php echo $listR['salary_per_month']; ?></td>
                                        <td><?php echo $listR['date_of_birth']; ?></td>
                                        <td><?php echo $listR['gender']; ?></td>
                                        <td><?php echo $listR['marital_status']; ?></td>
                                        <td><?php echo $listR['current_address']; ?></td>
                                        <td><?php echo $listR['point']; ?></td>
                                        <td><?php echo $listR['joining_date']; ?></td>
                                        <td><?php echo $listR['bank_transfer_option']; ?></td>
                                        <!--<td><?php echo $listR['title_name']; ?></td>
                                        <td><?php echo $listR['bank_name']; ?></td>
                                        <td><?php echo $listR['account_number']; ?></td>-->
                                        <td><?php echo $listR['uniform_info']; ?></td>
                                        <td><?php echo $listR['status']; ?></td>
                                        <?php
                                        $salary_details = "Employee ID: " . $listR['id_emp'] . "\n"
                                            . "Dear *" . $listR['name']. "*\n\n";

                                        $fields = [
                                            'house' => 'Section',
                                            'designation' => 'Designation',
                                            'cell' => 'Phone',
                                            'id_card' => 'ID Card',
                                            'salary_per_month' => 'Salary',
                                            'emergency_contact' => 'Emergency Contact',
                                            'date_of_birth' => 'Date of Birth',
                                            'gender' => 'Gender',
                                            'marital_status' => 'Marital Status',
                                            'current_address' => 'Current Address',
                                            'joining_date' => 'Joining Date',
                                            'bank_transfer_option' => 'Bank Transfer Option',
                                            'title_name' => 'Bank Title Name',
                                            'bank_name' => 'Bank Name',
                                            'account_number' => 'Bank Account',
                                            'uniform_info' => 'Uniform Information'
                                        ];

                                        $accessible_data = false;
                                        $omitted_details = false;

                                        $salary_details .= "```Your Accessible Data```" . "\n";
                                        foreach ($fields as $field => $displayName) {
                                            // Check if bank_transfer_option is "No" or empty
                                            if ($field === 'bank_transfer_option' && ($listR[$field] === "No" || empty($listR[$field]))) {
                                                continue; // Skip this field
                                            }

                                            if ($listR[$field] > 0 || !empty($listR[$field])) {
                                                if (!in_array($field, ['joining_date', 'date_of_birth']) || ($listR[$field] != "0000-00-00" && !empty($listR[$field]))) {
                                                    $salary_details .= "*".$displayName . ":* " . $listR[$field] . "\n";
                                                    $accessible_data = true;
                                                }
                                            }
                                        }

                                        $salary_details .= "```\nPlease review the provided details for any inaccuracies. Your prompt corrections ensure accurate salary processing, avoiding potential delays or oversights.```\n\n";

                                        $omitted_details = false; // Reset the flag

                                        foreach ($fields as $field => $displayName) {
                                            if (($field == 'joining_date' || $field == 'date_of_birth') && (empty($listR[$field]) || $listR[$field] == "0000-00-00")) {
                                                $omitted_details = true;
                                                break; // Exit the loop as soon as an omitted field is found
                                            } else if ($listR[$field] < 0 || empty($listR[$field])) {
                                                $omitted_details = true;
                                                break; // Exit the loop as soon as an omitted field is found
                                            }
                                        }

                                        if ($omitted_details) {
                                            $salary_details .= "```Necessary Omitted Details```" . "\n";
                                            foreach ($fields as $field => $displayName) {
                                                // Check if bank_transfer_option is "No" or empty, and provide option
                                                if ($field === 'bank_transfer_option' && ($listR['bank_transfer_option'] === "No" || empty($listR['bank_transfer_option']))) {
                                                    $salary_details .= "*".$displayName . ":* [Yes/No]\n";
                                                } else if (($field == 'joining_date' || $field == 'date_of_birth') && (empty($listR[$field]) || $listR[$field] == "0000-00-00")) {
                                                    $salary_details .= "*".$displayName . "*\n";
                                                } else if ($listR[$field] < 0 || empty($listR[$field])) {
                                                    $salary_details .= "*".$displayName . "*\n";
                                                }
                                            }
                                            $salary_details .= "```\nPlease provide us with all the aforementioned details to ensure the accurate generation of your salary. Failure to do so may result in a delay or omission of your monthly salary.```\n\n";
                                        }

                                        $salary_details .= "Yours sincerely"."\n"
                                            . "*Bistro Noir.*\n"
                                            . "Unit 3, Street 4,\n" 
                                            . "Gol Market, F 7/3, Islamabad";
                                        $salary_details_url_encoded = urlencode($salary_details);
                                        ?>
                                        <td>
                                                <a class="btn btn-success btn-view-pdf" href="employee?id=<?php echo $listR['id']; ?>" title="View details of <?php echo $listR['name']; ?>" target="_blank">Details</a>
                                        </td>   
                                        <td>
                                            <?php if($listR['status'] == "Active"): ?>
                                                <a class="btn btn-success" onclick="window.open('https://api.whatsapp.com/send?phone=<?php echo $listR['cell'];?>&text=<?php echo $salary_details_url_encoded;?>&source=&data=', '_blank', 'width=600,height=400')" href="#">Ask Info</a>
                                            <?php endif; ?>
                                        </td>
                                        <td>
                                            <?php if($listR['status'] == "Active"): ?>
                                                <a class="btn btn-success btn-view-pdf" href="FormConduct?id=<?php echo $listR['id']; ?>" title="View details of <?php echo $listR['name']; ?>"target="_blank">Form&Conduct</a>
                                            <?php endif; ?>
                                        </td>										
                                    </tr>
                                    <div class="modal fade" id="modal-<?php echo $listR['id']; ?>" role="dialog" aria-labelledby="modalLabelsuccess">
                                        <div class="modal-dialog" role="document">
                                            <div class="modal-content">
                                                <div class="modal-header bg-success">
                                                    <h4 class="modal-title text-white" id="modalLabelsuccess">New Expense</h4>
                                                </div>
                                                <div class="modal-body" style="padding-top:0;">

                                                    <form method="post" action="process/SaveEmployeePayment">
                                                        <input type="hidden" name="expense_check" value="true" />
                                                        <div class="row">
                                                            <div class="col-lg-6 input_field_sections">
                                                                <h5>Title <span class="label_desc">(Required)</span></h5>
                                                                <input type="text" class="form-control" name="title"  required="required" autocomplete="off" />
                                                            </div>
                                                            <div class="col-lg-6 input_field_sections">
                                                                <h5>Employee <span class="label_desc">(Not-Editable)</span></h5>
                                                                <select class="form-control chzn-select" name="category_id" tabindex="2">
                                                                    <option disabled selected>Choose</option>
                                                                    <?php 
                                                                    $categoriesRS = Run($conn,"select * from tbl_employees order by title asc");
                                                                    while($categoriesR = GetRow($categoriesRS)){
                                                                    ?>
                                                                    <option value="<?php echo $categoriesR['id']; ?>" <?php if($categoriesR['id'] == $listR['id']){?> selected="selected" <?php } else{ ?> disabled <?php } ?>><?php echo $categoriesR['title']; ?></option>
                                                                    <?php } ?>
                                                                </select>
                                                            </div>
                                                        </div>
                                                        <div class="row">
                                                            <div class="col-lg-6 input_field_sections">
                                                                <h5>Amount <span class="label_desc">(Required)</span></h5>
                                                                <input type="number" class="form-control" name="amount" step="any" autocomplete="off"  required="required" />
                                                            </div>
                                                            <div class="col-lg-6 input_field_sections">
                                                                <h5>Type <span class="label_desc">(Required)</span></h5>
                                                                <select class="form-control chzn-select" name="type" tabindex="1">  
                                                                    <option value="dr" selected="selected">Debit</option> 
                                                                    <option value="cr">Credit</option>  
                                                                </select>
                                                            </div>
                                                        </div>
                                                        <div class="row">
                                                            <div class="col-lg-12 input_field_sections">
                                                                <h5>Details <span class="label_desc">(Required)</span></h5>
                                                                <input type="text" class="form-control" name="details" autocomplete="off"  required="required" />
                                                            </div>
                                                        </div>
                                                        <P>Please note: <br /><strong>Debit: </strong>Paid  <strong> and Credit:</strong> Refunded </P>
                                                </div>

                                                <div class="modal-footer">
                                                    <button type="submit" class="btn btn-success">Save</button>
                                                    <button class="btn  btn-warning" data-dismiss="modal">Cancel</button>
                                                </div>
                                                </form>
                                            </div>
                                        </div>
                                    </div>
                                    <?php } ?>
                                </tbody>                                    
                                    <div style="display: flex; justify-content: flex-end; gap: 20px;">
									<a class="btn btn-success btn-view-demand" href="CodeOfConducts""target="_blank">Conducts</a>
                                    <a class="btn btn-success btn-view-demand" href="BirthDay" target="_blank">Print BirthDay</a><a class="btn btn-success btn-view-demand" href="PrintAllEmpData" target="_blank">PrintAllEmpData</a><a class="btn btn-success btn-view-demand" href="PrintForm" target="_blank">PrintForm</a>
                                    </div>
                                     &nbsp;                                    
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
	<div class="modal fade" id="modal-employee" role="dialog" aria-labelledby="modalLabelsuccess">
		<div class="modal-dialog" role="document">
			<div class="modal-content">
				<div class="modal-header bg-success">
					<h4 class="modal-title text-white" id="modalLabelsuccess">New employee</h4>
				</div>
				<div class="modal-body" style="padding-top:0;">
					<form method="post" action="process/SaveEmployee">
						<input type="hidden" name="bcheck" value="true" />
						<div class="row">
							<div class="row">
								<div class="col-lg-4">
									<div class="input_field_sections">
										<h5>Name</h5>
										<input type="text" autocomplete="off" class="form-control" name="title" />
									</div>
									<div class="input_field_sections">
										<h5>ID</h5>
										<input type="text" class="form-control" name="id_emp" />
									</div>
									<div class="input_field_sections">
										<h5>House</h5>
										<select class="form-control" name="house">
											<option value="FOH" selected="selected">FOH</option>
											<option value="BOH-HOT">BOH-HOT</option>
											<option value="BOH-PIZZA">BOH-PIZZA</option>
											<option value="BAR">BAR</option>
											<option value="BOH-PASTRY">BOH-PASTRY</option>
											<option value="Office">Office</option>
											<option value="OOH">OOH</option>
										</select>
									</div>
								</div>
                                <div class="col-lg-4">
                                    <div class="input_field_sections">
                                        <h5>Designation</h5>
                                        <input type="text" class="form-control" name="designation" list="designation_list" />
                                        <datalist id="designation_list">
                                            <option value="Senior Head Barista">
                                            <option value="Head Barista">
                                            <option value="Senior Deputy Barista">
                                            <option value="Deputy Barista">
                                            <option value="Senior Barista">
                                            <option value="Barista">
                                            <option value="Senior Helper Barista">
                                            <option value="Helper Barista">
                                            <option value="Senior Intern Barista">
                                            <option value="Intern Barista">
                                            <option value="Senior Executive Chef">
                                            <option value="Executive Chef">
                                            <option value="Senior Head Chef">
                                            <option value="Head Chef">
                                            <option value="Senior Sous Chef">
                                            <option value="Sous Chef">
                                            <option value="Senior CDP">
                                            <option value="CDP">
                                            <option value="Senior Demi">
                                            <option value="Demi">
                                            <option value="Senior Commis 1">
                                            <option value="Commis 1">
                                            <option value="Senior Commis 2">
                                            <option value="Commis 2">
                                            <option value="Senior Commis 3">
                                            <option value="Commis 3">
                                            <option value="Senior Food Runner">
                                            <option value="Food Runner">
                                            <option value="Senior Prep Cook">
                                            <option value="Prep Cook">
                                            <option value="Senior Helper Main Kitchen">
                                            <option value="Helper Main Kitchen">
                                            <option value="Senior Dishwasher Main Kitchen">
                                            <option value="Dishwasher Main Kitchen">
                                            <option value="Senior Intern Main Kitchen">
                                            <option value="Intern Main Kitchen">
                                            <option value="Senior Pastry Chef">
                                            <option value="Pastry Chef">
                                            <option value="Senior Head Patissier">
                                            <option value="Head Patissier">
                                            <option value="Senior Pastry Sous Chef">
                                            <option value="Pastry Sous Chef">
                                            <option value="Senior Pastry Commis 1">
                                            <option value="Pastry Commis 1">
                                            <option value="Senior Pastry Commis 2">
                                            <option value="Pastry Commis 2">
                                            <option value="Senior Pastry Commis 3">
                                            <option value="Pastry Commis 3">
                                            <option value="Senior Helper Pastry">
                                            <option value="Helper Pastry">
                                            <option value="Senior Dishwasher Pastry">
                                            <option value="Dishwasher Pastry">
                                            <option value="Senior Intern Pastry">
                                            <option value="Intern Pastry">
                                            <option value="Senior G. Manager">
                                            <option value="G. Manager">
                                            <option value="Senior Restaurant Manager">
                                            <option value="Restaurant Manager">
                                            <option value="Senior Assistant Manager">
                                            <option value="Assistant Manager">
                                            <option value="Senior Shift Manager">
                                            <option value="Shift Manager">
                                            <option value="Senior Shift Lead">
                                            <option value="Shift Lead">
                                            <option value="Senior Supervisor">
                                            <option value="Supervisor">
                                            <option value="Senior Order Taker">
                                            <option value="Order Taker">
                                            <option value="Senior Cashier">
                                            <option value="Cashier">
                                            <option value="Senior GRO">
                                            <option value="GRO">
                                            <option value="Senior Waiter">
                                            <option value="Waiter">
                                            <option value="Senior Server">
                                            <option value="Server">	
                                            <option value="Senior Busser">
                                            <option value="Busser">
                                            <option value="Senior House Keeping">
                                            <option value="House Keeping">
                                            <option value="Senior Accountant">
                                            <option value="Accountant">
                                            <option value="Senior Building Admin">
                                            <option value="Building Admin">
                                            <option value="Senior Maintenance">
                                            <option value="Maintenance">
                                            <option value="Senior Purchaser">
                                            <option value="Purchaser">
                                        </datalist>
                                    </div>
                                    <div class="input_field_sections">
                                        <h5>Cell</h5>
                                        <input type="tel" class="form-control" name="cell" />
                                    </div>
                                    <div class="input_field_sections">
                                        <h5>ID Card</h5>
                                        <input type="number" class="form-control" name="id_card" />
                                    </div>
                                </div>
                                <div class="col-lg-4">
                                    <div class="input_field_sections">
                                        <h5>Salary Per Month</h5>
                                        <input type="number" class="form-control" name="salary" />
                                    </div>
                                    <div class="input_field_sections">
                                        <h5>Emergency Contact</h5>
                                        <input type="tel" class="form-control" name="emergency_contact" />
                                    </div>
                                    <div class="input_field_sections">
                                        <h5>Date of Birth</h5>
                                        <input type="date" class="form-control" name="dob" />
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-lg-4">
                                    <div class="input_field_sections">
                                        <h5>Gender</h5>
                                        <select class="form-control" name="gender">
                                            <option value="Male" selected="selected">Male</option>
                                            <option value="Female">Female</option>
                                            <option value="Other">Other</option>
                                        </select>
                                    </div>
                                    <div class="input_field_sections">
                                        <h5>Marital Status</h5>
                                        <select class="form-control" name="marital_status">
                                            <option value="Single" selected="selected">Single</option>
                                            <option value="Married">Married</option>
                                            <option value="Divorced">Divorced</option>
                                            <option value="Widowed">Widowed</option>
                                        </select>
                                    </div>
                                    <div class="input_field_sections">
                                        <h5>Current Address</h5>
                                        <input type="text" class="form-control" name="current_address" />
                                    </div>
                                    <div class="input_field_sections">
                                        <h5>Uniform Info</h5>
                                        <input type="text" class="form-control" name="apron_cap_qty" />
                                    </div>    
                                </div>
                                <div class="col-lg-4">
                                    <div class="input_field_sections">
                                        <h5>Point</h5>
                                        <select class="form-control" name="point">
                                            <option value="Yes" selected="selected">Yes</option>
                                            <option value="No">No</option>
                                        </select>
                                    </div>
                                    <div class="input_field_sections">
                                        <h5>Joining Date</h5>
                                        <input type="date" class="form-control" name="joining_date" />
                                    </div>
                                    <div class="input_field_sections">
                                        <h5>Bank Transfer Option</h5>
                                        <select class="form-control" name="bank">
                                            <option value="Yes">Yes</option>
                                            <option value="No" selected="selected">No</option>
                                        </select>
                                    </div>
                                    <div class="input_field_sections">
                                        <h5>Status</h5>
                                        <select class="form-control" name="status">
                                            <option value="Active" selected="selected">Active</option>
                                            <option value="Inactive">Inactive</option>
                                        </select>
                                    </div>        
                                </div>
                                <div class="col-lg-4">
                                    <div class="input_field_sections">
                                        <h5>Title Name</h5>
                                        <input type="text" class="form-control" name="title_name" />
                                    </div>
                                    <div class="input_field_sections">
                                        <h5>Bank Name</h5>
                                        <input type="text" class="form-control" name="bank_name" list="bank_list" />
                                        <datalist id="bank_list">
                                            <option value="Allied Bank Limited">
                                            <option value="Askari Bank Limited">
                                            <option value="Bank Alfalah Limited">
                                            <option value="Bank AL Habib Limited">
                                            <option value="BankIslami Pakistan Limited">
                                            <option value="Faysal Bank Limited">
                                            <option value="Habib Bank Limited">
                                            <option value="Habib Metropolitan Bank Limited">
                                            <option value="JS Bank Limited">
                                            <option value="MCB Bank Limited">
                                            <option value="Meezan Bank Limited">
                                            <option value="National Bank of Pakistan">
                                            <option value="Samba Bank Limited">
                                            <option value="Silkbank Limited">
                                            <option value="Sindh Bank Limited">
                                            <option value="Standard Chartered Bank (Pakistan) Limited">
                                            <option value="Summit Bank Limited">
                                            <option value="United Bank Limited">
                                            <option value="EasyPaisa">
                                            <option value="JazzCash">
                                            <option value="Bank of Punjab">
                                            <option value="Bank of Khyber">
                                            <option value="Soneri Bank">
                                            <option value="Bank of Azad Jammu and Kashmir">
                                            <option value="First Women Bank Limited">
                                            <option value="NRSP Microfinance Bank">
                                            <option value="Zarai Taraqiati Bank Limited (ZTBL)">
                                            <option value="Industrial and Commercial Bank of China (ICBC) Pakistan">
                                        </datalist>
                                    </div>
                                    <div class="input_field_sections">
                                        <h5>Account Number</h5>
                                        <input type="text" class="form-control" name="account_number" />
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer" style="text-align:left;">
                        <button type="submit" class="btn btn-success">Save</button>
                        <button class="btn btn-warning" data-dismiss="modal">Cancel</button>
                    </div>
                </form>
            </div>
        </div>
    </div>	
<?php include 'ContentFooter.php'; ?>	
</div>
<?php include 'Footer.php'; ?>                                     
<script>
    document.addEventListener('DOMContentLoaded', function () {
        let buttons = document.querySelectorAll('.btn-view-pdf, .btn-success');

        buttons.forEach(button => {
            button.addEventListener('click', function () {

                // Remove active class from all buttons
                buttons.forEach(btn => btn.classList.remove('active-btn'));

                // Add active class to the clicked button
                this.classList.add('active-btn');
            });
        });
    });
</script>
<script>
    function myFunction() {
        var input, filter, table, tr, td, i, j, txtValue, found;
        input = document.getElementById("searchInput");
        filter = input.value.toUpperCase();
        table = document.getElementById("sample_1");
        tr = table.getElementsByTagName("tr");

        for (i = 0; i < tr.length; i++) {
            td = tr[i].getElementsByTagName("td");
            found = false;  // Reset the flag for each row

            for (j = 0; j < td.length; j++) {  // Loop through all columns
                if (td[j]) {
                    txtValue = td[j].textContent || td[j].innerText;
                    if (txtValue.toUpperCase().indexOf(filter) > -1) {
                        found = true;  // Set the flag if match found in any column
                        break;  // Exit the column loop if a match is found
                    }
                }
            }

            if (found) {
                tr[i].style.display = "";  // Display the row if a match is found
            } else {
                tr[i].style.display = "none";  // Hide the row if no match is found
            }
        }
    }
</script>