<?php 

$page		  = 'expenses';

require_once('sessionp.php');
require_once('checkAccountsSession.php');
require_once('includes/connection.php');
require_once('includes/functions.php');

$start_day   = '01';
$start_month = date("m");
$start_year  = date("Y");
$start_date = $start_year.'-'.$start_month.'-'.$start_day;
$end_date   = date("Y-m-d");
$date_check = getValue('date_check');
if($date_check == 'true')
	{
		$start_date = getValue('date_from');
		$end_date   = getValue('date_to');
	}
$register_date = date("Y-m-d");
$reg_date_check = getValue('reg_date_check');
if($reg_date_check == 'true')
	{
		$register_date = getValue('register_date'); 
	}

$module		 = 'expenses';
$range 	  	 = 'true';
$pageTitle 	 = 'Cashier Closing';
$pageRole    = 'table'; 

$listRS	 = Run($conn,"select * from tbl_exp_categories where status = '1' order by id desc");  

	

include 'MasterTop.php';
include 'Top.php';
include 'SideBar.php';
?>
<style>
.buttons-print {
    border: 1px solid #b2b2b2;
    padding: 3px 7px;
    border-radius: 3px;
    background: linear-gradient(135deg, #6A82FB, #FC5C7D);
    color: white;
}

.btn-success, .btn-view-pdf, .btn-view-send {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    position: relative;
    overflow: hidden;
    transition: box-shadow .3s;
    box-shadow: 0 8px 20px rgba(0, 0, 0, 0.12);
    color: white;
}

.btn-success::after, .btn-view-pdf::after, .btn-view-send::after {
    content: "";
    position: absolute;
    top: -100%;
    left: -100%;
    width: 200%;
    height: 200%;
    z-index: 1;
    background: linear-gradient(135deg, transparent, rgba(255, 255, 255, 0.4), transparent);
    transform: rotate(45deg);
    pointer-events: none;
    transition: top 0.5s, left 0.5s;
}

.btn-success:hover::after, .btn-view-pdf:hover::after, .btn-view-send:hover::after {
    top: 100%;
    left: 100%;
}

.btn-success {
    background: linear-gradient(135deg, #8E2DE2, #4A00E0);
    border: none;
    padding: 6px 12px;
    border-radius: 50px 50px 0 50px;
    font-weight: 600;
}

.btn-view-pdf {
    background: linear-gradient(135deg, #FFB75E, #ED8F03);
    border-radius: 50px 50px 0 50px;
    padding: 6px 12px;
}

.btn-view-send {
    background: linear-gradient(135deg, #56ab2f, #a8e063);
    border-radius: 30px 50px 0 50px;
    padding: 6px 15px;
}

.btn-view-pdf i, .btn-view-send i {
    margin-right: 4px;
}

.active-btn {
    background: linear-gradient(135deg, #f54242, #f542a2);
    box-shadow: 0 6px 14px rgba(255,0,0,0.1);
}

@keyframes dance {
    0% { transform: scale(1) rotate(0); }
    20% { transform: scale(1.05) rotate(-5deg); }
    40% { transform: scale(1) rotate(5deg); }
    60% { transform: scale(1.05) rotate(-5deg); }
    80% { transform: scale(1) rotate(5deg); }
    100% { transform: scale(1) rotate(0); }
}

.btn-success:hover, .btn-view-pdf:hover, .btn-view-send:hover {
    animation: dance 0.5s infinite;
}
</style>
<script>
    document.addEventListener('DOMContentLoaded', function () {
        let buttons = document.querySelectorAll('.btn-view-pdf, .btn-success');

        buttons.forEach(button => {
            button.addEventListener('click', function () {

                // Remove active class from all buttons
                buttons.forEach(btn => btn.classList.remove('active-btn'));

                // Add active class to the clicked button
                this.classList.add('active-btn');
            });
        });
    });
</script>
<div id="content" class="bg-container"> 
	<?php include 'Header.php'; ?>
	<div class="modal fade" id="modal-ecategory" role="dialog" aria-labelledby="modalLabelsuccess">
		<div class="modal-dialog" role="document">
			<div class="modal-content">
				<div class="modal-header bg-success">
					<h4 class="modal-title text-white" id="modalLabelsuccess">Cashier Closing</h4>
				</div>
				<div class="modal-body" style="padding-top:0;">
				<form method="post" action="process/SaveExpenseType">
					<input type="hidden" name="bcheck" value="true" />
					<div class="row">
						<div class="col-lg-12 input_field_sections">
							<h5>Title <span class="label_desc">(Required, Not-Editable)</span></h5>
							<input type="text" autocomplete="off" class="form-control" name="title" required="required" />
						</div>
					</div>
					</div>
					<div class="modal-footer" style="text-align:left;">
						<button type="submit" class="btn btn-success">Save</button>
						<button class="btn btn-warning" data-dismiss="modal">Cancel</button>
					</div>
				</form>
			</div>
		</div>
	</div>
	<div class="outer">
		<div class="inner bg-light lter bg-container">
			<div class="row">
				<div class="col-xs-12 data_tables"> 
					<!-- BEGIN EXAMPLE1 TABLE PORTLET-->
					<div class="card">
						<div class="card-block" style="margin-top:60px;">
							<table class="table table-striped table-bordered table-hover" id="sample_1">
								<thead>
									<tr>
										<th  >#</th>
										<th>At Locker</th>
										<th>Received From Owner</th>
										<th   style="text-align:Left;">From Office</th>
										<th   style="text-align:Left;">Given To Purchaser</th>
										<th   style="text-align:Left;">Exp From Till</th>
										<th   style="text-align:Left;">Staf Food Bills & Advance</th>
										<th   style="text-align:Left;">Cash In Hand</th>
										<th   style="text-align:Left;">For Purchaser</th>
										<th   style="text-align:Left;">Tip</th>
										<th >Action</th>
									</tr>
								</thead>
								<tbody>
									<?php  
								$i=1;
								while ($listR = GetRow($listRS)){ 
								$categoryID 	= $listR['id'];
								$debitRS = "select sum(dr) as debit_balance from tbl_expenses where category_id = '$categoryID' and status = '1' and post_date >= '$start_date' and post_date <= '$end_date'";
								$debitR  = GetRow(Run($conn,$debitRS)); 
								$debit_balance = $debitR['debit_balance']; 
								$creditRS = "select sum(cr) as credit_balance from tbl_expenses where category_id = '$categoryID' and status = '1' and post_date >= '$start_date' and post_date <= '$end_date'";
								$creditR  = GetRow(Run($conn,$creditRS)); 
								$credit_balance = $creditR['credit_balance']; 
								$expense_balance = $debit_balance-$credit_balance;
								  
			                    $Cashier  = GetRow(Run($conn,"select sum(owner) as grand_owner, sum(locker) as grand_locker, sum(hr) as grand_hr , sum(given) as grand_given, sum(till) as grand_till, sum(advance) as grand_advance, sum(hand) as grand_hand, sum(purchase) as grand_purchase, sum(tip) as grand_tip from tbl_expenses where status=1 and post_date <= '$end_date'"));
								?>
								
									<tr>
										<td  ><?php echo $i++; ?></td>
										<td>  <?php echo number_format ($Cashier['grand_locker'],2); ?></td>
										<td>  <?php echo number_format ($Cashier['grand_owner'],2); ?></td>
										<td>  <?php echo number_format ($Cashier['grand_hr'],2); ?></td>
										<td>  <?php echo number_format ($Cashier['grand_given'],2); ?></td>
										<td>  <?php echo number_format ($Cashier['grand_till'],2); ?></td>
										<td>  <?php echo number_format ($Cashier['grand_advance'],2); ?></td>
										<td>  <?php echo number_format ($Cashier['grand_hand'],2); ?></td>
										<td>  <?php echo number_format ($Cashier['grand_purchase'],2); ?></td>
										<td>  <?php echo number_format ($Cashier['grand_tip'],2); ?></td>
										<td><a class="btn btn-success btn-view-pdf" href="expense?id=<?php echo $listR['id']; ?>" title="View details of <?php echo $listR['title']; ?>">Details</a>
										<button class="btn btn-raised btn-success btn-sm md-trigger adv_cust_mod_btn" data-toggle="modal" data-target="#modal-<?php echo $listR['id']; ?>"><i class="fa fa-plus-square"></i> Add Cash </button>
										<a class="btn btn-success btn-view-pdf" href="ClosingDetails"><i class="fa fa-print"></i>Closing Details</a>
										</td>
									</tr>
								<div class="modal fade" id="modal-<?php echo $listR['id']; ?>" role="dialog" aria-labelledby="modalLabelsuccess">
									<div class="modal-dialog" role="document">
										<div class="modal-content">
											<div class="modal-header bg-success">
												<h4 class="modal-title text-white" id="modalLabelsuccess">Cashier Closing</h4>
											</div>
												<div class="modal-body" style="padding-top:0;">
											
											<form method="post" action="process/SaveExpense">
												<input type="hidden" name="expense_check" value="true" />
												
												<div class="row">
												
													<div class="col-lg-4 input_field_sections">
														<h5>From Owner <span class="label_desc"></span></h5>
														<input type="number" class="form-control" name="owner" autocomplete="off" />
													</div> 
													<div class="col-lg-4 input_field_sections">
														<h5>From Office <span class="label_desc"></span></h5>
														<input type="number" class="form-control" name="hr" autocomplete="off" />
													</div>
													<div class="col-lg-4 input_field_sections">
														<h5>Locker <span class="label_desc"></span></h5>
														<input type="number" class="form-control" name="locker" autocomplete="off" />
													</div>													
												</div>
												<div class="row">
                                                    <div class="col-lg-4 input_field_sections">
                                                        <h5>Post Date <span class="label_desc">(Required)</span></h5>
                                                        <input autocomplete="off" type="date" class="form-control" name="post_date" value="" required />
                                                    </div>												
													<div class="col-lg-4 input_field_sections">
														<h5>Given To Purchaser <span class="label_desc"></span></h5>
														<input type="number" class="form-control" name="given" autocomplete="off" />
													</div> 
													<div class="col-lg-4 input_field_sections">
														<h5>Exp From Till <span class="label_desc"></span></h5>
														<input type="number" class="form-control" name="till" autocomplete="off" />
													</div>
												</div>
												<div class="row">
                                                <div class="col-lg-4 input_field_sections">
                                                    <h5>id_emp <span class="label_desc"></span></h5>
                                                    <select class="form-control" name="id_emp" id="id_emp_select">
                                                        <option value="0">0 - None</option>
                                                        <?php
                                                        $result = Run($conn,"select id_emp, name from tbl_employees where status='Active' order by id_emp asc");
                                                        while($row = GetRow($result)) {
                                                            echo "<option value='{$row['id_emp']}' data-id='{$row['id_emp']}'>{$row['id_emp']} - {$row['name']}</option>";
                                                        }
                                                        ?>
                                                    </select>
                                                </div>

                                                <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
                                                <script type="text/javascript">
                                                    $(document).ready(function() {
                                                        $('#id_emp_select').change(function() {
                                                            var id_emp = $('option:selected', this).data('id');
                                                            if(id_emp == undefined) id_emp = '0';
                                                            $(this).find('option:selected').text(id_emp);
                                                        });

                                                        $('#id_emp_select').focus(function() {
                                                            <?php
                                                            $result = Run($conn,"select id_emp, name from tbl_employees order by id_emp asc");
                                                            while($row = GetRow($result)) {
                                                                echo "$('#id_emp_select').find('option[value=\"{$row['id_emp']}\"]').text('{$row['id_emp']} - {$row['name']}');";
                                                            }
                                                            ?>
                                                            $('#id_emp_select').find('option[value="0"]').text('0 - None');
                                                        });
                                                    });
                                                </script>

                                                <div class="col-lg-4 input_field_sections">
                                                    <h5>Staf Food & Advance <span class="label_desc"></span></h5>
                                                    <input type="number" class="form-control" name="advance" autocomplete="off"   />
                                                </div>
                                                <div class="col-lg-4 input_field_sections">
                                                    <h5>Cash in Hand <span class="label_desc"></span></h5>
                                                    <input type="number" class="form-control" name="hand" autocomplete="off"  />
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-lg-6 input_field_sections">
                                                    <h5>Purchaser <span class="label_desc"></span></h5>
                                                    <input type="number" class="form-control" name="purchase" autocomplete="off" />
                                                </div>
                                                <div class="col-lg-6 input_field_sections">
                                                    <h5>Tip <span class="label_desc"></span></h5>
                                                    <input type="number" class="form-control" name="tip" autocomplete="off"  />
                                                </div>
                                            </div>


                                            <!--<P>Please note: <br /><strong>Debit: </strong>Paid  <strong> and Credit:</strong> Refunded </P>-->
                                            </div>

                                            <div class="modal-footer">
                                                <button type="submit" class="btn btn-success">Save</button>
                                                <button class="btn  btn-warning" data-dismiss="modal">Cancel</button>
                                            </div>
                                            </form>
                                        </div>
                                    </div>
                                </div>
                                <?php } ?>
                                </tbody>
								<div style="text-align: right; margin-bottom: .1in;">
                                    <a class="btn btn-success btn-view-pdf" href="CashDetails"><i class="fa fa-print"></i>Closing Details</a>
                                </div>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<?php include 'Footer.php'; ?>
<?php if(getValue('wc') == 1){?>
<script>
window.onload = function() {
        PNotify.desktop.permission();
        new PNotify({
            title: 'Success',
            text: 'A new expense category has been added into your software, Hope this expense category give you more benefit.',
            type: 'success',
            desktop: {
                desktop: true
            }
        }).get().on("click",function (e) {
            if ($('.ui-pnotify-closer, .ui-pnotify-sticker, .ui-pnotify-closer *, .ui-pnotify-sticker *').is(e.target))
                return; 
        });
        return false;
    };
</script>
<?php } ?>