<?php 

require_once('sessionp.php');
require_once('includes/connection.php');
require_once('includes/functions.php');  

$register_date = date("Y-m-d");
$reg_date_check = getValue('reg_date_check');
if($reg_date_check == 'true')
{
	$register_date = getValue('register_date'); 
}
$businessDay =  date('l jS \of F Y', strtotime($register_date)); 	

$del = getValue('del');
if($del != '' && $del > 1){
Run($conn,"delete from `tbl_expenses` where `post_date` = '$del'");
Run($conn,"delete from `tbl_sales` where `post_date` = '$del'");
Run($conn,"delete from `tbl_sales_items` where `post_date` = '$del'");

redirect_to('index','success','delete');
}

$page		= 'home';
$module	 	= 'dashboard';
$pageTitle 	= $businessDay;
$pageRole  	= 'table';

include 'MasterTop.php';
include 'Top.php';
include 'SideBar.php';

?>
<style>
    .buttons-print {
        border: 1px solid #d1d1d1;
        padding: 5px 10px;
        border-radius: 3px;
        background: #f6f6f6;
        transition: all 0.3s;
        font-weight: 600;
        cursor: pointer;
        text-transform: uppercase;
        font-size: 0.9em;
    }

    .buttons-print:hover {
        background: #e1e1e1;
    }

    .flex-container {
        display: flex;
        justify-content: space-between;
        flex-wrap: wrap;
    }

    .flex-item {
        width: 48%;
        margin-bottom: 20px;
    }

    .adv-btn {
        padding: 10px 20px;
        border: none;
        border-radius: 20px;
        transition: all 0.4s cubic-bezier(0.68, -0.55, 0.27, 1.55);
        font-weight: 600;
        margin-right: 15px;
        cursor: pointer;
        text-transform: uppercase;
        font-size: 0.9em;
        box-shadow: 0px 5px 15px rgba(0, 0, 0, 0.1);
        position: relative;
        overflow: hidden;
        z-index: 1;
        letter-spacing: 1px;
    }

    .adv-btn::before {
        content: "";
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background-color: rgba(255, 255, 255, 0.1);
        z-index: 2;
        transition: all 0.4s;
    }

    .adv-btn:hover::before {
        top: -100%;
    }

    .adv-btn-primary {
        background: linear-gradient(45deg, #0057a6, #007BFF);
        color: white;
    }

    .adv-btn-success {
        background: linear-gradient(45deg, #208d36, #28A745);
        color: white;
    }

    .adv-btn:hover {
        transform: translateY(-3px);
        box-shadow: 0px 7px 20px rgba(0, 0, 0, 0.2);
    }

    /* Adding a gradient border effect */
    .adv-btn-primary, .adv-btn-success {
        position: relative;
        z-index: 0;
        overflow: hidden;
    }

    .adv-btn-primary::after, .adv-btn-success::after {
        content: '';
        position: absolute;
        top: 0;
        right: 0;
        bottom: 0;
        left: 0;
        z-index: -1;
        margin: -2px;
        border-radius: inherit;
        background: linear-gradient(white, white),
                    linear-gradient(45deg, #0057a6, #007BFF);
        background-clip: padding-box, border-box;
    }

    .adv-btn-success::after {
        background: linear-gradient(white, white),
                    linear-gradient(45deg, #208d36, #28A745);
    }

</style>
<div id="content" class="bg-container">
    <?php include 'Header.php'; ?>
    <div class="outer">
        <div class="inner bg-light lter bg-container">
            <div class="row">
                <div class="flex-container">
                    <div class="flex-item">
                        <div class="card">
                            <div class="card-header bg-white"> Sale Summary </div>
                            <div class="card-block">
                                <div class="row">
                                    <div class="col-lg-12" style="padding:10px;">
                                        <table class="table table-bordered table-hover">
                                            <tbody>
                                                <tr>
                                                    <td style="text-align:right;" width="50%">Total Net Sales</td>
                                                    <td>
                                                        <?php  
                                                            $grandSaleR  = GetRow(Run($conn,"select sum(total_amount) as grand_sale, sum(tax_amount) as grand_tax , sum(delivery_charges) as grand_delivery, sum(service_charges) as grand_service, sum(discount) as grand_discount, sum(grand_total) as grand_grand, sum(amount_received) as grand_received from tbl_sales where status=1 and post_date = '$register_date' "));
                                                            $grandSale   = $grandSaleR['grand_sale'];
                                                            echo number_format($grandSale); 
                                                        ?>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td style="text-align:right;">GST (Rs)</td>
                                                    <td>
                                                        <?php  
                                                            $grandTax   = $grandSaleR['grand_tax'];
                                                            echo number_format($grandTax);
                                                        ?>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td style="text-align:right;">GST 15% (Rs)</td>
                                                    <td>
                                                        <?php  
                                                            $grandTax15   = $grandSaleR['grand_service'];
                                                            echo number_format($grandTax15);
                                                        ?>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td style="text-align:right;">GST 5% (Rs)</td>
                                                    <td>
                                                        <?php  
                                                            $grandTax5   = $grandSaleR['grand_discount'];
                                                            echo number_format($grandTax5);
                                                        ?>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td style="text-align:right;">Discount (Rs)</td>
                                                    <td>
                                                        <?php  
                                                            $grandDelivery   = $grandSaleR['grand_delivery'];
                                                            echo number_format($grandDelivery);
                                                        ?>
                                                    </td>
                                                </tr>
                                                <tr style="font-size: 16px;">
                                                    <th style="text-align:right;">Grand Total</th>
                                                    <th>
                                                        <?php  
                                                            $grandGrand   = $grandSaleR['grand_sale']+$grandSaleR['grand_tax']-$grandSaleR['grand_delivery']+$grandTax15+$grandTax5;
                                                            echo number_format($grandGrand);
                                                        ?>
                                                    </th>
                                                </tr>
                                                <tr style="font-size: 16px;">
                                                    <th style="text-align:right;">Cash</th>
                                                    <th>
                                                        <?php 
                                                            $grandReceived   = $grandSaleR['grand_received']; 
                                                            $customersBalance   = $grandGrand - $grandReceived;
                                                            echo number_format($customersBalance);
                                                        ?>
                                                    </th>
                                                </tr>
                                                <tr style="font-size: 16px;">
                                                    <th style="text-align:right;">Bank</th>
                                                    <th>
                                                        <?php  
                                                            echo number_format($grandReceived);
                                                        ?>
                                                    </th>
                                                </tr> 
                                                <tr>
                                                    <td colspan="2"> &nbsp; </td> 
                                                </tr>
                                                <tr style="font-size: 16px;">
                                                    <th style="text-align:right;">Actual Cash:</th>
                                                    <th>
                                                        <?php  
                                                            $Cashier  = GetRow(Run($conn,"select sum(owner) as grand_owner, sum(hr) as grand_hr , sum(given) as grand_given, sum(till) as grand_till, sum(advance) as grand_advance, sum(hand) as grand_hand, sum(purchase) as grand_purchase, sum(tip) as grand_tip from tbl_expenses where status=1 and post_date = '$register_date' "));
                                                            $grandhand = $Cashier['grand_hand']; 
                                                            echo number_format($grandhand);
                                                        ?>
                                                    </th>
                                                </tr>
                                                <tr style="font-size: 16px;">
                                                    <th colspan="2">
                                                        <a target="$register_date" href="printDashboard?register_date=<?php echo $register_date;?>&preg_date_check=<?php echo $reg_date_check;?>" class="adv-btn adv-btn-primary" title="Print">
                                                            <i class="fa fa-print"></i> Print
                                                        </a>
                                                        <a target="$register_date" href="printDashboardExp?register_date=<?php echo $register_date;?>&preg_date_check=<?php echo $reg_date_check;?>" class="adv-btn adv-btn-primary" title="Print">
                                                            <i class="fa fa-print"></i> Print Exp
                                                        </a>
                                                        <a target="$register_date" href="CashDetails" class="adv-btn adv-btn-primary" title="Print">
                                                            <i class="fa fa-print"></i> Cash
                                                        </a>
                                                        <a target="$register_date" href="ClosingFormate?register_date=<?php echo $register_date;?>&preg_date_check=<?php echo $reg_date_check;?>" class="adv-btn adv-btn-primary" title="Print">
                                                            <i class="fa fa-print"></i> Daily Closing 
                                                        </a>														
                                                    </th>
                                                </tr>
                                            </tbody>
                                        </table> 
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
	            		<?php 
                			if($user_type == '1' || $user_type == '4'){
                			$saleR = GetRow(Run($conn,"select sum(quantity_sold) as sale_quantity, sum(total_sale_price) as sale_amount from tbl_sales_items where  type = '0' and status = '1' and  post_date = '$register_date'"));
 
                            $sale_quantity = $saleR['sale_quantity'];
                            $sale_amount   = $saleR['sale_amount'];

                            $cancelR = GetRow(Run($conn,"select sum(quantity_sold) as cancel_quantity, sum(total_sale_price) as cancel_amount from tbl_sales_items where  type = '0' and status = '0' and kitchen_print = '1' and post_date = '$register_date'"));
 
                            $cancel_quantity = $cancelR['cancel_quantity'];
                            $cancel_amount   = $cancelR['cancel_amount'];
	             		?>										
                    <div class="flex-item">
                        <div class="card">
                            <div class="card-header bg-white"> Cashier Closing </div>
                            <div class="card-block">
                                <div class="row">
                                    <div class="col-lg-12" style="padding:10px;">
                                        <table class="table table-bordered table-hover">
                                            <tbody>
											    <tr>
                                                    <td style="text-align:right; width:50%;">From Office</td>
                                                    <td width="50%">
                                                        <?php
                                                        $Cashier = GetRow(Run($conn, "select sum(owner) as grand_owner, sum(hr) as grand_hr, sum(given) as grand_given, sum(till) as grand_till, sum(advance) as grand_advance, sum(hand) as grand_hand, sum(purchase) as grand_purchase, sum(tip) as grand_tip from tbl_expenses where status=1 and post_date = '$register_date' "));
                                                        $grandHR = $Cashier['grand_hr'];
                                                        $grandgiven = $Cashier['grand_given'];
                                                        $grandtill = $Cashier['grand_till'];
                                                        $grandadvance = $Cashier['grand_advance'];
                                                        $grandhand = $Cashier['grand_hand'];  
                                                        $grandtip = $Cashier['grand_tip'];  
                                                        $grandpurchse = $Cashier['grand_purchase'];  
                                                        echo number_format($grandHR);                                                            
                                                        ?>
                                                    </td>
                                                </tr>
                                                
                                                <tr>
                                                    <td style="text-align:right;" width="50%">Sale</td>
                                                    <td width="50%">
                                                        <?php
                                                        $grandSaleR = GetRow(Run($conn, "select sum(total_amount) as grand_sale, sum(tax_amount) as grand_tax, sum(delivery_charges) as grand_delivery, sum(service_charges) as grand_service, sum(discount) as grand_discount, sum(grand_total) as grand_grand, sum(amount_received) as grand_received from tbl_sales where status=1 and post_date = '$register_date' "));
                                                        $grandGrand = $grandSaleR['grand_sale'] + $grandSaleR['grand_tax'] - $grandSaleR['grand_delivery'] + $grandSaleR['grand_service'] + $grandSaleR['grand_discount'];
                                                        $grandBank = $grandSaleR['grand_received'];                                
                                                        echo number_format($grandGrand);
                                                        ?>
                                                    </td>
                                                </tr>

                                                <tr style="font-size: 16px;">
                                                    <th style="width: 3in; text-align:right;">Total<small>(From Office+Net Sale)</small></th>
                                                    <th style="width: 3in;">
                                                        <?php
                                                        echo number_format($grandGrand+$grandHR);
                                                        ?>
                                                    </th>
                                                </tr>                                               
                                                
                                                <tr>
                                                    <td style="text-align:right;" width="50%">Given To Purchaser</td>
                                                    <td width="50%">
                                                        <?php                            
                                                        echo number_format($grandgiven);
                                                        ?>
                                                    </td>
                                                </tr>
                                                
                                                <tr>
                                                    <td style="text-align:right;" width="50%">Exp From Till</td>
                                                    <td width="50%">
                                                        <?php
                                                        echo number_format($grandtill);
                                                        ?>
                                                    </td>
                                                 </tr>
                                                 
                                                <tr>
                                                    <td style="text-align:right;" width="50%">Staf Food Bills/Advance</td>
                                                    <td width="50%">
                                                        <?php
                                                        echo number_format($grandadvance);
                                                        ?>
                                                    </td>
                                                </tr>
                                                
                                                <tr>
                                                    <td style="text-align:right;" width="50%">Cash</td>
                                                    <td width="50%">
                                                        <?php
                                                        echo number_format($grandhand);
                                                        ?>
                                                    </td>
                                                </tr>

                                                <tr>
                                                    <td style="text-align:right;" width="50%">Bank</td>
                                                    <td width="50%">
                                                        <?php
                                                        echo number_format($grandBank);
                                                        ?>
                                                    </td>
                                                </tr>

                                                <tr style="font-size: 16px;">
                                                    <th style="width: 3in; text-align:right; color: <?php echo ($grandGrand + $grandHR - $grandgiven - $grandtill - $grandadvance - $grandhand - $grandBank <= 0) ? 'blue' : 'red'; ?>">Balance</th>
                                                    <th width="50%" style="color: <?php echo ($grandGrand + $grandHR - $grandgiven - $grandtill - $grandadvance - $grandhand - $grandBank <= 0) ? 'blue' : 'red'; ?>">
                                                        <?php 
														echo number_format($grandGrand + $grandHR - $grandgiven - $grandtill - $grandadvance - $grandhand - $grandBank); ?>
                                                    </th>
                                                </tr>

                                                <tr style="font-size: 16px;">
                                                    <th style="width: 3in; text-align:right;">Tip</th>
                                                    <th style="text-align:Left;" width="50%"><?php
                                                        $Cashier  = GetRow(Run($conn,"select sum(owner) as grand_owner, sum(hr) as grand_hr , sum(given) as grand_given, sum(till) as grand_till, sum(advance) as grand_advance, sum(hand) as grand_hand, sum(purchase) as grand_purchase, sum(tip) as grand_tip from tbl_expenses where status=1 and post_date = '$register_date' "));
                                                        $grandtip = $Cashier['grand_tip'];
                                                        echo number_format($grandtip);
                                                        ?></th>
                                                </tr>
                                                <tr style="font-size: 16px;">
                                                    <th>
                                                        <a target="$register_date" href="printCash?register_date=<?php echo $register_date;?>" class="adv-btn adv-btn-primary" title="Print">
                                                            <i class="fa fa-print"></i> Print
                                                        </a>
                                                        <a target="$register_date" href="printPDF?register_date=<?php echo $register_date;?>&preg_date_check=<?php echo $reg_date_check;?>" class="adv-btn adv-btn-success" title="Print">
                                                            <i class="fa fa-print"></i> Save PDF
                                                        </a>
														<a href="index?del=<?php echo $register_date; ?>" class="btn btn-raised btn-danger btn-sm md-trigger adv_cust_mod_btn">  Delete </a>
                                                    </th>
                                                </tr>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="flex-item">
                        <div class="card">
                            <div class="card-header bg-white"> Petty Cash From Start  </div>
                            <div class="card-block">
                                <div class="row">
                                    <div class="col-lg-12" style="padding:10px;">  
                                        <table class="table table-bordered table-hover" >
                                            <tbody>
                                                <tr>
                                                    <td style="text-align:right;" width="50%">Net Sales Including GST</td>
                                                    <td><?php  
                                                        $grandSaleR  = GetRow(Run($conn,"select sum(total_amount) as grand_sale, sum(tax_amount) as grand_tax , sum(delivery_charges) as grand_delivery, sum(service_charges) as grand_service, sum(discount) as grand_discount, sum(grand_total) as grand_grand, sum(amount_received) as grand_received    from tbl_sales where status=1"));
                                                        $grandSale   = $grandSaleR['grand_sale'];
                                                        $grandTax   = $grandSaleR['grand_tax'];// Old GST 
                                                        $grandTax15   = $grandSaleR['grand_service'];//GST 15%
                                                        $grandTax5   = $grandSaleR['grand_discount'];//GST 5%
                                                        $grandDelivery   = $grandSaleR['grand_delivery'];//DISCOUNT
                                                        $grandGrand   = $grandSale+$grandTax+$grandTax15+$grandTax5-$grandDelivery ; //Net Sale Including GST
                                                        echo number_format($grandGrand); 
                                                    ?></td>
                                                </tr>
                                                <tr>
                                                    <td style="text-align:right;">Received From Owner</td>
                                                    <td><?php
                                                        $Petty  = GetRow(Run($conn,"select sum(owner) as grand_owner, sum(hr) as grand_hr , sum(given) as grand_given, sum(till) as grand_till, sum(advance) as grand_advance, sum(hand) as grand_hand, sum(purchase) as grand_purchase, sum(tip) as grand_tip from tbl_expenses where status=1"));												
                                                        $grandowner1 = $Petty['grand_owner']; 
                                                        echo number_format($grandowner1);
                                                    ?></td>
                                                </tr>
                                                <tr style="font-size: 16px;" >
                                                    <th style="text-align:right;">Grand Total</th>
                                                    <th><?php  
                                                        $grandTotal   = ($grandGrand)+($grandowner1);
                                                        echo number_format($grandTotal);
                                                    ?></th>
                                                </tr>
                                                <tr>
                                                    <td style="text-align:right;">Bank Account</td>
                                                    <td><?php
                                                        $grandBan = $grandSaleR['grand_received'];
                                                        echo number_format($grandBan);
                                                    ?></td>
                                                </tr>
                                                <tr>
                                                    <td style="text-align:right;">Paid Total Exp</td>
                                                    <td><?php
                                                        $Exp  = GetRow(Run($conn,"select sum(dr) as grand_Exp from tbl_sup_payments where status=1"));												
                                                        $grandExp1 = $Exp['grand_Exp']; 
                                                        echo number_format($grandExp1);
                                                    ?></td>
                                                </tr>
                                                <tr style="font-size: 16px;" >
                                                    <th style="text-align:right;">Petty Cash</th>
                                                    <th><?php  
                                                        $grandbalance   = ($grandTotal)-($grandBan)-($grandExp1);
                                                        echo number_format($grandbalance);
                                                    ?></th>
                                                </tr>
                                                <tr>
                                                    <td style="text-align:right;">Staf Food Bills and Advance</td>
                                                    <th><?php  
                                                        $Cashier  = GetRow(Run($conn,"select sum(owner) as grand_owner, sum(hr) as grand_hr ,sum(locker) as grand_locker, sum(given) as grand_given, sum(till) as grand_till, sum(advance) as grand_advance, sum(hand) as grand_hand, sum(purchase) as grand_purchase, sum(tip) as grand_tip from tbl_expenses where status=1  "));
                                                        $grandadvance = $Cashier['grand_advance'];
                                                        $grandlocker = $Cashier['grand_locker'];			
                                                        echo number_format($grandadvance);
                                                    ?></th>
                                                </tr>										
                                                <tr>
                                                    <td style="text-align:right;">Exp From Till</td>
                                                    <th><?php  
                                                        $Cashier  = GetRow(Run($conn,"select sum(owner) as grand_owner, sum(hr) as grand_hr , sum(given) as grand_given, sum(till) as grand_till, sum(advance) as grand_advance, sum(hand) as grand_hand, sum(purchase) as grand_purchase, sum(tip) as grand_tip from tbl_expenses where status=1 and post_date = '$register_date' "));
                                                        $grandtill = $Cashier['grand_till']; 
                                                        echo number_format($grandtill);
                                                    ?></th>
                                                </tr>
                                                <tr>
                                                    <td style="text-align:right;">Given To Purchaser</td>
                                                    <th><?php  
                                                        $Purchaser  = GetRow(Run($conn,"select sum(owner) as grand_owner, sum(hr) as grand_hr , sum(given) as grand_given, sum(till) as grand_till, sum(advance) as grand_advance, sum(hand) as grand_hand, sum(purchase) as grand_purchase, sum(tip) as grand_tip from tbl_expenses where status=1 and post_date = '$register_date' "));
                                                        $grandPurchaser = $Cashier['grand_purchase']; 
                                                        echo number_format($grandPurchaser);
                                                    ?></th>
                                                </tr>											
                                                <tr style="font-size: 16px;" >
                                                    <th style="text-align:right;">Cash in hand</th>
                                                    <th><?php  
                                                        $grandbalanc   = ($grandTotal)-($grandPurchaser)-($grandExp1)-($grandtill)-($grandadvance)-($grandBan);
                                                        echo number_format($grandbalanc);
                                                    ?></th>
                                                </tr>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="flex-item">
                        <div class="card">
                            <div class="card-header bg-white"> Petty Cash </div>
                            <div class="card-block">
                                <div class="row">
                                    <div class="col-lg-12" style="padding:10px;">  
                                        <table class="table table-bordered table-hover" >
                                            <tbody>
                                                <tr  style="font-size: 20px;">
                                                    <td style="text-align:right;" width="50%">Opening Cash</td>
                                                    <td><?php  
                                                        $grandSaleR2             = GetRow(Run($conn,"select sum(total_amount) as grand_sale, sum(tax_amount) as grand_tax , sum(delivery_charges) as grand_delivery, sum(service_charges) as grand_service, sum(discount) as grand_discount, sum(grand_total) as grand_grand, sum(amount_received) as grand_received from tbl_sales where status=1 and post_date < '$register_date' "));
                                                        $grandBank2              = $grandSaleR2['grand_received'];
                                                        $grandSale2              = $grandSaleR2['grand_sale'];
                                                        $grandTax2               = $grandSaleR2['grand_tax'];// Old GST 
                                                        $grandTax152             = $grandSaleR2['grand_service'];//GST 15%
                                                        $grandTax52              = $grandSaleR2['grand_discount'];//GST 5%
                                                        $grandDelivery2          = $grandSaleR2['grand_delivery'];//DISCOUNT
                                                        $grandGrand2             = $grandSale2+$grandTax2+$grandTax152+$grandTax52-$grandDelivery2-$grandBank2; //Net Sale Including GST

                                                        $Exp2                    = GetRow(Run($conn,"select sum(dr) as grand_Exp from tbl_sup_payments where status=1 and post_date < '$register_date' "));												
                                                        $grandExp12              = $Exp2['grand_Exp'];

                                                        $Cashier2                = GetRow(Run($conn,"select sum(owner) as grand_owner, sum(hr) as grand_hr ,sum(locker) as grand_locker, sum(given) as grand_given, sum(till) as grand_till, sum(advance) as grand_advance, sum(hand) as grand_hand, sum(purchase) as grand_purchase, sum(tip) as grand_tip from tbl_expenses where status=1 and post_date < '$register_date'"));
                                                        $grandadvance2           = $Cashier2['grand_advance'];
                                                        $grandOwner2             = $Cashier2['grand_owner'];

                                                        $grandPettCash2          = $grandGrand2+$grandOwner2-$grandExp12-$grandadvance2; 

                                                        echo number_format($grandPettCash2);?>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td style="text-align:right;" width="50%">Sale</td>
                                                    <td><?php  
                                                        $grandSaleR3             = GetRow(Run($conn,"select sum(total_amount) as grand_sale, sum(tax_amount) as grand_tax , sum(delivery_charges) as grand_delivery, sum(service_charges) as grand_service, sum(discount) as grand_discount, sum(grand_total) as grand_grand, sum(amount_received) as grand_received from tbl_sales where status=1 and post_date = '$register_date' "));
                                                        $grandBank3              = $grandSaleR3['grand_received'];
                                                        $grandSale3              = $grandSaleR3['grand_sale'];
                                                        $grandTax3               = $grandSaleR3['grand_tax'];// Old GST 
                                                        $grandTax153             = $grandSaleR3['grand_service'];//GST 15%
                                                        $grandTax53              = $grandSaleR3['grand_discount'];//GST 5%
                                                        $grandDelivery3          = $grandSaleR3['grand_delivery'];//DISCOUNT
                                                        $grandGrand3             = $grandSale3+$grandTax3+$grandTax153+$grandTax53-$grandDelivery3; //Net Sale Including GST

                                                        echo number_format($grandGrand3);?>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td style="text-align:right;" width="50%">Received From Owner</td>
                                                    <td><?php  
                                                        $Cashier4                = GetRow(Run($conn,"select sum(owner) as grand_owner, sum(hr) as grand_hr ,sum(locker) as grand_locker, sum(given) as grand_given, sum(till) as grand_till, sum(advance) as grand_advance, sum(hand) as grand_hand, sum(purchase) as grand_purchase, sum(tip) as grand_tip from tbl_expenses where status=1 and post_date = '$register_date'"));
                                                        $grandadvance4           = $Cashier4['grand_advance'];
                                                        $grandOwner4             = $Cashier4['grand_owner'];
                                                        $grandTill4              = $Cashier4['grand_till'];	
                                                        $grandPurchaser4         = $Cashier4['grand_purchase'];			

                                                        echo number_format($grandOwner4);?>
                                                    </td>
                                                </tr>
                                                <tr  style="font-size: 20px;">
                                                    <td style="text-align:right;" width="50%">Total</td>
                                                    <td><?php  			
                                                        $grandPettCash5          =$grandPettCash2+$grandGrand3+$grandOwner4; 

                                                        echo number_format($grandPettCash5);?>
                                                    </td>
                                                </tr>											
                                                <tr>
                                                    <td style="text-align:right;" width="50%">Bank Transaction</td>
                                                    <td><?php  
                                                        $grandSaleR6             = GetRow(Run($conn,"select sum(total_amount) as grand_sale, sum(tax_amount) as grand_tax , sum(delivery_charges) as grand_delivery, sum(service_charges) as grand_service, sum(discount) as grand_discount, sum(grand_total) as grand_grand, sum(amount_received) as grand_received from tbl_sales where status=1 and post_date = '$register_date' "));
                                                        $grandBank6              = $grandSaleR6['grand_received'];

                                                        echo number_format($grandBank6);?>
                                                    </td>
                                                </tr>	
                                                <tr>
                                                    <td style="text-align:right;" width="50%">Exp</td>
                                                    <td><?php  
                                                        $Exp7                    = GetRow(Run($conn,"select sum(dr) as grand_Exp from tbl_sup_payments where status=1 and post_date = '$register_date' "));												
                                                        $grandExp17              = $Exp7['grand_Exp'];

                                                        echo number_format($grandExp17);?>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td style="text-align:right;" width="50%">Staf Food Bills and Advance</td>
                                                    <td><?php  
                                                        echo number_format($grandadvance4);?>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td style="text-align:right;" width="50%">Exp From Till</td>
                                                    <td><?php  
                                                        echo number_format($grandTill4);?>
                                                    </td>
                                                </tr>	
                                                <tr>
                                                    <td style="text-align:right;" width="50%">Given To Purchaser</td>
                                                    <td><?php  
                                                        echo number_format($grandPurchaser4);?>
                                                    </td>
                                                </tr>
                                                <tr  style="font-size: 20px;">
                                                    <td style="text-align:right;" width="50%">Closing Cash</td>
                                                    <td><?php  			
                                                        $grandPettCash8=$grandPettCash2+$grandGrand3+$grandOwner4-$grandBank6-$grandExp17-$grandadvance4-$grandTill4-$grandPurchaser4; 

                                                        echo number_format($grandPettCash8);?>
                                                    </td>
                                                </tr>											
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <?php } ?> 
        <!-- /.inner --> 
    </div>
    <!-- /.outer --> 
</div>
<?php include 'Footer.php'; ?>

