<?php 

$page		  = 'item';

require_once('sessionp.php');
require_once('checkAccountsSession.php');

require_once('includes/connection.php');
require_once('includes/functions.php');

$ID	         = $_GET['id']; 
$listR       = GetRow(Run($conn,"select * from tbl_items where status = '1' and id = $ID"));

$module		 = 'stock';
$pageTitle 	 = $listR['title'].'- BalanceQTY '.$listR['updated_Stock']; 
$pageRole  	 = 'table';

include 'MasterTop.php';
include 'Top.php';
include 'SideBar.php';
?>
<style>
.buttons-print {
    border: 1px solid #b2b2b2;
    padding: 3px 7px;
    border-radius: 3px;
    background: linear-gradient(135deg, #6A82FB, #FC5C7D);
    color: white;
}

.btn-success {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    position: relative;
    overflow: hidden;
    transition: box-shadow .3s;
    box-shadow: 0 8px 20px rgba(0, 0, 0, 0.12);
    color: white;
    background: linear-gradient(135deg, #8E2DE2, #4A00E0);
    border: none;
    padding: 6px 12px;
    border-radius: 50px 50px 0 50px;
    font-weight: 600;
}

.btn-success::after {
    content: "";
    position: absolute;
    top: -100%;
    left: -100%;
    width: 200%;
    height: 200%;
    z-index: 1;
    background: linear-gradient(135deg, transparent, rgba(255, 255, 255, 0.4), transparent);
    transform: rotate(45deg);
    pointer-events: none;
    transition: top 0.5s, left 0.5s;
}

.btn-success:hover::after {
    top: 100%;
    left: 100%;
}

.btn-success:hover {
    animation: dance 0.5s infinite;
}

@keyframes dance {
    0% { transform: scale(1) rotate(0); }
    20% { transform: scale(1.05) rotate(-5deg); }
    40% { transform: scale(1) rotate(5deg); }
    60% { transform: scale(1.05) rotate(-5deg); }
    80% { transform: scale(1) rotate(5deg); }
    100% { transform: scale(1) rotate(0); }
}
</style>
<script>
    document.addEventListener('DOMContentLoaded', function () {
        let buttons = document.querySelectorAll('.btn-view-pdf, .btn-success');

        buttons.forEach(button => {
            button.addEventListener('click', function () {

                // Remove active class from all buttons
                buttons.forEach(btn => btn.classList.remove('active-btn'));

                // Add active class to the clicked button
                this.classList.add('active-btn');
            });
        });
    });
</script>
<div id="content" class="bg-container">
	<?php include 'Header.php'; ?>
	<div class="outer">
		<div class="inner bg-light lter bg-container">
			<div class="row">
				<div class="col-lg-12" style="margin-bottom:10px;">
					<div class="card">
						<div class="card-header bg-white"> Item Details </div>
						<div class="card-block">
							<div class="row">
								<form method="post" action="process/UpdateItem">
									<input type="hidden" name="bcheck" value="true" />
									<input type="hidden" name="id" value="<?php echo $ID; ?>" />
									<div class="col-lg-3 input_field_sections">
										<h5>Title <span class="label_desc">(Required)</span></h5>
										<input type="text" class="form-control" name="title" value="<?php echo $listR['title']; ?>" required="required" placeholder="Name / Title of product" >
									</div> 
									<div class="col-lg-3 input_field_sections">
										<h5>Unit <span class="label_desc">(Autofill-Required)</span></h5>  
										<input type="text" class="form-control" autocomplete="off" id="autofill_unit" name="unit" list="unit_list" required="required" value="<?php echo showTitle($conn,'tbl_units',$listR['unit']); ?>" >
										<datalist id="unit_list">
											<?php 
											$unitsRS = Run($conn,"select * from tbl_units order by title asc");
											while($unitR = GetRow($unitsRS)){
											?>
											<option><?php echo $unitR['title']; ?></option> 
											<?php } ?> 
										</datalist>
									</div>
									<div class="col-lg-3 input_field_sections">
										<h5>Category <span class="label_desc">(Autofill-Optional)</span></h5>  
										<input type="text" class="form-control" autocomplete="off" id="autofill_cat" name="cat_title" list="cat_list" value="<?php echo showTitle($conn,'tbl_items_cat',$listR['category_id']); ?>" >
										<datalist id="cat_list">
											<?php 
											$categoriesRS = Run($conn,"select * from tbl_items_cat where status = '1' order by title asc");
											while($categoriesR = GetRow($categoriesRS)){
											?>
											<option><?php echo $categoriesR['title']; ?></option> 
											<?php } ?> 
										</datalist>
									</div>
									<div class="col-lg-3 input_field_sections">
										<h5>Section <span class="label_desc">(Autofill-Optional)</span></h5>  
										<input type="text" class="form-control" autocomplete="off" id="autofill_brand"  name="brand_title" list="brand_list" value="<?php echo showTitle($conn,'tbl_brands',$listR['brand_id']); ?>" >
										<datalist id="brand_list">
											<?php 
											$brandsRS = Run($conn,"select * from tbl_brands where status = '1' order by title asc");
											while($brandsR = GetRow($brandsRS)){
											?>
											<option><?php echo $brandsR['title']; ?></option> 
											<?php } ?> 
										</datalist> 
									</div>  
									<div class="col-lg-3 input_field_sections">
										<h5>Mini <span class="label_desc">(Required)</span></h5>
										<input type="Number" class="form-control" name="Mini" value="<?php echo $listR['Mini']; ?>" required="required" placeholder="Name / Title of product" >
									</div> 
									<div class="col-lg-3 input_field_sections">
										<h5>Max <span class="label_desc">(Required)</span></h5>
										<input type="Number" class="form-control" name="Max" value="<?php echo $listR['Max']; ?>" required="required" placeholder="Name / Title of product" >
									</div>
									<div class="col-lg-3 input_field_sections">
										<h5>Supplier <span class="label_desc">(Autofill-Required)</span></h5>
										<input type="text" class="form-control" autocomplete="off" id="autofill_supplier" name="supplier" list="supplier_list" required="required" value="<?php echo $listR['supplier']; ?>" >
										<datalist id="supplier_list">
											<?php 
											$suppliersRS = Run($conn,"select * from tbl_suppliers where status = '1' order by name asc");
											while($suppliersR = GetRow($suppliersRS)){
											?>
											<option><?php echo $suppliersR['name']; ?></option>
											<?php } ?>
										</datalist>
									</div>
									<div class="col-lg-3 input_field_sections">
										<h5>Price Per(Gram/Ml)<span class="label_desc">(Required)</span></h5>
										<input type="Number" class="form-control" name="price" step="any" value="<?php echo $listR['price']; ?>" required="required" placeholder="price" >
									</div>
									<div class="col-lg-12 input_field_sections" >
										<button type="submit" class="btn btn-success">Update</button>
									</div>
								</form>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
 <!--   <div class="col-lg-12" style="margin-bottom:10px;">
		<div class="card">
			<div class="card-header bg-white"> Recipe </div>
			<div class="card-block">
				<div class="row">                  
                    <form method="post" action="add-to-recipe">
                        <input type="hidden" name="bcheck" value="true" />
                        <input type="hidden" name="custom_item_id" value="<?php echo $ID; ?>" />

                        <div class="col-lg-6 input_field_sections">
                            <h5>Product</h5>
                            <select class="form-control chzn-select" name="item_id">
                                <option disabled selected>Choose a Product</option>
                                <?php
                                $productsRS = Run($conn, "select * from tbl_items where status = '1' order by title asc");
                                while ($productsR = GetRow($productsRS)) {
                                    $pid = $productsR['id'];
                                    $tbl_stock_dairyR = GetRow(Run($conn, "select balance_quantity from tbl_stock_dairy where product_id = '$pid' order by id desc limit 1"));
                                    $available_stock = $tbl_stock_dairyR['balance_quantity'];
                                    if ($available_stock > 0) {
                                ?>
                                        <option value="<?php echo $productsR['id']; ?>"> <?php echo $productsR['id'] . ' - ' . $productsR['title']; ?>
                                            <?php if ($productsR['category_id'] != 0) {
                                                echo ' - ' . showTitle($conn, 'tbl_items_cat', $productsR['category_id']);
                                            } ?>
                                            <?php if ($productsR['brand_id'] != 0) {
                                                echo ' - ' . showTitle($conn, 'tbl_brands', $productsR['brand_id']);
                                            } ?>
                                            <?php  echo ' - ' . number_format($available_stock, 3); ?>
                                        </option>
                                        <?php  echo ' - ' . number_format($productsR['price'], 2); ?>
                                <?php }
                                } ?>
                            </select>
                        </div>
                        <div id="pq_div">
                            <div class="col-lg-2 input_field_sections">
                                <h5>Quantity *</h5>
                                <input type="number" id="p_quantity" class="form-control" step="any" name="item_qty" required="required" />
                            </div>
                        </div>
                        <div class="col-lg-2 input_field_sections">
                            <h5>&nbsp;</h5>
                            <button type="submit" class="btn btn-success">Submit</button>
                        </div>
                    </form>

                </div>

                <div class="row">
                    <div class="card-block">
                        <div class="table-responsive m-t-35">
                            <table class="table table-bordered">
                                <thead>
                                    <tr>
                                        <th>#</th>
                                        <th>Item Used</th>
                                        <th>Quantity</th>
                                        <th>Cost</th>
                                        <th>Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php
                                    $i = 1;
                                    $recipeRS = Run($conn, "select * from tbl_recipe where custom_item_id = '$ID' order by id desc");
                                    $recipeRecords = Records($recipeRS);
                                    while ($recipeR = GetRow($recipeRS)) {
                                    ?>
                                        <tr>
                                            <td><?php echo $i; ?></td>
                                            <td><?php echo showTitle($conn, 'tbl_items', $recipeR['item_id']); ?></td>
                                            <td width="15%"><?php echo $recipeR['item_qty']; ?></td>
                                            <td width="15%"><?php
                                                            $productID = $recipeR['item_id'];
                                                            $productStockR = GetRow(Run($conn, "select   balance_cost from tbl_stock_dairy where product_id = '$productID' order by id desc limit 1"));
                                                            echo number_format(($recipeR['item_qty'] * $productStockR['balance_cost']), 2); ?></td>
                                            <td width="18%"> <a class="btn btn-default btn-sm" style="background-color:#F0F0F0; color:#000000;" onclick="return confirm('Are you sure?');" href="deleteRecipe?del=<?php echo $recipeR['id']; ?>&id=<?php echo $ID; ?>"><i class="fa fa-trash"></i> Delete</a></td>
                                        </tr>
                                    <?php $i++;
                                    } ?>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>-->
    <div class="col-lg-12">
        <div class="card m-t-35">
            <div class="card-header bg-white">
                <ul class="nav nav-tabs card-header-tabs float-xs-left">
                    <li class="nav-item"> <a class="nav-link active" href="#stock_tab" data-toggle="tab">Stock Summary</a> </li>
                    <?php ?> <li class="nav-item"> <a class="nav-link" href="#purchases_tab" data-toggle="tab">Purchases</a> </li>
                    <li class="nav-item"> <a class="nav-link" href="#sales_tab" data-toggle="tab">Usage</a> </li> <?php ?>
                </ul>
            </div>
            <div class="card-block">
                <div class="tab-content">
                    <div class="tab-pane active" id="stock_tab">
                        <div class="card-block" style="margin-top:60px;">
                            <table class="table table-striped table-bordered table-hover" id="sample_1">
                                <thead>
                                    <tr>
                                        <th>#</th>
                                        <th>Date</th>
                                        <th colspan="3">Stock In</th>
                                        <th colspan="3">Stock Out</th>
                                        <th colspan="3">Stock Balance</th>
                                        <th>Details</th>
                                    </tr>
                                    <tr>
										<th>#</th>
                                        <th>Date</th>
                                        <th style="text-align:right;">Qantity</th>
                                        <th style="text-align:right;">Rate</th>
                                        <th style="text-align:right;">Worth</th>
                                        <th style="text-align:right;">Qantity</th>
                                        <th style="text-align:right;">Rate</th>
                                        <th style="text-align:right;">Worth</th>
                                        <th style="text-align:right;">Qantity</th>
                                        <th style="text-align:right;">Rate</th>
                                        <th style="text-align:right;">Worth</th>
                                        <th>Details</th>

                                    </tr>
                                </thead>
                                <tbody>
                                    <?php
                                    $i = 1;
                                    $stockDairyRS = Run($conn, "select * from tbl_stock_dairy where product_id = '$ID' and status = '1' order by id desc");
                                    while ($stockDairyR = GetRow($stockDairyRS)) {
                                    ?>
                                        <tr title="<?php echo $stockDairyR['detials']; ?>">
                                            <td><?php echo $i; ?></td>
                                            <td><?php echo $stockDairyR['post_date']; ?></td>
                                            <?php if ($stockDairyR['type'] == 0 || $stockDairyR['type'] == 3) { ?>
                                                <td style="text-align:right;"><?php echo $stockDairyR['in_quantity']; ?></td>
                                                <td style="text-align:right;"><?php echo $stockDairyR['in_cost']; ?></td>
                                                <td style="text-align:right;"><?php echo number_format(($stockDairyR['in_quantity']) * ($stockDairyR['in_cost']), 2); ?></td>
                                                <td style="text-align:right;">-</td>
                                                <td style="text-align:right;">-</td>
                                                <td style="text-align:right;">-</td>
                                            <?php }
                                            if ($stockDairyR['type'] == 1 || $stockDairyR['type'] == 2) { ?>
                                                <td style="text-align:right;">-</td>
                                                <td style="text-align:right;">-</td>
                                                <td style="text-align:right;">-</td>
                                                <td style="text-align:right;"><?php echo $stockDairyR['out_quantity']; ?></td>
                                                <td style="text-align:right;"><?php echo $stockDairyR['out_cost']; ?></td>
                                                <td style="text-align:right;"><?php echo number_format(($stockDairyR['out_quantity']) * ($stockDairyR['out_cost']), 2); ?></td>
                                            <?php }
                                            if ($stockDairyR['type'] == 4) { ?>
                                                <td style="text-align:right;">-</td>
                                                <td style="text-align:right;">-</td>
                                                <td style="text-align:right;">-</td>
                                                <td style="text-align:right;"><?php echo $stockDairyR['out_quantity']; ?></td>
                                                <td style="text-align:right;"><?php echo $stockDairyR['out_cost']; ?></td>
                                                <td style="text-align:right;"><?php echo number_format(($stockDairyR['out_quantity']) * ($stockDairyR['out_cost']), 2); ?></td>
                                            <?php } ?>
                                            <td style="text-align:right;"><?php echo $stockDairyR['balance_quantity']; ?></td>
                                            <td style="text-align:right;"><?php echo $stockDairyR['balance_cost']; ?></td>
                                            <td style="text-align:right;"><?php echo number_format(($stockDairyR['balance_quantity']) * ($stockDairyR['balance_cost']), 2); ?></td>
                                            <td><?php echo $stockDairyR['description']; ?></td>
                                        </tr>
                                    <?php $i++;
                                    } ?>
                                </tbody>
                            </table>
                        </div>
                    </div>
                    
                    <div class="tab-pane" id="purchases_tab">
                        <div class="data_tables">
                            <div class="card-block" style="margin-top:60px;">
                                <table class="table table-striped table-bordered table-hover" id="sample_1" >
                                    <thead>
                                        <tr>
                                            <th>#</th>
                                            <th>Date</th>
                                            <th>ID</th>
                                            <th>Supplier</th>
                                            <th>Quantity</th>
                                            <th>Unit Cost (Rs)</th>
                                            <th>Total Cost (Rs)</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php 
                                        $i = '1';
                                        $purchasesRS = Run($conn,"select * from tbl_pur_items where status = '1' and product_id = '$ID' order by id desc");
                                        while($purchasesR = GetRow($purchasesRS)){
                                        ?>
                                        <tr>
                                            <td><?php echo $i; ?></td>
                                            <td><?php echo $purchasesR['post_date']; ?></td>
                                            <td><a href="purchase?id=<?php echo $purchasesR['bill_id']; ?>" title="view purchase details">
                                            <?php if($purchasesR['type'] == 0){ echo 'Purchase'; } else{ echo 'Return'; }  ?> ID# <?php echo $purchasesR['bill_id']; ?>
                                            </a></td>
                                            <td><a href="supplier?id=<?php echo $purchasesR['supplier_id']; ?>" title="view supplier details"><?php echo showTitle($conn,'tbl_suppliers', $purchasesR['supplier_id']); ?></a></td>
                                            <td>
                                            <?php if($purchasesR['type'] == 0){ echo number_format($purchasesR['quantity'],3); } else{ ?>(<?php echo number_format($purchasesR['quantity'],3); ?>)
                                            <?php } ?></td>
                                            <td>
                                            <?php if($purchasesR['type'] == 0){ echo number_format($purchasesR['unit_cost'],2); } else{ ?>(<?php echo number_format($purchasesR['unit_cost'],2); ?>)
                                            <?php } ?>
                                            </td>
                                            <td>
                                            <?php if($purchasesR['type'] == 0){ echo number_format($purchasesR['total_cost'],2); } else{ ?>(<?php echo number_format($purchasesR['total_cost'],2); ?>)
                                            <?php } ?>
                                            </td>
                                        </tr>
                                        <?php $i++; } ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                    <div class="tab-pane" id="sales_tab">
                        <div class="card-block" style="margin-top:60px;">
                            <table class="table table-striped table-bordered table-hover" id="sample_1">
                                <thead>
                                    <tr>
                                        <th>#</th>
                                        <th>Product</th>
                                        <th>Qty</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php 
                                        $i = '1';
                                        $salesRS = Run($conn,"select * from tbl_recipe where item_id = '$ID' order by id desc");
                                        while($salesR = GetRow($salesRS)){
                                    ?>
                                    <tr>
                                        <td><?php echo $i; ?></td>
                                        <td><?php echo showTitle($conn,'tbl_products',$salesR['product_id']); ?></td>
                                        <td><?php echo $salesR['item_qty']; ?></td>
                                    </tr>
                                    <?php $i++; } ?>
                                </tbody>
                            </table>
                        </div>
                    </div> <?php ?>
                </div>
            </div>
        </div>
    </div>
</div>
<?php include 'Footer.php'; ?>
