<?php 
$page		= 'itemReport';

require_once('sessionp.php');
require_once('includes/connection.php');
require_once('includes/functions.php');

$start_day   = '01';
$start_month = date("m");
$start_year  = date("Y");
$start_date = $start_year.'-'.$start_month.'-'.$start_day;
$end_date   = date("Y-m-d");
$date_check = getValue('date_check');
if($date_check == 'true')
	{
		$start_date = getValue('date_from');
		$end_date   = getValue('date_to');
	}
$register_date = date("Y-m-d");
$reg_date_check = getValue('reg_date_check');
if($reg_date_check == 'true')
	{
		$register_date = getValue('register_date'); 
	}


$module	     = 'reports';
$range 	     = 'true';
$pageTitle   = 'Report ('.$start_date.' to '.$end_date.')';
$pageRole    = 'table';
$reportRS    = Run($conn,"SELECT DISTINCT product_id, category_id, brand_id,  unit
FROM tbl_pur_items
WHERE status = '1' and post_date >= '$start_date' and post_date <= '$end_date'");

include 'MasterTop.php';
include 'Top.php';
include 'SideBar.php'; 

$pageTitle = 'Items Report';
  
?>
<style>
.buttons-print {
	border: 1px solid;
	padding: 5px 10px;
	border-radius: 3px;
}
</style>
<div id="content" class="bg-container">
    <?php include 'Header.php'; ?>

    <div class="outer">
        <div class="inner bg-light lter bg-container">
            <div class="row">
                <div class="col-xs-12 data_tables"> 
                    <!-- BEGIN EXAMPLE1 TABLE PORTLET-->
                    <div class="card">
                        <div class="card-block" style="margin-top:60px;">
                            <table class="table table-striped table-bordered table-hover" id="sample_1">
                                <thead> 
                                    <tr>
                                        <th>#</th>
                                        <th>Item</th>
                                        <th>I. Category</th>
                                        <th>Section</th>
                                        <th style="text-align:right;">Qty Purchased</th>
                                        <th style="text-align:right;">Amount (Rs)</th>
                                        <th style="text-align:right;">Avg Cost</th> 
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php 
                                    $i = 1;
                                    $totalQty = 0;
                                    $totalAmount = 0;

                                    while($reportR = GetRow($reportRS)){
                                        $reportID = $reportR['product_id']; 
                                        $purchaseR = GetRow(Run($conn,"select sum(quantity) as purchase_quantity, sum(total_cost) as purchase_amount from tbl_pur_items where product_id = '$reportID' and type = '0' and status = '1' and post_date >= '$start_date' and post_date <= '$end_date'"));

                                        $purchase_quantity = $purchaseR['purchase_quantity'] - $purchaseReturn_quantity;
                                        $purchase_amount = $purchaseR['purchase_amount'] - $purchaseReturn_amount;

                                        // Update totals
                                        $totalQty += $purchase_quantity;
                                        $totalAmount += $purchase_amount;
                                    ?>
                                    <tr>
                                        <td><?php echo $i; ?></td>
                                        <td><?php echo showTitle($conn, 'tbl_items', $reportR['product_id']); ?></td>
                                        <td><?php $c_id = $reportR['category_id']; echo showTitle($conn, 'tbl_items_cat', $c_id)?></td>
                                        <td><?php echo showTitle($conn, 'tbl_brands', $reportR['brand_id']); ?></td>
                                        <td style="text-align:right;"><?php echo $purchase_quantity . ' ' . showTitle($conn, 'tbl_units', $reportR['unit']); ?></td> 
                                        <td style="text-align:right;"><?php echo $purchase_amount; ?></td> 
                                        <td style="text-align:right;"><?php echo round($purchase_amount / $purchase_quantity); ?></td> 
                                    </tr>
                                    <?php $i++; } ?>	
                                </tbody>
                                <tfoot>
                                    <tr>
                                        <th colspan="5" style="text-align:right;">Total:</th>
                                        <th style="text-align:right;"><?php echo $totalAmount; ?></th>
                                        <th style="text-align:right;"><?php echo round($totalAmount / $totalQty); ?></th>
                                    </tr>
                                </tfoot>
                            <div style="display: flex; justify-content: flex-end; gap: 20px; padding:10px">
                                <a class="btn btn-success btn-view-pdf" target="_blank" href="printExp?start_date=<?php echo $start_date; ?>&end_date=<?php echo $end_date; ?>"><i class="fa fa-print"></i> Download PDF</a>
                                <a class="btn btn-success btn-view-pdf" target="_blank" href="printExcel?start_date=<?php echo $start_date; ?>&end_date=<?php echo $end_date; ?>"><i class="fa fa-print"></i> For Monthly Report</a>
                                <a class="btn btn-success btn-view-pdf" target="_blank" href="DetailReport?start_date=<?php echo $start_date; ?>&end_date=<?php echo $end_date; ?>"><i class="fa fa-print"></i> Details Report</a>								
							</div>
                            </table>
                        </div>
                    </div>
                    <!-- END EXAMPLE1 TABLE PORTLET--> 
                </div>
            </div>
            <!-- /.inner --> 
        </div>
        <!-- /.outer --> 
    </div>
    <!-- /#content --> 
</div>
<?php include 'Footer.php'; ?>
