<?php 
$page		= 'point';

require_once('sessionp.php');
require_once('includes/connection.php');
require_once('includes/functions.php');

$start_day   = '01';
$start_month = date("m");
$start_year  = date("Y");
$start_date = $start_year.'-'.$start_month.'-'.$start_day;
$end_date   = $start_date;
$date_check = getValue('date_check');
if($date_check == 'true')
	{
		$start_date = getValue('date_from');
		$end_date   = getValue('date_to');
	}
$register_date = date("Y-m-d");
$reg_date_check = getValue('reg_date_check');
if($reg_date_check == 'true')
	{
		$register_date = getValue('register_date'); 
	}


$module	     = 'employees';
$range 	     = 'true';
$pageTitle   = 'Point ('.$start_date.' to '.$end_date.')';
$reportRS    = Run($conn,"SELECT * FROM tbl_employees 
        WHERE tbl_employees.status = 'Active'
		AND tbl_employees.point = 'Yes'
        ");

include 'MasterTop.php';
include 'Top.php';
include 'SideBar.php';   
?>
<style>
.buttons-print {
    border: 1px solid #b2b2b2;
    padding: 3px 7px;
    border-radius: 3px;
    background: linear-gradient(135deg, #6A82FB, #FC5C7D);
    color: white;
}

.btn-success, .btn-view-pdf, .btn-view-send {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    position: relative;
    overflow: hidden;
    transition: box-shadow .3s;
    box-shadow: 0 8px 20px rgba(0, 0, 0, 0.12);
    color: white;
}

.btn-success::after, .btn-view-pdf::after, .btn-view-send::after {
    content: "";
    position: absolute;
    top: -100%;
    left: -100%;
    width: 200%;
    height: 200%;
    z-index: 1;
    background: linear-gradient(135deg, transparent, rgba(255, 255, 255, 0.4), transparent);
    transform: rotate(45deg);
    pointer-events: none;
    transition: top 0.5s, left 0.5s;
}

.btn-success:hover::after, .btn-view-pdf:hover::after, .btn-view-send:hover::after {
    top: 100%;
    left: 100%;
}

.btn-success {
    background: linear-gradient(135deg, #8E2DE2, #4A00E0);
    border: none;
    padding: 6px 12px;
    border-radius: 50px 50px 0 50px;
    font-weight: 600;
}

.btn-view-pdf {
    background: linear-gradient(135deg, #FFB75E, #ED8F03);
    border-radius: 50px 50px 0 50px;
    padding: 6px 12px;
}

.btn-view-send {
    background: linear-gradient(135deg, #56ab2f, #a8e063);
    border-radius: 30px 50px 0 50px;
    padding: 6px 15px;
}

.btn-view-pdf i, .btn-view-send i {
    margin-right: 4px;
}

.active-btn {
    background: linear-gradient(135deg, #f54242, #f542a2);
    box-shadow: 0 6px 14px rgba(255,0,0,0.1);
}

@keyframes dance {
    0% { transform: scale(1) rotate(0); }
    20% { transform: scale(1.05) rotate(-5deg); }
    40% { transform: scale(1) rotate(5deg); }
    60% { transform: scale(1.05) rotate(-5deg); }
    80% { transform: scale(1) rotate(5deg); }
    100% { transform: scale(1) rotate(0); }
}

.btn-success:hover, .btn-view-pdf:hover, .btn-view-send:hover {
    animation: dance 0.5s infinite;
}
</style>
<script>
    document.addEventListener('DOMContentLoaded', function () {
        let buttons = document.querySelectorAll('.btn-view-pdf, .btn-success');

        buttons.forEach(button => {
            button.addEventListener('click', function () {

                // Remove active class from all buttons
                buttons.forEach(btn => btn.classList.remove('active-btn'));

                // Add active class to the clicked button
                this.classList.add('active-btn');
            });
        });
    });
</script>
<style>
    .custom-btn {
        background: linear-gradient(135deg, #5f27cd, #341f97); /* Gradient background */
        border: none; 
        color: #fff;
        transition: all 0.4s; 
        border-radius: 50px; /* Rounded button */
        padding: 8px 20px; 
        font-weight: bold;
        text-transform: uppercase;
        letter-spacing: 1px; /* Spacing between letters */
        box-shadow: 0 5px 15px rgba(0,0,0,0.1); /* Light shadow */
        position: relative;
        overflow: hidden; /* For hover effect */
    }

    .custom-btn::before { 
        content: "";
        background: rgba(255, 255, 255, 0.2); /* Subtle white overlay */
        position: absolute;
        top: -50%;
        left: -100%;
        width: 30%;
        height: 100%;
        z-index: 1;
        transform: rotate(30deg);
        transition: all 0.6s;
    }

    .custom-btn:hover::before {
        left: 100%;
    }

    .custom-btn:hover, .custom-btn:focus {
        box-shadow: 0 7px 20px rgba(0,0,0,0.2); /* Stronger shadow on hover */
        transform: translateY(-2px); /* Slight move up effect */
    }
	.active-btn {
    background: linear-gradient(135deg, #f54242, #f542a2); /* New gradient background for the active button */
    box-shadow: 0 7px 20px rgba(255,0,0,0.2); /* New shadow for the active button */
}

	    #searchInput {
        width: 250px;
        height: 40px;
        padding: 5px 15px;
        border: 1px solid #ddd;
        border-radius: 20px; /* Rounded corners */
        box-shadow: 0 4px 6px rgba(0,0,0,0.1); /* Subtle shadow for depth */
        font-size: 16px;
        outline: none;
        transition: border-color 0.3s;
        background: linear-gradient(120deg, #fdfbfb 0%, #ebedee 100%); /* Gradient background */
    }

    #searchInput:focus {
        border-color: #4285F4; /* Color change on focus */
        box-shadow: 0 4px 8px rgba(66,133,244,0.2); /* Enhanced shadow on focus */
    }
</style>
<div id="content" class="bg-container">
	<?php include 'Header.php'; ?>
	
	<div class="outer">
		<div class="inner bg-light lter bg-container">
			<div class="row">
				<div class="col-xs-12 data_tables"> 
					<!-- BEGIN EXAMPLE1 TABLE PORTLET-->
					<div class="card">
						<div class="card-block" style="margin-top:60px;">
							<form method="post" action="process/CompletePoint">
								<table class="table table-striped table-bordered table-hover" id="sample_1">
									<thead>
										<tr>
											<th>id</th>
											<th>Employee</th>
											<?php
												for ($i = 0; $i < 7; $i++) {
													$date = new DateTime($start_date);
													$date->modify("+$i day");
													echo "<th>".$date->format('Y-m-d')."</th>";
												}
											?>
											<th>Total Tip</th>
										</tr>
									</thead>
									<tbody>
										<?php
											$GRAND_TOTAL_TIP = 0; // Initialize the grand total variable
											while($reportR = GetRow($reportRS)) {
												$reportID = $reportR['id_emp']; 
												$DAYS_TIP = array();
												$TOTAL_TIP = 0;

												for ($i = 0; $i < 7; $i++) {
													$dateToCheck = date('Y-m-d', strtotime("$start_date +$i day"));

													$FOH = GetRow(Run($conn, "SELECT COUNT(DISTINCT tbl_attendance.PIN) AS NumDistinctPIN
																		   FROM tbl_attendance
																		   INNER JOIN tbl_employees ON tbl_attendance.PIN = tbl_employees.id_emp
																		   WHERE tbl_attendance.Date = '$dateToCheck'
																		   AND tbl_employees.status = 'Active'
																		   AND tbl_employees.point = 'Yes'
																		   AND tbl_employees.house IN ('FOH', 'BAR', 'Office')")); 

													$BOH = GetRow(Run($conn, "SELECT COUNT(DISTINCT tbl_attendance.PIN) AS NumDistinctPIN
																		   FROM tbl_attendance
																		   INNER JOIN tbl_employees ON tbl_attendance.PIN = tbl_employees.id_emp
																		   WHERE tbl_attendance.Date = '$dateToCheck'
																		   AND tbl_employees.status = 'Active'
																		   AND tbl_employees.point = 'Yes'
																		   AND tbl_employees.house IN ('BOH-HOT', 'BOH-PIZZA', 'BOH-PASTRY')"));                             

													$TIP = GetRow(Run($conn, "SELECT SUM(tip) AS total_tip
																		   FROM tbl_expenses
																		   WHERE post_date = '$dateToCheck'"));
													$TIPAMOUNT_FOH = $TIP['total_tip'] * 0.75;
													$TIPAMOUNT_BOH = $TIP['total_tip'] * 0.25;

													$employeePresent_FOH = GetRow(Run($conn, "SELECT tbl_attendance.PIN 
																		   FROM tbl_attendance
																		   INNER JOIN tbl_employees ON tbl_attendance.PIN = tbl_employees.id_emp
																		   WHERE tbl_attendance.Date = '$dateToCheck'
																		   AND tbl_employees.house IN ('FOH', 'BAR', 'Office')
																		   AND tbl_employees.id_emp = $reportID"));

													$employeePresent_BOH = GetRow(Run($conn, "SELECT tbl_attendance.PIN 
																		   FROM tbl_attendance
																		   INNER JOIN tbl_employees ON tbl_attendance.PIN = tbl_employees.id_emp
																		   WHERE tbl_attendance.Date = '$dateToCheck'
																		   AND tbl_employees.house IN ('BOH-HOT', 'BOH-PIZZA', 'BOH-PASTRY')
																		   AND tbl_employees.id_emp = $reportID"));

													$tipOfDay = 0;
													if ($employeePresent_FOH && $FOH['NumDistinctPIN'] > 0) {
														$tipOfDay = $TIPAMOUNT_FOH / $FOH['NumDistinctPIN'];
													} elseif ($employeePresent_BOH && $BOH['NumDistinctPIN'] > 0) {
														$tipOfDay = $TIPAMOUNT_BOH / $BOH['NumDistinctPIN'];
													}

													$DAYS_TIP[$i] = number_format(max(0, $tipOfDay), 2, '.', ',');
													$TOTAL_TIP += max(0, $tipOfDay);
												}
										?>
										<tr>
											<td><?php echo $reportID; ?></td>
											<td><?php echo $reportR['name']; ?></td>
											<?php
												for ($i = 0; $i < 7; $i++) {
													echo "<td>{$DAYS_TIP[$i]}</td>";
												}
											?>
											<td>
												<strong><?php echo number_format($TOTAL_TIP, 2, '.', ','); ?></strong>
												<input type="hidden" name="points[]" value='<?php echo json_encode(array('id_emp' => $reportID, 'name' => $reportR['name'], 'total_tip' => $TOTAL_TIP)); ?>'/>
											</td>
										</tr>
										<?php 
											$GRAND_TOTAL_TIP += $TOTAL_TIP; // Add the current employee's TOTAL_TIP to the grand total
											}
										?>
									</tbody>
									<tfoot>
										<tr>
											<!-- Assuming you have 9 columns before the TOTAL_TIP column (7 days + ID + Employee) -->
											<td colspan="9" style="text-align: right; font-weight: bold; font-size: 1.5em;">Grand Total:</td>
											<td style="font-weight: bold; font-size: 1.5em;"><strong><?php echo number_format($GRAND_TOTAL_TIP, 2, '.', ','); ?></strong></td>
										</tr>
									</tfoot>
									<div style="display: flex; justify-content: flex-end; gap: 20px;">
										<button type="submit" class="btn btn-success btn-view-pdf">Export Points</button>
										<input type="text" id="searchInput" onkeyup="myFunction()" placeholder="Search for names..">
									</div>
									&nbsp;
								</table>
							</form>
						</div>
						<!-- END EXAMPLE1 TABLE PORTLET--> 
					</div>
				</div>
			</div>
			<!-- /.inner --> 
		</div>
		<!-- /.outer --> 
	</div>
	<!-- /#content --> 
</div>
<?php include 'Footer.php'; ?>
<script>
function myFunction() {
  var input, filter, table, tr, td, i, j, txtValue, found;
  input = document.getElementById("searchInput");
  filter = input.value.toUpperCase();
  table = document.getElementById("sample_1");
  tr = table.getElementsByTagName("tr");

  for (i = 0; i < tr.length; i++) {
    td = tr[i].getElementsByTagName("td");
    found = false;  // Reset the flag for each row

    for (j = 0; j < td.length; j++) {  // Loop through all columns
      if (td[j]) {
        txtValue = td[j].textContent || td[j].innerText;
        if (txtValue.toUpperCase().indexOf(filter) > -1) {
          found = true;  // Set the flag if match found in any column
          break;  // Exit the column loop if a match is found
        }
      }
    }

    if (found) {
      tr[i].style.display = "";  // Display the row if a match is found
    } else {
      tr[i].style.display = "none";  // Hide the row if no match is found
    }
  }
}
</script>