<?php
$page        = 'calculations';
require_once('sessionp.php');
require_once('includes/connection.php');
require_once('includes/functions.php');

$ID	         = $_GET['id']; 

    $start_date = $_GET['start_date'];
    $end_date = $_GET['end_date'];
	
$module	     = 'employees';

$pageRole    = 'table';
$reportRS    = Run($conn,"SELECT * FROM tbl_employees WHERE tbl_employees.status = 'Active' AND id_emp = '$ID'");

include 'MasterTop.php';

?>
<style>
  .salary-slip {
    border: 1px solid #444;
    padding: 30px;
    margin-bottom: 15px;
    background-color: #fff;  /* white background */
    border-radius: 20px;
    box-shadow: 0 0 10px rgba(0,0,0,0.1);
  }

  .closing-paragraph {
    font-size: 3.8rem;  /* further increased font size */
    line-height: 1.4;
    margin-bottom: 30px;
    color: #000;  /* black color */
  }

  h2, h3 {
    color: #000;  /* black color */
    font-size: 2.5rem;  /* increased font size */
  }

  p {
    line-height: 1.0;
    color: #000;  /* black color */
    font-size: 2rem;  /* increased font size */
  }

  strong {
    color: #000;  /* black color */
  }

  hr {
    border: 0;
    height: 1px;
    background: #333;
    opacity: 0.5;
  }
</style>
<div class="outer">
	<div class="inner bg-light lter bg-container">
		<div class="row">
			<div class="col-xs-12 data_tables">
				<div class="card-block p-5">
						<?php 
						while($reportR = GetRow($reportRS)){
                                        $reportID = $reportR['id_emp']; 
                                        $WorkDay = GetRow(Run($conn, "SELECT COUNT(DISTINCT Date) AS NumDistinctDates
                                            FROM tbl_attendance
                                            WHERE PIN = '$reportID'
                                            AND MONTH(Date) = MONTH('$start_date')
                                            AND YEAR(Date) = YEAR('$start_date')"));
                                        
                                        $mis_Count = GetRow(Run($conn, "SELECT sum(mis_count) as mis_CountAvail
                                            FROM tbl_staff_leaves
                                            WHERE id_emp = '$reportID'
                                            AND MONTH(post_date) = MONTH('$start_date')
                                            AND YEAR(post_date) = YEAR('$start_date')"));
                                        
                                        $LeavesQuery = GetRow(Run($conn, "SELECT sum(reserved) as total_reserved FROM tbl_staff_leaves WHERE id_emp='$reportID' AND ((YEAR(post_date) < YEAR('$start_date')) OR (YEAR(post_date) = YEAR('$start_date') AND MONTH(post_date) < MONTH('$start_date')))"));
                                        $reserved = $LeavesQuery['total_reserved'];
                                        
                                        $TakenLeavesQuery = GetRow(Run($conn, "SELECT COALESCE(sum(`Get_Previous`), 0) as total_taken FROM `tbl_leaves_use` WHERE `id_emp`='$reportID' AND ((YEAR(post_date) < YEAR('$start_date')) OR (YEAR(post_date) = YEAR('$start_date') AND MONTH(post_date) < MONTH('$start_date')))"));
                                        $Get_Previous = $TakenLeavesQuery['total_taken'];
                                        
                                        $reservedAlready = $reserved - $Get_Previous;
                                        
                                        $Get_Previous = GetRow(Run($conn, "SELECT sum(Get_Previous) as Get_PreviousAvail
                                            FROM tbl_leaves_use
                                            WHERE MONTH(post_date) = MONTH('$start_date')
                                            AND YEAR(post_date) = YEAR('$start_date')
                                            AND id_emp = '$reportID'"));							 								 
                                        
                                        $annual = GetRow(Run($conn, "SELECT sum(annual) as annualAvail
                                            FROM tbl_staff_leaves
                                            WHERE id_emp = '$reportID'
                                            AND MONTH(post_date) = MONTH('$start_date')
                                            AND YEAR(post_date) = YEAR('$start_date')"));
                                        
                                        $public = GetRow(Run($conn, "SELECT sum(public) as publicAvail
                                            FROM tbl_staff_leaves
                                            WHERE id_emp = '$reportID'
                                            AND MONTH(post_date) = MONTH('$start_date')
                                            AND YEAR(post_date) = YEAR('$start_date')"));
                                        
                                        $AvailLeave = (4/26) * ($WorkDay['NumDistinctDates']+$mis_Count['mis_CountAvail']+$Get_Previous['Get_PreviousAvail']+$public['publicAvail']);
                                        // Limit the available leave to a maximum of 4
                                        if ($AvailLeave > 4) {
                                            $AvailLeave = 4;
                                        } 								
                                        $TotalPayable = $WorkDay['NumDistinctDates']+$mis_Count['mis_CountAvail']+$Get_Previous['Get_PreviousAvail']+$annual['annualAvail']+$public['publicAvail']+$AvailLeave;
                                        
                                        if ($TotalPayable > 30) {
                                            $TotalPayable  = 30;    
                                        }
                                        
                                        $reservedThisMonth = $WorkDay['NumDistinctDates'] + $mis_Count['mis_CountAvail'] + $Get_Previous['Get_PreviousAvail'] + $annual['annualAvail'] + $public['publicAvail'] + $AvailLeave;
                                        
                                        // Determine the last day of $start_date
                                        $lastDayOfMonth = date('d', strtotime('last day of ' . $start_date));
                                        
                                        // Calculate the final value of $reservedThisMonth
                                        if ($lastDayOfMonth == 31) {
                                            $reservedThisMonth -= 31;
                                        } else {
                                            $reservedThisMonth -= 30;
                                        }
                                        
                                        // Ensure the result is not negative
                                        $reservedThisMonth = max($reservedThisMonth, 0);
                                        
                                        $bonus = GetRow(Run($conn, "SELECT sum(bonus) as bonusAvail
                                            FROM tbl_staff_leaves
                                            WHERE id_emp = '$reportID'
                                            AND MONTH(post_date) = MONTH('$start_date')
                                            AND YEAR(post_date) = YEAR('$start_date')"));
                                        
                                        $OverTime = GetRow(Run($conn, "SELECT sum(OverTime) as OverTimeAvail
                                            FROM tbl_staff_leaves
                                            WHERE id_emp = '$reportID'
                                            AND MONTH(post_date) = MONTH('$start_date')
                                            AND YEAR(post_date) = YEAR('$start_date')"));								
                                        
                                        $Earned = ($reportR['salary_per_month']/30)*($TotalPayable)+($bonus['bonusAvail'])+($OverTime['OverTimeAvail']);
                                        
                                        $advance = GetRow(Run($conn, "SELECT sum(advance) as advanceAvail
                                            FROM tbl_expenses
                                            WHERE id_emp = '$reportID'
                                            AND MONTH(post_date) = MONTH('$start_date')
                                            AND YEAR(post_date) = YEAR('$start_date')"));
                                        
                                        $Payable = $Earned - $advance['advanceAvail'];
                                        $TotalReservedDays = $reservedAlready + $reservedThisMonth;
										
					   echo '<div class="salary-slip">';
								echo '<h1>BISTRO NOIR</h1>';
								echo '<h4>Unit 3, Street 4,</h4>';
								echo '<h4>Gol Market, F 7/3, Islamabad</h4>';
								echo '<br>';
								echo '<br>';
								echo '<h3>Request for an advance salary from the month of ' . date('F Y', strtotime($start_date)) . '</h3>';
		                        echo '<br>'; 
								echo '<p class="two-lines">Employee ID:' . $reportID . '</p>';
								echo '<p class="two-lines">Employee Name: ' . $reportR['name'] . '</p>';
								echo '<p class="two-lines">Designation: ' . $reportR['designation'] . '</p>';
		
								echo '<p class="two-lines">Salary P/M: PKR ' .number_format($reportR['salary_per_month']) . '</p>';
								if($WorkDay['NumDistinctDates'] > 0) {
                                echo '<p class="two-lines">Actual Worked: ' . $WorkDay['NumDistinctDates'] . ($WorkDay['NumDistinctDates'] > 1 ? ' Days' : ' Day') . '</p>';
                                                                     }
                                if($mis_Count['mis_CountAvail'] > 0) {
                                echo '<p class="two-lines">Mis Count: ' . $mis_Count['mis_CountAvail'] . ($mis_Count['mis_CountAvail'] > 1 ? ' Days' : ' Day') . '</p>';
                                                               }
                                if($Get_Previous['Get_PreviousAvail'] > 0) {
                                echo '<p class="two-lines">Previous: ' . $Get_Previous['Get_PreviousAvail'] . ($Get_Previous['Get_PreviousAvail'] > 1 ? ' Days' : ' Day') . '</p>';
                                                               }
                                if($annual['annualAvail'] > 0) {
                                echo '<p class="two-lines">Annual: ' . $annual['annualAvail'] . ($annual['annualAvail'] > 1 ? ' Days' : ' Day') . '</p>';
                                                               }
                                if($public['publicAvail'] > 0) {
                                echo '<p class="two-lines">Public: ' . $public['publicAvail'] . ($public['publicAvail'] > 1 ? ' Days' : ' Day') . '</p>';
                                                               }
								echo '<p class="two-lines">Lieu Avail In Month: ' . number_format($AvailLeave,2) . (floor($AvailLeave) != 1 ? ' Days' : ' Day') . '</p>';
								echo '<p class="two-lines">Payable Days: ' . number_format($TotalPayable,2) . (floor($TotalPayable) != 1 ? ' Days' : ' Day') . '</p>';
								
                                if ($bonus['bonusAvail'] > 0) {
                                echo '<p class="two-lines">Bonus: ' . $bonus['bonusAvail'] . ' PKR</p>';
                                                              }
								if ($OverTime['OverTimeAvail'] > 0) {
                                echo '<p class="two-lines">Over Time: ' . $OverTime['OverTimeAvail'] . ' PKR</p>';
                                                              }	
									
                                echo '<p class="two-lines">Salary Earned: ' . number_format($Earned,0) .' PKR</p>';
                                if ($advance['advanceAvail'] > 0) {
                                echo '<p class="two-lines">Advance salary has already been taken in this month: ' . number_format($advance['advanceAvail'],0) . ' PKR</p>';
                                                                  }
                                echo '<p class="two-lines">Amount payable on the 10th of '. date("F, Y", strtotime("$start_date first day of +1 month")) .  ': ' . number_format($Payable, 0) .' PKR</p>';
                                echo '<br>';
                                echo '<br>';
                                echo '<p class="two-lines"><strong>You are eligible to request an advance amount of 20% of your salary, which corresponds to ' . number_format($Payable * 0.20, 0) . ' PKR</strong></p>';
                                echo '<br>'; 
                                echo '<br>';
                                echo '<br>';								
					       		}
					    		?>
                                <style>
                               .right-align {
                                text-align: left;
                                            }
                                </style>

                                <div>
                                    <div class="left-align"		
                                        <p>______________________________</p>
                                        <p>Amount Requested</p>
                                        <br>
                                        <br>
		                                <br>
		                                <br>
                                        <p>______________________________</p>
                                        <p>Employee\'s Signature</p>
                                    </div>
                                </div>														

							
                                <style>
                               .right-align {
                                text-align: right;
                                            }
                                </style>

                                <div>
                                    <div class="right-align"		
                                        <p>______________________________</p>
                                        <p>Approved Amount</p>
                                        <br>
                                        <br>
		                                <br>
		                                <br>
                                        <p>______________________________</p>
                                        <p>Authorized Signature</p>
                                    </div>
                                </div>							
				            </div>
		        </div>
	    	</div>
	    </div>
	</div>	
</div>	
<script>
window.onload = function() { window.print(); }
</script>
