<?php
require_once('sessionp.php');
require_once('includes/connection.php');
require_once('includes/functions.php');  

$register_date = date("Y-m-d");
if(getValue('preg_date_check') == 'true') {
    $register_date = getValue('register_date'); 
}
$businessDay = date('l jS \of F Y', strtotime($register_date)); 	
$page = 'home';
$module = 'dashboard';
$pageTitle = $businessDay;
$pageRole = 'table';
?>

    <style>
        .body {
            background-color: #FFFFFF;
            color: #000000;
            font-family: Arial, Helvetica, sans-serif;
            font-size: 12px; 
        }
        .Wrap, #wrap {
            margin: 0;
            position: relative;
        }
        .print {
            page-break-after: always;
        }
        .print:last-child {
            page-break-after: auto;
        }
    </style>
<body class="body">
    <?php include 'MasterTop.php'; ?>
    <div class="container" style="margin:10px; max-width:300px;"> 
        <div class="row">
            <?php if($user_type == 1 || $user_type == 3): ?>
            <div class="col-lg-12">
                <table style="font-size:14px;"  class="table table-striped table-bordered table-hover print" >
				<thead>
					<tr>
						<th colspan="2"> <?php echo $pageTitle ; ?></th>
					</tr>	
				</thead>
				<tbody>
					<tr>
						<td style="text-align:right;" width="50%">Total Net Sales</td>
						<td><?php  
			            $grandSaleR  = GetRow(Run($conn,"select sum(total_amount) as grand_sale, sum(tax_amount) as grand_tax , sum(delivery_charges) as grand_delivery, sum(service_charges) as grand_service, sum(discount) as grand_discount, sum(grand_total) as grand_grand, sum(amount_received) as grand_received    from tbl_sales where status=1 and post_date = '$register_date' "));
			            $grandSale   = $grandSaleR['grand_sale'];
			            echo number_format($grandSale); 
			            ?></td>
					</tr>
						<tr>
						<td style="text-align:right;">Tax (Rs)</td>
						<td><?php  
			            $grandTax   = $grandSaleR['grand_tax'];
			            echo number_format($grandTax);
			            ?></td>
					</tr>
					<tr>
						<td style="text-align:right;">Tax 15% (Rs)</td>
						<td><?php  
			            $grandTax15   = $grandSaleR['grand_service'];
			            echo number_format($grandTax15);
			            ?></td>
					</tr>
					<tr>
					    <td style="text-align:right;">Tax 5% (Rs)</td>
						<td><?php  
			            $grandTax5   = $grandSaleR['grand_discount'];
			            echo number_format($grandTax5);
			            ?></td>
					</tr>
					<tr>
						<td style="text-align:right;">Discount (Rs)</td>
						<td><?php  
		               	$grandDelivery   = $grandSaleR['grand_delivery'];
			            echo number_format($grandDelivery);
			            ?></td>
					</tr>
			        <tr style="font-size: 16px;" >
						<th style="text-align:right;">Grand Total</th>
						<th><?php  
		             	$grandGrand   = $grandSaleR['grand_sale']+$grandSaleR['grand_tax']-$grandSaleR['grand_delivery']+$grandTax15+$grandTax5;
		            	echo number_format($grandGrand);
		            	?></th>
					</tr>
					<tr style="font-size: 16px;" >
						<th style="text-align:right;">Cash</th>
						<th><?php 
			            $grandReceived   = $grandSaleR['grand_received']; 
			            $customersBalance   = $grandGrand - $grandReceived;
			            echo number_format($customersBalance);
			            ?></th>
					</tr>
					<tr style="font-size: 16px;" >
						<th style="text-align:right;">Bank</th>
						<th><?php  
			            echo number_format($grandReceived);
			            ?></th>
					</tr> 
                    <tr>
					    <td colspan="2"> &nbsp; </td> 
					</tr>											
					<tr style="font-size: 16px;" >
						<th style="text-align:right;">Actual Cash:</th>
						<th><?php  
			            $Cashier  = GetRow(Run($conn,"select sum(owner) as grand_owner, sum(hr) as grand_hr , sum(given) as grand_given, sum(till) as grand_till, sum(advance) as grand_advance, sum(hand) as grand_hand, sum(purchase) as grand_purchase, sum(tip) as grand_tip from tbl_expenses where status=1 and post_date = '$register_date' "));
			            $grandhand = $Cashier['grand_hand']; 
			            echo number_format($grandhand);
			            ?></th>
					</tr> 	
				</tbody>
                        <!--<?php
                        $grandSale = number_format($grandSaleR['grand_sale']);
                        $grandTax = number_format($grandSaleR['grand_tax']);
                        $grandTax15 = number_format($grandSaleR['grand_service']);
                        $grandTax5 = number_format($grandSaleR['grand_discount']);
                        $grandDelivery = number_format($grandSaleR['grand_delivery']);
                        $grandGrand = number_format($grandSaleR['grand_sale'] + $grandSaleR['grand_tax'] - $grandSaleR['grand_delivery'] + $grandTax15 + $grandTax5);
                        $customersBalance = number_format($grandGrand - $grandSaleR['grand_received']);
                        $grandReceived = number_format($grandSaleR['grand_received']);
                        $grandhand = number_format($Cashier['grand_hand']);
                        ?>

                        <p>
                        Today's daily sales report shows a total net sales of Rs <?php echo $grandSale; ?>. The tax collected amounts to Rs <?php echo $grandTax; ?>, with 15% tax contributing Rs <?php echo $grandTax15; ?> and 5% tax contributing Rs <?php echo $grandTax5; ?>. The total discount applied is Rs <?php echo $grandDelivery; ?>.
                        The grand total for the day is Rs <?php echo $grandGrand; ?>. Out of this, the cash received is Rs <?php echo $customersBalance; ?> and the amount received through the bank is Rs <?php echo $grandReceived; ?>.
                        The actual cash on hand is Rs <?php echo $grandhand; ?>.
                        </p>-->										
			    </table>
            </div>
            <?php endif; ?>
        </div>
    </div>
    <div class="outer">
        <div class="inner bg-light lter bg-container">
            <div class="row">
                <div class="col-xs-12 data_tables">
                    <div class="card">
                        <div class="card-header bg-primary text-white text-center">
                            <h2>Food Expenses</h2>
                        </div>
                        <div class="card-block" style="margin-top:20px; padding: 20px;">
                            <table style="font-size:14px;" class="table table-striped table-bordered table-hover print">
                                <thead>
                                    <tr>
                                        <th>#</th>
                                        <th style="text-align:left;">PaidBy-BillNo</th>
                                        <th style="text-align:left;">Vendors</th>
                                        <!-- <th style="text-align:left;">Category</th> -->
                                        <th>Section</th>
                                        <th>Products</th>
                                        <th style="text-align:right;">Qty</th>
                                        <th style="text-align:right;"> Exp (Included GST)</th>
                                        <th style="text-align:right;">GST</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php
                                    $i = 1;
                                    $totalSupplierCost1 = 0.0;
                                    $totalTransportExp = 0.0;
                                    $purchasesRS = Run($conn, "SELECT * FROM tbl_pur_items WHERE category_id IN (1,2,3,4,5,6) AND status = '1' AND post_date = '$register_date' ORDER BY brand_id DESC");
                                    while($purchasesR = GetRow($purchasesRS)){
                                    ?>
                                    <tr>
                                        <td><?php echo $i; ?></td>
                                        <td style="text-align:left;"><?php echo ($purchasesR['details']); ?></td>
                                        <td><?php $a_id = $purchasesR['supplier_id'];
                                            echo showTitle($conn, 'tbl_suppliers', $a_id) ?></td>
                                        <!--<td><?php  $c_id = $purchasesR['category_id']; echo showTitle($conn, 'tbl_items_cat', $c_id)?></td>-->
                                        <td><?php echo showTitle($conn,'tbl_brands',$purchasesR['brand_id']); ?></td>
                                        <td width="25%"><?php echo showTitle($conn,'tbl_items', $purchasesR['product_id']);?></td>
                                        <td style="text-align:right;"><?php echo number_format($purchasesR['quantity'],2); ?></td>
                                        <td style="text-align:right;"><?php echo number_format($purchasesR['supplier_cost'],1); ?></td>
                                        <td style="text-align:right;"><?php if($purchasesR['transport_type'] == 1){ echo '0.00';} else{ echo number_format($purchasesR['transport_exp']); } ?></td>
                                    </tr>
                                    <?php
                                    $i++;
                                    $totalSupplierCost1 += $purchasesR['supplier_cost'];
                                    if ($purchasesR['transport_type'] != 1) {
                                        $totalTransportExp += $purchasesR['transport_exp'];
                                    }
                                    }
                                    ?>
                                </tbody>
                                <tfoot>
                                    <tr>
                                        <td colspan="6" style="font-weight:bold; font-size:20px; text-align:right;">Total:</td>
                                        <td style="font-weight:bold; font-size:20px; text-align:right;"><?php echo number_format($totalSupplierCost1,1); ?></td>
                                        <td style="font-weight:bold; font-size:20px; text-align:right;"><?php echo number_format($totalTransportExp,1); ?></td>
                                    </tr>
                                </tfoot>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="row">    
        <div class="col-xs-12 data_tables">    
            <div class="card">
                <div class="card-header bg-primary text-white text-center">
                    <h2>Non-Food Expenses</h2>
                </div>
                <div class="card-block" style="margin-top:20px; padding: 20px;">
                    <table style="font-size:14px;" class="table table-striped table-bordered table-hover print">
                        <thead>
                            <tr> 
                                <th>#</th>
                                <th style="text-align:left;">PaidBy-BillNo</th>
                                <th style="text-align:left;">Vendors</th> 
                                <!-- <th style="text-align:left;">Category</th> -->
                                <th>Section</th>
                                <th>Products</th>
                                <th style="text-align:right;">Qty</th>                                        
                                <th style="text-align:right;"> Exp (Included GST)</th>
                                <th style="text-align:right;">GST</th>
                            </tr>
                        </thead>
                        <tbody>
                                <?php 
                                $i = 1;
                                $totalSupplierCost = 0.0;
                                $totalTransportExp = 0.0;
                                $purchasesRS = Run($conn, "SELECT * FROM tbl_pur_items WHERE category_id NOT IN (1,2,3,4,5,6) AND status = '1' AND post_date = '$register_date' ORDER BY brand_id DESC");
                                while($purchasesR = GetRow($purchasesRS)){
                                ?>
                            <tr> 
                                <td><?php echo $i; ?></td>
                                <td style="text-align:left;"><?php echo ($purchasesR['details']); ?></td>
                                <td><?php  $a_id = $purchasesR['supplier_id']; echo showTitle($conn, 'tbl_suppliers', $a_id)?></td>
                                <!--<td><?php  $c_id = $purchasesR['category_id']; echo showTitle($conn, 'tbl_items_cat', $c_id)?></td>-->
                                <td><?php echo showTitle($conn,'tbl_brands',$purchasesR['brand_id']); ?></td>
                                <td width="25%"><?php echo showTitle($conn,'tbl_items', $purchasesR['product_id']);?></td>
                                <td style="text-align:right;"><?php echo number_format($purchasesR['quantity'],2); ?></td>
                                <td style="text-align:right;"><?php echo number_format($purchasesR['supplier_cost'],1); ?></td>
                                <td style="text-align:right;"><?php if($purchasesR['transport_type'] == 1){ echo '0.00';} else{ echo number_format($purchasesR['transport_exp']); } ?></td>
                            </tr>
                                <?php 
                                $i++; 
                                $totalSupplierCost += $purchasesR['supplier_cost'];
                                if ($purchasesR['transport_type'] != 1) {
                                $totalTransportExp += $purchasesR['transport_exp'];
                                }
                                } 
                                ?>
                        </tbody>
                        <tfoot>
                            <tr>
                                <td colspan="6" style="font-weight:bold; font-size:20px; text-align:right;">Total:</td>
                                <td style="font-weight:bold; font-size:20px; text-align:right;"><?php echo number_format($totalSupplierCost,1); ?></td>
                                <td style="font-weight:bold; font-size:20px; text-align:right;"><?php echo number_format($totalTransportExp,1); ?></td>
                            </tr>
                        </tfoot>
                    </table>                                
                </div>
            </div>              
        </div>
    </div>
</div>
<?php
// Calculate the totals for Food and Non-Food before displaying the tables
$foodExpensesTotal = $totalSupplierCost1; // This was calculated in the Food Expenses table
$nonFoodExpensesTotal = $totalSupplierCost; // This was calculated in the Non-Food Expenses table
$overallTotal = $foodExpensesTotal + $nonFoodExpensesTotal;
?>

<style>
    .custom-font-size p {
        font-size: 1.5em; /* Adjust this value as per your requirements */
    }
</style>

<div class="container mt-8 custom-font-size">
    <p>For the date <strong><?= $register_date ?></strong>, expenses were recorded in categories like Cold Beverages, Dry Groceries, Chicken, Meat & Beef, Vegetables & Fruits, and Sea Food.</p>

    <?php 
    // Define an array of expenses for easier looping and dynamic creation of cards
    $expenses = [
        ["title" => "Bar", "value" => number_format(GetRow(Run($conn, "SELECT sum(supplier_cost) AS totalBar FROM tbl_pur_items WHERE category_id IN (1,2,3,4,5,6) AND brand_id='39' AND post_date = '$register_date'"))['totalBar'], 0)],
        ["title" => "Main", "value" => number_format(GetRow(Run($conn, "SELECT sum(supplier_cost) AS totalMain FROM tbl_pur_items WHERE category_id IN (1,2,3,4,5,6) AND brand_id IN(41,42) AND post_date = '$register_date'"))['totalMain'], 0)],
        ["title" => "Pastry", "value" => number_format(GetRow(Run($conn, "SELECT sum(supplier_cost) AS totalPastry FROM tbl_pur_items WHERE category_id IN (1,2,3,4,5,6) AND brand_id='1' AND post_date = '$register_date'"))['totalPastry'], 0)],
        ["title" => "Staff", "value" => number_format(GetRow(Run($conn, "SELECT sum(supplier_cost) AS totalStaff FROM tbl_pur_items WHERE category_id IN (1,2,3,4,5,6) AND brand_id='10' AND post_date = '$register_date'"))['totalStaff'], 0)],
        ["title" => "FOH", "value" => number_format(GetRow(Run($conn, "SELECT sum(supplier_cost) AS totalFOH FROM tbl_pur_items WHERE category_id IN (1,2,3,4,5,6) AND brand_id='3' AND status = '1' AND post_date = '$register_date'"))['totalFOH'], 0)]
    ];
    ?>

    <?php foreach($expenses as $expense): ?>
        <?php if($expense["value"] >= 1): ?>
            <h4>The food expenditure related to <strong><?= $expense["title"] ?></strong> amounted to <strong>PKR <?= $expense["value"] ?></strong>.</h4>
        <?php endif; ?>
    <?php endforeach; ?>

    <p>
        The overall food expenses <strong>PKR <?= number_format($foodExpensesTotal,0); ?></strong>. This includes all categories of food. Conversely, the non-food related expenses are <strong>PKR <?= number_format($nonFoodExpensesTotal,0); ?></strong>, capturing all other expenses excluding food. Summarily, the total expenses, covering both food and non-food items, for the date <strong><?= $register_date ?></strong> equal <strong>PKR <?= number_format($overallTotal,0); ?></strong>.
    </p>
</div>
<?php include 'Footer.php'; ?>
<script>
    window.onload = function() { window.print(); }
</script>
