<?php
require_once('sessionp.php');
require_once('includes/connection.php');
require_once('includes/functions.php');  

    $start_date = $_GET['start_date'];
    $end_date = $_GET['end_date'];


$module	     = 'reports';
$range 	     = 'true';
$pageTitle   = 'Report ('.$start_date.' to '.$end_date.')';
$pageTitleRS = 'Total Exp Summary ('.$start_date.' to '.$end_date.')';
$pageTitleRSM = 'Paid Exp Summary  ('.$start_date.' to '.$end_date.')';
$pageTitleRSMN = 'Sale Summary  ('.$start_date.' to '.$end_date.')';
$pageRole    = 'table';

?>
<style>
    .centerCanvas {
        display: block;
        margin: 0 auto;
    }

    .body {
        background-color: #FFFFFF;
        color: #000000;
        font-family: Arial, Helvetica, sans-serif;
        font-size: 12px;
    }

    .custom-styling {
        font-size: 40px;
        font-weight: bold;
        font-family: Arial, sans-serif;
        color: black;
    }

    .table-container {
        width: 100%;
    }

    .table-container table {
        width: 30%;
        float: left;
        margin-right: 5px; /* Adjust the space between tables by changing this value */
    }

    .table-container table:nth-child(2) {
        width: 68%;
        margin-left: 5px; /* Adjust the space between tables by changing this value */
    }
</style>
<body class="body">
    <?php include 'MasterTop.php'; ?>
    <div class="row">
        <div class="card" style="margin-top:0px; padding: 25px;">
            <div class="card-block" style="margin-top:20px; padding: 20px;">
                <div class="table-container">
                <div class="col-xs-12 data_tables custom-font-size">
                        <?php if($user_type == 1 || $user_type == 3): ?>
                            <table class="table table-striped table-bordered table-hover print">
                                <tbody>
                                    <?php  
                                        // Initialize variables to store totals
                                        $totalPaidExp = 0;
                                        $totalPendingExp = 0;
                                        $totalGrand = 0;

                                        // Fetch all bill IDs within the date range
                                        $BilsIDDates = Run($conn, "SELECT DISTINCT id FROM tbl_purchases WHERE post_date >= '$start_date' and post_date <='$end_date'");

                                        // Loop through each bill ID
                                        while ($listRB = GetRow($BilsIDDates)) {
                                            $BilsID = $listRB['id'];

                                            // Get the sum of dr and cr for the current bill_id
                                            $sumDrResult = Run($conn, "SELECT SUM(dr) AS sum_dr, SUM(cr) AS sum_cr FROM tbl_sup_payments WHERE bill_id = '$BilsID' and post_date >= '$start_date' and post_date <='$end_date'");
                                            $sumDrRow = GetRow($sumDrResult);
                                            
                                            // Calculate paid and pending expenses
                                            $totalPaidExp += $sumDrRow['sum_dr'];
                                            $totalPendingExp += $sumDrRow['sum_cr'] - $sumDrRow['sum_dr'];
                                        }

                                        // Calculate Pending Paid
                                        $totalGrand = $totalPaidExp + $totalPendingExp;
										
										$PendingPaidR = GetRow(Run($conn, "SELECT SUM(dr) AS All_dr, SUM(cr) AS All_cr FROM tbl_sup_payments WHERE post_date >= '$start_date' and post_date <='$end_date'"));
                                        $PendingPaid  = $PendingPaidR['All_dr']-$totalPaidExp;
										
									    //Sale Report Between Dats
                                        $grandSaleR       = GetRow(Run($conn,"select sum(total_amount) as grand_sale, sum(tax_amount) as grand_tax , sum(delivery_charges) as grand_delivery, sum(service_charges) as grand_service, sum(discount) as grand_discount, sum(grand_total) as grand_grand, sum(amount_received) as grand_received from tbl_sales where post_date >= '$start_date' and post_date <='$end_date'"));
                                        $grandSale        = $grandSaleR['grand_sale'];
                                        $grandTax         = $grandSaleR['grand_tax'];										
                                        $grandTax15       = $grandSaleR['grand_service'];										
                                        $grandTax5        = $grandSaleR['grand_discount'];										
                                        $grandDelivery    = $grandSaleR['grand_delivery'];										
                                        $grandReceived    = $grandSaleR['grand_received']; 
                                        $grandGrand       = $grandSaleR['grand_sale']+$grandSaleR['grand_tax']-$grandSaleR['grand_delivery']+$grandTax15+$grandTax5;										
                                        $customersBalance = ($grandGrand - $grandReceived);										
									?>

                                    <!-- Output the table -->
                                    <tr>
                                        <th style="text-align:right;" width="16%">Cash Sale</td>
                                        <td style="text-align:left;" width="16%"><?php 
                                        echo number_format($customersBalance);
                                        ?></th>									
                                        <th style="text-align:right;" width="16%">Paid Exp</td>
                                        <td style="text-align:left;" width="16%"><?php echo number_format($totalPaidExp); ?></td>
                                        <td style="text-align:right;" width="18%">Paid Exp</td>
                                        <td style="text-align:left;" width="18%"><?php echo number_format($totalPaidExp); ?></td>										
                                    </tr>
                                    <tr>
                                        <th style="text-align:right;">Bank</th>
                                        <th><?php  
                                        echo number_format($grandReceived);
                                        ?></th>									
                                        <td style="text-align:right;">Pending Exp</td>
                                        <td><?php echo number_format($totalPendingExp); ?></td>
                                        <td style="text-align:right;">Previously Settled <small>(Outstanding as of <?php echo $start_date; ?>)</small></td>
                                        <td><?php echo number_format($PendingPaid); ?></td>                                        
                                    </tr>                                   
                                    <tr style="font-size: 18px;">
                                        <th style="text-align:right;">Total Sale<small>(GST <?php echo $grandTax+$grandTax15+$grandTax5; ?> + Sale <?php echo $grandGrand-($grandTax+$grandTax15+$grandTax5); ?>)</small></th>
                                        <th><?php  
                                        echo number_format($grandGrand);
                                        ?></th>										
                                        <th style="text-align:right;">Total Exp</th>
                                        <th><?php echo number_format($totalGrand); ?></th>
                                        <th style="text-align:right;">Total Paid</th>
                                        <th><?php echo number_format($totalPaidExp+$PendingPaid); ?></th>  										
                                    </tr> 									
                                </tbody>
                            </table>													
                        <?php endif; ?>						
                </div>					
                    <table class="table table-striped table-bordered table-hover print">
                        <thead>
                            <tr>
                                <?php
                                echo '<th style="font-size: 15px; font-weight: bold;">Categories:</th>';
                                $result_section = mysqli_query($conn, "SELECT * FROM tbl_brands ORDER BY id ASC");
                                while ($row_section = mysqli_fetch_array($result_section)) {
                                    echo '<th style="font-size: 15px; font-weight: bold;">' . $row_section['title'] . '</th>';
                                }
                                ?>
                            </tr>
                        </thead>
                        <tbody>
                            <?php
                            $result_cat = mysqli_query($conn, "SELECT * FROM tbl_items_cat ORDER BY id ASC");
                            while ($row_cat = mysqli_fetch_array($result_cat)) {
                                echo "<tr>";
                                $category_id = $row_cat['id'];
                                echo "<td>" . $row_cat['title'] . "</td>";
                                $row_sum = 0; // Initialize sum for each category
                                $result_section = mysqli_query($conn, "SELECT * FROM tbl_brands ORDER BY id ASC");
                                while ($row_section = mysqli_fetch_array($result_section)) {
                                    $brand_id = $row_section['id'];
                                    $purchasesR = mysqli_query($conn, "SELECT sum(total_cost) as total_cost FROM tbl_pur_items WHERE brand_id = $brand_id and category_id = $category_id AND status = '1' AND post_date >= '$start_date' AND post_date <= '$end_date'");
                                    $row_purchasesR = mysqli_fetch_array($purchasesR);
                                    $row_sum += $row_purchasesR['total_cost'];
                                    echo '<td style="text-align:left;">' . number_format($row_purchasesR['total_cost'], 1) . '</td>';
                                }
                                echo "</tr>";
                            }
                            ?>
                        </tbody>
                        <tfoot style="text-align: right; font-weight: bold; font-size: 18px;">
                            <tr>
                                <?php
                                $result_brands = mysqli_query($conn, "SELECT * FROM tbl_brands ORDER BY id ASC");
                                $overall_sum = 0;
                                echo '<td style="text-align:right;">Total</td>';
                                while ($row_brand = mysqli_fetch_array($result_brands)) {
                                    $brand_id = $row_brand['id'];
                                    $totalPurchasesR = mysqli_query($conn, "SELECT sum(total_cost) as total_cost FROM tbl_pur_items WHERE brand_id = $brand_id AND status = '1' AND post_date >= '$start_date' AND post_date <= '$end_date'");
                                    $row_totalPurchasesR = mysqli_fetch_array($totalPurchasesR);
                                    $overall_sum += $row_totalPurchasesR['total_cost'];
                                    echo '<td style="text-align:left;">' . number_format($row_totalPurchasesR['total_cost'], 1) . '</td>';
                                }
                                ?>
                            </tr>
                        </tfoot>
                    </table>
                </div>
                <?php
                // Initialize arrays to store data for the chart
                $chartCategories = [];
                $chartTotals = [];

                $result_cat = mysqli_query($conn, "SELECT * FROM tbl_items_cat ORDER BY id ASC");
                while ($row_cat = mysqli_fetch_array($result_cat)) {
                    $chartCategories[] = $row_cat['title'];

                    $total_sum = 0;
                    $Total_sectionR = mysqli_query($conn, "SELECT * FROM tbl_brands ORDER BY id ASC");
                    while ($Total_section = mysqli_fetch_array($Total_sectionR)) {
                        $Totalbrand_id = $Total_section['id'];
                        $Totalcategory_id = $row_cat['id'];
                        $TotalpurchasesR = mysqli_query($conn, "SELECT sum(total_cost) as total_cost FROM tbl_pur_items WHERE brand_id = $Totalbrand_id and category_id = $Totalcategory_id AND status = '1' AND post_date >= '$start_date' AND post_date <= '$end_date'");
                        $Total_purchasesR = mysqli_fetch_array($TotalpurchasesR);
                        $total_sum += $Total_purchasesR['total_cost'];
                    }

                    $chartTotals[] = $total_sum;
                }
                ?>
                <?php
                $HeaderIDR = Run($conn, "SELECT DISTINCT category_id FROM `tbl_pur_items` WHERE post_date >= '$start_date' AND post_date <= '$end_date' ORDER BY `tbl_pur_items`.`category_id` ASC");

                foreach ($HeaderIDR as $HeaderIDRow) {
                    $HeaderID = $HeaderIDRow['category_id'];
                    $Header = showtitle($conn, 'tbl_items_cat', $HeaderID);
                    // Get data for the current category
                    $Data = Run($conn, "SELECT * FROM tbl_pur_items WHERE category_id = $HeaderID AND status = '1' AND post_date >= '$start_date' AND post_date <= '$end_date' ORDER BY brand_id ASC");
                    echo "<table style='font-size:14px; width:100%;' class='table table-striped table-bordered table-hover print'>";
                    echo "<thead style='background-color: #f9f9f9;'>";
                    echo "<tr>";
                    echo "<th style='width:5%;'>#</th>";
                    echo "<th style='width:5%;'>Date</th>";
                    echo "<th style='width:5%;'>Categories</th>";
                    echo "<th style='width:15%; text-align:left;'>Invoice No</th>";
                    echo "<th style='width:15%; text-align:left;'>Vendors</th>";
                    echo "<th style='width:15%;'>Section</th>";
                    echo "<th style='width:15%;'>Products</th>";
                    echo "<th style='width:10%; text-align:right;'>Quantity</th>";
                    echo "<th style='width:10%; text-align:right;'>Total Cost</th>";
                    echo "<th style='width:15%; text-align:right;'>GST</th>";
                    echo "</tr>";
                    echo "</thead>";
                    echo "<tbody>";
                    $i = 1;

                    foreach ($Data as $row) {
                        echo "<tr>";
                        echo "<td>$i</td>";
                        echo "<td style='text-align:left;'>" . $row['post_date'] . "</td>";
                        echo "<td>$Header</td>";
                        echo "<td style='text-align:left;'>" . $row['details'] . "</td>";
                        echo "<td>" . showTitle($conn, 'tbl_suppliers', $row['supplier_id']) . "</td>";
                        echo "<td>" . showTitle($conn, 'tbl_brands', $row['brand_id']) . "</td>";
                            // Fetch the title from the function
                            $title = showTitle($conn, 'tbl_items', $row['product_id']);
                            // Conditionally append the remark if it exists and is not empty
                            if (!empty($row['remark'])) {
                            $title .= " (Remarks: " . htmlspecialchars($row['remark']) . ")";}
                        echo "<td>" . $title . "</td>";
                        echo "<td style='text-align:right;'>" . $row['quantity'] . "</td>";
                        echo "<td style='text-align:right;'>" . $row['total_cost'] . "</td>";
                        echo "<td style='text-align:right;'>" . $row['transport_exp'] . "</td>";
                        echo "</tr>";
                        $i++;
                    }

                    echo "</tbody>";
                    echo "</table>";
                }
                ?>
            </div>
        </div>
    </div>
</body>
<script>
    window.onload = function() {
        window.print();
    }
</script>
