<?php

require_once('sessionp.php');
require_once('checkSalesSession.php');

require_once('includes/connection.php');
require_once('includes/functions.php');

$ID = $_GET['id'];

$listR = GetRow(Run($conn, "select * from tbl_products where status = '1' and id = $ID"));

$page = 'printOrder';
$pageRole = 'table';


$i = 1;
$recipeCos = 0; 
$recipeRS = Run($conn,"select * from tbl_recipe where product_id = '$ID' order by id desc");
$recipeRecords = Records($recipeRS);
while($recipeR = GetRow($recipeRS)){
    $itemID = $recipeR['item_id']; 
    $itemUnitR = GetRow(Run($conn, "select * from tbl_items where id = '$itemID' ")); 
     $i;
     showTitle($conn,'tbl_items', $recipeR['item_id']);
     $itemUnitR['price'];
     $recipeR['item_qty'];
   $productID = $recipeR['item_id'];
   $productStock = GetRow(Run($conn,"select price from tbl_items where id = '$productID' order by id desc")); 
   $recipeR['item_qty'] * $productStock['price'];

	$i++; $recipeCos = $recipeCos + ($recipeR['item_qty'] * $productStock['price']); 
	} 
	?>												

<?php 
$number = $listR['total_order'];
$pageTitle 	 = $listR['title'].' - '. 'PKR-'. number_format($recipeCos/$number,0);

?>

<!DOCTYPE html>
<html>
<head>
    <title><?php echo $pageTitle;?></title>
    <style>
        /* Add your custom CSS styles here */
        body {
            font-family: Arial, sans-serif;
            margin: 0;
            padding: 0;
            display: flex;
            justify-content: center;
            align-items: center;
            min-height: 100vh;
            background-color: #f2f2f2;
        }

        .info-container {
            width: 90%;
            max-width: 1600px;
            padding: 1px;
            border-radius: 20px;
            background-color: #ffffff;
            box-shadow: 0 0 20px rgba(0, 0, 0, 0.2);
        }

        .header {
            text-align: center;
            margin-bottom: 2px;
        }

        .header h1 {
            font-size: 30px;
            color: #333;
            margin-bottom: 2px;
        }

        .header p {
            font-size: 24px;
            color: #777;
        }

        .content {
            text-align: left; /* Align content to the left */
        }



        th, td {
            padding: 10px;
            text-align: left;
            border-bottom: 1px solid #ddd;
            font-size: 18px;
            word-wrap: break-word; /* Allow long words to wrap within cells */
        }

        th {
            background-color: #f2f2f2;
            font-size: 22px; /* Increased font size for table headers */
            text-transform: uppercase; /* Uppercase table headers */
        }

        td {
            font-size: 22px; /* Font size for table data */
            text-align: Left; /* Align text to the left within table data cells */
        }

        p {
            font-size: 22px;
            text-align: center;
            margin-top: 8px;
            color: #444;
        }

        .promo {
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;
            margin-top: 0px;
            background-color: #ff9800;
            color: #fff;
            padding: 1px;
            border-radius: 5px;
        }

        @media print {
            body {
                -webkit-print-color-adjust: exact; /* Enable background colors in print */
                background-color: #fff; /* Set a white background for printing */
            }
        }
    </style>
</head>
<body>
    <div class="info-container">
        <div class="header">
            <h1>Recipe Book</h1>
			<h2><?php echo $pageTitle ?></h2>
        </div>
        <div class="content">
                    <div class="table-responsive m-t-35">                        
                        <h3>Main Recipe</h3>
                        <table class="table table-bordered">
                            <thead>
                                <tr>
                                    <th>#</th>
                                    <th>Item Used <small style="color: #333;">(Price Per Unit)</small></th>
                                    <th>Quantity <span class="label_desc">(ML/Gram/Pic)</span></th>
                                    <th>Cost</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php 
                                $i = 1;
                                $recipeCost = 0; 
                                $recipeRS = Run($conn, "select * from tbl_recipe where product_id = '$ID' AND marge_product_id = 0  order by id desc");
                                $recipeRecords = Records($recipeRS);
                                while ($recipeR = GetRow($recipeRS)){
                                    $itemID = $recipeR['item_id']; 
                                    $itemUnitR = GetRow(Run($conn, "select * from tbl_items where id = '$itemID' "));
                                ?>
                                <tr>
                                    <td><?php echo $i; ?></td>
                                    <td><?php echo showTitle($conn, 'tbl_items', $recipeR['item_id']) . ' <small style="color: #333;">(' . $itemUnitR['price'] . ')</small>'; ?></td>
                                    <td width="15%"><?php echo $recipeR['item_qty']/$number; ?></td>
                                    <td width="15%"><?php 
                                    $productID = $recipeR['item_id'];
                                    $productStock = GetRow(Run($conn, "select price from tbl_items where id = '$productID' order by id desc")); 
                                    echo number_format(($recipeR['item_qty'] * $productStock['price'])/($number), 2); ?></td>
                                </tr>
                                <?php $i++; $recipeCost = $recipeCost + ($recipeR['item_qty'] * $productStock['price'])/($number); } ?>
                            </tbody>
                            <thead>
                                <tr>
                                    <th colspan="3" class="text-right"> </th>
                                    <th><?php echo number_format($recipeCost, 2); ?></th>
                                </tr>
                            </thead>
                        </table>
                    </div>

                    <?php
                    $distinctHeaderRS = Run($conn, "SELECT DISTINCT `tbl_recipe`.`marge_product_id` FROM tbl_recipe WHERE product_id = '$ID' AND marge_product_id > 0 ORDER BY id DESC");
                    while ($distinctHeader = GetRow($distinctHeaderRS)) {
                        $headerValue = $distinctHeader['marge_product_id'];
                        
                        // Query the title from tbl_products
                        $titleQuery = "SELECT title FROM tbl_products WHERE id = '$headerValue'";
                        $titleRS = Run($conn, $titleQuery);
                        $titleRow = GetRow($titleRS);
                        $withTitle = $titleRow['title'];
						
                    ?>
                    <div class="table-responsive m-t-35">
                        <h3>Base Recipe: <?php echo $withTitle; ?></h3>
                        <table class="table table-bordered">
                            <thead>
                                <tr>
                                    <th>#</th>
                                    <th>Item Used <small style="color: #333;">(Price Per Unit)</small></th>
                                    <th>Quantity <span class="label_desc">(ML/Gram/Pic)</span></th>
                                    <th>Cost</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php
                                $i = 1;
                                $recipeCost = 0;
                                $recipeRS = Run($conn, "SELECT * FROM tbl_recipe WHERE product_id = '$ID' AND marge_product_id = '$headerValue' ORDER BY id DESC");
                                while ($recipeR = GetRow($recipeRS)) {
                                    $itemID = $recipeR['item_id'];
                                    $itemUnitR = GetRow(Run($conn, "SELECT * FROM tbl_items WHERE id = '$itemID' "));
                                ?>
                                    <tr>
                                        <td><?php echo $i; ?></td>
                                        <td><?php echo showTitle($conn, 'tbl_items', $recipeR['item_id']) . ' <small style="color: #333;">(' . $itemUnitR['price'] . ')</small>'; ?></td>
                                        <td width="15%"><?php echo number_format($recipeR['item_qty']/$number,1); ?></td>
                                        <td width="15%"><?php
                                                        $productID = $recipeR['item_id'];
                                                        $productStock = GetRow(Run($conn, "SELECT price FROM tbl_items WHERE id = '$productID' ORDER BY id DESC"));
                                                        echo number_format(($recipeR['item_qty'] * $productStock['price'])/$number, 2); ?></td>
                                    </tr>
                                <?php
                                    $i++;
                                    $recipeCost = $recipeCost + ($recipeR['item_qty'] * $productStock['price']/($number));
                                } ?>
                            </tbody>
                            <thead>
                                <tr>
                                    <th colspan="3" class="text-right"> </th>
                                    <th><?php echo number_format($recipeCost, 2); ?></th>
                                </tr>
                            </thead>
                        </table>
                    </div>
                    <?php } ?>
                <div class="promo">
                    <h1>Culinary Excellence, Crafted by Bistro Noir!</h1>
                    <p>The chef has carefully read and verified all ingredients and quantities; Chef have approved them for forwarding.</p>
                </div>	
        </div>
    </div>
</body>
</html>
<script>
    window.onload = function() {
        window.print();
    }
</script>

