<?php
$page        = 'calculations';
require_once('sessionp.php');
require_once('includes/connection.php');
require_once('includes/functions.php');

    $ID	         = $_GET['id']; 
    $start_date  = $_GET['start_date'];
    $end_date    = $_GET['end_date'];
	
$module	     = 'employees';

$start_month = date('m', strtotime($start_date));

include 'MasterTop.php';
?>
<style>
  .salary-slip {
    border: 2px solid #444;
    padding: 40px;
    margin-bottom: 20px;
    background-color: #fff;  /* white background */
    border-radius: 20px;
    box-shadow: 0 0 10px rgba(0,0,0,0.1);
  }

  .closing-paragraph {
    border: 2px solid #444;
    padding: 40px;
    margin-bottom: 20px;
    background-color: #fff;  /* white background */
    border-radius: 20px;
    box-shadow: 0 0 10px rgba(0,0,0,0.1);
  }

  h2, h3 {
    color: #000;  /* black color */
    font-size: 2.5rem;  /* increased font size */
  }
  
  h1 {
    color: #000;  /* black color */
    font-size: 2.8rem;  /* increased font size */
  }
  p {
    line-height: 1.0;
    color: #000;  /* black color */
    font-size: 2.1rem;  /* increased font size */
  }

  strong {
    color: #000;  /* black color */
  }

  hr {
    border: 0;
    height: 2px;
    background: #333;
    opacity: 0.5;
  }

        .promo {
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;
            margin-top: 4px;
            background-color: #ff9800;
            color: #fff;
            padding: 10px;
            border-radius: 5px;
        }
        .promo1 {
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;
            margin-top: 20px;
            padding: 1px;
            border-radius: 1px;
        }
</style>
<!DOCTYPE html>
<html>

<head>
    <style>
        @media print {
            .salary-slip {
                page-break-before: always;
                -webkit-print-color-adjust: exact;
                background-color: #fff;				
            }
        }
    </style>
</head>

<body>
    <div class="outer">
        <div class="inner bg-light lter bg-container">
            <div class="row">
                <div class="col-xs-12 data_tables">
                    <div class="card-block p-5">
                        <?php
                        $reportRS = Run($conn, "SELECT c.*, e.joining_date, e.id_card, e.gender FROM tbl_calculations c
                                                INNER JOIN tbl_employees e ON c.id_emp = e.id_emp
                                                WHERE MONTH(c.post_date) = MONTH('$start_date')
                                                AND YEAR(c.post_date) = YEAR('$start_date')");

                        while ($reportR = GetRow($reportRS)) {
                            $reportID = $reportR['id_emp'];		
                            $attendanceJoingResult = Run($conn, "SELECT `joining_date` FROM `tbl_employees` WHERE `id_emp`='$reportID'");
                            $attendanceJoing = GetRow($attendanceJoingResult);
                            $joiningDate = $attendanceJoing['joining_date'];

                            $attendanceLeavingResult = Run($conn, "SELECT Date FROM `tbl_attendance` WHERE `PIN`= '$reportID' ORDER BY `id` DESC LIMIT 1");
                            $attendanceLeaving = GetRow($attendanceLeavingResult);
                            $leavingDate = $attendanceLeaving['Date'];

                            // Calculate the total number of months
                            $joiningDateTime = new DateTime($joiningDate);
                            $leavingDateTime = new DateTime($leavingDate);
                            $interval = $joiningDateTime->diff($leavingDateTime);
                            $workedTotalMonth = $interval->y * 12 + $interval->m; // Total months

                            $annualAvail = $workedTotalMonth * 1;

                            $usedTotal = GetRow(Run($conn, "SELECT sum(`Annual`) As TotalAnnual FROM `tbl_calculations` WHERE `id_emp`='$reportID'"));
                            $usedAnnual = $usedTotal['TotalAnnual'];               

                            $annualBalance = $annualAvail-$usedAnnual;
							
                            $usedBroughtR= GetRow(Run($conn, "SELECT sum(`Get_Previous`) As Get_PreviousR FROM `tbl_calculations` WHERE `id_emp`='$reportID'"));
                            $usedBrought = $usedBroughtR['Get_PreviousR'];
	
                            $Utilized    = $usedAnnual+$usedBrought;
	
										$BroughtR = GetRow(Run($conn, "SELECT Total_reserved FROM `tbl_calculations` WHERE `id_emp`='$reportID' Order by id DESC LIMIT 1"));
                                        $Brought = $BroughtR['Total_reserved'];
										
                                        $Total  = $Brought + $annualAvail;
										$balanceAnnual = $Total - $Utilized;
										
                            echo '<div class="salary-slip" style="margin-top: 20px;">';
                            echo '<div class="promo" style="margin-top: 20px;">';
                            echo '<h1>BISTRO NOIR</h1>';
                            echo '<h4>Unit 3, Street 4, Gol Market, F 7/3, Islamabad</h4>';
							echo '</div>'; // closing .promo							
                            echo '<br>';
                            echo '<h3>Employee Details</h3>';
							echo '<br>';
                            echo '<p class="two-lines">Joining Date: <strong>' . $reportR['joining_date'] . '</strong></p>';
                            echo '<p class="two-lines">ID: <strong>' . $reportR['id_emp'] . '</strong></p>';
                            echo '<p class="two-lines">Name: <strong>' . $reportR['Employee'] . '</strong></p>';
                            echo '<p class="two-lines">Cell: <strong>' . $reportR['cell'] . '</strong></p>';
                            echo '<p class="two-lines">ID Card: <strong>' . $reportR['id_card'] . '</strong></p>';
                            echo '<p class="two-lines">Designation: <strong>' . $reportR['Designation'] . '</strong></p>';
                            echo '<p class="two-lines">Salary P/M: PKR <strong>' . number_format($reportR['Salary']) . '</strong></p>';
                            echo '</div>'; // closing .salary-slip

                            echo '<div class="closing-paragraph">';
                            echo '<p><strong>Dear ' . $reportR['Employee'] . ',</strong></p>';
                            echo '<h4>Please find enclosed your salary details for the month of ' . date('F Y', strtotime($start_date)) . ':</h4>';
                            echo '<br>';
                            echo '<p>Total Worked: <strong>' . $reportR['Worked'] . (floor($reportR['Worked']) != 1 ? ' days' : ' day') . '</strong></p>';

                            if ($reportR['Mis_Count'] > 0) {
                                echo '<p>Absence Of Fingerprint: <strong>' . $reportR['Mis_Count'] . ($reportR['Mis_Count'] != 1 ? ' days' : ' day') . '</strong></p>';
                            }

                            if ($reportR['Get_Previous'] > 0) {
                                echo '<p>Previous Untaken Utilized This Month: <strong>' . $reportR['Get_Previous'] . ($reportR['Get_Previous'] != 1 ? ' days' : ' day') . '</strong></p>';
                            }

                            if ($reportR['Annual'] > 0) {
                                echo '<p>Utilized Annual: <strong>' . $reportR['Annual'] . ($reportR['Annual'] != 1 ? ' days' : ' day') . '</strong></p>';
                            }

                            if ($reportR['public_holidays'] > 0) {
                                echo '<p>Public Holidays: <strong>' . $reportR['public_holidays'] . ($reportR['public_holidays'] != 1 ? ' days' : ' day') . '</strong></p>';
                            }

                            echo '<p>Monthly Leaves Allocated Based on Worked Days:  <strong>' . number_format($reportR['Lieu_Avail_In_Month'], 2) . (floor($reportR['Lieu_Avail_In_Month']) != 1 ? ' days.' : ' day.') . '</strong></p>';
                            echo '<p> Total Payable: <strong>' . number_format($reportR['Payable_Days'], 2) . (floor($reportR['Payable_Days']) != 1 ? ' days.' : ' day.') . '</strong></p>';

                            if ($reportR['Bonus'] > 0) {
                                echo '<p>Bonus:  <strong>' . number_format($reportR['Bonus'], 0) . ' PKR</strong></p>';
                            }

                            if ($reportR['OverTime'] > 0) {
                                echo '<p>Overtime: <strong>' . number_format($reportR['OverTime'], 0) . ' PKR</strong></p>';
                            }

                            echo '<p>Gross Salary: <strong>' . number_format($reportR['Earned_Bonus'], 0) . ' PKR</strong>.</p>';

                            if ($reportR['Advance'] > 0) {
                                echo '<p>Advance Paid: <strong>' . number_format($reportR['Advance'], 0) . ' PKR</strong> has already been disbursed to you.</p>';
                                echo '<p>Net Payable: <strong>' . number_format($reportR['Payable'], 0) . ' PKR</strong>.</p>';
                            }
                            echo '</div>'; // closing .salary-slip
							
                            echo '<div class="closing-paragraph">';
                            echo '<p><strong>Leave Overview</strong></p>';
                            echo '<h4>Attached is your leave summary until ' . date('t F Y', strtotime($start_date)) . ':</h4>';
                            echo '<br>';
							
                                $dayOrDays = (($reportR['Total_reserved'] - $reportR['Get_Previous']) != 1) ? ' days' : ' day';
                                $OneLeaves = (($reportR['Total_reserved'] - $reportR['Get_Previous']) != 1) ? ' Leaves' : ' Leave';
								
                                echo '<p>Brought Forward Annual Leave: <strong>' . $annualBalance . $dayOrDays . '</strong></p>';
								
								echo '<p>Brought Forward From Montly Leave: <strong>' . ($reportR['Total_reserved'] - $reportR['Get_Previous']) . $dayOrDays . '</strong></p>';
                                                              
                                echo '<p>Also Includes Brought Forward From Montly Leave: <strong>' . $reportR['Now_reserved'] . $dayOrDays . '</strong> from ' . date("F, Y", strtotime($start_date)) . '.</p>';
                                
								echo '<p>Total Brought Forward <small>(Montly Leave and Annual)</small>: <strong>' . ($annualBalance + $reportR['Total_reserved'] - $reportR['Get_Previous']) . $dayOrDays . '</strong></p>';
                            
                            echo '</div>'; // closing .salary-slip		
							
                            echo '<br>';
                            echo '<br>';
                            echo '<p>Yours sincerely,</p>';
                            echo '<p>Bistro Noir</p>';
                            echo '<br>';
							echo '<br>';
                            echo '<br>';
                            echo '<p>__________________________________</p>';
							echo '<p>';
                            echo $reportR['gender'] == 'Male' ? 'Mr.' : 'Ms.';
                            echo ' ' . $reportR['Employee'] . ' Signature/Thumbprint</p>';
                        }
                        ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <script>
        window.onload = function() {
            window.print();
        }
    </script>
</body>
</html>