<?php
$page        = 'calculations';
require_once('sessionp.php');
require_once('includes/connection.php');
require_once('includes/functions.php');

    $ID	         = $_GET['id']; 
    $start_date  = $_GET['start_date'];
    $end_date    = $_GET['end_date'];
	
$module	     = 'employees';

$start_month = date('m', strtotime($start_date));

include 'MasterTop.php';
?>
<style>
  .salary-slip {
    border: 2px solid #444;
    padding: 40px;
    margin-bottom: 20px;
    background-color: #fff;  /* white background */
    border-radius: 20px;
    box-shadow: 0 0 10px rgba(0,0,0,0.1);
  }

  .closing-paragraph {
    border: 2px solid #444;
    padding: 40px;
    margin-bottom: 20px;
    background-color: #fff;  /* white background */
    border-radius: 20px;
    box-shadow: 0 0 10px rgba(0,0,0,0.1);
  }

  h2, h3 {
    color: #000;  /* black color */
    font-size: 2.5rem;  /* increased font size */
  }
  
  h1 {
    color: #000;  /* black color */
    font-size: 2.8rem;  /* increased font size */
  }
  p {
    line-height: 1.0;
    color: #000;  /* black color */
    font-size: 2.1rem;  /* increased font size */
  }

  strong {
    color: #000;  /* black color */
  }

  hr {
    border: 0;
    height: 2px;
    background: #333;
    opacity: 0.5;
  }

        .promo {
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;
            margin-top: 4px;
            background-color: #ff9800;
            color: #fff;
            padding: 10px;
            border-radius: 5px;
        }
        .promo1 {
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;
            margin-top: 20px;
            padding: 1px;
            border-radius: 1px;
        }
</style>
<!DOCTYPE html>
<html>

<head>
    <style>
        @media print {
            .salary-slip {
                page-break-before: always;
                -webkit-print-color-adjust: exact;
                background-color: #fff;				
            }
        }
    </style>
</head>

<body>
    <div class="outer">
        <div class="inner bg-light lter bg-container">
            <div class="row">
                <div class="col-xs-12 data_tables">
                    <div class="card-block p-5">
<?php
echo '<table class="salary-table">';
echo '<thead>';
echo '<tr>';
echo '<th>ID</th>';
echo '<th>Brought Forward Annual Leave</th>';
echo '<th>Brought Forward From Monthly Leave</th>';
echo '</tr>';
echo '</thead>';

echo '<tbody>'; // Table body start

$reportRS = Run($conn, "SELECT c.*, e.joining_date, e.id_card, e.gender FROM tbl_calculations c
                        INNER JOIN tbl_employees e ON c.id_emp = e.id_emp
                        WHERE MONTH(c.post_date) = MONTH('$start_date')
                        AND YEAR(c.post_date) = YEAR('$start_date')");

while ($reportR = GetRow($reportRS)) {
    $reportID = $reportR['id_emp'];		
    $attendanceJoingResult = Run($conn, "SELECT `joining_date` FROM `tbl_employees` WHERE `id_emp`='$reportID'");
    $attendanceJoing = GetRow($attendanceJoingResult);
    $joiningDate = $attendanceJoing['joining_date'];

    $attendanceLeavingResult = Run($conn, "SELECT Date FROM `tbl_attendance` WHERE `PIN`= '$reportID' ORDER BY `id` DESC LIMIT 1");
    $attendanceLeaving = GetRow($attendanceLeavingResult);
    $leavingDate = $attendanceLeaving['Date'];

    // Calculate the total number of months
    $joiningDateTime = new DateTime($joiningDate);
    $leavingDateTime = new DateTime($leavingDate);
    $interval = $joiningDateTime->diff($leavingDateTime);
    $workedTotalMonth = $interval->y * 12 + $interval->m; // Total months

    $annualAvail = $workedTotalMonth * 1;

    $usedTotal = GetRow(Run($conn, "SELECT sum(`Annual`) As TotalAnnual FROM `tbl_calculations` WHERE `id_emp`='$reportID'"));
    $usedAnnual = $usedTotal['TotalAnnual'];               

    $annualBalance = $annualAvail-$usedAnnual;

    $usedBroughtR= GetRow(Run($conn, "SELECT sum(`Get_Previous`) As Get_PreviousR FROM `tbl_calculations` WHERE `id_emp`='$reportID'"));
    $usedBrought = $usedBroughtR['Get_PreviousR'];

    $Utilized    = $usedAnnual+$usedBrought;

    $BroughtR = GetRow(Run($conn, "SELECT Total_reserved FROM `tbl_calculations` WHERE `id_emp`='$reportID' Order by id DESC LIMIT 1"));
    $Brought = $BroughtR['Total_reserved'];

    $Total  = $Brought + $annualAvail;
    $balanceAnnual = $Total - $Utilized;

    echo '<tr>';
    echo '<td>' . $reportR['id_emp'] . '</td>'; // ID
    echo '<td>' . $annualBalance . $dayOrDays . '</td>'; // Brought Forward Annual Leave
    echo '<td>' . ($reportR['Total_reserved'] - $reportR['Get_Previous']) . $dayOrDays . '</td>'; // Brought Forward From Monthly Leave
    echo '</tr>';
}

echo '</tbody>'; // Table body end

echo '</table>';
?>

                    </div>
                </div>
            </div>
        </div>
    </div>
    <script>
        window.onload = function() {
            window.print();
        }
    </script>
</body>
</html>