<?php 
$page = 'payablesummary';

require_once('sessionp.php');
require_once('includes/connection.php');
require_once('includes/functions.php');

    $start_date  = $_GET['start_date'];
    $end_date    = $_GET['end_date'];


$module	     = 'employees';

$pageTitle   = 'Summary ('.$start_date.' to '.$end_date.')';


include 'MasterTop.php';

?>
<style>
.buttons-print {
	border: 1px solid;
	padding: 5px 10px;
	border-radius: 3px;
}
</style>
<style>
  /* Increase font size for table headings */
  table th {
    font-size: 30px; /* Adjust this value as needed */
  }

  /* Increase font size for table data cells */
  table td {
    font-size: 40px; /* Adjust this value as needed */
  }
  body {
    font-size: 40px; /* Adjust this value as needed */
  }
  @media print {
    table tfoot {
        display: table-row-group; /* Ensure the footer is treated as a single group */
        page-break-inside: avoid; /* Avoid breaking the footer across pages */
    }
}
</style>
<body>
    <?php include 'Header.php'; ?>
    <div class="outer">
        <div class="inner bg-light lter bg-container">
            <div class="row">
                <div class="col-lg-12" style="margin-bottom:10px;">
                    <div class="card">
                        <div class="card-header bg-white"> Online Payable Services</div>
                        <div class="card-block">
                            <div class="row">
                                <div class="col-lg-12" style="padding:10px;">  
                                    <table class="table table-striped table-bordered table-hover">
                                        <thead>
                                            <tr>
                                                <th style="margin-top:30px;">id</th>
                                                <th style="margin-top:30px;">Name</th>
                                                <th style="margin-top:30px;">Designation</th>
                                                <th style="margin-top:30px;">Title Name</th>            
                                                <th style="margin-top:30px;">Bank Name</th>
                                                <th style="margin-top:30px;">Account Number</th>
                                                <th style="margin-top:30px;">Payable</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <?php
                                            $reportRS = Run($conn, "SELECT * FROM tbl_services_calculations WHERE status='Active' AND MONTH(post_date) = MONTH('$start_date') AND YEAR(post_date) = YEAR('$start_date') AND Transfer_Option='Yes'");
                                            
                                            $i = 1;
                                            $totalPayable = 0; // Initialize a variable to store the sum of payable
                                            
                                            while ($reportR = GetRow($reportRS)) {
                                                $reportID = $reportR['id_ser'];
                                                $totalPayable += $reportR['salary']; // Add the payable amount to the total
                                            ?>
                                                <tr>
                                                    <td><?php echo $reportID; ?></td>
                                                    <td><?php echo $reportR['name']; ?></td>
                                                    <td><?php echo $reportR['designation']; ?></td>
                                                    <td><?php echo $reportR['title']; ?></td>                
                                                    <td><?php echo $reportR['bank_name']; ?></td>
                                                    <td><?php echo $reportR['account']; ?></td>
                                                    <td><?php echo number_format($reportR['salary'], 2); ?></td>
                                                </tr>
                                            <?php } ?>
                                        </tbody>
                                        <tfoot>
                                            <tr>
                                                <th colspan="6" style="text-align: right; font-size: 16px; font-weight: bold;">Total Payable:</th>
                                                <td style="font-size: 16px; font-weight: bold;"><?php echo number_format($totalPayable, 2); ?></td>
                                            </tr>
                                        </tfoot>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-lg-12" style="margin-bottom:10px;">
                    <div class="card">
                        <div class="card-header bg-white"> Net Payable Services</div>
                        <div class="card-block">
                            <div class="row">
                                <div class="col-lg-12" style="padding:10px;">  
                                    <table class="table table-striped table-bordered table-hover">
                                        <thead>
                                            <tr>
                                                <th>id</th>
                                                <th>Name</th>
                                                <th>Designation</th>			
                                                <th>Payable</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <?php
                                            $reportRS = Run($conn, "SELECT * FROM tbl_services_calculations WHERE status='Active' and MONTH(post_date) = MONTH('$start_date') AND YEAR(post_date) = YEAR('$start_date') AND Transfer_Option NOT IN ('Yes')");
                                            $i = 1;
                                            $totalPayable = 0; // Initialize a variable to store the sum of payable
                                            while ($reportR = GetRow($reportRS)) {
                                                $reportID = $reportR['id_ser'];
                                                $totalPayable += $reportR['salary']; // Add the payable amount to the total
                                            ?>
                                                <tr>
                                                    <td style="padding:120px;"><?php echo $reportID; ?></td>
                                                    <td style="padding:120px;"><?php echo $reportR['name']; ?></td>
                                                    <td style="padding:120px;"><?php echo $reportR['designation']; ?></td>				
                                                    <td style="padding:120px;"><?php echo number_format($reportR['salary'], 2); ?></td>
                                                </tr>
                                            <?php } ?>
                                        </tbody>
                                        <tfoot>
                                            <tr>
                                                <th colspan="3" style="text-align: right; font-size: 16px; font-weight: bold;">Total Payable:</th>
                                                <td style="font-size: 16px; font-weight: bold;"><?php echo number_format($totalPayable, 2); ?></td>
                                            </tr>
                                        </tfoot>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>							
            </div>
            <!-- /.inner --> 
        </div>
        <!-- /.outer --> 
    </div>
    <!-- /#content --> 
</body>
<script>
    window.onload = function() { window.print(); }
</script>
