<?php 

$page		  = 'supplierStore';

require_once('sessionp.php');
require_once('checkAccountsSession.php');

require_once('includes/connection.php');
require_once('includes/functions.php');

$ID		     = $_GET['id'];

$listR   = GetRow(Run($conn,"select * from tbl_suppliers where id = $ID"));
$CreditR = GetRow(Run($conn,"SELECT SUM(cr) - SUM(dr) AS balance FROM tbl_purchases WHERE supplier_id = '$ID' ORDER BY id ASC;"));

$module		   = 'Demand';
$pageTitle 	   = $listR['title'].' Credit PKR-'.$CreditR['balance']; 
$pageTitl 	   = $listR['title'];

?>
<style>
.body{ background-color:#FFFFFF !important; color:#000000 !important; font-family:Arial, Helvetica, sans-serif !important; font-size:30px; 
}
.Wrap, #wrap {
    margin:0 !important;
    position: relative;
}
.print{
    page-break-after: always;

}
.print:last-child {
     page-break-after: auto;
}

</style>
<style>
        .invoice-container {
            max-width: 900px;
            margin: 0 auto;
            padding: 20px;
            border: 1px solid #ddd;
        }
  .rounded-box {
    border: 1px solid #000; /* Set the border properties */
    border-radius: 10px; /* Adjust the border-radius to control the roundness */
    padding: 20px; /* Add padding to the content inside the box */
  }
</style>

<?php 
include 'MasterTop.php';  
?>
<head>
    <title>Payment Slip For Supplier</title>
</head>

<body style="max-width: 900px; margin: 0 auto; padding: 20px;">
    <div class="invoice-title">
        <h2 style="text-align:center;">Payment Slip For Supplier</h2>
    </div>
    <h3 style="text-align:center;"><?php echo date("l, F j, Y H:i:s"); ?></h3>
    <h3 style="text-align:center;"><?php echo $pageTitle ?></h3>
    <div class="row">
        <!-- Purchase details -->
        <div class="col-md-6">
            <h5 class="card-header" style="font-size: 22px;">Purchase Details</h5>
            <table class="table table-striped table-bordered table-hover" id="purchase_details"
                style="border: 1px solid #000; border-radius: 10px; padding: 20px;">
                <thead>
                    <tr>
                        <th>#</th>
                        <th>Purchases Date</th>
                        <th>Invoice</th>
                        <th style="text-align:left;">Bill Amount (Rs)</th>
                    </tr>
                </thead>
                <tbody>
                    <?php
                    $i = 1;
                    $totalPurchaseSum = 0;
                    $listRS = Run($conn, "SELECT * FROM tbl_purchases WHERE supplier_id = '$ID' ORDER BY id DESC");
                    while ($listRM = mysqli_fetch_assoc($listRS)) {
                        $bill_id = $listRM['id'];
                        $purchasesR = GetRow(Run($conn, "SELECT SUM(cr) AS bill_amount FROM tbl_purchases WHERE id = '$bill_id' "));
                        $Total = $purchasesR['bill_amount'];
                        $totalPurchaseSum += $Total; // Accumulate the total
                    ?>
                    <tr>
                        <td width="5%"><?php echo $i++; ?></td>
                        <td width="9%"><?php echo $listRM['post_date']; ?></td>
                        <td width="5%"><?php echo $bill_id; ?></td>
                        <td width="12%" style="text-align:left;"><?php echo number_format($Total); ?></td>
                    </tr>
                    <?php } ?>
                </tbody>
                <tfoot>
                    <tr>
                        <td colspan="3" style="text-align:right;"><strong>Total Purchase Amount</strong></td>
                        <td style="text-align:left;"><strong><?php echo number_format($totalPurchaseSum, 1); ?></strong></td>
                    </tr>
                </tfoot>
            </table>
        </div>
        <!-- Payment details -->
        <div class="col-md-6">
            <h5 class="card-header" style="font-size: 22px;">Payment Details</h5>
            <table class="table table-striped table-bordered table-hover" id="payment_details"
                style="border: 1px solid #000; border-radius: 10px; padding: 20px;">
                <thead>
                    <tr>
                        <th>#</th>
                        <th>Payment Date</th>
                        <th>Invoice</th>
                        <th style="text-align:left;">Paid Amount (Rs)</th>
                    </tr>
                </thead>
                <tbody>
                    <?php
                    $j = 1;
                    $totalPaidSum = 0;
                    $paymentsRS = Run($conn,
                        "SELECT bill_id, post_date, SUM(dr) AS total_dr FROM tbl_sup_payments WHERE supplier_id = '$ID' GROUP BY bill_id, post_date HAVING total_dr > 1 ORDER BY bill_id DESC");

                    while ($paymentR = mysqli_fetch_assoc($paymentsRS)) {
                        $bill_id = $paymentR['bill_id'];

                        // Fetch the sum of cr values for the current bill_id
                        $crSumRS = Run($conn,
                            "SELECT SUM(cr) AS total_cr, SUM(dr) AS total_dr  FROM tbl_sup_payments WHERE supplier_id = '$ID' AND bill_id = '$bill_id'");
                        $crSumR = mysqli_fetch_assoc($crSumRS);
                        $total_dr = $crSumR['total_dr'];

                        $totalPaidSum += $paymentR['total_dr']; // Accumulate the total balance
                    ?>
                    <tr>
                        <td width="5%"><?php echo $j++; ?></td>
                        <td width="9%"><?php echo $paymentR['post_date']; ?></td>
                        <td width="5%"><?php echo $bill_id; ?></td>
                        <td width="12%" style="text-align:left;"><?php echo number_format($paymentR['total_dr'], 2); ?></td>
                    </tr>
                    <?php
                    }
                    ?>
                </tbody>
                <tfoot>
                    <tr>
                        <td colspan="3" style="text-align:right;"><strong>Total Paid Amount</strong></td>
                        <td style="text-align:left;"><strong><?php echo number_format($totalPaidSum, 2); ?></strong></td>
                    </tr>
                </tfoot>
            </table>
        </div>
    </div>
</body>
    <script>
        window.onload = function() {
            window.print();
        }
    </script>