<?php 
require_once('../sessionp.php');
require_once('../includes/connection.php');
require_once('../includes/functions.php');

$bill_id   = $_SESSION['bill_id'];  
$bcheck    = getValue('bcheck');
$post_date = getValue('post_date');
if($bcheck == 'true')
{ 
    $temp_itemsRS   = Run($conn, "select * from tbl_tmp_pur_items where status=1 and bill_id='$bill_id'");
    $temp_billR     = GetRow(Run($conn, "select * from tbl_tmp_purchases where id = '$bill_id'"));
    $tb_hash        = $temp_billR['hash'];
    $tb_supplier_id = $temp_billR['supplier_id'];
    $tb_cr          = $temp_billR['cr'];
    $tb_dr          = $temp_billR['dr']; 
    $tb_details     = $temp_billR['details'];
    $tb_transport   = $temp_billR['transport'];
    $tb_type        = $temp_billR['type'];
	$Method_title   = $temp_billR['Method'];
	$Paid_title     = $temp_billR['PaidBy'];	
    $supplierR      = GetRow(Run($conn, "select title from tbl_suppliers where id = '$tb_supplier_id'"));
    $insert_bill    = Run($conn, "insert into tbl_purchases set
        id             = '$bill_id',
        hash           = '$tb_hash', 
        supplier_id    = '$tb_supplier_id', 
        cr             = '$tb_cr',
        dr             = '$tb_cr',													  
        details        = '$bill_id', 
        transport      = '$tb_transport', 
        type           = 'Paid', 
		Method         = '$Method_title',
   	    PaidBy         = '$Paid_title',		
        post_date      = '$post_date',  
        post_time      = '$post_time', 
        status         = '1'");
    $billConfirmID = mysqli_insert_id($conn);
    
    while($temp_itemsR = GetRow($temp_itemsRS)){
        $product_id    = $temp_itemsR['product_id'];
        $productR      = GetRow(Run($conn, "select category_id, brand_id, unit, title from tbl_items where id = '$product_id'"));  
        $unitR         = GetRow(Run($conn, "select title from tbl_units where id = ".$productR['unit']));
        $category_id   = $productR['category_id'];
        $brand_id      = $productR['brand_id']; 
        $p_unit        = $productR['unit']; 
        $quantity      = $temp_itemsR['quantity'];
        $trans_cost    = $temp_itemsR['transport_cost'];
        $labor_cost    = $temp_itemsR['labor_cost'];
	    $remark        = $temp_itemsR['remark'];
        $supplier_cost = $temp_itemsR['supplier_cost'];
        
        if($tb_transport == 0)
        {
            if($tb_type == 1)
            {
                $total_cost  = $temp_itemsR['supplier_cost'];	
            }
            else
            {
                $total_cost  = $temp_itemsR['supplier_cost'] + $temp_itemsR['transport_cost'] + $temp_itemsR['labor_cost'];	
            }
        }
        else
        {
            $total_cost  = $temp_itemsR['supplier_cost'] + $temp_itemsR['labor_cost'];
        }
        
        $unit_cost   = $total_cost / $quantity; 
        $strSQL = "insert into tbl_pur_items set
            type                = '$tb_type',
            transport_type      = '$tb_transport',
            category_id         = '$category_id',
            bill_id             = '$bill_id',
            brand_id            = '$brand_id',
            product_id          = '$product_id',
            unit                = '$p_unit', 
            supplier_id         = '$tb_supplier_id', 
            quantity            = '$quantity', 
            supplier_cost       = '$supplier_cost', 
            transport_exp       = '$trans_cost', 
            labor_exp           = '$labor_cost', 
            unit_cost           = '$unit_cost', 
            total_cost          = '$total_cost', 
            details             = '$bill_id',
			remark              = '$remark',
            post_date           = '$post_date',
            post_time           = '$post_time',
            status              = '1'";
        Run($conn, $strSQL);  
        $purchaseID = mysqli_insert_id($conn); 
        
        if($tb_type == 0)
        {   
            $descTitle     = "Purchase";
            $bill_desc     = 'Purchase ID: '.$bill_id.' - '.$quantity. ' '.$unitR['title'].' of '.$productR['title'];
            $supplier_cost = $temp_itemsR['supplier_cost']; 
            
            $total_supplier_R = GetRow(Run($conn, "select sum(cr) as total_supplier_cr, sum(dr) as total_supplier_dr from tbl_sup_payments where supplier_id = '$tb_supplier_id'"));
            $total_supplier_cr = $total_supplier_R['total_supplier_cr'] + $supplier_cost;
            $total_supplier_dr = $total_supplier_R['total_supplier_dr']; 
            $total_supplier_balance = $total_supplier_cr - $total_supplier_cr;
            
            // Supplier Payments Table
            $strSQL = "insert into tbl_sup_payments set
                bill_id         = '".($bill_id)."',
                supplier_id     = '".($tb_supplier_id)."',
                cr              = '".($supplier_cost)."',
                dr              = '".($supplier_cost)."',
                balance         = '".($total_supplier_balance)."',
                description     = '".($bill_desc)."',
			    Method          = '$Method_title',
	    		PaidBy          = '$Paid_title',				
                post_date       = '$post_date',
                post_time       = '$post_time',
                status          = '1'";
            Run($conn, $strSQL); 
        }//end of statement for tb_type
        else
        { 
            $descTitle = "Purchase Return";
            $bill_desc = $bill_id;
            
            $total_supplier_R = GetRow(Run($conn, "select sum(cr) as total_supplier_cr, sum(dr) as total_supplier_dr from tbl_sup_payments where supplier_id = '$tb_supplier_id'"));
            $total_supplier_cr = $total_supplier_R['total_supplier_cr'];
            $total_supplier_dr = $total_supplier_R['total_supplier_dr'] + $supplier_cost; 
            $total_supplier_balance = $total_supplier_cr - $total_supplier_dr;
            
            // Supplier Payments Table
            $strSQL = "insert into tbl_sup_payments set
                bill_id         = '".($bill_id)."',
                supplier_id     = '".($tb_supplier_id)."',
                dr              = '".($supplier_cost)."',
                balance         = '".($total_supplier_balance)."',
                description     = '".($bill_desc)."',
				Method          = '$Method_title',
	    		PaidBy          = '$Paid_title',
                post_date       = '$post_date',
                post_time       = '$post_time',
                status          = '1'";
            Run($conn, $strSQL);
        }//end of else statement for tb_type 
       
        //Expense Treatment
        // insert into daily register
        $cash_flow_desc = 'Expense for '.$descTitle.' (Purchase ID: '.$bill_id.') of '.$productR['title'];
        $cashFlowBalanceR = GetRow(Run($conn, "select sum(dr) as debitCash, sum(cr) as creditCash from tbl_daily_cash where status = '1' and post_date = '$post_date'"));
        $debitCash  = $cashFlowBalanceR['debitCash'];
        $creditCash = $cashFlowBalanceR['creditCash'];
        
        if($tb_transport == 0)
        {
            $purchase_expenses = $temp_itemsR['transport_cost'] + $temp_itemsR['labor_cost'];
            $cash_flow_desc = 'Expense ('.$temp_itemsR['transport_cost'].'+'.$temp_itemsR['labor_cost'].') for '.$descTitle.' (No: '.$bill_id.') of '.$productR['title'];
            if($purchase_expenses > 0)
            {
                $creditCash = $creditCash + $purchase_expenses;
                $cashBalance = $debitCash - $creditCash;
                $cashFlowSQL = "insert into tbl_daily_cash set 
                    description = '$cash_flow_desc', 
                    dr          = '$purchase_expenses', 
                    cr          = '$purchase_expenses', 
                    balance     = '$cashBalance',
                    post_date   = '$post_date', 
                    post_time   = '$post_time', 
                    month       = '$post_month', 
                    year        = '$post_year',
                    status      = '1'";
                Run($conn, $cashFlowSQL);	 
            }
        }
        else
        {
            $cashFlowBalanceR = GetRow(Run($conn, "select sum(dr) as debitCash, sum(cr) as creditCash from tbl_daily_cash where status = '1' and post_date = '$post_date'"));
            $debitCash  = $cashFlowBalanceR['debitCash'];
            $creditCash = $cashFlowBalanceR['creditCash'];
            
            $purchase_expenses = $temp_itemsR['labor_cost'];
            if($purchase_expenses > 0)
            {
                $creditCash = $creditCash + $purchase_expenses;
                $cashBalance = $debitCash - $creditCash;
                $cashFlowSQL = "insert into tbl_daily_cash set 
                    description = '$cash_flow_desc', 
                    dr          = '$purchase_expenses', 
                    cr          = '$purchase_expenses', 
                    balance     = '$cashBalance',
                    post_date   = '$post_date', 
                    post_time   = '$post_time', 
                    month       = '$post_month', 
                    year        = '$post_year',
                    status      = '1'";
                Run($conn, $cashFlowSQL); 
            }

            if($trans_cost > 0)
            {
                $cash_flow_desc = 'Transportation payment on behalf of '.$supplierR['title'].' for Purchase (#'.$bill_id.') of '.$productR['title'];
                $cashFlowBalanceR = GetRow(Run($conn, "select sum(dr) as debitCash, sum(cr) as creditCash from tbl_daily_cash where status = '1' and post_date = '$post_date'"));
                $debitCash  = $cashFlowBalanceR['debitCash'];
                $creditCash = $cashFlowBalanceR['creditCash'];
                $creditCash = $creditCash + $trans_cost;
                $cashBalance = $debitCash - $creditCash;
                $cashFlowSQL = "insert into tbl_daily_cash set 
                    description = '$cash_flow_desc', 
                    dr          = '$trans_cost', 
                    cr          = '$trans_cost', 
                    balance     = '$cashBalance',
                    post_date   = '$post_date', 
                    post_time   = '$post_time', 
                    month       = '$post_month', 
                    year        = '$post_year',
                    status      = '1'";
                Run($conn, $cashFlowSQL);  
            }
        }
        //Expense Treatment End
        
        //Stock Section
        $stockDairyRS = Run($conn, "select balance_quantity, balance_cost from tbl_stock_dairy where product_id = '$product_id' order by id desc limit 1");
        if(Records($stockDairyRS) == 0)
        {   
            if($tb_type == 0)
            {  
                $description = "Purchase: ".$bill_id;
                $stockSQL = "insert into tbl_stock_dairy set
                    type                = '$tb_type',
                    product_id          = '$product_id',
                    in_id               = '$bill_id',
                    in_quantity         = '$quantity',
                    in_cost             = '$unit_cost',
                    balance_quantity    = '$quantity',
                    balance_cost        = '$unit_cost',
                    post_date           = '$post_date',
                    post_time           = '$post_time',
                    description         = '$description', 
                    status              = '1'";
                Run($conn, $stockSQL); 
            }
            else
            {
                $description = "P. Return: ".$bill_id;
                $stockSQL = "insert into tbl_stock_dairy set
                    type                = '$tb_type',
                    product_id          = '$product_id',
                    out_id              = '$bill_id',
                    out_quantity        = '$quantity',
                    out_cost            = '$unit_cost',
                    balance_quantity    = '$quantity',
                    balance_cost        = '$unit_cost',
                    post_date           = '$post_date',
                    post_time           = '$post_time',
                    description         = '$description',
                    status              = '1'";
                Run($conn, $stockSQL); 
            }
        } //end of (if records in stock is 0)
        else
        {
            $stockDairyR = GetRow($stockDairyRS);
            if($tb_type == 0)
            {
                $last_balanced_quantity  = $stockDairyR['balance_quantity'];
                $last_balanced_cost      = $stockDairyR['balance_cost'];
                if ($last_balanced_quantity > 0) {
                    $last_balanced_amount   = $last_balanced_quantity * $last_balanced_cost;
                    $new_in_stock_amount    = $temp_itemsR['supplier_cost'] +
                                              $temp_itemsR['transport_cost'] +
                                              $temp_itemsR['labor_cost'];
                    $new_in_stock_quantity  = $quantity;
                    $balanced_amount        = $last_balanced_amount + $new_in_stock_amount;
                    $balanced_quantity      = $last_balanced_quantity + $new_in_stock_quantity;
                    $balanced_cost          = $balanced_amount / $balanced_quantity;
                } else if ($last_balanced_quantity == 0) {
                    $last_balanced_amount   = 0;
                    $new_in_stock_amount    = $temp_itemsR['supplier_cost'] +
                                              $temp_itemsR['transport_cost'] +
                                              $temp_itemsR['labor_cost'];
                    $new_in_stock_quantity  = $quantity;
                    $balanced_amount        = $new_in_stock_amount;
                    $balanced_quantity      = $quantity;
                    $balanced_cost          = $balanced_amount / $balanced_quantity;
                } else if ($last_balanced_quantity < 0) {
                    $last_balanced_amount   = 0;
                    $new_in_stock_amount    = $temp_itemsR['supplier_cost'] +
                                              $temp_itemsR['transport_cost'] +
                                              $temp_itemsR['labor_cost'];
                    $new_in_stock_quantity  = $quantity;
                    $balanced_quantity      = $last_balanced_quantity + $new_in_stock_quantity;
                    $balanced_cost          = $new_in_stock_amount / $new_in_stock_quantity;
                    $balanced_amount        = $new_in_stock_amount * $new_in_stock_quantity;
                }

                $description              = "Purchase : " . $bill_id;

                $stockSQL = "insert into tbl_stock_dairy set
                                                    type                = '$tb_type',
                                                    product_id          = '$product_id',
                                                    in_id                = '$bill_id',
                                                    in_quantity          = '$quantity',
                                                    in_cost              = '$unit_cost',
                                                    balance_quantity     = '$balanced_quantity',
                                                    balance_cost         = '$balanced_cost',
                                                    post_date            = '$post_date',
                                                    post_time            = '$post_time',
                                                    description          = '$description', 
                                                    status               = '1'";
                Run($conn, $stockSQL); 
            } // stock section > end if (if type is 0)

            if ($tb_type == 1) {
                $last_balanced_quantity  = $stockDairyR['balance_quantity'];
                $last_balanced_cost      = $stockDairyR['balance_cost'];
                $last_balanced_amount    = $last_balanced_quantity * $last_balanced_cost;
                if ($tb_transport == 0) {
                    $new_out_stock_amount = $temp_itemsR['supplier_cost'];
                } else {
                    $new_out_stock_amount = $temp_itemsR['supplier_cost'];
                }
                $new_out_stock_quantity   = $quantity;
                $balanced_amount          = $last_balanced_amount - $new_out_stock_amount;
                $balanced_quantity        = $last_balanced_quantity - $new_out_stock_quantity;
                $balanced_cost            = $balanced_amount / $balanced_quantity; 
                $description              = "P. Return: " . $bill_id;
                $stockSQL = "insert into tbl_stock_dairy set
                                                    type                = '$tb_type',
                                                    product_id          = '$product_id',
                                                    out_id               = '$bill_id',
                                                    out_quantity         = '$quantity',
                                                    out_cost             = '$unit_cost',
                                                    balance_quantity     = '$balanced_quantity',
                                                    balance_cost         = '$balanced_cost',
                                                    post_date            = '$post_date',
                                                    post_time            = '$post_time',
                                                    description          = '$description', 
                                                    status               = '1'";
                Run($conn, $stockSQL);
            } // stock section > end if (if type is 1)
        }
        // stock section > end if (if type is 0)
    }//while    
    Run($conn, "delete from tbl_tmp_purchases where id = '$bill_id'");
    Run($conn, "delete from tbl_tmp_pur_items where bill_id = '$bill_id'");
    $_SESSION['bill_id'] = ''; 
     redirect_to("../buy?autofocus=true&post_date=" . urlencode($post_date), 'success', 'purchase-inserted');
} //bcheck
?>
