<?php
require_once('../sessionp.php');
require_once('../includes/connection.php');
require_once('../includes/functions.php');

$start_date = getValue('start_date');
$get_date = getValue('end_date');
$end_date = date("Y-m-t", strtotime($get_date));

$reportRS = Run($conn, "SELECT * FROM tbl_employees WHERE id_emp NOT IN (121, 122) AND tbl_employees.status = 'Active'");
$i = 1;

                                    while ($reportR = GetRow($reportRS)) {
                                        $reportID = $reportR['id_emp']; 
                                        $WorkDay = GetRow(Run($conn, "SELECT COUNT(DISTINCT Date) AS NumDistinctDates
                                            FROM tbl_attendance
                                            WHERE PIN = '$reportID'
                                            AND MONTH(Date) = MONTH('$start_date')
                                            AND YEAR(Date) = YEAR('$start_date')"));
                                        
                                        $mis_Count = GetRow(Run($conn, "SELECT sum(mis_count) as mis_CountAvail
                                            FROM tbl_staff_leaves
                                            WHERE id_emp = '$reportID'
                                            AND MONTH(post_date) = MONTH('$start_date')
                                            AND YEAR(post_date) = YEAR('$start_date')"));
                                        
                                        $LeavesQuery = GetRow(Run($conn, "SELECT sum(reserved) as total_reserved FROM tbl_staff_leaves WHERE id_emp='$reportID' AND ((YEAR(post_date) < YEAR('$start_date')) OR (YEAR(post_date) = YEAR('$start_date') AND MONTH(post_date) < MONTH('$start_date')))"));
                                        $reserved = $LeavesQuery['total_reserved'];
                                        
                                        $TakenLeavesQuery = GetRow(Run($conn, "SELECT COALESCE(sum(`Get_Previous`), 0) as total_taken FROM `tbl_leaves_use` WHERE `id_emp`='$reportID' AND ((YEAR(post_date) < YEAR('$start_date')) OR (YEAR(post_date) = YEAR('$start_date') AND MONTH(post_date) < MONTH('$start_date')))"));
                                        $Get_PreviousLast = $TakenLeavesQuery['total_taken'];
                                        
                                        $reservedAlready = $reserved - $Get_PreviousLast;
                                        
                                        $Get_PreviousNow = GetRow(Run($conn, "SELECT sum(Get_Previous) as Get_PreviousAvail
                                            FROM tbl_leaves_use
                                            WHERE MONTH(post_date) = MONTH('$start_date')
                                            AND YEAR(post_date) = YEAR('$start_date')
                                            AND id_emp = '$reportID'"));							 								 
                                        
                                        $annual = GetRow(Run($conn, "SELECT sum(annual) as annualAvail
                                            FROM tbl_staff_leaves
                                            WHERE id_emp = '$reportID'
                                            AND MONTH(post_date) = MONTH('$start_date')
                                            AND YEAR(post_date) = YEAR('$start_date')"));
                                        
                                        $public = GetRow(Run($conn, "SELECT sum(public) as publicAvail
                                            FROM tbl_staff_leaves
                                            WHERE id_emp = '$reportID'
                                            AND MONTH(post_date) = MONTH('$start_date')
                                            AND YEAR(post_date) = YEAR('$start_date')"));
                                        
                                        $AvailLeave = (4/26) * ($WorkDay['NumDistinctDates']+$mis_Count['mis_CountAvail']+$Get_PreviousNow['Get_PreviousAvail']+$public['publicAvail']);
                                        // Limit the available leave to a maximum of 4
                                        if ($AvailLeave > 4) {
                                            $AvailLeave = 4;
                                        } 								
                                        $TotalPayable = $WorkDay['NumDistinctDates']+$mis_Count['mis_CountAvail']+$Get_PreviousNow['Get_PreviousAvail']+$annual['annualAvail']+$public['publicAvail']+$AvailLeave;
                                        
                                        if ($TotalPayable > 30) {
                                            $TotalPayable  = 30;    
                                        }
                                        
                                        $reservedThisMonth = $WorkDay['NumDistinctDates'] + $mis_Count['mis_CountAvail'] + $Get_PreviousNow['Get_PreviousAvail'] + $annual['annualAvail'] + $public['publicAvail'] + $AvailLeave;
                                        
                                        // Determine the last day of $start_date
                                        $lastDayOfMonth = date('d', strtotime('last day of ' . $start_date));
                                        
                                        // Calculate the final value of $reservedThisMonth
                                        if ($lastDayOfMonth == 31) {
                                            $reservedThisMonth -= 31;
                                        } else {
                                            $reservedThisMonth -= 30;
                                        }
                                        
                                        // Ensure the result is not negative
                                        $reservedThisMonth = max($reservedThisMonth, 0);
                                        
                                        $bonus = GetRow(Run($conn, "SELECT sum(bonus) as bonusAvail
                                            FROM tbl_staff_leaves
                                            WHERE id_emp = '$reportID'
                                            AND MONTH(post_date) = MONTH('$start_date')
                                            AND YEAR(post_date) = YEAR('$start_date')"));
                                        
                                        $OverTime = GetRow(Run($conn, "SELECT sum(OverTime) as OverTimeAvail
                                            FROM tbl_staff_leaves
                                            WHERE id_emp = '$reportID'
                                            AND MONTH(post_date) = MONTH('$start_date')
                                            AND YEAR(post_date) = YEAR('$start_date')"));								
                                        
                                        $Earned = ($reportR['salary_per_month']/30)*($TotalPayable)+($bonus['bonusAvail'])+($OverTime['OverTimeAvail']);
                                        
                                        $advance = GetRow(Run($conn, "SELECT sum(advance) as advanceAvail
                                            FROM tbl_expenses
                                            WHERE id_emp = '$reportID'
                                            AND MONTH(post_date) = MONTH('$start_date')
                                            AND YEAR(post_date) = YEAR('$start_date')"));
                                        
                                        $Payable = $Earned - $advance['advanceAvail'];
                                        $TotalReservedDays = $reservedAlready + $reservedThisMonth;
										
    $cell = GetRow(Run($conn, "SELECT cell AS cellGet
                                FROM tbl_employees WHERE id_emp='$reportID'"));
    
    $bank_transfer_option = GetRow(Run($conn, "SELECT bank_transfer_option AS bank_transfer_optionGet
                                            FROM tbl_employees WHERE id_emp='$reportID'"));
                                            
    $title_name = GetRow(Run($conn, "SELECT title_name AS title_nameGet
                                    FROM tbl_employees WHERE id_emp='$reportID'"));
                                    
    $bank_name = GetRow(Run($conn, "SELECT bank_name AS bank_nameGet
                                    FROM tbl_employees WHERE id_emp='$reportID'"));
                                    
    $account_number = GetRow(Run($conn, "SELECT account_number AS account_numberGet
                                        FROM tbl_employees WHERE id_emp='$reportID'"));

    // Check if record with the current date already exists for this employee
    $checkRS = Run($conn, "SELECT * FROM tbl_calculations WHERE id_emp = '$reportID' AND MONTH(post_date) = MONTH('$start_date') AND YEAR(post_date) = YEAR('$start_date')");
    $checkR = GetRow($checkRS);

    if ($checkR) {
        // Record for this date already exists, so we update it
        $query = "UPDATE tbl_calculations SET 
            Employee             = '{$reportR['name']}', 
            Designation          = '{$reportR['designation']}', 
            Salary               = '{$reportR['salary_per_month']}', 
            Previous_reserved    = '$reservedAlready',
            Worked               = '{$WorkDay['NumDistinctDates']}', 
            Mis_Count            = '{$mis_Count['mis_CountAvail']}', 
            Get_Previous         = '{$Get_PreviousNow['Get_PreviousAvail']}', 
            Annual               = '{$annual['annualAvail']}', 
            public_holidays      = '{$public['publicAvail']}', 
            Lieu_Avail_In_Month  = '$AvailLeave', 
            Payable_Days         = '$TotalPayable',
            Now_reserved         = '{$reservedThisMonth}',
            Total_reserved       = '$TotalReservedDays',
            Bonus                = '{$bonus['bonusAvail']}', 
            Earned_Bonus         = '$Earned', 
            OverTime              = '{$OverTime['OverTimeAvail']}',
            Advance              = '{$advance['advanceAvail']}', 
            Payable              = '$Payable', 
            cell                 = '{$cell['cellGet']}',
            bank_transfer_option = '{$bank_transfer_option['bank_transfer_optionGet']}',
            title_name           = '{$title_name['title_nameGet']}',
            bank_name            = '{$bank_name['bank_nameGet']}',
            account_number       = '{$account_number['account_numberGet']}'
            WHERE id_emp = '$reportID' AND MONTH(post_date) = MONTH('$start_date') AND YEAR(post_date) = YEAR('$start_date')";
    } else {
        // No record for this date exists, so we insert a new one
        $query = "INSERT INTO tbl_calculations (id_emp, Employee, Designation, Salary, Previous_reserved, Worked, Mis_Count, Get_Previous, Annual, public_holidays, Lieu_Avail_In_Month, Payable_Days, Now_reserved, Total_reserved, Bonus, Earned_Bonus, OverTime,  Advance, Payable, post_date, cell, bank_transfer_option, title_name, bank_name,account_number) 
            VALUES ('$reportID', '{$reportR['name']}', '{$reportR['designation']}', '{$reportR['salary_per_month']}','$reservedAlready', '{$WorkDay['NumDistinctDates']}', '{$mis_Count['mis_CountAvail']}', '{$Get_PreviousNow['Get_PreviousAvail']}', '{$annual['annualAvail']}', '{$public['publicAvail']}', '$AvailLeave', '$TotalPayable','{$reservedThisMonth}','$TotalReservedDays', '{$bonus['bonusAvail']}','{$OverTime['OverTimeAvail']}', '$Earned', '{$advance['advanceAvail']}', '$Payable', '$end_date','{$cell['cellGet']}', '{$bank_transfer_option['bank_transfer_optionGet']}','{$title_name['title_nameGet']}','{$bank_name['bank_nameGet']}','{$account_number['account_numberGet']}')";
    }
    
    $result = Run($conn, $query);

    if (!$result) {
        die("Database query failed: " . mysqli_error($conn));
    }

    $WorkDay = GetRow(Run($conn, "SELECT COUNT(DISTINCT Date) AS NumDistinctDates
                                    FROM tbl_attendance
                                    WHERE PIN = '$reportID'
                                    AND MONTH(Date) = MONTH('$start_date')
                                    AND YEAR(Date) = YEAR('$start_date')"));

    $Workeddays = $WorkDay['NumDistinctDates']; // Assuming you have the number of days worked in $Workeddays
    $NotCount = $mis_Count['mis_CountAvail'];
    $PublicCount = $public['publicAvail'];

    if (date('d', strtotime($start_date)) === '31') {
        $startCount = 27;
    } else {
        $startCount = 26;
    }

    if ($Workeddays > $startCount) {
        $count = min($Workeddays - $startCount, 4);
        $AdjustedBalance = $count + $NotCount + $PublicCount;
    } else {
        $AdjustedBalance = 0;
    }

    $check_sql = "SELECT * FROM tbl_staff_leaves WHERE id_emp = '$reportID' AND MONTH(post_date) = MONTH('$start_date') AND YEAR(post_date) = YEAR('$start_date')";

    $check_result = Run($conn, $check_sql);
    $check_row = GetRow($check_result);

    if ($check_row) {
        $update_sql = "UPDATE tbl_staff_leaves SET reserved = '$reservedThisMonth' WHERE id_emp = '$reportID' AND MONTH(post_date) = MONTH('$start_date') AND YEAR(post_date) = YEAR('$start_date')";

        $update_result = Run($conn, $update_sql);

        if (!$update_result) {
            die("Database query failed: " . mysqli_error($conn));
        }
    } else {
        $insert_sql = "INSERT INTO tbl_staff_leaves (id_emp, name, bonus, public, mis_count, reserved, annual, details, post_date,status,update_date) 
            VALUES ('$reportID', '$reportID', 0, 0, 0, '$reservedThisMonth', 0, '', '$end_date','0', '$end_date')";

        $insert_result = Run($conn, $insert_sql);

        if (!$insert_result) {
            die("Database query failed: " . mysqli_error($conn));
        }
    }
}

header('Location: ../calculations?type=saved');
exit;
?>