<?php 
require_once('../sessionp.php');
require_once('../includes/connection.php');
require_once('../includes/functions.php'); 

// Turn on error reporting
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

// Check if the form is submitted
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // Get the form data
    $category_id = $_POST['category_id'];
    $amount = $_POST['amount'];
    $details = $_POST['details'];

    // Get the current date and time
    $post_date = date('Y-m-d'); // format: 2023-07-19
    $post_time = date('H:i:s'); // format: 17:30:00

    // Sanitize the data before insertion to prevent SQL Injection
    // Adjust this part according to your database connection and library used (like MySQLi or PDO)
    $category_id = mysqli_real_escape_string($conn, $category_id);
    $amount = mysqli_real_escape_string($conn, $amount);
    $details = mysqli_real_escape_string($conn, $details);
    
    // Create a SQL query
    $sql = "INSERT INTO tbl_adv (category_id, amount, details, post_date, post_time) 
            VALUES ('$category_id', '$amount', '$details', '$post_date', '$post_time')";

    // Run the query and check for errors
    if ($conn->query($sql) === TRUE) {
        redirect_to('../advance','data','saved');
    } else {
        echo "Error: " . $sql . "<br>" . $conn->error; // print the error
        redirect_to('../advance','error','new-payment');
    }
} else {
    // You could also redirect with an error message here if the form was not submitted correctly
    redirect_to('../advance','error','form-not-submitted');
}
?>