<?php 
require_once('../sessionp.php');
require_once('../includes/connection.php');
require_once('../includes/functions.php');

$bcheck       = getValue('bcheck');

if ($bcheck == 'true') {
    $adjust_type  = getValue('adjust_type'); 
    $item_id      = getValue('item_id');
    $out_quantity = getValue('out_quantity');
    $out_notes    = 'HandOver To ' . getValue('out_notes');
    $post_date    = date("Y-m-d");
    $post_time    = date("h:i:s");

    $itemR = GetRow(Run($conn, "SELECT * FROM tbl_stock_dairy WHERE product_id = '$item_id' AND status = '1' ORDER BY id DESC limit 1"));

    if ($itemR['balance_quantity'] > 0) {
        $out_cost           = $itemR['balance_cost'];
        $balance_quantity   = $itemR['balance_quantity'];
        $balance_amount     = $itemR['balance_cost'] * $itemR['balance_quantity'];

        $new_balance_quantity   = $itemR['balance_quantity'] - $out_quantity;  
        $new_balance_amount     = $balance_amount - ($itemR['balance_cost'] * $out_quantity);
        $new_balance_cost       = $new_balance_amount / $new_balance_quantity;

        if ($adjust_type == '1') {
            $supplier_amount = getValue('supplier_amount');
            $out_cost        = $supplier_amount / $out_quantity;
      
            $new_balance_amount = $balance_amount - $supplier_amount;
            $new_balance_cost   = $new_balance_amount / $new_balance_quantity;
        }

        $stockSQL = "INSERT INTO tbl_stock_dairy SET 
                        type              = '4',
                        product_id        = '$item_id',  
                        out_quantity      = '$out_quantity',
                        out_cost          = '$out_cost',
                        balance_quantity  = '$new_balance_quantity',
                        balance_cost      = '$new_balance_cost',
                        post_date         = '$post_date',
                        post_time         = '$post_time',
                        description       = '$out_notes',
                        status            = '1'";
        Run($conn, $stockSQL); 

        $strSQL = "UPDATE tbl_items
                    SET updated_stock = (
                        SELECT balance_quantity
                        FROM tbl_stock_dairy
                        WHERE tbl_stock_dairy.product_id = tbl_items.id
                        ORDER BY tbl_stock_dairy.id DESC
                        LIMIT 1
                    );";
        Run($conn, $strSQL);

        redirect_to('../items', 'success', 'item-adjustment');  
    } else {
        redirect_to('../items', 'error', 'less quantity available');  
    }
} else {
    redirect_to('../items', 'error', 'item-adjustment');  
}
?>