<?php
// save_cash_details
require_once('../sessionp.php');
require_once('../includes/connection.php');
require_once('../includes/functions.php');

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // Retrieve form data
    $received_amount = $_POST['received_amount'];
    $given_amount = $_POST['given_amount'];
    $handover_person = $_POST['handover_person'];
    $remark = $_POST['remark'];

    // Prepare and bind parameters for the insert query
// Prepare and bind parameters for the insert query
$insert_query = "INSERT INTO tbl_cashDetails (received_amount, given_amount, handover_person, remark) 
                VALUES (?, ?, ?, ?)";
$stmt = mysqli_prepare($conn, $insert_query);
mysqli_stmt_bind_param($stmt, "iiss", $received_amount, $given_amount, $handover_person, $remark);

    // Execute the statement
    if (mysqli_stmt_execute($stmt)) {
        // Redirect to CashDetails page after successful insertion
        redirect_to('../CashDetails', 'complete-Entry', 'success');
    } else {
        echo "Error: " . mysqli_error($conn);
    }

    // Close the statement and connection
    mysqli_stmt_close($stmt);
    mysqli_close($conn);
} else {
    // Redirect to error page if accessed without POST method
    header("Location: error.php");
    exit;
}
?>
