<?php 

$page		 = 'purchases';

require_once('sessionp.php');
require_once('checkAccountsSession.php');

require_once('includes/connection.php');
require_once('includes/functions.php');

$addcheck = getValue('add_check');

if ($addcheck === 'true') {
    // Sanitize and validate input
    $id    = isset($_POST['id']) ? trim($_POST['id']) : '';
    $date = isset($_POST['date']) ? trim($_POST['date']) : '';
	


    // Update the `post_date` in `tbl_purchases`
    $updatePurchases = "UPDATE `tbl_purchases` SET `post_date` = '$date' WHERE `id` = $id";
    Run($conn, $updatePurchases);

    // Update the `post_date` in `tbl_sup_payments`
    $updateSupPayments = "UPDATE `tbl_sup_payments` SET `post_date` = '$date' WHERE `bill_id` = $id";
    Run($conn, $updateSupPayments);

    // Update the `post_date` in `tbl_pur_items`
    $updatePurItems = "UPDATE `tbl_pur_items` SET `post_date` = '$date' WHERE `bill_id` = $id";
    Run($conn, $updatePurItems);

    // After updating, redirect back to the purchases page
    header('Location: purchases');
    exit();
}

$start_day   = '01';
$start_month = date("m");
$start_year  = date("Y");
$start_date = $start_year.'-'.$start_month.'-'.$start_day;
$end_date   = date("Y-m-d");
$date_check = getValue('date_check');
if($date_check == 'true')
	{
		$start_date = getValue('date_from');
		$end_date   = getValue('date_to');
	}
$register_date = date("Y-m-d");
$reg_date_check = getValue('reg_date_check');
if($reg_date_check == 'true')
	{
		$register_date = getValue('register_date'); 
	}

$module 	   = 'purchases';
$range 	  	   = 'true';
$pageTitle 	   = 'Purchases';
$pageRole  	   = 'table';

include 'MasterTop.php';
include 'Top.php';
include 'SideBar.php';

$listRS = Run($conn,"select * from tbl_purchases where status = '1' and post_date >= '$start_date' and post_date <= '$end_date' order by id desc"); 

?>
<style>
.buttons-print {
    border: 1px solid #b2b2b2;
    padding: 3px 7px;
    border-radius: 3px;
    background: linear-gradient(135deg, #6A82FB, #FC5C7D);
    color: white;
}

.btn-success, .btn-view-pdf, .btn-view-send {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    position: relative;
    overflow: hidden;
    transition: box-shadow .3s;
    box-shadow: 0 8px 20px rgba(0, 0, 0, 0.12);
    color: white;
}

.btn-success::after, .btn-view-pdf::after, .btn-view-send::after {
    content: "";
    position: absolute;
    top: -100%;
    left: -100%;
    width: 200%;
    height: 200%;
    z-index: 1;
    background: linear-gradient(135deg, transparent, rgba(255, 255, 255, 0.4), transparent);
    transform: rotate(45deg);
    pointer-events: none;
    transition: top 0.5s, left 0.5s;
}

.btn-success:hover::after, .btn-view-pdf:hover::after, .btn-view-send:hover::after {
    top: 100%;
    left: 100%;
}

.btn-success {
    background: linear-gradient(135deg, #8E2DE2, #4A00E0);
    border: none;
    padding: 6px 12px;
    border-radius: 50px 50px 0 50px;
    font-weight: 600;
}

.btn-view-pdf {
    background: linear-gradient(135deg, #FFB75E, #ED8F03);
    border-radius: 50px 50px 0 50px;
    padding: 6px 12px;
}

.btn-view-send {
    background: linear-gradient(135deg, #56ab2f, #a8e063);
    border-radius: 30px 50px 0 50px;
    padding: 6px 15px;
}

.btn-view-pdf i, .btn-view-send i {
    margin-right: 4px;
}

.active-btn {
    background: linear-gradient(135deg, #f54242, #f542a2);
    box-shadow: 0 6px 14px rgba(255,0,0,0.1);
}

@keyframes dance {
    0% { transform: scale(1) rotate(0); }
    20% { transform: scale(1.05) rotate(-5deg); }
    40% { transform: scale(1) rotate(5deg); }
    60% { transform: scale(1.05) rotate(-5deg); }
    80% { transform: scale(1) rotate(5deg); }
    100% { transform: scale(1) rotate(0); }
}

.btn-success:hover, .btn-view-pdf:hover, .btn-view-send:hover {
    animation: dance 0.5s infinite;
}
</style>
<script>
    document.addEventListener('DOMContentLoaded', function () {
        let buttons = document.querySelectorAll('.btn-view-pdf, .btn-success');

        buttons.forEach(button => {
            button.addEventListener('click', function () {

                // Remove active class from all buttons
                buttons.forEach(btn => btn.classList.remove('active-btn'));

                // Add active class to the clicked button
                this.classList.add('active-btn');
            });
        });
    });
</script>
<div id="content" class="bg-container">
    <?php include 'Header.php'; ?>
    <div class="outer">
        <div class="inner bg-light lter bg-container">
            <div class="row">
                <div class="col-xs-12 data_tables">
                    <div class="card">
                        <div class="card-block" style="margin-top:60px;">
                            <table class="table table-striped table-bordered table-hover" id="sample_1">
                                <thead>
                                    <tr>
									
                                        <th>#</th>
                                        <th>ID</th>
                                        <th>Date</th>
                                        <th>Supplier</th>
                                        <th style="text-align:right;">Amount (Rs)</th>
										<th>New Date</th>
                                        <th>Update</th>
										<th>Details</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php  
                                    $i=1;
                                    $t_amount = '0';
                                    while ($listR = GetRow($listRS)){ 
                                        $bill_id = $listR['id'];
                                        $purchasesR = GetRow(Run($conn,"select sum(supplier_cost) as bill_amount from tbl_pur_items where status = '1' and bill_id = '$bill_id'"));
                                    ?>
                                    <tr>
                                    <form method="post" action="">
                                    <input type="hidden" name="add_check" value="true" />
									<input type="hidden" name="id" value="<?php echo $listR['id']; ?>" />
                                        <td width="5%"><?php echo $i++; ?></td>
                                        <td width="5%"><?php echo $listR['id']; ?></td>
                                        <td width="9%"><?php echo $listR['post_date']; ?></td>
                                        <td><a href="supplier?id=<?php echo $listR['supplier_id']; ?>" title="View details of <?php echo showTitle($conn,'tbl_suppliers',$listR['supplier_id']); ?>"><?php echo showTitle($conn,'tbl_suppliers',$listR['supplier_id']); ?></a></td>
                                        <td width="12%" style="text-align:right;"><?php echo number_format($purchasesR['bill_amount'],2); ?></td>
                                        <td><input type="date" name="date"></td>
                                        <td><button type="submit" class="btn btn-success" name="save_button">Update</button></td>
										<td width="8%"><a class="btn btn-success btn-view-pdf" href="purchase?id=<?php echo $listR['id']; ?>">Details</a></td>
									</form>	                                   
								   </tr>
                                    <?php 
                                        $t_amount = $t_amount+$purchasesR['bill_amount'];
                                    } ?>
                                </tbody>
                                <tfoot>
                                    <tr>
                                        <th colspan="4"> &nbsp; </th> 
                                        <th style="text-align:right;"> <?php echo number_format($t_amount); ?> </th>
                                        <th> &nbsp; </th>
                                    </tr>
                                </tfoot>
                            </table>
                        </div>
                    </div>
                    <!-- END EXAMPLE1 TABLE PORTLET--> 
                </div>
            </div>
            <!-- /.inner --> 
        </div>
        <!-- /.outer --> 
    </div>
    <!-- /#content -->
    <?php include 'ContentFooter.php'; ?>
</div>
<?php include 'Footer.php'; ?>
<?php if(getValue('wc') == 1){?>
    <script>
        window.onload = function() {
            PNotify.desktop.permission();
            new PNotify({
                title: 'Success',
                text: 'A new product has been added into your software, Hope this product give you more benefit.',
                type: 'success',
                desktop: {
                    desktop: true
                }
            }).get().on("click",function (e) {
                if ($('.ui-pnotify-closer, .ui-pnotify-sticker, .ui-pnotify-closer *, .ui-pnotify-sticker *').is(e.target))
                    return; 
            });
            return false;
        };
    </script>
<?php } ?>
