<?php 

$page		 = 'purchases';

require_once('sessionp.php');
require_once('checkAccountsSession.php');

require_once('includes/connection.php');
require_once('includes/functions.php');

$start_date = $_GET['start_date'];
$end_date = $_GET['end_date'];

$module 	   = 'purchases';
$pageTitle 	   = 'Purchases '. $start_date . ' to ' . $end_date . '';
$pageTitleR 	   = 'BISTRO NOIR';
$pageTitleL 	   = 'F 7-3 ISLAMABAD';
$pageTitleM 	   = 'Paid Exp From '. $start_date . ' to ' . $end_date . '';
$pageTitleN 	   = 'Previously Settled From '. $start_date . ' to ' . $end_date . '';


include 'MasterTop.php';
include 'Top.php'; 

?>
<style>
.buttons-print {
    border: 1px solid #b2b2b2;
    padding: 3px 7px;
    border-radius: 3px;
    background: linear-gradient(135deg, #6A82FB, #FC5C7D);
    color: white;
}

.btn-success, .btn-view-pdf, .btn-view-send {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    position: relative;
    overflow: hidden;
    transition: box-shadow .3s;
    box-shadow: 0 8px 20px rgba(0, 0, 0, 0.12);
    color: white;
}

.btn-success::after, .btn-view-pdf::after, .btn-view-send::after {
    content: "";
    position: absolute;
    top: -100%;
    left: -100%;
    width: 200%;
    height: 200%;
    z-index: 1;
    background: linear-gradient(135deg, transparent, rgba(255, 255, 255, 0.4), transparent);
    transform: rotate(45deg);
    pointer-events: none;
    transition: top 0.5s, left 0.5s;
}

.btn-success:hover::after, .btn-view-pdf:hover::after, .btn-view-send:hover::after {
    top: 100%;
    left: 100%;
}

.btn-success {
    background: linear-gradient(135deg, #8E2DE2, #4A00E0);
    border: none;
    padding: 6px 12px;
    border-radius: 50px 50px 0 50px;
    font-weight: 600;
}

.btn-view-pdf {
    background: linear-gradient(135deg, #FFB75E, #ED8F03);
    border-radius: 50px 50px 0 50px;
    padding: 6px 12px;
}

.btn-view-send {
    background: linear-gradient(135deg, #56ab2f, #a8e063);
    border-radius: 30px 50px 0 50px;
    padding: 6px 15px;
}

.btn-view-pdf i, .btn-view-send i {
    margin-right: 4px;
}

.active-btn {
    background: linear-gradient(135deg, #f54242, #f542a2);
    box-shadow: 0 6px 14px rgba(255,0,0,0.1);
}

@keyframes dance {
    0% { transform: scale(1) rotate(0); }
    20% { transform: scale(1.05) rotate(-5deg); }
    40% { transform: scale(1) rotate(5deg); }
    60% { transform: scale(1.05) rotate(-5deg); }
    80% { transform: scale(1) rotate(5deg); }
    100% { transform: scale(1) rotate(0); }
}

.btn-success:hover, .btn-view-pdf:hover, .btn-view-send:hover {
    animation: dance 0.5s infinite;
}
</style>
<script>
    document.addEventListener('DOMContentLoaded', function () {
        let buttons = document.querySelectorAll('.btn-view-pdf, .btn-success');

        buttons.forEach(button => {
            button.addEventListener('click', function () {

                // Remove active class from all buttons
                buttons.forEach(btn => btn.classList.remove('active-btn'));

                // Add active class to the clicked button
                this.classList.add('active-btn');
            });
        });
    });
</script>
<div id="content" class="bg-container">
    <?php include 'Header.php'; ?>
    <div class="outer">
        <div class="inner bg-light lter bg-container">
            <div class="row">
                <div class="col-xs-12 data_tables">
                    <div class="card">
                        <div style="text-align: center; font-size: 20px; margin-top:10px; margin-left:50px; margin-right:50px; border: 2px solid black; border-radius: 60px; padding: 30px;">
                            <div><strong><?php echo $pageTitleR; ?></strong></div>
                            <div><strong><?php echo $pageTitleL; ?></strong></div>
                            <div><strong><?php echo $pageTitleM; ?></strong></div>                
                            <div class="card-block" style="margin-top:10px;">
                            <table class="table table-striped table-bordered table-hover" id="sample_1">
                                <thead>
                                    <tr>
                                        <th>#</th>
                                        <th>ID</th>
                                        <th>Date</th>
                                        <th>Supplier</th>
                                        <th style="text-align:right;">Bills Amount</th>
										<th style="text-align:right;">Paid Amount</th>
										<th style="text-align:right;">Pending</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php  
                                    $i=1;
                                        // Initialize variables to store totals
                                        $totalPaidExp = 0;
                                        $totalPendingExp = 0;
                                        $totalGrand = 0;

                                        // Fetch all bill IDs within the date range
                                        $BilsIDDates = Run($conn, "SELECT DISTINCT details, post_date, supplier_id, cr FROM tbl_purchases WHERE post_date >= '$start_date' AND post_date <= '$end_date'");

                                        // Loop through each bill ID
                                        while ($listRB = GetRow($BilsIDDates)) {
                                            $BilsID = $listRB['details'];
											$Date = $listRB['post_date'];
											$supplierID = $listRB['supplier_id'];
											$TotalBill= $listRB['cr'];

                                            // Get the sum of dr and cr for the current bill_id
                                            $sumDrResult = Run($conn, "SELECT SUM(dr) AS sum_dr, SUM(cr) AS sum_cr FROM tbl_sup_payments WHERE bill_id = '$BilsID' and post_date >= '$start_date' and post_date <='$end_date'");
                                            $sumDrRow = GetRow($sumDrResult);
                                            
                                            // Calculate paid and pending expenses
                                            $totalPaidExp += $sumDrRow['sum_dr'];
                                            $totalPendingExp += $sumDrRow['sum_cr'] - $sumDrRow['sum_dr'];

                                        // Calculate Pending Paid
                                        $totalGrand = $totalPaidExp + $totalPendingExp;
										
										$PendingPaidR = GetRow(Run($conn, "SELECT SUM(dr) AS All_dr, SUM(cr) AS All_cr FROM tbl_sup_payments WHERE post_date >= '$start_date' AND post_date <= '$end_date'"));
                                        $PendingPaid  = $PendingPaidR['All_dr']-$totalPaidExp;
								   ?>
                                    <tr>
                                        <td width="6%"><?php echo $i++; ?></td>
                                        <td width="6%"><a href="purchaseDates?id=<?php echo $BilsID; ?>&start_date=<?php echo $start_date; ?>&end_date=<?php echo $end_date; ?>" target="_blank"><?php echo $BilsID; ?></td>
                                        <td width="12%"><?php echo $Date; ?></td>
                                        <td><a href="supplier?id=<?php echo $supplierID; ?>" title="View details of <?php echo showTitle($conn,'tbl_suppliers',$supplierID); ?>"><?php echo showTitle($conn,'tbl_suppliers',$supplierID); ?></a></td>
                                        <td width="12%" style="text-align:right;"><?php echo number_format($TotalBill,2); ?></td>
										<td width="12%" style="text-align:right;"><?php echo number_format($sumDrRow['sum_dr'],2); ?></td>
										<td width="12%" style="text-align:right;"><?php echo number_format($sumDrRow['sum_cr'] - $sumDrRow['sum_dr'],2); ?></td>
                                    </tr>
                                    <?php 
                                        $t_amount = $t_amount+$purchasesR['bill_amount'];
                                    } ?>
                                </tbody>
                                <tfoot>
                                    <tr>
                                        <th colspan="3"> &nbsp; </th> 
										<th>Total Paid</th>
                                        <th style="text-align:right;"> <?php echo number_format($totalGrand); ?> </th>
										<th style="text-align:right;"> <?php echo number_format($totalPaidExp); ?> </th>
										<th style="text-align:right;"> <?php echo number_format($totalPendingExp); ?> </th>
                                    </tr>
                                </tfoot>
                            </table>
                            </div>
                        </div>
                        <div style="text-align: center; font-size: 20px; margin-top:10px; margin-left:50px; margin-right:50px; border: 2px solid black; border-radius: 60px; padding: 30px;">
                            <div><strong><?php echo $pageTitleR; ?></strong></div>
                            <div><strong><?php echo $pageTitleL; ?></strong></div>
                            <div><strong><?php echo $pageTitleN; ?></strong></div>                
                            <div class="card-block" style="margin-top:10px;">
                                <table class="table table-striped table-bordered table-hover" id="sample_1">                                
                                    <thead>
                                        <tr>
                                            <th>#</th>
                                            <th>ID</th>
                                            <th>Bill Date</th>
                                            <th>Paid Date</th>
                                            <th>Supplier</th>
                                            <th style="text-align:right;">Bills Amount</th>
                                            <th style="text-align:right;">Previously Settled</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php  
                                        $i=1;
                                            // Initialize variables to store totals
                                            $totalPaidExpR = 0;
                                            $totalGrandR = 0;

                                            // Fetch all bill IDs within the date range that do not match the IDs from the first table
                                            $BilsID = Run($conn, "SELECT id FROM tbl_sup_payments WHERE post_date >= '$start_date' AND post_date <= '$end_date' and bill_id NOT IN (SELECT DISTINCT details FROM tbl_purchases WHERE post_date >= '$start_date' AND post_date <= '$end_date')");
                                            while ($listRBR = GetRow($BilsID)) {
                                                        $ID = $listRBR['id'];                                          
                                            
                                            $BillDetailsR = Run($conn, "SELECT bill_id, dr, post_date FROM tbl_sup_payments WHERE id = '$ID'");
                                            while ($listDetails = GetRow($BillDetailsR)) {
                                                        $BillID = $listDetails['bill_id'];
                                                        $BillPaidDate = $listDetails['post_date'];
                                                        $BillPaid = $listDetails['dr'];                                                        
                                                    
                                                // Get the sum of dr and cr for the current bill_id
                                                $sumDrResultRP = Run($conn, "SELECT cr, post_date, supplier_id FROM tbl_purchases WHERE details = '$BillID'");
                                                $sumDrRowRP = GetRow($sumDrResultRP);
                                                $BillDate   = $sumDrRowRP['post_date']; 
                                                $TotalBillV = $sumDrRowRP['cr'];
												$supplierIDR= $sumDrRowRP['supplier_id'];
                                                
                                            $totalPaidExpR    += $BillPaid ;
                                            $totalGrandR      += $TotalBillV;                                       
                                   ?>
                                        <tr>
                                            <td width="5%"><?php echo $i++; ?></td>
                                            <td width="5%"><a href="purchaseDates?id=<?php echo $BillID; ?>&start_date=<?php echo $start_date; ?>&end_date=<?php echo $end_date; ?>" target="_blank"><?php echo $BillID; ?></a></td>
                                            <td width="9%"><?php echo $BillDate; ?></td>
                                            <td width="9%"><?php echo $BillPaidDate; ?></td>
                                            <td><a href="supplier?id=<?php echo $supplierIDR; ?>" title="View details of <?php echo showTitle($conn,'tbl_suppliers',$supplierIDR); ?>"><?php echo showTitle($conn,'tbl_suppliers',$supplierIDR); ?></a></td>
                                            <td width="12%" style="text-align:right;"><?php echo number_format($TotalBillV,2); ?></td>
                                            <td width="12%" style="text-align:right;"><?php echo number_format($BillPaid,2); ?></td>
                                        </tr>
                                        <?php 
                                            }
                                        } ?>
                                    </tbody>
                                    <tfoot>
                                        <tr>
                                            <th colspan="4"> &nbsp; </th> 
											<th>Total Previously Settled</th>
                                            <th style="text-align:right;"> <?php echo number_format($totalGrandR); ?> </th>
                                            <th style="text-align:right;"> <?php echo number_format($totalPaidExpR); ?> </th>
                                        </tr>
                                    </tfoot>
                                </table>
                            </div>
                        </div> 							
                    </div>
                    <!-- END EXAMPLE1 TABLE PORTLET--> 
                </div>
            </div>
            <!-- /.inner --> 
        </div>
        <!-- /.outer --> 
    </div>
    <!-- /#content -->
    <?php include 'ContentFooter.php'; ?>
</div>
<?php include 'Footer.php'; ?>
<?php if(getValue('wc') == 1){?>
    <script>
        window.onload = function() {
            PNotify.desktop.permission();
            new PNotify({
                title: 'Success',
                text: 'A new product has been added into your software, Hope this product give you more benefit.',
                type: 'success',
                desktop: {
                    desktop: true
                }
            }).get().on("click",function (e) {
                if ($('.ui-pnotify-closer, .ui-pnotify-sticker, .ui-pnotify-closer *, .ui-pnotify-sticker *').is(e.target))
                    return; 
            });
            return false;
        };
    </script>
<?php } ?>
