<?php 

$page		  = 'salarysummary';

require_once('sessionp.php');
require_once('checkAccountsSession.php');

require_once('includes/connection.php');
require_once('includes/functions.php');

$start_day   = '01';
$start_month = date("m");
$start_year  = date("Y");
$start_date = $start_year.'-'.$start_month.'-'.$start_day;
$end_date   = date("Y-m-d");
$date_check = getValue('date_check');
if($date_check == 'true')
	{
		$start_date = getValue('date_from');
		$end_date   = getValue('date_to');
	}

$module		= 'employees';
$range 	  	 = 'true';
$pageRole      = 'table'; 
$pageTitle  = 'Services ('.$start_date.' to '.$end_date.')';

include 'MasterTop.php';
include 'Top.php';
include 'SideBar.php';
?>
    <style>
        .buttons-print {
            border: 1px solid;
            padding: 5px 10px;
            border-radius: 3px;
        }
    </style>
<style>
.buttons-print {
    border: 1px solid #b2b2b2;
    padding: 3px 7px;
    border-radius: 3px;
    background: linear-gradient(135deg, #6A82FB, #FC5C7D);
    color: white;
}

.btn-success, .btn-view-pdf, .btn-view-send {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    position: relative;
    overflow: hidden;
    transition: box-shadow .3s;
    box-shadow: 0 8px 20px rgba(0, 0, 0, 0.12);
    color: white;
}

.btn-success::after, .btn-view-pdf::after, .btn-view-send::after {
    content: "";
    position: absolute;
    top: -100%;
    left: -100%;
    width: 200%;
    height: 200%;
    z-index: 1;
    background: linear-gradient(135deg, transparent, rgba(255, 255, 255, 0.4), transparent);
    transform: rotate(45deg);
    pointer-events: none;
    transition: top 0.5s, left 0.5s;
}

.btn-success:hover::after, .btn-view-pdf:hover::after, .btn-view-send:hover::after {
    top: 100%;
    left: 100%;
}

.btn-success {
    background: linear-gradient(135deg, #8E2DE2, #4A00E0);
    border: none;
    padding: 6px 12px;
    border-radius: 50px 50px 0 50px;
    font-weight: 600;
}

.btn-view-pdf {
    background: linear-gradient(135deg, #FFB75E, #ED8F03);
    border-radius: 50px 50px 0 50px;
    padding: 6px 12px;
}

.btn-view-send {
    background: linear-gradient(135deg, #56ab2f, #a8e063);
    border-radius: 30px 50px 0 50px;
    padding: 6px 15px;
}

.btn-view-pdf i, .btn-view-send i {
    margin-right: 4px;
}

.active-btn {
    background: linear-gradient(135deg, #f54242, #f542a2);
    box-shadow: 0 6px 14px rgba(255,0,0,0.1);
}

@keyframes dance {
    0% { transform: scale(1) rotate(0); }
    20% { transform: scale(1.05) rotate(-5deg); }
    40% { transform: scale(1) rotate(5deg); }
    60% { transform: scale(1.05) rotate(-5deg); }
    80% { transform: scale(1) rotate(5deg); }
    100% { transform: scale(1) rotate(0); }
}

.btn-success:hover, .btn-view-pdf:hover, .btn-view-send:hover {
    animation: dance 0.5s infinite;
}
</style>
<script>
    document.addEventListener('DOMContentLoaded', function () {
        let buttons = document.querySelectorAll('.btn-view-pdf, .btn-success');

        buttons.forEach(button => {
            button.addEventListener('click', function () {

                // Remove active class from all buttons
                buttons.forEach(btn => btn.classList.remove('active-btn'));

                // Add active class to the clicked button
                this.classList.add('active-btn');
            });
        });
    });
</script>
<div id="content" class="bg-container">
    <?php include 'Header.php'; ?>
    <div class="modal fade" id="modal-employee" role="dialog" aria-labelledby="modalLabelsuccess">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header bg-success">
                    <h4 class="modal-title text-white" id="modalLabelsuccess">New New</h4>
                </div>
                <div class="modal-body" style="padding-top:0;">
                    <form method="post" action="process/SaveServices">
                        <input type="hidden" name="bcheck" value="true" />
                        <div class="row">
                            <div class="row">
                                <div class="col-lg-4">
                                    <!-- Name Field -->
                                    <div class="input_field_sections">
                                        <h5>Name</h5>
                                        <input type="text" autocomplete="off" class="form-control" name="title" />
                                    </div>
                                    <!-- Designation Field -->
                                    <div class="input_field_sections">
                                        <h5>Designation</h5>
                                        <input type="text" class="form-control" name="designation" list="designation_list" />
                                        <datalist id="designation_list">
                                            <option value="Social Media">
                                            <option value="Lawyer">
                                            <option value="Maintenance">
                                            <option value="Laundry">
                                            <option value="Guards">
                                            <option value="Gardner">
                                            <option value="Fumigation">
                                            <option value="NayaTel">
                                            <option value="Social Work">
                                            <option value="IT">
                                            <option value="Staff Accommodation">
                                            <option value="Staff Transportation">
                                        </datalist>
                                    </div>

                                    <!-- Cell Field -->
                                    <div class="input_field_sections">
                                        <h5>Cell</h5>
                                        <input type="tel" class="form-control" name="cell" />
                                    </div>

                                    <!-- Joining Date Field -->
                                    <div class="input_field_sections">
                                        <h5>Joining</h5>
                                        <input type="date" class="form-control" name="joining_date" />
                                    </div>

                                    <!-- Title Name Field -->
                                    <div class="input_field_sections">
                                        <h5>Title</h5>
                                        <input type="text" class="form-control" name="title_name" />
                                    </div>
                                </div>

                                <div class="col-lg-4">
                                    <div class="input_field_sections">
                                        <h5>ID Card</h5>
                                        <input type="number" class="form-control" name="id_card" />
                                    </div>
                                    <div class="input_field_sections">
                                        <h5>Salary</h5>
                                        <input type="number" class="form-control" name="salary" />
                                    </div>
                                    <div class="input_field_sections">
                                        <h5>Emergency</h5>
                                        <input type="tel" class="form-control" name="emergency_contact" />
                                    </div>
                                    <div class="input_field_sections">
                                        <h5>Bank Name</h5>
                                        <input type="text" class="form-control" name="bank_name" list="bank_list" />
                                        <datalist id="bank_list">
                                            <option value="Allied Bank Limited">
                                            <option value="Askari Bank Limited">
                                            <option value="Bank Alfalah Limited">
                                            <option value="Bank AL Habib Limited">
                                            <option value="BankIslami Pakistan Limited">
                                            <option value="Faysal Bank Limited">
                                            <option value="Habib Bank Limited">
                                            <option value="Habib Metropolitan Bank Limited">
                                            <option value="JS Bank Limited">
                                            <option value="MCB Bank Limited">
                                            <option value="Meezan Bank Limited">
                                            <option value="National Bank of Pakistan">
                                            <option value="Samba Bank Limited">
                                            <option value="Silkbank Limited">
                                            <option value="Sindh Bank Limited">
                                            <option value="Standard Chartered Bank (Pakistan) Limited">
                                            <option value="Summit Bank Limited">
                                            <option value="United Bank Limited">
                                        </datalist>
                                    </div>
                                    <div class="input_field_sections">
                                        <h5>Status</h5>
                                        <select class="form-control" name="status">
                                            <option value="Active" selected="selected">Active</option>
                                            <option value="Inactive">Inactive</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="col-lg-4">
                                    <div class="input_field_sections">
                                        <h5>DOB</h5>
                                        <input type="date" class="form-control" name="dob" />
                                    </div>
                                    <div class="input_field_sections">
                                        <h5>Gender</h5>
                                        <select class="form-control" name="gender">
                                            <option value="Male" selected="selected">Male</option>
                                            <option value="Female">Female</option>
                                            <option value="Other">Other</option>
                                        </select>
                                    </div>
                                    <div class="input_field_sections">
                                        <h5>Address</h5>
                                        <input type="text" class="form-control" name="current_address" />
                                    </div>
                                    <div class="input_field_sections">
                                        <h5>Account</h5>
                                        <input type="text" class="form-control" name="account_number" />
                                    </div>
                                    <div class="input_field_sections">
                                        <h5>BankOption</h5>
                                        <select class="form-control" name="bank">
                                            <option value="Yes">Yes</option>
                                            <option value="No" selected="selected">No</option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer" style="text-align:left;">
                        <button type="submit" class="btn btn-success">Save</button>
                        <button class="btn btn-warning" data-dismiss="modal">Cancel</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
   <div class="outer">
        <div class="inner bg-light lter bg-container">
            <div class="row">
                <div class="col-xs-12 data_tables"> 
                    <!-- BEGIN EXAMPLE1 TABLE PORTLET-->
                    <div class="card">
                        <div class="card-block" style="margin-top:60px;">
                            <table class="table table-striped table-bordered table-hover" id="sample_1">
                                <thead>
                                    <tr>
                                        <th>ID</th>
                                        <th>Name</th>
                                        <th>Designation</th>
                                        <th>Salary</th>
                                        <th>Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php  
                                    $i = 1;
                                    $totalSalary = 0;
                                    $listRS = Run($conn, "select * from tbl_services order by id desc"); 
                                    while ($listR = GetRow($listRS)) { 
                                        $totalSalary += $listR['salary'];
                                    ?>
                                    <tr>
                                        <td><?php echo $listR['id']; ?></td>
                                        <td><?php echo $listR['name']; ?></td>
                                        <td><?php echo $listR['designation']; ?></td>
                                        <td><?php echo $listR['salary']; ?></td>
                                        <td>
                                            <a class="btn btn-success btn-view-pdf" href="ServicesSource?id=<?php echo $listR['id']; ?>" title="View details of <?php echo $listR['name']; ?>">Details</a>
                                            <a class="btn btn-success btn-view-pdf" href="PrintServices?id=<?php echo $listR['id']; ?>&start=<?php echo $start_date; ?>&end=<?php echo $end_date; ?>" title="View details of <?php echo $listR['name']; ?>">Print Slip</a>
                                        </td>
                                    </tr>
                                    <?php } ?>
                                </tbody>
                                <tfoot>
                                    <tr>
                                        <th colspan="3" style="text-align:right;">Total:</th>
                                        <th style="text-align:Left;"><?php echo $totalSalary; ?></th>
                                        <th></th>
                                    </tr>
                                </tfoot>
                                <div style="display: flex; justify-content: flex-end; gap: 20px;">                                
                                    <form method="post" action="process/CompleteServices">
                                        <input type="hidden" name="end_date" value="<?php echo $end_date; ?>" />
                                        <input type="hidden" name="start_date" value="<?php echo $start_date; ?>" />
                                        <button type="submit" class="btn btn-success">Export Services</button>
                                    </form>                                      
                                        <a class="btn btn-success btn-view-pdf" href="ServicesReport">View Services</a>
                                        <button type="button" class="btn btn-success" data-toggle="modal" data-target="#modal-employee">Add New</button>
										<a class="btn btn-success btn-view-pdf" href="PrintAllServices?start=<?php echo $start_date; ?>&end=<?php echo $end_date; ?>">Print All Slip</a>
                                </div>
                            &nbsp;                           
                            </table>                                                                       
                        </div>
                    </div>
                    <!-- END EXAMPLE1 TABLE PORTLET--> 
                </div>
            </div>
            <!-- /.inner --> 
        </div>
        <!-- /.outer --> 
    </div>
    <!-- /#content --> 
</div>
<?php include 'Footer.php'; ?>