<?php 

$page			= 'sales';

require_once('sessionp.php');
require_once('checkSalesSession.php');

require_once('includes/connection.php');
require_once('includes/functions.php');

$view_order_id = getValue('id');
$orderR = GetRow(Run($conn,"select * from tbl_sales where status = '1' and id = '$view_order_id'"));


$module		  = 'sales';
$pageTitle 	   = 'Sale ID: '.$view_order_id;

//$pageRole  = 'form';

include 'MasterTop.php';
include 'Top.php';
include 'SideBar.php';
?>
<style>
.buttons-print {
	border: 1px solid;
	padding: 5px 10px;
	border-radius: 3px;
}
.card:hover {
	box-shadow: none;
}
.input_field_sections {
	margin-top: 15px;
}
</style>
<div id="content" class="bg-container">
    <?php include 'Header.php'; ?>
    <div class="outer">
        <div class="inner bg-light lter bg-container">
            <div class="row">
                <div class="col-lg-12" style="margin-bottom:10px;">
                    <div class="card" style="min-height:1000px;">
                        <div class="card-block">
                            <div class="row">
                                <div class="card-block">
                                    <div class="table-responsive m-t-35">
                                        <table class="table table-bordered">
                                            <thead>
                                                <tr>
                                                    <th>#</th>
                                                    <th>Item</th>
                                                    <th>Unit Price Rs </th>
                                                    <th>Quantity</th>
                                                    <th>Total Price Rs </th> 
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <?php 
                                                $i = 1;
                                                $profit = 0; 
                                                $t_profit = 0; 
                                                $cartRS = Run($conn, "select * from tbl_sales_items where order_id = '$view_order_id' order by id desc");
                                                while ($cartR = GetRow($cartRS)) {
                                                    if ($cartR['status'] == 0) {
                                                        ?>
                                                        <tr class="text-danger">
                                                            <td><?php echo $i; ?></td>
                                                            <td><?php echo showTitle($conn, 'tbl_products', $cartR['product_id']); ?></td>
                                                            <td width="15%"><?php echo $cartR['sale_price']; ?></td>
                                                            <td width="15%"><?php echo $cartR['quantity_sold']; ?></td>
                                                            <td width="15%"><?php echo $cartR['total_sale_price']; ?></td>
                                                        </tr>
                                                    <?php } else { ?>
                                                        <tr>
                                                            <td><?php echo $i; ?></td>
                                                            <td><?php echo showTitle($conn, 'tbl_products', $cartR['product_id']); ?></td>
                                                            <td width="15%"><?php echo $cartR['sale_price']; ?></td>
                                                            <td width="15%"><?php echo $cartR['quantity_sold']; ?></td>
                                                            <td width="15%"><?php echo $cartR['total_sale_price']; ?></td>
                                                        </tr>
                                                    <?php }
                                                    $i++;
                                                } ?>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-4 pull-right" style="background-color:#f5f5f5; border:1px solid #CCC; margin-right:20px; padding-bottom:20px; ">
                                    <div class="card-header"> <strong>Order Summary</strong></div>
                                    <div class="col-lg-12 input_field_sections"> <strong>Date: &nbsp;</strong><?php echo $orderR['post_date']; ?> </div>  
                                    <div class="col-lg-12 input_field_sections"> <strong>Customer: &nbsp;</strong>
                                        <a href="customer?id=<?php echo $orderR['customer_id']; ?>" title="View details of <?php echo showTitle($conn, 'tbl_customers', $listR['customer_id']); ?>"><?php echo showTitle($conn, 'tbl_customers', $orderR['customer_id']); ?></a> 
                                    </div> 
                                    <div class="col-lg-12 input_field_sections"> 
                                        <strong>Cash Received: &nbsp;</strong>Rs <?php echo number_format($orderR['amount_received'], 2); ?> 
                                    </div>
                                    <!--
                                    <div class="col-lg-12 input_field_sections"> 
                                        <strong>Estimated Profit: &nbsp;</strong>Rs <?php echo number_format($t_profit, 2); ?> 
                                    </div>
                                    -->
                                    <div class="col-lg-12 input_field_sections"> 
                                        <strong>Details: </strong><?php echo $orderR['details']; ?> 
                                    </div>
                                    <?php
                                    $totalRSamount = "select sum(total_sale_price) as total_amount from tbl_sales_items where order_id = '$view_order_id' and status = '1'";
                                    $totalOrderamount  = GetRow(Run($conn, $totalRSamount));
                                    ?>
                                    <div class="col-lg-12 input_field_sections">  
                                        <table class="table table-bordered">
                                            <tbody>
                                                <tr>
                                                    <td>Sub Total</td>
                                                    <td style="text-align:right;">Rs <?php echo number_format($orderR['total_amount']); ?></td>
                                                </tr> 
                                                <tr>
                                                    <td>Service</td>
                                                    <td style="text-align:right;">Rs <?php echo number_format($orderR['tax_amount']); ?></td>
                                                </tr> 
                                                <tr>
                                                    <td>Discount</td>
                                                    <td style="text-align:right;">Rs <?php echo number_format($orderR['delivery_charges']); ?></td>
                                                </tr> 
                                                <tr>
                                                    <td>Tax (15%) (<?php echo number_format($orderR['service_charges_percent']); ?>%)</td>
                                                    <td style="text-align:right;">Rs <?php echo number_format($orderR['service_charges']); ?></td>
                                                </tr>
                                                <tr>
                                                    <td>Tax (5%) (<?php echo number_format($orderR['discount_percent']); ?>%)</td> 
                                                    <td style="text-align:right;">(Rs <?php echo number_format($orderR['discount']); ?>)</td>
                                                </tr> 
                                                <?php if ($orderR['reward_discount'] > 0) { ?>
                                                    <tr>
                                                        <td>Reward Discount (<?php echo number_format($orderR['reward_discount'] / 0.00); ?> Pts)</td> 
                                                        <td style="text-align:right;">(Rs <?php echo number_format($orderR['reward_discount'], 2); ?>)</td>
                                                    </tr>  
                                                <?php } ?>
                                            </tbody>
                                        </table>
                                        <table class="table" border="0">
                                            <tbody>
                                                <tr>
                                                    <td style="font-size:18px;">Grand Total</td>
                                                    <td style="text-align:right; font-size:18px;">Rs <?php echo number_format($orderR['grand_total']); ?></td>
                                                </tr>  
                                            </tbody>
                                        </table>
                                    </div>
                                    <div class="col-lg-12 input_field_sections">   
                                        <a target="_blank" href="printSale?id=<?php echo $view_order_id; ?>" title="Print"><i class="fa fa-print"></i> Print</a> 
                                    </div>  
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- /.inner --> 
            </div>
            <!-- /.outer --> 
        </div>
        <!-- /#content --> 
    </div>
</div>
<?php include 'Footer.php'; ?>