<?php 

$page		  = 'sales';

require_once('sessionp.php');
require_once('checkSalesSession.php');

require_once('includes/connection.php');
require_once('includes/functions.php');

$start_day   = '01';
$start_month = date("m");
$start_year  = date("Y");
$start_date = $start_year.'-'.$start_month.'-'.$start_day;
$end_date   = date("Y-m-d");
$date_check = getValue('date_check');
if($date_check == 'true')
	{
		$start_date = getValue('date_from');
		$end_date   = getValue('date_to');
	}
$register_date = date("Y-m-d");
$reg_date_check = getValue('reg_date_check');
if($reg_date_check == 'true')
	{
		$register_date = getValue('register_date'); 
	}

$module		= 'sales';
$range 	     = 'true';
$pageTitle 	 = 'Sales';
$pageRole  	  = 'table';

include 'MasterTop.php';
include 'Top.php';
include 'SideBar.php';

$listRS	 = Run($conn,"select * from tbl_sales where post_date >= '$start_date' and post_date <= '$end_date' and status=0 order by id desc"); 
?>
<style>
.buttons-print {
    border: 1px solid #b2b2b2;
    padding: 3px 7px;
    border-radius: 3px;
    background: linear-gradient(135deg, #6A82FB, #FC5C7D);
    color: white;
}

.btn-success, .btn-view-pdf, .btn-view-send {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    position: relative;
    overflow: hidden;
    transition: box-shadow .3s;
    box-shadow: 0 8px 20px rgba(0, 0, 0, 0.12);
    color: white;
}

.btn-success::after, .btn-view-pdf::after, .btn-view-send::after {
    content: "";
    position: absolute;
    top: -100%;
    left: -100%;
    width: 200%;
    height: 200%;
    z-index: 1;
    background: linear-gradient(135deg, transparent, rgba(255, 255, 255, 0.4), transparent);
    transform: rotate(45deg);
    pointer-events: none;
    transition: top 0.5s, left 0.5s;
}

.btn-success:hover::after, .btn-view-pdf:hover::after, .btn-view-send:hover::after {
    top: 100%;
    left: 100%;
}

.btn-success {
    background: linear-gradient(135deg, #8E2DE2, #4A00E0);
    border: none;
    padding: 6px 12px;
    border-radius: 50px 50px 0 50px;
    font-weight: 600;
}

.btn-view-pdf {
    background: linear-gradient(135deg, #FFB75E, #ED8F03);
    border-radius: 50px 50px 0 50px;
    padding: 6px 12px;
}

.btn-view-send {
    background: linear-gradient(135deg, #56ab2f, #a8e063);
    border-radius: 30px 50px 0 50px;
    padding: 6px 15px;
}

.btn-view-pdf i, .btn-view-send i {
    margin-right: 4px;
}

.active-btn {
    background: linear-gradient(135deg, #f54242, #f542a2);
    box-shadow: 0 6px 14px rgba(255,0,0,0.1);
}

@keyframes dance {
    0% { transform: scale(1) rotate(0); }
    20% { transform: scale(1.05) rotate(-5deg); }
    40% { transform: scale(1) rotate(5deg); }
    60% { transform: scale(1.05) rotate(-5deg); }
    80% { transform: scale(1) rotate(5deg); }
    100% { transform: scale(1) rotate(0); }
}

.btn-success:hover, .btn-view-pdf:hover, .btn-view-send:hover {
    animation: dance 0.5s infinite;
}
</style>
<div id="content" class="bg-container">
    <?php include 'Header.php'; ?>
    <div class="outer">
        <div class="inner bg-light lter bg-container">
            <div class="row">
                <div class="col-xs-12 data_tables"> 
                    <!-- BEGIN EXAMPLE1 TABLE PORTLET-->
                    <div class="card">
                        <div class="card-block" style="margin-top:60px;">
                            <table class="table table-striped table-bordered table-hover" id="sample_1">
                                <thead>
                                    <tr>
                                        <th>#</th> 
                                        <th>ID</th>
                                        <th>Date</th>
                                        <th>Table</th>
                                        <th>Customer</th>
                                        <th style="text-align:right;">Amount</th>
                                        <th style="text-align:right;">OldTax</th>
                                        <th style="text-align:right;">Discount</th>
                                        <th style="text-align:right;">Tax 15%</th>
                                        <th style="text-align:right;">Tax 5%</th>
                                        <th style="text-align:right;">Grand</th>
                                        <th style="text-align:right;">Received</th>
                                        <th width="10%">Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php  
                                    $i=1;
                                    $t_amount       = '0';
                                    $t_tax          = '0';
                                    $t_delivery     = '0';
                                    $t_service      = '0';
                                    $t_discount     = '0';
                                    $t_grand        = '0';
                                    $t_received     = '0';
                                    while ($listR = GetRow($listRS)){  

                                        $sale_id = $listR['id'];
                                        $totalRSamount = "select sum(total_sale_price) as total_amount from tbl_sales_items where order_id = '$sale_id' and status = '1'";
                                        $totalOrderamount  = GetRow(Run($conn,$totalRSamount));
                                    ?>
                                    <tr class="text-warning">
                                        <td  ><?php echo $i++; ?></td>
                                        <td ><?php echo $listR['id']; ?></td>
                                        <td ><?php echo $listR['post_date']; ?></td>
                                        <td> 
                                            <?php if($listR['service_id'] != ''){ echo showTitle($conn,'tbl_sale_services',$listR['service_id']); } else { echo "Take Away"; } ?>
                                        </td>
                                        <td> 
                                            <a href="customer?id=<?php echo $listR['customer_id']; ?>" title="View details of <?php echo showTitle($conn,'tbl_customers',$listR['customer_id']); ?>"><?php echo showTitle($conn,'tbl_customers',$listR['customer_id']); ?></a>
                                        </td>
                                        <td width="15%" style="text-align:right;"><?php echo number_format($totalOrderamount['total_amount']); ?></td>
                                        <td width="15%" style="text-align:right;"><?php $tax = round(($totalOrderamount['total_amount'] * 0)/100);  echo number_format($tax); ?></td>
                                        <td width="15%" style="text-align:right;"><?php echo number_format($listR['delivery_charges']); ?></td>
                                        <td width="15%" style="text-align:right;"><?php 
                                            $service_charges = $listR['service_charges_percent'];  echo number_format(round($service_charges)); ?></td>
                                        <td width="15%" style="text-align:right;">(<?php 
                                            $discount = $listR['discount_percent'];                echo number_format(round($discount)); ?>)</td>
                                        <td width="15%" style="text-align:right;"><?php $grandTotal = round(($totalOrderamount['total_amount']+$tax-$listR['delivery_charges']+$service_charges+$discount)); 
                                            echo number_format($grandTotal);  ?></td>
                                        <td width="15%" style="text-align:right;"><?php echo number_format($listR['amount_received']); ?></td>
                                        <td width="10%">
                                            <a class="btn btn-success btn-view-pdf"  href="sell?id=<?php echo $listR['id']; ?>">Update</a>
                                        </td>
                                    </tr> 
                                    <?php  
                                    $t_amount       = $t_amount+$listR['total_amount'];
                                    $t_tax          = $t_tax+$tax;
                                    $t_delivery     = $t_delivery+$listR['delivery_charges'];
                                    $t_service      = $t_service+$service_charges;
                                    $t_discount     = $t_discount+$discount;
                                    $t_grand        = $t_grand+$grandTotal;
                                    $t_received     = $t_received+$listR['amount_received'];
                                    } ?>
                                </tbody>
                                <tfoot>
                                    <tr>
                                        <th colspan="5"></th>  
                                        <th style="text-align:right;"><?php echo number_format($t_amount); ?></th>
                                        <th style="text-align:right;"><?php echo number_format($t_tax); ?></th>
                                        <th style="text-align:right;"><?php echo number_format($t_delivery); ?></th>
                                        <th style="text-align:right;"><?php echo number_format($t_service); ?></th>
                                        <th style="text-align:right;"><?php echo number_format($t_discount); ?></th>
                                        <th style="text-align:right;"><?php echo number_format($t_grand); ?></th>
                                        <th style="text-align:right;"><?php echo number_format($t_received); ?></th>
                                        <th width="10%"> &nbsp; </th>
                                    </tr>
                                </tfoot>
                            </table>
                        </div>
                    </div>
                    <!-- END EXAMPLE1 TABLE PORTLET--> 
                </div>
            </div>
            <!-- /.inner --> 
        </div>
        <!-- /.outer --> 
    </div>
    <!-- /#content -->
    <?php include 'ContentFooter.php'; ?>
</div>
<?php include 'Footer.php'; ?>