<?php 

require_once('sessionp.php');
require_once('includes/connection.php');
require_once('includes/functions.php');

$newOrder = 'no';
$sale_id = trim(getValue('id')); 
  
if($sale_id == '')
{
	$newOrder = 'yes';
	$pageTitle = 'New Sale'; 
}
else
{
	$saleR  = GetRow(Run($conn,"select * from tbl_sales where id = '$sale_id' "));
	$sale_id = $saleR['id'];
	if($saleR['status'] == 1)
	{
		redirect_to('sale','id', $sale_id); 
	}
	else
	{
		$pageTitle = 'Sale ID: '.$sale_id;
	}
}

$page		= 'order';
$pageRole  	= 'form';

include 'MasterTop.php';
include 'Top.php';
include 'SideBar.php';
?>
<style>
.buttons-print {
	border: 1px solid;
	padding: 5px 10px;
	border-radius: 3px;
}
.card:hover {
	box-shadow: none;
}
.input_field_sections {
	margin-top: 15px;
}
</style>
<div id="content" class="bg-container">
    <?php include 'Header.php'; ?>

    <div class="outer">
        <div class="inner bg-light lter bg-container">
            <div class="row">
                <div class="col-lg-12">
                    <div class="card">
                        <div class="card-header bg-white"> Customer Details </div>
                        <div class="card-block">
                            <div class="row">
                                <div class="col-lg-12 input_field_sections">
                                    <form method="post" action="process/StartSale">
                                        <input type="hidden" name="bcheck" value="true" />

                                        <div class="row">
                                            <div class="col-lg-4 input_field_sections">
                                                <h5>Customer <span class="label_desc">(Autofill-Required)</span></h5>
                                                <input type="text" class="form-control" autocomplete="off" id="autofill_customer" name="customer_title" list="customer_list" required="required" value="<?php if($saleR['customer_id'] != ''){ echo showTitle($conn,'tbl_customers',$saleR['customer_id']); } else { echo "Guest Customer"; } ?>">
                                                <datalist id="customer_list">
                                                    <?php 
                                                    $customersRS = Run($conn,"select * from tbl_customers where status = '1' order by title asc");
                                                    while($customersR = GetRow($customersRS)){
                                                    ?>
                                                    <option><?php echo $customersR['title']; ?></option>
                                                    <?php } ?>
                                                </datalist>
                                            </div>
                                            <div class="col-lg-8 input_field_sections">
                                                <h5>Sale Notes <span class="label_desc">(Optional)</span></h5>
                                                <input type="text" name="details" value="<?php echo $saleR['details']; ?>" class="form-control" /> 
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-lg-12 input_field_sections">
                                                <?php 
                                                if($newOrder=='yes')
                                                {
                                                ?>
                                                <input type="hidden" name="startsale" value="true" />
                                                <input type="hidden" name="sale_id" value="<?php echo $sale_id; ?>" />
                                                <button type="submit" class="btn btn-success" >Start</button>
                                                <?php 
                                                }
                                                else
                                                {
                                                ?>
                                                <input type="hidden" name="startsale" value="false" />
                                                <input type="hidden" name="sale_id" value="<?php echo $sale_id; ?>" />
                                                <button type="submit" class="btn btn-success" >Update</button> 
                                                <?php 
                                                }
                                                ?>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div> 
                    </div>
                </div>
            </div>
        </div>
    </div>

    <?php 
    if($newOrder=='no' && $sale_id!='')
    {
    ?>

    <div class="outer">
        <div class="inner bg-light lter bg-container">
            <div class="row">
                <div class="col-lg-12" style="margin-bottom:10px; min-height:300px;">
                    <div class="card">
                        <div class="card-header bg-white"> Sale Details 
                            <?php if(isset($_GET['error'])){ ?>
                            <span class="text-danger">Error: 
                            <?php echo ucfirst(str_replace("-"," ", getValue('error'))); ?></span>
                            <?php } ?>
                        </div>
                        <div class="card-block">
                            <div class="row">
                                <form method="post" action="process/AddToSale">
                                    <input type="hidden" name="bcheck" value="true" />
                                    <input type="hidden" name="sale_id" value="<?php echo $sale_id; ?>" />
                                    <div class="col-lg-6 input_field_sections">
                                        <h5>Item</h5>
                                        <select class="form-control chzn-select" name="product_id" onchange="GetPriceQuantity(this.value)">
                                            <option disabled selected>Choose an Item</option>
                                            <?php 
                                            $productsRS = Run($conn,"select * from tbl_items where status = '1' order by title asc");
                                            while($productsR = GetRow($productsRS)){
                                            $pid = $productsR['id'];
                                            $tbl_stock_dairyR = GetRow(Run($conn,"select balance_quantity from tbl_stock_dairy where product_id = '$pid' order by id desc limit 1"));
                                            $available_stock = $tbl_stock_dairyR['balance_quantity'];	
                                            //if($available_stock > 0){
                                            ?>
                                            <option value="<?php echo $productsR['id']; ?>"> <?php echo $productsR['id'].' - '.$productsR['title']; ?>
                                                <?php if($productsR['category_id'] != 0){ echo ' - '.showTitle($conn,'tbl_items_cat', $productsR['category_id']); } ?>
                                                <?php if($productsR['brand_id'] != 0){ echo ' - '.showTitle($conn,'tbl_brands', $productsR['brand_id']); } ?>
                                                <?php // echo ' - '.number_format($available_stock,3); ?>
                                            </option>
                                            <?php // echo ' - '.number_format($productsR['price'],2); ?>
                                            </option>
                                            <?php //} 
                                            } ?>
                                        </select>
                                    </div>
                                    <div id="pq_div">
                                        <div class="col-lg-2 input_field_sections">
                                            <h5>Price *</h5>
                                            <input type="number" min="1" id="p_price" class="form-control" step="any" name="sale_price" required="required" disabled="disabled" />
                                        </div>
                                        <div class="col-lg-2 input_field_sections">
                                            <h5>Quantity *</h5>
                                            <input type="number"   id="p_quantity" class="form-control" step="any" name="quantity" required="required" disabled="disabled" />
                                        </div>
                                    </div>
                                    <div class="col-lg-2 input_field_sections">
                                        <h5>&nbsp;</h5>
                                        <button type="submit" class="btn btn-success">Submit</button>
                                    </div>
                                </form>
                            </div>
                            <div class="row">
                                <div class="card-block">
                                    <div class="table-responsive m-t-35">
                                        <table class="table table-bordered">
                                            <thead>
                                                <tr>
                                                    <th>#</th>
                                                    <th>Product</th>
                                                    <th>Unit Price</th>
                                                    <th>Quantity</th>
                                                    <th>Total Price</th>
                                                    <th>Action</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <?php 
                                                $i = 1;
                                                $cartRS = Run($conn,"select * from tbl_sales_items where order_id = '$sale_id' and status = '1' order by id asc");
                                                $cartRecords = Records($cartRS);
                                                while($cartR = GetRow($cartRS)){
                                                ?>
                                                <tr>
                                                    <form method="post" action="process/UpdateSaleItem">
                                                        <input type="hidden" name="bcheck" value="true" />
                                                        <input type="hidden" name="sale_id" value="<?php echo $sale_id; ?>" />
                                                        <input type="hidden" name="cart_id" value="<?php echo $cartR['id']; ?>" />
                                                        <td><?php echo $i; ?></td>
                                                        <td><?php echo showTitle($conn,'tbl_items', $cartR['product_id']);?></td>
                                                        <td width="15%"><input class="form-control" type="number" name="sale_price" step="any" value="<?php echo $cartR['sale_price']; ?>" required="required" /></td>
                                                        <td width="15%"><input class="form-control" type="number" step="any" name="quantity_sold" value="<?php echo $cartR['quantity_sold']; ?>" required="required" /></td>
                                                        <td width="15%">Rs <?php echo $cartR['total_sale_price']; ?></td>
                                                        <td width="18%"><button type="submit" class="btn btn-default btn-sm"><i class="fa fa-refresh"></i> Update</button>
                                                        &nbsp; <a class="btn btn-default btn-sm" style="background-color:#F0F0F0; color:#000000;" onclick="return confirm('Are you sure?');" href="process/DeleteSaleItem?id=<?php echo $sale_id; ?>&del=<?php echo $cartR['id']; ?>"><i class="fa fa-trash"></i> Delete</a></td>
                                                    </form>
                                                </tr>
                                                <?php $i++; } ?>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                            <?php if($cartRecords > 0){?>
                            <div class="row">
                                <div class="container">
                                    <div class="col-md-12" style=" background-color:#f5f5f5; border:1px solid #CCC; padding-bottom:20px; margin-bottom:20px;">
                                        <div class="card-header"> <strong>Extra Charges</strong></div>
                                        <form method="post" action="process/UpdateSale">
                                            <input type="hidden" name="bcheck" value="true" />
                                            <input type="hidden" name="sale_id" value="<?php echo $sale_id; ?>" />
                                            <div class="row"> 
                                                <div class="col-lg-4 input_field_sections">
                                                    <label>Transport Charges</label>
                                                    <input type="number" name="transport_charges" value="<?php echo $saleR['transport_charges']; ?>" step="any" class="form-control" />
                                                </div>
                                                <div class="col-lg-4 input_field_sections">
                                                    <label>Labor Charges</label>
                                                    <input type="number" name="labor_charges" value="<?php echo $saleR['labor_charges']; ?>" step="any" class="form-control" />
                                                </div> 
                                                <div class="col-lg-4 input_field_sections">
                                                    <label>Discount</label>
                                                    <input type="number" name="discount" value="<?php echo $saleR['discount']; ?>" step="any" class="form-control" />
                                                </div>
                                            </div>
                                            <div class="col-lg-12 input_field_sections">
                                                <button type="submit" class="btn btn-primary pull-right" >Apply</button>
                                            </div>
                                        </form>
                                    </div>
                                    <div class="col-md-12 pull-right" style="background-color:#f5f5f5; border:1px solid #CCC; padding-bottom:20px;">
                                        <div class="card-header"> <strong>Payment</strong></div>
                                        <div class="col-lg-12 input_field_sections">
                                            <?php
                                            $totalRSamount = "select sum(total_sale_price) as total_amount from tbl_sales_items where order_id = '$sale_id' and status = '1'";
                                            $totalOrderamount  = GetRow(Run($conn,$totalRSamount));
                                            ?>
                                            <div class="table-responsive" style="margin-top:5px;">
                                                <table class="table table-bordered">
                                                    <tbody>
                                                        <tr>
                                                            <td>Sub Total</td>
                                                            <td style="text-align:right;">Rs <?php echo number_format($totalOrderamount['total_amount'],2); ?></td>
                                                        </tr>
                                                        <tr>
                                                            <td>Transport Charges</td>
                                                            <td style="text-align:right;">Rs <?php echo number_format($saleR['transport_charges'],2); ?></td>
                                                        </tr>
                                                        <tr>
                                                            <td>Labor Charges</td>
                                                            <td style="text-align:right;">Rs <?php echo number_format($saleR['labor_charges'],2); ?></td>
                                                        </tr>
                                                        <tr>
                                                            <td>Discount</td>
                                                            <td style="text-align:right;">(Rs <?php echo number_format($saleR['discount'],2); ?>)</td>
                                                        </tr>
                                                    </tbody>
                                                </table>
                                                <table class="table" border="0">
                                                    <tbody>
                                                        <?php  
                                                        $customerID     = $saleR['customer_id']; 
                                                        $debitRS 		  = "select sum(dr) as debit_balance from tbl_cus_payments where customer_id = '$customerID' and status = '1'";
                                                        $debitR  		   = GetRow(Run($conn,$debitRS));
                                                        $debit_balance  = $debitR['debit_balance']; 

                                                        $creditRS 		 = "select sum(cr) as credit_balance from tbl_cus_payments where customer_id = '$customerID' and status = '1'";
                                                        $creditR  		  = GetRow(Run($conn,$creditRS));
                                                        $credit_balance = $creditR['credit_balance'];

                                                        $previousBalance = $debit_balance-$credit_balance;
                                                        ?>
                                                        <tr>
                                                            <td style="font-size:18px;">Total</td>
                                                            <td style="text-align:right; font-size:18px;">Rs <?php echo number_format(($saleR['total_amount']-$saleR['discount']),2); ?></td>
                                                        </tr>
                                                        <tr>
                                                            <td>Previous</td>
                                                            <td style="text-align:right; ">Rs <?php echo number_format($previousBalance,2); ?></td>
                                                        </tr>
                                                        <tr>
                                                            <td style="font-size:18px;">Grand Total</td>
                                                            <td style="text-align:right; font-size:18px;">
                                                            Rs <?php echo number_format(($saleR['total_amount']-$saleR['discount'])+($previousBalance),2); ?> </td>
                                                        </tr> 
                                                    </tbody>
                                                </table>
                                            </div>
                                            <div class="row">
                                                <form method="post" action="process/CompleteSale">
                                                    <input type="hidden" name="bcheck" value="true" />
					                                <input type="hidden" name="sale_id" value="<?php echo $sale_id; ?>" />
                                                <div class="input_field_sections">
                                                  <label>Amount Received
                                                  </label>
                                                  <input type="number" name="amount_received" step="any" value="0" class="form-control" />
                                                </div>
                                                <div class="input_field_sections">
                                                  <button type="submit" class="btn btn-success pull-right" onclick="return confirm('Are you sure?');">Complete Sale</button>
                                                  <a href="process/DeleteSale?order_del=<?php echo $sale_id; ?>" onclick="return confirm('Are you sure?');" class="btn btn-danger pull-right" style="margin-right:10px;">Delete Sale</a> 
                                                </div>
                                                 </form>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <?php }  ?>
                        </div>
                    <!-- /.inner --> 
                    </div>
                <!-- /.outer --> 
                </div>
            <!-- /#content --> 
            </div>
		</div>
    </div>
</div>	
<?php }?>
<?php include 'Footer.php'; ?>

<script type="text/javascript">
	function getXMLHTTP() { //fuction to return the xml http object
    var xmlhttp=false;  
    try{
      xmlhttp=new XMLHttpRequest();
    }
    catch(e)  {   
      try{      
        xmlhttp= new ActiveXObject("Microsoft.XMLHTTP");
      }
      catch(e){
        try{
        xmlhttp = new ActiveXObject("Msxml2.XMLHTTP");
        }
        catch(e1){
          xmlhttp=false;
        }
      }
    }
      
    return xmlhttp;
    }
 
 function GetPriceQuantity(product_id)
{  
	document.getElementById('p_quantity').disabled = 'disabled'; 
	document.getElementById('p_price').disabled = 'disabled'; 
   var strURL="get-price-quantity.php?product_id="+product_id;
    
   var req = getXMLHTTP();
  
   if (req)
   {
     req.onreadystatechange = function()
     {
      if (req.readyState == 4)
      {
  // only if "OK" 
  if (req.status == 200)
         {
     document.getElementById('pq_div').innerHTML=req.responseText;  
  } else {
       //alert("There was a problem while using XMLHTTP:\n" + req.statusText);
  }
       }
      }
   req.open("GET", strURL, true);
   req.send(null);
   }
}
  
</script> 
