<?php 

$page		  = 'supplierR';

require_once('sessionp.php');
require_once('checkAccountsSession.php');

require_once('includes/connection.php');
require_once('includes/functions.php');

$ID		     = $_GET['id'];

$listR   = GetRow(Run($conn,"select * from tbl_suppliers where status = '1' and id = $ID"));
$Credit = GetRow(Run($conn, "SELECT sum(cr) as cr, sum(dr) as dr FROM tbl_purchases WHERE supplier_id = '$ID' ORDER BY id DESC LIMIT 1;"));
$CreditBalance = $Credit['cr'] - $Credit['dr'];

$module = 'purchases';
$pageTitle = $listR['title'] . ' Total Credit PKR-' . number_format($CreditBalance, 0);
$pageTitl 	   = $listR['title'];
$pageRole  	   = 'table';

include 'MasterTop.php';
?>
<style>
.buttons-print {
    border: 1px solid #b2b2b2;
    padding: 5px 10px;
    border-radius: 3px;
}

.btn-success, .btn-view-pdf, .btn-view-send {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    position: relative;
    overflow: hidden;
    transition: box-shadow .3s;
    box-shadow: 0 8px 20px rgba(0, 0, 0, 0.12);
}

.btn-success::after, .btn-view-pdf::after, .btn-view-send::after {
    content: "";
    position: absolute;
    top: -100%; /* position the shine effect above the button initially */
    left: -100%;
    width: 200%;
    height: 200%;
    z-index: 1;
    background: linear-gradient(135deg, transparent, rgba(255, 255, 255, 0.4), transparent);
    transform: rotate(45deg);
    pointer-events: none;
    transition: top 0.5s, left 0.5s;
}

.btn-success:hover::after, .btn-view-pdf:hover::after, .btn-view-send:hover::after {
    top: 100%; /* move the shine effect downwards when button is hovered */
    left: 100%; /* move the shine effect to the right when button is hovered */
}

.btn-success {
    background: #2C3E50;
    border: none;
    padding: 10px 25px;
    border-radius: 50px 50px 0 50px; 
    color: white;
    font-weight: 600;
}

.btn-view-pdf, .btn-view-send {
    background: #4A6897;
    border-radius: 50px 50px 0 50px; 
    padding: 10px 30px;
}

.btn-view-pdf i, .btn-view-send i {
    margin-right: 5px;
}
</style>
<div id="content" class="bg-container">
    <?php include 'Header.php'; ?>
    <div class="outer">
        <div class="inner bg-light lter bg-container">
            <div class="row">
                <?php	if ($user_type == '1') { ?>
                    <div class="col-lg-12" style="margin-bottom:10px;">
                        <div class="card">
                            <div class="card-block">
                                <div class="row">
                                    <form method="post" action="">
                                        <input type="hidden" name="bcheck" value="true" />
                                        <div class="col-lg-2 input_field_sections">
                                            <h5>Contact Person <span class="label_desc">(Optional)</span></h5>
                                            <input type="text" autocomplete="off" class="form-control" name="name" value="<?php echo $listR['name']; ?>" />
                                        </div>
                                        <div class="col-lg-2 input_field_sections">
                                            <h5>Bank Title Name <?php if($user_type != '1'): ?><span class="label_desc">(Not-Editable)</span><?php endif; ?></h5>
                                            <input type="text" class="form-control" name="title" value="<?php echo $listR['title']; ?>" required="required" <?php if($user_type != '1'): ?> readonly <?php endif; ?> />
                                        </div>
                                        <div class="col-lg-6 input_field_sections">
                                            <h5>Bank Name <span class="label_desc">(Optional)</span></h5>
                                            <input class="form-control" list="banks" name="email" value="<?php echo $listR['email']; ?>" />
                                            <datalist id="banks">
                                                <option value="National Bank of Pakistan">
                                                <option value="Habib Bank Limited">
                                                <option value="United Bank Limited">
                                                <option value="Meezan Bank">
                                                <option value="Allied Bank Limited">
                                                <option value="Bank Alfalah">
                                                <option value="MCB Bank Limited">
                                                <option value="Faysal Bank">
                                                <option value="Askari Bank">
                                                <option value="Standard Chartered Bank (Pakistan)">
                                                <option value="Habib Metropolitan Bank">
                                                <option value="JS Bank">
                                                <option value="Silk Bank">
                                                <option value="Sindh Bank">
                                                <option value="Soneri Bank">
                                                <option value="Summit Bank">
                                                <option value="Bank of Punjab">
                                                <option value="BankIslami Pakistan">
                                                <option value="Dubai Islamic Bank Pakistan">
                                                <option value="Al Baraka Bank (Pakistan)">
                                            </datalist>
                                        </div>
                                        <div class="col-lg-2 input_field_sections">
                                            <h5>Account <span class="label_desc">(Optional)</span></h5>
                                            <input type="text" autocomplete="off" class="form-control" name="account" value="<?php echo $listR['account']; ?>" />
                                        </div>
                                        <div class="col-lg-2 input_field_sections">
                                            <h5>Contact Number <span class="label_desc">(Optional)</span></h5>
                                            <input type="text" class="form-control" autocomplete="off" name="phone" value="<?php echo $listR['phone']; ?>" />
                                        </div>
                                        <div class="col-lg-2 input_field_sections">
                                            <h5>City <span class="label_desc">(Autofill-Optional)</span></h5>
                                            <input value="<?php echo showTitle($conn,'tbl_cities', $listR['city_id']); ?>" type="text" class="form-control" autocomplete="off" id="autofill_unit" name="city" list="city_list"  >
                                            <datalist id="city_list" >
                                                <?php 
                                            $citiesRS = Run($conn,"select * from tbl_cities where status = 1 order by title asc");
                                            while($citiesR = GetRow($citiesRS)){
                                            ?>
                                                <option><?php echo $citiesR['title']; ?></option>
                                                <?php } ?>
                                            </datalist>
                                        </div>
                                        <div class="col-lg-2 input_field_sections">
                                            <h5>Category <span class="label_desc">(Autofill-Optional)</span></h5>
                                            <input type="text" value="<?php echo showTitle($conn,'tbl_sup_cat', $listR['supcat']); ?>" class="form-control" autocomplete="off" id="autofill_unit" name="supcat" list="cat_list" >
                                            <datalist id="cat_list">
                                                <?php 
                                            $supCatRS = Run($conn,"select * from tbl_sup_cat where status = 1 order by title asc");
                                            while($supCatR = GetRow($supCatRS)){
                                            ?>
                                                <option><?php echo $supCatR['title']; ?></option>
                                                <?php } ?>
                                            </datalist>
                                        </div>
                                        <div class="col-lg-6 input_field_sections">
                                            <h5>Address <span class="label_desc">(Optional)</span></h5>
                                            <input type="text" class="form-control" name="address" autocomplete="off"  value="<?php echo $listR['address']; ?>" />
                                        </div>
                                        <div class="col-lg-6 input_field_sections">
                                            <button type="submit" class="btn btn-success">Update</button>
                                            <button type="reset" class="btn btn-warning ">Reset</button>
                                            <p><span class="label_desc">Last Updated: <?php echo date('l jS \of F Y h:i:s A', $listR['last_updated']); ?></span></p> 
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <?php } ?>
                <div class="col-lg-12">
                    <div class="card m-t-35">
                        <div class="card-header bg-white">
                            <ul class="nav nav-tabs card-header-tabs float-xs-left">
                                <li class="nav-item"> <a class="nav-link active" href="#Demand_tab" data-toggle="tab">Demand</a> </li>
                                <li class="nav-item"> <a class="nav-link" href="#payments_tab" data-toggle="tab">Payments</a> </li>
                                <li class="nav-item"> <a class="nav-link" href="#purchases_tab" data-toggle="tab">Purchases</a> </li>       
                            </ul>
                        </div>
                        <div class="card-block">
                            <div class="tab-content">
                                <div class="tab-pane active" id="Demand_tab">
                                    <div class="data_tables">
                                        <div class="card-block" style="margin-top:60px;">
                                            <table class="table table-striped table-bordered table-hover" id="sample_1">
                                                <thead>
                                                    <tr>
                                                        <th>#</th>
                                                        <th>ID</th>
                                                        <th>Products</th>
                                                        <th>New Order</th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                     <?php
                                                    $n = 1;
                                                    $ProductDemand  = Run($conn,"SELECT DISTINCT tbl_items.id, tbl_items.title, tbl_items.Max, tbl_items.Mini, tbl_items.updated_Stock  
                                                        FROM tbl_items, tbl_units 
                                                        WHERE tbl_items.Max > 0
                                                        AND tbl_items.Mini > tbl_items.updated_Stock
                                                        AND tbl_items.supplier = '$pageTitl' 
                                                        ORDER BY tbl_items.id DESC;");

                                                    while ($DemandR  = GetRow($ProductDemand)){
                                                        $ProductID       = $DemandR['id'];
                                                        $Needy           = GetRow(Run($conn,"SELECT (Max - updated_Stock) as OrderNow
                                                            FROM tbl_items
                                                            WHERE id = '$ProductID';")); 	
                                                        ?>
                                                        <tr>
                                                            <td><?php echo $n++; ?></td>
                                                            <td><?php echo $DemandR['id']; ?></td>
                                                            <td><a href="item?id=<?php echo $DemandR['id']; ?>" title="View details of <?php echo $DemandR['title']; ?>"><?php echo $DemandR['title']; ?></a></td>
                                                            <td><?php echo $Needy['OrderNow']; ?></td>
                                                        </tr>
                                                        <?php } ?>
                                                </tbody>
                                            </table>
                                                    <?php 
                                                    // Run the SQL query
                                                    $sql = "SELECT DISTINCT tbl_items.id, tbl_items.title, tbl_items.Max, tbl_items.Mini, tbl_items.updated_Stock, tbl_items.brand_id, tbl_items.unit  
                                                        FROM tbl_items, tbl_units 
                                                        WHERE tbl_items.Max > 0
                                                        AND tbl_items.Mini > tbl_items.updated_Stock
                                                        AND tbl_items.supplier = '$pageTitl' 
                                                        ORDER BY tbl_items.id DESC;";

                                                    $result = mysqli_query($conn, $sql);

                                                    // Check query result
                                                    if (!$result) {
                                                        die("Query failed: " . mysqli_error($conn));
                                                    }

                                                    // Initialize an empty string for the product demand
                                                    $ProductDemand = "";

                                                    // Loop through the result set and concatenate the rows
                                                    while ($row = mysqli_fetch_assoc($result)) {
                                                        $ProductID       = $row['id'];
                                                        $Needy           = GetRow(Run($conn,"SELECT (Max - updated_Stock) as OrderNow
                                                            FROM tbl_items
                                                            WHERE id = '$ProductID';")); 
                                                        $brand = showTitle($conn, 'tbl_brands', $row['brand_id']);
                                                        $unit  = showTitle($conn, 'tbl_units', $row['unit']);
                                                        $Note_1 = $row['vendor_note'];

                                                        $productDetails = $brand . " - " . " " . $row["title"] . " " . $unit . " - " . $Needy["OrderNow"];

                                                        if (!empty($Note_1)) {
                                                            $productDetails .= " *Note* " . $Note_1;
                                                        }

                                                        $ProductDemand .= $productDetails . "\n";
                                                    }

                                                    // Add your restaurant name and address at the end of the product demand
                                                    $ProductDemand .= "\n*$pageTitle*\n";
                                                    $ProductDemand .= "\n*Bistro Noir*\nF 7/3 Gol Market Islamabad";
                                                    $ProductDemand .= "\nI would like to request that my delivery be made before 9:00 am. The Store Manager's number is +92 312 0888659. \nThank you for your assistance in this matter.";
                                                    // Encode the product demand string
                                                    $ProductDemand = urlencode($ProductDemand);

                                                    ?>
                                                    &nbsp;
                                            <div style="display: flex; justify-content: flex-end; gap: 20px;">
                                             <a class="btn btn-success btn-view-send" onclick="window.open('https://api.whatsapp.com/send?phone=<?php echo $listR['phone'];?>&text=<?php echo $ProductDemand;?>&source=&data=', '_blank', 'width=600,height=400')" href="#" class="btn btn-raised btn-primary btn-sm md-trigger adv_cust_mod_btn"> Send Demand</a>
                                            </div>										
                                        </div>	
                                    </div>
                                </div>							
                                <div class="tab-pane" id="payments_tab">
                                    <div class="card-block" style="margin-top:60px;">
                                        <table class="table table-striped table-bordered table-hover" id="sample_2">
                                            <thead>
                                                <tr>
                                                    <th>#</th>
                                                    <th>ID</th>
                                                    <th>Date</th>
                                                    <th>Cr (Rs)</th>
                                                    <th>Dr (Rs)</th>
                                                    <th>Balance (Rs)</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <?php 
                                                    $n = 1;
                                                    $paymentsRS = Run($conn,"select * from tbl_purchases where status = '1' and supplier_id = '$ID' order by id desc");
                                                    while($paymentR = GetRow($paymentsRS)){
                                                        $WhatsappID = $paymentR['id'];
                                                ?>
                                                <tr>
                                                    <td><?php echo $n++; ?></td>
                                                    <td><?php echo $WhatsappID; ?></td>
                                                    <td><?php echo $paymentR['post_date']; ?></td>
                                                    <td><?php echo number_format($paymentR['cr'],2); ?></td>
                                                    <td><?php echo number_format($paymentR['dr'],2); ?></td>
                                                    <?php
                                                        // Run the SQL query
                                                        $sql = "SELECT tbl_purchases.id, tbl_purchases.post_date, tbl_purchases.cr, tbl_purchases.dr, tbl_suppliers.title, tbl_suppliers.email, tbl_suppliers.account
                                                            FROM tbl_purchases
                                                            JOIN tbl_suppliers ON tbl_purchases.supplier_id = tbl_suppliers.id
                                                            WHERE tbl_purchases.status = '1' AND tbl_purchases.id = '$WhatsappID'";

                                                        $result = mysqli_query($conn, $sql);

                                                        // Check query result
                                                        if (!$result) {
                                                            die("Query failed: " . mysqli_error($conn));
                                                        }

                                                        // Initialize an empty string for the product demand
                                                        $ProductDemand = "";

                                                        // Loop through the result set and concatenate the rows
                                                        while ($row = mysqli_fetch_assoc($result)) {
                                                            // Store supplier title, email, and account
                                                            $SupplierTitle = $row['title'];
                                                            $Mail = $row['email'];    // Corrected from $tbl_suppliers['email']
                                                            $Account = $row['account'];  // Corrected from $tbl_suppliers['account']

                                                            $ProductID = $row['id'];
                                                            $Date = $row['post_date'];
                                                            $cr = $row['cr'];
                                                            $dr = $row['dr'];
                                                            $Balance = ($cr - $dr);

                                                            // Concatenate the row information for each iteration
                                                            $ProductDemand .= "```Supplier:``` *" . $SupplierTitle . "*\n\n";
                                                            $ProductDemand .= "```Bill Date:``` *".$Date."*\n";
                                                            $ProductDemand .= "```Payable:``` *". $Balance . "* PKR\n";
                                                            $ProductDemand .= "```Bank Name:``` *" . $Mail . "*\n";
                                                            $ProductDemand .= "```Account Number:``` *" . $Account . "*";
                                                        }

                                                        $ProductDemand = urlencode($ProductDemand);
                                                    ?>
                                                    <td>
                                                        <?php
                                                            $balance = $paymentR['cr'] - $paymentR['dr'];
                                                            if ($balance > 1) {
                                                                echo number_format($balance, 2);
                                                                echo ' <a onclick="window.open(\'https://api.whatsapp.com/send?phone=' . $listR['phone'] . '&text=' . $ProductDemand . '&source=&data=\', \'_blank\', \'width=600,height=400\')" href="#" class="btn" style="background-color: #0074D9; color: white;">Send For Pay</a>';
                                                            } else {
                                                                echo number_format($balance, 2);
                                                            }
                                                        ?>
                                                    </td>
                                                </tr>
                                                <?php } ?>
                                            </tbody>
                                            <?php 
                                                // Run the SQL query
                                                $sql = "select * from tbl_purchases where status = '1' and supplier_id = '$ID' order by id desc";

                                                $result = mysqli_query($conn, $sql);

                                                // Check query result
                                                if (!$result) {
                                                    die("Query failed: " . mysqli_error($conn));
                                                }

                                                // Initialize an empty string for the product demand
                                                $ProductDemand = "";

                                                // Loop through the result set and concatenate the rows
                                                while ($row = mysqli_fetch_assoc($result)) {
                                                    $ProductID       = $row['id'];
                                                    $ProductDemand .= $row['post_date'] . " *Credit* " . $row['cr'] . " *Debit* " . $row['dr'] . " *Balance* " . ($row['cr'] - $row['dr']);

                                                    $ProductDemand .= $productDetails . "\n";
                                                }

                                                // Add your restaurant name and address at the end of the product demand
                                                $ProductDemand .= "\n*$pageTitle*\n";
                                                $ProductDemand .= "\n*Bistro Noir*\nF 7/3 Gol Market Islamabad";
                                                // Encode the product demand string
                                                $ProductDemand = urlencode($ProductDemand);
                                            ?>
                                            <div style="display: flex; justify-content: flex-end; gap: 20px;">
                                                <a class="btn btn-success btn-view-pdf" href="printpayment?id=<?php echo $ID;?>" target="_blank" title="Print"><i class="fa fa-print"></i> Download PDF</a>
                                                <a class="btn btn-success btn-view-send" onclick="window.open('https://api.whatsapp.com/send?phone=<?php echo $listR['phone'];?>&text=<?php echo $ProductDemand;?>&source=&data=', '_blank', 'width=600,height=400')" href="#" class="btn btn-raised btn-primary btn-sm md-trigger adv_cust_mod_btn"> Payments Details</a>
                                            </div>    
                                            &nbsp;
                                        </table>                                    
                                    </div>    
                                </div>
                                <div class="tab-pane" id="purchases_tab">
                                    <div class="data_tables">
                                        <div class="card-block" style="margin-top:60px;">
                                            <div class="row">
                                                <!-- Purchase details -->
                                                <div class="col-md-4">
                                                    <table class="table table-striped table-bordered table-hover" id="purchase_details">
                                                        <thead>
                                                            <tr>
                                                                <th>#</th>
                                                                <th>Purchases Date</th>
                                                                <th>Invoice</th>                             
                                                                <th style="text-align:right;">Bill Amount (Rs)</th>
                                                                <th>View Invoice</th>
                                                            </tr>
                                                        </thead>
                                                        <tbody>
                                                            <?php
                                                            $i = 1;
                                                            $totalPurchaseSum = 0;
                                                            $listRS = Run($conn, "SELECT * FROM tbl_purchases WHERE status = '1' AND supplier_id = '$ID' ORDER BY id DESC"); 
                                                            while ($listRM = mysqli_fetch_assoc($listRS)) {
                                                                $bill_id = $listRM['id'];
                                                                $purchasesR = GetRow(Run($conn, "SELECT SUM(cr) AS bill_amount FROM tbl_purchases WHERE status = '1' AND id = '$bill_id' "));
                                                                $Total = $purchasesR['bill_amount'];
                                                                $totalPurchaseSum += $Total; // Accumulate the total
                                                            ?>
                                                            <tr>
                                                                <td width="5%"><?php echo $i++; ?></td>
                                                                <td width="9%"><?php echo $listRM['post_date']; ?></td>								
                                                                <td width="5%"><?php echo $bill_id; ?></td>
                                                                <td width="12%" style="text-align:right;"><?php echo number_format($Total); ?></td>
                                                                <td width="8%"><a class="btn btn-primary btn-sm" href="purchase?id=<?php echo $bill_id; ?>"> Details</a></td>
                                                            </tr>
                                                            <?php } ?>
                                                        </tbody>
                                                        <tfoot>
                                                            <tr>
                                                                <td colspan="3" style="text-align:right;"><strong>Total Purchase Amount</strong></td>
                                                                <td style="text-align:right;"><strong><?php echo number_format($totalPurchaseSum, 1); ?></strong></td>
                                                            </tr>
                                                        </tfoot>
                                                    </table>
                                                </div>
                                                <!-- Payment details -->
                                                <div class="col-md-4">
                                                    <table class="table table-striped table-bordered table-hover" id="payment_details">
                                                        <thead>
                                                            <tr>
                                                                <th>#</th>
                                                                <th>Payment Date</th>
                                                                <th>Invoice</th>                             
                                                                <th style="text-align:right;">Paid Amount (Rs)</th>
                                                            </tr>
                                                        </thead>
                                                        <tbody>
                                                            <?php
                                                            $j = 1;
                                                            $totalPaidSum = 0;    
                                                            $paymentsRS = Run($conn, "SELECT bill_id, post_date, SUM(dr) AS total_dr FROM tbl_sup_payments WHERE status = '1' AND supplier_id = '$ID' GROUP BY bill_id, post_date HAVING total_dr > 1 ORDER BY bill_id DESC");
                                                            
                                                            while ($paymentR = mysqli_fetch_assoc($paymentsRS)) {
                                                                $bill_id = $paymentR['bill_id'];
                                                                
                                                                // Fetch the sum of cr values for the current bill_id
                                                                $crSumRS = Run($conn, "SELECT SUM(cr) AS total_cr, SUM(dr) AS total_dr  FROM tbl_sup_payments WHERE status = '1' AND supplier_id = '$ID' AND bill_id = '$bill_id'");
                                                                $crSumR = mysqli_fetch_assoc($crSumRS);
                                                                $total_dr = $crSumR['total_dr'];
                                                            
                                                                $totalPaidSum += $paymentR['total_dr']; // Accumulate the total balance
                                                            
                                                                
                                                                ?>
                                                                <tr>
                                                                    <td width="5%"><?php echo $j++; ?></td>
                                                                    <td width="9%"><?php echo $paymentR['post_date']; ?></td>			
                                                                    <td width="5%"><?php echo $bill_id; ?></td>
                                                                    <td width="12%" style="text-align:right;"><?php echo number_format($paymentR['total_dr'], 2); ?></td>
                                                                </tr>
                                                                <?php
                                                            }
                                                            ?>
                                                        </tbody>
                                                        <tfoot>
                                                            <tr>
                                                                <td colspan="3" style="text-align:right;"><strong>Total Paid Amount</strong></td>
                                                                <td style="text-align:right;"><strong><?php echo number_format($totalPaidSum, 2); ?></strong></td>
                                                            </tr>
                                                        </tfoot>
                                                    </table>
                                                </div>
                                                <!-- Balance details -->
                                                <div class="col-md-4">
                                                    <table class="table table-striped table-bordered table-hover" id="payment_details">
                                                        <thead>
                                                            <tr>
                                                                <th>#</th>
                                                                <th>Invoice Date</th>
                                                                <th>Invoice</th>
                                                                <th style="text-align:right;">Balance Amount (Rs)</th>
                                                                <th>Send</th>
                                                            </tr>
                                                        </thead>
                                                        <tbody>
                                                            <?php
                                                            $j = 1;
                                                            $totalBalanceSum = 0;

                                                            $invoicesRS = Run($conn, "SELECT DISTINCT id FROM tbl_purchases WHERE status = '1' AND supplier_id = '$ID' ORDER BY id DESC");

                                                            while ($invoiceR = mysqli_fetch_assoc($invoicesRS)) {
                                                                $bill_id = $invoiceR['id'];

                                                                $listP2 = GetRow(Run($conn, "SELECT * FROM tbl_suppliers WHERE status = '1' AND id = $ID"));
                                                                $title1 = $listP2['title']; // get the title from the database
                                                                $Mail1 = $listP2['email'];
                                                                $Account1 = $listP2['account'];

                                                                $ProductDemand1  = "```Invoice Date:``` *" . $first_cr_post_date ."```Invoice No:``` *" . $bill_id . "*\n\n";
                                                                $ProductDemand1  = "```Supplier:``` *" . $title1 . "*\n";
                                                                $ProductDemand1 .= "```Payable:``` *" . $balance . "* PKR\n";
                                                                $ProductDemand1 .= "```Bank Name:``` *" . $Mail1 . "*\n";
                                                                $ProductDemand1 .= "```Account Number:``` *" . $Account1 . "*";

                                                                $ProductDemand1 = urlencode($ProductDemand1);

                                                                // Fetch the sum of cr values for the current bill_id
                                                                $crSumRS = Run($conn, "SELECT SUM(cr) AS total_cr, SUM(dr) AS total_dr FROM tbl_purchases WHERE status = '1' AND supplier_id = '$ID' AND id = '$bill_id'");
                                                                $crSumR = mysqli_fetch_assoc($crSumRS);
                                                                $total_cr = $crSumR['total_cr'];
                                                                $total_dr = $crSumR['total_dr'];

                                                                // Calculate the balance amount
                                                                $balance = $total_cr - $total_dr;

                                                                // Check if cr - dr is greater than 0
                                                                if ($balance > 1) {
                                                                    // Accumulate the balance into the total balance sum
                                                                    $totalBalanceSum += $balance;

                                                                    // Fetch the post_date for the first time a cr is posted
                                                                    $firstCrPostDateRS = Run($conn, "SELECT (post_date) AS first_cr_post_date FROM tbl_purchases WHERE status = '1' AND supplier_id = '$ID' AND id = '$bill_id' AND cr > 0 ");
                                                                    $firstCrPostDateR = mysqli_fetch_assoc($firstCrPostDateRS);
                                                                    $first_cr_post_date = $firstCrPostDateR['first_cr_post_date'];
                                                                    ?>

                                                                    <tr>
                                                                        <td width="5%"><?php echo $j++; ?></td>
                                                                        <td width="9%"><?php echo $first_cr_post_date; ?></td>
                                                                        <td width="5%"><?php echo $bill_id; ?></td>
                                                                        <td width="12%"><?php echo number_format($balance, 2); ?></td>
                                                                        <td width="8%">
                                                                            <?php
                                                                            // Concatenate the row information for each iteration
                                                                            $listP = GetRow(Run($conn, "SELECT * FROM tbl_suppliers WHERE status = '1' AND id = $ID"));
                                                                            $title = $listP['title']; // get the title from the database
                                                                            $Mail = $listP['email'];
                                                                            $Account = $listP['account'];

                                                                            $ProductDemand = "```Supplier:``` *" . $title . "*\n\n";
                                                                            $ProductDemand .= "```Invoice Date:``` *" . $first_cr_post_date . "*\n";
                                                                            $ProductDemand .= "```Invoice No:``` *" . $bill_id . "*\n";
                                                                            $ProductDemand .= "```Payable:``` *" . $balance . "* PKR\n";
                                                                            $ProductDemand .= "```Bank Name:``` *" . $Mail . "*\n";
                                                                            $ProductDemand .= "```Account Number:``` *" . $Account . "*";

                                                                            $ProductDemand = urlencode($ProductDemand);
                                                                            ?>
                                                                            <a class="btn btn-primary btn-sm""
                                                                               onclick="openWhatsApp('<?php echo '+923334539662'; ?>', '<?php echo $ProductDemand; ?>')"
                                                                               href="#" class="btn btn-raised btn-primary btn-sm md-trigger adv_cust_mod_btn"> Send</a>
                                                                        </td>
                                                                    </tr>
                                                                    <?php
                                                                }
                                                            }
                                                            ?>
                                                        </tbody>
                                                        <tfoot>
                                                            <tr>
                                                                <td colspan="3" style="text-align:right;"><strong>Total Balance Amount</strong></td>
                                                                <td style="text-align:right;"><strong><?php echo number_format($totalBalanceSum, 2); ?></strong></td>
                                                            </tr>
                                                        </tfoot>
                                                    </table>
                                                </div>

                                                <script>
                                                    function openWhatsApp(phone, message) {
                                                        var url = "https://api.whatsapp.com/send?phone=" + phone + "&text=" + message;
                                                        window.open(url, '_blank', 'width=600,height=400');
                                                    }
                                                </script>
                                            </div>
                                        <?php
                                        $invoicesRS1 = Run($conn, "SELECT DISTINCT id FROM tbl_purchases WHERE status = '1' AND supplier_id = '$ID' ORDER BY id DESC");

                                        $totalBalanceSum1 = 0; // Initialize the total balance sum
                                        $ProductDemand1 = ''; // Initialize the product demand string

                                        while ($invoiceR = mysqli_fetch_assoc($invoicesRS1)) {
                                            $bill_id1 = $invoiceR['id'];

                                            // Fetch the sum of cr values for the current bill_id
                                            $crSumRS = Run($conn, "SELECT SUM(cr) AS total_cr1, SUM(dr) AS total_dr1 FROM tbl_purchases WHERE status = '1' AND supplier_id = '$ID' AND id = '$bill_id1'");
                                            $crSumR = mysqli_fetch_assoc($crSumRS);
                                            $total_cr1 = $crSumR['total_cr1'];
                                            $total_dr1 = $crSumR['total_dr1'];

                                            // Calculate the balance amount
                                            $balance1 = $total_cr1 - $total_dr1;

                                            // Check if cr - dr is greater than 0
                                            if ($balance1 > 0) {
                                                $totalBalanceSum1 += $balance1;

                                                // Fetch the post_date for the first time a cr is posted
                                                $firstCrPostDateRS1 = Run($conn, "SELECT (post_date) AS first_cr_post_date1 FROM tbl_purchases WHERE status = '1' AND supplier_id = '$ID' AND id = '$bill_id1' AND cr > 0");
                                                $firstCrPostDateR1 = mysqli_fetch_assoc($firstCrPostDateRS1);
                                                $first_cr_post_date1 = $firstCrPostDateR1['first_cr_post_date1'];

                                                $listP2 = GetRow(Run($conn, "SELECT * FROM tbl_suppliers WHERE status = '1' AND id = $ID"));
                                                $title1 = $listP2['title']; // get the title from the database
                                                $Mail1  = $listP2['email'];
                                                $Phone1 = $listP2['phone'];
                                                $Account1 = $listP2['account'];

                                                // Accumulate data for each invoice
                                                $ProductDemand1 .= "*".$first_cr_post_date1 ."* ```Invoice```:*" . $bill_id1  . "* ```Balance```:*" . $balance1 . "* PKR\n";
                                            }
                                        }

                                        $ProductDemand1 .= "\n```Supplier:``` *" . $title1 . "*\n";
                                        $ProductDemand1 .= "```Total Payable:``` *" . $totalBalanceSum1 . "* PKR\n";
                                        $ProductDemand1 .= "```Bank Name:``` *" . $Mail1 . "*\n";
                                        $ProductDemand1 .= "```Account Number:``` *" . $Account1 . "*";

                                        $ProductDemand1 = urlencode($ProductDemand1);
                                        ?>

                                        <div style="display: flex; justify-content: flex-end; gap: 20px;">
                                            <a class="btn btn-success btn-view-pdf" href="printpaymentbill?id=<?php echo $ID; ?>" target="_blank" title="Print"><i class="fa fa-print"></i> Download PDF</a>
                                            <a class="btn btn-success btn-view-pdf" onclick="window.open('https://api.whatsapp.com/send?phone=<?php echo $Phone1; ?>&text=<?php echo $ProductDemand1; ?>&source=&data=', '_blank', 'width=600,height=400')" href="#" class="btn btn-raised btn-primary btn-sm md-trigger adv_cust_mod_btn">Send</a>
                                        </div>

                                        &nbsp;
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- /.inner --> 
        </div>
        <!-- /.outer --> 
    </div>
    <!-- /#content --> 
</div>
<?php include 'Footer.php'; ?>