<?php
$page = 'expenses';

require_once('sessionp.php');
require_once('checkAccountsSession.php');
require_once('includes/connection.php');
require_once('includes/functions.php');

$start_day   = '01';
$start_month = date("m");
$start_year  = date("Y");
$start_date = $start_year.'-'.$start_month.'-'.$start_day;
$end_date   = date("Y-m-d");
$date_check = getValue('date_check');
if($date_check == 'true')
	{
		$start_date = getValue('date_from');
		$end_date   = getValue('date_to');
	}

$module = 'expenses';
$range = 'true';
$listRS = GetRow(Run($conn, "SELECT SUM(received_amount) AS Received, SUM(given_amount) AS Given FROM tbl_cashdetails ORDER BY Date ASC"));
$Balance = $listRS['Received'] - $listRS['Given'];
$pageTitle = 'Balance Cash: ' . $Balance;
$pageRole = 'table';

include 'MasterTop.php';
include 'Top.php';
include 'SideBar.php';
?>

<div id="content" class="bg-container">
    <?php include 'Header.php'; ?>
    <div class="outer">
        <div class="inner bg-light lter bg-container">
            <div class="row">
                <div class="col-xs-12 data_tables">
                    <!-- BEGIN EXAMPLE1 TABLE PORTLET-->
                    <div class="card">
                        <div class="card-block" style="margin-top:60px;">
                            <form method="POST" action="process/save_cash_details.php">
                                <div class="col-lg-3 input_field_sections">
                                    <div class="form-group">
                                        <label for="received_amount">Received Amount</label>
                                        <input type="text" class="form-control" id="received_amount" name="received_amount" required>
                                    </div>
                                </div>
                                <!--<div class="col-lg-2 input_field_sections">
                                    <div class="form-group">
                                        <label for="given_amount">Given Amount</label>
                                        <input type="text" class="form-control" id="given_amount" name="given_amount" required>
                                    </div>
                                </div>-->
                                <div class="col-lg-3 input_field_sections">
                                    <div class="form-group">
                                        <label for="remark">Remark</label>
                                        <textarea class="form-control" id="remark" name="remark"></textarea>
                                    </div>
                                </div>								
                                <div class="col-lg-2 input_field_sections">
                                    <div class="form-group">
                                        <label for="handover_person">From</label>
                                        <select class="form-control" id="handover_person" name="handover_person" required>
                                            <option value="Withdraw Cash">Withdraw Cash</option>
											<option value="Withdraw Cash">Submint</option>
                                            <option value="Opening Cash">Opening Cash</option>
                                            <option value="Opening Bank Balance">Opening Bank Balance</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="col-lg-2 input_field_sections">
                                    <div class="form-group text-center">
                                        <label>Button</label>
                                        <br>
                                        <button type="submit" class="btn btn-success">Save</button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="outer">
        <div class="inner bg-light lter bg-container">
            <div class="row">
                <div class="col-xs-12 data_tables">
                    <!-- BEGIN EXAMPLE1 TABLE PORTLET-->
                    <div class="card">
                        <div class="card-block" style="margin-top:60px;">
                            <table class="table table-striped table-bordered table-hover" id="sample_1">
                                <thead>
                                    <tr>
                                        <th>ID</th>
                                        <th>Date</th>
                                        <th>Received Amount</th>
                                        <th>Given Amount</th>
                                        <th>Hand Over To</th>
                                        <th>Remark</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php
                                    $listRS = Run($conn, "SELECT * FROM tbl_cashdetails ORDER BY Date ASC");
                                    while ($listR = GetRow($listRS)) {
                                        $id = $listR['id'];
                                        $date = $listR['Date'];
                                        $received_amount = $listR['received_amount'];
                                        $given_amount = $listR['given_amount'];
                                        $handover_person = $listR['handover_person'];
                                        $remark = $listR['remark'];
                                    ?>
                                        <tr>
                                            <td><?php echo $id; ?></td>
                                            <td><?php echo $date; ?></td>
                                            <td><?php echo $received_amount; ?></td>
                                            <td><?php echo $given_amount; ?></td>
                                            <td><?php echo $handover_person; ?></td>
                                            <td><?php echo $remark; ?></td>
                                        </tr>
                                    <?php } ?>
                                </tbody>
								<div style="text-align: right; margin-bottom: .1in;">
                                    <a class="btn btn-success btn-view-pdf" href="PrintCashDetails"><i class="fa fa-print"></i>Closing Details</a>
                                </div>								
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<?php include 'Footer.php'; ?>