<?php
$page        = 'calculations';
require_once('sessionp.php');
require_once('includes/connection.php');
require_once('includes/functions.php');

    $ID	         = $_GET['id']; 
    $start_date  = $_GET['start_date'];
    $end_date    = $_GET['end_date'];
	
$module	     = 'employees';

$start_month = date('m', strtotime($start_date));

include 'MasterTop.php';
?>
<style>
  .salary-slip {
    border: 1px solid #444;
    padding: 30px;
    margin-bottom: 15px;
	margin-top: 10px;
    background-color: #fff;  /* white background */
    border-radius: 20px;
    box-shadow: 0 0 10px rgba(0,0,0,0.1);
  }

  .closing-paragraph {
    border: 1px solid #444;
    padding: 30px;
    margin-bottom: 15px;
    background-color: #fff;  /* white background */
    border-radius: 20px;
    box-shadow: 0 0 10px rgba(0,0,0,0.1);
  }

  h2, h3 {
    color: #000;  /* black color */
    font-size: 2.5rem;  /* increased font size */
  }

  p {
    line-height: 1.2;
    color: #000;  /* black color */
    font-size: 1.6rem;  /* increased font size */
  }

  strong {
    color: #000;  /* black color */
  }

  hr {
    border: 0;
    height: 1px;
    background: #333;
    opacity: 0.5;
  }
</style>
<!DOCTYPE html>
<html>

<head>
    <style>
        @media print {
            .salary-slip {
                page-break-before: always;
            }
        }
    </style>
</head>

<body>
    <div class="outer">
        <div class="inner bg-light lter bg-container">
            <div class="row">
                <div class="col-xs-12 data_tables">
                    <div class="card-block p-5">
                        <?php
                        $reportRS = Run($conn, "SELECT * FROM `tbl_employees` WHERE `status`= 'Active'");

                        while ($reportR = GetRow($reportRS)) {
                            $reportID = $reportR['id_emp'];
                            echo '<div class="salary-slip">';
                            echo '<h1 style="text-align: center;">BISTRO NOIR</h1>';
                            echo '<h4 style="text-align: center;">Unit 3, Street 4</h4>';
                            echo '<h4 style="text-align: center;">Gol Market, F 7/3, Islamabad</h4>';
                            echo '<br>';
                            echo '<p style="text-align: center;"><strong>Code Of Conduct</strong></p>';
                            echo '</div>';

                            echo '<div class="closing-paragraph">';
							echo '<p>ID:' . $reportR['id_emp'] . '</p>';							
                            echo '<p><strong>Dear ' . $reportR['name'] . ',</strong></p>';
                            echo '<h4>After carefully reading the Code of Conduct, please sign below to indicate your agreement and commitment to follow these guidelines:</h4>';
                            echo '<br>';
                            echo '<p>1. Report to your duty at least 15 minutes prior to the commencement of your work to ensure punctuality.</p>';
                            echo '<p>2. Always attend the briefing conducted by the Manager before the start of your shift.</p>';
                            echo '<p>3. Adhere to the proper dress code, including wearing the authorized name tag provided by Bistro Noir.</p>';
                            echo '<p>4. Uniforms are not permitted to be worn outside the premises at any time, unless it is a requirement of your job or during a designated function.</p>';
                            echo '<p>5. In the event that you are unable to report for work at your assigned time, notify the Outlet Manager within two hours of the start of your shift. Failure to do so may result in disciplinary action.</p>';
                            echo '<p>6. Failure to inform about an absence from duty for an extended period may be considered "Abandoning the Position." In such cases, attempts should be made by associates or management to communicate with the absent staff to ascertain the facts.</p>';
                            echo '<p>7. Consume meals only at scheduled times and refrain from eating or drinking in the presence of guests.</p>';
                            echo '<p>8. Jewelry, including broaches, bracelets, visible necklaces, or rings, is not permitted while on duty.</p>';
                            echo '<p>9. Avoid using abusive or offensive language towards guests, colleagues, or management. Maintain a quiet and respectful demeanor in the presence of guests.</p>';
                            echo '<p>10. Approval from the Manager is required for any scheduled time off. Unauthorized absences and actions such as gambling or theft within the restaurant premises are strictly prohibited.</p>';
                            echo '<p>11. Demonstrate attentiveness to guest needs, anticipate their requests, and strive to fulfill them to ensure guest satisfaction.</p>';
                            echo '<p>12. Handle guest complaints professionally and efficiently, even if the issue is not directly related to your responsibilities. If unable to resolve the matter, promptly contact a colleague or supervisor.</p>';
                            echo '<p>13. Provide consistent and equal service standards to all guests, irrespective of their origin.</p>';
                            echo '<p>14. Management reserves the right to terminate employment without notice.</p>';
                            echo '<p>15. Upon completion of your daily shift, vacate your assigned station and workplace, unless directed otherwise by your Manager.</p>';
                            echo '<p>16. Photographing or sharing images or videos of food or beverages is not permitted.</p>';
                            echo '<p>17. Mobile phones and personal devices are prohibited during duty hours.</p>';
                            echo '<p>18. Submit a written notice at least 15 days prior if you intend to leave the company.</p>';
                            echo '<p>19. Engaging in a second job while employed here is not allowed.</p>';
                            echo '</div>';
                            echo '<br>';
                            echo '<br>';
                            echo '<p>Yours sincerely,</p>';
                            echo '<p>Bistro Noir</p>';
                            echo '<br>';
                            echo '<hr><p>______________________________</p>';
							echo '<hr><p>';
                            echo $reportR['gender'] == 'Male' ? 'Mr.' : 'Ms.';
                            echo ' ' . $reportR['name'] . ' Signature/Thumbprint</p>';
							//echo '<div style="page-break-before: always;"></div>';
                        }
                        ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <script>
        window.onload = function () {
            window.print();
        }
    </script>
</body>
</html>