<?php 
    $page = 'DemandReport';

    require_once('sessionp.php');
    require_once('includes/connection.php');
    require_once('includes/functions.php');

    $start_day   = '01';
    $start_month = date("m");
    $start_year  = date("Y");
    $start_date  = $start_year.'-'.$start_month.'-'.$start_day;
    $end_date    = date("Y-m-d");
    $date_check  = getValue('date_check');

    if($date_check == 'true') {
        $start_date = getValue('date_from');
        $end_date   = getValue('date_to');
    }

    $register_date = date("Y-m-d");
    $reg_date_check = getValue('reg_date_check');

    if($reg_date_check == 'true') {
        $register_date = getValue('register_date'); 
    }

    $ID          = $_GET['id'];
    $module      = 'Demand';
    $pageTitle   = 'DemandReport';

    $reportRS    = Run($conn, "SELECT DISTINCT id
                                FROM tbl_demand_record
                                WHERE brand_id = '$ID' and status= '0' and quantity > '0'");
$del = getValue('del');
$D_id = getValue('ID');

if ($del != '' && $del > 0) {
    Run($conn, "DELETE FROM tbl_demand_record WHERE id = '$del' AND status='0'");
    redirect_to('DemandReport.php?id=' . $D_id, 'success', 'Deleted successfully.');
}
								
								
    include 'MasterTop.php';

    if ($user_type == '1') {
        include 'Top.php';
        include 'SideBar.php';
    }

    $pageTitle = 'Items Report';
	
$dcheck = getValue('dcheck');
$NOW = date("Y-m-d");

if ($dcheck == 'true') {
    extract($_POST, EXTR_OVERWRITE);
    $NOW = date("Y-m-d");

    // Update all demands for the specific brand ID
    $updateAll = Run($conn, "UPDATE tbl_demand_record SET 
        status = '1', 
        RecDate = '$NOW' 
        WHERE brand_id = '$ID' 
        AND status = '0' 
        AND quantity > '0'");

    if($updateAll) {
        redirect_to('DemandReport.php?id=' . $ID, 'success', 'All demands received successfully.');
    } else {
        redirect_to('DemandReport.php?id=' . $ID, 'error', 'Failed to receive all demands.');
    }
}	
?>
<style>
    .buttons-print {
        border: 1px solid;
        padding: 5px 10px;
        border-radius: 3px;
    }

    .btn {
        font-weight: 600; 
        text-transform: uppercase; 
        letter-spacing: 1px; 
        transition: all 0.3s; 
        margin: 10px;
        border: none;
        padding: 10px 20px;
        border-radius: 5px;
        cursor: pointer;
    }

    .btn:focus {
        outline: none;
        box-shadow: 0 0 5px rgba(66,133,244,0.5);
    }

    .btn-primary {
        background: linear-gradient(135deg, #4285F4, #2E93FF);
        color: white;
    }

    .btn-primary:hover {
        background: linear-gradient(135deg, #2E93FF, #4285F4);
    }

    .btn-success {
        background: linear-gradient(135deg, #34D859, #28C76F);
        color: white;
    }

    .btn-success:hover {
        background: linear-gradient(135deg, #28C76F, #34D859);
    }

    .btn-view-send {
        background: linear-gradient(135deg, #f7f7f7, #e9e9e9);
        color: #555;
    }

    .btn-view-send:hover {
        background: linear-gradient(135deg, #e9e9e9, #f7f7f7);
    }

    .btn.pull-Left {
        margin-right: 10px;
        background: linear-gradient(135deg, #FFC107, #FF9800);
        color: white;
        font-size: 12px;
        padding: 5px 10px;
    }

    .btn.pull-Left:hover {
        background: linear-gradient(135deg, #FF9800, #FFC107);
    }

    .btn:hover {
        transform: translateY(-3px);
        box-shadow: 0 10px 20px rgba(0,0,0,0.1);
    }

    .btn:active {
        transform: translateY(1px);
    }

    .card {
        width: 100%;
        margin: 0 auto;
    }

    #phoneNumber {
        width: 250px;
        height: 40px;
        padding: 5px 15px;
        border: 1px solid #ddd;
        border-radius: 20px;
        font-size: 16px;
        outline: none;
        transition: border-color 0.3s;
        background: linear-gradient(120deg, #fdfbfb 0%, #ebedee 100%);
    }

    #phoneNumber:focus {
        border-color: #4285F4;
        box-shadow: 0 4px 8px rgba(66,133,244,0.2);
    }
</style>
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css">
<style>
    .back-btn {
        font-size: 35px;
        color: #000;
        float: left;
        margin-right: 20px;
    }

    .smart-input {
        padding: 6px 12px;
        border: 1px solid #ccc;
        border-radius: 8px;
        font-size: 14px;
        width: 100%;
        box-sizing: border-box;
        transition: border-color 0.4s, box-shadow 0.4s, background-color 0.4s;
        outline: none;
        background: linear-gradient(135deg, #f7f7f7, #e9e9e9);
    }

    .smart-input:focus {
        border-color: #4285F4;
        box-shadow: 0 3px 6px rgba(66,133,244,0.2);
        background-color: #f1f1f1;
    }

    .smart-input[type="number"] {
        text-align: right;
    }
</style>
<?php 
// Run the SQL query
$sql = "SELECT DISTINCT tbl_demand_record.id, tbl_demand_record.unit
        FROM tbl_demand_record, tbl_units
        WHERE brand_id = '$ID' AND status = '0' AND quantity > '0';";

$result = mysqli_query($conn, $sql);

// Check query result
if (!$result) {
    die("Query failed: " . mysqli_error($conn));
}

// Initialize an empty string for the product demand
$ProductDemand = "";

// Loop through the result set and concatenate the rows
while ($row = mysqli_fetch_assoc($result)) {
    $id = $row['id']; 
    $purchaseR = GetRow(Run($conn,"SELECT quantity as purchase_quantity FROM tbl_demand_record
                    WHERE id = '$id' AND status = '0'"));
    $purchaseM = GetRow(Run($conn,"SELECT * FROM tbl_demand_record
                    WHERE id = '$id'"));
    $purchase_quantity = $purchaseR['purchase_quantity'];
    $unitID = GetRow(Run($conn,"SELECT unit FROM tbl_items
                    WHERE id = '$id'"));
    $unit = showTitle($conn, 'tbl_units', $row['unit']);
    $Note_1 = $purchaseM['vendor_note'];
    $Section = showTitle($conn, 'tbl_brands', $ID);
    
    $productDetails = $purchaseM['title'].  " - *" . $purchase_quantity . "* " . $unit;

    if (!empty($Note_1)) {
        $productDetails .= " *Note* " . $Note_1;
    }

    $ProductDemand .= $productDetails . "\n";
}

// Add your restaurant name and address at the end of the product demand
$ProductDemand .= "\n```Date:``` *" .$register_date . "* *" . $Section . "* ```Demand```\n";
$ProductDemand .= "\n*Bistro Noir*.\n"
               . "```MM Alam Road Lahore.```";
$ProductDemand = urlencode($ProductDemand);

?>						
<?php
$sql = "SELECT name, cell
        FROM tbl_employees
        WHERE status = 'Active'
        AND designation NOT IN (
            'Busser', 'Commis 2', 'Commis 3', 'Dishwasher', 'Dishwasher Main Kitchen',
            'Dishwasher Pastry', 'GRO', 'Helper Barista', 'Helper Main Kitchen',
            'House Keeping', 'Trainee Main Kitchen', 'Trainee Pastry', 'Waiter')";
$result = $conn->query($sql);
?>
<div id="content" class="bg-container">
    <?php include 'Header.php'; ?>
    <div class="outer">
        <div class="inner bg-light lter bg-container">
            <div class="row">
                <div class="col-xs-12 data_tables">
                    <div class="card">
                        <div class="card-block" style="margin-top:60px;">
                            <div style="text-align: right;">
                                <input list="employees" id="phoneNumber" placeholder="Search Name">
                                <datalist id="employees">
                                    <?php
                                    if ($result->num_rows > 0) {
                                        while($row = $result->fetch_assoc()) {
                                            echo '<option value="'.$row['cell'].'">'.$row['name'].'</option>';
                                        }
                                    }
                                    ?>
                                </datalist>
                                &nbsp;&nbsp;
                                <a class="btn btn-success btn-view-send" onclick="sendWhatsAppMessage()" href="#" class="btn btn-raised btn-primary btn-sm md-trigger adv_cust_mod_btn"> Send</a>
                                &nbsp;&nbsp; 
                                <a class="btn btn-success" href="index1?id=<?php echo $ID; ?>" title="View details of <?php echo $listR['supplier']; ?>">Add New Demand</a>
								<?php if ($user_type == '1') {
                                echo '<a class="btn btn-success" href="DailyClosing?id=' . $ID . '" title="View details of ' . $listR['supplier'] . '">Daily Closing</a>';
                                }?>
                                <a href="Sections.php" class="back-btn"><i class="fas fa-arrow-left"></i></a>
								<form method="POST" action="">
							    	<input type="hidden" name="dcheck" value="true" />
                                    <!-- Assuming you already have a way to pass the brand ID -->
                                    <input type="hidden" name="brand_id" value="<?php echo $ID; ?>">
                                    <button type="submit" class="btn btn-success pull-Left" name="receive_all">Receive All Demands</button>
                                </form>
                            </div>
                            &nbsp;
                            <table class="table table-striped table-bordered table-hover" id="sample_1">
                                <thead> 
                                    <tr>
                                        <th>Date</th>
                                        <th>Supplier</th>
                                        <th>Title</th>
                                        <th>Demand</th>
                                        <th>Received/Delete</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php 
                                    $i = 1;
                                    while($reportR = GetRow($reportRS)){
                                        $id = $reportR['id']; 
                                        $purchaseR = GetRow(Run($conn,"SELECT quantity as purchase_quantity FROM tbl_demand_record
                                                        WHERE id = '$id' AND status = '0'"));
                                        $purchaseM = GetRow(Run($conn,"SELECT * FROM tbl_demand_record
                                                        WHERE id = '$id' AND status = '0'"));
                                        $purchase_quantity= $purchaseR['purchase_quantity'];
                                        $unitID = GetRow(Run($conn,"SELECT unit FROM tbl_items
                                                        WHERE id = '$id'"));
                                    ?>
                                    <tr>
                                        <form method="post" action="process/AddToDemand">
                                            <input type="hidden" name="bcheck" value="true" />
                                            <input type="hidden" name="id" value="<?php echo $id; ?>" />
                                            <input type="hidden" name="brand_id" value="<?php echo $purchaseM['brand_id']; ?>" />
											<input type="hidden" name="demandID" value="<?php echo $purchaseM['demand_id']; ?>" />
                                            <td><?php echo $purchaseM['post_date']; ?></td>
                                            <td><?php echo $purchaseM['supplier']; ?></td>
                                            <td><?php echo $purchaseM['title'];echo ' <span class="small">'.showTitle($conn,'tbl_units',$unitID['unit']).'</span>'; ?></td>
                                            <td><input class="smart-input" type="number" name="ReQuantity" step="any" value="<?php echo $purchase_quantity; ?>"/></td>
                                            <td><button type="submit" class="btn btn-success pull-Left" onclick="this.form.submit()">Received</button> 
											<a href="DemandReport.php?del=<?php echo $id; ?>&ID=<?php echo $purchaseM['brand_id']; ?>" 
   class="btn btn-raised btn-danger btn-sm md-trigger adv_cust_mod_btn" 
   onclick="return confirm('Are you sure?');">
   Delete
</a>
</td> 
                                        </form>
                                    </tr>
                                    <?php } ?>	
                                </tbody>
                            </table>	
                        </div>
                    </div>
                    <!-- END EXAMPLE1 TABLE PORTLET--> 					
                </div>
            </div>
            <!-- /.inner --> 
        </div>
        <!-- /.outer --> 
    </div>
    <!-- /#content -->
</div>
<?php include 'Footer.php'; ?>
<script>
    function sendWhatsAppMessage() {
        var phoneNumber = document.getElementById('phoneNumber').value;
        var message = "<?php echo $ProductDemand;?>";
        var url = 'https://api.whatsapp.com/send?phone=' + phoneNumber + '&text=' + message;

        window.open(url, '_blank', 'width=600,height=500');
    }
</script>
