<?php
require_once('sessionp.php');
require_once('includes/connection.php');
require_once('includes/functions.php');  

    $start_date = $_GET['start_date'];
    $end_date = $_GET['end_date'];


$module	      = 'reports';
$range 	      = 'true';
$pageTitleR   = 'Sale Report '.$start_date.' to '.$end_date.'';
$pageTitleRS  = 'Exp Report '.$start_date.' to '.$end_date.'';
$pageTitleRSM = 'Payments Report '.$start_date.' to '.$end_date.'';
$pageTitle    = 'Cash Status '.$start_date.' to '.$end_date.'';
$pageTitleB   = 'Bank Status '.$start_date.' to '.$end_date.'';

$pageTitleRReal   = 'Real Time Sale Report';
$pageTitleRSReal  = 'Real Time Exp Report';
$pageTitleRSMReal = 'Real Time Payments Report';
$pageTitleReal    = 'Real Time Cash Status';
$pageTitleBReal   = 'Real Time Bank Status';
$pageRoleReal     = 'table';

?>
<style>
    .centerCanvas {
        display: block;
        margin: 0 auto;
    }

    .body {
        background-color: #FFFFFF;
        color: #000000;
        font-family: Arial, Helvetica, sans-serif;
        font-size: 12px;
    }

    .custom-styling {
        font-size: 40px;
        font-weight: bold;
        font-family: Arial, sans-serif;
        color: black;
    }

    .table-container {
        width: 100%;
    }

    .table-container table {
        width: 100%;
        float: left;
        margin-right: 5px; /* Adjust the space between tables by changing this value */
    }

    .table-container table:nth-child {
        width: 100%;
        margin-left: 5px; /* Adjust the space between tables by changing this value */
    }


      /* Custom styles for table */
    .custom-table {
        width: 50%;
        margin: auto;
        border-collapse: separate;
        border-spacing: 0;
        border-radius: 10px;
        overflow: hidden;
        box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1); /* Soft shadow effect */
    }

    .custom-table-header {
        background: linear-gradient(45deg, #007bff, #00bfff); /* Gradient background */
        color: white;
        font-weight: bold;
    }

    .custom-table-body {
        background-color: #f8f9fa; /* Light Gray */
        color: #333; /* Dark Gray */
    }

    /* Style links within the table */
    .custom-table-body a {
        color: #333;
        text-decoration: none;
    }

    /* Style hover effect for links */
    .custom-table-body a:hover {
        color: #007bff; /* Blue */
        text-decoration: underline;
    }

    /* Style table cell padding */
    .custom-table th,
    .custom-table td {
        padding: 12px;
        border: none;
    }

    /* Remove bottom border from last row */
    .custom-table tbody tr:last-child td {
        border-bottom: none;
    }

    /* Style for print */
    @media print {
        .custom-table {
            border: 1px solid #000; /* Black border for print */
        }

        .custom-table-header,
        .custom-table-body {
            background-color: #fff; /* White background for print */
        }

        .custom-table th,
        .custom-table td {
            border: 1px solid #000; /* Black border for print */
        }
    }
</style>

<body class="body">
    <?php include 'MasterTop.php'; ?>
    <div class="row">
        <div class="card" style="margin-top:0px; padding: 25px;">
            <div class="card-block" style="margin-top:20px; padding: 20px;">
                <div class="table-container">
                        <?php if($user_type == 1 || $user_type == 3): ?>
                    <table class="table table-striped table-bordered table-hover print custom-table">
                        <thead class="custom-table-header">
                            <tr>
                                <th colspan="2" style="text-align: center;"><a href="sales-historyDates.php?start_date=<?php echo $start_date; ?>&end_date=<?php echo $end_date; ?>" target="_blank"><?php echo $pageTitleR; ?></a></th>
                            </tr>
                        </thead>
                        <tbody class="custom-table-body">
								    <?php  
									    //Sale Report Between Dats
                                        $grandSaleR       = GetRow(Run($conn,"select sum(total_amount) as grand_sale, sum(tax_amount) as grand_tax , sum(delivery_charges) as grand_delivery, sum(service_charges) as grand_service, sum(discount) as grand_discount, sum(grand_total) as grand_grand, sum(amount_received) as grand_received from tbl_sales where post_date >= '$start_date' AND post_date <= '$end_date' "));
                                        $grandSale        = $grandSaleR['grand_sale'];
                                        $grandTax         = $grandSaleR['grand_tax'];										
                                        $grandTax15       = $grandSaleR['grand_service'];										
                                        $grandTax5        = $grandSaleR['grand_discount'];										
                                        $grandDelivery    = $grandSaleR['grand_delivery'];										
                                        $grandReceived    = $grandSaleR['grand_received']; 
                                        $grandGrand       = $grandSaleR['grand_sale']+$grandSaleR['grand_tax']-$grandSaleR['grand_delivery']+$grandTax15+$grandTax5;										
                                        $customersBalance = ($grandGrand - $grandReceived);
																																						
																				
								?>
                                    <tr>
                                        <th style="text-align:right;" width="50%">Total Net Sales</th>
                                        <th style="text-align:left;" width="50%"><?php  
                                        echo number_format($grandSale); 
                                        ?></td>  									
                                    </tr>
                                    <tr>
                                        <td style="text-align:right;">Tax (Rs)</td>
                                        <td><?php  
                                        echo number_format($grandTax);
                                        ?></td>										
                                    </tr>
                                    <tr>
                                        <td style="text-align:right;">Tax 15% (Rs)</td>
                                        <td><?php  
                                        echo number_format($grandTax15);
                                        ?></td>																									
                                    </tr>
                                    <tr>
                                        <td style="text-align:right;">Tax 5% (Rs)</td>
                                        <td><?php 
                                        echo number_format($grandTax5);
                                        ?></td>
                                    <tr>
                                        <td style="text-align:right;">Discount (Rs)</td>
                                        <td><?php 
                                        echo number_format($grandDelivery);
                                        ?></td>													
                                    </tr>									
                                    <tr style="font-size: 18px;" >
                                        <th style="text-align:right;">Grand Total</th>
                                        <th><?php  
                                        echo number_format($grandGrand);
                                        ?></th>												
                                    </tr>
                                    <tr style="font-size: 16px;" >
                                        <th style="text-align:right;">Cash</th>
                                        <th><?php 
                                        echo number_format($customersBalance);
                                        ?></th>											
                                    </tr>
                                    <tr style="font-size: 16px;" >
                                        <th style="text-align:right;">Bank</th>
                                        <th><?php  
                                        echo number_format($grandReceived);
                                        ?></th>										
                                    </tr> 
                                </tbody>
                            </table>
                            <table class="table table-striped table-bordered table-hover print custom-table">
                                <thead class="custom-table-header">
                                    <tr>
                                        <th colspan="2" style="text-align: center;"><a href="purchasesDates.php?start_date=<?php echo $start_date; ?>&end_date=<?php echo $end_date; ?>" target="_blank"><?php echo $pageTitleRS; ?></a></th><th colspan="2" style="text-align: center;"><a href="purchasesPaidDates.php?start_date=<?php echo $start_date; ?>&end_date=<?php echo $end_date; ?>" target="_blank"><?php echo $pageTitleRSM; ?></a></th>
                                    </tr>
                                </thead>
                                <tbody class="custom-table-body">							
                                    <?php  
                                        // Initialize variables to store totals
                                        $totalPaidExp = 0;
                                        $totalPendingExp = 0;
                                        $totalGrand = 0;

                                        // Fetch all bill IDs within the date range
                                        $BilsIDDates = Run($conn, "SELECT DISTINCT details FROM tbl_purchases WHERE post_date >= '$start_date' AND post_date <= '$end_date'");

                                        // Loop through each bill ID
                                        while ($listRB = GetRow($BilsIDDates)) {
                                            $BilsID = $listRB['details'];

                                            // Get the sum of dr and cr for the current bill_id
                                            $sumDrResult = Run($conn, "SELECT SUM(dr) AS sum_dr, SUM(cr) AS sum_cr FROM tbl_sup_payments WHERE bill_id = '$BilsID'");
                                            $sumDrRow = GetRow($sumDrResult);
                                            
                                            // Calculate paid and pending expenses
                                            $totalPaidExp += $sumDrRow['sum_dr'];
                                            $totalPendingExp += $sumDrRow['sum_cr'] - $sumDrRow['sum_dr'];
                                        }

                                        // Calculate Pending Paid
                                        $totalGrand = $totalPaidExp + $totalPendingExp;
										
										$PendingPaidR = GetRow(Run($conn, "SELECT SUM(dr) AS All_dr, SUM(cr) AS All_cr FROM tbl_sup_payments WHERE post_date >= '$start_date' AND post_date <= '$end_date'"));
                                        $PendingPaid  = $PendingPaidR['All_dr']-$totalPaidExp;
									?>

                                    <!-- Output the table -->
                                    <tr>
                                        <th style="text-align:right;" width="25%">Paid Exp</td>
                                        <td style="text-align:left;" width="25%"><?php echo number_format($totalPaidExp); ?></td>
                                        <td style="text-align:right;" width="25%">Paid Exp</td>
                                        <td style="text-align:left;" width="25%"><?php echo number_format($totalPaidExp); ?></td>										
                                    </tr>
                                    <tr>
                                        <td style="text-align:right;">Pending Exp</td>
                                        <td><?php echo number_format($totalPendingExp); ?></td>
                                        <td style="text-align:right;">Previously Settled <small>(Outstanding as of <?php echo $start_date; ?>)</small></td>
                                        <td><?php echo number_format($PendingPaid); ?></td>                                        
                                    </tr>                                   
                                    <tr style="font-size: 18px;">
                                        <th style="text-align:right;">Grand Total <small>(Piad Exp + Pending)</small></th>
                                        <th><?php echo number_format($totalGrand); ?></th>
                                        <th style="text-align:right;">Grand Total <small>(Piad Exp + Pending)</small></th>
                                        <th><?php echo number_format($totalPaidExp+$PendingPaid); ?></th>  										
                                    </tr> 									
                                </tbody>
                            </table>
                            <table class="table table-striped table-bordered table-hover print custom-table">
                                <thead class="custom-table-header">
                                    <tr>
                                        <th colspan="2" style="text-align: center;"><a href="CashStatusDates.php?start_date=<?php echo $start_date; ?>&end_date=<?php echo $end_date; ?>" target="_blank"><?php echo $pageTitle; ?></a></th><th colspan="2" style="text-align: center;"><a href="BankStatusDates.php?start_date=<?php echo $start_date; ?>&end_date=<?php echo $end_date; ?>" target="_blank"><?php echo $pageTitleB; ?></a></th>
                                    </tr>
                                </thead>
                                <tbody class="custom-table-body">							
								    <?php  
									    //Real Time Onening Cash
                                        $OpeningCashR  = GetRow(Run($conn,"select sum(received_amount) as Opening_Cash from tbl_cashdetails where handover_person='Opening Cash' and Date >= '$start_date' AND Date <= '$end_date'"));
                                        $OpeningCash   = $OpeningCashR['Opening_Cash'];	
										//Real Time Onening Bank
                                        $OpeningBankR  = GetRow(Run($conn,"select sum(received_amount) as Opening_Bank from tbl_cashdetails where handover_person='Opening Bank Balance' and Date >= '$start_date' AND Date <= '$end_date'"));
                                        $OpeningBank   = $OpeningBankR['Opening_Bank'];	

                                        $WithDrawR  = GetRow(Run($conn,"select sum(received_amount) as Total_WithDraw from tbl_cashdetails where handover_person='WithDraw Cash' and Date >= '$start_date' AND Date <= '$end_date'"));
                                        $WithDraw   = $WithDrawR['Total_WithDraw'];	

                                        $SubmintR  = GetRow(Run($conn,"select sum(received_amount) as Total_Submint from tbl_cashdetails where handover_person='Submint' and Date >= '$start_date' AND Date <= '$end_date'"));
                                        $Submint   = $SubmintR['Total_Submint'];
										
                                            $sumDrResultT  = GetRow(Run($conn, "SELECT SUM(dr) AS sum_dr, SUM(cr) AS sum_cr FROM tbl_sup_payments WHERE PaidBy ='From Restaurant Cash' AND post_date >= '$start_date' AND post_date <= '$end_date'"));
                                            $totalPaidExpT = $sumDrResultT['sum_dr'];
											
                                            $sumDrResultTB  = GetRow(Run($conn, "SELECT SUM(dr) AS sum_dr, SUM(cr) AS sum_cr FROM tbl_sup_payments WHERE PaidBy ='From Restaurant Bank' AND post_date >= '$start_date' AND post_date <= '$end_date'"));
                                            $totalPaidExpTB = $sumDrResultTB['sum_dr'];										
										
								    ?>
                                    <tr>
                                        <td style="text-align:right;" width="25%">Opening Cash</td>
                                        <td style="text-align:left;" width="25%"><?php  
                                        echo number_format($OpeningCash); 
                                        ?></td>  
                                        <td style="text-align:right;" width="25%">Opening Bank Balance</td>
                                        <td style="text-align:left;" width="25%"><?php  
                                        echo number_format($OpeningBank); 
                                        ?></td>  										
                                    </tr>
                                    <tr>
                                        <td style="text-align:right;">WithDraw Cash</td>
                                        <td><?php  
                                        echo number_format($WithDraw);
                                        ?></td>	
                                        <td style="text-align:right;">Submint</td>
                                        <td><?php  
                                        echo number_format($Submint);
                                        ?></td>											
                                    </tr>
                                    <tr>
                                        <td style="text-align:right;">Sale In Cash</td>
                                        <td><?php  
                                        echo number_format($customersBalance);
                                        ?></td>	
                                        <td style="text-align:right;">Sale In Bank</td>
                                        <td><?php  
                                        echo number_format($grandReceived);
                                        ?></td>										
                                    </tr>									
                                    <tr style="font-size: 18px;" >
                                        <th style="text-align:right;">Grand Total <small>(Opening Cash + Withdraw + Sale In Cash)</small></th>
                                        <th><?php  
                                        echo number_format($OpeningCash+$WithDraw+$customersBalance);
                                        ?></th>	
                                        <th style="text-align:right;">Grand Total <small>(Opening Bank + Submint + Sale In Bank)</small></th>
                                        <th><?php  
                                        echo number_format($OpeningBank+$Submint+$grandReceived);
                                        ?></th>											
                                    </tr>
                                    <tr>
                                        <td style="text-align:right;">Paid Exp</td>
                                        <td><?php  
                                        echo number_format($totalPaidExpT);
                                        ?></td>	
                                        <td style="text-align:right;">Paid Exp</td>
                                        <td><?php  
                                        echo number_format($totalPaidExpTB);
                                        ?></td>										
                                    </tr>
                                    <tr>
                                        <td style="text-align:right;">Submint</td>
                                        <td><?php  
                                        echo number_format($Submint);
                                        ?></td>	
                                        <td style="text-align:right;">Withdraw</td>
                                        <td><?php  
                                        echo number_format($WithDraw);
                                        ?></td>										
                                    </tr>									
                                    <tr style="font-size: 18px;" >
                                        <th style="text-align:right;">Cash Balance <small>(Grand Total - Paid Exp - Submint)</small></th>
                                        <th><?php  
                                        echo number_format($OpeningCash+$WithDraw+$customersBalance-$totalPaidExpT-$Submint);
                                        ?></th>	
                                        <th style="text-align:right;">Bank Balance <small>(Grand Total - Paid Exp - Withdraw)</small></th>
                                        <th><?php  
                                        echo number_format($OpeningBank+$Submint+$grandReceived-$totalPaidExpTB-$WithDraw);
                                        ?></th>											
                                    </tr>									
                                </tbody>
                            </table>
                            <table class="table table-striped table-bordered table-hover print custom-table">
                                <thead class="custom-table-header">
                                    <tr>
                                        <th colspan="2" style="text-align: center;"><?php echo $pageTitleRReal; ?></th>
                                    </tr>
                                </thead>
                                <tbody class="custom-table-body">							
								    <?php  
									    //Sale Report Between Dats
                                        $grandSaleRQ       = GetRow(Run($conn,"select sum(total_amount) as grand_sale, sum(tax_amount) as grand_tax , sum(delivery_charges) as grand_delivery, sum(service_charges) as grand_service, sum(discount) as grand_discount, sum(grand_total) as grand_grand, sum(amount_received) as grand_received from tbl_sales"));
                                        $grandSaleQ        = $grandSaleRQ['grand_sale'];
                                        $grandTaxQ         = $grandSaleRQ['grand_tax'];										
                                        $grandTax15Q       = $grandSaleRQ['grand_service'];										
                                        $grandTax5Q        = $grandSaleRQ['grand_discount'];										
                                        $grandDeliveryQ    = $grandSaleRQ['grand_delivery'];										
                                        $grandReceivedQ    = $grandSaleRQ['grand_received']; 
                                        $grandGrandQ       = $grandSaleRQ['grand_sale']+$grandSaleRQ['grand_tax']-$grandSaleRQ['grand_delivery']+$grandTax15Q+$grandTax5Q;										
                                        $customersBalanceQ = ($grandGrandQ - $grandReceivedQ);
								?>
                                    <tr>
                                        <th style="text-align:right;" width="50%">Total Net Sales</th>
                                        <th style="text-align:left;" width="50%"><?php  
                                        echo number_format($grandSaleQ); 
                                        ?></td>  									
                                    </tr>
                                    <tr>
                                        <td style="text-align:right;">Tax (Rs)</td>
                                        <td><?php  
                                        echo number_format($grandTaxQ);
                                        ?></td>										
                                    </tr>
                                    <tr>
                                        <td style="text-align:right;">Tax 15% (Rs)</td>
                                        <td><?php  
                                        echo number_format($grandTax15Q);
                                        ?></td>																									
                                    </tr>
                                    <tr>
                                        <td style="text-align:right;">Tax 5% (Rs)</td>
                                        <td><?php 
                                        echo number_format($grandTax5Q);
                                        ?></td>
                                    <tr>
                                        <td style="text-align:right;">Discount (Rs)</td>
                                        <td><?php 
                                        echo number_format($grandDeliveryQ);
                                        ?></td>													
                                    </tr>									
                                    <tr style="font-size: 18px;" >
                                        <th style="text-align:right;">Grand Total</th>
                                        <th><?php  
                                        echo number_format($grandGrandQ);
                                        ?></th>												
                                    </tr>
                                    <tr style="font-size: 16px;" >
                                        <th style="text-align:right;">Cash</th>
                                        <th><?php 
                                        echo number_format($customersBalanceQ);
                                        ?></th>											
                                    </tr>
                                    <tr style="font-size: 16px;" >
                                        <th style="text-align:right;">Bank</th>
                                        <th><?php  
                                        echo number_format($grandReceivedQ);
                                        ?></th>										
                                    </tr> 
                                </tbody>
                            </table>
                            <table class="table table-striped table-bordered table-hover print custom-table">
                                <thead class="custom-table-header">
                                    <tr>
                                        <th colspan="2" style="text-align: center;"><?php echo $pageTitleRSReal; ?></th><th colspan="2" style="text-align: center;"><?php echo $pageTitleRSMReal; ?></th>
                                    </tr>
                                </thead>
                                <tbody class="custom-table-body">							
                                    <?php  
                                        // Initialize variables to store totals
                                        $totalPaidExpQ = 0;
                                        $totalPendingExpQ = 0;
                                        $totalGrandQ = 0;

                                        // Fetch all bill IDs within the date range
                                        $BilsIDDatesQ = Run($conn, "SELECT DISTINCT details FROM tbl_purchases");

                                        // Loop through each bill ID
                                        while ($listRBQ = GetRow($BilsIDDatesQ)) {
                                            $BilsIDQ = $listRBQ['details'];

                                            // Get the sum of dr and cr for the current bill_id
                                            $sumDrResultQ = Run($conn, "SELECT SUM(dr) AS sum_dr, SUM(cr) AS sum_cr FROM tbl_sup_payments WHERE bill_id = '$BilsIDQ'");
                                            $sumDrRowQ = GetRow($sumDrResultQ);
                                            
                                            // Calculate paid and pending expenses
                                            $totalPaidExpQ += $sumDrRowQ['sum_dr'];
                                            $totalPendingExpQ += $sumDrRowQ['sum_cr'] - $sumDrRowQ['sum_dr'];
                                        }

                                        // Calculate Pending Paid
                                        $totalGrandQ = $totalPaidExpQ + $totalPendingExpQ;
										
										$PendingPaidRQ = GetRow(Run($conn, "SELECT SUM(dr) AS All_dr, SUM(cr) AS All_cr FROM tbl_sup_payments"));
                                        $PendingPaidQ  = $PendingPaidRQ['All_dr']-$totalPaidExpQ;
									?>

                                    <!-- Output the table -->
                                    <tr>
                                        <th style="text-align:right;" width="25%">Paid Exp</td>
                                        <td style="text-align:left;" width="25%"><?php echo number_format($totalPaidExpQ); ?></td>
                                        <td style="text-align:right;" width="25%">Paid Exp</td>
                                        <td style="text-align:left;" width="25%"><?php echo number_format($totalPaidExpQ); ?></td>										
                                    </tr>
                                    <tr>
                                        <td style="text-align:right;">Pending Exp</td>
                                        <td><?php echo number_format($totalPendingExpQ); ?></td>
                                        <td style="text-align:right;">Previously Settled</td>
                                        <td><?php echo number_format($PendingPaidQ); ?></td>                                        
                                    </tr>                                   
                                    <tr style="font-size: 18px;">
                                        <th style="text-align:right;">Total Exp <small>(Piad Exp + Pending)</small></th>
                                        <th><?php echo number_format($totalGrandQ); ?></th>
                                        <th style="text-align:right;">Total Paid <small>(Piad Exp + Previously Settled)</small></th>
                                        <th><?php echo number_format($totalPaidExpQ+$PendingPaidQ); ?></th>  										
                                    </tr> 									
                                </tbody>
                            </table>
                            <table class="table table-striped table-bordered table-hover print custom-table">
                                <thead class="custom-table-header">
                                    <tr>
                                        <th colspan="2" style="text-align: center;"><?php echo $pageTitleReal; ?></th><th colspan="2" style="text-align: center;"><?php echo $pageTitleBReal; ?></th>
                                    </tr>
                                </thead>
                                <tbody class="custom-table-body">							
								    <?php  
									    //Real Time Onening Cash
                                        $OpeningCashRQ  = GetRow(Run($conn,"select sum(received_amount) as Opening_Cash from tbl_cashdetails where handover_person='Opening Cash'"));
                                        $OpeningCashQ   = $OpeningCashRQ['Opening_Cash'];	
										//Real Time Onening Bank
                                        $OpeningBankRQ  = GetRow(Run($conn,"select sum(received_amount) as Opening_Bank from tbl_cashdetails where handover_person='Opening Bank Balance'"));
                                        $OpeningBankQ   = $OpeningBankRQ['Opening_Bank'];	

                                        $WithDrawRQ  = GetRow(Run($conn,"select sum(received_amount) as Total_WithDraw from tbl_cashdetails where handover_person='WithDraw Cash'"));
                                        $WithDrawQ   = $WithDrawRQ['Total_WithDraw'];	
	
                                        $SubmintRQ  = GetRow(Run($conn,"select sum(received_amount) as Total_Submint from tbl_cashdetails where handover_person='Submint'"));
                                        $SubmintQ   = $SubmintRQ['Total_Submint'];	
										
                                            $sumDrResultTQ  = GetRow(Run($conn, "SELECT SUM(dr) AS sum_dr, SUM(cr) AS sum_cr FROM tbl_sup_payments WHERE PaidBy ='From Restaurant Cash'"));
                                            $totalPaidExpTQ = $sumDrResultTQ['sum_dr'];
											
                                            $sumDrResultTBQ  = GetRow(Run($conn, "SELECT SUM(dr) AS sum_dr, SUM(cr) AS sum_cr FROM tbl_sup_payments WHERE PaidBy ='From Restaurant Bank'"));
                                            $totalPaidExpTBQ = $sumDrResultTBQ['sum_dr'];										
										
								    ?>
                                    <tr>
                                        <td style="text-align:right;" width="25%">Opening Cash</td>
                                        <td style="text-align:left;" width="25%"><?php  
                                        echo number_format($OpeningCashQ); 
                                        ?></td>  
                                        <td style="text-align:right;" width="25%">Opening Bank Balance</td>
                                        <td style="text-align:left;" width="25%"><?php  
                                        echo number_format($OpeningBankQ); 
                                        ?></td>  										
                                    </tr>
                                    <tr>
                                        <td style="text-align:right;">WithDraw Cash</td>
                                        <td><?php  
                                        echo number_format($WithDrawQ);
                                        ?></td>	
                                        <td style="text-align:right;">Submint</td>
                                        <td><?php  
                                        echo number_format($SubmintQ);
                                        ?></td>											
                                    </tr>
                                    <tr>
                                        <td style="text-align:right;">Sale In Cash</td>
                                        <td><?php  
                                        echo number_format($customersBalanceQ);
                                        ?></td>	
                                        <td style="text-align:right;">Sale In Bank</td>
                                        <td><?php  
                                        echo number_format($grandReceivedQ);
                                        ?></td>										
                                    </tr>									
                                    <tr style="font-size: 18px;" >
                                        <th style="text-align:right;">Grand Total <small>(Opening Cash + Withdraw + Sale In Cash)</small></th>
                                        <th><?php  
                                        echo number_format($OpeningCashQ+$WithDrawQ+$customersBalanceQ);
                                        ?></th>	
                                        <th style="text-align:right;">Grand Total <small>(Opening Bank + Submint + Sale In Bank)</small></th>
                                        <th><?php  
                                        echo number_format($OpeningBankQ+$SubmintQ+$grandReceivedQ);
                                        ?></th>											
                                    </tr>
                                    <tr>
                                        <td style="text-align:right;">Paid Exp</td>
                                        <td><?php  
                                        echo number_format($totalPaidExpTQ);
                                        ?></td>	
                                        <td style="text-align:right;">Paid Exp</td>
                                        <td><?php  
                                        echo number_format($totalPaidExpTBQ);
                                        ?></td>										
                                    </tr>	
                                    <tr>
                                        <td style="text-align:right;">Submint</td>
                                        <td><?php  
                                        echo number_format($SubmintQ);
                                        ?></td>	
                                        <td style="text-align:right;">Withdraw</td>
                                        <td><?php  
                                        echo number_format($WithDrawQ);
                                        ?></td>										
                                    </tr>										
                                    <tr style="font-size: 18px;" >
                                        <th style="text-align:right;">Cash Balance <small>(Grand Total - Paid Exp - Submint)</small></th>
                                        <th><?php  
                                        echo number_format($OpeningCashQ+$WithDrawQ+$customersBalanceQ-$totalPaidExpTQ-$SubmintQ);
                                        ?></th>	
                                        <th style="text-align:right;">Bank Balance <small>(Grand Total - Paid Exp - Withdraw)</small></th>
                                        <th><?php  
                                        echo number_format($OpeningBankQ+$SubmintQ+$grandReceivedQ-$totalPaidExpTBQ-$WithDrawQ);
                                        ?></th>											
                                    </tr>									
                                </tbody>
                            </table>							
                        <?php endif; ?>						
                </div>
            </div>
        </div>
    </div>
</body>
<script>
    window.onload = function() {
        window.print();
    }
</script>