<?php 
$page		= 'EmpEdditionLeaves';

require_once('sessionp.php');
require_once('includes/connection.php');
require_once('includes/functions.php');

$start_day   = '01';
$start_month = date("m");
$start_year  = date("Y");
$start_date = $start_year.'-'.$start_month.'-'.$start_day;
$Set_date = $start_year.'-'.$start_month;
$end_date   = date("Y-m-d");
$date_check = getValue('date_check');
if($date_check == 'true')
	{
		$start_date = getValue('date_from');
		$end_date   = getValue('date_to');
	}
$register_date = date("Y-m-d");
$reg_date_check = getValue('reg_date_check');
if($reg_date_check == 'true')
	{
		$register_date = getValue('register_date'); 
	}


$module	     = 'employees';
$range 	     = 'true';
$pageTitle   = 'Employee ('.$start_date.' to '.$end_date.')';
$pageRole    = 'table';

include 'MasterTop.php';
include 'Top.php';
include 'SideBar.php'; 
  
?>
<style>
.buttons-print {
	border: 1px solid;
	padding: 5px 10px;
	border-radius: 3px;
}
/* Define different colors for each button */
.btn-custom-send {
    background-color: #FF5733; /* Change to your desired color */
    color: white; /* Text color */
}

.btn-custom-pdf {
    background-color: #3498DB; /* Change to your desired color */
    color: white; /* Text color */
}

.btn-custom-edition {
    background-color: #27AE60; /* Change to your desired color */
    color: white; /* Text color */
}

/* Adjust the styles as needed */

</style>
<style>
.buttons-print {
    border: 1px solid #b2b2b2;
    padding: 3px 7px;
    border-radius: 3px;
    background: linear-gradient(135deg, #6A82FB, #FC5C7D);
    color: white;
}

.btn-success, .btn-view-pdf, .btn-view-send {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    position: relative;
    overflow: hidden;
    transition: box-shadow .3s;
    box-shadow: 0 8px 20px rgba(0, 0, 0, 0.12);
    color: white;
}

.btn-success::after, .btn-view-pdf::after, .btn-view-send::after {
    content: "";
    position: absolute;
    top: -100%;
    left: -100%;
    width: 200%;
    height: 200%;
    z-index: 1;
    background: linear-gradient(135deg, transparent, rgba(255, 255, 255, 0.4), transparent);
    transform: rotate(45deg);
    pointer-events: none;
    transition: top 0.5s, left 0.5s;
}

.btn-success:hover::after, .btn-view-pdf:hover::after, .btn-view-send:hover::after {
    top: 100%;
    left: 100%;
}

.btn-success {
    background: linear-gradient(135deg, #8E2DE2, #4A00E0);
    border: none;
    padding: 6px 12px;
    border-radius: 50px 50px 0 50px;
    font-weight: 600;
}

.btn-view-pdf {
    background: linear-gradient(135deg, #FFB75E, #ED8F03);
    border-radius: 50px 50px 0 50px;
    padding: 6px 12px;
}

.btn-view-send {
    background: linear-gradient(135deg, #56ab2f, #a8e063);
    border-radius: 30px 50px 0 50px;
    padding: 6px 15px;
}

.btn-view-pdf i, .btn-view-send i {
    margin-right: 4px;
}

.active-btn {
    background: linear-gradient(135deg, #f54242, #f542a2);
    box-shadow: 0 6px 14px rgba(255,0,0,0.1);
}

@keyframes dance {
    0% { transform: scale(1) rotate(0); }
    20% { transform: scale(1.05) rotate(-5deg); }
    40% { transform: scale(1) rotate(5deg); }
    60% { transform: scale(1.05) rotate(-5deg); }
    80% { transform: scale(1) rotate(5deg); }
    100% { transform: scale(1) rotate(0); }
}

.btn-success:hover, .btn-view-pdf:hover, .btn-view-send:hover {
    animation: dance 0.5s infinite;
}
</style>
<script>
    document.addEventListener('DOMContentLoaded', function () {
        let buttons = document.querySelectorAll('.btn-view-pdf, .btn-success');

        buttons.forEach(button => {
            button.addEventListener('click', function () {

                // Remove active class from all buttons
                buttons.forEach(btn => btn.classList.remove('active-btn'));

                // Add active class to the clicked button
                this.classList.add('active-btn');
            });
        });
    });
</script>
<div id="content" class="bg-container">
    <?php include 'Header.php'; ?>
    <div class="outer">
        <div class="inner bg-light lter bg-container">
            <div class="row">
                <div class="col-xs-12 data_tables">
                    <!-- BEGIN EXAMPLE1 TABLE PORTLET-->
                    <div class="card">
                        <div class="card-block" style="margin-top:60px;">
                            <div style="display: flex; justify-content: flex-end; gap: 20px;">
                                <a class="btn btn-success btn-view-demand" href="calculations">calculations</a>
                                <?php
                                $reportRS = Run($conn, "SELECT DISTINCT house FROM tbl_employees WHERE id_emp NOT IN (121, 122) AND tbl_employees.status = 'Active' ORDER BY house");
                                while ($sectionRow = GetRow($reportRS)) {
                                    $section = $sectionRow['house'];
                                ?>
                                    <a class="btn btn-success btn-view-demand" href="EmpEdditionLeavesPrint?start_date=<?php echo $start_date ?>&end_date=<?php echo $end_date ?>&section=<?php echo $section ?>" target="_blank"><?php echo $section; ?></a>                               
							   <?php
                                }
                                ?>
                                   <a class="btn btn-success btn-view-demand" href="EmpEdditionLeavesPrintAll?start_date=<?php echo $start_date ?>&end_date=<?php echo $end_date ?>"target="_blank">Print All</a>
							</div>
                            &nbsp;
                            <table class="table table-striped table-bordered table-hover" id="sample_1">
                                <thead>
                                    <tr>
                                        <th>id</th>
										<th>Joining Date</th>
                                        <th>Employee</th>
                                        <th>Designation</th>
										<th>Remaining Annual</th>
                                        <th>Previous</th>
                                        <th>Worked</th>
                                        <th>Add Previous In <?php echo date('F Y', strtotime($start_date)) ?></th>
                                        <th>Mis Count</th>
                                        <th>Annual</th>
                                        <th>Public holidays</th>
                                        <th>Avail In Month</th>
                                        <th>PayableDays</th>
                                        <th>Reserved This Month</th>
                                        <th>Bonus</th>
                                        <th>Over Time</th>
                                        <th>Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php
                                    $reportRS    = Run($conn, "SELECT * FROM tbl_employees WHERE id_emp NOT IN (121, 122) AND tbl_employees.status = 'Active'");
                                    $i = 1;
                                    while ($reportR = GetRow($reportRS)) {
                                        $reportID = $reportR['id_emp']; 
                                        $WorkDay = GetRow(Run($conn, "SELECT COUNT(DISTINCT Date) AS NumDistinctDates
                                            FROM tbl_attendance
                                            WHERE PIN = '$reportID'
                                            AND MONTH(Date) = MONTH('$start_date')
                                            AND YEAR(Date) = YEAR('$start_date')"));
                                        
                                        $mis_Count = GetRow(Run($conn, "SELECT sum(mis_count) as mis_CountAvail
                                            FROM tbl_staff_leaves
                                            WHERE id_emp = '$reportID'
                                            AND MONTH(post_date) = MONTH('$start_date')
                                            AND YEAR(post_date) = YEAR('$start_date')"));
                                        
                                        $LeavesQuery = GetRow(Run($conn, "SELECT sum(reserved) as total_reserved FROM tbl_staff_leaves WHERE id_emp='$reportID' AND ((YEAR(post_date) < YEAR('$start_date')) OR (YEAR(post_date) = YEAR('$start_date') AND MONTH(post_date) < MONTH('$start_date')))"));
                                        $reserved = $LeavesQuery['total_reserved'];
                                        
                                        $TakenLeavesQuery = GetRow(Run($conn, "SELECT COALESCE(sum(`Get_Previous`), 0) as total_taken FROM `tbl_leaves_use` WHERE `id_emp`='$reportID' AND ((YEAR(post_date) < YEAR('$start_date')) OR (YEAR(post_date) = YEAR('$start_date') AND MONTH(post_date) < MONTH('$start_date')))"));
                                        $Get_PreviousLast = $TakenLeavesQuery['total_taken'];
                                        
                                        $reservedAlready = $reserved - $Get_PreviousLast;
                                        
                                        $Get_PreviousNow = GetRow(Run($conn, "SELECT sum(Get_Previous) as Get_PreviousAvail
                                            FROM tbl_leaves_use
                                            WHERE MONTH(post_date) = MONTH('$start_date')
                                            AND YEAR(post_date) = YEAR('$start_date')
                                            AND id_emp = '$reportID'"));							 								 
                                        
                                        $annual = GetRow(Run($conn, "SELECT sum(annual) as annualAvail
                                            FROM tbl_staff_leaves
                                            WHERE id_emp = '$reportID'
                                            AND MONTH(post_date) = MONTH('$start_date')
                                            AND YEAR(post_date) = YEAR('$start_date')"));
                                        
                                        $public = GetRow(Run($conn, "SELECT sum(public) as publicAvail
                                            FROM tbl_staff_leaves
                                            WHERE id_emp = '$reportID'
                                            AND MONTH(post_date) = MONTH('$start_date')
                                            AND YEAR(post_date) = YEAR('$start_date')"));
                                        
                                        $AvailLeave = (4/26) * ($WorkDay['NumDistinctDates']+$mis_Count['mis_CountAvail']+$Get_PreviousNow['Get_PreviousAvail']+$public['publicAvail']);
                                        // Limit the available leave to a maximum of 4
                                        if ($AvailLeave > 4) {
                                            $AvailLeave = 4;
                                        } 								
                                        $TotalPayable = $WorkDay['NumDistinctDates']+$mis_Count['mis_CountAvail']+$Get_PreviousNow['Get_PreviousAvail']+$annual['annualAvail']+$public['publicAvail']+$AvailLeave;
                                        
                                        if ($TotalPayable > 30) {
                                            $TotalPayable  = 30;    
                                        }
                                        
                                        $reservedThisMonth = $WorkDay['NumDistinctDates'] + $mis_Count['mis_CountAvail'] + $Get_PreviousNow['Get_PreviousAvail'] + $annual['annualAvail'] + $public['publicAvail'] + $AvailLeave;
                                        
                                        // Determine the last day of $start_date
                                        $lastDayOfMonth = date('d', strtotime('last day of ' . $start_date));
                                        
                                        // Calculate the final value of $reservedThisMonth
                                        if ($lastDayOfMonth == 31) {
                                            $reservedThisMonth -= 31;
                                        } else {
                                            $reservedThisMonth -= 30;
                                        }
                                        
                                        // Ensure the result is not negative
                                        $reservedThisMonth = max($reservedThisMonth, 0);
                                        
                                        $bonus = GetRow(Run($conn, "SELECT sum(bonus) as bonusAvail
                                            FROM tbl_staff_leaves
                                            WHERE id_emp = '$reportID'
                                            AND MONTH(post_date) = MONTH('$start_date')
                                            AND YEAR(post_date) = YEAR('$start_date')"));
                                        
                                        $OverTime = GetRow(Run($conn, "SELECT sum(OverTime) as OverTimeAvail
                                            FROM tbl_staff_leaves
                                            WHERE id_emp = '$reportID'
                                            AND MONTH(post_date) = MONTH('$start_date')
                                            AND YEAR(post_date) = YEAR('$start_date')"));								
                                        
                                        $Earned = ($reportR['salary_per_month']/30)*($TotalPayable)+($bonus['bonusAvail'])+($OverTime['OverTimeAvail']);
                                        
                                        $advance = GetRow(Run($conn, "SELECT sum(advance) as advanceAvail
                                            FROM tbl_expenses
                                            WHERE id_emp = '$reportID'
                                            AND MONTH(post_date) = MONTH('$start_date')
                                            AND YEAR(post_date) = YEAR('$start_date')"));
                                        
                                        $Payable = $Earned - $advance['advanceAvail'];
                                        $TotalReservedDays = $reservedAlready + $reservedThisMonth;

                                        $attendanceJoingResult = Run($conn, "SELECT `joining_date` FROM `tbl_employees` WHERE `id_emp`='$reportID'");
                                        $attendanceJoing = GetRow($attendanceJoingResult);
                                        $joiningDate = $attendanceJoing['joining_date'];

                                        $attendanceLeavingResult = Run($conn, "SELECT Date FROM `tbl_attendance` WHERE `PIN`= '$reportID' ORDER BY `id` DESC LIMIT 1");
                                        $attendanceLeaving = GetRow($attendanceLeavingResult);
                                        $leavingDate = $attendanceLeaving['Date'];

                                        // Calculate the total number of months
                                        $joiningDateTime = new DateTime($joiningDate);
                                        $leavingDateTime = new DateTime($leavingDate);
                                        $interval = $joiningDateTime->diff($leavingDateTime);
                                        $workedTotalMonth = $interval->y * 12 + $interval->m; // Total months

                                        $annualAvail = $workedTotalMonth * 1;

                                        $usedTotal = GetRow(Run($conn, "SELECT sum(`Annual`) As TotalAnnual FROM `tbl_calculations` WHERE `id_emp`='$reportID'"));
                                        $usedAnnual = $usedTotal['TotalAnnual'];

                                        $balanceAnnual = $annualAvail - $usedAnnual;										
										
                                    ?>
                                        <tr>
                                            <td><?php echo $reportID; ?></td>
											<td><?php echo $joiningDate; ?></td>
                                            <td><?php echo $reportR['name']; ?></td>										
                                            <td><?php echo $reportR['designation']; ?></td>
											<td><?php echo $balanceAnnual; ?></td>
                                            <td style="<?php echo ($reservedAlready > 0) ? 'color: blue; font-weight: bold;' : ''; ?>"><?php echo $reservedAlready; ?></td>
                                            <td><?php echo $WorkDay['NumDistinctDates']; ?></td>
                                            <td><?php echo $Get_PreviousNow['Get_PreviousAvail']; ?></td>
                                            <td><?php echo $mis_Count['mis_CountAvail']; ?></td>
                                            <td><?php echo $annual['annualAvail']; ?></td>
                                            <td><?php echo $public['publicAvail']; ?></td>
                                            <td><?php echo number_format($AvailLeave, 2); ?></td>
                                            <td <?php if ($TotalPayable < 30) {
                                                    echo 'style="color: red; font-weight: bold;"';
                                                } ?>><?php echo number_format($TotalPayable, 2); ?></td>
                                            <td><?php echo $reservedThisMonth; ?></td>
                                            <td><?php echo $bonus['bonusAvail']; ?></td>
                                            <td><?php echo $OverTime['OverTimeAvail']; ?></td>
                                            <td><button class="btn btn-success btn-view-pdf" data-toggle="modal" data-target="#modal-<?php echo $reportID; ?>"><i class="fa fa-plus-square"></i> Edition </button></td>
                                        </tr>

                                        <div class="modal fade" id="modal-<?php echo $reportID; ?>" role="dialog" aria-labelledby="modalLabelsuccess">
                                            <div class="modal-dialog" role="document">
                                                <div class="modal-content">
                                                    <div class="modal-header bg-success">
                                                        <h4 class="modal-title text-white" id="modalLabelsuccess">New Expense</h4>
                                                    </div>
                                                    <div class="modal-body" style="padding-top:0;">
                                                        <form method="post" action="process/SaveEmployeeLeave">
                                                            <input type="hidden" name="bcheck" value="true" />
                                                            <div class="row">
                                                                <div class="col-lg-4 input_field_sections">
                                                                    <h5>Date <span class="label_desc"></span></h5>
                                                                    <input type="Date" class="form-control" name="post_date" step="any" value="<?php echo $start_date; ?>" />
                                                                </div>
                                                                <div class="col-lg-4 input_field_sections">
                                                                    <h5>id_emp <span class="label_desc">(Not-Editable)</span></h5>
                                                                    <select class="form-control chzn-select" name="id_emp" tabindex="2">
                                                                        <option disabled selected>Choose</option>
                                                                        <?php
                                                                        $categoriesRS = Run($conn, "select * from tbl_employees order by name asc");
                                                                        while ($categoriesR = GetRow($categoriesRS)) {
                                                                        ?>
                                                                            <option value="<?php echo $categoriesR['id_emp']; ?>" <?php if ($categoriesR['id_emp'] == $reportID) { ?> selected="selected" <?php } else { ?> disabled <?php } ?>><?php echo $categoriesR['id_emp']; ?></option>
                                                                        <?php } ?>
                                                                    </select>
                                                                </div>
                                                                <div class="col-lg-4 input_field_sections">
                                                                    <h5>Employee <span class="label_desc">(Not-Editable)</span></h5>
                                                                    <select class="form-control chzn-select" name="name" tabindex="2">
                                                                        <option disabled selected>Choose</option>
                                                                        <?php
                                                                        $categoriesRS = Run($conn, "select * from tbl_employees order by name asc");
                                                                        while ($categoriesR = GetRow($categoriesRS)) {
                                                                        ?>
                                                                            <option value="<?php echo $categoriesR['id_emp']; ?>" <?php if ($categoriesR['id_emp'] == $reportID) { ?> selected="selected" <?php } else { ?> disabled <?php } ?>><?php echo $categoriesR['name']; ?></option>
                                                                        <?php } ?>
                                                                    </select>
                                                                </div>
                                                            </div>
                                                            <div class="row">
                                                                <div class="col-lg-4 input_field_sections">
                                                                    <h5>ID <span class="label_desc">(Get_Previous From)</span></h5>
                                                                    <select class="form-control chzn-select" name="id" tabindex="2">
                                                                        <option disabled selected>0</option>
                                                                        <?php
                                                                        // Assuming $conn is a valid database connection

                                                                        // Query to fetch distinct IDs with reserved leaves
                                                                        $haveLeaveRS = mysqli_query($conn, "SELECT DISTINCT id, reserved FROM tbl_staff_leaves WHERE reserved > 0 AND id_emp = '$reportID'");

                                                                        while ($row = mysqli_fetch_assoc($haveLeaveRS)) {
                                                                            $id = $row['id'];
                                                                            $HaveLeave = $row['reserved'];
                                                                            // Query to calculate used leave for the current ID
                                                                            $usedLeaveRS = mysqli_query($conn, "SELECT SUM(Get_Previous) AS used_leave FROM tbl_leaves_use WHERE Leave_id = $id AND id_emp = '$reportID'");
                                                                            $usedLeaveRow = mysqli_fetch_assoc($usedLeaveRS);
                                                                            $usedLeave = $usedLeaveRow['used_leave'];

                                                                            // Calculate balance leaves
                                                                            $balanceLeaves = $HaveLeave - $usedLeave;

                                                                            if ($balanceLeaves > 0) {
                                                                                echo '<option value="' . $id . '">' . $id . ' - ' . $balanceLeaves . '</option>';
                                                                            }
                                                                        }
                                                                        ?>
                                                                    </select>
                                                                </div>
                                                                <div class="col-lg-4 input_field_sections">
                                                                    <h5>Add Previous<span class="label_desc"></span></h5>
                                                                    <input type="number" class="form-control" name="Get_Previous" step="any" />
                                                                </div>
                                                                <div class="col-lg-4 input_field_sections">
                                                                    <h5>Bonus<span class="label_desc"></span></h5>
                                                                    <?php
                                                                    $categoriesRS = Run($conn, "SELECT bonus FROM tbl_staff_leaves WHERE id_emp = '$reportID' AND MONTH(post_date) = MONTH('$start_date') AND YEAR(post_date) = YEAR('$start_date')");
                                                                    while ($categoriesR = GetRow($categoriesRS)) {
                                                                        $bonus = $categoriesR['bonus'];
                                                                    ?>
                                                                        <input type="number" class="form-control" name="bonus" step="any" value="<?php echo $bonus; ?>" />
                                                                    <?php } ?>
                                                                </div>
                                                            </div>
												<div class="row">
												    <div class="col-lg-4 input_field_sections">
                                                        <h5>Public<span class="label_desc"></span></h5>
                                                        <?php 
                                                        $categoriesRS = Run($conn, "SELECT public FROM tbl_staff_leaves WHERE id_emp = '$reportID' AND MONTH(post_date) = MONTH('$start_date') AND YEAR(post_date) = YEAR('$start_date')");        
                                                        while ($categoriesR = GetRow($categoriesRS)) {
                                                            $public = $categoriesR['public'];
                                                        ?>
                                                            <input type="number" class="form-control" name="public" step="any" value="<?php echo $public; ?>" />
                                                        <?php } ?>
											        </div>	
												    <div class="col-lg-4 input_field_sections">
                                                        <h5>Mis_count<span class="label_desc"></span></h5>
                                                        <?php 
                                                        $categoriesRS = Run($conn, "SELECT mis_count FROM tbl_staff_leaves WHERE id_emp = '$reportID' AND MONTH(post_date) = MONTH('$start_date') AND YEAR(post_date) = YEAR('$start_date')");        
                                                        while ($categoriesR = GetRow($categoriesRS)) {
                                                            $mis_count = $categoriesR['mis_count'];
                                                        ?>
                                                            <input type="number" class="form-control" name="mis_count" step="any" value="<?php echo $mis_count; ?>" />
                                                        <?php } ?>
											        </div>	
												    <div class="col-lg-4 input_field_sections">
                                                        <h5>Annual<span class="label_desc"></span></h5>
                                                        <?php 
                                                        $categoriesRS = Run($conn, "SELECT annual FROM tbl_staff_leaves WHERE id_emp = '$reportID' AND MONTH(post_date) = MONTH('$start_date') AND YEAR(post_date) = YEAR('$start_date')");        
                                                        while ($categoriesR = GetRow($categoriesRS)) {
                                                            $annual = $categoriesR['annual'];
                                                        ?>
                                                            <input type="number" class="form-control" name="annual" step="any" value="<?php echo $annual; ?>" />
                                                        <?php } ?>
											        </div>														
												</div>	
												<div class="row">
												    <div class="col-lg-4 input_field_sections">
                                                        <h5>Over Time<span class="label_desc"></span></h5>
                                                        <?php 
                                                        $categoriesRS = Run($conn, "SELECT OverTime FROM tbl_staff_leaves WHERE id_emp = '$reportID' AND MONTH(post_date) = MONTH('$start_date') AND YEAR(post_date) = YEAR('$start_date')");        
                                                        while ($categoriesR = GetRow($categoriesRS)) {
                                                            $OverTime = $categoriesR['OverTime'];
                                                        ?>
                                                            <input type="number" class="form-control" name="OverTime" step="any" value="<?php echo $OverTime; ?>" />
                                                        <?php } ?>
											        </div>												
												    <div class="col-lg-4 input_field_sections">
                                                        <h5>Reserved<span class="label_desc"></span></h5>
                                                        <?php 
                                                        $categoriesRS = Run($conn, "SELECT reserved FROM tbl_staff_leaves WHERE id_emp = '$reportID' AND MONTH(post_date) = MONTH('$start_date') AND YEAR(post_date) = YEAR('$start_date')");        
                                                        while ($categoriesR = GetRow($categoriesRS)) {
                                                            $reserved = $categoriesR['reserved'];
                                                        ?>
                                                            <input type="text" class="form-control" name="reserved" step="any" value="<?php echo $reserved; ?>" />
                                                        <?php } ?>
											        </div>													
												    <div class="col-lg-4 input_field_sections">
                                                        <h5>Details<span class="label_desc"></span></h5>
                                                        <?php 
                                                        $categoriesRS = Run($conn, "SELECT details FROM tbl_staff_leaves WHERE id_emp = '$reportID' AND MONTH(post_date) = MONTH('$start_date') AND YEAR(post_date) = YEAR('$start_date')");        
                                                        while ($categoriesR = GetRow($categoriesRS)) {
                                                            $details = $categoriesR['details'];
                                                        ?>
                                                            <input type="text" class="form-control" name="details" step="any" value="<?php echo $details; ?>" />
                                                        <?php } ?>
											        </div>													
												</div>												
										        <div class="modal-footer">
													<button type="submit" class="btn btn-success">Save</button>
													<button class="btn btn-warning" data-dismiss="modal">Cancel</button>
												</div>
											</form>
										</div>
									</div>
								</div>									
								<?php } ?>	
								</tbody>								
							</table>
							</div>
						</div>
					</div>
					<!-- END EXAMPLE1 TABLE PORTLET--> 
				</div>
			</div>
			<!-- /.inner --> 
		</div>
		<!-- /.outer --> 
	</div>
	<!-- /#content --> 
</div>
<?php include 'Footer.php'; ?>