<?php 
$page = 'EmpEdditionLeavesPrint';

require_once('sessionp.php');
require_once('includes/connection.php');
require_once('includes/functions.php');


$start_date = getValue('start_date');
$end_date   = getValue('end_date');
$section   = getValue('section');
include 'MasterTop.php';
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Print Page</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            color: black;
        }

        #content {
            padding: 20px;
        }

        .card {
            border: 2px solid black;
            padding: 20px;
            margin-bottom: 20px;
            border-radius: 10px;
        }

        table {
            width: 100%;
            border-collapse: collapse;
            margin-top: 20px;
        }

        th, td {
            border: 1px solid black;
            padding: 10px;
            text-align: center;
        }

        th {
            background-color: #ccc;
        }

        h4 {
            margin-top: 20px;
        }
    </style>
</head>
<body>
    <div id="content" class="bg-container">
        <div class="outer">
            <div class="inner bg-light lter bg-container">
                <div class="row">
                    <div class="col-xs-12 data_tables"> 				
                        <!-- BEGIN EXAMPLE1 TABLE PORTLET-->
                        <div class="card">
                            <p style="margin-top: 20px; color: black; font-size:35px; text-align: center;">
                                The following table provides a comprehensive overview of employees'.
                            </p>
                            <p style="margin-top: 1px; color: black; font-size:35px; text-align: center;">
                                Annual leave and Monthly Brought Forward Leave records from the staff joining date to <?php echo $end_date; ?>.
                            </p>
                            <div class="card-block">
                                <table>
                                    <thead>
                                    <tr>
                                        <th>ID</th>
                                        <th>Joining Date</th>
                                        <th>Employee</th>
                                        <th>Designation</th>
                                        <th>Total Annual Availed</th>
										<th>Total Avail Other Leaves</th>
										<th><strong>Total</strong></th>
                                        <th>Total Utilized</th>
                                        <th><strong>Balance</strong></th>
                                    </tr>									
                                </thead>
                                <tbody>
                                    <?php
                                            $designationOrder = array(
                                                'Senior G. Manager' => 1,
                                                'G. Manager' => 2,
                                                'Senior Restaurant Manager' => 3,
                                                'Restaurant Manager' => 4,
                                                'Senior Assistant Manager' => 5,
                                                'Assistant Manager' => 6,
                                                'Senior Shift Manager' => 7,
                                                'Shift Manager' => 8,
                                                'Senior Shift Lead' => 9,
                                                'Shift Lead' => 10,
                                                'Senior Supervisor' => 11,
                                                'Supervisor' => 12,
                                                'Senior Order Taker' => 13,
                                                'Order Taker' => 14,
                                                'Senior Cashier' => 15,
                                                'Cashier' => 16,
                                                'Senior GRO' => 17,
                                                'GRO' => 18,
                                                'Senior Waiter' => 19,
                                                'Senior Server' => 19,
                                                'Waiter' => 20,
                                                'Server' => 20,
                                                'Senior Busser' => 21,
                                                'Busser' => 22,
                                                'Senior Executive Chef' => 23,
                                                'Executive Chef' => 24,
                                                'Senior Head Chef' => 25,
                                                'Head Chef' => 26,
                                                'Senior Sous Chef' => 27,
                                                'Sous Chef' => 28,
                                                'Senior CDP' => 29,
                                                'CDP' => 30,
                                                'Senior Demi' => 31,
                                                'Demi' => 32,
                                                'Senior Commis 1' => 33,
                                                'Commis 1' => 34,
                                                'Senior Commis 2' => 35,
                                                'Commis 2' => 36,
                                                'Senior Commis 3' => 37,
                                                'Commis 3' => 38,
                                                'Senior Food Runner' => 39,
                                                'Food Runner' => 40,
                                                'Senior Prep Cook' => 41,
                                                'Prep Cook' => 42,
                                                'Senior Helper Main Kitchen' => 43,
                                                'Helper Main Kitchen' => 44,
                                                'Senior Dishwasher Main Kitchen' => 45,
                                                'Dishwasher Main Kitchen' => 46,
                                                'Senior Intern Main Kitchen' => 47,
                                                'Intern Main Kitchen' => 48,
                                                'Senior Pastry Chef' => 49,
                                                'Pastry Chef' => 49,
                                                'Head Patissier' => 50,
                                                'Senior Pastry Sous Chef' => 51,
                                                'Pastry Sous Chef' => 52,
                                                'Senior Pastry Commis 1' => 53,
                                                'Pastry Commis 1' => 54,
                                                'Senior Pastry Commis 2' => 55,
                                                'Pastry Commis 2' => 56,
                                                'Senior Pastry Commis 3' => 57,
                                                'Pastry Commis 3' => 58,
                                                'Senior Helper Pastry' => 59,
                                                'Helper Pastry' => 60,
                                                'Senior Dishwasher Pastry' => 61,
                                                'Dishwasher Pastry' => 62,
                                                'Senior Intern Pastry' => 63,
                                                'Intern Pastry' => 64,
                                                'Senior Head Barista' => 65,
                                                'Head Barista' => 66,
                                                'Senior Deputy Barista' => 67,
                                                'Deputy Barista' => 68,
                                                'Senior Barista' => 69,
                                                'Barista' => 70,
                                                'Senior Helper Barista' => 71,
                                                'Helper Barista' => 72,
                                                'Senior Intern Barista' => 73,
                                                'Intern Barista' => 74,
                                                'Senior House Keeping' => 75,
                                                'House Keeping' => 76,
                                                'Senior Accountant' => 77,
                                                'Accountant' => 78,
                                                'Senior Building Admin' => 79,
                                                'Building Admin' => 80,
                                                'Senior Maintenance' => 81,
                                                'Maintenance' => 82,
                                                'Senior Purchaser' => 83,
                                                'Purchaser' => 84
                                            );

                                            $designationValues = array_map(function ($designation) {
                                                return "'$designation'";
                                            }, array_keys($designationOrder));									
                                        $reportRS = Run($conn, "SELECT * FROM tbl_employees WHERE id_emp NOT IN (121, 122) AND tbl_employees.status = 'Active' ORDER BY house,FIELD(designation, " . implode(', ', $designationValues) . ")");
                                        $currentSection = ''; // Initialize currentSection variable

                                        while ($reportR = GetRow($reportRS)) {
                                            $reportID = $reportR['id_emp'];
                                            $section = $reportR['house'];

                                            $attendanceJoingResult = Run($conn, "SELECT `joining_date` FROM `tbl_employees` WHERE `id_emp`='$reportID'");
                                            $attendanceJoing = GetRow($attendanceJoingResult);
                                            $joiningDate = $attendanceJoing['joining_date'];

                                            $attendanceFirstResultR = Run($conn, "SELECT Date FROM `tbl_attendance` WHERE `PIN`= '$reportID' ORDER BY `Date` ASC LIMIT 1");
                                            $attendanceFirst        = GetRow($attendanceFirstResultR);
                                            $FirstDate = $attendanceFirst['Date'];

                                            $attendanceLeavingResult = Run($conn, "SELECT Date FROM `tbl_attendance` WHERE `PIN`= '$reportID' and `Date`<= '$end_date' ORDER BY `Date` DESC LIMIT 1");
                                            $attendanceLeaving = GetRow($attendanceLeavingResult);
                                            $leavingDate = $attendanceLeaving['Date'];

                                            // Calculate the total number of months
                                            $joiningDateTime = new DateTime($joiningDate);
                                            $leavingDateTime = new DateTime($leavingDate);
                                            $interval = $joiningDateTime->diff($leavingDateTime);
                                            $workedTotalMonth = $interval->y * 12 + $interval->m; // Total months

                                            $annualAvail = $workedTotalMonth * 1;

                                            $GetTotal = GetRow(Run($conn, "SELECT sum(`Mis_Count`) As TotalMis_Count, sum(`public_holidays`) As Totalpublic_holidays, sum(`Lieu_Avail_In_Month`) As TotalLieu_Avail_In_Month FROM `tbl_calculations` WHERE `id_emp`='$reportID' and `post_date`<= '$leavingDate'"));
                                            $MisCount = $GetTotal['TotalMis_Count'];
                                            $Public = $GetTotal['Totalpublic_holidays'];
                                            $Monthly = $GetTotal['TotalLieu_Avail_In_Month'];

                                            $TotalGet = $MisCount + $Public + $Monthly;
                                            $AllTotal = $TotalGet + $annualAvail;

                                            $UsedTotal = GetRow(Run($conn, "SELECT sum(`Get_Previou`) As TotalGet_Previou, sum(`Annual`) As TotalAnnual, sum(`Lieu_Avail_In_Month`) As TotalLieu_Avail_In_Month FROM `tbl_calculations` WHERE `id_emp`='$reportID'"));
                                            $Previou = $UsedTotal['TotalGet_Previou'];
                                            $Annual = $UsedTotal['TotalAnnual'];

                                            $listRS = Run($conn, "SELECT DISTINCT Date FROM tbl_attendance WHERE PIN = '$reportID' AND Date >= '$FirstDate' AND Date <= '$leavingDate' ORDER BY Date ASC");
                                            $pinDateArray = [];
                                            while ($row = mysqli_fetch_assoc($listRS)) {
                                                $Date = $row['Date'];
                                                $pinDateArray[] = $Date; // Store each date for the corresponding PIN
                                            }

                                            // Display summary for each PIN
                                            $datetime1 = new DateTime($FirstDate);
                                            $datetime2 = new DateTime($leavingDate);
                                            $interval = $datetime1->diff($datetime2);
                                            $totalDays = $interval->format('%a') + 1; // Add 1 to include both start and end dates

                                            $absentDates = [];
                                            $currentDate = strtotime($FirstDate);
                                            $endDate = strtotime($leavingDate);

                                            while ($currentDate <= $endDate) {
                                                $date = date("Y-m-d", $currentDate);

                                                if (!in_array($date, $pinDateArray)) {
                                                    $absentDates[] = $date;
                                                }

                                                $currentDate = strtotime("+1 day", $currentDate);
                                            }

                                            $totalAbsentDates = count($absentDates);

                                            $balanceAnnual = $AllTotal - $totalAbsentDates;

                                            // Check if section has changed
                                            if ($currentSection != $section) {
                                                echo "<tr><th colspan='9' style='background-color: #ccc;'><h3>$section</h3></th></tr>";
                                                $currentSection = $section;
                                            }
                                            ?>
                                            <tr>
                                                <td><?php echo $reportID; ?></td>
                                                <td><?php echo $joiningDate; ?></td>
                                                <td><?php echo $reportR['name']; ?></td>
                                                <td><?php echo $reportR['designation']; ?></td>
                                                <td><?php echo $annualAvail; ?></td>
                                                <td><?php echo number_format($TotalGet, 2); ?></td>
                                                <td><strong><?php echo number_format($AllTotal, 2); ?></strong></td>
                                                <td><?php echo $totalAbsentDates; ?></td>
                                                <td><strong><?php echo number_format($balanceAnnual,2); ?></strong></td>
                                            </tr>
                                            <?php
                                        }
                                        ?>

                                </tbody>								
                                </table>							
                            </div>

                            <!-- Signature for Section Head -->
                            <div>
                                <h4>Note From <?php echo $Section; ?> Head:</h4>
                            </div>

                            <div style="margin-top: 40px;">
                                <label>_____________________________________________________________________________________________________________________________________________________</label>
                            </div>

                            <div style="margin-top: 40px;">
                                <label>_____________________________________________________________________________________________________________________________________________________</label>
                            </div>

                            <div style="margin-top: 40px;">
                                <label>_____________________________________________________________________________________________________________________________________________________</label>
                            </div>
                            <div style="margin-top: 40px;">
                                <label>_____________________________________________________________________________________________________________________________________________________</label>
                            </div>
                            <div style="margin-top: 80px;">
                                <h4><?php echo $Section; ?> Head Signature:________________________________&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Authorized Person Signature:________________________________</h4>
                            </div>
                        </div>						
                        <!-- END EXAMPLE1 TABLE PORTLET--> 
                    </div>
                </div>
                <!-- /.inner --> 
            </div>
            <!-- /.outer --> 
        </div>
        <!-- /#content --> 
    </div>
</body>
</html>
<script>
    document.addEventListener('DOMContentLoaded', function () {
        let buttons = document.querySelectorAll('.btn-view-pdf, .btn-success');

        buttons.forEach(button => {
            button.addEventListener('click', function () {

                // Remove active class from all buttons
                buttons.forEach(btn => btn.classList.remove('active-btn'));

                // Add active class to the clicked button
                this.classList.add('active-btn');
            });
        });
    });
</script>
<script>
    window.onload = function() { window.print(); }
</script>
<?php include 'Footer.php'; ?>