<?php 

$page		= 'p-categoryReport';

require_once('sessionp.php');
require_once('includes/connection.php');
require_once('includes/functions.php');

$start_day   = '01';
$start_month = date("m");
$start_year  = date("Y");
$start_date = $start_year.'-'.$start_month.'-'.$start_day;
$end_date   = date("Y-m-d");
$date_check = getValue('date_check');
if($date_check == 'true')
	{
		$start_date = getValue('date_from');
		$end_date   = getValue('date_to');
	}
$register_date = date("Y-m-d");
$reg_date_check = getValue('reg_date_check');
if($reg_date_check == 'true')
	{
		$register_date = getValue('register_date'); 
	}


$module	  = 'reports';
$range 	   = 'true';
$pageTitle   = 'Items Category Report ('.$start_date.' to '.$end_date.')';
$pageRole    = 'table';
$reportRS    = Run($conn,"select * from tbl_items_cat order by id desc");

include 'MasterTop.php';
include 'Top.php';
include 'SideBar.php'; 

$pageTitle = 'P. Category Report';
  
?>
<style>
.buttons-print {
	border: 1px solid;
	padding: 5px 10px;
	border-radius: 3px;
}
</style>
<div id="content" class="bg-container">
	<?php include 'Header.php'; ?>
	
	<div class="outer">
		<div class="inner bg-light lter bg-container">
			<div class="row">
				<div class="col-xs-12 data_tables"> 
					<!-- BEGIN EXAMPLE1 TABLE PORTLET-->
					<div class="card">
						<div class="card-block" style="margin-top:60px;">
							<table class="table table-striped table-bordered table-hover" id="sample_1">
								<thead> 
									<tr>
										<th>#</th>  
										<th>Items Category</th> 
										<th style="text-align:right;">Qty</th>
										<th style="text-align:right;">Amount (Rs)</th> 
										<th style="text-align:right;">Details</th>
									</tr>
								</thead>
								<tbody>
								<?php 
								$i = 1;
								while($reportR = GetRow($reportRS)){
								$reportID = $reportR['id']; 
								$PurchaseR = GetRow(Run($conn,"select sum(quantity) as Purchase_quantity, sum(total_cost) as Purchase_amount from tbl_pur_items where category_id = '$reportID' and status = '1' and post_date >= '$start_date' and post_date <= '$end_date'"));
								 
								$Purchase_quantity = $PurchaseR['Purchase_quantity'];
								$Purchase_amount   = $PurchaseR['Purchase_amount'];
								
								  
								?>
									<tr>
										<td><?php echo $i; ?></td>
										<td><?php echo $reportR['title'] ?></small></td>
										  
										<td style="text-align:right;"><?php echo number_format($Purchase_quantity,0); ?></td> 
										<td style="text-align:right;"><?php echo number_format($Purchase_amount,0); ?></td> 
									    <td style="text-align:right;"> <a class="btn btn-success btn-sm" href="reportID?id=<?php echo $reportR['id'];?>&start=<?php echo $start_date;?>&end=<?php echo $end_date;?>">Details</a></td>									 
									</tr>
								<?php $i++; } ?>	
								</tbody>
							</table>
						</div>
					</div>
					<!-- END EXAMPLE1 TABLE PORTLET--> 
					
				</div>
			</div>
			<!-- /.inner --> 
		</div>
		<!-- /.outer --> 
	</div>
<?php include 'Footer.php'; ?>