<?php
$page = 'payablesummary';

require_once('sessionp.php');
require_once('includes/connection.php');
require_once('includes/functions.php');

$start_day   = '01';
$start_month = date("m");
$start_year  = date("Y");
$start_date = $start_year . '-' . $start_month . '-' . $start_day;
$end_date   = date("Y-m-d");
$date_check = getValue('date_check');
if ($date_check == 'true') {
    $start_date = getValue('date_from');
    $end_date   = getValue('date_to');
}
$register_date = date("Y-m-d");
$reg_date_check = getValue('reg_date_check');
if ($reg_date_check == 'true') {
    $register_date = getValue('register_date');
}


$module         = 'employees';
$range          = 'true';
$pageTitle   = 'Summary (' . $start_date . ' to ' . $end_date . ')';


include 'MasterTop.php';
include 'Top.php';
include 'SideBar.php';
?>
<style>
    .buttons-print {
        border: 1px solid;
        padding: 5px 10px;
        border-radius: 3px;
    }

    .btn-print {
        padding: 5px 10px;
        border-radius: 5px;
        font-size: 14px;
        transition: background-color 0.3s, color 0.3s;
    }

    .btn-print:hover {
        background-color: #28a745;
        color: white;
    }

    #searchInput {
        width: 250px;
        height: 40px;
        padding: 5px 15px;
        border: 1px solid #ddd;
        border-radius: 20px;
        /* Rounded corners */
        box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
        /* Subtle shadow for depth */
        font-size: 16px;
        outline: none;
        transition: border-color 0.3s;
        background: linear-gradient(120deg, #fdfbfb 0%, #ebedee 100%);
        /* Gradient background */
    }

    #searchInput:focus {
        border-color: #4285F4;
        /* Color change on focus */
        box-shadow: 0 4px 8px rgba(66, 133, 244, 0.2);
        /* Enhanced shadow on focus */
    }
</style>
<div id="content" class="bg-container">
    <?php include 'Header.php'; ?>
    <div class="outer">
        <div class="inner bg-light lter bg-container">
            <div class="row">
                <div class="col-lg-12" style="margin-bottom:10px;">
                    <div class="card">
                        <div class="card-block">
                            <div class="row">
                                <div class="col-lg-12" style="padding:10px;">
                                    <table class="table table-bordered table-hover">
                                        <tbody>
                                            <tr>
                                                <td style="text-align:right;" width="50%">Total Net Payable Salary</td>
                                                <td>
                                                    <?php
                                                    $grandPayableNet = GetRow(Run($conn, "SELECT SUM(Payable) AS grand_PayableNet FROM tbl_calculations WHERE id_emp NOT IN (121, 122) AND status = '0' AND branch='Lahore'  AND MONTH(post_date) = MONTH('$start_date') AND YEAR(post_date) = YEAR('$start_date') AND bank_transfer_option NOT IN ('Yes')"));
                                                    $grandPayableNetTotal = $grandPayableNet['grand_PayableNet'];
                                                    echo number_format($grandPayableNetTotal);
                                                    ?>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td style="text-align:right;" width="50%">Net Payable Services</td>
                                                <td>
                                                    <?php
                                                    $grandPayableOnline = GetRow(Run($conn, "SELECT SUM(salary) AS grand_PayableOnline FROM tbl_services_calculations WHERE status='Active' AND branch='Lahore' and MONTH(post_date) = MONTH('$start_date') AND YEAR(post_date) = YEAR('$start_date') AND action = '0' AND Transfer_Option NOT IN ('Yes')"));
                                                    $grandPayableOnlineTotal = $grandPayableOnline['grand_PayableOnline'];
                                                    echo number_format($grandPayableOnlineTotal);
                                                    ?>
                                                </td>
                                            </tr>
                                            <tr style="font-size: 16px;">
                                                <th style="text-align:right;">Grand Total</th>
                                                <th>
                                                    <?php
                                                    $grandGrand = $grandPayableNetTotal + $grandPayableOnlineTotal;
                                                    echo number_format($grandGrand);
                                                    ?>
                                                </th>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-lg-12" style="margin-bottom:10px;">
                    <div class="card">
                        <div class="card-header bg-white"> Net Payable Salary</div>
                        <div class="card-block">
                            <div class="row">
                                <div class="col-lg-12" style="padding:10px;">
                                    <table class="table table-striped table-bordered table-hover" id="sample_1">

                                        <thead>
                                            <tr>
                                                <th>id</th>
                                                <th>Name</th>
                                                <th>Designation</th>
                                                <th>Basic Salary</th>
                                                <th>Per Day</th>
                                                <th>Payable Days</th>
                                                <th>Earned Salary</th>
                                                <th>Advance/ Food Bills</th>
                                                <th>Bonus</th>
                                                <th>OverTime</th>
                                                <th>Payable</th>
                                                <th>Pay</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <?php
                                            $designationOrder = array(
                                                'Senior G. Manager' => 1,
                                                'G. Manager' => 2,
                                                'Senior Restaurant Manager' => 3,
                                                'Restaurant Manager' => 4,
                                                'Senior Assistant Manager' => 5,
                                                'Assistant Manager' => 6,
                                                'Senior Shift Manager' => 7,
                                                'Shift Manager' => 8,
                                                'Senior Shift Lead' => 9,
                                                'Shift Lead' => 10,
                                                'Senior Supervisor' => 11,
                                                'Supervisor' => 12,
                                                'Senior Order Taker' => 13,
                                                'Order Taker' => 14,
                                                'Senior Cashier' => 15,
                                                'Cashier' => 16,
                                                'Senior GRO' => 17,
                                                'GRO' => 18,
                                                'Senior Waiter' => 19,
                                                'Senior Server' => 19,
                                                'Waiter' => 20,
                                                'Server' => 20,
                                                'Senior Busser' => 21,
                                                'Busser' => 22,
                                                'Senior Executive Chef' => 23,
                                                'Executive Chef' => 24,
                                                'Senior Head Chef' => 25,
                                                'Head Chef' => 26,
                                                'Senior Sous Chef' => 27,
                                                'Sous Chef' => 28,
                                                'Senior CDP' => 29,
                                                'CDP' => 30,
                                                'Senior Demi' => 31,
                                                'Demi' => 32,
                                                'Senior Commis 1' => 33,
                                                'Commis 1' => 34,
                                                'Senior Commis 2' => 35,
                                                'Commis 2' => 36,
                                                'Senior Commis 3' => 37,
                                                'Commis 3' => 38,
                                                'Senior Food Runner' => 39,
                                                'Food Runner' => 40,
                                                'Senior Prep Cook' => 41,
                                                'Prep Cook' => 42,
                                                'Senior Helper Main Kitchen' => 43,
                                                'Helper Main Kitchen' => 44,
                                                'Senior Dishwasher Main Kitchen' => 45,
                                                'Dishwasher Main Kitchen' => 46,
                                                'Senior Intern Main Kitchen' => 47,
                                                'Intern Main Kitchen' => 48,
                                                'Senior Pastry Chef' => 49,
                                                'Pastry Chef' => 49,
                                                'Head Patissier' => 50,
                                                'Senior Pastry Sous Chef' => 51,
                                                'Pastry Sous Chef' => 52,
                                                'Senior Pastry Commis 1' => 53,
                                                'Pastry Commis 1' => 54,
                                                'Senior Pastry Commis 2' => 55,
                                                'Pastry Commis 2' => 56,
                                                'Senior Pastry Commis 3' => 57,
                                                'Pastry Commis 3' => 58,
                                                'Senior Helper Pastry' => 59,
                                                'Helper Pastry' => 60,
                                                'Senior Dishwasher Pastry' => 61,
                                                'Dishwasher Pastry' => 62,
                                                'Senior Intern Pastry' => 63,
                                                'Intern Pastry' => 64,
                                                'Senior Head Barista' => 65,
                                                'Head Barista' => 66,
                                                'Senior Deputy Barista' => 67,
                                                'Deputy Barista' => 68,
                                                'Senior Barista' => 69,
                                                'Barista' => 70,
                                                'Senior Helper Barista' => 71,
                                                'Helper Barista' => 72,
                                                'Senior Intern Barista' => 73,
                                                'Intern Barista' => 74,
                                                'Senior House Keeping' => 75,
                                                'House Keeping' => 76,
                                                'Senior Accountant' => 77,
                                                'Accountant' => 78,
                                                'Senior Building Admin' => 79,
                                                'Building Admin' => 80,
                                                'Senior Maintenance' => 81,
                                                'Maintenance' => 82,
                                                'Senior Purchaser' => 83,
                                                'Purchaser' => 84
                                            );

                                            $designationValues = array_map(function ($designation) {
                                                return "'$designation'";
                                            }, array_keys($designationOrder));
                                            $reportRS = Run($conn, "SELECT * FROM tbl_calculations WHERE id_emp NOT IN (121, 122) AND status='0' AND branch='Lahore' AND MONTH(post_date) = MONTH('$start_date') AND YEAR(post_date) = YEAR('$start_date') AND bank_transfer_option NOT IN ('Yes') ORDER BY FIELD(designation, " . implode(', ', $designationValues) . ")");
                                            $i = 1;
                                            $totalPayable = 0; // Initialize a variable to store the sum of payable
                                            while ($reportR = GetRow($reportRS)) {
                                                $reportID = $reportR['id_emp'];
                                                $totalPayable += $reportR['Payable']; // Add the payable amount to the total
                                            ?>
                                                <tr>
                                                    <td><?php echo $reportID; ?></td>
                                                    <td><?php echo $reportR['Employee']; ?></td>
                                                    <td><?php echo $reportR['Designation']; ?></td>
                                                    <td><?php echo $reportR['Salary']; ?></td>
                                                    <td><?php echo number_format(($reportR['Salary'] / 30), 1); ?></td>
                                                    <td><?php echo number_format($reportR['Payable_Days'], 1); ?></td>
                                                    <td><?php echo number_format((($reportR['Salary'] / 30) * ($reportR['Payable_Days'])), 1); ?></td>
                                                    <td><?php echo $reportR['Advance']; ?></td>
                                                    <td><?php echo number_format($reportR['Bonus'], 1); ?></td>
                                                    <td><?php echo $reportR['OverTime']; ?></td>
                                                    <td><?php echo number_format($reportR['Payable'], 1); ?></td>
                                                    <form method="post" action="process/PaidSalary">
                                                        <input type="hidden" name="id" value="<?php echo $reportID; ?>" />
                                                        <input type="hidden" name="start_date" value="<?php echo $start_date; ?>" />
                                                        <td><button type="submit" class="btn btn-success">Paid</button></td>
                                                    </form>
                                                </tr>
                                            <?php } ?>
                                        </tbody>
                                        <tfoot>
                                            <tr>
                                                <th colspan="10" style="text-align: right; font-size: 16px; font-weight: bold;">Total Payable:</th>
                                                <td style="font-size: 16px; font-weight: bold;"><?php echo number_format($totalPayable, 2); ?></td>
                                            </tr>
                                        </tfoot>
                                        <div style="display: flex; justify-content: flex-end; gap: 20px;">
                                            <input type="text" id="searchInput" onkeyup="myFunction()" placeholder="Search for names..">
                                        </div>
                                        &nbsp;
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-lg-12" style="margin-bottom:10px;">
                    <div class="card">
                        <div class="card-header bg-white"> Net Payable Services</div>
                        <div class="card-block">
                            <div class="row">
                                <div class="col-lg-12" style="padding:10px;">
                                    <table class="table table-striped table-bordered table-hover" id="sample_1">

                                        <thead>
                                            <tr>
                                                <th>id</th>
                                                <th>Name</th>
                                                <th>Designation</th>
                                                <th>Payable</th>
                                                <th>Pay</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <?php
                                            $reportRS = Run($conn, "SELECT * FROM tbl_services_calculations WHERE status='Active' AND branch='Lahore' and MONTH(post_date) = MONTH('$start_date') AND YEAR(post_date) = YEAR('$start_date') AND action='0' AND Transfer_Option NOT IN ('Yes')");
                                            $i = 1;
                                            $totalPayable = 0; // Initialize a variable to store the sum of payable
                                            while ($reportR = GetRow($reportRS)) {
                                                $reportID = $reportR['id_ser'];
                                                $totalPayable += $reportR['salary']; // Add the payable amount to the total
                                            ?>
                                                <tr>
                                                    <td><?php echo $reportID; ?></td>
                                                    <td><?php echo $reportR['name']; ?></td>
                                                    <td><?php echo $reportR['designation']; ?></td>
                                                    <td><?php echo number_format($reportR['salary'], 2); ?></td>
                                                    <form method="post" action="process/PaidService">
                                                        <input type="hidden" name="id" value="<?php echo $reportID; ?>" />
                                                        <input type="hidden" name="start_date" value="<?php echo $start_date; ?>" />
                                                        <td><button type="submit" class="btn btn-success">Paid</button></td>
                                                    </form>
                                                </tr>
                                            <?php } ?>
                                        </tbody>
                                        <tfoot>
                                            <tr>
                                                <th colspan="3" style="text-align: right; font-size: 16px; font-weight: bold;">Total Payable:</th>
                                                <td style="font-size: 16px; font-weight: bold;"><?php echo number_format($totalPayable, 2); ?></td>
                                            </tr>
                                        </tfoot>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
            <!-- /.inner -->
        </div>
        <!-- /.outer -->
    </div>
    <!-- /#content -->
</div>
<?php include 'Footer.php'; ?>
<script>
    function myFunction() {
        var input, filter, table, tr, td, i, j, txtValue, found;
        input = document.getElementById("searchInput");
        filter = input.value.toUpperCase();
        table = document.getElementById("sample_1");
        tr = table.getElementsByTagName("tr");

        for (i = 0; i < tr.length; i++) {
            td = tr[i].getElementsByTagName("td");
            found = false; // Reset the flag for each row

            for (j = 0; j < td.length; j++) { // Loop through all columns
                if (td[j]) {
                    txtValue = td[j].textContent || td[j].innerText;
                    if (txtValue.toUpperCase().indexOf(filter) > -1) {
                        found = true; // Set the flag if match found in any column
                        break; // Exit the column loop if a match is found
                    }
                }
            }

            if (found) {
                tr[i].style.display = ""; // Display the row if a match is found
            } else {
                tr[i].style.display = "none"; // Hide the row if no match is found
            }
        }
    }
</script>