<?php 
require_once('sessionp.php');
require_once('includes/connection.php');
require_once('includes/functions.php');

$start_day   = '01';
$start_month = date("m");
$start_year  = date("Y");
$start_date = $start_year.'-'.$start_month.'-'.$start_day;
$end_date   = $start_date;
$date_check = getValue('date_check');
if($date_check == 'true')
	{
		$start_date = getValue('date_from');
		$end_date   = getValue('date_to');
	}
$register_date = date("Y-m-d");
$reg_date_check = getValue('reg_date_check');
if($reg_date_check == 'true')
	{
		$register_date = getValue('register_date'); 
	}


$module	     = 'employees';
$range 	     = 'true';
$pageTitle   = 'PointsReport';

$reportRS    = Run($conn,"SELECT DISTINCT id_emp
FROM tbl_points
WHERE status = '0' Order By id DESC");

include 'MasterTop.php';
include 'Top.php';
include 'SideBar.php'; 

?>
<style>
.buttons-print {
	border: 1px solid;
	padding: 5px 10px;
	border-radius: 3px;
}
</style>
<style>
.buttons-print {
    border: 1px solid #b2b2b2;
    padding: 3px 7px;
    border-radius: 3px;
    background: linear-gradient(135deg, #6A82FB, #FC5C7D);
    color: white;
}

.btn-success, .btn-view-pdf, .btn-view-send {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    position: relative;
    overflow: hidden;
    transition: box-shadow .3s;
    box-shadow: 0 8px 20px rgba(0, 0, 0, 0.12);
    color: white;
}

.btn-success::after, .btn-view-pdf::after, .btn-view-send::after {
    content: "";
    position: absolute;
    top: -100%;
    left: -100%;
    width: 200%;
    height: 200%;
    z-index: 1;
    background: linear-gradient(135deg, transparent, rgba(255, 255, 255, 0.4), transparent);
    transform: rotate(45deg);
    pointer-events: none;
    transition: top 0.5s, left 0.5s;
}

.btn-success:hover::after, .btn-view-pdf:hover::after, .btn-view-send:hover::after {
    top: 100%;
    left: 100%;
}

.btn-success {
    background: linear-gradient(135deg, #8E2DE2, #4A00E0);
    border: none;
    padding: 6px 12px;
    border-radius: 50px 50px 0 50px;
    font-weight: 600;
}

.btn-view-pdf {
    background: linear-gradient(135deg, #FFB75E, #ED8F03);
    border-radius: 50px 50px 0 50px;
    padding: 6px 12px;
}

.btn-view-send {
    background: linear-gradient(135deg, #56ab2f, #a8e063);
    border-radius: 30px 50px 0 50px;
    padding: 6px 15px;
}

.btn-view-pdf i, .btn-view-send i {
    margin-right: 4px;
}

.active-btn {
    background: linear-gradient(135deg, #f54242, #f542a2);
    box-shadow: 0 6px 14px rgba(255,0,0,0.1);
}

@keyframes dance {
    0% { transform: scale(1) rotate(0); }
    20% { transform: scale(1.05) rotate(-5deg); }
    40% { transform: scale(1) rotate(5deg); }
    60% { transform: scale(1.05) rotate(-5deg); }
    80% { transform: scale(1) rotate(5deg); }
    100% { transform: scale(1) rotate(0); }
}

.btn-success:hover, .btn-view-pdf:hover, .btn-view-send:hover {
    animation: dance 0.5s infinite;
}
</style>
<style>
    /* Add custom styles for the input */
    #searchInput {
        width: 250px;
        height: 40px;
        padding: 5px 15px;
        border: 1px solid #ddd;
        border-radius: 20px; /* Rounded corners */
        box-shadow: 0 4px 6px rgba(0,0,0,0.1); /* Subtle shadow for depth */
        font-size: 16px;
        outline: none;
        transition: border-color 0.3s;
        background: linear-gradient(120deg, #fdfbfb 0%, #ebedee 100%); /* Gradient background */
    }

    #searchInput:focus {
        border-color: #4285F4; /* Color change on focus */
        box-shadow: 0 4px 8px rgba(66,133,244,0.2); /* Enhanced shadow on focus */
    }
</style>
<script>
    document.addEventListener('DOMContentLoaded', function () {
        let buttons = document.querySelectorAll('.btn-view-pdf, .btn-success');

        buttons.forEach(button => {
            button.addEventListener('click', function () {

                // Remove active class from all buttons
                buttons.forEach(btn => btn.classList.remove('active-btn'));

                // Add active class to the clicked button
                this.classList.add('active-btn');
            });
        });
    });
</script>
<div id="content" class="bg-container">
    <?php include 'Header.php'; ?>
    <div class="outer">
        <div class="inner bg-light lter bg-container">
            <div class="row">
                <div class="col-xs-12 data_tables">
                    <div class="card">
                        <div class="card-block" style="margin-top:60px;">
                            <div style="display: flex; justify-content: flex-end; gap: 20px;">
                                <input type="text" id="searchInput" onkeyup="myFunction()" placeholder="Search for names..">
                            </div>
                            <?php 
                            $GRAND_TOTAL_AMOUNT = 0; // Initialize the grand total variable
                            $houses = array(); // Initialize an array for houses
                            while($reportR = GetRow($reportRS)){
                                $id = $reportR['id_emp'];
                                $reportRk = GetRow(Run($conn,"SELECT tbl_points.post_date, tbl_points.id_emp, tbl_points.name, tbl_points.total_tip, tbl_employees.house
                                                    FROM tbl_points
                                                    JOIN tbl_employees
                                                    ON tbl_points.id_emp = tbl_employees.id_emp
                                                    WHERE tbl_points.status = '0' and tbl_points.id_emp ='$id'")); 
                                $GRAND_TOTAL_AMOUNT += $reportRk['total_tip']; // Add the current entry's amount to the grand total    
                                if($reportRk['total_tip'] > 0) { // If ReQuantity is greater than 0
                                    $houses[$reportRk['house']][] = $reportRk; // Store data based on houses
                                }
                            }

                            // Sort the data based on id_emp
                            foreach ($houses as $house => $data) {
                                $idEmp = array_column($data, 'id_emp');
                                array_multisort($idEmp, SORT_ASC, $data);
                                $houses[$house] = $data;
                            }
                            ?>
                            <?php foreach($houses as $house => $data): ?>
                                <div style="text-align: center; margin-top: 20px; margin-bottom: 10px;">
                                    <h2><?php echo $house; ?> <button class="buttons-print" onclick="printData('<?php echo $house; ?>')">Print</button></h2>
                                </div>
                                <div id="<?php echo $house; ?>">
                                    <table class="table table-striped table-bordered table-hover" id="sample_1"> <!-- Display data table for each house -->
                                        <thead> 
                                            <tr>
                                                <th>Date</th>
                                                <th>ID</th>
                                                <th>Name</th>
												<th>Tip</th>
                                                <th>Paid</th>
												<th>Attendance</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <?php 
                                                $houseTotal = 0; // Initialize the sum for the current house
                                                foreach($data as $row): 
                                                    $houseTotal += $row['total_tip']; // Add the current row's amount to the house total
                                            ?>
                                                <tr>
                                                    <!-- Display data for each row -->
                                                    <form method="post" action="process/PaidPoint">
                                                        <input type="hidden" name="bcheck" value="true" />
                                                        <input type="hidden" name="id" value="<?php echo $row['id_emp']; ?>" />
                                                        <input type="hidden" name="post_date" value="<?php echo $row['post_date']; ?>" />
                                                        <input type="hidden" name="name" value="<?php echo $row['name']; ?>" />
                                                        <td><?php echo $row['post_date']; ?></td>
                                                        <td><?php echo $row['id_emp']; ?></td>
                                                        <td><?php echo $row['name']; ?></td>
														<td><?php echo $row['total_tip']; ?></td>
                                                        <td><input type="number" name="ReQuantity" step="any" value="<?php echo $row['total_tip']; ?>"/>&nbsp;&nbsp;&nbsp;<button type="submit" class="btn btn-success" onclick="this.form.submit()">Paid</button> </td> 
														<td><a class="btn btn-primary"href="attendancePrintLateId.php?start_date=<?php echo urlencode($start_date); ?>&end_date=<?php echo urlencode($end_date); ?>&pin=<?php echo urlencode($row['id_emp']); ?>" target="_blank" title="Print">Attendance</a></td>

                                                    </form>
                                                </tr>
                                            <?php endforeach; ?>
                                        </tbody>
                                        <tfoot>
                                            <tr>
                                                <td colspan="3" style="text-align: right; font-weight: bold; font-size: 1.5em;">Balance for <?php echo $house; ?>:</td>
                                                <td style="font-weight: bold; font-size: 1.5em;"><?php echo number_format($houseTotal, 0, '.', ','); ?></td>
                                                <td></td>
                                            </tr>
                                        </tfoot>                        
                                    </table>    
                                </div>    
                            <?php endforeach; ?>
                            <tfoot>
                                <tr>
                                    <td colspan="4" style="text-align: right; font-weight: bold; font-size: 1.5em;">Total Balance :</td>
                                    <td style="font-weight: bold; font-size: 1.5em;"><?php echo number_format($GRAND_TOTAL_AMOUNT, 0, '.', ','); ?></td>
                                </tr>
                            </tfoot>
                            <script>
                                function printData(houseName) {
                                    var printContents = document.getElementById(houseName).innerHTML;
                                    var originalContents = document.body.innerHTML;
                                    document.body.innerHTML = '<div style="text-align: center; margin-top: 20px; margin-bottom: 10px;"><h2>' + houseName + '</h2></div>' + printContents;
                                    window.print();
                                    document.body.innerHTML = originalContents;
                                }
                            </script>
                        </div>
                    </div>
                    <!-- END EXAMPLE1 TABLE PORTLET--> 
                    
                </div>
            </div>
            <!-- /.inner --> 
        </div>
        <!-- /.outer --> 
    </div>
    <!-- /#content -->
</div>
<?php include 'Footer.php'; ?>
<script>
function myFunction() {
  var input, filter, tables, tr, td, i, j, txtValue, found;
  input = document.getElementById("searchInput");
  filter = input.value.toUpperCase();
  tables = document.querySelectorAll("table");

  tables.forEach((table) => {
    tr = table.getElementsByTagName("tr");
    for (i = 0; i < tr.length; i++) {
      td = tr[i].getElementsByTagName("td");
      found = false; // Reset the flag for each row

      for (j = 0; j < td.length; j++) {
        // Loop through all columns
        if (td[j]) {
          txtValue = td[j].textContent || td[j].innerText;
          if (txtValue.toUpperCase().indexOf(filter) > -1) {
            found = true; // Set the flag if match found in any column
            break; // Exit the column loop if a match is found
          }
        }
      }

      if (found) {
        tr[i].style.display = ""; // Display the row if a match is found
      } else {
        tr[i].style.display = "none"; // Hide the row if no match is found
      }
    }
  });
}

</script>