<?php
$page = 'supplierStore';
require_once('sessionp.php');
require_once('checkAccountsSession.php');
require_once('includes/connection.php');
require_once('includes/functions.php');

$ID = $_GET['id'];
$start_date = $_GET['start'];
$end_date = $_GET['end'];

$Services = Run($conn, "SELECT * FROM `tbl_services_calculations` WHERE MONTH(post_date) = MONTH('$start_date') AND YEAR(post_date) = YEAR('$start_date')");

?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Services Payment Statement</title>
    <style>
        /* Add your custom CSS styles here */
        body {
            font-family: Arial, sans-serif;
            margin: 0;
            padding: 0;
            display: flex;
            justify-content: center;
            align-items: center;
            min-height: 100vh;
            background-color: #f2f2f2;
        }

        .info-container {
            width: 80%;
            max-width: 1200px;
            padding: 10px;
            border-radius: 10px;
            background-color: #ffffff;
            box-shadow: 0 0 20px rgba(0, 0, 0, 0.2);
        }

        .header {
            text-align: center;
            margin-bottom: 10px;
        }

        .header h1 {
            font-size: 36px;
            color: #333;
            margin-bottom: 5px;
        }

        .header p {
            font-size: 25px;
            color: #777;
        }

        .content {
            text-align: center;
        }

        table {
            width: 100%;
            border-collapse: collapse;
            margin-top: 5px;
            border: 1px solid #ddd;
            table-layout: fixed;
        }

        th,
        td {
            padding: 10px;
            text-align: center;
            border-bottom: 1px solid #ddd;
            font-size: 16px;
            word-wrap: break-word;
        }

        th {
            background-color: #f2f2f2;
            font-size: 22px;
            text-transform: uppercase;
        }

        td {
            font-size: 20px;
        }

        p {
            font-size: 22px;
            text-align: center;
            margin-top: 1px;
            color: #444;
        }

        .promo {
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;
            margin-top: 2px;
            background-color: #ff9800;
            color: #fff;
            padding: 10px;
            border-radius: 1px;
        }
        .promo1 {
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;
            margin-top: 20px;
            padding: 1px;
            border-radius: 1px;
        }
        @media print {
            body {
                -webkit-print-color-adjust: exact;
                background-color: #fff;
            }
        }
    </style>
<style>
    .header { 
        page-break-before: always; 
    }
    .header { 
        margin-top: 600px; /* 10 inches */
    }	
</style>	
</head>

<body>
        <div class="content">
        <?php foreach ($Services as $list) : ?>		
        <div class="header">	
            <h1>Bistro Noir</h1>
            <p>Unit 3 Gol Market St 4 F-7/3 Islamabad</p>
            <p><?php echo date('F Y', strtotime($start_date)); ?></p>
        </div>		
            <table>

                    <tr>
                        <th>Name</th>
                        <td><?php echo $list['name']; ?></td>
                    </tr>
                    <tr>
                        <th>Designation</th>
                        <td><?php echo $list['designation']; ?></td>
                    </tr>
                    <tr>
                        <th>Amount</th>
                        <td><?php echo $list['salary']; ?></td>
                    </tr>
               
            </table>
            <div class="promo1">
                <p>Dear <?php echo $list['name']; ?></p>
                <p>If you have any questions or require further clarification regarding the payment statement, please don't hesitate to contact our finance department.</p>
            </div>			
            <div class="promo">
                <p>Thank you for your continued support.</p>
                <p>Best regards,</p>
                <p>BISTRO NOIR</p>
            </div>
            <div style="margin-top: 120px; color: black;">
                <h3>Receiver:____________________&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Bistro Noir:________________________</h3>
            </div>
			 <?php endforeach; ?>
        </div>
    <script>
        window.onload = function () {
            window.print();
        }
    </script>
</body>

</html>
