<?php
$page = 'PurchaserDetailsEdit';

require_once('sessionp.php');
require_once('checkAccountsSession.php');

require_once('includes/connection.php');
require_once('includes/functions.php');

$Date = $_GET['date'];

$module = 'Demand';
$pageRole = 'table';
$pageTitle = "Purchaser Cash Details";

include 'MasterTop.php';

if ($user_type == '1') {
    include 'Top.php';
    include 'SideBar.php';
}
?>
<div id="content" class="bg-container">
    <div class="col-xs-12 data_tables mx-auto">
        <div class="card">
            <div class="card-block" style="margin-top: 60px;">
                <div class="modal-body" style="padding-top:0;">
                    <form method="post" action="process/PurchaserDetailsEditUpdate.php">
                        <input type="hidden" name="payment_check" value="true" />
                        <div class="row">
                            <div class="col-lg-3 input_field_sections">
                                <h5>Date</h5>
                                <input type="text" class="form-control" name="date" value="<?php echo $Date; ?>" readonly />
                            </div>
                            <div class="col-lg-3 input_field_sections">
                                <h5>From Accountant</h5>
                                <?php
                                $purchaseRS = GetRow(Run($conn, "SELECT SUM(purchase) AS amount_purchase FROM tbl_expenses WHERE post_date = '$Date'"));
                                $PurchaseAmount = $purchaseRS['amount_purchase'];
                                $purchaseDetailsR = GetRow(Run($conn, "SELECT SUM(other_sources) AS total_other, 
                                                           SUM(today_bills) AS total_bills,
                                                           SUM(previous_bill) AS total_previous
                                                           FROM tbl_purchaser_details WHERE post_date = '$Date'"));
                                $FromOther = $purchaseDetailsR['total_other'];												
                                $TotalAmount = $PurchaseAmount + $FromOther;
                                ?>												
                                <input type="text" class="form-control" name="account" value="<?php echo $PurchaseAmount; ?>" readonly />
                            </div>
                            <div class="col-lg-3 input_field_sections">
                                <h5>Cash Till/HR </h5>
                                <input type="number" class="form-control" name="other" step="any" value="<?php echo $FromOther; ?>" />
                            </div>
                            <div class="col-lg-3 input_field_sections">
                                <h5>Total Cash</h5>
                                <input type="text" class="form-control" name="total" value="<?php echo $TotalAmount; ?>" readonly />
                            </div>
                            <div class="col-lg-12 input_field_sections">
                                <h5>Today Exp </h5>
                                <input type="number" class="form-control" name="today" step="any" required="required" value="<?php echo $purchaseDetailsR['total_bills']; ?>" />
                            </div>
                            <div class="col-lg-12 input_field_sections">
                                <h5>Previous</h5>
                                <input type="text" class="form-control" name="total" value="<?php echo $purchaseDetailsR['total_previous']; ?>" readonly />
                            </div>
                            <div class="col-lg-12 input_field_sections">
                                <h5>Hand Over</h5>
                                <?php $handOverValue = $TotalAmount - $purchaseDetailsR['total_bills'] - $purchaseDetailsR['total_previous'];?>
                                <input type="text" class="form-control" name="total" value="<?php echo $handOverValue; ?>" readonly />
                            </div>										
                        </div>
                        &nbsp;
                        <div class="modal-footer"> 
                                <button type="submit" class="btn btn-success">Update</button>
                        </div>
                    </form>
                </div>
				    <?php
                    $query = "SELECT COUNT(*) as count FROM tbl_purchaser_details WHERE post_date = '$Date'";
                    $result = mysqli_query($conn, $query);
                    if ($result) {
                    $row = mysqli_fetch_assoc($result);
                    $count = $row['count'];
                    } else { $count = 0; // Set a default value or handle it accordingly
                    }
                    if ($count > 0) { ?>
                <div class="modal-body" style="padding-top:0;">	
                    <h3>Add Previous Paid Details</h3>
                    <div class="row">
                        <form method="post" action="process/PurchaserDetailsEditSupplier">
                            <input type="hidden" name="bcheck" value="true" />
                            <input type="hidden" name="date" value="<?php echo $Date; ?>" />
                            <div class="col-lg-6 input_field_sections">
                                <h5>Supplier</h5>
                                <select class="form-control chzn-select" name="supplier_id" onchange="GetPriceQuantity(this.value)">
                                    <option disabled selected>Choose a product</option>
                                    <?php
                                    $productsRS = Run($conn, "SELECT `id`, `name` FROM `tbl_suppliers` WHERE `status` = '1'ORDER BY `name` ASC");
                                    while ($productsR = GetRow($productsRS)) {
                                        $pid = $productsR['id'];
                                        $brandId = $productsR['name'];
                                        // Display both product title and price in the option
                                        $productInfo =   $pid. ' - ' .$productsR['name'];
                                        ?>
                                        <option value="<?php echo $pid; ?>"><?php echo $productInfo; ?></option>
                                    <?php } // End of while loop ?>
                                </select>
                            </div>
                            <div id="pq_div">
                                <div class="col-lg-2 input_field_sections">
                                    <h5>Amount</h5>
                                    <input type="number" id="s_amount" class="form-control" name="s_amount" step="any" required="required" />
                                </div>
                            </div>
                            <div class="col-lg-2 input_field_sections">
                                <h5>&nbsp;</h5>
                                <button type="submit" class="btn btn-success">Submit</button>
                            </div>
                        </form>
                    </div>
                    <div class="row">
                       <div class="col-lg-12">
                            <table class="table table-striped table-bordered table-hover">
                                <thead>
                                    <tr>
                                        <th>ID</th>
                                        <th>Supplier</th>
                                        <th>Amount</th>
                                        <th>Delete</th>
                                    </tr>
                                </thead>
                                <tbody>
                                        <?php 
										$totalTodayPendingPaid = 0; // Initialize total variable
										$SupplierPaidResult = Run($conn, "SELECT id, supplier_id, previous_bill FROM tbl_purchaser_details WHERE post_date = '$Date' ORDER BY post_date DESC");        
                                        while ($SupplierPaid = GetRow($SupplierPaidResult)) {
                                        $ID = $SupplierPaid['id'];
                                        $SupplierID = $SupplierPaid['supplier_id'];
                                        $SupplierResult = GetRow(Run($conn, "SELECT name FROM tbl_suppliers WHERE id = $SupplierID"));
                                        $Supplier = $SupplierResult['name'];
                                        $TodayPendingPaid = $SupplierPaid['previous_bill'];
                                        // Check if $TodayPendingPaid is greater than 0
                                        if ($TodayPendingPaid > 0) {  
										$totalTodayPendingPaid += $TodayPendingPaid; // Add to total
										?>
                                    <tr>
                                        <td><?php echo $ID; ?></td>
                                        <td><?php echo $Supplier; ?></td>
                                        <td><?php echo number_format($TodayPendingPaid, 0); ?></td>
                                        <td>
                                        <form method="post" action="process/PurchaserDetailsDelete">
                                        <input type="hidden" name="delete_purchaser_id" value="<?php echo $ID; ?>" />
                                        <input type="hidden" name="date" value="<?php echo $Date; ?>" />
                                        <button type="submit" class="btn btn-danger btn-sm" name="delete_purchaser" onclick="return confirm('Are you sure you want to delete this record?')">Delete</button>
                                        </form>
                                        </td>
                                    </tr>
                                        <?php } } ?>
                                </tbody>
								<tfoot>
                                    <tr>
                                        <td colspan="2" style="text-align: right; font-weight: bold;">Total</td>
                                        <td class="text-right font-weight-bold"><?php echo number_format($totalTodayPendingPaid, 0); ?></td>     
                                        <td></td>
                                    </tr>
                                </tfoot>
                            </table>
                        </div>
                    </div>
                    <h3>Add Today Pending Details</h3>
                    <div class="row">
                        <form method="post" action="process/PurchaserDetailsEditSupplierPending">
                            <input type="hidden" name="bcheck" value="true" />
                            <input type="hidden" name="date" value="<?php echo $Date; ?>" />
                            <div class="col-lg-6 input_field_sections">
                                <h5>Supplier</h5>
                                <select class="form-control chzn-select" name="supplier_id" onchange="GetPriceQuantity(this.value)">
                                    <option disabled selected>Choose a product</option>
                                    <?php
                                    $productsRS = Run($conn, "SELECT `id`, `name` FROM `tbl_suppliers` WHERE `status` = '1'ORDER BY `name` ASC");
                                    while ($productsR = GetRow($productsRS)) {
                                        $pid = $productsR['id'];
                                        $brandId = $productsR['name'];
                                        // Display both product title and price in the option
                                        $productInfo =   $pid. ' - ' .$productsR['name'];
                                        ?>
                                        <option value="<?php echo $pid; ?>"><?php echo $productInfo; ?></option>
                                    <?php } // End of while loop ?>
                                </select>
                            </div>
                            <div id="pq_div">
                                <div class="col-lg-2 input_field_sections">
                                    <h5>Amount</h5>
                                    <input type="number" id="p_amount" class="form-control" name="p_amount" step="any" required="required" />
                                </div>
                            </div>
                            <div class="col-lg-2 input_field_sections">
                                <h5>&nbsp;</h5>
                                <button type="submit" class="btn btn-success">Submit</button>
                            </div>
                        </form>
                    </div>
                    <div class="row">
                       <div class="col-lg-12">
                            <table class="table table-striped table-bordered table-hover">
                                <thead>
                                    <tr>
                                        <th>ID</th>
                                        <th>Supplier</th>
                                        <th>Amount</th>
                                        <th>Delete</th>
                                    </tr>
                                </thead>
                                <tbody>
                                        <?php 
										$totalTodayPendingPaid = 0; // Initialize total variable
										$SupplierPaidResult = Run($conn, "SELECT id, supplier_id, pending_bills FROM tbl_purchaser_details WHERE post_date = '$Date' ORDER BY post_date DESC");        
                                        while ($SupplierPaid = GetRow($SupplierPaidResult)) {
                                        $ID = $SupplierPaid['id'];
                                        $SupplierID = $SupplierPaid['supplier_id'];
                                        $SupplierResult = GetRow(Run($conn, "SELECT name FROM tbl_suppliers WHERE id = $SupplierID"));
                                        $Supplier = $SupplierResult['name'];
                                        $TodayPendingPaid = $SupplierPaid['pending_bills'];
                                        // Check if $TodayPendingPaid is greater than 0
                                        if ($TodayPendingPaid > 0) {  
										$totalTodayPendingPaid += $TodayPendingPaid; // Add to total
										?>
                                    <tr>
                                        <td><?php echo $ID; ?></td>
                                        <td><?php echo $Supplier; ?></td>
                                        <td><?php echo number_format($TodayPendingPaid, 0); ?></td>
                                        <td>
                                        <form method="post" action="process/PurchaserDetailsDeletePending">
                                        <input type="hidden" name="delete_purchaser_id" value="<?php echo $ID; ?>" />
                                        <input type="hidden" name="date" value="<?php echo $Date; ?>" />
                                        <button type="submit" class="btn btn-danger btn-sm" name="delete_purchaser" onclick="return confirm('Are you sure you want to delete this record?')">Delete</button>
                                        </form>
                                        </td>
                                    </tr>
                                        <?php } } ?>
                                </tbody>
								<tfoot>
                                    <tr>
                                        <td colspan="2" style="text-align: right; font-weight: bold;">Total</td>
                                        <td class="text-right font-weight-bold"><?php echo number_format($totalTodayPendingPaid, 0); ?></td>     
                                        <td></td>
                                    </tr>
                                </tfoot>
                            </table>
                        </div>
                    </div>
                </div>
				<?php } ?>
            </div>							
        </div>
    </div>
</div>
  <style>
    /* Adjust the position of the icon */
    .back-btn {
      display: inline-block;
      padding: 5px 12px;
      background-color: #4CAF50;
      color: white;
      text-decoration: none;
      border: none;
      border-radius: 2px;
      cursor: pointer;
    }
    .back-btn{
      margin-right: 3px;
    }
    .back-btn:hover {
      background-color: #45a049;
    }
  .card {
    width: 60%; /* Adjust the width as needed */
    margin: 0 auto; /* This will center the card */
  }
</style>
<script>
    document.addEventListener('DOMContentLoaded', function () {
        let buttons = document.querySelectorAll('.btn-view-pdf, .btn-success');

        buttons.forEach(button => {
            button.addEventListener('click', function () {

                // Remove active class from all buttons
                buttons.forEach(btn => btn.classList.remove('active-btn'));

                // Add active class to the clicked button
                this.classList.add('active-btn');
            });
        });
    });
</script>
<?php include 'Footer.php'; ?>