<?php 

$page		 = 'VendorsDemand';

require_once('sessionp.php');
require_once('checkAccountsSession.php');

require_once('includes/connection.php');
require_once('includes/functions.php');


$module 	   = 'VendorsDemand';

$pageTitle     = 'Vendors Demand';
$pageRole  	   = 'table';

include 'MasterTop.php';
include 'Top.php';
include 'SideBar.php';

$listRS	 = Run($conn,"SELECT DISTINCT tbl_suppliers.id, tbl_items.supplier
FROM tbl_items, tbl_suppliers
WHERE tbl_items.Max > 0
AND tbl_items.Mini > tbl_items.updated_Stock
AND tbl_items.supplier = tbl_suppliers.title
ORDER BY tbl_items.id DESC;");

?>
<style>
.buttons-print {
	border: 1px solid;
	padding: 5px 10px;
	border-radius: 3px;
}
</style>
<div id="content" class="bg-container">
	<?php include 'Header.php'; ?>
	<div class="outer">
		<div class="inner bg-light lter bg-container">
			<div class="row">
				<div class="col-xs-12 data_tables">
					<div class="card">
						<div class="card-block" style="margin-top:60px;">
							<table class="table table-striped table-bordered table-hover" id="sample_1">
								<thead>
									<tr>
										<th>#</th>
										<th>Vendors</th>
                                        <th>Details</th>
									</tr>
								</thead>
								<tbody>
									<?php  
								$i=1;
								while ($listR  = GetRow($listRS)){		
								?>

									<tr>
										<td width="5%"><?php echo $i++; ?></td>
								        <td width="5%"><?php echo $listR['supplier']; ?></td>
                                        <td width="8%"><a class="btn btn-primary btn-sm" href="supplier?id=<?php echo $listR['id']; ?>" title="View details of <?php echo $listR['supplier']; ?>">Details</a></td>
									</tr>
									<?php 

									} ?>
								</tbody>
							</table>
						</div>
					</div>
					<!-- END EXAMPLE1 TABLE PORTLET--> 
					
				</div>
			</div>
			<!-- /.inner --> 
		</div>
		<!-- /.outer --> 
	</div>
	<!-- /#content -->
	<?php include 'ContentFooter.php'; ?>
</div>
<?php include 'Footer.php'; ?>