<?php
$page = 'attendance';

require_once('sessionp.php');
require_once('checkAccountsSession.php');

require_once('includes/connection.php');
require_once('includes/functions.php');

$start_day = '01';
$start_month = date("m");
$start_year = date("Y");
$start_date = $start_year . '-' . $start_month . '-' . $start_day;
$end_date = date("Y-m-d");
$date_check = getValue('date_check');
if ($date_check == 'true') {
    $start_date = getValue('date_from');
    $end_date = getValue('date_to');
}
$register_date = date("Y-m-d");
$reg_date_check = getValue('reg_date_check');
if ($reg_date_check == 'true') {
    $register_date = getValue('register_date');
}

$module = 'employees';
$range = 'true';
$pageTitle = 'Employees';
$pageRole = 'table';

// Fetch distinct PINs for employees with attendance records

include 'MasterTop.php';
include 'Top.php';
include 'SideBar.php';
?>

<style>
.buttons-print {
    border: 1px solid;
    padding: 5px 10px;
    border-radius: 3px;
}
</style>

<div id="content" class="bg-container">
    <?php include 'Header.php'; ?>
    <div class="outer">
        <div class="inner bg-light lter bg-container">
            <div class="row">
                <div class="col-xs-12 data_tables">
                    <!-- BEGIN EXAMPLE1 TABLE PORTLET-->
                    <div class="card">
					    <div class="card-header bg-white"> Attendance Late <a class="btn btn-outline-success btn-print" href="attendancePrintLate.php?start_date=<?php echo $start_date; ?>&end_date=<?php echo $end_date; ?>" target="_blank" title="Print">Print</a>
					                                       Attendance Late Head <a class="btn btn-outline-success btn-print" href="attendancePrintLateHead.php?start_date=<?php echo $start_date; ?>&end_date=<?php echo $end_date; ?>" target="_blank" title="Print">Print</a>						                                
    													   Attendance All <a class="btn btn-outline-success btn-print" href="attendancePrint.php?start_date=<?php echo $start_date; ?>&end_date=<?php echo $end_date; ?>" target="_blank" title="Print">Print</a>
						                                   Attendance All Head <a class="btn btn-outline-success btn-print" href="attendancePrintHead.php?start_date=<?php echo $start_date; ?>&end_date=<?php echo $end_date; ?>" target="_blank" title="Print">Print</a>
										                   <a class="btn btn-outline-success btn-print" href="UploadAttendance.php" target="_blank" title="Print">Upload Attendance</a>
                        </div>
					   <div class="card-block" style="margin-top:60px;">
                            <table class="table table-striped table-bordered table-hover" id="sample_1">
                                <thead>
                                    <tr>
                                        <th>Date</th>
                                        <th>Name</th>
                                        <th>Section</th>
                                        <th>PIN</th>
                                        <th>Check In</th>
                                        <th>Check Out</th>
                                        <th>Working Hours</th>
										<th>Print Details</th>
										<th>Print Late</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php
                                    // Loop through the results and populate the table rows
									$listRS = Run($conn, "SELECT DISTINCT PIN, Date FROM tbl_attendance WHERE PIN NOT IN (121, 122) AND Date >= '$start_date' AND Date <= '$end_date' ORDER BY id ASC ");
                                    while ($row = mysqli_fetch_assoc($listRS)) {
                                        $pin = $row['PIN'];
                                        $Date = $row['Date'];
                                        $query = "SELECT Name FROM tbl_attendance WHERE PIN = $pin AND Date = '$Date'";
                                        $result = mysqli_query($conn, $query);
                                        $attendanceData = mysqli_fetch_assoc($result);

                                        $sectionQuery = "SELECT house FROM tbl_employees WHERE id_emp = $pin";
                                        $sectionResult = mysqli_query($conn, $sectionQuery);
                                        $sectionData = mysqli_fetch_assoc($sectionResult);

                                        $checkInQuery = "SELECT CHECKTIME FROM tbl_attendance WHERE PIN = $pin AND Date = '$Date' ORDER BY id ASC LIMIT 1";
                                        $checkInResult = mysqli_query($conn, $checkInQuery);
                                        $checkInData = mysqli_fetch_assoc($checkInResult);

                                        $checkOutQuery = "SELECT CHECKTIME FROM tbl_attendance WHERE PIN = $pin AND Date = '$Date' ORDER BY id DESC LIMIT 1";
                                        $checkOutResult = mysqli_query($conn, $checkOutQuery);
                                        $checkOutData = mysqli_fetch_assoc($checkOutResult);
                                      // Output data in table rows
                                         echo "<tr>";
                                         echo "<td>" . $Date . "</td>";
                                         echo "<td>" . $attendanceData['Name'] . "</td>";
                                         echo "<td>" . $sectionData['house'] . "</td>";
                                         echo "<td>" . $pin . "</td>";
                                         echo "<td>" . $checkInData['CHECKTIME'] . "</td>";
                                         echo "<td>" . $checkOutData['CHECKTIME'] . "</td>";

                                         // Calculate the time duration
                                         $checkInTime = strtotime($checkInData['CHECKTIME']);
                                         $checkOutTime = strtotime($checkOutData['CHECKTIME']);
                                         $timeDiff = $checkOutTime - $checkInTime;
                                         $hours = floor($timeDiff / 3600);
                                         $minutes = floor(($timeDiff % 3600) / 60);
                                         if ($hours < 9) {
                                         echo "<td style='font-weight: bold;'>Check: ";
                                        } else {
                                         echo "<td>";}
                                         echo sprintf("%02d:%02d", $hours, $minutes);
                                         echo "</td>";
   										 echo '<td><a class="btn btn-primary" href="attendancePrintId.php?start_date=' . $start_date . '&end_date=' . $end_date . '&pin=' . $pin . '" target="_blank" title="Print">Print</a></td>';
										 echo '<td><a class="btn btn-primary" href="attendancePrintLateId.php?start_date=' . $start_date . '&end_date=' . $end_date . '&pin=' . $pin . '" target="_blank" title="Print">Print</a></td>';
                                         echo "</tr>";
                                    }
                                    ?>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<?php include 'Footer.php'; ?>
