<?php 

$page		  = 'brands';

require_once('sessionp.php');
require_once('checkAccountsSession.php');

require_once('includes/connection.php');
require_once('includes/functions.php');


$module	 	= 'stock';
$pageTitle 	 = 'Brands';
$pageRole  	  = 'table';


$del = getValue('del');
if($del != '' && $del > 1){
    Run($conn, "delete from tbl_brands where id = '$del'");
    Run($conn, "update tbl_items set brand_id=1 where brand_id = '$del'");

    redirect_to('brands', 'record', 'deleted');
}


$bcheck = getValue('bcheck');
if($bcheck != ''){
    extract($_POST, EXTR_OVERWRITE);

    $title = trim($title);

    if($actionType=='insert') {
        $strSQL = "insert into tbl_brands set
                                            title           = '".($title)."',
                                            post_date       = '$post_date',
                                            post_time       = '$post_time',
                                            last_updated    = '$last_updated',
                                            status          = '1'";
        Run($conn, $strSQL); 
        redirect_to("brands", 'record', 'added');
    } else if($actionType=='edit') {
        $strSQL = "update tbl_brands set
                                            title           = '".($title)."', 
                                            last_updated    = '$last_updated',
                                            status          = '1' where id = '$editID' and id!=1  ";
                                            // id=1 is reserved for None Brand
        Run($conn, $strSQL); 
        redirect_to("brands", 'record', 'updated');   
    }
}

$listRS	 = Run($conn, "select * from tbl_brands where status = '1' order by id desc");  

include 'MasterTop.php';
include 'Top.php';
include 'SideBar.php';
?>
<style>
    .buttons-print {
        border: 1px solid #b2b2b2;
        padding: 3px 7px;
        border-radius: 3px;
        background: linear-gradient(135deg, #6A82FB, #FC5C7D);
        color: white;
    }

    .btn-success, .btn-view-pdf, .btn-view-send {
        display: inline-flex;
        align-items: center;
        justify-content: center;
        position: relative;
        overflow: hidden;
        transition: box-shadow .3s;
        box-shadow: 0 8px 20px rgba(0, 0, 0, 0.12);
        color: white;
    }

    .btn-success::after, .btn-view-pdf::after, .btn-view-send::after {
        content: "";
        position: absolute;
        top: -100%;
        left: -100%;
        width: 200%;
        height: 200%;
        z-index: 1;
        background: linear-gradient(135deg, transparent, rgba(255, 255, 255, 0.4), transparent);
        transform: rotate(45deg);
        pointer-events: none;
        transition: top 0.5s, left 0.5s;
    }

    .btn-success:hover::after, .btn-view-pdf:hover::after, .btn-view-send:hover::after {
        top: 100%;
        left: 100%;
    }

    .btn-success {
        background: linear-gradient(135deg, #8E2DE2, #4A00E0);
        border: none;
        padding: 6px 12px;
        border-radius: 50px 50px 0 50px;
        font-weight: 600;
    }

    .btn-view-pdf {
        background: linear-gradient(135deg, #FFB75E, #ED8F03);
        border-radius: 50px 50px 0 50px;
        padding: 6px 12px;
    }

    .btn-view-send {
        background: linear-gradient(135deg, #56ab2f, #a8e063);
        border-radius: 30px 50px 0 50px;
        padding: 6px 15px;
    }

    .btn-view-pdf i, .btn-view-send i {
        margin-right: 4px;
    }

    .active-btn {
        background: linear-gradient(135deg, #f54242, #f542a2);
        box-shadow: 0 6px 14px rgba(255,0,0,0.1);
    }

    @keyframes dance {
        0% { transform: scale(1) rotate(0); }
        20% { transform: scale(1.05) rotate(-5deg); }
        40% { transform: scale(1) rotate(5deg); }
        60% { transform: scale(1.05) rotate(-5deg); }
        80% { transform: scale(1) rotate(5deg); }
        100% { transform: scale(1) rotate(0); }
    }

    .btn-success:hover, .btn-view-pdf:hover, .btn-view-send:hover {
        animation: dance 0.5s infinite;
    }
</style>
<script>
    document.addEventListener('DOMContentLoaded', function () {
        let buttons = document.querySelectorAll('.btn-view-pdf, .btn-success');

        buttons.forEach(button => {
            button.addEventListener('click', function () {

                // Remove active class from all buttons
                buttons.forEach(btn => btn.classList.remove('active-btn'));

                // Add active class to the clicked button
                this.classList.add('active-btn');
            });
        });
    });
</script>
<div id="content" class="bg-container">
    <?php include 'Header.php'; ?> 
    <div class="outer">
        <div class="inner bg-light lter bg-container">
            <div class="row">
                <div class="col-xs-12 data_tables"> 
                    <!-- BEGIN EXAMPLE1 TABLE PORTLET-->
                    <div class="card"> 
                        <div class="card-block" style="margin-top:60px;"> 
                            <table class="table table-striped table-bordered table-hover" id="sample_1">
                                <thead>
                                    <tr>
                                        <th>#</th>
                                        <th>Since</th>
                                        <th>Brand Title</th> 
                                        <th>Total Items</th>
                                        <th>Last Updated</th>
                                        <?php if ($user_type == '1' || $user_type == '4') { ?>
                                        <th>Action</th>
                                        <?php } ?>
                                    </tr>
                                </thead>
                                <tbody>
                                <?php  
                                $i=1;
                                while ($listR = GetRow($listRS)){ 
                                $brandID = $listR['id']; 
                                $productsInBrand = Records(Run($conn,"select id from tbl_items where brand_id = '$brandID'"));
                                ?>
                                    <tr>
                                        <td><?php echo $i++; ?></td> 
                                        <td><?php echo $listR['post_date']; ?></td>
                                        <td><?php echo $listR['title']; ?></td>
                                        <td><?php echo $productsInBrand; ?></td>
                                        <td><?php echo date('l jS \of F Y h:i:s A', $listR['last_updated']); ?></td>
                                        <?php if ($user_type == '1' || $user_type == '4') { ?>                        
                                        <td>
                                            <button class="btn btn-success" data-toggle="modal" data-target="#brand-edit-<?php echo $listR['id']; ?>"> Edit </button>
                                            <div class="modal fade" id="brand-edit-<?php echo $listR['id']; ?>" role="dialog" aria-labelledby="modalLabelsuccess">
                                                <div class="modal-dialog" role="document">
                                                    <div class="modal-content">
                                                        <div class="modal-header bg-success">
                                                            <h4 class="modal-title text-white" id="modalLabelsuccess">Edit Brand</h4>
                                                        </div>
                                                        <form method="post" action=""> 
                                                        <div class="modal-body" style="padding-top:0;"> 
                                                                <input type="hidden" name="bcheck" value="true" />
                                                                <input type="hidden" name="actionType" value="edit" /> 
                                                                <input type="hidden" name="editID" value="<?php echo $listR['id']; ?>" />
                                                                <div class="row">
                                                                    <div class="col-lg-12 input_field_sections">
                                                                        <h5>Title <span class="label_desc">(Required)</span></h5>
                                                                        <input type="text" class="form-control" title="<?php echo $listR['title']; ?>" value="<?php echo $listR['title']; ?>" name="title" autocomplete="off" required="required" />
                                                                    </div> 
                                                                </div>  
                                                        </div>
                                                        <div class="modal-footer" style="text-align:left;">
                                                            <button type="submit" class="btn btn-success">Update</button>
                                                            <button class="btn btn-warning" data-dismiss="modal">Cancel</button>
                                                        </div>
                                                        </form>
                                                    </div>
                                                </div>
                                            </div>
                                            <a href="brands?del=<?php echo $listR['id']; ?>" class="btn btn-raised btn-danger btn-sm md-trigger adv_cust_mod_btn" onclick="return confirm('Are you sure. Items associated with this Brand will be assigned to [None] Brand');"  >  Delete </a>
                                        </td>
                                        <?php } ?>
                                     </tr>
                                <?php } ?>     
                                </tbody>
                            </table> 
                            
                        </div>
                    </div>
                    <!-- END EXAMPLE1 TABLE PORTLET--> 
                    
                </div>
            </div>
            <!-- /.inner --> 
        </div>
        <!-- /.outer --> 
    </div>
    <?php include 'ContentFooter.php'; ?>
    <!-- /#content --> 
</div>
<?php include 'Footer.php'; ?>
<?php if(getValue('wc') == 1){?>
<script>
window.onload = function() {
        PNotify.desktop.permission();
        new PNotify({
            title: 'Success',
            text: 'A new brand has been added into your software, Hope this brand give you more benefit.',
            type: 'success',
            desktop: {
                desktop: true
            }
        }).get().on("click",function (e) {
            if ($('.ui-pnotify-closer, .ui-pnotify-sticker, .ui-pnotify-closer *, .ui-pnotify-sticker *').is(e.target))
                return; 
        });
        return false;
    };
</script>
<?php } ?>
