<?php 

require_once('sessionp.php');
require_once('includes/connection.php');
require_once('includes/functions.php');  

$register_date = date("Y-m-d");
$reg_date_check = getValue('reg_date_check');
if($reg_date_check == 'true')
{
	$register_date = getValue('register_date'); 
}
	
$page		   = 'day';
$module	 	 = 'reports';
$pageTitle 	 = 'Daily Cash | '.$register_date;
$pageRole  	  = 'table';

include 'MasterTop.php';
include 'Top.php';
include 'SideBar.php';

  
?>
<style>
.buttons-print {
	border: 1px solid;
	padding: 5px 10px;
	border-radius: 3px;
}
</style>
<div id="content" class="bg-container">
	<?php include 'Header.php'; ?>
	<div class="outer">
		<div class="inner bg-light lter bg-container">
			<div class="row">
				<div class="col-xs-12 data_tables"> 
					<!-- BEGIN EXAMPLE1 TABLE PORTLET-->
					<div class="card">
						<div class="card-block" style="margin-top:60px;">
							<table class="table table-striped table-bordered table-hover" id="sample_1">
								<thead>
									<tr>
										<th>#</th>
										<th>Time</th>
										<th>Description</th>
										<th style="text-align:right;">Debit (Rs)</th>
										<th style="text-align:right;">Credit (Rs)</th>
										<th style="text-align:right;">Balance (Rs)</th>
									</tr>
								</thead>
								<tbody>
									<?php 
								$i = 1;
								$balance = 0; 
								$cashflowRS = Run($conn,"select * from tbl_daily_cash where status = '1' and post_date = '$register_date' order by id desc");
								while($cashflowR = GetRow($cashflowRS)){ 
								?>
									<tr>
										<td><?php echo $i; ?></td>
										<td><?php echo $cashflowR['post_time']; ?></td>
										<td><?php echo $cashflowR['description']; ?></td>
										<td width="10%" style="text-align:right;"><?php echo number_format($cashflowR['dr'],2); ?></td>
										<td width="10%" style="text-align:right;"><?php echo number_format($cashflowR['cr'],2); ?></td>
										<td width="12%" style="text-align:right;"><?php echo number_format($cashflowR['balance'],2); ?></td>
									</tr>
									<?php $i++; } ?>
								</tbody>
							</table>
						</div>
					</div>
					<!-- END EXAMPLE1 TABLE PORTLET--> 
					
				</div>
			</div>
			<!-- /.inner --> 
		</div>
		<!-- /.outer --> 
	</div>
	<!-- /#content --> 
</div>
<?php include 'Footer.php'; ?>
