<?php 

require_once('sessionp.php');
require_once('includes/connection.php');
require_once('includes/functions.php');

$page		= 'days'; 
$module 	 = 'dashboard';
$pageTitle = 'Days Cash Report';
$pageRole  = 'table';

include 'MasterTop.php';
include 'Top.php';
include 'SideBar.php';

  
?>
<style>
  .buttons-print{ border:1px solid; padding:5px 10px; border-radius:3px;}
</style>
<div id="content" class="bg-container">
	<?php include 'Header.php'; ?>
	<div class="outer">
		<div class="inner bg-light lter bg-container">
			<div class="row">
				<div class="col-xs-12 data_tables"> 
					<!-- BEGIN EXAMPLE1 TABLE PORTLET-->
					<div class="card"> 
						<div class="card-block" style="margin-top:60px;"> 
							<table class="table table-striped table-bordered table-hover" id="sample_1">
								<thead>
									<tr>
										<th>#</th>
										<th>Day</th> 
										<th style="text-align:right;">Debit (Rs)</th>
										<th style="text-align:right;">Credit (Rs)</th> 
										<th style="text-align:right;">Balance (Rs)</th> 
									</tr>
								</thead>
								<tbody>
								<?php 
								$i = 1; 
								$year = getValue('year');
								$month = getValue('month');
								if(getValue('year_month') !=''){
								$year = explode("-",getValue('year_month'));
								$year = $year[0];
								$month = explode("-",getValue('year_month'));
								$month = $month[1];
								}
								$cashflowRS = Run($conn,"select distinct post_date from tbl_daily_cash where status = '1' and year = '$year' and month = '$month' order by id desc");
								while($cashflowR = GetRow($cashflowRS)){ 
								$cashDay = $cashflowR['post_date']; 
								$cashFlowBalanceR = GetRow(Run($conn,"select sum(dr) as debitCash, sum(cr) as creditCash from tbl_daily_cash where status = '1' and post_date = '$cashDay'"));
								$debitCash  = $cashFlowBalanceR['debitCash'];
								$creditCash = $cashFlowBalanceR['creditCash']; 
								$cashBalance = $debitCash-$creditCash;
								?>
									<tr>
										<td width="10%"><?php echo $i; ?></td> 
										<td><a href="index?reg_date_check=true&register_date=<?php echo $cashDay; ?>">
										<?php echo $cashflowR['post_date']; ?></a></td>
										<td width="20%" style="text-align:right;"><?php echo number_format($debitCash,2); ?></td>
										<td width="20%" style="text-align:right;"><?php echo number_format($creditCash,2); ?></td> 
										<td width="20%" style="text-align:right;"><?php echo number_format($cashBalance,2); ?></td> 
									</tr>
								<?php $i++; } ?>
								</tbody>
							</table> 
						</div>
					</div>
					<!-- END EXAMPLE1 TABLE PORTLET--> 
					
				</div>
			</div>
			<!-- /.inner --> 
		</div>
		<!-- /.outer --> 
	</div>
	<!-- /#content --> 
</div>
<?php include 'Footer.php'; ?>