<?php 

$page		= 'items';

require_once('sessionp.php');
require_once('checkAccountsSession.php');

require_once('includes/connection.php');
require_once('includes/functions.php');


$module 	 = 'stock';
$range 	     = 'true';
$pageTitle   = 'Stock Items';
$pageRole    = 'table';
 

$listRS	 = Run($conn,"select * from tbl_items where status = '1' order by id desc");  

include 'MasterTop.php';
include 'Top.php';
include 'SideBar.php';
?>
<style>
.buttons-print {
    border: 1px solid #b2b2b2;
    padding: 3px 7px;
    border-radius: 3px;
    background: linear-gradient(135deg, #6A82FB, #FC5C7D);
    color: white;
}

.btn-success, .btn-view-pdf, .btn-view-send {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    position: relative;
    overflow: hidden;
    transition: box-shadow .3s;
    box-shadow: 0 8px 20px rgba(0, 0, 0, 0.12);
    color: white;
}

.btn-success::after, .btn-view-pdf::after, .btn-view-send::after {
    content: "";
    position: absolute;
    top: -100%;
    left: -100%;
    width: 200%;
    height: 200%;
    z-index: 1;
    background: linear-gradient(135deg, transparent, rgba(255, 255, 255, 0.4), transparent);
    transform: rotate(45deg);
    pointer-events: none;
    transition: top 0.5s, left 0.5s;
}

.btn-success:hover::after, .btn-view-pdf:hover::after, .btn-view-send:hover::after {
    top: 100%;
    left: 100%;
}

.btn-success {
    background: linear-gradient(135deg, #8E2DE2, #4A00E0);
    border: none;
    padding: 6px 12px;
    border-radius: 50px 50px 0 50px;
    font-weight: 600;
}

.btn-view-pdf {
    background: linear-gradient(135deg, #FFB75E, #ED8F03);
    border-radius: 50px 50px 0 50px;
    padding: 6px 12px;
}

.btn-view-send {
    background: linear-gradient(135deg, #56ab2f, #a8e063);
    border-radius: 30px 50px 0 50px;
    padding: 6px 15px;
}

.btn-view-pdf i, .btn-view-send i {
    margin-right: 4px;
}

.active-btn {
    background: linear-gradient(135deg, #f54242, #f542a2);
    box-shadow: 0 6px 14px rgba(255,0,0,0.1);
}

@keyframes dance {
    0% { transform: scale(1) rotate(0); }
    20% { transform: scale(1.05) rotate(-5deg); }
    40% { transform: scale(1) rotate(5deg); }
    60% { transform: scale(1.05) rotate(-5deg); }
    80% { transform: scale(1) rotate(5deg); }
    100% { transform: scale(1) rotate(0); }
}

.btn-success:hover, .btn-view-pdf:hover, .btn-view-send:hover {
    animation: dance 0.5s infinite;
}
</style>
<div id="content" class="bg-container">
    <?php include 'ContentFooter.php'; ?>
    <div class="modal fade" id="modal-item" role="dialog" aria-labelledby="modalLabelsuccess">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header bg-success">
                    <h4 class="modal-title text-white" id="modalLabelsuccess">New Item</h4>
                </div>
                <div class="modal-body" style="padding-top:0;">
                    <form method="post" action="process/SaveItem">
                        <input type="hidden" name="bcheck" value="true" />
                        <div class="row"> 
                            <div class="col-lg-8 input_field_sections">
                                <h5>Item Name <span class="label_desc">(Required)</span></h5>
                                <input type="text" class="form-control" autocomplete="off" name="title" required="required" />  
                            </div> 
                        </div> 
                        <div class="row">
                            <div class="col-lg-4 input_field_sections">
                                <h5>Unit <span class="label_desc">(Autofill-Required)</span></h5>
                                <input type="text" class="form-control" autocomplete="off" id="autofill_unit" name="unit" list="unit_list" required="required" >
                                <datalist id="unit_list">
                                    <?php 
                                    $unitsRS = Run($conn,"select * from tbl_units order by title asc");
                                    while($unitR = GetRow($unitsRS)){
                                    ?>
                                    <option><?php echo $unitR['title']; ?></option> 
                                    <?php } ?> 
                                </datalist>
                            </div>
                            <div class="col-lg-4 input_field_sections">
                                <h5>Category <span class="label_desc">(Autofill)</span></h5>
                                <input type="text" class="form-control" autocomplete="off" id="autofill_cat" name="cat_title" list="cat_list" value="None" >
                                <datalist id="cat_list">
                                    <?php 
                                    $categoriesRS = Run($conn,"select * from tbl_items_cat where status = '1' order by title asc");
                                    while($categoriesR = GetRow($categoriesRS)){
                                    ?>
                                    <option><?php echo $categoriesR['title']; ?></option> 
                                    <?php } ?> 
                                </datalist> 
                            </div> 
                            <div class="col-lg-4 input_field_sections">
                                <h5>Section<span class="label_desc">(Autofill)</span></h5>
                                <input type="text" class="form-control" autocomplete="off" id="autofill_brand"  name="brand_title" list="brand_list" value="None" >
                                <datalist id="brand_list">
                                    <?php 
                                    $brandsRS = Run($conn,"select * from tbl_brands where status = '1' order by title asc");
                                    while($brandsR = GetRow($brandsRS)){
                                    ?>
                                    <option><?php echo $brandsR['title']; ?></option> 
                                    <?php } ?> 
                                </datalist>   
                            </div>
                            <div class="col-lg-4 input_field_sections">
                                <h5>Mini <span class="label_desc">(Required)</span></h5>
                                <input type="Number" class="form-control" autocomplete="off" name="Mini"  required="required" />  
                            </div>
                            <div class="col-lg-4 input_field_sections">
                                <h5>Max <span class="label_desc">(Required)</span></h5>
                                <input type="Number" class="form-control" autocomplete="off" name="Max"  required="required" />  
                            </div>	
                            <div class="col-lg-4 input_field_sections">
                                <h5>Supplier <span class="label_desc">(Autofill-Required)</span></h5>
                                <input type="text" class="form-control" autocomplete="off" id="autofill_supplier" name="supplier" list="supplier_list" required="required" value="<?php if($billR['supplier_id'] != ''){ echo showTitle($conn,'tbl_suppliers',$billR['supplier_id']); } else { echo "Guest Supplier"; } ?>">
                                <datalist id="supplier_list">
                                    <?php 
                                    $suppliersRS = Run($conn,"select * from tbl_suppliers where status = '1' order by name asc");
                                    while($suppliersR = GetRow($suppliersRS)){
                                    ?>
                                    <option><?php echo $suppliersR['name']; ?></option>
                                    <?php } ?>
                                </datalist>
                            </div>
                            <div class="col-lg-4 input_field_sections">
                                <h5>Price Per(Gram/Ml)</h5>
                                <input type="Number" class="form-control" autocomplete="off" name="price" step="any" required="required" />  
                            </div>
                            <div class="col-lg-4 input_field_sections">
                                <h5>Opening Stock <span class="label_desc">(Optional)</span></h5>
                                <input type="number" class="form-control" min="0" value="0" step="any" name="updated_Stock" required="required" />
                                <input type="hidden" class="form-control" min="0" value="0" step="any" name="opening_unit_cost" required="required" />
                            </div>
                        </div> <?php ?>
                        <div class="modal-footer">
                            <button type="submit" class="btn btn-success">Save</button>
                            <button class="btn btn-warning" data-dismiss="modal">Cancel</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <div class="outer">
        <div class="inner bg-light lter bg-container">
            <div class="row">
                <div class="col-xs-12 data_tables"> 
                    <!-- BEGIN EXAMPLE1 TABLE PORTLET-->
                    <div class="card">
                        <div class="card-block" style="margin-top:60px;">
                            <table class="table table-striped table-bordered table-hover" id="sample_1">
                                <thead>
                                    <tr>
                                        <th >#</th>
                                        <th >Vendors</th>
                                        <th >Item</th>
                                        <th >Category</th>
                                        <th >Section</th>
                                        <th >Quantity</th> 
                                        <th style="text-align:right;">Unit Cost</th>
                                        <th style="text-align:right;">Worth</th>
                                        <th style="text-align:right;">Price Per(Gram,ML,Pic)</th> 
                                        <?php if ($user_type == '1' || $user_type == '4') { ?>
                                        <th>Action</th>
                                        <?php } ?>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php  
                                $i=1;
                                $TotalStockWorth = 0; 
                                $TotalStockQty   = 0;
                                while ($listR    = GetRow($listRS)){ 
                                $productID       = $listR['id'];
                                $productStockR   = GetRow(Run($conn,"select balance_quantity, balance_cost from tbl_stock_dairy where product_id = '$productID' order by id desc limit 1"));
                                $PricePerGram    = GetRow(Run($conn,"select price from tbl_items where id = '$productID' order by id desc limit 1"));
                                ?>
                                    <tr>
                                        <td><?php echo $listR['id']; ?></td>
                                        <td><?php echo $listR['supplier']; ?></td>
                                        <td><?php echo $listR['title']; ?></td>
                                        <td><?php echo showTitle($conn,'tbl_items_cat',$listR['category_id']); ?></td>
                                        <td><?php echo showTitle($conn,'tbl_brands',$listR['brand_id']); ?></td>
                                        <td><?php echo number_format($productStockR['balance_quantity'],3);
                                        $TotalStockQty = $TotalStockQty + $productStockR['balance_quantity']; 
                                                  echo ' <span class="small">'.showTitle($conn,'tbl_units',$listR['unit']).'</span>'; ?></td> 
                                        <td style="text-align:right;"><?php echo number_format($productStockR['balance_cost'],2); ?></td>
                                        <td style="text-align:right;"><?php echo number_format(($productStockR['balance_quantity']*$productStockR['balance_cost']),2); 
                                        $TotalStockWorth = $TotalStockWorth + ($productStockR['balance_quantity']*$productStockR['balance_cost']);?></td> 
                                        <td style="text-align:right;"><?php echo number_format(($PricePerGram['price']),2);?></td> 
                                        <?php if ($user_type == '1' || $user_type == '4') { ?>
                                        <td>
                                        <a href="item?id=<?php echo $listR['id']; ?>" title="View details of <?php echo $listR['title']; ?>" class="btn btn-success btn-view-pdf"  > Details </a> 
                                        <?php if($productStockR['balance_quantity'] > 0) {?>
                                        <button data-toggle="modal" data-target="#modal_adjust_item_<?php echo $listR['id']; ?>" title="Adjust: <?php echo $listR['title']; ?>" class="btn btn-success"> Adjust </button> 
                                        <?php } ?>
                                        
                                            <?php } ?>
                                    </tr>
                                    
                                    <div class="modal fade" id="modal_adjust_item_<?php echo $listR['id']; ?>" role="dialog" aria-labelledby="modalLabelsuccess">
                                        <div class="modal-dialog" role="document">
                                            <div class="modal-content">
                                                <div class="modal-header bg-warning">
                                                    <h4 class="modal-title text-white" id="modalLabelsuccess">Adjust: <?php echo $listR['title']; ?></h4>
                                                </div>
                                                <div class="modal-body" style="padding-top:0;">
                                                    <form method="post" action="process/ajdust_stock_dairy.php">
                                                        <input type="hidden" name="bcheck" value="true" />
                                                        <input type="hidden" name="item_id" value="<?php echo $listR['id']; ?>" />
                                                        <div class="row">
                                                            <div class="col-md-4 input_field_sections">
                                                                <div class="form-group"><span class="form_labels">Type <span class="label_desc">(Required)</span></span>
                                                                <select class="form-control adjust_type" name="adjust_type" >
                                                                    <option value="0" selected="selected">Wastage</option>
                                                                    <option value="1">Return to Supplier</option>
                                                                </select> 
                                                                </div>
                                                            </div>
                                                            <div class="col-lg-4 input_field_sections">
                                                                <h5>Out Quantity <span class="label_desc">(Required)</span></h5>
                                                                <input type="number" min="0.01" max="<?php echo $productStockR['balance_quantity']; ?>" step="any" class="form-control" name="out_quantity" autocomplete="off" required="required" />
                                                            </div>
                                                            <div class="col-lg-4 input_field_sections supplier_amount" style="display:none;">
                                                                <h5>Amount <span class="label_desc">(Required)</span></h5>
                                                                <input type="number" min="0.01" step="any" class="form-control supplier_amount_input" name="supplier_amount" autocomplete="off"  />
                                                            </div>
                                                            <div class="col-lg-12 input_field_sections">
                                                                <h5>Notes <span class="label_desc">(Required)</span></h5> 
                                                                <textarea name="out_notes" class="form-control" required></textarea>
                                                            </div>
                                                        </div>
                                                </div>
                                                <div class="modal-footer" style="text-align:left;">
                                                    <button type="submit" class="btn btn-warning">Save</button>
                                                    <button class="btn btn-danger" data-dismiss="modal">Cancel</button>
                                                </div>
                                                </form>
                                            </div>
                                        </div>
                                    </div> 
                                    <?php } ?>   
                                </tbody>
                                <tfoot>
                                    <tr>   
                                         <th colspan="8" style="text-align:right;"><?php echo number_format($TotalStockWorth,2); ?></th>
                                         <?php if ($user_type == '1' || $user_type == '4') { ?>
                                         <th> &nbsp; </th>
                                         <?php } ?>
                                    </tr>
                                </tfoot>
                            </table>
                        </div>
                    </div>
                    <!-- END EXAMPLE1 TABLE PORTLET--> 
                    
                </div>
            </div>
            <!-- /.inner --> 
        </div>
        <!-- /.outer --> 
    </div>
    <!-- /#content --> 
</div>
<?php include 'Footer.php'; ?> 
<script>
   $('.adjust_type').change(function(){ 
    if($(this).val()=="0"){ 
      
	$(".supplier_amount_input").removeAttr('required');
    $('.supplier_amount').css('display', 'none');
    }
 else{ 
	$(".supplier_amount_input").attr('required', ''); 
    $('.supplier_amount').css('display', 'block');
   }
}); 
	$(".adjustButton").click(function () {
		$(".supplier_amount_input").removeAttr('required');
		$(".supplier_amount").css("display", "none");
	});
    document.addEventListener('DOMContentLoaded', function () {
        let buttons = document.querySelectorAll('.btn-view-pdf, .btn-success');

        buttons.forEach(button => {
            button.addEventListener('click', function () {

                // Remove active class from all buttons
                buttons.forEach(btn => btn.classList.remove('active-btn'));

                // Add active class to the clicked button
                this.classList.add('active-btn');
            });
        });
    });
</script>