<?php 
require_once('sessionp.php');
require_once('includes/connection.php');
require_once('includes/functions.php');

$page		= 'new-item';
$module	  = 'stock';
$pageTitle   = 'New Item';
$pageRole    = 'form';  

include 'MasterTop.php';
include 'Top.php';
include 'SideBar.php';
?>

<div id="content" class="bg-container">
	<header class="head">
		<div class="main-bar row">
			<div class="col-sm-5 col-lg-6 skin_txt">
				<h4 class="nav_top_align"> <?php echo $pageTitle; ?> </h4>
			</div>
			<div class="col-sm-7 col-lg-6">
				 
			</div>
		</div>
	</header>
	<div class="outer">
		<div class="inner bg-container forms">
			<div class="row">
				<div class="col-lg-12">
					<div class="card" style="min-height:500px;"> 
						<div class="card-block">
							<form method="post" action="process/SaveITem">
								<input type="hidden" name="bcheck" value="true" />
								<div class="row">
									<div class="col-lg-6 input_field_sections">
										<h5>Item Name <span class="label_desc">(Required)</span></h5>
										<input type="text" class="form-control" autocomplete="off" name="title"  required="required" />
									</div>
									<div class="col-lg-3 input_field_sections">
										<h5>Unit <span class="label_desc">(Autofill-Required)</span></h5>
										<input type="text" class="form-control" autocomplete="off" id="autofill_unit" name="unit" list="unit_list" required="required" >
										<datalist id="unit_list">
										<?php 
										$unitsRS = Run($conn,"select * from tbl_units order by title asc");
										while($unitR = GetRow($unitsRS)){
										?>
										<option><?php echo $unitR['title']; ?></option> 
										<?php } ?> 
										</datalist> 
									</div>
									 <div class="col-lg-3 input_field_sections">
										<h5>Sale Price <span class="label_desc">(Optional)</span></h5>
										<input type="number" class="form-control" name="price"   />
									</div> 
								</div>
								
								<div class="row"> 
									<div class="col-lg-3 input_field_sections">
										<h5>Category <span class="label_desc">(Autofill-Optional)</span></h5>
										<input type="text" class="form-control" autocomplete="off" id="autofill_cat" name="cat_title" list="cat_list" value="None" >
										<datalist id="cat_list">
										<?php 
										$categoriesRS = Run($conn,"select * from tbl_items_cat where status = '1' order by title asc");
										while($categoriesR = GetRow($categoriesRS)){
										?>
										<option><?php echo $categoriesR['title']; ?></option> 
										<?php } ?> 
										</datalist>
									</div>
									<div class="col-lg-3 input_field_sections">
										<h5>Brand <span class="label_desc">(Autofill-Optional)</span></h5>
										<input type="text" class="form-control" autocomplete="off" id="autofill_brand"  name="brand_title" list="brand_list" value="None" >
										<datalist id="brand_list">
										<?php 
										$brandsRS = Run($conn,"select * from tbl_brands where status = '1' order by title asc");
										while($brandsR = GetRow($brandsRS)){
										?>
										<option><?php echo $brandsR['title']; ?></option> 
										<?php } ?> 
										</datalist> 
									</div>
									<div class="col-lg-3 input_field_sections">
										<h5>Opening Stock <span class="label_desc">(Optional)</span></h5>
										<input type="number" class="form-control" min="0" value="0" step="any" name="opening_quantity" required="required" />
									</div>
									<div class="col-lg-3 input_field_sections">
										<h5>Unit Cost <span class="label_desc">(Optional)</span></h5>
										<input type="number" class="form-control" min="0" value="0" step="any" name="opening_unit_cost" required="required" />
									</div>
								</div>

								<div class="row">
									<div class="col-lg-6 input_field_sections">
									<button type="submit" class="btn btn-success"> Save</button>
									<button class="btn btn-warning" type="reset"> Reset</button>
									</div>
								</div>
							</form>
						</div>
					</div>
				</div>
			</div>
			<!-- /.outer --> 
		</div>
	</div>
	<!-- /#content --> 
</div>
<?php include 'Footer.php'; ?>