<?php 

require_once('sessionp.php');
require_once('includes/connection.php');
require_once('includes/functions.php');

$page		  = 'notes';
$module		= 'admin';
$range 	  	 = 'true';
$pageTitle 	 = 'Admin Notes';
$pageRole      = 'table'; 


$del = getValue('del');
if($del != '' && $del > 0){
Run($conn,"delete from tbl_notes where id = '$del'");  
redirect_to('notes','success','note-deleted');
}

include 'MasterTop.php';
include 'Top.php';
include 'SideBar.php';
?>
<style>
.buttons-print {
	border: 1px solid;
	padding: 5px 10px;
	border-radius: 3px;
}
</style>
<div id="content" class="bg-container"> 
	<?php include 'Header.php'; ?>
	<div class="modal fade" id="modal-note" role="dialog" aria-labelledby="modalLabelsuccess">
		<div class="modal-dialog" role="document">
			<div class="modal-content">
				<div class="modal-header bg-success">
					<h4 class="modal-title text-white" id="modalLabelsuccess">New Admin Note</h4>
				</div>
				<div class="modal-body" style="padding-top:0;">
				<form method="post" action="process/SaveNote">
					<input type="hidden" name="bcheck" value="true" />
					<div class="row">
						<div class="col-lg-12 input_field_sections"> 
						<h5>Note <span class="label_desc">(Required)</span></h5>
							<textarea autocomplete="off" class="form-control" name="details" ></textarea> 
						</div>
					</div>
					</div>
					<div class="modal-footer" style="text-align:left;">
						<button type="submit" class="btn btn-success">Save</button>
						<button class="btn btn-warning" data-dismiss="modal">Cancel</button>
					</div>
				</form>
			</div>
		</div>
	</div>
    <div class="inner bg-light lter bg-container">
        <div class="row">
            <div class="col-xs-12 data_tables"> 
                <!-- BEGIN EXAMPLE1 TABLE PORTLET-->
                <div class="card">
                    <div class="card-block" style="margin-top:60px;">
                        <table class="table table-striped table-bordered table-hover" id="sample_1">
                            <thead>
                                <tr>
                                    <th>#</th>
                                    <th>Date</th> 
                                    <th>Note</th> 
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php  
                                    $i = 1;
                                    $listRS = Run($conn, "select * from tbl_notes where post_date >= '$start_date' and post_date <= '$end_date' order by id desc");  
                                    while ($listR = GetRow($listRS)) { 
                                ?>
                                <tr>
                                    <td><?php echo $i++; ?></td>
                                    <td><?php echo $listR['post_date']; ?></td>
                                    <td 
                                        <?php if ($listR['status'] == 1) { echo 'class="text-success"'; } ?> 
                                        <?php if ($listR['status'] == 0) { echo 'class="text-danger"'; } ?> 
                                    >
                                        <?php echo $listR['details']; ?><br />
                                        <span class="label_desc"><?php echo date('l jS \of F Y h:i:s A', $listR['last_updated']); ?></span>
                                    </td>
                                    <td>
                                        <button class="btn btn-sm btn-raised btn-primary md-trigger adv_cust_mod_btn" data-toggle="modal" data-target="#modal-note-<?php echo $listR['id']; ?>">Edit</button>
                                        <div class="modal fade" id="modal-note-<?php echo $listR['id']; ?>" role="dialog" aria-labelledby="modalLabelsuccess">
                                            <div class="modal-dialog" role="document">
                                                <div class="modal-content">
                                                    <form method="post" action="process/UpdateNote">
                                                        <div class="modal-header bg-success">
                                                            <h4 class="modal-title text-white">Update Note</h4>
                                                        </div>
                                                        <div class="modal-body" style="padding-top:0;">
                                                            <input type="hidden" name="bcheck" value="true" />
                                                            <input type="hidden" name="note_id" value="<?php echo $listR['id']; ?>" />
                                                            <div class="row">
                                                                <div class="col-lg-12 input_field_sections"> 
                                                                    <h5>Note <span class="label_desc">(Required)</span></h5>
                                                                    <textarea class="form-control" name="details" style="width:80%"><?php echo $listR['details']; ?></textarea> 
                                                                </div>
                                                            </div>
                                                            <span class="label_desc">Last updated: <?php echo date('l jS \of F Y h:i:s A', $listR['last_updated']); ?></span>
                                                        </div>
                                                        <div class="modal-footer" style="text-align:left;">
                                                            <button type="submit" class="btn btn-success">Update</button>
                                                            <button class="btn btn-warning" data-dismiss="modal">Cancel</button>
                                                        </div>
                                                    </form>
                                                </div>
                                            </div>
                                        </div>
                                        <a href="notes?del=<?php echo $listR['id']; ?>" class="btn btn-raised btn-danger btn-sm md-trigger adv_cust_mod_btn" onclick="return confirm('Are you sure?');">Delete</a>
                                    </td>
                                </tr>
                                <?php } ?>
                            </tbody>
                        </table>
                    </div>
                </div>
                <!-- END EXAMPLE1 TABLE PORTLET--> 
            </div>
        </div>
        <!-- /.inner --> 
    </div>
<?php include 'ContentFooter.php'; ?> 
</div>
<?php include 'Footer.php'; ?> 
