<?php
$page = 'payablesummary';

require_once('sessionp.php');
require_once('includes/connection.php');
require_once('includes/functions.php');

$start_day   = '01';
$start_month = date("m");
$start_year  = date("Y");
$start_date = $start_year . '-' . $start_month . '-' . $start_day;
$end_date   = date("Y-m-d");
$date_check = getValue('date_check');
if ($date_check == 'true') {
    $start_date = getValue('date_from');
    $end_date   = getValue('date_to');
}
$register_date = date("Y-m-d");
$reg_date_check = getValue('reg_date_check');
if ($reg_date_check == 'true') {
    $register_date = getValue('register_date');
}


$module         = 'employees';
$range          = 'true';
$pageTitle   = 'Summary (' . $start_date . ' to ' . $end_date . ')';
$pageRole    = 'table';

include 'MasterTop.php';
include 'Top.php';
include 'SideBar.php';
?>
<style>
    .buttons-print {
        border: 1px solid;
        padding: 5px 10px;
        border-radius: 3px;
    }

    .btn-print {
        padding: 5px 10px;
        border-radius: 5px;
        font-size: 14px;
        transition: background-color 0.3s, color 0.3s;
    }

    .btn-print:hover {
        background-color: #28a745;
        color: white;
    }
</style>
<div id="content" class="bg-container">
    <?php include 'Header.php'; ?>
    <div class="outer">
        <div class="inner bg-light lter bg-container">
            <div class="row">
                <div class="col-lg-12" style="margin-bottom:10px;">
                    <div class="card">
                        <div class="card-header bg-white"> Summary
                            <a class="btn btn-outline-success btn-print" href="printpayablesummary.php?start_date=<?php echo $start_date; ?>&end_date=<?php echo $end_date; ?>" target="_blank" title="Print">Print</a>
                            Payable Amount
                            <a class="btn btn-outline-success btn-print" href="PayableAmountSummary" target="_blank" title="Print">Islamabad</a>
                            <a class="btn btn-outline-success btn-print" href="PayableAmountSummaryLHR" target="_blank" title="Print">Lahore</a>

                        </div>
                        <div class="card-block">
                            <div class="row">
                                <div class="col-lg-12" style="padding:10px;">
                                    <table class="table table-bordered table-hover">
                                        <tbody>
                                            <?php
                                            $result = mysqli_query($conn, "SELECT SUM(salary) as Servicesamount FROM tbl_services_calculations WHERE status='Active' and MONTH(post_date) = MONTH('$start_date') AND YEAR(post_date) = YEAR('$start_date') AND Transfer_Option='No'");
                                            if ($result) {
                                                $row = mysqli_fetch_assoc($result);
                                            } else {
                                                echo "Query Failed!";
                                            }
                                            ?>
                                            <tr>
                                                <td style="text-align:right;" width="50%">Total Net Payable</td>
                                                <td><?php
                                                    $grandPayableNet  = GetRow(Run($conn, "select sum(Payable) as grand_PayableNet from tbl_calculations where MONTH(post_date) = MONTH('$start_date') AND YEAR(post_date) = YEAR('$start_date') AND bank_transfer_option='No' "));
                                                    $grandPayableNetTotal   = $grandPayableNet['grand_PayableNet'] + $row['Servicesamount'];
                                                    echo number_format($grandPayableNetTotal);
                                                    ?>
                                                </td>
                                            </tr>
                                            <?php
                                            $resultO = mysqli_query($conn, "SELECT SUM(salary) as ServicesamountOnline FROM tbl_services_calculations WHERE status='Active' and MONTH(post_date) = MONTH('$start_date') AND YEAR(post_date) = YEAR('$start_date') AND Transfer_Option='Yes';");
                                            if ($resultO) {
                                                $rowO = mysqli_fetch_assoc($resultO);
                                            } else {
                                                echo "Query Failed!";
                                            }
                                            ?>
                                            <tr>
                                                <td style="text-align:right;" width="50%">Total Online Payable</td>
                                                <td><?php
                                                    $grandPayableOnline  = GetRow(Run($conn, "select sum(Payable) as grand_PayableOnline from tbl_calculations where MONTH(post_date) = MONTH('$start_date') AND YEAR(post_date) = YEAR('$start_date') AND bank_transfer_option='Yes' "));
                                                    $grandPayableOnlineTotal   = $grandPayableOnline['grand_PayableOnline'] + $rowO['ServicesamountOnline'];
                                                    echo number_format($grandPayableOnlineTotal);
                                                    ?>
                                                </td>
                                            </tr>
                                            <tr style="font-size: 16px;">
                                                <th style="text-align:right;">Grand Total</th>
                                                <th><?php
                                                    $grandGrand   = $grandPayableNetTotal + $grandPayableOnlineTotal;
                                                    echo number_format($grandGrand);
                                                    ?>
                                                </th>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-lg-12" style="margin-bottom:10px;">
                    <div class="card">
                        <div class="card-header bg-white"> Online Payable Salary</div>
                        <div class="card-block">
                            <div class="row">
                                <div class="col-lg-12" style="padding:10px;">
                                    <table class="table table-striped table-bordered table-hover">
                                        <thead>
                                            <tr>
                                                <th>id</th>
                                                <th>Name</th>
                                                <th>Designation</th>
                                                <th>Branch</th>
                                                <th>Basic Salary</th>
                                                <th>Per Day</th>
                                                <th>Payable Days</th>
                                                <th>Earned Salary</th>
                                                <th>Advance/ Food Bills</th>
                                                <th>Public Holidays Working Day/ Days</th>
                                                <th>Bonus</th>
                                                <th>OverTime</th>
                                                <th>Payable</th>
                                                <th>Bank Name - Account Number</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <?php
                                            $designationOrder = array(
                                                'Senior G. Manager' => 1,
                                                'G. Manager' => 2,
                                                'Senior Restaurant Manager' => 3,
                                                'Restaurant Manager' => 4,
                                                'Senior Assistant Manager' => 5,
                                                'Assistant Manager' => 6,
                                                'Senior Shift Manager' => 7,
                                                'Shift Manager' => 8,
                                                'Senior Shift Lead' => 9,
                                                'Shift Lead' => 10,
                                                'Senior Supervisor' => 11,
                                                'Supervisor' => 12,
                                                'Senior Order Taker' => 13,
                                                'Order Taker' => 14,
                                                'Senior Cashier' => 15,
                                                'Cashier' => 16,
                                                'Senior GRO' => 17,
                                                'GRO' => 18,
                                                'Senior Waiter' => 19,
                                                'Senior Server' => 19,
                                                'Waiter' => 20,
                                                'Server' => 20,
                                                'Senior Busser' => 21,
                                                'Busser' => 22,
                                                'Senior Executive Chef' => 23,
                                                'Executive Chef' => 24,
                                                'Senior Head Chef' => 25,
                                                'Head Chef' => 26,
                                                'Senior Sous Chef' => 27,
                                                'Sous Chef' => 28,
                                                'Senior CDP' => 29,
                                                'CDP' => 30,
                                                'Senior Demi' => 31,
                                                'Demi' => 32,
                                                'Senior Commis 1' => 33,
                                                'Commis 1' => 34,
                                                'Senior Commis 2' => 35,
                                                'Commis 2' => 36,
                                                'Senior Commis 3' => 37,
                                                'Commis 3' => 38,
                                                'Senior Food Runner' => 39,
                                                'Food Runner' => 40,
                                                'Senior Prep Cook' => 41,
                                                'Prep Cook' => 42,
                                                'Senior Helper Main Kitchen' => 43,
                                                'Helper Main Kitchen' => 44,
                                                'Senior Dishwasher Main Kitchen' => 45,
                                                'Dishwasher Main Kitchen' => 46,
                                                'Senior Intern Main Kitchen' => 47,
                                                'Intern Main Kitchen' => 48,
                                                'Senior Pastry Chef' => 49,
                                                'Pastry Chef' => 49,
                                                'Head Patissier' => 50,
                                                'Senior Pastry Sous Chef' => 51,
                                                'Pastry Sous Chef' => 52,
                                                'Senior Pastry Commis 1' => 53,
                                                'Pastry Commis 1' => 54,
                                                'Senior Pastry Commis 2' => 55,
                                                'Pastry Commis 2' => 56,
                                                'Senior Pastry Commis 3' => 57,
                                                'Pastry Commis 3' => 58,
                                                'Senior Helper Pastry' => 59,
                                                'Helper Pastry' => 60,
                                                'Senior Dishwasher Pastry' => 61,
                                                'Dishwasher Pastry' => 62,
                                                'Senior Intern Pastry' => 63,
                                                'Intern Pastry' => 64,
                                                'Senior Head Barista' => 65,
                                                'Head Barista' => 66,
                                                'Senior Deputy Barista' => 67,
                                                'Deputy Barista' => 68,
                                                'Senior Barista' => 69,
                                                'Barista' => 70,
                                                'Senior Helper Barista' => 71,
                                                'Helper Barista' => 72,
                                                'Senior Intern Barista' => 73,
                                                'Intern Barista' => 74,
                                                'Senior House Keeping' => 75,
                                                'House Keeping' => 76,
                                                'Senior Accountant' => 77,
                                                'Accountant' => 78,
                                                'Senior Building Admin' => 79,
                                                'Building Admin' => 80,
                                                'Senior Maintenance' => 81,
                                                'Maintenance' => 82,
                                                'Senior Purchaser' => 83,
                                                'Purchaser' => 84
                                            );

                                            $designationValues = array_map(function ($designation) {
                                                return "'$designation'";
                                            }, array_keys($designationOrder));

                                            $reportRS = Run($conn, "SELECT * FROM tbl_calculations WHERE MONTH(post_date) = MONTH('$start_date') AND YEAR(post_date) = YEAR('$start_date') AND bank_transfer_option='Yes' ORDER BY FIELD(designation, " . implode(', ', $designationValues) . ")");
                                            $i = 1;
                                            $totalPayable = 0; // Initialize a variable to store the sum of payable
                                            while ($reportR = GetRow($reportRS)) {
                                                $reportID = $reportR['id_emp'];
                                                $totalPayable += $reportR['Payable']; // Add the payable amount to the total
                                            ?>
                                                <tr>
                                                    <td><?php echo $reportID; ?></td>
                                                    <td><?php echo $reportR['Employee']; ?></td>
                                                    <td><?php echo $reportR['Designation']; ?></td>
                                                    <td><?php echo $reportR['branch']; ?></td>
                                                    <td><?php echo $reportR['Salary']; ?></td>
                                                    <td><?php echo number_format(($reportR['Salary'] / 30), 1); ?></td>
                                                    <td><?php echo number_format($reportR['Payable_Days'], 1); ?></td>
                                                    <td><?php echo number_format((($reportR['Salary'] / 30) * ($reportR['Payable_Days'])), 1); ?></td>
                                                    <td><?php echo $reportR['Advance']; ?></td>
                                                    <td><?php echo number_format($reportR['Bonus'] / ($reportR['Salary'] / 30), 1); ?></td>
                                                    <td><?php echo number_format($reportR['Bonus'], 1); ?></td>
                                                    <td><?php echo $reportR['OverTime']; ?></td>
                                                    <td><?php echo number_format($reportR['Payable'], 1); ?></td>
                                                    <td><?php echo $reportR['bank_name'] . " - " . $reportR['account_number']; ?></td>
                                                </tr>
                                            <?php } ?>
                                        </tbody>
                                        <tfoot>
                                            <tr>
                                                <th colspan="11" style="text-align: right; font-size: 16px; font-weight: bold;">Total Payable:</th>
                                                <td style="font-size: 16px; font-weight: bold;"><?php echo number_format($totalPayable, 1); ?></td>
                                            </tr>
                                        </tfoot>

                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-lg-12" style="margin-bottom:10px;">
                    <div class="card">
                        <div class="card-header bg-white"> Online Payable Services</div>
                        <div class="card-block">
                            <div class="row">
                                <div class="col-lg-12" style="padding:10px;">
                                    <table class="table table-striped table-bordered table-hover">
                                        <thead>
                                            <tr>
                                                <th>id</th>
                                                <th>Name</th>
                                                <th>Designation</th>
                                                <th>Branch</th>
                                                <th>Title Name</th>
                                                <th>Bank Name - Account</th>
                                                <th>Payable</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <?php
                                            $reportRS = Run($conn, "SELECT * FROM tbl_services_calculations WHERE status='Active' AND MONTH(post_date) = MONTH('$start_date') AND YEAR(post_date) = YEAR('$start_date') AND Transfer_Option='Yes'");
                                            $i = 1;
                                            $totalPayable = 0; // Initialize a variable to store the sum of payable
                                            while ($reportR = GetRow($reportRS)) {
                                                $reportID = $reportR['id_ser'];
                                                $totalPayable += $reportR['salary']; // Add the payable amount to the total
                                            ?>
                                                <tr>
                                                    <td><?php echo $reportID; ?></td>
                                                    <td><?php echo $reportR['name']; ?></td>
                                                    <td><?php echo $reportR['designation']; ?></td>
                                                    <td><?php echo $reportR['branch']; ?></td>
                                                    <td><?php echo $reportR['title']; ?></td>
                                                    <td><?php echo $reportR['bank_name'] . " - " . $reportR['account']; ?></td>
                                                    <td><?php echo number_format($reportR['salary'], 2); ?></td>
                                                </tr>
                                            <?php } ?>
                                        </tbody>
                                        <tfoot>
                                            <tr>
                                                <th colspan="5" style="text-align: right; font-size: 16px; font-weight: bold;">Total Payable:</th>
                                                <td style="font-size: 16px; font-weight: bold;"><?php echo number_format($totalPayable, 2); ?></td>
                                            </tr>
                                        </tfoot>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-lg-12" style="margin-bottom:10px;">
                    <div class="card">
                        <div class="card-header bg-white"> Net Payable Salary</div>
                        <div class="card-block">
                            <div class="row">
                                <div class="col-lg-12" style="padding:10px;">
                                    <table class="table table-striped table-bordered table-hover">
                                        <thead>
                                            <tr>
                                                <th>id</th>
                                                <th>Name</th>
                                                <th>Designation</th>
                                                <th>Branch</th>
                                                <th>Basic Salary</th>
                                                <th>Per Day</th>
                                                <th>Payable Days</th>
                                                <th>Earned Salary</th>
                                                <th>Advance/ Food Bills</th>
                                                <th>Public Holidays Working Day/ Days</th>
                                                <th>Bonus</th>
                                                <th>OverTime</th>
                                                <th>Payable</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <?php
                                            $designationOrder = array(
                                                'Senior G. Manager' => 1,
                                                'G. Manager' => 2,
                                                'Senior Restaurant Manager' => 3,
                                                'Restaurant Manager' => 4,
                                                'Senior Assistant Manager' => 5,
                                                'Assistant Manager' => 6,
                                                'Senior Shift Manager' => 7,
                                                'Shift Manager' => 8,
                                                'Senior Shift Lead' => 9,
                                                'Shift Lead' => 10,
                                                'Senior Supervisor' => 11,
                                                'Supervisor' => 12,
                                                'Senior Order Taker' => 13,
                                                'Order Taker' => 14,
                                                'Senior Cashier' => 15,
                                                'Cashier' => 16,
                                                'Senior GRO' => 17,
                                                'GRO' => 18,
                                                'Senior Waiter' => 19,
                                                'Senior Server' => 19,
                                                'Waiter' => 20,
                                                'Server' => 20,
                                                'Senior Busser' => 21,
                                                'Busser' => 22,
                                                'Senior Executive Chef' => 23,
                                                'Executive Chef' => 24,
                                                'Senior Head Chef' => 25,
                                                'Head Chef' => 26,
                                                'Senior Sous Chef' => 27,
                                                'Sous Chef' => 28,
                                                'Senior CDP' => 29,
                                                'CDP' => 30,
                                                'Senior Demi' => 31,
                                                'Demi' => 32,
                                                'Senior Commis 1' => 33,
                                                'Commis 1' => 34,
                                                'Senior Commis 2' => 35,
                                                'Commis 2' => 36,
                                                'Senior Commis 3' => 37,
                                                'Commis 3' => 38,
                                                'Senior Food Runner' => 39,
                                                'Food Runner' => 40,
                                                'Senior Prep Cook' => 41,
                                                'Prep Cook' => 42,
                                                'Senior Helper Main Kitchen' => 43,
                                                'Helper Main Kitchen' => 44,
                                                'Senior Dishwasher Main Kitchen' => 45,
                                                'Dishwasher Main Kitchen' => 46,
                                                'Senior Intern Main Kitchen' => 47,
                                                'Intern Main Kitchen' => 48,
                                                'Senior Pastry Chef' => 49,
                                                'Pastry Chef' => 49,
                                                'Head Patissier' => 50,
                                                'Senior Pastry Sous Chef' => 51,
                                                'Pastry Sous Chef' => 52,
                                                'Senior Pastry Commis 1' => 53,
                                                'Pastry Commis 1' => 54,
                                                'Senior Pastry Commis 2' => 55,
                                                'Pastry Commis 2' => 56,
                                                'Senior Pastry Commis 3' => 57,
                                                'Pastry Commis 3' => 58,
                                                'Senior Helper Pastry' => 59,
                                                'Helper Pastry' => 60,
                                                'Senior Dishwasher Pastry' => 61,
                                                'Dishwasher Pastry' => 62,
                                                'Senior Intern Pastry' => 63,
                                                'Intern Pastry' => 64,
                                                'Senior Head Barista' => 65,
                                                'Head Barista' => 66,
                                                'Senior Deputy Barista' => 67,
                                                'Deputy Barista' => 68,
                                                'Senior Barista' => 69,
                                                'Barista' => 70,
                                                'Senior Helper Barista' => 71,
                                                'Helper Barista' => 72,
                                                'Senior Intern Barista' => 73,
                                                'Intern Barista' => 74,
                                                'Senior House Keeping' => 75,
                                                'House Keeping' => 76,
                                                'Senior Accountant' => 77,
                                                'Accountant' => 78,
                                                'Senior Building Admin' => 79,
                                                'Building Admin' => 80,
                                                'Senior Maintenance' => 81,
                                                'Maintenance' => 82,
                                                'Senior Purchaser' => 83,
                                                'Purchaser' => 84
                                            );
                                            $designationValues = array_map(function ($designation) {
                                                return "'$designation'";
                                            }, array_keys($designationOrder));
                                            $reportRS = Run($conn, "SELECT * FROM tbl_calculations WHERE id_emp NOT IN (121, 122) AND MONTH(post_date) = MONTH('$start_date') AND YEAR(post_date) = YEAR('$start_date') AND bank_transfer_option NOT IN ('Yes') ORDER BY FIELD(designation, " . implode(', ', $designationValues) . ")");
                                            $i = 1;
                                            $totalPayable = 0; // Initialize a variable to store the sum of payable
                                            while ($reportR = GetRow($reportRS)) {
                                                $reportID = $reportR['id_emp'];
                                                $totalPayable += $reportR['Payable']; // Add the payable amount to the total
                                            ?>
                                                <tr>
                                                    <td><?php echo $reportID; ?></td>
                                                    <td><?php echo $reportR['Employee']; ?></td>
                                                    <td><?php echo $reportR['Designation']; ?></td>
                                                    <td><?php echo $reportR['branch']; ?></td>
                                                    <td><?php echo $reportR['Salary']; ?></td>
                                                    <td><?php echo number_format(($reportR['Salary'] / 30), 1); ?></td>
                                                    <td><?php echo number_format($reportR['Payable_Days'], 1); ?></td>
                                                    <td><?php echo number_format((($reportR['Salary'] / 30) * ($reportR['Payable_Days'])), 1); ?></td>
                                                    <td><?php echo $reportR['Advance']; ?></td>
                                                    <td><?php echo number_format($reportR['Bonus'] / ($reportR['Salary'] / 30), 1); ?></td>
                                                    <td><?php echo number_format($reportR['Bonus'], 1); ?></td>
                                                    <td><?php echo $reportR['OverTime']; ?></td>
                                                    <td><?php echo number_format($reportR['Payable'], 1); ?></td>
                                                </tr>
                                            <?php } ?>
                                        </tbody>
                                        <tfoot>
                                            <tr>
                                                <th colspan="11" style="text-align: right; font-size: 16px; font-weight: bold;">Total Payable:</th>
                                                <td style="font-size: 16px; font-weight: bold;"><?php echo number_format($totalPayable, 2); ?></td>
                                            </tr>
                                        </tfoot>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-lg-12" style="margin-bottom:10px;">
                    <div class="card">
                        <div class="card-header bg-white"> Net Payable Services <a class="btn btn-outline-success btn-print" href="printpayableService.php?start_date=<?php echo $start_date; ?>&end_date=<?php echo $end_date; ?>" target="_blank" title="Print">Print</a></div>
                        <div class="card-block">
                            <div class="row">
                                <div class="col-lg-12" style="padding:10px;">
                                    <table class="table table-striped table-bordered table-hover">
                                        <thead>
                                            <tr>
                                                <th>id</th>
                                                <th>Name</th>
                                                <th>Designation</th>
                                                <th>Branch</th>
                                                <th>Payable</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <?php
                                            $reportRS = Run($conn, "SELECT * FROM tbl_services_calculations WHERE status='Active' and MONTH(post_date) = MONTH('$start_date') AND YEAR(post_date) = YEAR('$start_date') AND Transfer_Option NOT IN ('Yes')");
                                            $i = 1;
                                            $totalPayable = 0; // Initialize a variable to store the sum of payable
                                            while ($reportR = GetRow($reportRS)) {
                                                $reportID = $reportR['id_ser'];
                                                $totalPayable += $reportR['salary']; // Add the payable amount to the total
                                            ?>
                                                <tr>
                                                    <td><?php echo $reportID; ?></td>
                                                    <td><?php echo $reportR['name']; ?></td>
                                                    <td><?php echo $reportR['designation']; ?></td>
                                                    <td><?php echo $reportR['branch']; ?></td>
                                                    <td><?php echo number_format($reportR['salary'], 2); ?></td>
                                                </tr>
                                            <?php } ?>
                                        </tbody>
                                        <tfoot>
                                            <tr>
                                                <th colspan="3" style="text-align: right; font-size: 16px; font-weight: bold;">Total Payable:</th>
                                                <td style="font-size: 16px; font-weight: bold;"><?php echo number_format($totalPayable, 2); ?></td>
                                            </tr>
                                        </tfoot>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<?php include 'Footer.php'; ?>