<?php 

$page		  = 'supplierStore';

require_once('sessionp.php');
require_once('checkAccountsSession.php');

require_once('includes/connection.php');
require_once('includes/functions.php');

$ID		     = $_GET['id'];
$bcheck 	 = $_POST['bcheck'];

$listR   = GetRow(Run($conn,"select * from tbl_suppliers where status = '1' and id = $ID"));
$Credit = GetRow(Run($conn, "SELECT sum(cr) as cr, sum(dr) as dr FROM tbl_purchases WHERE supplier_id = '$ID' ORDER BY id DESC LIMIT 1;"));
$CreditBalance = $Credit['cr'] - $Credit['dr'];

$module          = 'Demand';
$pageTitle       = $listR['title'] . ' Total Credit PKR-' . number_format($CreditBalance, 0); 
$pageTitl 	   = $listR['title'];

$register_date = date("Y-m-d");
$reg_date_check = getValue('preg_date_check');
if($reg_date_check == 'true')
{
	$register_date = getValue('register_date'); 
}
$businessDay =  date('l jS \of F Y', strtotime($register_date)); 	
$DayTitle 	= $businessDay;

?>
<!DOCTYPE html>
<html>
<head>
    <title>Employee Information</title>
    <style>
        /* Add your custom CSS styles here */
        body {
            font-family: Arial, sans-serif;
            margin: 0;
            padding: 0;
            display: flex;
            justify-content: center;
            align-items: center;
            min-height: 100vh;
            background-color: #f2f2f2;
        }

        .info-container {
            width: 80%;
            max-width: 1200px;
            padding: 10px;
            border-radius: 10px;
            background-color: #ffffff;
            box-shadow: 0 0 20px rgba(0, 0, 0, 0.2);
        }

        .header {
            text-align: center;
            margin-bottom: 10px;
        }

        .header h1 {
            font-size: 36px;
            color: #333;
            margin-bottom: 5px;
        }

        .header p {
            font-size: 20px;
            color: #777;
        }

        .content {
            text-align: center; /* Align content to the left */
        }

        table {
            width: 100%;
            border-collapse: collapse;
            margin-top: 5px;
            border: 1px solid #ddd;
            table-layout: fixed; /* Prevent cell content from breaking across pages */
        }

        th, td {
            padding: 10px;
            text-align: center;
            border-bottom: 1px solid #ddd;
            font-size: 16px;
            word-wrap: break-word; /* Allow long words to wrap within cells */
        }

        th {
            background-color: #f2f2f2;
            font-size: 22px; /* Increased font size for table headers */
            text-transform: uppercase; /* Uppercase table headers */
        }

        td {
            font-size: 20px; /* Font size for table data */
            text-align: center; /* Align text to the left within table data cells */
        }

        p {
            font-size: 18px;
            text-align: center;
            margin-top: 18px;
            color: #444;
        }

        .promo {
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;
            margin-top: 10px;
            background-color: #ff9800;
            color: #fff;
            padding: 2px;
            border-radius: 10px;
        }

        @media print {
            body {
                -webkit-print-color-adjust: exact; /* Enable background colors in print */
                background-color: #fff; /* Set a white background for printing */
            }
        }
    </style>
</head>
<body>
    <div class="info-container">
        <div class="header">
            <h1>Bistro Noir</h1>
            <h1>Unit 3 Gol Market St 4 F-7/3 Islamabad</h1>
            <p><?php echo $pageTitle; ?></p>
        </div>
        <div class="content">
            <table class="table table-striped table-bordered table-hover" id="sample_1">
                <thead>
                    <tr>
                        <th style="width: 30px; height: 50px">#</th>
                        <th style="width: 30px; height: 50px">Sections</th>
                        <th style="width: 30px; height: 50px">Products</th>
                        <th style="width: 30px; height: 50px">Demand</th>
                    </tr>
                </thead>
                <tbody>
                    <?php
                    $n = 1;
                    $ProductDemand  = Run($conn, "SELECT DISTINCT tbl_demand_record.id
                                        FROM tbl_demand_record
                                        WHERE tbl_demand_record.status  = '0'
                                        AND  tbl_demand_record.Vendor   = 'Vendor'
                                        AND  tbl_demand_record.quantity > '0'
                                        AND tbl_demand_record.supplier  = '$pageTitl' order by brand_id ASC;");

                    while ($DemandR  = GetRow($ProductDemand)) {
                        $ProductID       = $DemandR['id'];
                        $Details         = GetRow(Run($conn, "SELECT sum(quantity) as total_order FROM tbl_demand_record
                                        WHERE id = '$ProductID' and status = '0' and Vendor = 'Vendor'"));
                        $supplierID	     = GetRow(Run($conn, "SELECT id FROM tbl_suppliers
                                        WHERE title = '$pageTitl';"));
                        $unitID          = GetRow(Run($conn, "select unit FROM tbl_items
                                        WHERE id = '$ProductID'"));
                        $Brand_id          = GetRow(Run($conn, "select brand_id FROM tbl_demand_record
                                        WHERE id = '$ProductID'"));
                    ?>
                        <tr>
                            <form method="post" action="process/DeleteDemand">
                                <input type="hidden" name="bcheck" value="true" />
                                <input type="hidden" name="id" value="<?php echo $ProductID; ?>" />
                                <input type="hidden" name="supplier" value="<?php echo $supplierID['id']; ?>" />
                                <td style="width: 30px; height: 40px"><?php echo $n++; ?></td>
                                <td style="width: 30px; height: 40px"><?php $Section  = showTitle($conn, 'tbl_brands', $Brand_id['brand_id']); echo $Section; ?></td>
                                <td style="width: 30px; height: 40px"><?php $Products = showTitle($conn, 'tbl_items', $DemandR['id']); echo $Products; ?></td>
                                <td style="width: 30px; height: 40px"><?php echo $Details['total_order']; echo ' <span class="small">' . showTitle($conn, 'tbl_units', $unitID['unit']) . '</span>'; ?></td>
                            </form>
                        </tr>
                    <?php } ?>
                </tbody>
            </table>
            <div class="promo">
                <h3>Supply with Confidence, Grow with Bistro Noir!</h3>
                <h2>Ensuring Quality and Quantity for a Secure Partnership</h2>
                <p>We appreciate your commitment to supplying us with top-quality products. Your dedication to excellence ensures our customers receive the best.</p>
            </div>
            <div style="margin-top: 120px; color: black;">
                <h3>Vendor:____________________&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Bistro Noir:________________________</h3>
            </div>
        </div>
    </div>
</body>

</html>
<script>
    window.onload = function() {
        window.print();
    }
</script>