<?php
require_once('sessionp.php');
require_once('includes/connection.php');
require_once('includes/functions.php');  

    $start_date = $_GET['start_date'];
    $end_date = $_GET['end_date'];


$module	     = 'reports';
$range 	     = 'true';
$pageTitle   = 'Report ('.$start_date.' to '.$end_date.')';
$pageRole    = 'table';

?>
<style>
    .centerCanvas {
        display: block;
        margin: 0 auto;
    }

    .body {
        background-color: #FFFFFF;
        color: #000000;
        font-family: Arial, Helvetica, sans-serif;
        font-size: 12px;
    }

    .custom-styling {
        font-size: 40px;
        font-weight: bold;
        font-family: Arial, sans-serif;
        color: black;
    }

    .table-container {
        width: 100%;
    }

    .table-container table {
        width: 30%;
        float: left;
        margin-right: 5px; /* Adjust the space between tables by changing this value */
    }

    .table-container table:nth-child(2) {
        width: 68%;
        margin-left: 5px; /* Adjust the space between tables by changing this value */
    }
</style>
<body class="body">
    <?php include 'MasterTop.php'; ?>
    <div class="container">
        <div class="row">
            <?php if($user_type == 1 || $user_type == 3): ?>
            <div class="col-lg-12" style="margin-top:10px; padding: 25px;">
                <table class="table table-striped table-bordered table-hover print">
                    <thead>
                        <tr>
                            <th colspan="2"><?php echo $pageTitle; ?></th>
                        </tr>
                    </thead>
                    <tbody>
					<tr>
						<td style="text-align:right;" width="50%">Total Net Sales</td>
						<td><?php  
			            $grandSaleR  = GetRow(Run($conn,"select sum(total_amount) as grand_sale, sum(tax_amount) as grand_tax , sum(delivery_charges) as grand_delivery, sum(service_charges) as grand_service, sum(discount) as grand_discount, sum(grand_total) as grand_grand, sum(amount_received) as grand_received from tbl_sales where status=1 and post_date >= '$start_date' AND post_date <= '$end_date' "));
			            $grandSale   = $grandSaleR['grand_sale'];
			            echo number_format($grandSale); 
			            ?></td>
					</tr>
						<tr>
						<td style="text-align:right;">Tax (Rs)</td>
						<td><?php  
			            $grandTax   = $grandSaleR['grand_tax'];
			            echo number_format($grandTax);
			            ?></td>
					</tr>
					<tr>
						<td style="text-align:right;">Tax 15% (Rs)</td>
						<td><?php  
			            $grandTax15   = $grandSaleR['grand_service'];
			            echo number_format($grandTax15);
			            ?></td>
					</tr>
					<tr>
					    <td style="text-align:right;">Tax 5% (Rs)</td>
						<td><?php  
			            $grandTax5   = $grandSaleR['grand_discount'];
			            echo number_format($grandTax5);
			            ?></td>
					</tr>
					<tr>
						<td style="text-align:right;">Discount (Rs)</td>
						<td><?php  
		               	$grandDelivery   = $grandSaleR['grand_delivery'];
			            echo number_format($grandDelivery);
			            ?></td>
					</tr>
			        <tr style="font-size: 16px;" >
						<th style="text-align:right;">Grand Total</th>
						<th><?php  
		             	$grandGrand   = $grandSaleR['grand_sale']+$grandSaleR['grand_tax']-$grandSaleR['grand_delivery']+$grandTax15+$grandTax5;
		            	echo number_format($grandGrand);
		            	?></th>
					</tr>
					<tr style="font-size: 16px;" >
						<th style="text-align:right;">Cash</th>
						<th><?php 
			            $grandReceived   = $grandSaleR['grand_received']; 
			            $customersBalance   = $grandGrand - $grandReceived;
			            echo number_format($customersBalance);
			            ?></th>
					</tr>
					<tr style="font-size: 16px;" >
						<th style="text-align:right;">Bank</th>
						<th><?php  
			            echo number_format($grandReceived);
			            ?></th>
					</tr> 
                    <tr>
					    <td colspan="2"> &nbsp; </td> 
					</tr>											
					<tr style="font-size: 16px;" >
						<th style="text-align:right;">Actual Cash:</th>
						<th><?php  
			            $Cashier  = GetRow(Run($conn,"select sum(owner) as grand_owner, sum(hr) as grand_hr , sum(given) as grand_given, sum(till) as grand_till, sum(advance) as grand_advance, sum(hand) as grand_hand, sum(purchase) as grand_purchase, sum(tip) as grand_tip from tbl_expenses where status=1 and post_date >= '$start_date' AND post_date <= '$end_date' "));
			            $grandhand = $Cashier['grand_hand']; 
			            echo number_format($grandhand);
			            ?></th>
					</tr> 
                    </tbody>
                </table>
            </div>
            <?php endif; ?>
        </div>
    </div>
        <div class="row">
            <div class="card" style="margin-top:0px; padding: 25px;">
                <div class="card-block" style="margin-top:20px; padding: 20px;">
						    <?php 
                            $i = 1;
                            $totalFoodSupplierCost = 0.0;
                            $totalFoodTransportExp = 0.0;
                            $purchasesFoodRS = Run($conn, "SELECT * FROM tbl_pur_items WHERE category_id IN (1,2,3,4,5,6) AND status = '1' AND post_date >= '$start_date' AND post_date <= '$end_date' ORDER BY brand_id DESC");
                            while($purchasesR = GetRow($purchasesFoodRS)){
                            ?>
                            <?php 
                            $i++; 
                            $totalFoodSupplierCost += $purchasesR['supplier_cost'];
                            if ($purchasesR['transport_type'] != 1) {
                                $totalFoodTransportExp += $purchasesR['transport_exp'];
                            }
                            } 
                            ?>
                            <?php 
                            $i = 1;
                            $totalNonFoodSupplierCost = 0.0;
                            $totalNonFoodTransportExp = 0.0;
                            $purchasesNonFoodRS = Run($conn, "SELECT * FROM tbl_pur_items WHERE category_id NOT IN (1,2,3,4,5,6) AND status = '1' AND post_date >= '$start_date' AND post_date <= '$end_date' ORDER BY brand_id DESC");
                            while($purchasesR = GetRow($purchasesNonFoodRS)){
                            ?>
                            <?php 
                            $i++; 
                            $totalNonFoodSupplierCost += $purchasesR['supplier_cost'];
                            if ($purchasesR['transport_type'] != 1) {
                                $totalNonFoodTransportExp += $purchasesR['transport_exp'];
                            }
                            } 
                            ?>
                    <div class="col-xs-12 data_tables custom-font-size">
                        <h3>From the date <strong><?= $start_date ?></strong> To <strong><?= $end_date ?></strong>, Food expenses were recorded in categories like Cold Beverages, Dry Groceries, Chicken, Meat & Beef, Vegetables & Fruits, and Sea Food.</h3>
					<div class="col-xs-12" style="margin-top:3px; padding: 10px;">
                      <!-- Your content goes here -->
                    </div>	                        
						<?php 
                        // Fetch the list of brand IDs that match the condition
                        $query = "SELECT DISTINCT brand_id FROM tbl_pur_items WHERE category_id IN (1,2,3,4,5,6) ORDER BY brand_id ASC";
                        $result = Run($conn, $query);

                        // Initialize an array to store brand IDs
                        $brandIds = [];

                        // Extract and store the brand IDs
                        while ($row = GetRow($result)) {
                            $brandIds[] = $row['brand_id'];
                        }

                        // Initialize the expenses array
                        $expenses = [];

                        // Loop through each brand and fetch the corresponding value using the brand ID
                        foreach ($brandIds as $brandId) {
                            $query = "SELECT sum(total_cost) AS totalValue FROM tbl_pur_items WHERE category_id IN (1,2,3,4,5,6) AND brand_id = '$brandId' and post_date >= '$start_date' AND post_date <= '$end_date'";
                            $value = number_format(GetRow(Run($conn, $query))['totalValue'], 0);
                            
                            // Fetch the brand title using showTitle function
                            $brandTitle = showTitle($conn, 'tbl_brands', $brandId);
                            
                            // Create the expense entry
                            $expenseEntry = [
                                "title" => "$brandTitle",
                                "value" => $value
                            ];
                            
                            // Add the expense entry to the expenses array
                            $expenses[] = $expenseEntry;
                        }
                        ?>
                        <?php foreach($expenses as $expense): ?>
                            <?php if($expense["value"] >= 1): ?>
                                <h4>The food expenditure related to <strong><?= $expense["title"] ?></strong> amounted to <strong>PKR <?= $expense["value"] ?></strong>.</h4>
                            <?php endif; ?>
                        <?php endforeach; ?>
                    </div>
					<div class="col-xs-12" style="margin-top:3px; padding: 10px;">
                      <!-- Your content goes here -->
                    </div>						
                    <canvas id="expensesChart" class="centerCanvas" width="800" height="300"></canvas>
                    <script src="https://cdn.jsdelivr.net/npm/chart.js"></script>
                    <script>
                        // Data for the chart
                        let labels = [];
                        let data = [];
                        let backgroundColors = [];
                        let borderColors = [];

                        // Generate random colors
                        function randomColor(opacity) {
                            return `rgba(${Math.floor(Math.random() * 256)}, ${Math.floor(Math.random() * 256)}, ${Math.floor(Math.random() * 256)}, ${opacity})`;
                        }

                        <?php foreach($expenses as $expense): ?>
                            <?php if($expense["value"] >= 1): ?>
                                labels.push("<?= $expense["title"] ?> - <?= $expense["value"] ?>");
                                data.push(<?= str_replace(',', '', $expense["value"]) ?>); // Remove commas to convert to a number
                                backgroundColors.push(randomColor(0.5));
                                borderColors.push(randomColor(1));
                            <?php endif; ?>
                        <?php endforeach; ?>

                        // Create the chart
                        let ctx = document.getElementById('expensesChart').getContext('2d');
                        let myChart = new Chart(ctx, {
                            type: 'bar',
                            data: {
                                labels: labels,
                                datasets: [{
                                    label: 'Total Cost: <?= $totalFoodSupplierCost ?>', // Keep the total cost value
                                    data: data,
                                    backgroundColor: backgroundColors,
                                    borderColor: borderColors,
                                    borderWidth: 1,
                                    hoverBorderWidth: 2,
                                    hoverBorderColor: borderColors.map(color => color.replace('0.5', '1'))
                                }]
                            },
                            options: {
                                responsive: false, // Disable responsiveness
                                maintainAspectRatio: false, // Disable aspect ratio maintenance
                                scales: {
                                    y: {
                                        beginAtZero: true,
                                        ticks: {
                                            fontColor: "black",
                                            fontSize: 24
                                        }
                                    },
                                    x: {
                                        ticks: {
                                            fontColor: "black",
                                            fontSize: 24
                                        }
                                    }
                                },
                                legend: {
                                    labels: {
                                        fontColor: "black",
                                        fontSize: 24
                                    }
                                },
                                plugins: {
                                    tooltip: {
                                        backgroundColor: 'rgba(0, 0, 0, 0.8)',
                                        titleFontColor: 'white',
                                        bodyFontColor: 'white',
                                        footerFontColor: 'white'
                                    }
                                }
                            }
                        });
                    </script>
					<div class="col-xs-12" style="margin-top:3px; padding: 10px;">
                      <!-- Your content goes here -->
                    </div>	
					<div class="col-xs-12 data_tables custom-font-size">
					    <h4>
                            The overall food expenses <strong>PKR <?= number_format($totalFoodSupplierCost,0); ?></strong>. This includes all categories of food. Conversely, the non-food related expenses are <strong>PKR <?= number_format($totalNonFoodSupplierCost,0); ?></strong>, capturing all other expenses excluding food                      
                            Summarily, the total expenses, covering both food and non-food items, From the date <strong><?= $start_date ?></strong> To <strong><?= $end_date ?></strong> equal <strong>PKR <?= number_format($totalFoodSupplierCost + $totalNonFoodSupplierCost,0); ?></strong>.
                        </h4>
					</div>	
					<div class="col-xs-12" style="margin-top:5px; padding: 10px;">
                      <!-- Your content goes here -->
                    </div>				
                    <!-- Table Container -->
                    <div class="table-container">
                        <!-- First Table -->						
                        <table class="table table-striped table-bordered table-hover print">
                            <thead>
                                <tr>
                                    <th>id</th>
                                    <th style="font-size: 15px; font-weight: bold;">Categories</th>
                                    <th>Total</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php
                                $result_cat = mysqli_query($conn, "SELECT * FROM tbl_items_cat ORDER BY id ASC");
                                while ($row_cat = mysqli_fetch_array($result_cat)) {
                                    echo "<tr>";
                                    echo "<td>" . $row_cat['id'] . "</td>";
                                    echo "<td>" . $row_cat['title'] . "</td>";
                                    $total_sum = 0;
                                    $Total_sectionR = mysqli_query($conn, "SELECT* FROM tbl_brands ORDER BY id ASC");
                                    while ($Total_section = mysqli_fetch_array($Total_sectionR)) {
                                        $Totalbrand_id = $Total_section['id'];
                                        $Totalcategory_id = $row_cat['id'];
                                        $TotalpurchasesR = mysqli_query($conn, "SELECT sum(total_cost) as total_cost FROM tbl_pur_items WHERE brand_id = $Totalbrand_id and category_id = $Totalcategory_id AND status = '1' AND post_date >= '$start_date' AND post_date <= '$end_date'");
                                        $Total_purchasesR = mysqli_fetch_array($TotalpurchasesR);
                                        $total_sum += $Total_purchasesR['total_cost'];
                                    }
                                    echo '<td style="font-size: 15px; font-weight: bold;">' . number_format($total_sum, 1) . '</td>';
                                    echo "</tr>";
                                }
                                ?>
                            </tbody>
                            <tfoot style="text-align: right; font-weight: bold; font-size: 18px;">
                                <tr>
                                    <td colspan="2">Total</td>
                                    <?php
                                    $Totalresult_section = mysqli_query($conn, "SELECT * FROM tbl_brands");
                                    $Totaloverall_sum = 0;
                                    while ($Totalrow_section = mysqli_fetch_array($Totalresult_section)) {
                                        $brand_id = $Totalrow_section['id'];
                                        $TotaltotalPurchasesR = mysqli_query($conn, "SELECT sum(total_cost) as total_cost FROM tbl_pur_items WHERE brand_id = $brand_id AND status = '1' AND post_date >= '$start_date' AND post_date <= '$end_date'");
                                        $Totalrow_totalPurchasesR = mysqli_fetch_array($TotaltotalPurchasesR);
                                        $Totaloverall_sum += $Totalrow_totalPurchasesR['total_cost'];
                                    }
                                    echo '<td style="text-align:left;">' . number_format($Totaloverall_sum, 1) . '</td>';
                                    ?>
                                </tr>
                            </tfoot>
                        </table>

                        <!-- Second Table -->
                        <table class="table table-striped table-bordered table-hover print">
                            <thead>
                                <tr>
                                    <?php
                                    $result_section = mysqli_query($conn, "SELECT * FROM tbl_brands ORDER BY id ASC");
                                    while ($row_section = mysqli_fetch_array($result_section)) {
                                        echo '<th style="font-size: 15px; font-weight: bold;">' . $row_section['title'] . '</th>';
                                    }
                                    ?>
                                </tr>
                            </thead>
                            <tbody>
                                <?php
                                $result_cat = mysqli_query($conn, "SELECT * FROM tbl_items_cat ORDER BY id ASC");
                                while ($row_cat = mysqli_fetch_array($result_cat)) {
                                    echo "<tr>";
                                    $category_id = $row_cat['id'];
                                    $row_sum = 0; // Initialize sum for each category
                                    $result_section = mysqli_query($conn, "SELECT * FROM tbl_brands ORDER BY id ASC");
                                    while ($row_section = mysqli_fetch_array($result_section)) {
                                        $brand_id = $row_section['id'];
                                        $purchasesR = mysqli_query($conn, "SELECT sum(total_cost) as total_cost FROM tbl_pur_items WHERE brand_id = $brand_id and category_id = $category_id AND status = '1' AND post_date >= '$start_date' AND post_date <= '$end_date'");
                                        $row_purchasesR = mysqli_fetch_array($purchasesR);
                                        $row_sum += $row_purchasesR['total_cost'];
                                        echo '<td style="text-align:left;">' . number_format($row_purchasesR['total_cost'], 1) . '</td>';
                                    }
                                    echo "</tr>";
                                }
                                ?>
                            </tbody>
                            <tfoot style="text-align: right; font-weight: bold; font-size: 18px;">
                                <tr>
                                    <?php
                                    $result_brands = mysqli_query($conn, "SELECT * FROM tbl_brands ORDER BY id ASC");
                                    $overall_sum = 0;
                                    while ($row_brand = mysqli_fetch_array($result_brands)) {
                                        $brand_id = $row_brand['id'];
                                        $totalPurchasesR = mysqli_query($conn, "SELECT sum(total_cost) as total_cost FROM tbl_pur_items WHERE brand_id = $brand_id AND status = '1' AND post_date >= '$start_date' AND post_date <= '$end_date'");
                                        $row_totalPurchasesR = mysqli_fetch_array($totalPurchasesR);
                                        $overall_sum += $row_totalPurchasesR['total_cost'];
                                        echo '<td style="text-align:left;">' . number_format($row_totalPurchasesR['total_cost'], 1) . '</td>';
                                    }
                                    ?>
                                </tr>
                            </tfoot>
                        </table>
                    </div>
                </div>
            </div>
        </div>	
    <script src="https://cdn.jsdelivr.net/npm/chart.js"></script>
    <style>
        /* Add a style block for CSS */
        #myChart {
            font-weight: bold; /* Make the category labels bold */
        }
    </style>
    <?php
    // Initialize arrays to store data for the chart
    $chartCategories = [];
    $chartTotals = [];

    $result_cat = mysqli_query($conn, "SELECT * FROM tbl_items_cat ORDER BY id ASC");
    while ($row_cat = mysqli_fetch_array($result_cat)) {
        $chartCategories[] = $row_cat['title'];

        $total_sum = 0;
        $Total_sectionR = mysqli_query($conn, "SELECT * FROM tbl_brands ORDER BY id ASC");
        while ($Total_section = mysqli_fetch_array($Total_sectionR)) {
            $Totalbrand_id = $Total_section['id'];
            $Totalcategory_id = $row_cat['id'];
            $TotalpurchasesR = mysqli_query($conn, "SELECT sum(total_cost) as total_cost FROM tbl_pur_items WHERE brand_id = $Totalbrand_id and category_id = $Totalcategory_id AND status = '1' AND post_date >= '$start_date' AND post_date <= '$end_date'");
            $Total_purchasesR = mysqli_fetch_array($TotalpurchasesR);
            $total_sum += $Total_purchasesR['total_cost'];
        }

        $chartTotals[] = $total_sum;
    }
    ?>

    <canvas id="myChart" class="centerCanvas" width="1200" height="400"></canvas>
    <script>
        document.addEventListener('DOMContentLoaded', function () {
            // Fetch the data from the PHP variables and prepare it for the chart
            var categories = <?php echo json_encode($chartCategories); ?>;
            var totals = <?php echo json_encode($chartTotals); ?>;

            // Define a gradient of colors
            var colors = generateGradientColors(totals.length);

            // Create the vertical bar chart
            var ctx = document.getElementById('myChart').getContext('2d');
            var myChart = new Chart(ctx, {
                type: 'bar',
                data: {
                    labels: categories,
                    datasets: [{
                        label: 'Total',
                        data: totals,
                        backgroundColor: colors,
                        borderColor: 'rgba(75, 192, 192, 1)',
                        borderWidth: 1
                    }]
                },
                options: {
                    scales: {
                        x: {
                            beginAtZero: true,
                            ticks: {
                                maxRotation: 90, // Rotate the labels at a 90-degree angle
                                minRotation: 90
                            }
                        },
                        y: {
                            beginAtZero: true
                        }
                    },
                    barPercentage: 0.7, // Adjust the width of the bars (0.7 means 70% of the available space)
                    categoryPercentage: 0.8 // Adjust the space between the bars (0.8 means 80% of the available space)
                }
            });

            // Function to generate a gradient of colors
            function generateGradientColors(count) {
                var gradientColors = [];
                for (var i = 0; i < count; i++) {
                    var color = 'rgba(' + getRandomInt(0, 255) + ', ' + getRandomInt(0, 255) + ', ' + getRandomInt(0, 255) + ', 0.8)';
                    gradientColors.push(color);
                }
                return gradientColors;
            }

            // Function to generate a random integer between min and max (inclusive)
            function getRandomInt(min, max) {
                return Math.floor(Math.random() * (max - min + 1)) + min;
            }
        });
    </script>		
    <div class="col-xs-12 data_tables">
        <div class="card">
            <div class="card-block" style="margin-top:5px; padding: 20px;">
                <?php
                $HeaderIDR = Run($conn, "SELECT DISTINCT category_id FROM `tbl_pur_items` WHERE post_date >= '$start_date' AND post_date <= '$end_date' ORDER BY `tbl_pur_items`.`category_id` ASC");

                foreach ($HeaderIDR as $HeaderIDRow) {
                    $HeaderID = $HeaderIDRow['category_id'];
                    $Header = showtitle($conn, 'tbl_items_cat', $HeaderID);
                    echo "<h2 style='text-align:left;'>$Header</h2>";

                    // Get data for the current category
                    $Data = Run($conn, "SELECT * FROM tbl_pur_items WHERE category_id = $HeaderID AND status = '1' AND post_date >= '$start_date' AND post_date <= '$end_date' ORDER BY brand_id ASC");

                    echo "<table style='font-size:14px; width:100%;' class='table table-striped table-bordered table-hover print'>";
                    echo "<thead style='background-color: #f9f9f9;'>";
                    echo "<tr>";
                    echo "<th style='width:5%;'>#</th>";
                    echo "<th style='width:15%; text-align:left;'>Invoice No</th>";
                    echo "<th style='width:15%; text-align:left;'>Vendors</th>";
                    echo "<th style='width:15%;'>Section</th>";
                    echo "<th style='width:15%;'>Products</th>";
                    echo "<th style='width:10%; text-align:right;'>Quantity</th>";
                    echo "<th style='width:10%; text-align:right;'>Total Cost</th>";
                    echo "<th style='width:15%; text-align:right;'>GST</th>";
                    echo "</tr>";
                    echo "</thead>";
                    echo "<tbody>";

                    $i = 1;
                    $sumQuantity = $sumTotalCost = $sumTransportExp = 0;

                    foreach ($Data as $row) {
                        echo "<tr>";
                        echo "<td>$i</td>";
                        echo "<td style='text-align:left;'>" . $row['details'] . "</td>";
                        echo "<td>" . showTitle($conn, 'tbl_suppliers', $row['supplier_id']) . "</td>";
                        echo "<td>" . showTitle($conn, 'tbl_brands', $row['brand_id']) . "</td>";
                        echo "<td>" . showTitle($conn, 'tbl_items', $row['product_id']) . "</td>";
                        echo "<td style='text-align:right;'>" . $row['quantity'] . "</td>";
                        echo "<td style='text-align:right;'>" . $row['total_cost'] . "</td>";
                        echo "<td style='text-align:right;'>" . $row['transport_exp'] . "</td>";
                        echo "</tr>";

                        $sumQuantity += $row['quantity'];
                        $sumTotalCost += $row['total_cost'];
                        $sumTransportExp += $row['transport_exp'];

                        $i++;
                    }

                    echo "</tbody>";

                    // Display totals in tfoot
                    echo "<tfoot style='font-weight:bold; font-size:16px;'>";
                    echo "<tr>";
                    echo "<td colspan='5'></td>"; // Empty cells for the first 5 columns
                    echo "<td style='text-align:right;'>Total</td>";
                    echo "<td style='text-align:right;'>$sumTotalCost</td>";
                    echo "<td style='text-align:right;'>$sumTransportExp</td>";
                    echo "</tr>";
                    echo "</tfoot>";

                    echo "</table>";
                }
                ?>
            </div>
        </div>
    </div>
</body>
    <script>
        window.onload = function() { window.print(); }
    </script>