<?php 

require_once('sessionp.php');
require_once('includes/connection.php');
require_once('includes/functions.php');

$view_bill_id = getValue('id');
$billR = GetRow(Run($conn,"select * from tbl_purchases where status = '1' and id = '$view_bill_id'"));
$billPurchaseR = GetRow(Run($conn,"select sum(total_cost) as bill_amount, sum(supplier_cost) as total_supplier_cost, sum(transport_exp) as total_transport_exp, sum(labor_exp) as total_labor_exp, transport_type from tbl_pur_items where status = '1' and bill_id = '$view_bill_id'"));
if($billPurchaseR['transport_type'] == 1)
	{
		$total_supplier_cost = ($billPurchaseR['total_supplier_cost']);
		$total_transport_cost = '0';
		$total_transport_on_supplier = $billPurchaseR['total_transport_exp'];
		
	}
	else
	{
		$total_supplier_cost = $billPurchaseR['total_supplier_cost'];
		$total_transport_cost = $billPurchaseR['total_transport_exp'];
		$total_transport_on_supplier = '0';
	}

$page		= 'printPurchase';
$module	  = 'purchases';
//$range 	  = 'true';
$pageTitle = 'Purchase ID: '.$billR['id'].' | '.showTitle($conn,'tbl_suppliers',$billR['supplier_id']);
$pageRole  = 'table';

include 'MasterTop.php'; 
?>
<style>
.buttons-print {
	border: 1px solid;
	padding: 5px 10px;
	border-radius: 3px;
} 
</style>
<div id="content" class="bg-container">
	<div class="outer">
		<div class="inner bg-light lter bg-container">
			<div class="row">
				<div class="col-xs-12 data_tables">
					<div class="card">
						<div class="card-block" style="margin-top:60px;">
							<table class="table table-bordered" id="sample_1">
								<thead>
									<tr> 
										<th>#</th>
										<th>Item</th>
										<th style="text-align:right;">Qty</th>
										<th style="text-align:right;">Unit Cost (S)</th>
										<th style="text-align:right;">Total Cost (S)</th>
										<th style="text-align:right;">Transport</th>
										<th style="text-align:right;">Labor</th>
										<th style="text-align:right;">Unit Cost</th>
										<th style="text-align:right;">Total Cost</th>
									</tr>
								</thead>
								<tbody>
									<?php 
									$i = 1;
									$purchasesRS = Run($conn,"select * from tbl_pur_items where bill_id = '$view_bill_id' and status = '1' order by id desc");
									while($purchasesR = GetRow($purchasesRS)){
									?>
									<tr> 
										<td><?php echo $i; ?></td>
										<td width="25%"><?php echo showTitle($conn,'tbl_items', $purchasesR['product_id']);?></td>
										<td style="text-align:right;"><?php echo number_format($purchasesR['quantity'],3); ?></td>
										<td style="text-align:right;"><?php echo number_format(($purchasesR['supplier_cost']/$purchasesR['quantity']),2); ?></td>
										<td style="text-align:right;"><?php echo number_format($purchasesR['supplier_cost'],2); ?></td>
										<td style="text-align:right;"><?php if($purchasesR['transport_type'] == 1){ echo '0.00';} else{ echo number_format($purchasesR['transport_exp']); } ?></td>
										<td style="text-align:right;"><?php echo number_format($purchasesR['labor_exp']); ?></td>
										<td style="text-align:right;"><?php echo number_format($purchasesR['unit_cost'],2); ?></td>
										<td style="text-align:right;"><?php echo number_format($purchasesR['total_cost'],2); ?></td>
									</tr>
									<?php $i++; } ?>     
									<?php if($billR['transport'] == 1){?>
									<tr>
										<td><?php echo $i++; ?>    </td>
										<td style="text-align:right;">&nbsp;   </td>
										<td style="text-align:right;">&nbsp;   </td>
										<td style="text-align:right;">&nbsp;   </td>
										<td style="text-align:right;">&nbsp;   </td>
										<td style="text-align:right;">&nbsp;   </td>
										<td style="text-align:right;">&nbsp;   </td>
										<td style="text-align:right; font-weight:bold;">Supplier Cost</td>
										<td style="text-align:right; font-weight:bold;"><?php echo number_format($total_supplier_cost,2); ?></td>
									</tr>
									<tr>
										<td><?php echo $i++; ?>  </td>
										<td style="text-align:right;">&nbsp;   </td>
										<td style="text-align:right;">&nbsp;   </td>
										<td style="text-align:right;">&nbsp;   </td>
										<td style="text-align:right;">&nbsp;   </td>
										<td style="text-align:right;">&nbsp;   </td>
										<td style="text-align:right;">&nbsp;   </td>
										<td style="text-align:right; font-weight:bold;">Transport on Supplier</td>
										<td style="text-align:right; font-weight:bold;">(<?php echo number_format($total_transport_on_supplier,2); ?>)</td>
									</tr>
									<?php } ?>
									<tr>
										<td><?php echo $i++; ?>  </td>
										<td style="text-align:right;">&nbsp;   </td>
										<td style="text-align:right;">&nbsp;   </td>
										<td style="text-align:right;">&nbsp;   </td>
										<td style="text-align:right;">&nbsp;   </td>
										<td style="text-align:right;">&nbsp;   </td>
										<td style="text-align:right;">&nbsp;   </td>
										<td style="text-align:right; font-weight:bold;">Total Supplier Payable</td>
										<td style="text-align:right; font-weight:bold;"><?php echo number_format(($total_supplier_cost-$total_transport_on_supplier),2); ?></td>
									</tr>
									 
									<tr>
										<td><?php echo $i++; ?> </td>
										<td style="text-align:right;">&nbsp;   </td>
										<td style="text-align:right;">&nbsp;   </td>
										<td style="text-align:right;">&nbsp;   </td>
										<td style="text-align:right;">&nbsp;   </td>
										<td style="text-align:right;">&nbsp;   </td>
										<td style="text-align:right;">&nbsp;   </td>
										<td style="text-align:right; font-weight:bold;">Transport Expense</td>
										<td style="text-align:right; font-weight:bold;"><?php echo number_format($total_transport_cost,2); ?></td>
									</tr>
									<tr>
										<td><?php echo $i++; ?>  </td>
										<td style="text-align:right;">&nbsp;   </td>
										<td style="text-align:right;">&nbsp;   </td>
										<td style="text-align:right;">&nbsp;   </td>
										<td style="text-align:right;">&nbsp;   </td>
										<td style="text-align:right;">&nbsp;   </td>
										<td style="text-align:right;">&nbsp;   </td>
										<td style="text-align:right; font-weight:bold;">Labor Expense</td>
										<td style="text-align:right; font-weight:bold;"><?php echo number_format($billPurchaseR['total_labor_exp'],2); ?></td>
									</tr>
									<tr>
										<td><?php echo $i++; ?> </td>
										<td style="text-align:right;">&nbsp;   </td>
										<td style="text-align:right;">&nbsp;   </td>
										<td style="text-align:right;">&nbsp;   </td>
										<td style="text-align:right;">&nbsp;   </td>
										<td style="text-align:right;">&nbsp;   </td>
										<td style="text-align:right;">&nbsp;   </td>
										<td style="text-align:right; font-weight:bold;">Total Cost</td>
										<td style="text-align:right; font-weight:bold;"><?php echo number_format($billPurchaseR['bill_amount'],2); ?></td>
									</tr>  
								</tbody>  
							</table>
						</div>
					</div>
					<!-- END EXAMPLE1 TABLE PORTLET--> 					
				</div>
			</div>
			<!-- /.inner --> 
		</div>
		<!-- /.outer --> 
	</div>
	<!-- /#content --> 
</div>
<?php include 'Footer.php'; ?>
<?php if(getValue('wc') == 1){?>
<script>
window.onload = function() {
        PNotify.desktop.permission();
        new PNotify({
            title: 'Success',
            text: 'A new product has been added into your software, Hope this product give you more benefit.',
            type: 'success',
            desktop: {
                desktop: true
            }
        }).get().on("click",function (e) {
            if ($('.ui-pnotify-closer, .ui-pnotify-sticker, .ui-pnotify-closer *, .ui-pnotify-sticker *').is(e.target))
                return; 
        });
        return false;
    };
</script>
<?php } ?> 