<?php 

require_once('sessionp.php');
require_once('checkSalesSession.php');

require_once('includes/connection.php');
require_once('includes/functions.php');

$ID = getValue('id');
$orderR = GetRow(Run($conn,"select * from tbl_sales where id = '$ID'"));
//print_r($orderR);
 
$printAdminR	= GetRow(Run($conn, "select * from tbl_admin where id = 1")); 

$cusID = $orderR['customer_id'];

$reward_discount = '0';
$RewardSQL = "SELECT
				SUM(amount_in)-SUM(amount_out) AS reward_discount
			FROM
				tbl_reward_points
			WHERE
				customer_id = '$cusID' AND sale_id < '$ID'
			";
$rewardR = GetRow(Run($conn, $RewardSQL));
if($rewardR['reward_discount'] >= '150'){
$reward_discount = $rewardR['reward_discount'];
}
                          
	
	
$page		= 'printOrder'; 
$pageTitle = 'Print Order';
$pageRole  = 'table'; 
?>
<style>
.body{ background-color:#FFFFFF !important; color:#000000 !important; font-family:Arial, Helvetica, sans-serif !important; font-size:12px; 
}
.Wrap, #wrap {
    margin:0 !important;
    position: relative;
}
.print{
    page-break-after: always;

}
.print:last-child {
     page-break-after: auto;
}

</style>
<?php 
include 'MasterTop.php';  
?>
<style>
.buttons-print {
	border: 1px solid;
	padding: 5px 10px;
	border-radius: 3px;
}
.card:hover {
	box-shadow: none;
}
.input_field_sections {
	margin-top: 15px;
}
</style> 
<div style="margin:10px; max-width:300px;">
	<table class="table table-bordered print" style="font-size:12px;">
		<thead> 
		 
		<tr>
		<th colspan="4" style="text-align:center;" ><img src="img/logo.png" height="105" /></th>
		</tr>
			<tr> 
				<th colspan="4" style="text-align:center; font-size:18px;"><?php echo $printAdminR['name']; ?></th>   
			</tr>
			<tr> 
				<td colspan="4" style="text-align:center;">NTN: 7501113-0</td>   
			</tr> 
			<tr> 
				<td colspan="4" style="text-align:center;">STRN: K7501113-0</td>   
			</tr> 
			<tr> 
				<td colspan="4" style="text-align:center;">Invoice: <?php echo $ID;?></td>   
			</tr>
			<tr> 
				<td colspan="4" style="text-align:center;">KOT: <?php echo $orderR['kot_no'];?></td>   
			</tr> 
			<tr> 
				<td colspan="4" style="text-align:center;">Reward Points: <?php echo number_format($rewardR['reward_discount']/0.03);?></td>   
			</tr>  
			<tr> 
				<td colspan="4" style="text-align:center;"><?php if($orderR['service_id'] != ''){ echo showTitle($conn,'tbl_sale_services',$orderR['service_id']); } else { echo "Take Away"; } ?></td>   
			</tr> 
			
			<tr> 
				<td colspan="4" style="text-align:center;">Customer: 
				<?php if($orderR['customer_id'] != ''){ echo showTitle($conn,'tbl_customers',$orderR['customer_id']); } else { echo "Guest Customer"; } ?><br />
				<?php 
				$cRId = $orderR['customer_id']; 
				$cR = GetRow(Run($conn,"select * from tbl_customers where id = '$cRId' "));
				echo $cR['phone']; echo $cR['address'];
				?>
				</td>   
			</tr>
			
			<tr> 
				<td colspan="2"><?php echo date("F j, Y", strtotime($orderR['post_date']));?> </td> 
				<td colspan="2" style="text-align:right;"><?php echo date("h:i A", strtotime($orderR['post_time']));?></td>  
			</tr>
			
			<tr> 
				<th>Product</th>
				<th style="text-align:right;">Price</th>
				<th style="text-align:right;">Quantity</th>
				<th style="text-align:right;">Total</th>
			</tr>
		</thead>
		<tbody>
			<?php 
			$i = 1;
			$cartRS = Run($conn,"select * from tbl_sales_items where order_id = '$ID' and status = '1' order by id desc");
			while($cartR = GetRow($cartRS)){
			$productR = GetRow(Run($conn,"select unit from tbl_products where id = ".$cartR['product_id'])); 
			$unit_id = $productR['unit'];
			?>
			<tr> 
				<td><?php echo showTitle($conn,'tbl_products', $cartR['product_id']);?></td>
				<td style="text-align:right;"><?php echo number_format($cartR['sale_price']); ?></td>
				<td style="text-align:right;"><?php echo number_format($cartR['quantity_sold']) ?></td>
				<td style="text-align:right;"><?php echo number_format($cartR['total_sale_price']); ?></td>
			</tr>
			<?php $i++; } ?>
			<?php
			$totalRSamount = "select sum(total_sale_price) as total_amount from tbl_sales_items where order_id = '$ID' and status = '1'";
			$totalOrderamount  = GetRow(Run($conn,$totalRSamount));
			?>
			<tr>   
				<th colspan="2" style="text-align:right;">Sub Total:</th>
				<th colspan="2" style="text-align:right;"><?php echo number_format($totalOrderamount['total_amount']); ?></th>
			</tr>
			<tr>   
				<th colspan="2" style="text-align:right;">Tax (15%):</th>
				<th colspan="2" style="text-align:right;"><?php 
				$tax = round(($totalOrderamount['total_amount'] * 15)/100);  echo number_format($tax); ?></th>
			</tr>
			<tr>   
				<th colspan="2" style="text-align:right;">Delivery Charges:</td>
				<th colspan="2" style="text-align:right;"><?php echo number_format($orderR['delivery_charges']); ?></th>
			</tr>
			<tr>   
				<th colspan="2" style="text-align:right;">Service Charges (<?php echo number_format($orderR['service_charges_percent']);?>%):</td>
				<th colspan="2" style="text-align:right;"><?php 
				$service_charges = round(($totalOrderamount['total_amount'] * $orderR['service_charges_percent'])/100);  echo number_format($service_charges); ?></th>
			</tr>
			<tr>   
				<th colspan="2" style="text-align:right;">Discount (<?php echo number_format($orderR['discount_percent']);?>%):</td>
				<th colspan="2" style="text-align:right;">(<?php 
				$discount = round(($totalOrderamount['total_amount'] * $orderR['discount_percent'])/100);  echo number_format($discount); ?>)</th>
			</tr>
			<?php 
			if($reward_discount >= '150'){
			?>
			<tr>   
				<th colspan="2" style="text-align:right;">Reward Discount (<?php echo number_format($reward_discount/0.03);?>Pts):</td>
				<th colspan="2" style="text-align:right;">(<?php echo number_format($reward_discount,2); ?>)</th>
			</tr>
			<?php } ?>
			 
			<tr>   
				<th colspan="2" style="text-align:right;">Grand Total:</th>
				<th colspan="2" style="text-align:right;"><?php echo number_format($totalOrderamount['total_amount']+ $tax - $orderR['delivery_charges'] + $service_charges + $discount - $reward_discount); ?> </th>
			</tr> 
			<tr> 
				<th colspan="4" style="text-align:center;">
				<?php echo $printAdminR['address']; ?> <br /> Phone: <?php echo $printAdminR['phone']; ?> <br /> WhatsApp: +92 345 4066 069  <br /> Facebook: fb.com/MnakRestaurant <br /> Website: www.restaurant.mnak.com.pk
				</th>   
			</tr>
			
		</tbody>
	</table> 
</div>
<script>
window.onload = function() { window.print(); }
</script>
<?php include 'Footer.php'; ?>