<?php
$page = 'supplierStore';

require_once 'sessionp.php';
require_once 'checkAccountsSession.php';
require_once 'includes/connection.php';
require_once 'includes/functions.php';

$ID = (isset($_GET['id'])) ? $_GET['id'] : die("Missing ID parameter");

$listR = GetRow(Run($conn, "SELECT * FROM tbl_suppliers WHERE id = $ID"));
$CreditR = GetRow(Run($conn, "SELECT SUM(cr) - SUM(dr) AS balance FROM tbl_purchases WHERE supplier_id = $ID ORDER BY id ASC"));

$module = 'Demand';
$pageTitle = $listR['name'] . ' Credit PKR-' . $CreditR['balance'];
$pageTitl = $listR['name'];
?>
    <style>
        body {
            background-color: #FFFFFF !important;
            color: #000000 !important;
            font-family: Arial, Helvetica, sans-serif !important;
            font-size: 30px;
        }

        .Wrap,
        #wrap {
            margin: 0 !important;
            position: relative;
        }

        .print {
            page-break-after: always;
        }

        .print:last-child {
            page-break-after: auto;
        }

        .invoice-container {
            max-width: 900px;
            margin: 0 auto;
            padding: 20px;
            border: 1px solid #ddd;
        }

        .rounded-box {
            border: 1px solid #000;
            border-radius: 10px;
            padding: 20px;
        }
    </style>
<body style="max-width: 900px; margin: 0 auto; padding: 20px;">
    <?php include 'MasterTop.php'; ?>
    <div class="info-container">
        <div class="invoice-title">
            <h1 style="text-align:center;">Bistro Noir</h1>
            <h1 style="text-align:center;">Unit 3 Gol Market St 4 F-7/3 Islamabad</h1>
        </div>
        <div class="invoice-title" style="padding:5px">
            <h2 style="text-align:center;">Supplier Payments Details</h2>
        </div>
        <h3 style="text-align:center;"><?php echo date("l, F j, Y H:i:s"); ?></h3>
        <h3 style="text-align:center;"><?php echo $pageTitle ?></h3>
        <div class="rounded-box">
            <table class="table table-striped table-bordered table-hover" id="sample_1">
                <thead>
                    <tr>
                        <th>#</th>
                        <th>ID</th>
                        <th>Date</th>
                        <th>Cr (Rs)</th>
                        <th>Dr (Rs)</th>
                        <th>Balance (Rs)</th>
                    </tr>
                </thead>
                <tbody>
                    <?php
                    $n = 1;
                    $paymentsRS = Run($conn, "SELECT * FROM tbl_purchases WHERE supplier_id = $ID ORDER BY id DESC");
                    while ($paymentR = GetRow($paymentsRS)) {
                    ?>
                        <tr>
                            <td><?php echo $n++; ?></td>
                            <td><?php echo $paymentR['id']; ?></td>
                            <td><?php echo $paymentR['post_date']; ?></td>
                            <td><?php echo number_format($paymentR['cr'], 2); ?></td>
                            <td><?php echo number_format($paymentR['dr'], 2); ?></td>
                            <td><?php echo number_format($paymentR['cr'] - $paymentR['dr'], 2); ?></td>
                        </tr>
                    <?php } ?>
                </tbody>
            </table>
        </div>
    </div>

    <script>
        window.onload = function() {
            window.print();
        }
    </script>
</body>

</html>
