<?php 

$page = 'supplierStore';

require_once('sessionp.php');
require_once('checkAccountsSession.php');

require_once('includes/connection.php');
require_once('includes/functions.php');

$ID = $_GET['id'];

$listR = GetRow(Run($conn, "select * from tbl_suppliers where status = '1' and id = $ID"));
$CreditR = GetRow(Run($conn, "SELECT SUM(cr) - SUM(dr) AS balance FROM tbl_purchases WHERE supplier_id = '$ID' ORDER BY id ASC;"));
$listP = GetRow(Run($conn, "select * from tbl_suppliers where status = '1' and id = $ID"));
$title = $listP['title']; // get the title from the database

$module = 'Demand';
$pageTitle = $listR['title']; // Use a consistent variable name


?>

    <style>


        .invoice-container {
            max-width: 900px;
            margin: 0 auto;
            padding: 20px;
            border: 1px solid #ddd;
        }

        .invoice-title {
            text-align: center;
            font-size: 28px;
            margin-bottom: 10px;
        }

        .invoice-details {
            margin-bottom: 12px;
        }

        .invoice-details h4 {
            margin: 5px 0;
            font-size: 18px;
        }

        .invoice-details table {
            width: 100%;
            border-collapse: collapse;
            margin-top: 15px;
        }

        .invoice-details th,
        .invoice-details td {
            border: 1px solid #ddd;
            padding: 8px;
            text-align: left;
        }

        .align-right {
            text-align: right;
        }

        .invoice-slip {
            margin-top: 40px;
            border: 1px solid #ccc;
            padding: 10px;
            font-size: 16px;
        }

        .invoice-slip p {
            margin: 15px 0;
        }

        .supplier-signature {
            margin-top: 60px;
            text-align: right;
        }

        .closing-remarks {
            margin-top: 20px;
            font-size: 18px;
        }

        /* Separation style */
        .separator {
            margin-top: 50px;
        }
		
   @media print {
  .invoice-container.new-page { 
    page-break-after: always; 
  }
}
  .rounded-box {
    border: 1px solid #000; /* Set the border properties */
    border-radius: 10px; /* Adjust the border-radius to control the roundness */
    padding: 20px; /* Add padding to the content inside the box */
  }
</style>

<div class="invoice-container new-page">
  <div class="rounded-box">
    <div class="invoice-details">
        <div class="invoice-title">
            <h4>Payment Slip For Supplier</h4>
        </div>
        <h4 style="text-align:center;"><?php echo date("l, F j, Y H:i:s"); ?></h4>
        <?php echo '<br>'; ?>
        <?php echo '<br>'; ?>
        Dear 
        <?php
        //$title = substr($title, 0, strpos($title, "_")); // remove everything after the underscore
        echo '<strong>' . $title . '</strong>'; // print the modified title
        ?>
        <?php echo '<br>'; ?>
        <?php echo '<br>'; ?>
        Bistro Noir started buying goods on <?php
        $firstCrPostDateRS = Run($conn, "SELECT MIN(post_date) AS first_cr_post_date, MAX(post_date) AS last_cr_post_date FROM tbl_purchases WHERE cr > 0 AND supplier_id = '$ID'");
        $firstCrPostDateR = mysqli_fetch_assoc($firstCrPostDateRS);
        $first_cr_post_date = $firstCrPostDateR['first_cr_post_date'];
        $last_cr_post_date = $firstCrPostDateR['last_cr_post_date'];
        echo '<strong>' . $first_cr_post_date . '</strong>';
        ?>
        , and continued until <?php
        echo '<strong>' . $last_cr_post_date . '</strong>';
        ?>. Throughout this time, we purchased products totaling <?php
        $firstCrPostDateR = Run($conn, "SELECT sum(cr) AS total_cr, sum(dr) AS total_dr FROM tbl_purchases WHERE cr > 0 AND supplier_id = '$ID'");
        $firstCrPostDate = mysqli_fetch_assoc($firstCrPostDateR);        
        $total_purchases_amount = $firstCrPostDate['total_cr'];
        echo '<strong>' . number_format($total_purchases_amount, 0) . '</strong>';
        ?>. We made a payment of <?php
        $total_paid_amount = $firstCrPostDate['total_dr'];
        echo '<strong>' . number_format($total_paid_amount, 0) . '</strong>';
        ?>. Consequently, the remaining balance to be paid is <?php
        $total_balance_amount = $firstCrPostDate['total_cr'] - $firstCrPostDate['total_dr'];
        echo '<strong>' . number_format($total_balance_amount, 0) . '</strong>';
        echo '<br>';
        echo '<br>';
        ?>Below are the pending details, including the invoice date, invoice number, and balance amount.
        <?php echo '<br>'; ?>
        <table class="invoice-details">
            <thead>
                <tr>
                    <th>#</th>
                    <th>Invoice Date</th>
                    <th>Invoice</th>
                    <th class="align-right">Balance Amount (Rs)</th>
                </tr>
            </thead>
            <tbody>
                <?php
                $j = 1;
                $totalBalanceSum = 0;

                $invoicesRS = Run($conn, "SELECT DISTINCT id FROM tbl_purchases WHERE supplier_id = '$ID' ORDER BY id DESC");

                while ($invoiceR = mysqli_fetch_assoc($invoicesRS)) {
                    $bill_id = $invoiceR['id'];

                    $listP2 = GetRow(Run($conn, "SELECT * FROM tbl_suppliers WHERE id = $ID"));
                    $crSumRS = Run($conn, "SELECT SUM(cr) AS total_cr, SUM(dr) AS total_dr FROM tbl_purchases WHERE supplier_id = '$ID' AND id = '$bill_id'");
                    $crSumR = mysqli_fetch_assoc($crSumRS);
                    $total_cr = $crSumR['total_cr'];
                    $total_dr = $crSumR['total_dr'];

                    $balance = $total_cr - $total_dr;

                    if ($balance > 1) {
                        $totalBalanceSum += $balance;

                        $firstCrPostDateRS = Run($conn, "SELECT (post_date) AS first_cr_post_date FROM tbl_purchases WHERE supplier_id = '$ID' AND id = '$bill_id' AND cr > 0 ");
                        $firstCrPostDateR = mysqli_fetch_assoc($firstCrPostDateRS);
                        $first_cr_post_date = $firstCrPostDateR['first_cr_post_date'];
                        ?>

                        <tr>
                            <td width="5%"><?php echo $j++; ?></td>
                            <td width="9%"><?php echo $first_cr_post_date; ?></td>
                            <td width="5%"><input type="checkbox" name="bill_ids[]" value="<?php echo $bill_id; ?>"><?php echo $bill_id; ?></td>
                            <td width="12%" class="align-right"><?php echo number_format($balance, 2); ?></td> <!-- Align to the right -->
                        </tr>
                        <?php
                    }
                }
                ?>
            </tbody>
            <tfoot>
                <tr>
                    <td colspan="3" style="text-align:right;"><strong>Total Balance Amount</strong></td>
                    <td style="text-align:left;"><strong><?php echo number_format($totalBalanceSum, 2); ?></strong></td>
                </tr>
            </tfoot>
        </table>
    </div>
    <!-- Supplier Payment Slip -->
    <div class="invoice-slip" id="supplier-invoice-slip" style="display: none;">     
        <p><strong>Invoice Number:</strong> <span id="supplier-invoice-number">___________________</span></p>
        <p>.</p>
        <p><strong>Paid Amount (Rs):</strong> <span id="supplier-paid-amount">_______________</span></p>
        <p>.</p>
        <p><strong>Balance (Rs):</strong> <span id="supplier-balance-amount">___________________</span></p>
        <p style="text-align:right;">
            <strong>HR Signature:</strong>
            <img src="img/Untitled.png" style="text-align:right; max-width: 200%; height: 50px;">
            <img src="img/imgib.png" style="text-align:right; max-width: 200%; height: 60px;">
        </p>
    </div>
    </div>
    <?php echo '<br>'; ?>
    <?php echo '<br>'; ?> 
    <div class="closing-remarks">
        <div class="rounded-box">
            <p>Your punctuality in delivering our orders is greatly appreciated, and we value your commitment to our partnership.</p>
            <p>We are excited about the prospect of our continued collaboration and the growth of our business relationship in the future.</p>
            <p>If you have any inquiries or require any assistance, please do not hesitate to reach out to us anytime. Your satisfaction is our priority.</p>
        </div>
    </div>    
</div>
<div class="separator">
    <div class="invoice-container">
        <div class="rounded-box">
            <div class="invoice-details">
                <div class="invoice-title">
                    <h4>Payment Slip For HR </h4>
                </div>
                <h4 style="text-align:center;"><?php echo date("l, F j, Y H:i:s"); ?></h4>
                <?php echo '<br>'; ?>
                <?php echo '<br>'; ?>
                Dear 
                <?php
                $listP = GetRow(Run($conn, "select * from tbl_suppliers where status = '1' and id = $ID"));
                $title = $listP['title']; // get the title from the database
                //$title = substr($title, 0, strpos($title, "_")); // remove everything after the underscore
                echo '<strong>' . $title . '</strong>'; // print the modified title
                ?>
                <?php echo '<br>'; ?>
                <?php echo '<br>'; ?>
                Bistro Noir started buying goods on <?php
                $firstCrPostDateRS = Run($conn, "SELECT MIN(post_date) AS first_cr_post_date, MAX(post_date) AS last_cr_post_date FROM tbl_purchases WHERE cr > 0 AND supplier_id = '$ID'");
                $firstCrPostDateR = mysqli_fetch_assoc($firstCrPostDateRS);
                $first_cr_post_date = $firstCrPostDateR['first_cr_post_date'];
                $last_cr_post_date = $firstCrPostDateR['last_cr_post_date'];
                echo '<strong>' . $first_cr_post_date . '</strong>';
                ?>
                , and continued until <?php
                echo '<strong>' . $last_cr_post_date . '</strong>';
                ?>. Throughout this time, we purchased products totaling <?php
                $firstCrPostDateR = Run($conn, "SELECT sum(cr) AS total_cr, sum(dr) AS total_dr FROM tbl_purchases WHERE cr > 0 AND supplier_id = '$ID'");
                $firstCrPostDate = mysqli_fetch_assoc($firstCrPostDateR);		
                $total_purchases_amount = $firstCrPostDate['total_cr'];
                echo '<strong>' . number_format($total_purchases_amount, 0) . '</strong>';
                ?>. We made a payment of <?php
                $total_paid_amount = $firstCrPostDate['total_dr'];
                echo '<strong>' . number_format($total_paid_amount, 0) . '</strong>';
                ?>. Consequently, the remaining balance to be paid is <?php
                $total_balance_amount = $firstCrPostDate['total_cr'] - $firstCrPostDate['total_dr'];
                echo '<strong>' . number_format($total_balance_amount, 0) . '</strong>';
                echo '<br>';
                echo '<br>';
                ?>Below are the pending details, including the invoice date, invoice number, and balance amount.
                <?php echo '<br>'; ?>
                <table class="invoice-details">
                    <thead>
                        <tr>
                            <th>#</th>
                            <th>Invoice Date</th>
                            <th>Invoice</th>
                            <th class="align-right">Balance Amount (Rs)</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php
                        $j = 1;
                        $totalBalanceSum = 0;

                        $invoicesRS = Run($conn, "SELECT DISTINCT id FROM tbl_purchases WHERE supplier_id = '$ID' ORDER BY id DESC");

                        while ($invoiceR = mysqli_fetch_assoc($invoicesRS)) {
                            $bill_id = $invoiceR['id'];

                            $listP2 = GetRow(Run($conn, "SELECT * FROM tbl_suppliers WHERE id = $ID"));
                            $crSumRS = Run($conn, "SELECT SUM(cr) AS total_cr, SUM(dr) AS total_dr FROM tbl_purchases WHERE supplier_id = '$ID' AND id = '$bill_id'");
                            $crSumR = mysqli_fetch_assoc($crSumRS);
                            $total_cr = $crSumR['total_cr'];
                            $total_dr = $crSumR['total_dr'];

                            $balance = $total_cr - $total_dr;

                            if ($balance > 1) {
                                $totalBalanceSum += $balance;

                                $firstCrPostDateRS = Run($conn, "SELECT (post_date) AS first_cr_post_date FROM tbl_purchases WHERE supplier_id = '$ID' AND id = '$bill_id' AND cr > 0 ");
                                $firstCrPostDateR = mysqli_fetch_assoc($firstCrPostDateRS);
                                $first_cr_post_date = $firstCrPostDateR['first_cr_post_date'];
                                ?>

                                <tr>
                                    <td width="5%"><?php echo $j++; ?></td>
                                    <td width="9%"><?php echo $first_cr_post_date; ?></td>
                                    <td width="5%"><?php echo $bill_id; ?></td>
                                    <td width="12%" class="align-right"><?php echo number_format($balance, 2); ?></td> <!-- Align to the right -->
                                </tr>
                                <?php
                            }
                        }
                        ?>
                    </tbody>
                    <tfoot>
                        <tr>
                            <td colspan="3" style="text-align:right;"><strong>Total Balance Amount</strong></td>
                            <td style="text-align:left;"><strong><?php echo number_format($totalBalanceSum, 2); ?></strong></td>
                        </tr>
                    </tfoot>
                </table>
            </div>
            <!-- HR Payment Slip -->
            <div class="invoice-slip" id="hr-invoice-slip" style="display: none;">
                <p><strong>Invoice Number:</strong> <span id="hr-invoice-number">___________________</span></p>
                <p>.</p>
                <p><strong>Paid Amount (Rs):</strong> <span id="hr-paid-amount">_______________</span></p>
                <p>.</p>
                <p><strong>Balance (Rs):</strong> <span id="hr-balance-amount">___________________</span></p>
                <p style="text-align:right;"><strong>Supplier's Signature:</strong> ____________________</p>
            </div>
        </div>
        <?php echo '<br>'; ?>
        <?php echo '<br>'; ?>	
        <div class="closing-remarks">
            <div class="rounded-box">
                <p>Your punctuality in delivering our orders is greatly appreciated, and we value your commitment to our partnership.</p>
                <p>We are excited about the prospect of our continued collaboration and the growth of our business relationship in the future.</p>
                <p>If you have any inquiries or require any assistance, please do not hesitate to reach out to us anytime. Your satisfaction is our priority.</p>
            </div>
        </div>	
    </div>
</div>
<script>
    const updateSlipValues = (invoiceNumbers, totalBalance, totalBalanceSum) => {
        const hrInvoiceNumber = document.getElementById('hr-invoice-number');
        const hrPaidAmount = document.getElementById('hr-paid-amount');
        const hrBalanceAmount = document.getElementById('hr-balance-amount');
        const supplierInvoiceNumber = document.getElementById('supplier-invoice-number');
        const supplierPaidAmount = document.getElementById('supplier-paid-amount');
        const supplierBalanceAmount = document.getElementById('supplier-balance-amount');

        if (invoiceNumbers.length >= 0) {
            hrInvoiceNumber.innerHTML = '<strong>' + invoiceNumbers.join(', ') + '</strong>';
            hrPaidAmount.innerHTML = '<strong>' + totalBalance.toFixed(0) + '</strong>';
            hrBalanceAmount.innerHTML = '<strong>' + (totalBalanceSum - totalBalance).toFixed(0) + '</strong>';

            supplierInvoiceNumber.innerHTML = '<strong>' + invoiceNumbers.join(', ') + '</strong>';
            supplierPaidAmount.innerHTML = '<strong>' + totalBalance.toFixed(0) + '</strong>';
            supplierBalanceAmount.innerHTML = '<strong>' + (totalBalanceSum - totalBalance).toFixed(0) + '</strong>';
        } else {
            hrInvoiceNumber.textContent = '<strong>___________________</strong>';
            hrPaidAmount.textContent = '<strong>_______________</strong>';
            hrBalanceAmount.textContent = '<strong>___________________</strong>';
            supplierInvoiceNumber.textContent = '<strong>___________________</strong>';
            supplierPaidAmount.textContent = '<strong>_______________</strong>';
            supplierBalanceAmount.textContent = '<strong>___________________</strong>';
        }
    };

    const checkboxes = document.querySelectorAll('input[name="bill_ids[]"]');
    const invoiceNumbers = [];
    let totalBalance = 0;
    let totalBalanceSum = <?php echo $totalBalanceSum; ?>;
    checkboxes.forEach(checkbox => {
        checkbox.addEventListener('change', function() {
            const invoiceSlip = document.getElementById('hr-invoice-slip');
            const supplierInvoiceSlip = document.getElementById('supplier-invoice-slip');

            if (this.checked) {
                invoiceSlip.style.display = 'block';
                supplierInvoiceSlip.style.display = 'block';
                invoiceNumbers.push(this.value);
                totalBalance += parseFloat(this.parentNode.parentNode.children[3].textContent.replace(/[^0-9.-]+/g,""));
                updateSlipValues(invoiceNumbers, totalBalance, totalBalanceSum);
            } else {
                const index = invoiceNumbers.indexOf(this.value);
                if (index > -1) {
                    invoiceNumbers.splice(index, 1);
                    totalBalance -= parseFloat(this.parentNode.parentNode.children[3].textContent.replace(/[^0-9.-]+/g,""));
                }
                if (invoiceNumbers.length === 0) {
                    invoiceSlip.style.display = 'none';
                    supplierInvoiceSlip.style.display = 'none';
                    updateSlipValues(invoiceNumbers, totalBalance, totalBalanceSum);
                } else {
                    updateSlipValues(invoiceNumbers, totalBalance, totalBalanceSum);
                }
            }
        });
    });
</script>
<script>
    // Print the invoice slip automatically when the page loads
    window.onload = function() {
        window.print();
    };
</script>