<?php
// This is the CompleteSalary Page
require_once('../sessionp.php');
require_once('../includes/connection.php');
require_once('../includes/functions.php');

$start_date = getValue('start_date');
$get_date = getValue('end_date');

$end_date = date("Y-m-t", strtotime($get_date));

// Get distinct PIN values where Date = start_date
$sql = "SELECT DISTINCT `PIN` FROM `tbl_attendance` WHERE `Date` = '$start_date'";
$result = $conn->query($sql);

if ($result->num_rows > 0) {
    // Iterate through distinct PINs
    while ($row = $result->fetch_assoc()) {
        $PIN = $row['PIN'];

        // Get salary_per_month from tbl_employees where id_emp = PIN
        $employeeSql = "SELECT `salary_per_month` FROM `tbl_employees` WHERE `id_emp` = $PIN";
        $employeeResult = $conn->query($employeeSql);

        if ($employeeResult->num_rows > 0) {
            $employeeRow = $employeeResult->fetch_assoc();
            $salaryPerMonth = $employeeRow['salary_per_month'];

            // Calculate bonus amount per day (assuming 30 days in a month)
            $bonusPerDay = $salaryPerMonth / 30;

            // Update tbl_staff_leaves.bonus for matching PIN and id_emp
            $updateBonusSql = "UPDATE `tbl_staff_leaves` SET `bonus` = `bonus` + $bonusPerDay WHERE `id_emp` = $PIN AND MONTH(`post_date`) = MONTH('$end_date') AND YEAR(`post_date`) = YEAR('$end_date')";
            $conn->query($updateBonusSql);
        }
    }

    // Update `public` field for all PINs where post_month matches end_date month and year and joining date is on or before $get_date
    $updatePublicSql = "UPDATE `tbl_staff_leaves` SET `public` = `public` + 1 WHERE MONTH(`post_date`) = MONTH('$end_date') AND YEAR(`post_date`) = YEAR('$end_date') AND `id_emp` IN (SELECT `id_emp` FROM `tbl_employees` WHERE `joining_date` <= '$get_date')";
    $conn->query($updatePublicSql);

    // Redirect to calculations page
    header('Location: ../calculations?type=saved');
    exit;
} else {
    // Handle the case when there are no distinct PINs for the given date
    // You can add appropriate error handling or redirection here if needed
}
?>
