<?php
require_once('../sessionp.php');
require_once('../includes/connection.php');
require_once('../includes/functions.php');

// Get the date from the form
$Date = $_POST['date'];
$SupplierID = $_POST['supplier_id'];
$Amount = $_POST['s_amount'];

// Use prepared statements to prevent SQL injection
$query = "INSERT INTO `tbl_purchaser_details` (`post_date`, `supplier_id`, `previous_bill`) VALUES (?, ?, ?)";
$stmt = $conn->prepare($query);
$stmt->bind_param("sii", $Date, $SupplierID, $Amount);

if ($stmt->execute()) {
    // Redirect with success message
    redirect_to('../PurchaserDetailsEdit.php?date=' . $Date, 'success', 'payment-inserted');
} else {
    // Redirect with error message
    redirect_to('../PurchaserDetailsEdit.php?date=' . $Date, 'error', 'payment-insertion');
}

$stmt->close();
$conn->close();
?>
