<?php
require_once('../sessionp.php');
require_once('../includes/connection.php');
require_once('../includes/functions.php');

$payment_check = getValue('payment_check');
if ($payment_check != '') {
    extract($_POST, EXTR_OVERWRITE);

    $suppR = GetRow(Run($conn, "select title from tbl_suppliers where id = '$supplier_id'"));
    $suppName = $suppR['title'];

    // Calculate the difference
    $purchaseData = GetRow(Run($conn, "SELECT cr, dr FROM tbl_purchases WHERE id = '$invoice'"));
    $currentCr = $purchaseData['cr'];
    $currentDr = $purchaseData['dr'];
    $difference = $currentCr - ($currentDr + $amount);

    // Check if the difference is less than 0
    if ($difference < 0) {
        // Redirect or handle the case where the difference is less than 0
        redirect_to('../suppliers', 'error', 'negative-difference');
    } else {
        // Continue with the rest of the code

        if ($type == 'dr') {
            $total_supplier_R = GetRow(Run($conn, "select sum(cr) as total_supplier_cr, sum(dr) as total_supplier_dr from tbl_sup_payments where supplier_id = '$supplier_id'"));
            $total_supplier_cr = $total_supplier_R['total_supplier_cr'];
            $total_supplier_dr = $total_supplier_R['total_supplier_dr'] + $amount;
            $total_supplier_balance = $total_supplier_cr - $total_supplier_dr;
            $strSQL = "INSERT INTO tbl_sup_payments SET
                                bill_id         = '" . ($invoice) . "',
                                supplier_id     = '" . ($supplier_id) . "',
                                dr              = '" . ($amount) . "',
                                balance         = '" . ($total_supplier_balance) . "',
                                description     = '" . ($description) . "',
								PaidBy          = '" . ($Paid_title) . "',
                                post_date       = '$post_date',
                                post_time       = '$post_time',
                                last_updated    = '$last_updated',
                                status          = '1'";
            Run($conn, $strSQL);

            $ID = mysqli_insert_id($conn);
            if ($adjust_balance == 0) {
                $cash_flow_desc = 'Supplier Payment ID: ' . $ID . ' - ' . $suppName . '. ' . $description;
                $cashFlowBalanceR = GetRow(Run($conn, "SELECT sum(dr) AS debitCash, sum(cr) AS creditCash FROM tbl_daily_cash WHERE status = '1' AND post_date = '$post_date'"));
                $debitCash  = $cashFlowBalanceR['debitCash'];
                $creditCash = $cashFlowBalanceR['creditCash'] + $amount;
                $cashBalance = $debitCash - $creditCash;
                $cashFlowSQL = "INSERT INTO tbl_daily_cash SET description = '$cash_flow_desc', dr = '0', cr = '$amount',  balance = '$cashBalance',  month = '$post_month', year = '$post_year', post_date = '$post_date', post_time = '$post_time', last_updated = '$last_updated', status = '1'";
                Run($conn, $cashFlowSQL);
            }

            $purchaseData = GetRow(Run($conn, "SELECT cr, dr FROM tbl_purchases WHERE id = '$invoice'"));
            $currentCr = $purchaseData['cr'];
            $currentDr = $purchaseData['dr'];

            // Calculate the difference
            $difference = $currentCr - ($currentDr + $amount);

            // Determine the type
            $type = ($difference < 1) ? 'Paid' : 'Pending';

            // Update the tbl_purchases record
            $updatePurchaseSQL = "UPDATE tbl_purchases SET 
                                        dr = dr + '$amount', 
                                        type = '$type',
                                        PaidBy = '$Paid_title'
										WHERE id = '$invoice'";
            Run($conn, $updatePurchaseSQL);

            if ($type == 'cr') {
                $total_supplier_R = GetRow(Run($conn, "SELECT sum(cr) AS total_supplier_cr, sum(dr) AS total_supplier_dr FROM tbl_sup_payments WHERE supplier_id = '$supplier_id'"));
                $total_supplier_cr = $total_supplier_R['total_supplier_cr'] + $amount;
                $total_supplier_dr = $total_supplier_R['total_supplier_dr'];
                $total_supplier_balance = $total_supplier_cr - $total_supplier_dr;
                $strSQL = "INSERT INTO tbl_sup_payments SET
                                    bill_id         = '" . ($invoice) . "',
                                    supplier_id     = '" . ($supplier_id) . "',
                                    cr              = '" . ($amount) . "',
                                    balance         = '" . ($total_supplier_balance) . "',
                                    description     = '" . ($description) . "',
									PaidBy          = '" . ($Paid_title) . "',
                                    post_date       = '$post_date',
                                    post_time       = '$post_time',
                                    last_updated    = '$last_updated',
                                    status          = '1'";
                Run($conn, $strSQL);

                $ID = mysqli_insert_id($conn);
                if ($adjust_balance == 0) {
                    $cash_flow_desc = 'Supplier Payment ID: ' . $ID . ' - ' . $suppName . '. ' . $description;
                    $cashFlowBalanceR = GetRow(Run($conn, "SELECT sum(dr) AS debitCash, sum(cr) AS creditCash FROM tbl_daily_cash WHERE status = '1' AND post_date = '$post_date'"));
                    $debitCash  = $cashFlowBalanceR['debitCash'] + $amount;
                    $creditCash = $cashFlowBalanceR['creditCash'];
                    $cashBalance = $debitCash - $creditCash;
                    $cashFlowSQL = "INSERT INTO tbl_daily_cash SET description = '$cash_flow_desc', dr = '$amount', cr = '0', balance = '$cashBalance',  month = '$post_month', year = '$post_year', post_date = '$post_date', post_time = '$post_time', last_updated = '$last_updated', status = '1' ";
                    Run($conn, $cashFlowSQL);
                }
            }

            redirect_to('../suppliers', 'success', 'payment-inserted');
        } else {
            redirect_to('../suppliers', 'error', 'payment-insertion');
        }
    }
}
?>