<?php 

$page		= 'productReport';

require_once('sessionp.php');
require_once('includes/connection.php');
require_once('includes/functions.php');

$start_day   = '01';
$start_month = date("m");
$start_year  = date("Y");
$start_date = $start_year.'-'.$start_month.'-'.$start_day;
$end_date   = date("Y-m-d");
$date_check = getValue('date_check');
if($date_check == 'true')
	{
		$start_date = getValue('date_from');
		$end_date   = getValue('date_to');
	}
$register_date = date("Y-m-d");
$reg_date_check = getValue('reg_date_check');
if($reg_date_check == 'true')
	{
		$register_date = getValue('register_date'); 
	}


$module	  = 'reports';
$range 	   = 'true';
$pageTitle   = 'Products Report ('.$start_date.' to '.$end_date.')';
$pageRole    = 'table';
$reportRS    = Run($conn,"select * from tbl_products where status = '1'");

include 'MasterTop.php';
include 'Top.php';
include 'SideBar.php'; 

$pageTitle = 'Items Report';
  
?>
<style>
.buttons-print {
	border: 1px solid;
	padding: 5px 10px;
	border-radius: 3px;
}
</style>
<div id="content" class="bg-container">
	<?php include 'Header.php'; ?>
	
	<div class="outer">
		<div class="inner bg-light lter bg-container">
			<div class="row">
				<div class="col-xs-12 data_tables"> 
					<!-- BEGIN EXAMPLE1 TABLE PORTLET-->
					<div class="card">
						<div class="card-block" style="margin-top:60px;">
							<table class="table table-striped table-bordered table-hover" id="sample_1">
								<thead> 
									<tr>
										<th>#</th>
										<th>Product</th>  
										<th>P. Category</th>
										<th style="text-align:right;">Sale Price</th> 
										<th style="text-align:right;">Qty Sold</th>
										<th style="text-align:right;">Amount (Rs)</th>
										<th style="text-align:right;">Avg Price</th>
									</tr>
								</thead>
								<tbody>
								<?php 
								$i = 1;
								while($reportR = GetRow($reportRS)){
								$reportID = $reportR['id']; 
								$saleR = GetRow(Run($conn,"select sum(quantity_sold) as sale_quantity, sum(total_sale_price) as sale_amount from tbl_sales_items where product_id = '$reportID' and type = '0' and status = '1' and post_date >= '$start_date' and post_date <= '$end_date'"));
								 
								$sale_quantity = $saleR['sale_quantity'];
								$sale_amount   = $saleR['sale_amount'];
								
								  
								?>
									<tr>
										<td><?php echo $i; ?></td>
										<td><?php echo $reportR['title'].' <small style="display:none;">'.showTitle($conn,'tbl_units', $reportR['unit']); ?></small></td>
										<td><?php  $c_id = $reportR['category_id']; echo showTitle($conn, 'tbl_products_cat', $c_id)?></td>
										<td style="text-align:right;"><?php echo $reportR['price']; ?></td>
										<td style="text-align:right;"><?php echo number_format($sale_quantity,0); ?></td> 
										<td style="text-align:right;"><?php echo $sale_amount; ?></td> 
										<td style="text-align:right;"><?php echo round($sale_amount/$sale_quantity); ?></td> 
										 
									</tr>
								<?php $i++; } ?>	
								</tbody>
							</table>
						</div>
					</div>
					<!-- END EXAMPLE1 TABLE PORTLET--> 
					
				</div>
			</div>
			<!-- /.inner --> 
		</div>
		<!-- /.outer --> 
	</div>
	<!-- /#content --> 
</div>
<?php include 'Footer.php'; ?>