<?php 

$page		= 'products';

require_once('sessionp.php');
require_once('checkSalesSession.php');

require_once('includes/connection.php');
require_once('includes/functions.php');


$module 	  = 'sales';
$pageTitle   = 'Products';
$pageRole    = 'table';
 

$listRS	 = Run($conn,"select * from tbl_products where status = '1' order by category_id desc, title asc");  

include 'MasterTop.php';
include 'Top.php';
include 'SideBar.php';
?>
<style>
.buttons-print {
    border: 1px solid #b2b2b2;
    padding: 3px 7px;
    border-radius: 3px;
    background: linear-gradient(135deg, #6A82FB, #FC5C7D);
    color: white;
}

.btn-success, .btn-view-pdf, .btn-view-send {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    position: relative;
    overflow: hidden;
    transition: box-shadow .3s;
    box-shadow: 0 8px 20px rgba(0, 0, 0, 0.12);
    color: white;
}

.btn-success::after, .btn-view-pdf::after, .btn-view-send::after {
    content: "";
    position: absolute;
    top: -100%;
    left: -100%;
    width: 200%;
    height: 200%;
    z-index: 1;
    background: linear-gradient(135deg, transparent, rgba(255, 255, 255, 0.4), transparent);
    transform: rotate(45deg);
    pointer-events: none;
    transition: top 0.5s, left 0.5s;
}

.btn-success:hover::after, .btn-view-pdf:hover::after, .btn-view-send:hover::after {
    top: 100%;
    left: 100%;
}

.btn-success {
    background: linear-gradient(135deg, #8E2DE2, #4A00E0);
    border: none;
    padding: 6px 12px;
    border-radius: 50px 50px 0 50px;
    font-weight: 600;
}

.btn-view-pdf {
    background: linear-gradient(135deg, #FFB75E, #ED8F03);
    border-radius: 50px 50px 0 50px;
    padding: 6px 12px;
}

.btn-view-send {
    background: linear-gradient(135deg, #56ab2f, #a8e063);
    border-radius: 30px 50px 0 50px;
    padding: 6px 15px;
}

.btn-view-pdf i, .btn-view-send i {
    margin-right: 4px;
}

.active-btn {
    background: linear-gradient(135deg, #f54242, #f542a2);
    box-shadow: 0 6px 14px rgba(255,0,0,0.1);
}

@keyframes dance {
    0% { transform: scale(1) rotate(0); }
    20% { transform: scale(1.05) rotate(-5deg); }
    40% { transform: scale(1) rotate(5deg); }
    60% { transform: scale(1.05) rotate(-5deg); }
    80% { transform: scale(1) rotate(5deg); }
    100% { transform: scale(1) rotate(0); }
}

.btn-success:hover, .btn-view-pdf:hover, .btn-view-send:hover {
    animation: dance 0.5s infinite;
}
</style>
<script>
    document.addEventListener('DOMContentLoaded', function () {
        let buttons = document.querySelectorAll('.btn-view-pdf, .btn-success');

        buttons.forEach(button => {
            button.addEventListener('click', function () {

                // Remove active class from all buttonss
                buttons.forEach(btn => btn.classList.remove('active-btn'));

                // Add active class to the clicked button
                this.classList.add('active-btn');
            });
        });
    });
</script>
<div id="content" class="bg-container">
    <?php include 'Header.php'; ?> 
    <div class="modal fade" id="modal-product" role="dialog" aria-labelledby="modalLabelsuccess">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header bg-success">
                    <h4 class="modal-title text-white" id="modalLabelsuccess">New Product</h4>
                </div>
                <div class="modal-body" style="padding-top:0;">
                    <form method="post" action="process/SaveProduct">
                        <input type="hidden" name="bcheck" value="true" />
                        <div class="row"> 
                            <div class="col-lg-6 input_field_sections">
                                <h5>Title<span class="label_desc">(Required)</span></h5>
                                <input type="text" class="form-control" autocomplete="off" name="title"  required="required" />  
                            </div>  
                            <div class="col-lg-6 input_field_sections">
                                <h5>Category <span class="label_desc">(Autofill-Optional)</span></h5>
                                <input type="text" class="form-control" autocomplete="off" id="autofill_cat" name="cat_title" list="cat_list" value="None" >
                                <datalist id="cat_list">
                                    <?php 
                                    $categoriesRS = Run($conn,"select * from tbl_products_cat where status = '1' order by title asc");
                                    while($categoriesR = GetRow($categoriesRS)){
                                    ?>
                                    <option><?php echo $categoriesR['title']; ?></option> 
                                    <?php } ?> 
                                </datalist> 
                            </div> 
                        </div>
                        <div class="row"> 
                            <div class="col-lg-6 input_field_sections">
                                <h5>Sale Price <span class="label_desc">(Required)</span></h5>
                                <input type="number" class="form-control" name="price" required="required"  />
                            </div> 
                            <div class="col-lg-6 input_field_sections">
                                <h5>Unit <span class="label_desc">(Autofill-Required)</span></h5>
                                <input type="text" class="form-control" autocomplete="off" id="autofill_unit" name="unit" list="unit_list" required="required" >
                                <datalist id="unit_list">
                                    <?php 
                                    $unitsRS = Run($conn,"select * from tbl_units order by title asc");
                                    while($unitR = GetRow($unitsRS)){
                                    ?>
                                    <option><?php echo $unitR['title']; ?></option> 
                                    <?php } ?> 
                                </datalist>
                            </div>
                        </div> 
                    </div>
                    <div class="modal-footer">
                        <button type="submit" class="btn btn-success">Save</button>
                        <button class="btn btn-warning" data-dismiss="modal">Cancel</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
    <div class="outer">
        <div class="inner bg-light lter bg-container">
            <div class="row">
                <div class="col-xs-12 data_tables"> 
                    <!-- BEGIN EXAMPLE1 TABLE PORTLET-->
                    <div class="card">
                        <div class="card-block" style="margin-top:60px;">
                            <table class="table table-striped table-bordered table-hover" id="sample_1">
                                <thead>
                                    <tr>
                                        <th>#</th>
                                        <th>ID</th>
                                        <th>Product</th>
                                        <th>Cost (Ingredients)</th>
                                        <th>Category</th>
                                        <th>Price</th>
                                        <th>N/O Order</th>
                                        <th>Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php  
                                    $i=1; 
                                    while ($listR = GetRow($listRS)){ 
                                        $productID = $listR['id']; 
                                        
                                        $recipeCost = '0';
                                        $recipeRS = Run($conn,"select * from tbl_recipe where product_id = '$productID' order by id desc");
                                        while($recipeR = GetRow($recipeRS)){
                                            $itemID = $recipeR['item_id'];
                                            $productStockR = GetRow(Run($conn,"select  price from tbl_items where id = '$itemID' order by id desc"));
                                            $recipeCost = $recipeCost + ($recipeR['item_qty'] * $productStockR['price']);
                                        }

                                        $recipeCost = number_format($recipeCost, 2);
                                    ?>
                                    <tr>
                                        <td><?php echo $i++; ?></td>
                                        <td><?php echo $listR['id']; ?></td>
                                        <td><?php echo $listR['title']; ?></td>
                                        <td><?php 
                                            $pr_ID = $listR['id']; 
                                            $pr_Records = Records(Run($conn,"select * from tbl_recipe where product_id = $pr_ID")); 
                                            echo "Rs ".$recipeCost." (".$pr_Records.")";	
                                        ?></td> 
                                        <td><?php echo showTitle($conn,'tbl_products_cat',$listR['category_id']); ?></td>
                                        <td>Rs <?php echo $listR['price']; ?></td> 
                                        <td><?php echo $listR['total_order']; ?></td>
                                        <td><a href="product?id=<?php echo $listR['id']; ?>" title="View details of <?php echo $listR['title']; ?>" class="btn btn-success btn-view-pdf"> Edit </a>  </td>
                                    </tr>
                                    <?php } ?>
                                </tbody> 
                            </table>
                        </div>
                    </div>
                    <!-- END EXAMPLE1 TABLE PORTLET-->                     
                </div>
            </div>
            <!-- /.inner --> 
        </div>
        <!-- /.outer --> 
    </div>
    <?php include 'ContentFooter.php'; ?>
    <!-- /#content --> 
</div>
<?php include 'Footer.php'; ?> 