<?php 

$page		= 'purchase';

require_once('sessionp.php');
require_once('checkAccountsSession.php');

require_once('includes/connection.php');
require_once('includes/functions.php');

$view_bill_id = getValue('id');
$billR = GetRow(Run($conn,"select * from tbl_purchases where status = '1' and id = '$view_bill_id'"));
$billPurchaseR = GetRow(Run($conn,"select sum(total_cost) as bill_amount, sum(supplier_cost) as total_supplier_cost, sum(transport_exp) as total_transport_exp, sum(labor_exp) as total_labor_exp, transport_type from tbl_pur_items where status = '1' and bill_id = '$view_bill_id'"));
if($billPurchaseR['transport_type'] == 1)
	{
		$total_supplier_cost = ($billPurchaseR['total_supplier_cost']);
		$total_transport_cost = '0';
		$total_transport_on_supplier = $billPurchaseR['total_transport_exp'];
		
	}
	else
	{
		$total_supplier_cost = $billPurchaseR['total_supplier_cost'];
		$total_transport_cost = $billPurchaseR['total_transport_exp'];
		$total_transport_on_supplier = '0';
	}


$module	 = 'purchases';
$pageTitle = 'Purchase ID: '.$view_bill_id;
//$pageRole  = 'form';

include 'MasterTop.php';
include 'Top.php';
include 'SideBar.php';
?>
<style>
.buttons-print {
	border: 1px solid;
	padding: 5px 10px;
	border-radius: 3px;
}
.card:hover {
	box-shadow: none;
}
.input_field_sections {
	margin-top: 15px;
}
</style>
<div id="content" class="bg-container">
    <?php include 'Header.php'; ?>
    <div class="outer">
        <div class="inner bg-light lter bg-container">
            <div class="row">
                <div class="col-lg-12" style="margin-bottom:10px;">
                    <div class="card">
                        <div class="card-block"> 
                            <div class="container">
                                <div class="table-responsive m-t-35">
                                    <table class="table table-bordered">
                                        <thead>
                                            <tr>
                                                <th>#</th>
                                                <th>Product</th>
                                                <th>Quantity</th>  
                                                <th>Supplier Unit Cost</th>
                                                <th>Supplier Total Cost</th>
                                                <th>GST</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <?php 
                                            $i = 1;
                                            $purchasesRS = Run($conn, "select * from tbl_pur_items where bill_id = '$view_bill_id' and status = '1' order by id desc");
                                            while ($purchasesR = GetRow($purchasesRS)) {
                                            ?>
                                                <tr>
                                                    <td><?php echo $i; ?></td>
                                                    <td width="25%"><?php echo showTitle($conn, 'tbl_items', $purchasesR['product_id']); ?></td>
                                                    <td><?php echo number_format($purchasesR['quantity'], 3); ?></td> 
                                                    <td><?php echo number_format(($purchasesR['supplier_cost'] / $purchasesR['quantity']), 2); ?></td>
                                                    <td><?php echo number_format($purchasesR['supplier_cost'], 2); ?></td>
                                                    <td><?php if ($purchasesR['transport_type'] == 1) { echo '0.00'; } else { echo number_format($purchasesR['transport_exp']); } ?></td>
                                                </tr>
                                                <?php $i++; } ?>
                                        </tbody>
                                    </table>
                                </div>
                            </div>  

                            <div class="container">
                                <div class="col-md-5 pull-right" style="background-color:#f5f5f5; border:1px solid #CCC; padding-bottom:20px;">
                                    <div class="card-header" style="padding-left:0;"> <strong>Bill Summary</strong></div>
                                    <div class="col-lg-12 input_field_sections"> <strong>Date: &nbsp;</strong><?php echo $billR['post_date']; ?> </div>
                                    <div class="col-lg-12 input_field_sections"> <strong>Purchase ID: &nbsp;</strong><?php echo $billR['id']; ?> </div>  
                                    <?php /*?><div class="col-lg-12 input_field_sections"> <strong>Type: &nbsp;</strong><?php if($billR['type'] == 0){ echo 'Purchase';} else{ echo 'Return'; } ?> </div> <?php */?>
                                    <div class="col-lg-12 input_field_sections"> <strong>Supplier: &nbsp;</strong>
                                        <a href="supplier?id=<?php echo $billR['supplier_id']; ?>" title="View details of <?php echo showTitle($conn, 'tbl_suppliers', $billR['supplier_id']); ?>"><?php echo showTitle($conn, 'tbl_suppliers', $billR['supplier_id']); ?></a>
                                    </div> 
                                    <?php if ($billR['details'] != '') { ?>
                                        <div class="col-lg-12 input_field_sections"> <strong>PaidBy-BillNo: &nbsp;</strong><?php echo $billR['details']; ?> </div>
                                    <?php } ?> 
                                    <div class="col-lg-12 input_field_sections">
                                        <table class="table table-bordered">
                                            <thead>
                                                <tr>
                                                    <th colspan="2">Cost Summary</th>
                                                </tr>
                                            </thead> 
                                            <tbody>
                                                <tr>
                                                    <td>Supplier Cost</td> 
                                                    <td style="text-align:right;">Rs <?php echo number_format($total_supplier_cost, 2); ?></td> 
                                                </tr>  
                                                <tr>
                                                    <td>GST</td> 
                                                    <td style="text-align:right;">Rs <?php echo number_format($total_transport_cost, 2); ?></td> 
                                                </tr>  
                                                <tr>
                                                    <td>Labor Cost</td>
                                                    <td style="text-align:right;">Rs <?php echo number_format($billPurchaseR['total_labor_exp'], 2); ?></td>
                                                </tr>
                                                <tr>
                                                    <td>Total Cost</td>
                                                    <td style="text-align:right;">Rs <?php echo number_format($billPurchaseR['bill_amount'], 2); ?></td>
                                                </tr> 
                                            </tbody>
                                        </table>
                                    </div>
                                    <div class="col-lg-12 input_field_sections">
                                        <a target="_blank" href="printPurchase?id=<?php echo $view_bill_id; ?>" title="Print"><i class="fa fa-print"></i> Print</a>
                                    </div> 
                                </div> 
                            </div>
                        </div>
                    </div>
                </div>
                <!-- /.inner --> 
            </div>
            <!-- /.outer --> 
        </div>
        <!-- /#content --> 
    </div>
    <?php include 'Footer.php'; ?>
</div>
