<?php 
$page = 'reports';

require_once('sessionp.php');
require_once('checkSalesSession.php');

require_once('includes/connection.php');
require_once('includes/functions.php');

$view_order_id = getValue('id');
$start_date = getValue('start');
$end_date = getValue('end');
$orderR = Run($conn, "SELECT * FROM tbl_pur_items WHERE status = '1' AND category_id = '$view_order_id' AND post_date >= '$start_date' AND post_date <= '$end_date' ORDER BY post_date ASC");

$module = 'reports';
$pageTitle = 'reports ID: '.$view_order_id;

//$pageRole  = 'form';

include 'MasterTop.php';
include 'Top.php';
include 'SideBar.php';
?>

<style>
.buttons-print {
    border: 1px solid;
    padding: 5px 10px;
    border-radius: 3px;
}

.card:hover {
    box-shadow: none;
}

.input_field_sections {
    margin-top: 15px;
}
</style>

<div id="content" class="bg-container">
    <?php include 'Header.php'; ?>
    <div class="outer">
        <div class="inner bg-light lter bg-container">
            <div class="row">
                <div class="col-lg-12" style="margin-bottom:10px;">
                    <div class="card" style="min-height:1000px;">
                        <div class="card-block">
                            <div class="row">
                                <div class="card-block">
                                    <div class="table-responsive m-t-35">
                                        <table class="table table-bordered">
                                            <thead>
                                                <tr>
                                                    <th>#</th>
                                                    <th>Date</th>
													<th>Invoice No</th>
                                                    <th>Item</th>
                                                    <th>Unit Price Rs</th>
                                                    <th>Quantity</th>
                                                    <th>Total Price Rs</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <?php 
                                                $i = 1;
                                                while ($cartR = GetRow($orderR)) {
                                                    $ID = $cartR['id'];
                                                ?>
                                                    <tr class="text-danger">
                                                        <td><?php echo $i; ?></td>
                                                        <td width="15%"><?php echo $cartR['post_date']; ?></td>
														<td width="15%"><?php echo $cartR['bill_id']; ?></td>
                                                        <td width="15%"><?php echo showTitle($conn, 'tbl_items', $cartR['product_id']) ?></td>
                                                        <td width="15%"><?php echo $cartR['unit_cost']; ?></td>
                                                        <td width="15%"><?php echo $cartR['quantity']; ?></td>
                                                        <td width="15%"><?php echo $cartR['total_cost']; ?></td>
                                                    </tr>
                                                <?php 
                                                    $i++;
                                                } 
                                                ?>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- /.inner --> 
            </div>
            <!-- /.outer --> 
        </div>
        <!-- /#content --> 
    </div>
</div>

<?php include 'Footer.php'; ?>