<?php
$page = 'sales-history';
require_once('sessionp.php');
require_once('checkSalesSession.php');
require_once('includes/connection.php');
require_once('includes/functions.php');

$start_date = $_GET['start_date'];
$end_date = $_GET['end_date'];

$module = 'sales';
$pageTitle = 'Sales ' . $start_date . ' to ' . $end_date . '';

include 'MasterTop.php';
include 'Top.php';
$listRS = Run($conn, "SELECT * FROM tbl_sales WHERE post_date >= '$start_date' AND post_date <= '$end_date' AND status = 1 ORDER BY id DESC");
?>
<style>
    .centerCanvas {
        display: block;
        margin: 0 auto;
    }

    .body {
        background-color: #FFFFFF;
        color: #000000;
        font-family: Arial, Helvetica, sans-serif;
        font-size: 12px;
    }

    .custom-styling {
        font-size: 40px;
        font-weight: bold;
        font-family: Arial, sans-serif;
        color: black;
    }

    .table-container {
        width: 100%;
    }

    .table-container table {
        width: 30%;
        float: left;
        margin-right: 5px; /* Adjust the space between tables by changing this value */
    }

    .table-container table:nth-child(2) {
        width: 68%;
        margin-left: 5px; /* Adjust the space between tables by changing this value */
    }
    .sales-summary {
        font-size: 18px; /* Adjust the size as needed */
    }
</style>
<div id="content" class="bg-container">
    <?php include 'Header.php'; ?>
    <div class="outer">
        <div class="inner bg-light lter bg-container">
            <div class="row">
                <div class="col-xs-12 data_tables">
                    <div class="card">
                        <div class="card-block" style="margin-top: 60px;">
                            <!-- Table -->
                            <table class="table table-striped table-bordered table-hover" id="sample_1">
                                <!-- Table header -->
                                <thead>
                                    <tr>
                                        <th>#</th>
                                        <th>ID</th>
                                        <th>Date</th>
                                        <th style="text-align:right;">Cancelled</th>
                                        <th style="text-align:right;">Sub Total</th>
                                        <th style="text-align:right;">Old Tax</th>
                                        <th style="text-align:right;">Discount</th>
                                        <th style="text-align:right;">Tax 15%</th>
                                        <th style="text-align:right;">Tax 5%</th>
                                        <th style="text-align:right;">Grand Total</th>
                                        <th style="text-align:right;">Bank</th>
                                        <th width="10%">Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <!-- Loop through each sale record -->
                                    <?php
                                    $i = 1;
                                    $t_cancel = 0;
                                    $t_sub_total = 0;
                                    $t_tax = 0;
                                    $t_delivery = 0;
                                    $t_service = 0;
                                    $t_discount = 0;
                                    $t_grand = 0;
                                    $t_received = 0;
                                    $salesData = [];
                                    $labels = [];
                                    while ($listR = GetRow($listRS)) {
                                        $cancelorderid = $listR['id'];
                                        // Collect data for chart
                                        $labels[] = date('d', strtotime($listR['post_date']));
                                        $salesData[] = $listR['grand_total']; // Store only Grand Total
                                    ?>
                                        <tr>
                                            <!-- Output sale details -->
                                            <td><?php echo $i++; ?></td>
                                            <td><?php echo $listR['id']; ?></td>
                                            <td><?php echo $listR['post_date']; ?></td>
                                            <td style="text-align:right;"><?php $cancelled_in_orderamountR = GetRow(Run($conn, "select sum(total_sale_price) as c_total_amount from tbl_sales_items where order_id = '$cancelorderid' and status = '0'")); echo number_format($cancelled_in_orderamountR['c_total_amount']); ?></td>
                                            <td style="text-align:right;"><?php echo number_format($listR['total_amount']); ?></td>
                                            <td style="text-align:right;"><?php echo number_format($listR['tax_amount']); ?></td>
                                            <td style="text-align:right;"><?php echo number_format($listR['delivery_charges']); ?></td>
                                            <td style="text-align:right;"><?php echo number_format($listR['service_charges']); ?></td>
                                            <td style="text-align:right;"><?php echo number_format($listR['discount']); ?></td>
                                            <td style="text-align:right;"><?php echo number_format($listR['total_amount'] - $listR['delivery_charges'] + $listR['service_charges'] + $listR['discount']); ?></td>
                                            <td style="text-align:right;"><?php echo number_format($listR['amount_received']); ?></td>
                                            <td>
                                                <a class="btn btn-success btn-sm" href="sale?id=<?php echo $listR['id']; ?>">Details</a>
                                            </td>
                                        </tr>
                                    <?php
                                        // Update totals
                                        $t_cancel += $cancelled_in_orderamountR['c_total_amount'];
                                        $t_sub_total += $listR['total_amount'];
                                        $t_tax += $listR['tax_amount'];
                                        $t_delivery += $listR['delivery_charges'];
                                        $t_service += $listR['service_charges'];
                                        $t_discount += $listR['discount'];
                                        $t_grand += $listR['total_amount'] - $listR['delivery_charges'] + $listR['service_charges'] + $listR['discount'];
                                        $t_received += $listR['amount_received'];
                                        // Convert start and end dates to DateTime objects
                                        $start_datetime = new DateTime($start_date);
                                        $end_datetime = new DateTime($end_date);

                                        // Calculate the difference in days
                                        $interval = $start_datetime->diff($end_datetime);
                                        $totalDays = $interval->days + 1; // Add 1 to include both start and end dates										
                                    }
                                    ?>
                                </tbody>
                                <!-- Table footer -->
                                <tfoot>
                                    <tr>
                                        <th colspan="3"></th>
                                        <th style="text-align:right;"><?php echo number_format($t_cancel); ?></th>
                                        <th style="text-align:right;"><?php echo number_format($t_sub_total); ?></th>
                                        <th style="text-align:right;"><?php echo number_format($t_tax); ?></th>
                                        <th style="text-align:right;"><?php echo number_format($t_delivery); ?></th>
                                        <th style="text-align:right;"><?php echo number_format($t_service); ?></th>
                                        <th style="text-align:right;"><?php echo number_format($t_discount); ?></th>
                                        <th style="text-align:right;"><?php echo number_format($t_grand); ?></th>
                                        <th style="text-align:right;"><?php echo number_format($t_received); ?></th>
                                        <th> &nbsp; </th>
                                    </tr>
                                </tfoot>
                            </table>
                            <!-- Sale details paragraph -->
                            <p class="sales-summary">
                                Sales are from <?php echo $start_date; ?> to <?php echo $end_date; ?>.
                                The total sale amount is <?php echo number_format($t_grand); ?>.
                                The average daily sale is <?php echo number_format($t_grand / $totalDays); ?>.
                            </p>
                            <!-- Chart -->
                            <canvas id="salesChart" class="centerCanvas" width="1200" height="400"></canvas>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <?php include 'ContentFooter.php'; ?>
</div>
<?php include 'Footer.php'; ?>

<style>
    @media print {
        canvas {
            display: block;
            page-break-inside: avoid;
        }
    }
</style>
<script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/3.7.0/chart.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/chartjs-plugin-datalabels"></script>
<script>
    // Create chart
    var ctx = document.getElementById('salesChart').getContext('2d');
    var chart = new Chart(ctx, {
        type: 'line',
        data: {
            labels: <?php echo json_encode($labels); ?>,
            datasets: [{
                label: 'Grand Total',
                data: <?php echo json_encode($salesData); ?>,
                borderColor: 'rgba(255, 99, 132, 1)',
                tension: 0.1
            }]
        },
        options: {
            plugins: {
                legend: {
                    display: false
                },
                datalabels: {
                    color: '#000',
                    align: 'top',
                    formatter: function(value, context) {
                        return value.toLocaleString('en-US', {
                            style: 'currency',
                            currency: 'PKR'
                        });
                    }
                }
            },
            scales: {
                x: {
                    display: true,
                    title: {
                        display: true,
                        text: 'Date' 
                    }
                },
                y: {
                    display: true,
                    title: {
                        display: true,
                        text: 'Grand Total Value'
                    }
                }
            }
        }
    });
</script>
<script>
    window.onload = function() {
        window.print();
    }
</script>