<?php 

require_once('sessionp.php');
require_once('checkSalesSession.php');

require_once('includes/connection.php');
require_once('includes/functions.php');

$newOrder = 'no';
$sale_id = trim(getValue('id')); 
  
if($sale_id == '')
{
	$newOrder = 'yes';
	$pageTitle = 'New Sale'; 
}
else
{
	$saleR  = GetRow(Run($conn,"select * from tbl_sales where id = '$sale_id' "));
  $sale_id = $saleR['id'];
  $cusID = $saleR['customer_id'];
  $cusR = GetRow(Run($conn, "SELECT * FROM tbl_customers WHERE id = '$cusID'"));

  $reward_discount = '0';
  $RewardSQL = "SELECT
                  SUM(amount_in)-SUM(amount_out) AS reward_discount
                FROM
                  tbl_reward_points
                WHERE
                  customer_id = '$cusID'
              ";
  $rewardR = GetRow(Run($conn, $RewardSQL));

  $reward_points = '0';

  if($rewardR['reward_discount'] > 0){
    $reward_points = $rewardR['reward_discount']/0.03;
  }


	if($saleR['status'] == 1)
	{
		redirect_to('sale','id', $sale_id); 
	}
	else
	{
		$pageTitle = 'Sale ID: '.$sale_id;
	}
}

$page		= 'order';
$pageRole  	= 'form';

include 'MasterTop.php';
include 'Top.php';
include 'SideBar.php';
?>
<style>
.buttons-print {
	border: 1px solid;
	padding: 5px 10px;
	border-radius: 3px;
}
.card:hover {
	box-shadow: none;
}
.input_field_sections {
	margin-top: 15px;
}
.cus_tab{
    float: right;
}
ul.cus_tab li {
  display:inline !important;
}
</style>
<div id="content" class="bg-container">
    <?php include 'Header.php'; ?>

    <div class="outer">
        <div class="inner bg-light lter bg-container">
            <div class="row">
                <div class="col-lg-12">
                    <div class="card">
                        <div class="card-header bg-white"> 
                            Sale Information (Reward Points: <?php echo number_format($reward_points); ?>)  
                            <?php if(!$sale_id){?> 
                                <ul class="nav nav-pills pull-right cus_tab">
                                    <li <?php if(!$sale_id){?> class="active" <?php } ?>>
                                        <a href="#1a" data-toggle="tab" class="btn btn-success btn-sm">New Customer</a>
                                    </li>
                                    <li <?php if($sale_id){?> class="active" <?php } ?>>
                                        <a href="#2a" data-toggle="tab" class="btn btn-primary btn-sm">Existing Customer</a>
                                    </li> 
                                </ul>
                            <?php } ?>
                        </div>

                        <div class="card-block">
                            <div class="tab-content clearfix">
                                <div class="tab-pane <?php if(!$sale_id){?> active <?php } ?>" id="1a">
                                    <div class="row">
                                        <div class="col-lg-12 input_field_sections">
                                            <form method="post" action="process/StartSale">
                                                <input type="hidden" name="bcheck" value="true" />
                                                <div class="row">
                                                    <div class="col-lg-3 input_field_sections">
                                                        <h5>Customer <span class="label_desc">(Autofill-Required)</span></h5>
                                                        <input type="text" class="form-control" autocomplete="off" id="autofill_customer" name="customer_title" list="customer_list" required="required" value="<?php if($saleR['customer_id'] != ''){ echo showTitle($conn,'tbl_customers',$saleR['customer_id']); } else { echo "Guest Customer"; } ?>"> 
                                                    </div>
                                                    <div class="col-lg-3 input_field_sections">
                                                        <h5>Service <span class="label_desc">(Autofill-Required)</span></h5>
                                                        <input type="text" class="form-control" autocomplete="off" id="autofill_service" name="service_title" list="service_list" required="required" value="<?php if($saleR['service_id'] != ''){ echo showTitle($conn,'tbl_sale_services',$saleR['service_id']); } else { echo "Take Away"; } ?>">
                                                        <datalist id="service_list">
                                                            <?php 
                                                            $servicesRS = Run($conn,"select * from tbl_sale_services where status = '1' order by title asc");
                                                            while($servicesR = GetRow($servicesRS)){
                                                            ?>
                                                                <option><?php echo $servicesR['title']; ?></option>
                                                            <?php } ?>
                                                        </datalist> 
                                                    </div>
                                                    <div class="col-lg-3 input_field_sections">
                                                        <h5>Type</h5>
                                                        <select name="type_id" id="c_type_id" class="form-control">
                                                            <option value="1" selected >Guest Customer</option>
                                                            <option value="2" >Basic Customer</option>
                                                            <option value="3" >VIP Customer</option>
                                                        </select>
                                                    </div>
                                                    <div class="col-lg-3 input_field_sections">
                                                        <h5>Contact Number <span class="label_desc">(Optional)</span></h5>
                                                        <input autocomplete="off" id="c_phone" type="text" class="form-control" name="phone" value="" />
                                                    </div>
                                                    <div class="col-lg-3 input_field_sections">
                                                        <h5>Address <span class="label_desc">(Optional)</span></h5>
                                                        <input autocomplete="off" type="text" id="c_address" class="form-control" name="address" value=""  />
                                                    </div>
                                                </div>
                                                <div class="row">
                                                    <div class="col-lg-3 input_field_sections">
                                                        <h5>KOT <span class="label_desc">(Optional)</span></h5>
                                                        <input type="text" class="form-control" autocomplete="off" id="kot_no" name="kot_no" value="<?php echo $saleR['kot_no']; ?>">
                                                    </div>
                                                    <div class="col-lg-6 input_field_sections">
                                                        <h5>Sale Notes <span class="label_desc">(Optional)</span></h5>
                                                        <input type="text" name="details" value="<?php echo $saleR['details']; ?>" class="form-control" /> 
                                                    </div>
                                                </div>
                                                <div class="row">
                                                    <div class="col-lg-12 input_field_sections">
                                                        <?php 
                                                        if($newOrder=='yes')
                                                        {
                                                        ?>
                                                            <input type="hidden" name="startsale" value="true" />
                                                            <input type="hidden" name="sale_id" value="<?php echo $sale_id; ?>" />
                                                            <button type="submit" class="btn btn-success" >Start</button>
                                                        <?php 
                                                        }
                                                        else
                                                        {
                                                        ?>
                                                            <input type="hidden" name="startsale" value="false" />
                                                            <input type="hidden" name="sale_id" value="<?php echo $sale_id; ?>" />
                                                            <button type="submit" class="btn btn-success" >Update</button> 
                                                        <?php 
                                                        }
                                                        ?>
                                                    </div>
                                                </div>
                                            </form>
                                        </div>
                                    </div>
                                </div>                          
                                <div class="tab-pane <?php if($sale_id){?> active <?php } ?>" id="2a">
                                    <div class="row">
                                        <div class="col-lg-12 input_field_sections">
                                            <form method="post" action="process/StartSale">
                                                <input type="hidden" name="bcheck" value="true" />
                                                <input type="hidden" name="sale_type" value="existing_customer" />
                                                <div class="row">
                                                    <div class="col-lg-3 input_field_sections">
                                                        <h5>Customer <span class="label_desc">(Autofill-Required)</span></h5>
                                                        <select class="form-control chzn-select" name="customer_title" onchange="GetCustDetails(this.value)">
                                                            <option disabled selected>Choose a customer</option>
                                                            <?php 
                                                            $customersRS = Run($conn,"select * from tbl_customers where status = '1' order by title asc");
                                                            while($customersR = GetRow($customersRS)){ ?>
                                                                <option value="<?php echo $customersR['title']; ?>" <?php if($saleR['customer_id'] == $customersR['id']){ ?> selected <?php } ?>><?php echo $customersR['title']; ?> </option>
                                                            <?php } ?>
                                                        </select> 
                                                    </div>
                                                    <div id="cus_details">
                                                        <div class="col-lg-3 input_field_sections">
                                                            <h5>Type</h5>
                                                            <select name="type_id" id="c_type_id" class="form-control">
                                                                <option value="1" <?php if($cusR['type_id'] == 1){?> selected <?php } ?> >Guest Customer</option>
                                                                <option value="2" <?php if($cusR['type_id'] == 2){?> selected <?php } ?>>Basic Customer</option>
                                                                <option value="3" <?php if($cusR['type_id'] == 3){?> selected <?php } ?>>VIP Customer</option>
                                                            </select>
                                                        </div>
                                                        <div class="col-lg-3 input_field_sections">
                                                            <h5>Contact Number <span class="label_desc">(Optional)</span></h5>
                                                            <input autocomplete="off" id="c_phone" type="text" class="form-control" name="phone" value="<?php echo $cusR['phone']; ?>" />
                                                        </div>
                                                        <div class="col-lg-3 input_field_sections">
                                                            <h5>Address <span class="label_desc">(Optional)</span></h5>
                                                            <input autocomplete="off" type="text" id="c_address" class="form-control" name="address" value="<?php echo $cusR['address']; ?>"  />
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="row">
                                                    <div class="col-lg-3 input_field_sections">
                                                        <h5>Service <span class="label_desc">(Autofill-Required)</span></h5>
                                                        <input type="text" class="form-control" autocomplete="off" id="autofill_service" name="service_title" list="service_list" required="required" value="<?php if($saleR['service_id'] != ''){ echo showTitle($conn,'tbl_sale_services',$saleR['service_id']); } else { echo "Take Away"; } ?>">
                                                        <datalist id="service_list">
                                                            <?php 
                                                            $servicesRS = Run($conn,"select * from tbl_sale_services where status = '1' order by title asc");
                                                            while($servicesR = GetRow($servicesRS)){
                                                            ?>
                                                                <option><?php echo $servicesR['title']; ?></option>
                                                            <?php } ?>
                                                        </datalist> 
                                                    </div>
                                                    <div class="col-lg-3 input_field_sections">
                                                        <h5>KOT <span class="label_desc">(Optional)</span></h5>
                                                        <input type="text" class="form-control" autocomplete="off" id="kot_no" name="kot_no" value="<?php echo $saleR['kot_no']; ?>">
                                                    </div>
                                                    <div class="col-lg-6 input_field_sections">
                                                        <h5>Sale Notes <span class="label_desc">(Optional)</span></h5>
                                                        <input type="text" name="details" value="<?php echo $saleR['details']; ?>" class="form-control" /> 
                                                    </div>
                                                </div>
                                                <div class="row">
                                                    <div class="col-lg-12 input_field_sections">
                                                        <?php 
                                                        if($newOrder=='yes')
                                                        {
                                                        ?>
                                                            <input type="hidden" name="startsale" value="true" />
                                                            <input type="hidden" name="sale_id" value="<?php echo $sale_id; ?>" />
                                                            <button type="submit" class="btn btn-success" >Start</button>
                                                        <?php 
                                                        }
                                                        else
                                                        {
                                                        ?>
                                                            <input type="hidden" name="startsale" value="false" />
                                                            <input type="hidden" name="sale_id" value="<?php echo $sale_id; ?>" />
                                                            <button type="submit" class="btn btn-success" >Update</button> 
                                                        <?php 
                                                        }
                                                        ?>
                                                    </div>
                                                </div>
                                            </form>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php 
if($newOrder=='no' && $sale_id!='')
{
?>   
    <div class="outer">
        <div class="inner bg-light lter bg-container">
            <div class="row">
                <div class="col-lg-12" style="margin-bottom:10px; min-height:300px;">
                    <div class="card">
                        <div class="card-header bg-white"> Cart 
                            <?php if(isset($_GET['error'])){ ?>
                            <span class="text-danger">Error: 
                                <?php echo ucfirst(str_replace("-"," ", getValue('error'))); ?></span>
                            <?php } ?>
                            <?php if(isset($_GET['success'])){ ?>
                            <span class="text-success">Success: 
                                <?php echo ucfirst(str_replace("-"," ", getValue('success'))); ?></span>
                            <?php } ?>
                        </div>
                        <div class="card-block">
                            <div class="row">
                                <form method="post" action="process/AddToSale">
                                    <input type="hidden" name="bcheck" value="true" />
                                    <input type="hidden" name="sale_id" value="<?php echo $sale_id; ?>" />
                                    <div class="col-lg-6 input_field_sections">
                                        <h5>Products</h5>
                                        <select class="form-control chzn-select" name="product_id" onchange="GetPriceQuantity(this.value)">
                                            <option disabled selected>Choose a product</option>
                                            <?php 
                                            $productsRS = Run($conn,"select * from tbl_products where status = '1' order by title asc");
                                            while($productsR = GetRow($productsRS)){
                                                $pid = $productsR['id'];
                                                $tbl_stock_dairyR = GetRow(Run($conn,"select balance_quantity from tbl_stock_dairy where product_id = '$pid' order by id desc limit 1"));
                                                $available_stock = $tbl_stock_dairyR['balance_quantity'];	
                                                //if($available_stock > 0){
                                                ?>
                                                <option value="<?php echo $productsR['id']; ?>"> <?php echo $productsR['id'].' - '.$productsR['title']; ?>
                                                    <?php if($productsR['category_id'] != 0){ echo ' - '.showTitle($conn,'tbl_products_cat', $productsR['category_id']); } ?> 
                                                    <?php // echo ' - '.number_format($available_stock,3); ?>
                                                </option>
                                                <?php // echo ' - '.number_format($productsR['price'],2); ?>
                                            <?php //} 
                                            } ?>
                                        </select>
                                    </div>
                                    <div id="pq_div">
                                        <div class="col-lg-2 input_field_sections">
                                            <h5>Price *</h5>
                                            <input type="number" min="1" id="p_price" class="form-control"  name="sale_price" required="required" disabled="disabled" />
                                        </div>
                                        <div class="col-lg-2 input_field_sections">
                                            <h5>Quantity *</h5>
                                            <input type="number"   id="p_quantity" class="form-control"  name="quantity" required="required" disabled="disabled" />
                                        </div>
                                    </div>
                                    <div class="col-lg-2 input_field_sections">
                                        <h5>&nbsp;</h5>
                                        <button type="submit" class="btn btn-success">Submit</button>
                                    </div>
                                </form>
                            </div>
                            <div class="row">
                                <div class="card-block">
                                    <div class="table-responsive m-t-35">
                                        <table class="table table-bordered">
                                            <thead>
                                                <tr>
                                                    <th>#</th>
                                                    <th>Product</th>
                                                    <th>Unit Price</th>
                                                    <th>Quantity</th>
                                                    <th>Total Price</th>
                                                    <th>Action</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <?php 
                                                $i = 1;
                                                $cartRS = Run($conn,"select * from tbl_sales_items where order_id = '$sale_id'   order by id asc");
                                                $cartRecords = Records($cartRS);
                                                while($cartR = GetRow($cartRS)){ 
                                                ?>
                                                <tr>
                                                    <td><?php echo $i; ?></td>
                                                    <td><?php echo showTitle($conn,'tbl_products', $cartR['product_id']);?>
                                                        <?php if($cartR['details']!=''){ echo '<br /><span class="text-warning">'.$cartR['details'].'</span>'; } ?>
                                                    </td>
                                                    <td width="15%"><?php echo number_format($cartR['sale_price'],2); ?></td>
                                                    <td width="15%"><?php echo number_format($cartR['quantity_sold'],2); ?></td>
                                                    <td width="15%">Rs <?php echo number_format($cartR['total_sale_price'],2); ?></td>
                                                    <td width="18%">
                                                        <button class="btn btn-sm btn-raised btn-primary md-trigger adv_cust_mod_btn" data-toggle="modal" data-target="#modal-note-<?php echo $cartR['id']; ?>">  Note </button>
                                                        <div class="modal fade" id="modal-note-<?php echo $cartR['id']; ?>" role="dialog" aria-labelledby="modalLabelsuccess">
                                                            <div class="modal-dialog" role="document">
                                                                <div class="modal-content">
                                                                    <form method="post" action="process/UpdateNoteCartItem" >
                                                                        <div class="modal-header bg-success">
                                                                            <h4 class="modal-title text-white" >Update Note</h4>
                                                                        </div>
                                                                        <div class="modal-body" style="padding-top:0;">
                                                                            <input type="hidden" name="bcheck" value="true" />
                                                                            <input type="hidden" name="cart_id" value="<?php echo $cartR['id']; ?>" />
                                                                            <input type="hidden" name="sale_id" value="<?php echo $cartR['order_id']; ?>" />
                                                                            <div class="row">
                                                                                <div class="col-lg-12 input_field_sections"> 
                                                                                    <h5>Note <span class="label_desc">(Required)</span></h5>
                                                                                    <textarea  class="form-control" name="details" style="width:80%"  ><?php echo $cartR['details']; ?></textarea> 
                                                                                </div>
                                                                            </div>
                                                                            <span class="label_desc">Last updated: <?php echo date('l jS \of F Y h:i:s A', $listR['last_updated']); ?></span>
                                                                        </div>
                                                                        <div class="modal-footer" style="text-align:left;">
                                                                            <button type="submit" class="btn btn-success">Update</button>
                                                                            <button class="btn btn-warning" data-dismiss="modal">Cancel</button>
                                                                        </div>
                                                                    </form>
                                                                </div>
                                                            </div>
                                                        </div>

                                                        <?php if($cartR['status']==1){ ?>
                                                        <a class="btn btn-danger btn-sm" onclick="return confirm('Are you sure?');" href="process/DeleteSaleItem?id=<?php echo $sale_id; ?>&del=<?php echo $cartR['id']; ?>">Cancel</a>
                                                        <?php } else { ?>Cancelled
                                                        <?php } ?>  
                                                        <?php if($cartR['kitchen_print']==1){ ?> 
                                                        | In Process 
                                                        <?php } ?>
                                                    </td>
                                                </tr>
                                                <?php $i++; } ?>
                                            </tbody>
                                        </table>

                                        <a target="_blank" class="btn btn-success" href="printForKitchen?id=<?php echo $sale_id; ?>" title="Print"><i class="fa fa-print"></i> Print For Kitchen</a> <a target="_blank" class="btn btn-success" href="printSale?id=<?php echo $sale_id; ?>" title="Print"><i class="fa fa-print"></i> Print For Customer</a> 
                                    </div>
                                </div>
                            </div>
                            <?php if($cartRecords > 0){?>
                            <div class="row">
                                <div class="container">
                                    <div class="col-md-12" style=" background-color:#f5f5f5; border:1px solid #CCC; padding-bottom:20px; margin-bottom:20px;">
                                        <div class="card-header"> <strong>Extra Charges</strong></div>
                                        <form method="post" action="process/UpdateSale">
                                            <input type="hidden" name="bcheck" value="true" />
                                            <input type="hidden" name="sale_id" value="<?php echo $sale_id; ?>" />
                                            <div class="row"> 
                                                <div class="col-lg-4 input_field_sections">
                                                    <label>Delivery Charges (Rs)</label>
                                                    <input type="number" name="delivery_charges" value="<?php echo $saleR['delivery_charges']; ?>"   class="form-control" />
                                                </div>
                                                <div class="col-lg-4 input_field_sections">
                                                    <label>Service Charges (%)</label>
                                                    <input type="number" name="service_charges_percent" value="<?php echo $saleR['service_charges_percent']; ?>"  class="form-control" />
                                                </div> 
                                                <div class="col-lg-4 input_field_sections">
                                                    <label>Discount (%)</label>
                                                    <input type="number" name="discount_percent" value="<?php echo $saleR['discount_percent']; ?>"    class="form-control" />
                                                </div>
                                            </div>
                                            <div class="col-lg-12 input_field_sections">
                                                <button type="submit" class="btn btn-primary pull-right" >Apply</button>
                                            </div>
                                        </form>
                                    </div>
                                    <div class="col-md-12 pull-right" style="background-color:#f5f5f5; border:1px solid #CCC; padding-bottom:20px;">
                                        <div class="card-header"> <strong>Payment</strong></div>
                                        <div class="col-lg-12 input_field_sections">
                                            <?php
                                            $totalRSamount = "select sum(total_sale_price) as total_amount from tbl_sales_items where order_id = '$sale_id' and status = '1'";
                                            $totalOrderamount  = GetRow(Run($conn,$totalRSamount));
                                            ?>
                                            <div class="table-responsive" style="margin-top:5px;">
                                                <table class="table table-bordered">
                                                    <tbody>
                                                        <tr>
                                                            <td>Sub Total</td>
                                                            <td style="text-align:right;">Rs <?php echo number_format($totalOrderamount['total_amount']); ?></td>
                                                        </tr>
                                                        <tr>
                                                            <td>Tax (8%)</td>
                                                            <td style="text-align:right;">Rs <?php 
                                            $tax = round(($totalOrderamount['total_amount'] * 8)/100);  echo number_format($tax); ?></td>
                                                        </tr>

                                                        <tr>
                                                            <td>Delivery Charges</td>
                                                            <td style="text-align:right;">Rs <?php echo number_format($saleR['delivery_charges']); ?></td>
                                                        </tr>
                                                        <tr>
                                                            <td>Service Charges</td>
                                                            <td style="text-align:right;">Rs <?php 
                                            $service_charges = round(($totalOrderamount['total_amount'] * $saleR['service_charges_percent'])/100);  echo number_format(round($service_charges)); ?>  </td>
                                                        </tr>
                                                        <tr>
                                                            <td>Discount</td>
                                                            <td style="text-align:right;">(Rs <?php 
                                            $discount = round(($totalOrderamount['total_amount'] * $saleR['discount_percent'])/100);  echo number_format(round($discount)); ?>)</td>
                                                        </tr>
                                                        <?php 
                                                        
                                                        if($rewardR['reward_discount'] >= '150'){
                                                        $reward_discount = $rewardR['reward_discount'];
                                                        ?>
                                                        <tr>
                                                            <td>Discount <small>Gain from Reward Points</small> </td>
                                                            <td style="text-align:right;">(Rs <?php  
                                                                echo number_format($reward_discount,2);
                                                                ?>)</td>
                                                        </tr>
                                                        <?php } ?>
                                                    </tbody>
                                                </tbody>
                                            </table>
                                        </div>
                                        <div class="row">
                                            <script type="text/javascript">
                                                
                                                function set_change_rec()
                                                {
                                                    var a_c = parseFloat(document.getElementById('amount_cash').value);
                                                    var a_rec = parseFloat(<?php echo $grandTotal; ?>);
                                                    if(a_rec < a_c)
                                                    {   
                                                        var a_return = a_c - a_rec;
                                                        document.getElementById('amount_return').value = a_return;
                                                        document.getElementById('amount_received').value = a_rec;  
                                                    }
                                                    else 
                                                    {
                                                        var a_return = 0; 
                                                        document.getElementById('amount_return').value = a_return;
                                                        document.getElementById('amount_received').value = a_c;  
                                                        
                                                    }   

                                                }

                                            </script>
                                            <form method="post" action="process/CompleteSale">
                                                <input type="hidden" name="bcheck" value="true" />
                                                
                                                <input type="hidden" name="sale_id" value="<?php echo $sale_id; ?>" />
                                                <div class="row">
                                                    <div class="col-lg-4">
                                                        <div class="input_field_sections">
                                                            <label>Cash
                                                            </label>
                                                            <input type="number" onchange="set_change_rec();" id="amount_cash" name="amount_cash" value="0" class="form-control" />
                                                        </div>
                                                    </div>
                                                    <div class="col-lg-4">
                                                        <div class="input_field_sections">
                                                            <label>Change
                                                            </label>
                                                            <input type="number" id="amount_return" name="amount_return" value="0" class="form-control" />
                                                        </div>
                                                    </div>
                                                    <div class="col-lg-4">
                                                        <div class="input_field_sections">
                                                            <label>Amount Received
                                                            </label>
                                                            <input type="number" id="amount_received" name="amount_received" value="0" class="form-control" />
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="input_field_sections">
                                                    <button type="submit" class="btn btn-success pull-right" onclick="return confirm('Are you sure?');">Complete Sale</button>
                                                    <a href="process/DeleteSale?order_del=<?php echo $sale_id; ?>" onclick="return confirm('Are you sure?');" class="btn btn-danger pull-right" style="margin-right:10px;">Delete Sale</a> 
                                                </div>
                                            </form>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    <?php }  ?>
                    </div>
                <!-- /.inner --> 
                </div>
            <!-- /.outer --> 
            </div>
        <!-- /#content --> 
        </div>
    </div>
</div>
    <?php } 		  ?>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
<script src="//maxcdn.bootstrapcdn.com/bootstrap/3.2.0/js/bootstrap.min.js"></script>
    <?php include 'Footer.php'; ?>
<script type="text/javascript">
	function getXMLHTTP() { //fuction to return the xml http object
    var xmlhttp=false;  
    try{
      xmlhttp=new XMLHttpRequest();
    }
    catch(e)  {   
      try{      
        xmlhttp= new ActiveXObject("Microsoft.XMLHTTP");
      }
      catch(e){
        try{
        xmlhttp = new ActiveXObject("Msxml2.XMLHTTP");
        }
        catch(e1){
          xmlhttp=false;
        }
      }
    }
      
    return xmlhttp;
    }
 
 function GetPriceQuantity(product_id)
{  
	document.getElementById('p_quantity').disabled = 'disabled'; 
	document.getElementById('p_price').disabled = 'disabled'; 
   var strURL="fetch/Sell_ProductPrice.php?product_id="+product_id;
    
   var req = getXMLHTTP();
  
   if (req)
   {
     req.onreadystatechange = function()
     {
      if (req.readyState == 4)
      {
  // only if "OK" 
  if (req.status == 200)
         {
     document.getElementById('pq_div').innerHTML=req.responseText;  
  } else {
       //alert("There was a problem while using XMLHTTP:\n" + req.statusText);
  }
       }
      }
   req.open("GET", strURL, true);
   req.send(null);
   }
}

function GetCustDetails(customer_title)
{  
	document.getElementById('c_type_id').disabled = 'disabled'; 
	document.getElementById('c_phone').disabled = 'disabled'; 
    document.getElementById('c_address').disabled = 'disabled'; 
   var strURL="fetch/CustomerDetails.php?customer_title="+customer_title;
    
   var req = getXMLHTTP();
  
   if (req)
   {
     req.onreadystatechange = function()
     {
      if (req.readyState == 4)
      {
  // only if "OK" 
  if (req.status == 200)
         {
     document.getElementById('cus_details').innerHTML=req.responseText;  
  } else {
       //alert("There was a problem while using XMLHTTP:\n" + req.statusText);
  }
       }
      }
   req.open("GET", strURL, true);
   req.send(null);
   }
}
  
</script> 
