<?php 

require_once('sessionp.php');
require_once('checkSalesSession.php');

require_once('includes/connection.php');
require_once('includes/functions.php');

$newOrder = 'no';
$sale_id = trim(getValue('id')); 
  
if($sale_id == '')
{
	$newOrder = 'yes';
	$pageTitle = 'New Sale'; 
}
else
{
	$saleR  = GetRow(Run($conn,"select * from tbl_sales where id = '$sale_id' "));
  $sale_id = $saleR['id'];
  $cusID = $saleR['customer_id'];
  $cusR = GetRow(Run($conn, "SELECT * FROM tbl_customers WHERE id = '$cusID'"));

  $reward_discount = '0';
  $RewardSQL = "SELECT
                  SUM(amount_in)-SUM(amount_out) AS reward_discount
                FROM
                  tbl_reward_points
                WHERE
                  customer_id = '$cusID'
              ";
  $rewardR = GetRow(Run($conn, $RewardSQL));

  $reward_points = '0';

  if($rewardR['reward_discount'] > 0){
    $reward_points = $rewardR['reward_discount']/0.00;
  }


	if($saleR['status'] == 1)
	{
		redirect_to('sale','id', $sale_id); 
	}
	else
	{
		$pageTitle = 'Sale ID: '.$sale_id;
	}
}

$page		= 'order';
$pageRole  	= 'form';

include 'MasterTop.php';
include 'Top.php';
include 'SideBar.php';
?>
<style>
.buttons-print {
	border: 1px solid;
	padding: 5px 10px;
	border-radius: 3px;
}
.card:hover {
	box-shadow: none;
}
.input_field_sections {
	margin-top: 15px;
}
.cus_tab{
    float: right;
}
ul.cus_tab li {
  display:inline !important;
}
.btn-success, .btn-view-pdf, .btn-view-send {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    position: relative;
    overflow: hidden;
    transition: box-shadow .3s;
    box-shadow: 0 8px 20px rgba(0, 0, 0, 0.12);
    color: white;
}

.btn-success::after, .btn-view-pdf::after, .btn-view-send::after {
    content: "";
    position: absolute;
    top: -100%;
    left: -100%;
    width: 200%;
    height: 200%;
    z-index: 1;
    background: linear-gradient(135deg, transparent, rgba(255, 255, 255, 0.4), transparent);
    transform: rotate(45deg);
    pointer-events: none;
    transition: top 0.5s, left 0.5s;
}

.btn-success:hover::after, .btn-view-pdf:hover::after, .btn-view-send:hover::after {
    top: 100%;
    left: 100%;
}

.btn-success {
    background: linear-gradient(135deg, #8E2DE2, #4A00E0);
    border: none;
    padding: 6px 12px;
    border-radius: 50px 50px 0 50px;
    font-weight: 600;
}

.btn-view-pdf {
    background: linear-gradient(135deg, #FFB75E, #ED8F03);
    border-radius: 50px 50px 0 50px;
    padding: 6px 12px;
}

.btn-view-send {
    background: linear-gradient(135deg, #56ab2f, #a8e063);
    border-radius: 30px 50px 0 50px;
    padding: 6px 15px;
}

.btn-view-pdf i, .btn-view-send i {
    margin-right: 4px;
}

.active-btn {
    background: linear-gradient(135deg, #f54242, #f542a2);
    box-shadow: 0 6px 14px rgba(255,0,0,0.1);
}

.btn-success:hover, .btn-view-pdf:hover, .btn-view-send:hover {
    animation: dance 0.5s infinite;
}
</style>
<script>
    document.addEventListener('DOMContentLoaded', function () {
        let buttons = document.querySelectorAll('.btn-view-pdf, .btn-success');

        buttons.forEach(button => {
            button.addEventListener('click', function () {

                // Remove active class from all buttons
                buttons.forEach(btn => btn.classList.remove('active-btn'));

                // Add active class to the clicked button
                this.classList.add('active-btn');
            });
        });
    });
</script>	

<div id="content" class="bg-container">
    <?php include 'Header.php'; ?>

    <div class="outer">
        <div class="inner bg-light lter bg-container">
            <div class="row">
                <div class="col-lg-12">
                    <div class="card">
                        <div class="card-header bg-white"> 
                            Sale Information (Reward Points: <?php echo number_format($reward_points); ?>)  
                            <?php if(!$sale_id){?> 
                            <ul class="nav nav-pills pull-right cus_tab" >
                                <li <?php if(!$sale_id){?> class="active" <?php } ?>>
                                    <a href="#1a" data-toggle="tab" class="btn btn-success btn-view-pdf">New Customer</a>
                                </li>
                                <li <?php if($sale_id){?> class="active" <?php } ?>>
                                    <a href="#2a" data-toggle="tab" class="btn btn-success btn-view-pdf">Existing Customer</a>
                                </li> 
                            </ul>
                            <?php } ?>
                        </div>

                        <div class="card-block">
                            <div class="tab-content clearfix">
                                <div class="tab-pane <?php if(!$sale_id){?>active <?php } ?>" id="1a">
                                    <div class="row">
                                        <div class="col-lg-12 input_field_sections">
                                            <form method="post" action="process/StartSale">
                                                <input type="hidden" name="bcheck" value="true" />

                                                <div class="row">
                                                    <div class="col-lg-3 input_field_sections">
                                                        
                                                        <input type="hidden" class="form-control" autocomplete="off" id="autofill_customer" name="customer_title" list="customer_list" required="required" value="<?php if($saleR['customer_id'] != ''){ echo showTitle($conn,'tbl_customers',$saleR['customer_id']); } else { echo "Guest Customer"; } ?>"> 
                                                    </div>

                                                    <div class="col-lg-3 input_field_sections">
                                                        <h5>Type</h5>
                                                        <select name="type_id" class="form-control">
                                                            <option value="1" selected >Guest Customer</option>
                                                            <option value="2" >Basic Customer</option>
                                                            <option value="3" >VIP Customer</option>
                                                        </select>
                                                    </div>

                                                    <div class="col-lg-3 input_field_sections">
                                                        <h5>Post Date <span class="label_desc">(Required)</span></h5>
                                                        <input autocomplete="off" type="date" class="form-control" name="post_date" value="" required />
                                                    </div>

                                                    <div class="col-lg-3 input_field_sections">
                                                        
                                                        <input autocomplete="off" type="hidden"  class="form-control" name="address" value=""  />
                                                    </div>
                                                </div>

                                                <div class="row">
                                                    <div class="col-lg-3 input_field_sections">
                                                        
                                                        <input type="hidden" class="form-control" autocomplete="off" id="autofill_service" name="service_title" list="service_list" required="required" value="<?php if($saleR['service_id'] != ''){ echo showTitle($conn,'tbl_sale_services',$saleR['service_id']); } else { echo "Take Away"; } ?>">
                                                        <datalist id="service_list">
                                                            <?php 
                                                            $servicesRS = Run($conn,"select * from tbl_sale_services where status = '1' order by title asc");
                                                            while($servicesR = GetRow($servicesRS)){
                                                            ?>
                                                            <option><?php echo $servicesR['title']; ?></option>
                                                            <?php } ?>
                                                        </datalist> 
                                                    </div>

                                                    <div class="col-lg-3 input_field_sections">
                                                       
                                                        <input type="hidden" class="form-control" autocomplete="off" id="kot_no" name="kot_no" value="<?php echo $saleR['kot_no']; ?>">
                                                    </div>

                                                    <div class="col-lg-6 input_field_sections">
                                                        
                                                        <input type="hidden" name="details" value="<?php echo $saleR['details']; ?>" class="form-control" /> 
                                                    </div>
                                                </div>

                                                <div class="row">
                                                    <div class="col-lg-12 input_field_sections">
                                                        <?php 
                                                        if($newOrder=='yes')
                                                        {
                                                        ?>
                                                        <input type="hidden" name="startsale" value="true" />
                                                        <input type="hidden" name="sale_id" value="<?php echo $sale_id; ?>" />
                                                        <button type="submit" class="btn btn-success" >Start</button>
                                                        <?php 
                                                        }
                                                        else
                                                        {
                                                        ?>
                                                        <input type="hidden" name="startsale" value="false" />
                                                        <input type="hidden" name="sale_id" value="<?php echo $sale_id; ?>" />
                                                        <button type="submit" class="btn btn-success" >Update</button> 
                                                        <?php 
                                                        }
                                                        ?>
                                                    </div>
                                                </div>
                                            </form>
                                        </div>
                                    </div>
                                </div>

                                <div class="tab-pane <?php if($sale_id){?> active <?php } ?>" id="2a">
                                    <div class="row">
                                        <div class="col-lg-12 input_field_sections">
                                            <form method="post" action="process/StartSale">
                                                <input type="hidden" name="bcheck" value="true" />
                                                <input type="hidden" name="sale_type" value="existing_customer" />
                                                
                                                <div class="row">
                                                    <div class="col-lg-3 input_field_sections">
                                                        <h5>Customer <span class="label_desc">(Autofill-Required)</span></h5>
                                                        <select class="form-control chzn-select" name="customer_title" onchange="GetCustDetails(this.value)">
                                                            <option selected value="Guest Customer">Guest Customer</option>
                                                            <?php 
                                                            $customersRS = Run($conn,"select * from tbl_customers where status = '1' order by title asc");
                                                            while($customersR = GetRow($customersRS)){ ?>
                                                            <option value="<?php echo $customersR['title']; ?>" <?php if($saleR['customer_id'] == $customersR['id']){ ?> selected <?php } ?>><?php echo $customersR['title']; ?> </option>
                                                            <?php } ?>
                                                        </select> 
                                                    </div>
                                                    
                                                    <div id="cus_details">
                                                        <div class="col-lg-3 input_field_sections">
                                                            <h5>Type</h5>
                                                            <select name="type_id" id="c_type_id" class="form-control">
                                                                <option value="1" <?php if($cusR['type_id'] == 1){?> selected <?php } ?> >Guest Customer</option>
                                                                <option value="2" <?php if($cusR['type_id'] == 2){?> selected <?php } ?>>Basic Customer</option>
                                                                <option value="3" <?php if($cusR['type_id'] == 3){?> selected <?php } ?>>VIP Customer</option>
                                                            </select>
                                                        </div>
														
                                                    <div class="col-lg-3 input_field_sections">
                                                        <h5>Post Date <span class="label_desc">(Required)</span></h5>
                                                        <input autocomplete="off" type="date" class="form-control" name="post_date" value="<?php echo $saleR['post_date']; ?>" required />
                                                    </div>
													
                                                        <div class="col-lg-3 input_field_sections">
                                                            
                                                            <input autocomplete="off" id="c_phone" type="hidden" class="form-control" name="phone" value="<?php echo $cusR['phone']; ?>" />
                                                        </div>

                                                        <div class="col-lg-3 input_field_sections">
                                                            
                                                            <input autocomplete="off" type="hidden" id="c_address" class="form-control" name="address" value="<?php echo $cusR['address']; ?>"  />
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="row">
                                                    <div class="col-lg-3 input_field_sections">
                                                        
                                                        <input type="hidden" class="form-control" autocomplete="off" id="autofill_service" name="service_title" list="service_list" required="required" value="<?php if($saleR['service_id'] != ''){ echo showTitle($conn,'tbl_sale_services',$saleR['service_id']); } else { echo "Take Away"; } ?>">
                                                        <datalist id="service_list">
                                                            <?php 
                                                            $servicesRS = Run($conn,"select * from tbl_sale_services where status = '1' order by title asc");
                                                            while($servicesR = GetRow($servicesRS)){
                                                            ?>
                                                            <option><?php echo $servicesR['title']; ?></option>
                                                            <?php } ?>
                                                        </datalist> 
                                                    </div>
                                                    <div class="col-lg-3 input_field_sections">
                                                       
                                                        <input type="hidden" class="form-control" autocomplete="off" id="kot_no" name="kot_no" value="<?php echo $saleR['kot_no']; ?>">
                                                    </div>
                                                    <div class="col-lg-6 input_field_sections">
                                                        
                                                        <input type="hidden" name="details" value="<?php echo $saleR['details']; ?>" class="form-control" /> 
                                                    </div>
                                                </div>
                                                <div class="row">
                                                    <div class="col-lg-12 input_field_sections">
                                                        <?php 
                                                        if($newOrder=='yes')
                                                        {
                                                        ?>
                                                        <input type="hidden" name="startsale" value="true" />
                                                        <input type="hidden" name="sale_id" value="<?php echo $sale_id; ?>" />
                                                        <button type="submit" class="btn btn-success" id="update_btn" >Start</button>
                                                        <?php 
                                                        }
                                                        else
                                                        {
                                                        ?>
                                                        <input type="hidden" name="startsale" value="false" />
                                                        <input type="hidden" name="sale_id" value="<?php echo $sale_id; ?>" />
                                                        <button type="submit" class="btn btn-success" id="update_btn" >Update</button> 
                                                        <?php 
                                                        }
                                                        ?>
                                                    </div>
                                                </div>
                                            </form>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div> 
<?php 
if($newOrder=='no' && $sale_id!='')
{
?>   
    <div class="outer">
        <div class="inner bg-light lter bg-container">
            <div class="row">
                <div class="col-lg-12" style="margin-bottom:10px; min-height:300px;">
                    <div class="card">
                        <div class="card-header bg-white"> Cart 
                            <?php if(isset($_GET['error'])){ ?>
                                <span class="text-danger">Error: 
                                    <?php echo ucfirst(str_replace("-"," ", getValue('error'))); ?>
                                </span>
                            <?php } ?>
                            <?php if(isset($_GET['success'])){ ?>
                                <span class="text-success">Success: 
                                    <?php echo ucfirst(str_replace("-"," ", getValue('success'))); ?>
                                </span>
                            <?php } ?>
                        </div>
                        <div class="card-block">
                            <div class="row">
                                <form method="post" action="process/AddToSale">
                                    <input type="hidden" name="bcheck" value="true" />
                                    <input type="hidden" name="sale_id" value="<?php echo $sale_id; ?>" />
                                    <div class="col-lg-6 input_field_sections">
                                        <h5>Products</h5>
                                        <select class="form-control chzn-select" name="product_id" onchange="GetPriceQuantity(this.value)">
                                            <option disabled selected>Choose a product</option>
                                            <?php 
                                            $productsRS = Run($conn,"select * from tbl_products where status = '1' order by title asc");
                                            while($productsR = GetRow($productsRS)){
                                            $pid = $productsR['id'];
                                            $tbl_stock_dairyR = GetRow(Run($conn,"select balance_quantity from tbl_stock_dairy where product_id = '$pid' order by id desc limit 1"));
                                            $available_stock = $tbl_stock_dairyR['balance_quantity'];   
                                            //if($available_stock > 0){
                                            ?>
                                            <option value="<?php echo $productsR['id']; ?>"> <?php echo $productsR['id'].' - '.$productsR['title']; ?>
                                                <?php if($productsR['category_id'] != 0){ echo ' - '.showTitle($conn,'tbl_products_cat', $productsR['category_id']); } ?> 
                                                <?php // echo ' - '.number_format($available_stock,3); ?>
                                            </option>
                                            <?php // echo ' - '.number_format($productsR['price'],2); ?>
                                            </option>
                                            <?php //} 
                                            } ?>
                                        </select>
                                    </div>
                                    <div id="pq_div">
                                        <div class="col-lg-2 input_field_sections">
                                            <h5>Price *</h5>
                                            <input type="number" min="1" id="p_price" class="form-control"  name="sale_price" required="required" disabled="disabled" />
                                        </div>
                                        <div class="col-lg-2 input_field_sections">
                                            <h5>Quantity *</h5>
                                            <input type="number"   id="p_quantity" class="form-control"  name="quantity" required="required" disabled="disabled" />
                                        </div>
                                    </div>
                                    <div class="col-lg-2 input_field_sections">
                                        <h5>&nbsp;</h5>
                                        <button type="submit" class="btn btn-success">Submit</button>
                                    </div>
                                </form>
                            </div>
                            <div class="row">
                                <div class="card-block">
                                    <div class="table-responsive m-t-35">
                                        <table class="table table-bordered">
                                            <thead>
                                                <tr>
                                                    <th>#</th>
                                                    <th>Product</th>
                                                    <th>Unit Price</th>
                                                    <th>Quantity</th>
                                                    <th>Total Price</th>
                                                    <th>Action</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <?php 
                                                $i = 1;
                                                $cartRS = Run($conn,"select * from tbl_sales_items where order_id = '$sale_id' order by id asc");
                                                $cartRecords = Records($cartRS);
                                                while($cartR = GetRow($cartRS)){ 
                                                ?>
                                                <tr>
                                                    <td><?php echo $i; ?></td>
                                                    <td><?php echo showTitle($conn,'tbl_products', $cartR['product_id']);?>
                                                        <?php if($cartR['details']!=''){ echo '<br /><span class="text-warning">'.$cartR['details'].'</span>'; } ?>

                                                    </td>
                                                    <td width="15%"><?php echo number_format($cartR['sale_price'],2); ?></td>
                                                    <td width="15%"><?php echo number_format($cartR['quantity_sold'],2); ?></td>
                                                    <td width="15%">Rs <?php echo number_format($cartR['total_sale_price'],2); ?></td>
                                                    <td width="18%">
                                                        <button class="btn btn-success btn-view-pdf" data-toggle="modal" data-target="#modal-note-<?php echo $cartR['id']; ?>">Note</button>
                                                        <div class="modal fade" id="modal-note-<?php echo $cartR['id']; ?>" role="dialog" aria-labelledby="modalLabelsuccess">
                                                            <div class="modal-dialog" role="document">
                                                                <div class="modal-content">
                                                                    <form method="post" action="process/UpdateNoteCartItem">
                                                                        <div class="modal-header bg-success">
                                                                            <h4 class="modal-title text-white">Update Note</h4>
                                                                        </div>
                                                                        <div class="modal-body" style="padding-top:0;">
                                                                            <input type="hidden" name="bcheck" value="true" />
                                                                            <input type="hidden" name="cart_id" value="<?php echo $cartR['id']; ?>" />
                                                                            <input type="hidden" name="sale_id" value="<?php echo $cartR['order_id']; ?>" />

                                                                            <div class="row">
                                                                                <div class="col-lg-12 input_field_sections">
                                                                                    <h5>Note <span class="label_desc">(Required)</span></h5>
                                                                                    <textarea class="form-control" name="details" style="width:80%"><?php echo $cartR['details']; ?></textarea>
                                                                                </div>
                                                                            </div>
                                                                            <span class="label_desc">Last updated: <?php echo date('l jS \of F Y h:i:s A', $listR['last_updated']); ?></span>
                                                                        </div>
                                                                        <div class="modal-footer" style="text-align:left;">
                                                                            <button type="submit" class="btn btn-success">Update</button>
                                                                            <button class="btn btn-warning" data-dismiss="modal">Cancel</button>
                                                                        </div>
                                                                    </form>
                                                                </div>
                                                            </div>
                                                        </div>

                                                        <?php if ($cartR['status'] == 1) { ?>
                                                            <a class="btn btn-danger btn-sm" onclick="return confirm('Are you sure?');" href="process/DeleteSaleItem?id=<?php echo $sale_id; ?>&del=<?php echo $cartR['id']; ?>">Cancel</a>
                                                        <?php } else { ?>
                                                            Cancelled
                                                        <?php } ?>
                                                        <?php if ($cartR['kitchen_print'] == 1) { ?>
                                                            | In Process
                                                        <?php } ?>
                                                    </td>

                                                </tr>
                                            <?php $i++;
                                            } ?>
                                        </tbody>
                                    </table>

                                    <a target="_blank" class="btn btn-success" href="printForKitchen?id=<?php echo $sale_id; ?>" title="Print"><i class="fa fa-print"></i> Print For Kitchen</a>
                                    <a target="_blank" class="btn btn-success" href="printSale?id=<?php echo $sale_id; ?>" title="Print"><i class="fa fa-print"></i> Print For Customer</a>

                                </div>
                            </div>
                        </div>
                        <?php if ($cartRecords > 0) { ?>
                            <div class="row">
                                <div class="container">
                                    <div class="col-md-12" style=" background-color:#f5f5f5; border:1px solid #CCC; padding-bottom:20px; margin-bottom:20px;">
                                        <div class="card-header"> <strong>Extra Charges</strong></div>
                                        <form method="post" action="process/UpdateSale">
                                            <input type="hidden" name="bcheck" value="true" />
                                            <input type="hidden" name="sale_id" value="<?php echo $sale_id; ?>" />
                                            <div class="row">
                                                <div class="col-lg-4 input_field_sections">
                                                    <label>Discount</label>
                                                    <input type="number" name="delivery_charges" value="<?php echo $saleR['delivery_charges']; ?>" class="form-control" />
                                                </div>
                                                <div class="col-lg-4 input_field_sections">
                                                    <label>Tax (15%)</label>
                                                    <input type="number" name="service_charges_percent" value="<?php echo $saleR['service_charges_percent']; ?>" class="form-control" />
                                                </div>
                                                <div class="col-lg-4 input_field_sections">
                                                    <label>Tax (5%)</label>
                                                    <input type="number" name="discount_percent" value="<?php echo $saleR['discount_percent']; ?>" class="form-control" />
                                                </div>
                                            </div>
                                            <div class="col-lg-12 input_field_sections">
                                                <button type="submit" class="btn btn-success btn-view-pdf">Apply</button>
                                            </div>
                                        </form>
                                    </div>
                                    <div class="col-md-12 pull-right" style="background-color:#f5f5f5; border:1px solid #CCC; padding-bottom:20px;">
                                        <div class="card-header"> <strong>Payment</strong></div>
                                        <div class="col-lg-12 input_field_sections">
                                            <?php
                                            $totalRSamount = "select sum(total_sale_price) as total_amount from tbl_sales_items where order_id = '$sale_id' and status = '1'";
                                            $totalOrderamount  = GetRow(Run($conn, $totalRSamount));
                                            ?>
                                            <div class="table-responsive" style="margin-top:5px;">
                                                <table class="table table-bordered">
                                                    <tbody>
                                                        <tr>
                                                            <td>Sub Total</td>
                                                            <td style="text-align:right;">Rs <?php echo number_format($totalOrderamount['total_amount']); ?></td>
                                                        </tr>
                                                        <tr>
                                                            <td>Service</td>
                                                            <td style="text-align:right;">Rs <?php $tax = round(($totalOrderamount['total_amount'] * 0) / 100);
                                                                                                echo number_format($tax); ?></td>
                                                        </tr>

                                                        <tr>
                                                            <td>Discount</td>
                                                            <td style="text-align:right;">Rs <?php echo number_format($saleR['delivery_charges']); ?></td>
                                                        </tr>
                                                        <tr>
                                                            <td>Tax (15%)</td>
                                                            <td style="text-align:right;">Rs <?php echo number_format($saleR['service_charges_percent']); ?></td>
                                                        </tr>
                                                        <tr>
                                                            <td>Tax (5%)</td>
                                                            <td style="text-align:right;">(Rs <?php echo number_format($saleR['discount_percent']); ?></td>
                                                        </tr>
                                                        <?php

                                                        if ($rewardR['reward_discount'] >= '150') {
                                                            $reward_discount = $rewardR['reward_discount'];
                                                        ?>
                                                        <?php } ?>
                                                    </tbody>
                                                </table>
                                                <table class="table" border="0">
                                                    <tbody>

                                                        <tr>
                                                            <td style="font-size:18px;">Grand Total</td>
                                                            <td style="text-align:right; font-size:18px;">Rs <?php
                                                                                                                    $grandTotal = round(($totalOrderamount['total_amount'] + $tax - $saleR['delivery_charges'] + $saleR['service_charges_percent'] + $saleR['discount_percent']));
                                                                                                                    echo number_format($grandTotal); ?></td>
                                                        </tr>

                                                        <tr>
                                                            <td style="font-size:18px;">Balance</td>
                                                            <td style="text-align:right; font-size:18px;">
                                                                Rs <?php echo number_format(($grandTotal)); ?> </td>
                                                        </tr>
                                                    </tbody>
                                                </table>
                                            </div>
                                            <div class="row">
                    	<script type="text/javascript">
                    		
                    		function set_change_rec()
                    		{
                    			var a_c = parseFloat(document.getElementById('amount_cash').value);
                    			var a_rec = parseFloat(<?php echo $grandTotal; ?>);
                    			if(a_rec < a_c)
                    			{	
                    			var a_return = a_c - a_rec;
                    			document.getElementById('amount_return').value = a_return;
                    			document.getElementById('amount_received').value = a_rec;  
                    			}
                    			else 
                    			{
                    			var a_return = 0; 
                    			document.getElementById('amount_return').value = a_return;
                    			document.getElementById('amount_received').value = a_c;  
                    				
                    			}	

                    		}

                    	</script>
                                                <form method="post" action="process/CompleteSale">
                                                    <input type="hidden" name="bcheck" value="true" />

                                                    <input type="hidden" name="sale_id" value="<?php echo $sale_id; ?>" />
                                                    <!DOCTYPE html>
                                                    <html>

                                                    <head>
                                                    </head>

                                                    <body>
                                                        <div class="row">
                                                            <div class="col-lg-4">
                                                                <div class="input_field_sections">
                                                                    <label>Bank Transection
                                                                    </label>
                                                                    <input type="number" onchange="calculateGST();" id="amount_GST" value="0" class="form-control" />
                                                                </div>
                                                            </div>
                                                            <div class="col-lg-4">
                                                                <div class="input_field_sections">
                                                                    <label>Percentage
                                                                    </label>
                                                                    <input type="number" onchange="calculateGST();" id="percentage" value="0" class="form-control" />
                                                                </div>
                                                            </div>
                                                            <div class="col-lg-4">
                                                                <div class="input_field_sections">
                                                                    <label>Result
                                                                    </label>
                                                                    <input type="number" id="result" value="0" class="form-control" />
                                                                </div>
                                                            </div>
                                                        </div>

                                                        <script>
                                                        function calculateGST() {
                                                            // Step 1: Read the values from the form
                                                            let amount_bank = parseFloat(document.getElementById("amount_GST").value);
                                                            let percentage = parseFloat(document.getElementById("percentage").value) / 100;  // Convert percentage to decimal

                                                            // Step 2: Compute the result
                                                            let result = amount_bank * (percentage / (1 + percentage));  // Compute GST from total amount

                                                            // Step 3: Display the result in the form
                                                            document.getElementById("result").value = result.toFixed(2);  // Round to 2 decimal places
                                                        }
                                                        </script>
                                                    </body>
                                                </html>


                                                <div class="row">
                                                    <div class="col-lg-4">
                                                        <div class="input_field_sections">
                                                            <label>Bank
                                                            </label>
                                                            <input type="number" onchange="set_change_rec();" id="amount_cash" name="amount_cash" value="0" class="form-control" />
                                                        </div>
                                                    </div>
                                                    <div class="col-lg-4">
                                                        <div class="input_field_sections">
                                                            <label>Change
                                                            </label>
                                                            <input type="number" id="amount_return" name="amount_return" value="0" class="form-control" />
                                                        </div>
                                                    </div>
                                                    <div class="col-lg-4">
                                                        <div class="input_field_sections">
                                                            <label>Details
                                                            </label>
                                                            <input type="number" id="amount_received" name="amount_received" value="0" class="form-control" />
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="input_field_sections">
                                                    <button type="submit" class="btn btn-success btn-view-pdf pull-right" onclick="return confirm('Are you sure?');">Complete Sale</button>
                                                    <a href="process/DeleteSale?order_del=<?php echo $sale_id; ?>" onclick="return confirm('Are you sure?');" class="btn btn-success btn-danger-pdf pull-right" style="margin-right:10px;">Delete Sale</a>
                                                </div>
                                                </form>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <?php }  ?>
                        </div>
                        <!-- /.inner --> 
                    </div>
                    <!-- /.outer --> 
                </div>
                <!-- /#content --> 
            </div>
		</div>	
    </div>
</div>
<?php }?>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
<script src="//maxcdn.bootstrapcdn.com/bootstrap/3.2.0/js/bootstrap.min.js"></script>
<?php include 'Footer.php'; ?>
<script type="text/javascript">
    function getXMLHTTP() { //fuction to return the xml http object
        var xmlhttp=false;  
        try{
            xmlhttp=new XMLHttpRequest();
        }
        catch(e)  {   
            try{      
                xmlhttp= new ActiveXObject("Microsoft.XMLHTTP");
            }
            catch(e){
                try{
                    xmlhttp = new ActiveXObject("Msxml2.XMLHTTP");
                }
                catch(e1){
                    xmlhttp=false;
                }
            }
        }

        return xmlhttp;
    }

    function GetPriceQuantity(product_id)
    {  
        document.getElementById('p_quantity').disabled = 'disabled'; 
        document.getElementById('p_price').disabled = 'disabled'; 
        var strURL="fetch/Sell_ProductPrice.php?product_id="+product_id;

        var req = getXMLHTTP();

        if (req)
        {
            req.onreadystatechange = function()
            {
                if (req.readyState == 4)
                {
                    // only if "OK" 
                    if (req.status == 200)
                    {
                        document.getElementById('pq_div').innerHTML=req.responseText;  
                    } else {
                        //alert("There was a problem while using XMLHTTP:\n" + req.statusText);
                    }
                }
            }
            req.open("GET", strURL, true);
            req.send(null);
        }
    }

    function GetCustDetails(customer_title)
    {  
        document.getElementById('c_type_id').disabled = 'disabled'; 
        document.getElementById('c_phone').disabled = 'disabled'; 
        document.getElementById('c_address').disabled = 'disabled'; 
        document.getElementById('update_btn').disabled = 'disabled'; 

        var strURL="fetch/CustomerDetails.php?customer_title="+customer_title;

        var req = getXMLHTTP();

        if (req)
        {
            req.onreadystatechange = function()
            {
                if (req.readyState == 4)
                {
                    // only if "OK" 
                    if (req.status == 200)
                    {
                        document.getElementById('cus_details').innerHTML=req.responseText;  
                        document.getElementById('update_btn').disabled = false;
                    } else {
                        //alert("There was a problem while using XMLHTTP:\n" + req.statusText);
                    }
                }
            }
            req.open("GET", strURL, true);
            req.send(null);
        }
    }
</script>
