<?php 

require_once('sessionp.php');
require_once('includes/connection.php');
require_once('includes/functions.php');

$page		= 'stock';
$module 	  = 'stock';
$pageTitle   = 'Items Stock';
$pageRole    = 'table';

$stock_check = getValue('stock_check');
if($stock_check != ''){
	
extract($_POST, EXTR_OVERWRITE);

$post_date 	= date("Y-m-d"); 
$post_time	= date("h:i:s");

$total_cost = $supplier_cost+$purchase_expenses;
$unit_cost  = $total_cost/$quantity;
  
$p_catR = GetRow(Run($conn,"select category_id from tbl_items where id = '$product_id'"));
$category_id = $p_catR['category_id']; 

$p_brandR = GetRow(Run($conn,"select brand_id from tbl_items where id = '$product_id'"));
$brand_id = $p_brandR['brand_id']; 

$p_unitR = GetRow(Run($conn,"select unit from tbl_items where id = '$product_id'"));
$p_unit  = $p_unitR['unit']; 

$strSQL = "insert into tbl_pur_items set
											type				= '$type',
											category_id			= '$category_id',
											brand_id			= '$brand_id',
											product_id			= '$product_id',
											unit				= '$p_unit', 
											supplier_id			= '$supplier_id', 
											quantity			= '$quantity', 
											supplier_cost		= '$supplier_cost', 
											purchase_expenses	= '$purchase_expenses', 
											unit_cost			= '$unit_cost', 
											total_cost			= '$total_cost', 
											details				= '".($details)."', 
											purchase_date		= '$purchase_date',
											post_date 			= '$post_date',
											post_time 			= '$post_time',
											status 				= '1'";
Run($conn,$strSQL); 

$ID = mysqli_insert_id($conn);
  
if($type == 0){  
$bill_desc = 'Bill for Purchase#'.$ID.', Item#:'.$product_id;

// Supplier Payments Table
$strSQL = "insert into tbl_sup_payments set
										supplier_id		= '".($supplier_id)."',
										cr		 			= '".($supplier_cost)."',
										description		= '".($bill_desc)."',
										post_date 		= '$post_date',
										post_time 		= '$post_time',
										status 			= '1'";
Run($conn,$strSQL);

$cash_flow_desc = 'Expense on Purchase #'.$ID;
$cashFlowSQL = "insert into tbl_daily_cash set description = '$cash_flow_desc', dr = '0', cr = '$purchase_expenses', post_date = '$post_date', post_time = '$post_time', status = '1'";
Run($conn,$cashFlowSQL); 
$strSQL = "insert into tbl_expenses set
											title 			= '$cash_flow_desc', 
											category_id		= '1',
											dr					= '$purchase_expenses', 
											details			= '$cash_flow_desc',
											post_date 		= '$post_date',
											post_time 		= '$post_time',
											status 			= '1'";
Run($conn,$strSQL); 

}else{
$bill_desc = 'Return for Purchase#'.$ID.', Item#:'.$product_id;
// Supplier Payments Table
$strSQL = "insert into tbl_sup_payments set
										supplier_id		= '".($supplier_id)."',
										dr		 			= '".($supplier_cost)."',
										description		= '".($bill_desc)."',
										post_date 		= '$post_date',
										post_time 		= '$post_time',
										status 			= '1'";
Run($conn,$strSQL);

$cash_flow_desc = 'Expense on Purchase Return #'.$ID;
$cashFlowSQL = "insert into tbl_daily_cash set description = '$cash_flow_desc', dr = '0', cr = '$purchase_expenses', post_date = '$post_date', post_time = '$post_time', status = '1'";
Run($conn,$cashFlowSQL); 
$strSQL = "insert into tbl_expenses set
											title 			= '$cash_flow_desc', 
											category_id		= '1',
											dr					= '$purchase_expenses', 
											details			= '$cash_flow_desc',
											post_date 		= '$post_date',
											post_time 		= '$post_time',
											status 			= '1'";
Run($conn,$strSQL); 

}

$stockDairyRS = Run($conn,"select balance_quantity, balance_cost from tbl_stock_dairy where product_id = '$product_id' order by id desc limit 1");
if(Records($stockDairyRS) == 0)
{	
if($type == 0)
{ 
	$stockSQL = "insert into tbl_stock_dairy set type				= '$type',
											product_id			= '$product_id',
											in_id				= '$ID',
											in_quantity			= '$quantity',
											in_cost				= '$unit_cost',
											balance_quantity	= '$quantity',
											balance_cost		= '$unit_cost',
											post_date 			= '$post_date',
											post_time 			= '$post_time',
											status 				= '1'";
	Run($conn,$stockSQL);
}
}

else{
$stockDairyR = GetRow($stockDairyRS);
if($type == 0){
$last_balanced_quantity = $stockDairyR['balance_quantity'];
$last_balanced_cost	  = $stockDairyR['balance_cost'];
$last_balanced_amount	= $last_balanced_quantity*$last_balanced_cost;

$new_in_stock_amount	 = $total_cost;
$new_in_stock_quantity  = $quantity;
$balanced_amount   	  = $last_balanced_amount+$new_in_stock_amount;

$balanced_quantity = $last_balanced_quantity+$new_in_stock_quantity;
$balanced_cost	  = $balanced_amount/$balanced_quantity;

$stockSQL = "insert into tbl_stock_dairy set
											type					= '$type',
											product_id			= '$product_id',
											in_id					= '$ID',
											in_quantity			= '$quantity',
											in_cost				= '$unit_cost',
											balance_quantity	= '$balanced_quantity',
											balance_cost		= '$balanced_cost',
											post_date 			= '$post_date',
											post_time 			= '$post_time',
											status 				= '1'";
Run($conn,$stockSQL);

}

if($type == 1){
$last_balanced_quantity  = $stockDairyR['balance_quantity'];
$last_balanced_cost	   = $stockDairyR['balance_cost'];
$last_balanced_amount	 = $last_balanced_quantity*$last_balanced_cost;

$new_out_stock_amount	 = $total_cost;
$new_out_stock_quantity  = $quantity;

$balanced_amount   	   = $last_balanced_amount-$new_out_stock_amount;
$balanced_quantity 		 = $last_balanced_quantity-$new_out_stock_quantity;

$balanced_cost	  		  = $balanced_amount/$balanced_quantity;

$stockSQL = "insert into tbl_stock_dairy set
											type					= '$type',
											product_id			= '$product_id',
											out_id				= '$ID',
											out_quantity		= '$quantity',
											out_cost				= '$unit_cost',
											balance_quantity	= '$balanced_quantity',
											balance_cost		= '$balanced_cost',
											post_date 			= '$post_date',
											post_time 			= '$post_time',
											status 				= '1'";
Run($conn,$stockSQL);

}
}
header("Location: view-products.php?wc=1");
exit;	
}

$listRS	 = Run($conn,"select * from tbl_items where status = '1' order by id desc");  

include 'MasterTop.php';
include 'Top.php';
include 'SideBar.php';
?>
<style>
.buttons-print {
	border: 1px solid;
	padding: 5px 10px;
	border-radius: 3px;
}
</style>
<div id="content" class="bg-container">
    <?php include 'Header.php'; ?>
    <div class="outer">
        <div class="inner bg-light lter bg-container">
            <div class="row">
                <div class="col-xs-12 data_tables"> 
                    <!-- BEGIN EXAMPLE1 TABLE PORTLET-->
                    <div class="card">
                        <div class="card-block" style="margin-top:60px;">
                            <table class="table table-striped table-bordered table-hover" id="sample_1">
                                <thead>
                                    <tr>
                                        <th>#</th>
                                        <th>Item</th>
                                        <th>Category</th>
                                        <th>Brand</th>
                                        <th>Quantity</th>
                                        <?php if($user_type == 0): ?>
                                            <th style="text-align:right;">Unit Cost</th>
                                        <?php endif; ?> 
                                        <th style="text-align:right;">Sale Price</th> 
                                        <?php if($user_type == 0): ?>
                                            <th style="text-align:right;">Stock Worth</th>
                                        <?php endif; ?>
                                        <th>Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php  
                                    $i=1;
                                    $TotalStockWorth = 0; 
                                    $TotalStockQty   = 0;
                                    while ($listR = GetRow($listRS)){ 
                                        $productID = $listR['id'];
                                        $productStockR = GetRow(Run($conn,"select balance_quantity, balance_cost from tbl_stock_dairy where product_id = '$productID' order by id desc limit 1"));
                                    ?>
                                        <tr>
                                            <td><?php echo $i++; ?></td>
                                            <td><?php echo $listR['title']; ?></td>
                                            <td><?php echo showTitle($conn,'tbl_items_cat',$listR['category_id']); ?></td>
                                            <td><?php echo showTitle($conn,'tbl_brands',$listR['brand_id']); ?></td>
                                            <td><?php  
                                                echo number_format($productStockR['balance_quantity'],3);
                                                $TotalStockQty = $TotalStockQty + $productStockR['balance_quantity']; 
                                                echo ' <span class="small">'.showTitle($conn,'tbl_units',$listR['unit']).'</span>'; ?></td>
                                            <?php if($user_type == 0): ?>
                                                <td style="text-align:right;"><?php echo number_format($productStockR['balance_cost'],2); ?></td>
                                            <?php endif; ?>
                                            <td style="text-align:right;"><?php echo number_format($listR['price'],2); ?></td>
                                            <?php if($user_type == 0): ?>
                                                <td style="text-align:right;"><?php 
                                                    echo number_format(($productStockR['balance_quantity']*$productStockR['balance_cost']),2); 
                                                    $TotalStockWorth = $TotalStockWorth + ($productStockR['balance_quantity']*$productStockR['balance_cost']); 
                                                ?></td>
                                            <?php endif; ?>
                                            <td>
                                                <a href="item?id=<?php echo $listR['id']; ?>" title="View details of <?php echo $listR['title']; ?>" class="btn btn-raised btn-success btn-sm md-trigger adv_cust_mod_btn"  > Details </a>
                                                <?php /*?>
                                                <a href="item?id=<?php echo $listR['id']; ?>" title="View details of <?php echo $listR['title']; ?>" class="btn btn-raised btn-warning btn-sm md-trigger adv_cust_mod_btn" data-toggle="modal" data-target="#modal-<?php echo $listR['id']; ?>"> Supply </a>
                                                <div class="modal fade" id="modal-<?php echo $listR['id']; ?>" role="dialog" aria-labelledby="modalLabelsuccess">
                                                    <div class="modal-dialog" role="document">
                                                        <div class="modal-content">
                                                            <div class="modal-header bg-success">
                                                                <h4 class="modal-title text-white" id="modalLabelsuccess">Supply Item</h4>
                                                            </div>
                                                            <div class="modal-body" style="padding-top:0;">
                                                            <form method="post" action="">
                                                                <input type="hidden" name="payment_check" value="true" />
                                                                <div class="row">
                                                                    
                                                                    <div class="col-lg-6 input_field_sections">
                                                                        <h5>Qty </h5>
                                                                        <input type="text" class="form-control" name="amount" step="any" required="required" />
                                                                    </div>
                                                                    <div class="col-lg-6 input_field_sections">
                                                                        <h5>Type</h5>
                                                                        <select class="form-control chzn-select" name="type" tabindex="1">
                                                                            <option value="dr" selected="selected">Kitchen</option>
                                                                            <option value="cr">Waste</option>
                                                                        </select>
                                                                    </div>
                                                                    
                                                                    <div class="col-lg-12 input_field_sections">
                                                                        <h5>Details</h5>
                                                                        <textarea name="description" class="form-control" placeholder="Add details(if any)"></textarea>
                                                                    
                                                                    </div>
                                                                </div>
                                                                </div>
                                                                <div class="modal-footer">
                                                                    <button type="button" class="btn btn-success">Save</button>
                                                                    <button class="btn  btn-warning" data-dismiss="modal">Cancel</button>
                                                                </div>
                                                            </form>
                                                        </div>
                                                    </div>
                                                </div>
                                                <?php */?>
                                            </td>
                                        </tr>
                                    <?php } ?>
                                </tbody>
                                <thead>
                                    <tr>
                                        <th></th>
                                        <th></th>
                                        <th></th><th></th>
                                        <th ><?php // echo number_format($TotalStockQty,2); ?></th>
                                        <?php if($user_type == 0): ?>
                                            <th style="text-align:right;"></th>
                                        <?php endif; ?>
                                        <th style="text-align:right;"></th>
                                        <?php if($user_type == 0): ?>
                                            <th style="text-align:right;"><?php echo number_format($TotalStockWorth,2); ?></th>
                                        <?php endif; ?>
                                        <th></th>
                                    </tr>
                                </thead>
                            </table>
                        </div>
                    </div>
                    <!-- END EXAMPLE1 TABLE PORTLET--> 
                    
                </div>
            </div>
            <!-- /.inner --> 
        </div>
        <!-- /.outer --> 
    </div>
    <?php include 'ContentFooter.php'; ?>
    <!-- /#content --> 
</div>
<?php include 'Footer.php'; ?>
<?php if(getValue('wc') == 1): ?>
    <script>
    window.onload = function() {
            PNotify.desktop.permission();
            new PNotify({
                title: 'Success',
                text: 'A new product has been added into your software, Hope this product give you more benefit.',
                type: 'success',
                desktop: {
                    desktop: true
                }
            }).get().on("click",function (e) {
                if ($('.ui-pnotify-closer, .ui-pnotify-sticker, .ui-pnotify-closer *, .ui-pnotify-sticker *').is(e.target))
                    return; 
            });
            return false;
        };
    </script>
<?php endif; ?>
