<?php 

$page		  = 'suppliers';

require_once('sessionp.php');
require_once('checkAccountsSession.php');

require_once('includes/connection.php');
require_once('includes/functions.php');

$start_day   = '01';
$start_month = date("m");
$start_year  = date("Y");
$start_date = $start_year.'-'.$start_month.'-'.$start_day;
$end_date   = date("Y-m-d");
$date_check = getValue('date_check');
if($date_check == 'true')
	{
		$start_date = getValue('date_from');
		$end_date   = getValue('date_to');
	}
$register_date = date("Y-m-d");
$reg_date_check = getValue('reg_date_check');
if($reg_date_check == 'true')
	{
		$register_date = getValue('register_date'); 
	}


$module		 = 'purchases';
$pageTitle 	 = 'Suppliers';
$pageRole  	 = 'table';


$listRS	 = Run($conn,"select id, title, supcat, name, phone, FbrName, NTN from tbl_suppliers where status = '1' order by id desc");  

include 'MasterTop.php';
if ($user_type == '1') {
$range 	     = 'true'; 	
include 'Top.php';
include 'SideBar.php';
}
?>
<style>
  .buttons-print{ border:1px solid; padding:5px 10px; border-radius:3px;}
</style>
    <style>
        .buttons-print {
            border: 2px solid #6A82FB;
            padding: 3px 10px; /* Decrease the top and bottom padding */
            border-radius: 3px;
            background: linear-gradient(135deg, #6A82FB, #FC5C7D);
            color: white;
            font-weight: bold;
            text-transform: uppercase;
            cursor: pointer;
            font-size: 16px;
            font-family: 'Arial', sans-serif;
        }

        .buttons-print:hover {
            transform: scale(1.05);
            transition: transform 0.3s ease-in-out;
        }

        .btn-success, .btn-view-pdf, .btn-view-send {
            display: inline-flex;
            align-items: center;
            justify-content: center;
            position: relative;
            overflow: hidden;
            transition: transform 0.3s, box-shadow 0.3s;
            box-shadow: 0 3px 6px rgba(0, 0, 0, 0.1);
            color: white;
            font-weight: bold;
            text-transform: uppercase;
        }

        .btn-success::after, .btn-view-pdf::after, .btn-view-send::after {
            content: "";
            position: absolute;
            top: -150%;
            left: -150%;
            width: 300%;
            height: 300%;
            z-index: 1;
            background: linear-gradient(135deg, transparent, rgba(255, 255, 255, 0.2), transparent);
            transform: rotate(45deg);
            pointer-events: none;
            transition: top 0.3s, left 0.3s;
        }

        .btn-success:hover::after, .btn-view-pdf:hover::after, .btn-view-send:hover::after {
            top: 100%;
            left: 100%;
        }

        .btn-success {
            background: linear-gradient(135deg, #4A90E2, #00BFFF);
            border: none;
            padding: 3px 10px; /* Decrease the top and bottom padding */
            border-radius: 3px;
        }

        .btn-view-pdf {
            background: linear-gradient(135deg, #FFB75E, #ED8F03);
            border-radius: 3px;
            padding: 3px 10px; /* Decrease the top and bottom padding */
        }

        .btn-view-send {
            background: linear-gradient(135deg, #56ab2f, #a8e063);
            border-radius: 3px;
            padding: 3px 10px; /* Decrease the top and bottom padding */
        }

        .btn-view-pdf i, .btn-view-send i {
            margin-right: 8px;
            vertical-align: middle;
        }

        .active-btn {
            background: linear-gradient(135deg, #f54242, #f542a2);
            transform: scale(1.03);
            box-shadow: 0 3px 6px rgba(255, 0, 0, 0.2);
            transition: transform 0.2s ease-in-out, box-shadow 0.2s ease-in-out;
        }

        @keyframes dance {
            0%, 100% { transform: scale(1) rotate(0); }
            20%, 80% { transform: scale(1.05) rotate(-5deg); }
            40%, 60% { transform: scale(1) rotate(5deg); }
        }

        .btn-success:hover, .btn-view-pdf:hover, .btn-view-send:hover {
            animation: dance 0.5s infinite;
        }
    </style>
    <script>
        document.addEventListener('DOMContentLoaded', function () {
            let buttons = document.querySelectorAll('.btn-view-pdf, .btn-success');

            buttons.forEach(button => {
                button.addEventListener('click', function () {
                    // Remove active class from all buttons
                    buttons.forEach(btn => btn.classList.remove('active-btn'));

                    // Add active class to the clicked button
                    this.classList.add('active-btn');
                });
            });
        });
    </script>			
<div id="content" class="bg-container">
	<?php include 'Header.php'; ?>	
	<div class="modal fade" id="modal-supplier" role="dialog" aria-labelledby="modalLabelsuccess">
		<div class="modal-dialog" role="document">
			<div class="modal-content">		
				<div class="modal-header bg-success">
				    <h4 class="modal-title text-white" id="modalLabelsuccess">New Supplier</h4>
				</div>	
				<div class="modal-body" style="padding-top:0;">
					<form method="post" action="process/SaveSupplier">
						<input type="hidden" name="bcheck" value="true" />
						<div class="row">
							<div class="col-lg-6">
								<div class="input_field_sections">
									<h5>Contact Person <span class="label_desc">(Optional)</span></h5>
									<input autocomplete="off" type="text" class="form-control" name="name" />
								</div>
							</div>
							<div class="col-lg-6">
								<div class="input_field_sections">
									<h5>Bank Title Name <span class="label_desc">(Required)</span></h5>
									<input autocomplete="off" type="text" class="form-control" name="title" required="required" />
								</div>
							</div>
						</div>
						<div class="row">
							<div class="col-lg-6">
								<div class="input_field_sections">
									<h5>Bank Name <span class="label_desc">(Optional)</span></h5>
									<input class="form-control" list="banks" name="email" />
									<datalist id="banks">
                                            <option value="Allied Bank Limited">
                                            <option value="Askari Bank Limited">
                                            <option value="Bank Alfalah Limited">
                                            <option value="Bank AL Habib Limited">
                                            <option value="BankIslami Pakistan Limited">
                                            <option value="Faysal Bank Limited">
                                            <option value="Habib Bank Limited">
                                            <option value="Habib Metropolitan Bank Limited">
                                            <option value="JS Bank Limited">
                                            <option value="MCB Bank Limited">
                                            <option value="Meezan Bank Limited">
                                            <option value="National Bank of Pakistan">
                                            <option value="Samba Bank Limited">
                                            <option value="Silkbank Limited">
                                            <option value="Sindh Bank Limited">
                                            <option value="Standard Chartered Bank (Pakistan) Limited">
                                            <option value="Summit Bank Limited">
                                            <option value="United Bank Limited">
                                            <option value="EasyPaisa">
                                            <option value="JazzCash">
                                            <option value="Bank of Punjab">
                                            <option value="Bank of Khyber">
                                            <option value="Soneri Bank">
                                            <option value="Bank of Azad Jammu and Kashmir">
                                            <option value="First Women Bank Limited">
                                            <option value="NRSP Microfinance Bank">
                                            <option value="Zarai Taraqiati Bank Limited (ZTBL)">
                                            <option value="Industrial and Commercial Bank of China (ICBC) Pakistan">
                                        </datalist>
								</div>
							</div>
							<div class="col-lg-6">
								<div class="input_field_sections">
									<h5>Account <span class="label_desc">(Optional)</span></h5>
									<input autocomplete="off" type="text" class="form-control" name="account" />
								</div>
							</div>
						</div>
						<div class="row">
							<div class="col-lg-6">
								<div class="input_field_sections">
									<h5>Contact Number <span class="label_desc">(Optional)</span></h5>
									<input autocomplete="off" type="text" class="form-control" name="phone" />
								</div>
							</div>
							<div class="col-lg-6">
								<div class="input_field_sections">
									<h5>City <span class="label_desc">(Autofill-Optional)</span></h5>
									<input type="text" class="form-control" autocomplete="off" id="autofill_unit" name="city" list="city_list" />
									<datalist id="city_list">
										<?php 
										$citiesRS = Run($conn,"select * from tbl_cities where status = 1 order by title asc");
										while($citiesR = GetRow($citiesRS)){
										?>
										<option><?php echo $citiesR['title']; ?></option> 
										<?php } ?> 
									</datalist>
								</div>
							</div>
						</div>
						<div class="row">
							<div class="col-lg-6">
								<div class="input_field_sections">
									<h5>Category <span class="label_desc">(Autofill-Optional)</span></h5>
									<input type="text" class="form-control" autocomplete="off" id="autofill_unit" name="supcat" list="cat_list" />
									<datalist id="cat_list">
										<?php 
										$supCatRS = Run($conn,"select * from tbl_sup_cat where status = 1 order by title asc");
										while($supCatR = GetRow($supCatRS)){
										?>
										<option><?php echo $supCatR['title']; ?></option> 
										<?php } ?> 
									</datalist>
								</div>
							</div>
							<div class="col-lg-6">
								<div class="input_field_sections">
									<h5>Address <span class="label_desc">(Optional)</span></h5>
									<input autocomplete="off" type="text" name="address" class="form-control" />
								</div>
							</div>
						</div>
						<div class="modal-footer">
							<button type="submit" class="btn btn-success">Save</button>
							<button class="btn btn-warning" data-dismiss="modal">Cancel</button>
						</div>
					</form>
				</div>
			</div>
		</div>
	</div>
    <div class="outer">
        <div class="inner bg-light lter bg-container">
            <div class="row">
                <div class="col-xs-12 data_tables">
                    <!-- BEGIN EXAMPLE1 TABLE PORTLET-->
                    <div class="card">
                        <div class="card-block" style="margin-top:60px;">
                            <table class="table table-striped table-bordered table-hover" id="sample_1">
                                <thead>
                                    <tr>
                                        <th>ID</th>
                                        <th>Title</th>
										<th>FBR Name</th>
										<th>NTN</th>
										<th>Cell Number</th>
										<th>Products Cat</th>
                                        <th>GST</th>
                                        <th style="text-align:right;">Credit (Rs)</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php
                                    $total_GST = 0;
                                    $total_credit = 0;
                                    $total_debit = 0;
                                    $total_balance = 0;
                                    $i = 1;
                                    while ($listR = GetRow($listRS)) {
                                        $supplierID = $listR['id'];

                                        $creditRS = "select sum(cr) as credit_balance from tbl_sup_payments where post_date >= '$start_date' and post_date <= '$end_date' and supplier_id = '$supplierID'";
                                        $creditR = GetRow(Run($conn, $creditRS));
                                        $credit_balance = $creditR['credit_balance'];

                                        $debitRS = "select sum(dr) as debit_balance from tbl_sup_payments where post_date >= '$start_date' and post_date <= '$end_date' and supplier_id = '$supplierID'";
                                        $debitR = GetRow(Run($conn, $debitRS));
                                        $debit_balance = $debitR['debit_balance'];

                                        $debitRS = "select sum(transport_exp) as GST_balance from tbl_pur_items where post_date >= '$start_date' and post_date <= '$end_date' and supplier_id = '$supplierID'";
                                        $debitR = GetRow(Run($conn, $debitRS));
                                        $GST_balance = $debitR['GST_balance'];
                                        $GrandBalance = ($credit_balance - $debit_balance);

                                        // Calculate totals
                                        $total_GST += $GST_balance;
                                        $total_credit += $credit_balance;
                                        $total_debit += $debit_balance;
                                        $total_balance += $GrandBalance;
                                    ?>
                                        <tr>
                                            <td><?php echo $listR['id']; ?></td>
                                            <td><?php echo $listR['name']; ?></td>                                           
										    <td><?php echo $listR['FbrName']; ?></td>
											<td>'<?php echo $listR['NTN']; ?></td>
											<td>'<?php echo $listR['phone']; ?></td>
											<td><?php echo showTitle($conn,'tbl_sup_cat',$listR['supcat']); ?></td>
                                            <td style="text-align:right;"><?php echo number_format($GST_balance, 2); ?></td>
                                            <td style="text-align:right;"><?php echo number_format($credit_balance, 2); ?></td>
                                        </tr>
                                    <?php } ?>
                                </tbody>
                                    <tfoot>
                                        <tr>
                                            <th style="text-align:right;" colspan="6">Total:</th>
                                            <th style="text-align:right;"><?php echo number_format($total_GST, 2); ?></th>
                                            <th style="text-align:right;"><?php echo number_format($total_credit, 2); ?></th>
                                        </tr>
                                    </tfoot>
                                </table>
                                Grand Balance: <?php echo number_format($G_GrandBalance); ?>
                        </div>
                    </div>
                    <!-- END EXAMPLE1 TABLE PORTLET-->
                </div>
            </div>
            <!-- /.inner -->
        </div>
        <!-- /.outer -->
    </div>
    <?php include 'ContentFooter.php'; ?>
    <!-- /#content -->
</div>
<?php include 'Footer.php'; ?>
<?php if(getValue('wc') == 1){?>
<script>
window.onload = function() {
        PNotify.desktop.permission();
        new PNotify({
            title: 'Success',
            text: 'A new supplier has been added into your software, Now you can purchase your products from this supplier too, Hope this supplier give you more benefit.',
            type: 'success',
            desktop: {
                desktop: true
            }
        }).get().on("click",function (e) {
            if ($('.ui-pnotify-closer, .ui-pnotify-sticker, .ui-pnotify-closer *, .ui-pnotify-sticker *').is(e.target))
                return; 
        });
        return false;
    };
</script>
<?php } if(getValue('wc') == 2){?>
<script>
window.onload = function() {
        PNotify.desktop.permission();
        new PNotify({
            title: 'Success',
            text: 'A Payment has been added into supplier account, Please check the current balance from list, Hope this supplier will become happy with this transaction.',
            type: 'success',
            desktop: {
                desktop: true
            }
        }).get().on("click",function (e) {
            if ($('.ui-pnotify-closer, .ui-pnotify-sticker, .ui-pnotify-closer *, .ui-pnotify-sticker *').is(e.target))
                return; 
        });
        return false;
    };
</script>
<?php } ?>
